Agilent Series V2800 Help

2810 Getting Started | General purpose and digital demodulation | 2810 Modulation Standards | viewing and outputting data
Getting started | Making measurements | Modulation standards | Viewing measurement results
Remote control and programming | 2910 Icon License | 2810 Outputting measurement | 2810 Utilities
Instrument interface options | Measurement personality license files | Global settings | Utilities

_____

V2820-90002

Instrument help system build 2010.04.13.1750 for firmware revision 6.0.

© 2007-2010 Agilent Technologies, Inc. All rights reserved.


Site Map

Getting Started

  • About the V2820A
  • Front panel tour
  • Rear panel tour
  • Instrument interface options
  • User interface tour

Preset

Remote control

  • Remote control via
    Desktop Control Panel
  • Remote control via
    LXI Web Interface
  • Remote control via
    SCPI commands

General purpose

  • Spectrum
  • Zero span
  • ACPR
  • Channel power list
  • Spectrum Emission Mask

Modulation Standards

  • GSM
  • EDGE
  • cdma2000 Reverse Link
  • W-CDMA Uplink
  • W-CDMA Downlink
  • WLAN (802.11x)
  • WiMAX (802.16x)

Digital demodulation

Global settings

  • Atten/Preamp
  • Carrier Offsets
  • Digital I/O
  • Frequency reference
  • MIMO
  • Marker config
  • RF Out
  • Sync out
  • Trigger
  • User flatness
  • Calibrate
  • Advanced

Troubleshooting

Utilities

  • Screen saver
  • GPIB Address
  • Time and Date
  • Ethernet settings
  • LAN config init
  • Firmware upgrade
  • Licensing
  • Calibrate Touch Screen
  • SCPI Debug

Help

  • System Help
  • Instrument Help
  • Context sensitive


Getting Started

To become familiar with the instrument, visit the Home page and the following tours and links.

  • About the Agilent V2820A

Describes the instrument features and capabilities of the Agilent V2820A Vector Signal Analyzer.
  • About other models

Describes the features and capabilities of the Model 2810 and Model 2820 legacy instruments.
  • Front panel tour

Tours the instrument display and front panel controls and connections.
  • Rear panel tour

Tours the instrument rear panel connections.
  • User interface tour

Tours the instrument user interface accessed via the touch screen and via the Desktop Control Panel software.

Note icon You may also use remote SCPI commands and the LXI web interface to interact with the Series V2800 instrument.

 | RedBox
Context sensitive Help Select to get Help on the panel or window. | A red box on an image indicates a link to more information.


About the Agilent V2820A

The Agilent V2820A offers a choice of frequency ranges and a maximum input power of + 35 dBm. Two frequency ranges are available as instrument hardware options:

  • V2820A-504 provides a frequency range of 400 MHz to 4 GHz.
  • V2820A-506 provides a frequency range of 400 MHz to 6 GHz.

Key features:

  • Compact half-rack size that fits neatly next to the Series V2900 in a test rack
  • Similar look and feel to the Series V2900:
    • Intuitive LCD graphical user interface for high ease of use
    • Front panel touch-screen or USB mouse operation
  • Same software-defined radio architecture as the Series V2900
  • Fastest digital signal processing chip on the market for quick analysis
  • Measurement bandwidth of 40 MHz to acquire the new wideband technology signals
  • Agilent Series V2800 Desktop Control Panel to allow full operation of the instrument user interface from a PC, and fast uploading of IQ data
  • Software Ultra Low Phase Noise option to improve measurements for WLAN EVM and GSM/EDGE ORFS
  • Multiple interfaces: GPIB, USB and LAN with LXI-C compatibility
  • Standard General Purpose Measurements:
    • Spectrum Analysis
    • Zero Span (time domain)
    • Adjacent Channel Power
    • Spectrum Emission Mask and Occupied Bandwidth
    • Channel Power List
  • Options for built-in signal analysis:
    • GSM/EDGE
    • Reverse link cdmaOne/cdma2000
    • Uplink and downlink WCDMA
    • WLAN (802.11-a,b,g,j,n)
    • WiMAX (802.16e)
  • High-accuracy power measurements for higher yields

Capabilities and ranges that can accommodate the following applications:

  • Mobile handset production test
  • Handset R&D and design verification
  • Testing mobile communications infrastructure
  • RFIC testing
  • Wireless connectivity testing (802.11a/b/g/j/n WLAN)
  • Research and education in mobile communications

The V2820A also has the following capabilities and features:

  • Higher speed for low cost of test:
    • Faster tuning: < 250 µs
    • Faster amplitude settling
    • Responsive controls
    • Faster switching between waveforms
    • Software support for DUT sequenced testing using IQ Cache mode
  • Easy to configure, easy to use:
    • Intuitive graphical user interface
    • Compact size
    • Choice of remote programming interfaces
    • Flexible remote software tools
    • LXI Class C compliance
    • Graphical Help system
    • Easy switching between the instrument front panel and Desktop Control Panel running on a PC


Other Series V2800 Models

There are two additional VSA models:

  • Model 2810
  • Model 2820


About the Model 2810

The Model 2810 offers a frequency range of 400 MHz to 2.5 GHz and a maximum input power of + 35 dBm.

Key features:

  • Compact half-rack size that fits neatly next to the Series V2900 in a test rack
  • Similar look and feel to the Series V2900:
    • Intuitive LCD graphical user interface for high ease of use
    • Front panel touch-screen or USB mouse operation
  • Same software-defined radio architecture as the Series V2900
  • Fastest digital signal processing chip on the market for quick analysis
  • Measurement bandwidth in excess of 40 MHz to acquire the new wideband technology signals
  • Multiple interfaces: GPIB, USB and LAN with LXI-C compatibility
  • Standard General Purpose Measurements:
    • Spectrum Analysis
    • Zero Span (time domain)
    • Adjacent Channel Power
    • Spectrum Emission Mask and Occupied Bandwidth
    • Channel Power List
  • Options for built-in signal analysis:
    • GSM/EDGE
    • Reverse link cdmaOne/cdma2000
    • Uplink and downlink WCDMA
    • WLAN (802.11-a,b,g,j,n)
    • WiMAX (802.16e)
  • High-accuracy power measurements for higher yields

Capabilities and ranges that can accommodate the following applications:

  • Mobile handset production test
  • Handset R&D and design verification
  • Testing mobile communications infrastructure
  • RFIC testing
  • Research and education in mobile communications

The Model 2810 also has the following capabilities and features:

  • Higher speed for low cost of test:
    • Fast frequency tuning
    • Fast measurement switching
    • Software support for DUT sequenced testing using IQ Cache mode
  • Easy to configure, easy to use:
    • Intuitive graphical user interface
    • Compact size
    • Choice of remote programming interfaces
    • Flexible remote software tools
    • LXI Class C compliance
    • Graphical Help system


About the Model 2820

The <Model 2820> offers a choice of frequency ranges and a maximum input power of + 35 dBm. Two frequency ranges are available as instrument hardware options:

  • Option 2820-004 provides a frequency range of 400 MHz to 4 GHz.
  • Option 2820-006 provides a frequency range of 400 MHz to 6 GHz.

Key features:

  • Compact half-rack size that fits neatly next to the Series V2900 in a test rack
  • Similar look and feel to the Series V2900:
    • Intuitive LCD graphical user interface for high ease of use
    • Front panel touch-screen or USB mouse operation
  • Same software-defined radio architecture as the Series V2900
  • Fastest digital signal processing chip on the market for quick analysis
  • Measurement bandwidth of 40 MHz to acquire the new wideband technology signals
  • Multiple interfaces: GPIB, USB and LAN with LXI-C compatibility
  • Standard General Purpose Measurements:
    • Spectrum Analysis
    • Zero Span (time domain)
    • Adjacent Channel Power
    • Spectrum Emission Mask and Occupied Bandwidth
    • Channel Power List
  • Options for built-in signal analysis:
    • GSM/EDGE
    • Reverse link cdmaOne/cdma2000
    • Uplink and downlink WCDMA
    • WLAN (802.11-a,b,g,j,n)
    • WiMAX (802.16e)
  • High-accuracy power measurements for higher yields

Capabilities and ranges that can accommodate the following applications:

  • Mobile handset production test
  • Handset R&D and design verification
  • Testing mobile communications infrastructure
  • RFIC testing
  • Wireless connectivity testing (802.11a/b/g/j/n WLAN)
  • Research and education in mobile communications

The Model 2820 also has the following capabilities and features:

  • Higher speed for low cost of test:
    • Fast frequency tuning
    • Fast measurement switching
    • Software support for DUT sequenced testing using IQ Cache mode
  • Easy to configure, easy to use:
    • Intuitive graphical user interface
    • Compact size
    • Choice of remote programming interfaces
    • Flexible remote software tools
    • LXI Class C compliance
    • Graphical Help system


Front panel tour

Select items that have a red box to learn more:

go to Front panel display go to power on button go to preset go to USB ports go to local button go to RF connector go to TG Out connector go to front panel Puck go to front panel Knob


Local button

While the instrument is being remotely controlled via SCPI commands or the LXI web interface, it will not respond to input form the screen, external USB devices, or any of the front panel keys except Local. If the instrument is in remote mode but not in Local Lockout Mode, selecting the Local button will restore the instrument to local mode.

Desktop Control Panel Usage: Use the Local button on the Desktop Control Panel software user interface. The Local button on the actual instrument is disabled when the Desktop Control Panel software is running.

In local mode, the front panel buttons, screen, external USB mouse and keyboard are active.

Local Lockout Mode is set with the remote programming interface (via the :SYSTem:KLOCk[:STATe] command) and is used for situations where no front panel control is desired (except the Power On button).


Front panel puck

The front panel puck steps the display cursor in four directions: left, right, up and down. When the center button is pressed, a Number pad appears to allow you to enter a specific value directly.

This control is used in conjunction with the front panel knob and the number pad dialog box. To see how it interacts with these two other controls, see Changing a value.

See also:

  • Front panel knob
  • Number pad


Changing a value

How to change a parameter value (such as frequency or amplitude)

Parameters can be changed in several ways:

  • Directly enter the value into the number pad.
  • Adjust the existing value using the front panel controls.
  • Send a remote command.

This topic describes the first two methods. The method you choose depends on how close the new value is to the existing value. If the gap is large, entering a value directly sets the value in one step. If the gap is small, the front panel control can often get to the new value quicker.

Selecting the parameter to change

Parameters that can be changed are displayed in a text box. Until a parameter is selected, the parameter text boxes have a black background.

To change the parameter value, the text box must first be selected. Once selected, the background color of the text box changes from black to green.

Note icon Only one text box can be selected at a time.

Changing the value

Once the text box is selected, there are several ways to change the value:

Controls for changing a value

 | Changing a value with the number pad
Front panel knob
Front panel puck | Number pad

Direct value entry using the Number Pad

  1. Select the center button on the front panel puck or double select the parameter text box.
  2. Use the numeric keys to enter the value.
  3. Select the unit.
  4. Select Close.

Adjust the existing value using the front panel controls

Depending on how far off the new value is from the existing value, use the front panel knob and puck. Use the left and right arrows on the puck to move the cursor in the value text box. Use the up and down-arrows on the puck or front panel knob to change the value.

Set to Max and Min values

When you select the number pad, you can set the parameter value directly to its maximum or minimum value by selecting either the Set to Max or Set to Min buttons.

Default values

When you select the number pad, you can set the parameter value directly to its default value by selecting the Default button.

Stepping the value

It is sometimes useful to change the value of a parameter in constant steps. A common example would be to step the frequency in constant steps from one frequency to another. The constant steps are generated by using the vertical controls on the front panel puck. The size of the steps is set in the Number Pad.

To change the step size

  1. Bring up the number pad by either:
    • Selecting the center button on the front panel puck.
    • Double select the value text box.
  2. Select the Step Size tab.
  3. Select Step Size radio button.
  4. Enter a numeric value.
  5. Select the units.
  6. Select Close.


Power On button

This button has a power control symbol; when the unit is powered on, a green LED can be seen.

  • If power is applied to the instrument and the rear panel power switch, located on the Line input module, is in the On/Standby position, an amber light will show.
  • Selecting this button in On/Standby state turns the instrument on and changes the LED color from amber to green.


Preset button

Select the Preset button on the front panel to restore the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If the Preset Type is FACTory, the preset state is the factory default (see Series V2800 Preset conditions). If the Preset Type is USER, the preset state is the state saved by SYSTem:PRESet:SAVE.

The instrument will preset in less than a second.

Note icon The front panel Preset button is not active if the instrument is in the Remote or Local Lockout mode, as set by SCPI control or when running the LXI web interface. The Preset button is also inactive while running the Desktop Control Panel software.

Note icon The following settings are not affected by Preset, *RST, or save/recall state:

  • Background tasks
  • Extended frequency
  • Display On/Off
  • Frequency reference
  • SCPI debug

Remote command

:SYSTem:PRESet

See also:

  • Series V2800 Preset conditions
  • Extend Frequency
  • Preset Type
  • Save User Preset


Series V2800 Preset conditions

When initially powered up, or if the Preset Type is FACTory, the instrument state is set to the following values:

Parameter | Preset value | Parameter | Preset value
Center Frequency | 1 GHz | Measurement | Spectrum
Frequency Span | 50 MHz | Detection Type | Normal
Start Frequency | 975 MHz | Trace Hold | Normal
Stop Frequency | 102 MHz | Spur Cancellation | Off
Bandwidth Auto | On | Trigger | Free Run
Sweep | Continuous | Sync Out | Off

__

Note icon The front panel Preset button is not active if the instrument is in the local lockout mode, as set by the remote programming interface. Nor is the Preset button active while the Desktop Control Panel software is running.

___
See also:

  • Preset Type
  • Related SCPI command: :SYSTem:PRESet:


Extend Freq

When the Extend Freq check box is selected, the frequency range is extended beyond the specified limits.

V2820A

  • Instrument option V2820A-504 has a specified range of 400 MHz to 4.0 GHz.
    • The extended frequency range of this instrument option is 325 MHz to 4.0 GHz.
  • Instrument option V2820A-506 has a specified range of 400 MHz to 6.0 GHz.
    • The extended frequency range of this instrument option is 325 MHz to 6.5 GHz.

Model 2820

  • Instrument option 2820-004 (and 2820A-004) has a specified range of 400 MHz to 4.0 GHz.
    • The extended frequency range of this instrument option is 325 MHz to 4.0 GHz.
  • Instrument option 2820-006 (and 2820A-006) has a specified range of 400 MHz to 6.0 GHz.
    • The extended frequency range of this instrument option is 325 MHz to 6.5 GHz.

_
Model 2810

  • The specified frequency range of the Model 2810 is 400 MHz to 2500 MHz.
    • The extended frequency range of the Model 2810 is 325 MHz to 2975 MHz, and 325 to 2700 MHz for the RF Output.

__

Setting either the start or stop beyond the spec limits will change the text color in the GUI from black to red. With either start or stop in the extended range, both center and span are displayed in red. The color change feature is available in all measurement selections except Channel Power List, which has no frequency selection entry.

_
Extended Frequency, if enabled, is saved when the instrument state is saved to a file (Menu > File > Save Setup).
_

NOTE: If a feature (for example, Channel Power List) has a list loaded that includes an extended frequency, then that feature may be turned on only if Extend Freq is enabled.

_
Error Conditions

Extended frequency cannot be disabled while one or more features are using extended frequencies. If you attempt to disable Extend Freq when a feature is using extended frequencies, the following error message is displayed (SCPI interface returns error code 15):

Extended frequency range cannot be turned off while in use;<list>, where <list> is a list of the features using extended frequencies.

Channel Power List: You can load a file containing extended features only if Extend Freq is enabled.

For a frequency that is outside the specified range but within the extended range, the following message is displayed:

FILE ERROR: Frequency requires extended frequency range to be on, Line <lineNum>, where <lineNum> is the line number in the file of the out-of-range frequency. (no SCPI error code is returned)

For a frequency that is outside the extended range the following message is displayed:

FILE ERROR: Frequency incorrect, Line <lineNum>, where <lineNum> is the line number in the file of the out-of-range frequency. (no SCPI error code is returned)

_
See Also:

  • Channel Power List

_
Related SCPI Commands:

  • :DIAGnostic:FREQuency:EXTend[:STATe]


RF On button

Select this button to connect the modulated RF waveform to the RF Out connector.


Instrument screen

The instrument screen is four inches high by six inches wide.

The exterior interface is a resistive membrane and is not a glass plate. Therefore, some care must be taken to avoid damaging it.

To ensure comfortable viewing, the display backlight is fluorescent.

A calibration utility is provided in the instrument to allow you to calibrate the screen. After you make the initial calibration, further calibration should not be necessary. However, the calibration process is quick and simple, so carry out a calibration if screen accuracy becomes a concern.

For details on the graphical user interface features, click here.

Note icon While the Desktop Control Panel software is running, the instrument screen is disabled. When you exit the Desktop Control Panel software, the instrument screen is enabled.


TG Out connector

The internal tracking generator is accessed from the TG Out Type-N connector. The tracking generator is a constant amplitude sweep controlled by the RF Out panel.

Depending on the instrument options installed, the TG Out connector can be installed on the instrument front or rear panel.


RF In connector

RF In is a Type-N connector through which RF signals are applied to the instrument.

Depending on the instrument options installed, the RF In connector can be installed on the instrument front or rear panel.

Note icon Care must be taken to limit the signals connected to 50 VDC, +35 dBm RF maximum.


USB ports

Use these two ports to connect USB devices to the instrument.

Common USB devices include the following items:

  • Peripherals, such as a mouse and keyboards. When used in a desktop setting, a standard keyboard and mouse may be more convenient for the instrument operator.
  • USB memory devices can be connected to these ports to upload and download data files. Software and firmware upgrades can also be made using a USB memory device.


Front panel knob

This knob adjusts the value of the active parameter. It is often used in conjunction with the front panel puck and the number pad dialog box to set parameter values. Go to Changing a value to see how the front panel knob functions.

See Also:

  • Front panel puck
  • Number pad


Rear panel tour

Select items that have a red box to learn more:

go to Line input socket module go to RF IN connector go to TG out connector go to VGA Output connector go to IQ in connectors go to TRIG IN go to SYNC OUT Digital IO connector go to USB connector to device go to Even SEC in out go to IEEE-488 connector go to USB connector to device go to LAN connector go to Reference in and out

Select from the following list of connectors for information.

  • Line input module
  • RF In Connector
  • TG Out connector
  • IEEE-488 connector
  • VGA OUT connector
  • DIGITAL I/O connector
  • USB connectors
  • LAN connector
  • I-IN, Q-IN connectors
  • TRIG IN connector
  • SYNC OUT connector
  • EVEN SEC IN, OUT connectors
  • REF IN and OUT connectors


Line input module

The line input module has three components:

  • The power input switch has two positions: "0" = off and "|" =on/standby. When the switch is in the "|" position, power is applied to the instrument's ovenized reference oscillator (even when in standby mode). With power always applied to the reference oscillator, warm up time to frequency stability is minimized.
  • Below the power input switch is a covered fuse. The fuse is a 2-amp slow blow fuse. This same fuse is used for the line voltage range of 100 to 240 Volts inclusive. It is removed after gaining access to it by pinching on either side of the fuse cover.
  • Below the fuse is the line input socket. Connect the socket to an appropriate line cord for your usage. The instrument automatically supports line voltages ranging from 100 to 240 Volts inclusive.

____________
See also:

  • Line frequency
  • Line power connection
  • Line voltage and fuses


Line power connection

Follow the procedure below to connect the instrument to line power and power it up:

1. Check to see that the line voltage supply is within 100 to 240 VAC; 50 to 60 Hz.

CAUTION: Operating the instrument on an incorrect line voltage may cause damage to the instrument, possibly voiding the warranty.

2. The power switch is located on the rear panel power module. Before plugging in the power cord, make sure that the power switch is in the Off position. The Off position has the "O" symbol depressed on the rear panel power switch rocker.

3. Connect the female end of the supplied power cord to the AC receptacle on the rear panel. Connect the other end of the power cord to a grounded AC outlet.

Note icon If the power switch on the instrument will not be easily accessible after it is set-up for bench-top use or rack mounted, use a power strip that has a power switch. This will allow you to turn the instrument on or off from the power strip.

WARNING: The power cord supplied with the instrument contains a separate ground wire for use with grounded outlets. When proper connections are made, the instrument chassis is connected to power line ground through the ground wire in the power cord. Failure to use a grounded outlet may result in personal injury or death due to electric shock.

4. Turn on the instrument by pressing the front panel Power On button.


Line voltage and fuses

The instrument is designed to accept a line voltage range of 100 to 240 Volts. No line voltage switch settings are available.

A fuse protects the power line input of the instrument. If the line fuse needs to be replaced, perform the following steps:

WARNING: Make sure the instrument is disconnected from the AC line and other equipment before changing the line fuse. There is a risk of injury or death when handling an instrument that is still connected to the AC line.

1. Using a small flat-blade screwdriver, push the retaining clip toward the center of the module to release the fuse holder assembly.

2. Pull the fuse holder out of the power module.

3. Remove the blown fuse and replace it with similar 2.0 Amp, 250 Volt 5 x 20 mm slow-blow fuse.

CAUTION: For continued protection against fire or instrument damage, only replace fuses with the type and rating listed. If the instrument repeatedly blows fuses, return the unit to Agilent.


Line frequency

The instrument operates at line frequencies from 50 to 60 Hz. There are no user settings for line frequency.


SYNC OUT connector

The SYNC OUT connector allows the instrument to communicate with another device. It is often used in conjunction with the trigger input signal to notify another device that the event requested has been performed. To learn more on how this can be done, see SYNC OUT description and uses.

The SYNC OUT is a low impedance TTL-compatible bus driver output signal capable of sourcing 30 mA or sinking 60 mA maximum.

See also TRIG IN connector.


Sync Out description and uses

The sync pulse output can trigger an external device or circuit to perform a particular operation. The Series V2800 can generate a sync out signal at various events during the process of taking a measurement sweep and acquiring data. The sync pulse is useful for making fast measurements because other equipment will not have to wait any longer than necessary to change state for subsequent measurements.

The sync output and the trigger input are two sides of an interactive communication between the Series V2800 and other test instruments:

  • Sync out indicates when a certain event has happened in the Series V2800. This information is sent to external equipment where the equipment responds in some controlled way.
  • Trigger in causes the Series V2800 to measure the input signal when the selected trigger conditions are met.
Rear panel connections for SYNC OUT and TRIG IN

You can set the polarity of the 200 ns TTL (3.3 Volt) sync pulse generated:

  • Sync on the rising edge of the pulse.
  • Sync on the falling edge of the pulse.

In many measurement applications, the source must settle before the Series V2800 can acquire data. You can send the *OPC query at the end of a programming message so the source sends a "1" to the controller when it has settled and finished executing the command. The "1" sent is a TTL pulse on the source SYNC OUT connector. This interactive communication allows you to synchronize your device measurements with the source output. The syntax for the message is the same whether you are sending commands over GPIB, LAN, or USB.

For details, see Sync Output settings panel.


IEEE-488 connector

The IEEE-488 connector is also known as the GPIB connector, and is part of the instrument remote programming interface.

The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

Also see the following topics:

  • GPIB Address
  • System Setup for Remote Control


VGA OUT connector

This is a standard VGA output connector. By connecting a standard VGA cable and monitor to this port, you can view the instrument display remotely, providing the convenience of viewing the instrument display on a larger monitor.


DIGITAL I/O connector

The Digital I/O connector allows for inter-instrument communications between multiple Agilent units.

To learn more, see Digital IO .


Digital I/O...

Note icon This feature is disabled while the Desktop Control Panel program is running.

The instrument Digital I/O allows you to control external devices, provide input to external logic circuitry, and control the analyzer.

The DIGITAL I/O port is a male DB-9 connector located on the rear panel and controlled by front panel access. Select the following topics to learn more about the Digital I/O functionality:

  • Digital I/O connector pin out
  • Digital input
  • Digital outputs
  • Sink mode
  • Setting digital output lines


USB connectors

There are two USB connectors (ports) on the rear panel ("A" and "B"). The "B" connector is labeled "(FROM HOST)" and is normally used to connect the instrument to a host computer.

The USB connectors (ports) are a part of the Remote control interface. Through the USB "B" connector, the instrument can be controlled by commands from a remote host computer.

See also:

Controlling the instrument via Desktop Control Panel

Controlling Multiple Instances of Desktop Control Panel


LAN connector

Note icon This feature is disabled while the Desktop Control Panel program is running.

The LAN connector is a standard RJ45 LAN connector, and is part of the instrument remote programming interface. The instrument can be controlled through this connector by commands from a remote host computer over a Remote control interface.

See Also:

  • LAN Config init.


LAN (Ethernet) troubleshooting

The instrument defaults to an Ethernet setting of "Auto-negotiation On" to detect the speed of the network and set the instrument operation speed to match the network speed. If the autonegotiation process fails, the operation speed must be set manually.

Note icon If the instrument speed does not match the network speed, Auto-negotiation On is the recommended setting.

  1. Select Menu > Utilities > Ethernet Settings.
  2. Select the Advanced tab.
  3. Select the appropriate speed:
    • 10 Mbps
    • 100 Mbps
  4. Select Apply.

To ensure that both the instrument and the network recognize the speed change, you may need to disconnect and then reconnect the LAN cable.


I-IN, Q-IN connectors

These connectors are not functional for the Series V2800 instrument.

As per PR 12634 the following was deemed inaccurate:

The I-IN and Q-IN connectors allow you to connect an external arbitrary waveform generator to the instrument I/Q modulator. This gives you additional control of the RF signals that you can analyze. The rear panel I-IN and Q-IN connectors are activated by means of the External I Q dialog box in the Series V2900.

The external I and Q inputs are designed for a 50 Ohm input impedance and have a bandwidth of greater than 100 MHz.

The user should supply an I and Q signal that is 1.6 V peak-to-peak amplitude centered around a nominal 0 Volts. In order to get good carrier and sideband suppression, you will have to adjust DC offset, amplitude and phase of the baseband inputs.


TRIG IN connector

The TRIG IN connector allows another device to initiate an event in the instrument. To learn more on how this can be done see Trigger description and uses.

TRIG IN is a high impedance (10 KOhms in parallel with 22 pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3 Volts initiates a trigger. The input is diode clamped for protection; absolute maximum levels on this line are -0.4 to 3.7VDC. This input may be terminated into 50 Ohms using a feed-through termination (not supplied) at the rear panel.

See also Sync Out.


Trigger description and uses

When you switch the Series V2800 to sweep continuously (preset setting), the instrument immediately tunes to the frequency and power values in the measurement span. When the Series V2800 reaches the last set of values in the sweep or channel power list, it immediately returns to the first set of values for the sweep or list, repeating the sweep continuously.

If you want the instrument to wait until you are ready for it to make a measurement, you can set up a trigger. The Series V2800 has trigger options that allow you to control whether the instrument does one of the following operations:

  • Starts a continuous sweep
  • Starts a single sweep
  • Tunes to the next measurement point (frequency/power values)

By default, the instrument trigger point is positioned in the center of the measurement screen. If you want to view measurement trace events that occur before or after the trigger point, set a trigger delay (see To set the trigger).

You can also control what the Series V2800 will accept as a trigger event:

  • Sweep Single button
  • SCPI command (*TRG)
  • External TTL input:
    • Pulse with a rising (positive) edge
    • Pulse with a falling (negative) edge
  • Video input:
    • Specified RF signal power level
    • Leading edge of a bursted RF signal

You can also choose from a few combination triggers where the condition of two trigger events must happen for the instrument to proceed with the specified operation. The first event arms the trigger and the second event causes the trigger. For example, you can choose a trigger event combination of external/video.

Video trigger

The video trigger is intended for data acquisition of multiple bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst even when modulation noise is inside the burst.

To ensure that the analyzer performs the measurement when the burst occurs and not when modulation noise occurs, you can set the video trigger pre-qualification. The pre-qualification requires that the input signal stay out of an area you specify that is located before the leading edge of the burst. This pre-qualification area has a level that the RF signal must stay below for a certain length of time. The trigger event is based on the contrast between when there is no burst and when a burst occurs.

Trigger mode

The trigger mode determines how the instrument acquires data when more than one data acquisition is required to complete a measurement:

  • On Measurement starts the first data acquisition and then immediately takes any subsequent data acquisitions needed to complete the measurement. In this mode, only the first data acquisition of a measurement is synchronized with a trigger. Subsequent data acquisitions needed to complete the measurement proceed immediately without any further triggers.
  • On Acquire starts a single data acquisition and then waits for another trigger to continue with the subsequent data acquisition. In this mode, every data acquisition in the measurement waits for a trigger to synchronize it to the events.

The On Acquire trigger mode is most useful for the channel power list and ACPR measurements, since they are comprised of discrete data acquisitions. This mode is also useful if you want data acquisitions synchronized to a trigger event.

See Trigger settings panel and To set the trigger for more information.


REF IN and OUT connectors

REF IN connector

The 1 to 20 MHz REF IN connector allows an external frequency source to lock the instrument oscillator circuit to a range of from 1 to 60 MHz, which can improve measurement accuracy. A dialog box is used to synchronize the instrument to the external reference source.

  • Connector type: BNC
  • Amplitude range: -10 to 10 dBm Input (DC blocked)
  • Coupling: DC blocked
  • Impedance: 50 Ohms
  • Lock range: At 10 MHz +/-10 ppm
  • Frequency Range: 1 MHz to 60 MHz, user selectable with 1Hz resolution

REF OUT connector

The 10 MHz external REF OUT connector is used in a daisy-chain configuration with other measurement instruments to improve measurement accuracy.

  • Connector type: BNC
  • Output impedance: 50 Ohms
  • Output frequency: 10 MHz
  • Amplitude: 5 dBm approximately

    Note icon Instruments using a firmware upgrade prior to release 9194 are limited to a maximum frequency reference of 20 MHz. See Upgrade firmware for details.


EVEN SEC IN, OUT connectors

Like the REF IN and REF OUT connectors, the EVEN SEC IN and EVEN SEC OUT connectors are used in conjunction with other devices for accurate frequency locking purposes.

EVEN SEC IN is a high impedance (10 KOhms in parallel with 22 pF), diode clamped Schmidt trigger input. A logic signal greater than 1.3 Volts initiates a trigger. The input is diode clamped for protection, and absolute maximum levels on this line are -0.4 to 3.7 VDC. This input may be terminated into 50 Ohms using a feed-through termination (not supplied) at the rear panel.

EVEN SEC OUT is a low impedance, TTL compatible bus driver output signal capable of sourcing 30 mA or sinking 60 mA maximum.


Instrument Interface Options

You may interact with the Series V2800 host using one of the following methods:

  • Touch screen graphical user interface (GUI)
  • Using the Series V2800 Desktop Control Panel interface: The Desktop Control Panel interface runs on a PC and provides full interaction (same functionality as the touch screen GUI, same SCPI control capability) to the Series V2800 instrument. Connection between the Desktop Control Panel and the instrument is via a high-speed USB connection (not GPIB or LAN).
  • Remote control via SCPI programming interface: Programmatic control and data handling via LAN or GPIB connection with the instrument.

    Note icon If using the Desktop Control Panel program, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument over a high-speed USB cable. When the Desktop Control Panel program is running, GPIB and LAN communication to the instrument is disabled.

  • Using the LXI web interface: Interaction to the partial instrument GUI (not all features) via a LAN connection, viewed over a web browser.


Series V2800 User Interface Tour

Select a red boxes to learn more about the user interface functions. The features you see are available via the touch screen interface and the Desktop Control Panel interface.

______

Note icon Some instrument features are not available when using the LXI web interface.

______

go to Menu go to measurements go to measurement settings go to context sensitive Help


Menu

From the Menu button, the following selections are available; select one of the following links to learn more:

  • V2800 Files selects load and save file operations, shared network folders and screen capture.
  • V2800 Global Settings are instrument settings (as opposed to measurement settings).
  • V2800 Utilities are system settings such GPIB, LAN, Ethernet, upgrading firmware, licensing, calibrate touch screen, screen saver, debug, time and date.
  • V2800 Help opens the system Help and has stored information about this Series V2800.


Series V2800 files

To learn about Series V2800 File operations, select from the following menu choices:

  • Open setup
  • Save setup
  • Shared network folders
  • Save screen


Open setup...

Instrument settings that have been previously saved, can be loaded and restored on the instrument.

An instrument setup file can be loaded from:

  • A memory location inside the instrument.
  • A memory device connected to a USB port.
  • A Shared network folder.

Refer to How to load an instrument setup file.

Refer to Shared network folders to see how setup files can be loaded from a remote location.


Save setup...

Instrument settings can be saved for future reloading in three locations.

  • A memory location inside the instrument.
  • A memory device connected to a USB port.
  • A Shared network folder.

See How to save an instrument setup file.

  • Select the Look in field to select User or USB.

In this example select User to save the setup as a file in the internal flash memory.


Folder or drive sharing

You can make a connection between the instrument and any Windows computer drive to share or manage files across the multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

Note icon You can only establish a shared folder from the front panel interface and if a password is required, you will need a USB keyboard attached to the instrument.

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.


Shared network folders...

Use this dialog box to manage shared network folders

Learn about:

Folder or drive sharing

Share a drive, files or folders

Share a drive, files or folders on the network:

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

______

Note icon You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

______

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.

______

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.
  6. Select Close to close the dialog.


Save Screen...

Not applicable to Desktop Control Panel: When using the Desktop Control Panel interface on your computer, you may capture a screen by using one of these options: Print Screen key (captures entire screen to clipboard), Alt + Print Screen (captures active window to clipboard), or use a screen capture utility. You may then paste the captured screen into another program and save for later use.

The Save Screen feature allows you to capture and save a screen image to internal memory or to a USB memory device.

  • File > Save Screen...
  • Select the Look in field to select User or USB.
  • Navigate to the folder to store the image.
  • Use the Keyboard to give the image a name.
  • Select Save.


Global settings

To learn more about Global Settings, select from the following:

  • Atten/Preamp controls
  • Carrier Offsets
  • Digital I/O
  • Frequency reference
  • MIMO*
  • Marker Config
  • RF Out control panel
  • Sync Output settings panel
  • Trigger settings panel
  • User flatness
  • Calibrate
  • Advanced
    • ADC dither
    • Extend Freq
    • Auto Power Up
    • Range Check
    • Randomize Start
    • More...Advanced Settings


Atten/Preamp control panel

The attenuator and preamplifier allow you to modify input signal power.

Atten

Atten Auto On enables the automatic application of attenuation to the input signal when selected. When you select the Ref Level or Expected Power value, the analyzer automatically adjusts the input attenuation to optimize the power measurement range.

Atten Value allows you to view the attenuation value automatically applied by the analyzer (if the Atten Auto is enabled), or you enter an attenuation value manually. The manual setting is useful when you want to step the attenuation value to determine if displayed signal spurs are due to the device under test or the analyzer.

Note icon An asterisk symbol ( * ) appears next to the word Atten in the Atten/Preamp button when the manual setting is selected. This is a visual indicator that automatic setting is uncoupled and that the instrument no longer tracks changes to the reference level.

Remote control commands

[:SENSe]:POWer[:RF]:ATTenuation

[:SENSe]:POWer[:RF]:ATTenuation:AUTO

[:SENSe]:POWer[:RF]:GAIN[:STATe]


Carrier Offsets

_____

Note icon This feature is not available for the Model 2810.

_____

Use the Carrier Offsets dialog to set the Carrier Phase and Frequency Offset.

  • Carrier Phase: Enables you to initiate a carrier phase shift of 0.0 degrees to ±180 degrees in relation to the frequency reference source. With two sources using a common external reference, this feature allows phase adjustment of the output of one source in relation to the phase of the other source. This capability is useful in beamforming applications where you need to steer antenna patterns.
    __
    Related SCPI command: [:SENSe]:PHASe:ADJust
    __
  • Frequency Offset: Enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the Agilent V2895 Synchronization Unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
    __
    Related SCPI command: [:SENSe]:FREQuency:OFFSet

Preamp

Preamp allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

Note icon A * symbol will appear next to the word Preamp in the Atten/Preamp button when the Preamp is selected. This is a visual indicator that the Preamp has been turned on.


Digital I/O connector pin out

The connector location and pin designations are shown below:

Digital IO 2810 connections


Digital input

Pin 8 of the Digital I/O is the digital input line. You can apply a TTL high or TTL low to this line. The state of the input (high or low) can be determined from the front panel or over the communication bus.

From the instrument front panel interface:

Select Menu > Global Settings > Digital I/O.

From the remote interface:

:SOURce:TTL:INPut?

If a high TTL level is on the input, this command will return a "1". If a low TTL level is present, a "0" will be returned.


Sink mode

Controlling external devices

Each output can be operated from an external supply (voltage range from +5V to +30V applied through the external device being driven). The high current sink capacity of the output driver allows direct control of relays, solenoids, and lamps (no additional circuitry needed).

As shown in the graphic above, each of the digital, open-collector outputs includes a built-in pull up resistor connected to +5V. The output transistor is capable of sinking 250mA from voltages up to +30V. Each output channel contains a fly-back diode for protection when switching inductive loads (such as a low power solenoid or relay coils). To use these fly-back diodes, connect the external supply voltage to pin 9 of the Digital I/O port. Make sure the external supply voltage is between +5V and +30V and the current required by the device does not exceed 250mA.

CAUTION: On pin 9, do not exceed +30V. For the output lines, do not exceed the maximum sink current. The maximum sink current for an output line is 250mA. Exceeding these limits may cause damage to the instrument that is not covered by the warranty.

An externally powered relay connected to the digital output port is shown in the graphic. Other externally powered devices can be similarly connected by replacing the relay with the device. When the output line is pulled low (0V), the output transistor sinks current through the external device. In the high state, the output transistor is off (transistor switch open). This interrupts current flow through the external device.

Internal +5V supply

The +5V supply of the Digital I/O (pin 7) can be used to drive low-power devices. The maximum current that can be delivered to a DUT load is 100mA. Do not exceed this limit. As shown in the following graphic, the internal 5V supply can be used instead of the external power source by connecting the high side of the coil to pin 7 of the Digital I/O. Make sure both the coil and external power source are disconnected from pin 9.

Controlling externally powered relays


To set Digital I/O lines

An output line can be set high (H) or low (L). From the front panel, the decimal equivalent of the bit pattern is set. Use the table at the end of this topic to determine the decimal value for the bit pattern. For example, to set output 4 high and the outputs 1, 2, and 3 low, use decimal value "8." There are four output (write) bits and one input (read) bit.

From the front panel interface:

  1. Select Menu > Global Settings > Digital I/O.
  2. Turn the front panel knob to enter the desired Write Bits value in decimal format. This value is equivalent to the digital output pattern in binary format. In this example, the value has been changed to 5.

  3. Select the Read Bit: button. Notice the Read Bit's value is 1.

Use this table to determine the decimal value for the bit pattern. For example, to set output 4 high and the outputs 1, 2, and 3 low, use decimal value "8."

Output patterns for NRf parameter
Out 4 | Out 3 | Out 2 | Out 1 | Decimal
L | L | L | L | 0
L | L | L | H | 1
L | L | H | L | 2
L | L | H | H | 3
L | H | L | L | 4
L | H | L | H | 5
L | H | H | L | 6
L | H | H | H | 7
H | L | L | L | 8
H | L | L | H | 9
H | L | H | L | 10
H | L | H | H | 11
H | H | L | L | 12
H | H | L | H | 13
H | H | H | L | 14
H | H | H | H | 15

From the remote interface:

The :SOURce:TTL subsystem commands are used to set the logic level for the four output lines of the Digital I/O.

To control the Digital I/O output settings:

:TTL [MAXimum | MINimum | DEFault]

An output line can be set high (H) or low (L). When using the decimal format to set the bit pattern, use the table above to determine the decimal value for the parameter.

Example:

To set output 4 high and the outputs 1, 2, and 3 low, use parameter value "8" as shown in the table above.

When you are using one of the non-decimal formats, convert the decimal value for the bit pattern to the equivalent binary, octal, or hexadecimal value. Be sure to use the appropriate header (#B, #Q, or #H) with the non-decimal number. For example, for decimal 8, the binary equivalent for the parameter is #B1000.

When you are using the query command to read the set bit pattern, the format of the returned value depends on the presently set data format for :SOURce:TTL commands.

Example:

Set outputs 4 and 2 high and outputs 3 and 1 low:

:TTL:LEV #B1010 | Binary format.
[:SOURce]:TTL[:LEVel] <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Specify bit pattern for the four digital output lines 15.
[:SOURce]:TTL[:LEVel]? | Query set bit pattern.
[:SOURce]:TTL:INPut? | Query digital input state: Hi (1) or Lo (0).

Parameters:

Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 15 | Decimal format |
<NDN> | = #Bxxxx | Binary format | xxxx = 0000 to 1111
 | = #Hx | Hexidecimal format | x = 0 to F
 | = #Qx | Octal format | x = 0 to 17


Digital outputs

The Digital I/O port has four digital outputs. Each digital output can be used in the following ways:

  • A sink mode to control devices (for example, relays).
  • A source mode to provide input to external logic circuitry (TTL or CMOS).

The simplified schematic for the digital outputs is shown in the following graphic. Notice that this illustration shows the schematic for one digital output. All four digital output circuits are identical.

Digital output port simplified diagram

Digital out smaller


Frequency Reference...

You can use a common frequency reference for all the equipment in a measurement setup by choosing from three frequency reference sources:

Frequency source | Rear panel access | Description
Internal (10 MHz) | REF OUT | Used in a daisy-chain configuration with other measurement instruments to improve measurement accuracy.
External (1 to 60 MHz) | REF IN | Allows an external frequency source to lock the instrument oscillator circuit, which can improve measurement accuracy. The locking range is 1 to 60MHz.
Even Second Input | EVEN SEC IN | Even Sec Input/Output allows synchronization to certain GPS or other frequency references that provide a pulse every two seconds.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.

Note: Instruments using a firmware upgrade prior to release 9194 are limited to a maximum frequency reference of 20 MHz. See Upgrade Firmware for details.

From the front panel interface:

  1. Select Menu > Global Settings > Frequency Reference....
  2. Select the Frequency Reference Source:
    • If you want to use the frequency source internal to the instrument, select Internal.
    • If you want to use an external frequency source, select External and enter the frequency of the external source. The default external frequency reference is 20 MHz.
    • If you want to synchronize to GPS or other frequency references, select Even Second In and set the Even Second In Polarity (rising or falling).
  3. Select the Even Second Out Polarity:

    MIMO Systems: Note that the same even second inputs/outputs are used for MIMO synchronization. Therefore it is important to set the Even Second Out Polarity to Off to prevent potential interference with MIMO operation if the unit will be connected to a Agilent V2895 MIMO Synchronization Unit. Not doing so will cause a problem if you are not using that particular instrument in MIMO operation, but other instruments connected to the V2895 sync unit are in MIMO mode. For example, you have four V2820A units connected to a V2895, but you want to make a 2-channel measurement. You would set two units to non-MIMO mode, being careful to set the Even Second Out polarity to Off. The other two units would be set to MIMO mode.

  4. Check the reference status indicator located in the lower right-hand portion of the instrument screen with the Ref heading.
  5. Close the dialog when you are finished.

_
Related SCPI Commands:

  • Series V2800 VSA Instruments
    • [:SOURce]:ROSCillator:SOURce
    • [:SOURce]:ROSCillator:EXTernal:FREQuency
    • :SOURce:EEVensecond:POLarity:IN
    • :SOURce:EEVensecond:POLarity:OUT
  • Series V2900 VSG Instruments
    • [:SOURce]:ROSCillator:SOURce
    • [:SOURce]:ROSCillator:EXTernal:FREQuency
    • [:SOURce]:IEVensecond:POLarity
    • [:SOURce]:ROSCillator:EEVensecond:POLarity


MIMO

The MIMO (multiple input multiple output) system transmits multiple, independently modulated OFDM signals on the same channel. All analyzers share common LO (local oscillator) and clock signals. The master unit provides the LO, a digital clock and trigger synchronization to the MIMO synchronization unit. The latter unit distributes those signals to all of the other units. Signal sampling is aligned to within ±1ns.

Note icon This feature is not available on the Model 2910 or the Model 2810.

__
To initiate a MIMO measurement:

  1. Select Preset.
  2. Select Global Settings > MIMO.

This brings up the MIMO dialog.

Caution: Unused units tied into a MIMO system must be powered on and their Even Second Out Polarity set to "off"; otherwise, these units will prevent the MIMO system handshaking from operating properly.

_____

Note icon It is important to keep the center frequency of the master and all slaves the same. If you attempt to change the Center Frequency on a unit that is a Master or a Slave, the unit will respond with the error message "Verify MIMO Master and all MIMO Slaves are tuned to same frequency."

_____
See Also:

  • Mode
  • MIMO Sync
  • Master Sync
  • Internal Clock
  • VCO
  • LO Power
  • For MIMO related SCPI commands, see :MIMO
  • MIMO Application Guide

_

_

Mode

Caution: This control is not typically used during normal operation.

_____
The MIMO Mode drop-down menu offers the following choices:

  • Off - This selection configures the instruments for non-MIMO operation. The VCO and the Internal Clock are turned ON and the MIMO Sync is turned OFF. The instrument is not waiting for external synchronization.
  • Master - This mode establishes the instrument as the master to any other similar instruments connected to the synchronization unit. The master unit generates the RF carrier, which is then distributed to the other instruments. When you set an instrument to master:
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned ON.
    • Internal Clock is turned OFF.
  • Slave - This mode establishes the instrument as the slave to the master instrument connected to the synchronization unit.
    • MIMO Sync is turned ON.
    • VCO (voltage controlled oscillator) is turned OFF.
    • Internal Clock is turned OFF.

      Note icon Turning VCO and Internal Clock OFF produces a signal with less noise.

  • Manual - This mode is intended for factory debugging. If you use this mode to control MIMO Sync, Master Sync, VCO, or Internal Clock it is best utilized with the assistance of a Agilent Instruments application engineer.

Related SCPI command:

  • :MIMO:MODE

MIMO Sync

Caution: This control is not typically used during normal operation.

_____
MIMO Sync sets the instrument to generate and use the MIMO synchronization handshaking signals. This selection allows for manual control when debugging with the assistance of an Agilent application engineer.

Related SCPI command:

  • :MIMO:SYNC[:STATe]

Master Sync

Caution: This control is not typically used during normal operation.

_____
Master Sync makes the unit the master in charge of controlling the MIMO synchronization signals. This selection allows for manual control when debugging with the assistance of an <company application engineer.

Related SCPI command:

  • :MASTer:SYNC[:STATe]

Internal Clock

The internal clock is turned OFF for MIMO operation. For standard instrument operation (no master/slave configuration) the internal clock is turned ON.

Note icon When in MIMO mode, the Ref indicator in the lower-right corner of the instrument screen displays "MIMO".

Related SCPI command:

  • [:SOURce]:INTernal:CLOCk[:STATe]

VCO

The VCO (voltage-controlled oscillator) is turned ON in the master unit and OFF for all slave units.

Related SCPI command:

  • [:SOURce]:VCO[:STATe]

LO Power

Local oscillator (LO) power must be present at the LO IN connector of every instrument in the MIMO configuration. When sufficient LO power is present at the prescribed instrument, the indicator at the bottom of the MIMO dialog displays LO Power: Present. When no LO signal is present at the LO IN connector the indicator displays LO Power: Low.

To the right of this indicator is a button labeled Read Power. This selection allows for manual control when debugging with the assistance of an Agilent application engineer.

Caution: This control is not typically used during normal operation.


Marker Config

To access the marker configuration dialog: Menu > Global Settings > Marker Config...

Marker Config has two Peak Search Criteria to enable you to define a local max on a trace as a peak. The peak search searches for bi-directional peaks (upward and downward) on traces with units of dB, Hz, degrees, or percent (depending on the Units you select in this dialog).

___
Excursion: Use this editable value to define a local max on a trace as a peak by its amplitude difference from the adjacent local max traces.

___
Threshold: Use this editable value to define a minimum value (relative to 1 milliwatt) that a local max on a trace must meet to qualify as a peak. This setting is useful in filtering noise from the measurement.

___
Related SCPI commands:

  • :CALCulate:MARKer:EXCursion[:DECibel]
  • :CALCulate:MARKer:THReshold[:DECibel]
  • :CALCulate:MARKer:EXCursion:DEGRees
  • :CALCulate:MARKer:THReshold:DEGRees
  • :CALCulate:MARKer:EXCursion:HZ
  • :CALCulate:MARKer:THReshold:HZ
  • :CALCulate:MARKer:EXCursion:PERCent
  • :CALCulate:MARKer:THReshold:PERCent


RF Out control panel

RF Out allows you to apply the output signal to devices that may be under test or part of a measurement configuration. For example, you could apply the RF Out to an external mixer that converts the output frequency of a test device to a range that the analyzer can measure.

RF Out

Enables and disables the RF output signal. This connector is named TG (tracking generator) Out. Depending on the option of the instrument, you can access the output signal from a front panel TG Out connector or a rear panel TG Out connector.

Remote control command

:SOURce[:STATe]

RF frequency values
  • Start sets the frequency that starts the measurement sweep.
  • Stop sets the frequency that stops the measurement sweep.
  • Center sets the frequency that is the center of the measurement sweep.
  • Span sets the frequency range above and below the center of the measurement sweep.

Remote control commands

  • :SOURce:FREQuency:CENTer
  • :SOURce:FREQuency:SPAN
  • :SOURce:FREQuency:STOP
  • :SOURce:FREQuency[:STARt]

Dwell

Sets the length of time the analyzer stays at each measurement point. This is useful for allowing the instrument to settle at the current parameter settings.

Remote control command

:SOURce:DWELl

Number of Points

Sets the number of data points for the measurement sweep. The default is 501 points.

Remote control command

:SOURce:POINts


Sync Output settings panel

This panel allows you to set up settings for synchronizing signals.

Sync Type

Sets the event that causes a sync output pulse:

  • Off disables the sync output.
  • Begin Measurement sends a sync pulse when the measurement sweep begins.
  • Start Tune sends a sync pulse when the analyzer switches to the parameters for the next data point measurement.
  • Ready Acquire sends a sync pulse when the analyzer has settled at the current parameters and it is waiting for a trigger to acquire data at that measurement point.
  • Start Acquire sends a sync pulse when the analyzer starts to acquire data at the current measurement point.
  • End Acquire sends a sync pulse when the analyzer has finished acquiring data at the current measurement point.
  • End Measurement sends a sync pulse when the analyzer has reached the end of the measurement sweep.

Remote control commands

:SOUTput:MODE

Sync Polarity

Sets the polarity of the sync pulse:

  • Rising sets the sync pulse polarity to rising.
  • Falling sets the sync pulse polarity to falling.

Remote control commands

:SOUTput:POLarity

Pulse Sync Out

The Sync Output settings panel now offers a Pulse Sync Out button. This feature enables you to immediately send a sync out pulse from a Series V2800 to trigger other equipment. This feature is valuable in making MIMO measurements.

Remote control command:

:SOUTput:IMMediate


Trigger settings panel

This panel provides the controls that allow you to set up signal triggers.

Trigger Source

Sets the input trigger source:

  • Free Run triggers another measurement immediately at the end of each measurement if you have set continuous sweep. If you have set single sweep, you must select Sweep Single to trigger a measurement.
  • External triggers a measurement when the instrument receives an external signal pulse.
  • Video triggers a measurement when the input signal reaches the value specified.
  • Ext Arm/Video Trig triggers a measurement when the instrument receives an external signal pulse and the input signal reaches the specified value.
  • Bus Arm/Ext Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and an external signal pulse.
  • Bus Arm/Video Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and the input signal reaches the specified value.
  • Ext Latched is similar to External. It triggers a measurement if the external input has sent an active edge since the last latch reset. The external trigger latch is reset when the trigger is used or the receiver sends a sync out signal.
  • Bus triggers a measurement when the instrument receives the *TRG command.

Remote control command

:TRIGger[:SEQuence]:SOURce

Trigger Mode

The trigger mode determines how the instrument acquires data when more than one data acquisition is required to complete a measurement:

  • On Measurement starts the first data acquisition and then immediately takes any subsequent data acquisitions needed to complete the measurement. In this mode, only the first data acquisition of a measurement is synchronized with a trigger. Subsequent data acquisitions needed to complete the measurement proceed immediately without waiting for any further triggers.
  • On Acquire starts a single data acquisition and then waits for another trigger to continue with the subsequent data acquisition. In this mode, every data acquisition in the measurement waits for a trigger to synchronize it to the events.

The On Acquire trigger mode is most useful for the channel power list and ACPR measurements, since they are comprised of discrete data acquisitions. This mode is also useful if you want data acquisitions synchronized to a trigger event.

Remote control commands

:TRIGger[:SEQuence]:MODE

Video Level

Sets the power level that the incoming RF signal must reach to cause a trigger event.

Remote control commands

:TRIGger[:SEQuence]:LEVel

Trigger Delay

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window.

Remote control commands

:TRIGger[:SEQuence]:DELay

Auto Trigger Timeout

Sets the time to wait in seconds for a trigger before automatically providing an internal trigger to acquire a measurement:

  • Time Out ON enables the auto trigger timeout when selected.
  • Time Out sets the time to wait for a trigger.

Remote control commands

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:AUTO[:STATe]

Video Trigger

Sets the parameters of the video trigger:

  • Signal Type sets the condition that causes a trigger:
    • Edge sets the trigger condition to be a transition of signal power over the specified video level.
    • Level sets the trigger condition to be a signal power level.
  • Slope sets the video trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a lower value to a higher value over the specified video level to cause a trigger.
    • Negative sets the trigger to happen on the negative-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a higher value to a lower value over the specified video level to cause a trigger.
  • Pre-Qualification:
    • Level sets the power level boundary that the input signal must avoid for some specified time before the trigger will be recognized by the instrument.
    • Time sets a window area in seconds at some specified power level that the input signal must avoid before the trigger will be recognized by the instrument.
  • Bandwidth: sets the video trigger bandwidth as a percentage of available impulse bandwidth. The available impulse bandwidth is dictated by the underlying sample rate of the measurement's data acquisition. Generally, this available bandwidth is two to four times the bandwidth required by the given measurement.

Remote control commands

  • :TRIGger[:SEQuence]:PREQual:WINDow
  • :TRIGger[:SEQuence]:PREQual[:LEVel]
  • :TRIGger[:SEQuence]:TYPE
  • :TRIGger[:SEQuence]:VIDeo:BANDwidth
  • :TRIGger[:SEQuence]:VIDeo:SLOPe

External Trigger
  • Slope sets the external trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse.
    • Negative sets the trigger to happen on the negative-going slope of a pulse.

Remote control commands

:TRIGger[:SEQuence]:EXTernal:SLOPe


User flatness

With this feature, the user can create or open a user flatness data file to implement a level offset that compensates for path losses.

Access the user flatness dialog box from the front panel interface: select Menu > Global Settings > User Flatness....

Note icon As a visual indicator, when User Flatness is active, "(Offs)" is displayed next to the "Expected Pwr" label or below the "Ref Level" entry field. Clicking the indicator opens the User Flatness dialog.

When you open a data file or create a new one, the application checks for the following requirements:

  • The maximum of 20 rows is not exceeded.
  • The frequencies are listed in ascending order.
  • The frequencies listed are within the limits of 0 Hz to 100 GHz. See User flatness range .
  • The minimum frequency spacing of 1 KHz is maintained.
  • All offsets are within the limits of ±100 dB.

    Note icon An error message appears at the bottom of the screen if the instrument detects any of the conditions listed above with the user flatness file. Select Dismiss to remove the error message. Otherwise, the error message will stay on the screen and it may block any subsequent messages associated with other user flatness files that you attempt to load.

Example user flatness file:

FLATNESS Version 1.0,

Begin Table,

Frequency(Hz),Offset(dB)

9.980E+08,10

9.981E+08,10

9.982E+08,10

9.983E+08,10

9.984E+08,10

9.985E+08,10

9.986E+08,10

The following control buttons are on the top of the user flatness dialog box:

  • Data File allows manipulation of files with the following choices:
    • Open... opens a file browser window to enable you to select a file from the "User" folder, a USB memory stick, or a shared network folder. The name of the opened file appears (in brackets) in the title bar. If an open file is modified, an asterisk appears next to the file name. If you choose to create a new file or open another existing file, you are prompted to save the modified file. If you select "No," the new file table or the selected file is opened and your modifications to the last file are not saved.

      In the User folder, an example user flatness file (Example.csv) is provided for you to customize for your purposes.

    • New... opens a blank file table that you can modify by inserting and modifying rows. Once you have created a new frequency/offset table, you can save and name it.
    • Save... saves the current active file under the bracketed name displayed in the upper-left title bar (next to the label User Flatness). When no previously saved file is open, this choice is grayed out.
    • Save as... allows saving a new or modified file under a new name.
  • Insert Above creates the first row in a table, or if you first select an existing row, a new row is inserted above it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz lower in frequency than the row below it and has the same offset.
  • Insert Below creates the first row in a table or if you first select an existing row, a new row is inserted below it with data in the Frequency(Hz) and Offset(dB) columns. By default the new row is 1 kHz higher in frequency than the row above it and has the same offset.
  • Delete deletes an existing row. As rows are deleted, the row above the deleted one becomes the selected row. If the user flatness file is turned On, you can delete all but the last row while maintaining the User Flatness On. If the last row is deleted, the user flatness feature is turned Off.
  • On/Off toggles the amplitude offset On and Off.

You can use the standard controls (front panel knob, or puck) to modify the contents of any cell on the file table. If you double-click on any cell within the file table or press the center button on the puck, the number pad is called up to set the value of that cell. Refer to Changing a value for further details on editing values.

Once a file has been opened and modified, an asterisk appears next to the file name in the title bar and remains until the file is saved.

There are two SCPI commands related to user flatness:

[:SENSe]:UFLatness:LOAD selects and loads the user flatness data file. The default file extension is .csv and directory aliases are recognized.

[:SENSe]:UFLatness:STATe switches the user flatness on/off.

Under remote programming, no confirmation messages (for example, "Do you want to save changes before continuing?") are present if a new file is called up after changes have been made to the previous file.


User flatness range

The range of frequencies possible in a user flatness data file is 0 Hz to 100 GHz. Although this range of frequencies is outside the range of the instrument, it has been designed to accommodate customer calibration operations that may be outside the frequency range of the instrument.


Preset Type

Select the preset type to use when setting the instrument to preset values. The preset is performed by pressing the front panel Preset button, powering the system on, or sending a :SYSTem:PRESet command. The choices are:

  • Factory Preset
  • User Preset

If Factory Preset is chosen, the instrument is set to the factory default state. If User Preset is chosen, the instrument is set to the state saved by SYSTem:PRESet:SAVE.

Remote control command:

:SYSTem:PRESet:TYPE

See also:

  • Preset button
  • Series V2800 Preset conditions


Save User Preset

Select Save User Preset to set the current instrument state as a user-defined preset. This state is recalled if :SYSTem:PRESet:TYPE is set to USER when:

  • the Preset button is selected.
  • the instrument is powered up
  • the :SYSTem:PRESet command is used

Remote control command:

:SYSTem:PRESet:SAVE

See also:

  • Preset button
  • Series V2800 Preset conditions


Calibrate

Calibrates the analyzer hardware for amplitude accuracy. You should run this calibration daily and when there are changes in the ambient temperature.

Remote control command

:CALibrate[:ALL]


Advanced

  • ADC dither
  • Extend Freq
  • Auto Power Up
  • Range Check
  • Randomize Start
  • Low Phase Noise
  • More...


ADC Dither

Enables and disables the ADC dither functionality. When the function is enabled, the analyzer suppresses discrete spurs in the measurement. When the function is disabled, the analyzer lowers the noise for better phase noise measurements, but the spur suppression is not applied to the measurement.

Remote control command

[:SENSe]:ADC:DITHer[:STATe]


Auto Power Up

The normal power up procedure requires that you first set the power switch (located on the rear panel Line input module) to the On/Standby position. Then, you may turn on the front panel Power On button This button has a power control symbol; when the unit is powered on, a green LED can be seen. .

If the Auto Power Up feature is enabled (checked) you do not need to press the front panel Power On button to start the instrument. This capability makes it possible to rack-mount the instrument and start all racked instruments simply by turning on the power bus strip to which they are connected.

This condition persists until you open the Advanced dialog and disable the Auto Power Up feature.

This feature is not available for the Model 2910.


Range Check

Enables and disables the DSP process of checking for an input overload.

Remote control command

[:SENSe]:DSP:RANGe[:STATe]


Randomize Start

Enables and disables the DSP process of randomly setting the actual start time of a free run trigger to avoid a repetitive static measurement period.

Remote control command

[:SENSe]:DSP:RANDomize[:STATe]


Background Tasks

Background tasks include checks on lock status, oven heater temperature, and overall temperature.


Low Phase Noise

This feature is presently available only for instruments equipped with the Ultra Low Phase Noise option: V2820A-UPN.

The Low Phase Noise setting allows you to enable or disable the -UPN option -- if this option is available in the instrument. Enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_
The following phase noise plot shows the typical phase noise performance in the V2820A-UPN option.

Phase Noise Plot with and without -UPN

_
See Also:

  • Managing Licenses
  • [:SENSe]:LPN[:STATe]


More

The capabilities listed in the Advanced Hardware Settings dialog box are best utilized with the assistance of an Agilent application engineer. Use of these features may adversely affect other functions of the instrument. These features will evolve over time with new releases of firmware.

See also:

  • Background Tasks
  • IQ Cache


IQ Cache

Note icon Please consult with an Agilent Support Engineer to implement this mode.

The VSA IQ Cache function allows the analyzer to perform measurements on data that was previously captured and stored in the analyzer DSP memory.

Series 2800 IQ Cache

IQ cache Data Source has 3 modes:

  • Normal Acquisition: In this mode, as measured data is captured, it is stored in the IQ Cache. Each capture is stored as a separate data block, which includes a pointer to the beginning of the next block.
  • IQ Cache Auto: Data is read from the IQ Cache for measurements, instead of the measurements acquiring new data from the RF hardware. In automatic mode, the pointer information included with the data is used to calculate the next position in the data cache.
  • IQ Cache with Increment: Data from the IQ Cache is used for measurement calculation, as with the auto mode. However, in this mode, you specify the beginning address of the cache and the increment or block size manually.

Start Address: For Normal Acquisition and IQ Cache Auto, this field is read-only. When using IQ Cache with Increment, double-click in this field to open the dialog from which you set the start address. Enter start address value and step size.

Cache Increment: For Normal Acquisition and IQ Cache Auto, this field is read-only. When using IQ Cache with Increment, double-click in this field to open the dialog from which you set the cache increment. Enter cache increment value and step size.
_

Note icon Certain measurements may require additional data collection based on measurement settings. These settings may be incompatible with using the IQ Cache. In the case of GSM and EDGE, the ORFS noise correction is automatically disabled when analyzing data from the IQ Cache.

__________
-

The IQ Cache function is typically employed when multiple states of a device under test (DUT) must be captured in a sequence timed by the DUT. This mode allows capture of all of the data from the DUT, and then analysis of the data after all points have been captured.

For example, a mobile phone could be configured to output a GSM burst on every other time slot for a specified period for 200 bursts. The frequency channel or the amplitude of the signal may change after every 25 bursts. Thus, the DUT will output 25 bursts at each of 8 different states (200 bursts total). All bursts are captured, and then the GSM measurements are averaged over each set of 25 bursts. A Custom Measurement is used to capture the data for each burst. In this example, 737 µs of data at 5 MHz sample rate is captured for each GSM burst. The capture of the data is triggered by the output of the DUT. During the data capture the IQ cache is in normal acquisition mode, causing the captured data to be stored in the IQ Cache. Then, to perform the GSM analysis on the captured data, the IQ Cache mode should be switched to IQ Cache Auto (manually or via SCPI commands), the average count for the GSM measurements is set to 25 and the GSM Measurements are run 8 times. Each of these 8 measurements analyzes one block of 25 bursts and provides the average results for those bursts.

Also, consider the case where the previous example is modified so that every other burst is an EDGE burst, giving a pattern of GSM, EDGE, GSM, EDGE… In this case, the analysis should still be performed on all of the GSM bursts, then on all of the EDGE bursts. The IQ Cache with Increment mode is used to scan through the data, first reading all of the GSM bursts and then all of the EDGE bursts. The values of the cache Start Address and Cache Increment will vary for each type of measurement.

After the data has been read from the cache, the IQ Cache mode should be switched back to Normal Acquisition. If too much data or data of an incorrect format is attempted to be read from the cache, an error message is displayed indicating either an incorrect sample rate, not enough samples in the data, or both.

_______
Remote control commands:

  • [:SENSe]:IQCache:DSOurce
  • [:SENSe]:IQCache:ADDRess:INCRement
  • [:SENSe]:IQCache:ADDRess:STARt

_______
See also:

  • Changing a Value
  • Custom Measurement


Utilities

To learn about the instrument utilities, select from the following:

  • Screen saver
  • GPIB address
  • Time and date
  • Ethernet Settings
  • LAN Config Init
  • Upgrade Firmware
  • Licenses
  • Calibrate Touch Screen
  • SCPI Debug


Screen saver

Note icon This feature is disabled while the Desktop Control Panel program is running.

You can set the screen to switch off after a specified time.

Access the Screen Saver dialog box by selecting Menu > Utilities > Screen Saver.

The selection range is 1 to 600 minutes. The default value is 60 minutes.

  1. Select the Screen Saver Delay to change the value.
  2. Select the Screen Saver On button to apply the change.

Notice the button background color changes to green.


GPIB Address

This topic shows you how to modify the GPIB address. For details on connecting a GPIB system, see GPIB configuration.

The GPIB Address dialog box is accessed by selecting: Menu > Utilities > GPIB Address...

Use this dialog box to change the GPIB address of the instrument.

The range of numbers for selection is 0 to 30.

The default GPIB address value is 10.

To change the value of the GPIB Address, select it and enter a different value.

Note icon When using the Agilent Desktop Control Panel application, communication with the instrument using GPIB is disabled.


Ethernet settings

You can adjust the Ethernet (LAN) settings directly or automatically. Select a method to learn more:

  • Obtain an IP address via DHCP
  • Specify an IP address
  • Advanced tab

Access the dialog box by selecting Menu > Utilities > Ethernet Settings...

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.


Specify an IP address
  1. Select Specify an IP address. The IP address and named server text fields are now available for modification.
  2. After modifying these text fields, select Apply to accept the changes, or Cancel to keep the Ethernet setting selection by way of DHCP.

_____

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.

______

______


Obtain an IP address via DHCP

Select: Menu > Utilities > Ethernet Settings...

The default condition is to obtain an IP address by means of DHCP as shown. In this condition all IP address and named server fields are grayed out and cannot be changed.

Note icon When using the Desktop Control Panel program, the Ethernet Settings dialog is read-only. The IP address is automatically the IP address of the PC on which the Desktop Control Panel program is running, as the instruments are connected to the PC using USB ports. See Controlling Multiple Instances of Desktop Control Panel for more information.

______

If Specify an IP address is selected:

Advanced tab

Select this tab if you want to select the network speed or change sockets numbers.

Network speed:

The default mode is auto-negotiate and this is the recommended setting

Selections for 10 Mbps and 100 Mbps are provided for troubleshooting when network difficulties are experienced.

To change a the network speed setting:

  1. Select one of the three radio buttons
  2. Select Apply
  3. Disconnect the LAN cable for 30 seconds or recycle power for the system to recognize the change

______

SCPI listen port:

This is the socket port that an application can open to communicate with the instrument using SCPI commands.

______

Applet listen port:

This is the socket port that the Web applet uses to communicate with the instrument.

Note icon You don't normally need to change this number except in cases where this default socket number is not available within your network. In such cases, contact your IT department.

See also:

  • Desktop Control Panel Port number conflict
  • Controlling the instrument via Desktop Control Panel


Time and date

You can adjust the instrument computer time and date settings.

Access the Time and Date dialog box by selecting Menu > Utilities > Time and Date...

The current settings are shown. The value range for each field is as follows:

  • Hour (1 - 24)
  • Minute (1 - 60)
  • Second (1 - 60)
  • Month (1 - 12)
  • Day (Depends on the month)
  • Year (2005 - 9999)

To save changes, select the Set System Time and Date To Above Values button.


LAN config init

You can restore the following default LAN configuration conditions:

  • The IP address is obtained by way of DHCP
  • The user name is the original value (admin)
  • The password is the original value (admin)

Access the LAN Config Init dialog box by selecting Menu > Utilities > LAN Config Init... Select Yes to restore the default conditions.


Firmware Upgrade

Use one of the following procedures to upgrade the instrument's firmware.

Note icon Be certain you are downloading and installing the correct firmware for your instrument. There are two types of installation files available:
1. Firmware files for the Agilent Series V2800 and Series V2900 instrument (with a .cab file extension)
-or-
2. Software files for the Agilent Desktop Control Panel application installed on a PC (with a .exe file extension)
_
If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______
Using the front panel interface:

  1. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  2. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the file to the instrument.

  3. On the instrument select Menu > Utilities > Upgrade Firmware.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.
  6. Follow the on-screen prompts to complete the installation.

_
Using the web interface:

Although you can upgrade the instrument firmware from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  3. Save it to a directory on the computer.
  4. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  5. Click Instrument on the web page. The virtual front panel is shown.
  6. Click Menu > Utilities > Upgrade Firmware.
  7. You may need to type the username / password (default is admin / admin) to proceed.
  8. Click Browse and navigate to the location of the file that you just downloaded from the Agilent website.
  9. Click Upload. This copies the file to the instrument firmware upgrade directory.

    Before proceeding, wait for the message "Successfully uploaded file ... Click 'Start Upgrade' to begin the upgrade process."

  10. Click Start Upgrade and then click the file that you uploaded to the instrument.
  11. Click Load.
  12. Follow the prompts to complete the installation.

_

Making room on the instrument's Storage Card

If, in the process of upgrading the firmware, you receive a message that the Storage Card (the instrument's internal memory) is full, use one of the following procedures to remove old .cab (firmware installer) files:

_
Using the Select Upgrade File dialog

Firmware files
-

  1. While in the Select Upgrade File dialog, make sure that "User" is the selected Look In directory.
  2. In the File list, scroll to the bottom of the list to see the old .cab files.

    Note icon Any .cab files listed in the File list are old installer files. Deleting them will not affect the instrument's operation with the present firmware installation.

  3. Select an old .cab file and press the Delete button in the dialog's upper toolbar.
  4. Repeat Step 3 for each old .cab file.

_
Using SCPI commands

  1. Use the :MMEMory:CATalog? command to ascertain what old .cab files existing on the Storage Card.
    • :MMEMory:CATalog? command for Series V2800 instruments
    • :MMEMory:CATalog? command for Series V2900 instruments
  2. Use the :MMEMory:DELete command to delete the old .cab files.
    • :MMEMory:DELete command for Series V2800 instruments
    • :MMEMory:DELete command for Series V2900 instruments


Custom Measurements

Custom measurements are available for specific customer needs. As arranged with your sales representative, a custom measurement can be created and added to your Agilent Series V2800 instrument.

To request a custom measurement, contact your Agilent sales representative.

See Also

  • Measurements overview
  • Installing a custom measurement
  • Deleting a custom measurement
  • Identifying custom measurements on your instrument


Installing a custom measurement

Use the following procedure to install a custom measurement:

  1. Having arranged for a custom measurement with your Agilent sales representative, the zipped custom measurement file may arrive in one of several ways (web download, CD, email, etc.).

    Note icon Do not unzip the file.

  2. Download the zipped custom measurement file and save it to a location on your computer or network. You may also want to save a copy to portable USB memory device to make it easy to install directly on the instrument without the need for a network connection.
  3. Select Menu > Utilities > Custom Measurement > Install...
  4. In the Select Custom Measurement dialog, navigate to where you stored the zip file, highlight it, and select Open.
  5. When prompted if you want to install the custom measurement, select Yes.
  6. Select Yes to restart the instrument.
  7. To verify that the measurement is installed, go to Menu > Help > About Agilent and check the Custom Measurements list:

______
Custom Measurements in About Dialog

______

See also:

  • Custom Measurements Overview
  • Deleting a custom measurement


Deleting a custom measurement

Custom Measurement - Delete

Use the following procedure to delete a custom measurement:

  1. Select Menu > Utilities > Custom Measurement > Delete...
  2. In the Delete Custom Measurement dialog, find the select the Custom Measurement and press the Delete button.
  3. Select Yes in the delete confirmation dialog.
  4. Select Yes to restart the instrument.
  5. To verify that the measurement is removed, go to Menu > Help > About Agilent and check the Custom Measurements list:
    Custom Measurements in About Dialog

See Also

  • Custom Measurements Overview
  • Installing a custom measurement


Identifying custom measurements on your instrument

To find out what custom measurements are loaded on your instrument select Menu > Help > About Agilent and check the Custom Measurements list:

Custom Measurements in About Dialog

See Also

  • Custom Measurements Overview
  • Installing a custom measurement
  • Deleting a custom measurement


Troubleshooting custom measurements

Problem

Possible Causes

Possible Solutions

At power up the instrument displays: "Error loading <custom_measurement>. Please re-install the latest version."
  • The current custom measurement is out of date, according to a new firmware update.

    or
  • Current firmware version was downgraded, and is no longer compatible with the customer measurement version.
  • Acquire the latest version of the custom measurement.

    To request a custom measurement, contact your Agilent sales representative.

  • If you installed a new custom measurement for old instrument code (version > required) then upgrade the instrument firmware as required (or revert to the older custom measurement).

At power up the instrument displays: "Version mismatch for <custom_measurement> (<version>, expected <required>)."

At power up the instrument displays: "Error initializing <custom_measurement>. Please re-install the latest version."

At power up the instrument displays: "Error initializing <custom_measurement> (<version>) - can't find <measurement>."

_____
See Also

  • Custom Measurements Overview
  • Installing a custom measurement


Managing Series V2800 Licenses

______

Refer to these links for more information:

  • View licenses
  • Add licenses
  • Transfer licenses
  • RF Product Software License Agreement

Refer to the measurement personality licensing options available for your instrument:

  • Upgrade firmware files
  • Series V2800 measurement personality license files


View licenses

To view the licenses installed on your Agilent Series V2800 instrument, go to Menu > Utilities > Licenses > View to open the dialog that displays the current licenses and the instruments' License ID. The License ID is needed to add new licenses to the instrument or to transfer licenses from one instrument to another.

______

______

Note icon The license ID is usually too long to display the entire number in the text box. Do not use this displayed value when a license ID is required for purchasing or transferring licenses - always use the File... button or the Clipboard.

_
From the Desktop Control Panel:

  1. Make sure the V2820A is connected to your PC using a USB cable.
  2. Launch the Desktop Control Panel software.
  3. Go to Menu > Utilities > Licenses > View... to open the window shown above.
  4. The current list of measurement personality licenses is shown in the table.

From the instrument front panel interface:

  1. Select Menu > Utilities > Licenses > View.
  2. View the current list of personality licenses in the displayed table.
  3. View the license ID at the bottom of the dialog.
  4. Select File... to save the instrument license ID to a *.txt file.
  5. In the Save License ID window, navigate to a location that you can access from your computer.

    Note icon A USB memory device is convenient for this purpose.

  6. Name the file to save:
    • If you want to overwrite an existing file, select the file in the directory structure, then select Save.
    • If you want to save the file as new, select the keyboard button and enter the <filename.txt>, then select Enter > Save.

From the LXI Web interface:

  1. Connect the instrument to a Web network that includes a computer.
  2. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know the instrument IP address, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  3. In the instrument Web page, click Licensing.
  4. The current list of measurement personality licenses is shown in the displayed table.
  5. Click Import. The modulation license ID is shown in the Instrument License Identifier row of the displayed table.

______

See also:

  • Adding Licenses
  • Transferring Licenses
  • Series V2800 measurement personality license files
  • RF Product Software License Agreement

______

Trouble viewing licenses (front panel and LXI web interface only)

If you have trouble viewing licenses (where they appear to be missing from the View Licenses window), especially after downgrading to an earlier version of Agilent Series V2800 firmware, you must first upgrade to the latest version of firmware (available at V2820A Website), then revert to the desired, older version using a correctly named .CAB file. That is, a .CAB file that has not been saved under a different name.

For more information, see Upgrading firmware


Add licenses

______

This procedure shows you how to add a newly-purchased license file to the instrument, or import (add) a license file from another instrument. The first part of this procedure shows you how to obtain the necessary information for ordering additional licenses. You can purchase licenses when ordering an instrument, or any time after receiving the instrument shipment. Fill out the license certificate that was part of the instrument shipment and contact your Agilent sales representative to arrange the purchase of desired digital modulation licenses.

The keyboard shortcuts (Ctrl+C, Ctrl+V) in this procedure are for MS Windows®.

  • See Transfer license files for instructions on how to transfer license files between instruments.
  • See Licensing for details on license files.

From the instrument's front panel -or- the Desktop Control Panel program:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact your Agilent representative for assistance in obtaining a replacement or with ordering additional licenses.
  2. To find the instrument license ID, select Menu > Utilities > Licenses > View to open the View Licenses window.

    Desktop Control Panel View Licenses window
  3. Select the Copy to: File... button or the Clipboard button to save the instrument License ID to an ASCII text (*.txt) file.
  4. In the Save License ID window, either type in the path or use the Browse button to navigate to a location that you can access from your computer.___

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the license file.

  5. Name the file:
    • If you want to overwrite an existing file, select the file in the directory structure then select Save.
    • If you want to save the file as new, select the keyboard button to open the virtual keyboard (from the instrument front panel) or use the keyboard from your PC (Desktop Control Panel) and enter the <filename>.txt, then select Enter > Save.
  6. To purchase a license:
    1. Contact your Agilent sales representative to arrange for the purchase of the desired licenses.
    2. When you receive a return e-mail message from Agilent, copy (Ctrl+C) the text of the message and paste (Ctrl+V) it into a newly created *.txt file.
    3. Go to Step 8.
  7. To import a license:
    1. Obtain the License ID from the source instrument (see Transfer license files).
    2. Go to Step 8.
  8. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose.

  9. Close the View window.
  10. Select Menu > Utilities > Licenses > Add.
  11. Import the license by navigating to the location of the *.txt file that you just created and saved (if the license was saved to a file), or from the Clipboard (if the license was saved to the clipboard).
  12. The list of licenses to import is displayed.
  13. Click Add Licenses.

    Note icon Agilent custom measurements that require a license will not be enabled by a new license until the system is restarted.

With the LXI Web interface:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact Agilent for a replacement.
  2. Connect the instrument to a Web network that includes a computer.
  3. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  4. Click Licensing > Import from the instrument Web page.
  5. Find the Instrument License Identifier row of the displayed table, highlight the instrument ID, copy it (Ctrl+C), and then paste it (Ctrl+V) into a new text file.

    _____
    Copy License ID
    _____

  6. Save the file.
  7. Contact your Agilent representative to arrange for the purchase of the desired measurement personality licenses for your instrument.
  8. When you receive a return e-mail message from Agilent, submit the license information through the Web page:
    • If you want to keep a copy of the license information, highlight the text of the received e-mail message, copy it (Ctrl+C), and then paste it (Ctrl+V) it into a newly created *.txt file. Save the file to a location that you can access from the instrument. In the instrument Web page, click Licensing > Import > Browse. Navigate to the location of the license *.txt file that you just created and saved and click Open.
    • If you don't need to save a copy of the license information, highlight the text of the received e-mail message and copy it (Ctrl+C). On the instrument Web page, click Licensing > Import and then paste it (Ctrl+V) it in the appropriate field.
      ______

      Paste license text
      ______

  9. Click Submit. The current license status of the instrument is displayed.

______

See also:

  • Viewing licenses
  • Transferring licenses
  • Series V2800 measurement personality license files
  • RF Product Software License Agreement

------


Transfer licenses

This procedure shows you how to transfer existing license files between instruments. The license file transfer can be done from the Desktop Control Panel software, from the instrument front panel or the instrument Web page interface. The keyboard shortcuts Copy and Paste (Ctrl+C, Ctrl+V) in this procedure are for MS Windows. For information on saving a newly purchased license, see Add a license file.

Throughout this procedure, these terms will be used to designate a particular instrument:

  • "Source instrument" designates the instrument that has the existing licenses that will be transferred or exported.
  • "Destination instrument" designates the instrument that will receive or import the existing licenses.

    Note: If you are transferring (exporting) licenses from more than one instrument, you must perform the steps in a particular sequence because the instrument license identifier changes as licenses are transferred. For example, if Instrument A is going to import licenses that are exported from both Instrument B and Instrument C, follow this sequence of steps:
    1. Export licenses from instrument B.
    2. Instrument A imports licenses from instrument B.
    3. Export licenses from instrument C.
    4. Instrument A imports licenses from instrument C.

From the instrument's front panel or the Desktop Control Panel program:

______

  1. Obtain the License ID of the instrument to which you want to transfer the license(s) (the destination instrument).
  2. Go to Menu > Utilities > Licenses > Transfer to view the screen shown above.
  3. Import the license ID using either the Paste from Clipboard function (if the license was copied to the clipboard) or by selecting the File... button (if the license ID is stored in a file).
  4. Select the licenses to export by checking them in the Transfer column.
  5. Import the license into the destination instrument.

Web interface procedure

  1. Connect both the source instrument and the destination instrument to a Web network that includes a computer.
  2. On the computer, launch a Web browser and use the source instrument IP address as the URL.
    • If you do not know an instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  3. Launch another Web browser and use the destination instrument IP address as the URL.
  4. In the destination instrument Web page, click Licensing > Import.
  5. In the Instrument License Identifier row of the displayed table, highlight the instrument ID and copy it (Ctrl+C).
    ______

    Copy License ID
    ______

  6. In the source instrument Web page, click Licensing > Export.
  7. In the Target Instrument License Identifier field, paste (Ctrl+V) the destination instrument license ID.
    _______

    licenseIDexport
    _______

  8. In the Export column, select the check boxes for the licenses that you want to transfer to the destination instrument. Click Submit.
  9. Highlight the text in the license file and copy it (Ctrl+C).
    ______

    licenseCopy
    ______

  10. In the destination instrument Web page, paste (Ctrl+V) the license file contents in the appropriate field. Click Submit.
    ______

    Paste license text
    ______

    Note icon If the power should fail during the license transfer, you can recover the license file by clicking "View last exported license".

_____

See Also:

  • Adding Licenses
  • Viewing Licenses
  • Series V2800 measurement personality license files
  • RF Product Software License Agreement


Series V2800 measurement personality license files

The Agilent Series V2800 instruments require license files to access digital modulation analysis capabilities. To view the current licenses installed on your instrument, select Menu > Utilities > Licenses > View....

The following licenses are available. For additional detail, contact you local Agilent sales representative.

Option number | License description | Notes
V2800A-101 | Flexible digital modulation signal analysis |
V2800A-102 | GSM, GPRS, and EDGE signal analysis |
V2800A-103 | EDGE evolution (EDGE 2.0) signal analysis | V2800A-102 must be installed first
V2800A-104 | cdma2000® and IS-95a reverse link signal analysis personality |
V2800A-105 | W-CDMA FDD uplink signal analysis |
V2800A-106 | W-CDMA FDD downlink signal analysis |
V2800A-107 | HSPA downlink signal analysis (also provides W-CDMA HSDPA downlink signal analysis) | V2800A-105 must be installed first
V2800A-108 | HSPA uplink signal analysis | V2800A-106 must be installed first
V2800A-109 | TD-SCDMA signal analysis |
V2800A-110 | WLAN 802.11a, b, g, j, and n SISO signal analysis |
V2800A-111 | 802.16E WiMAX and WIBRO SISO signal analysis |
V2800A-112 | MIMO Channel Sounder Personality license |
V2800A-113 | MIMO Wideband Channel Sounder personality license |
*V2800A-UPN | Analyzer Ultra Low Phase Noise option |
*V2800A-UK6 | Commercial calibration certificate and test data |

* Available only on Agilent V2820A

Purchasing measurement personality licenses

You can purchase license files when you order your instrument or at any time after you have received your instrument. Contact your Agilent sales representative with the description of the licenses you would like to purchase.

  • See Add a license file for details on how to purchase and install a license.
  • See RF Product Software License Agreement to view the licensing agreement.

Licensing ID

The license identification (ID) is a string that contains information describing the specific instrument and the current license status. The license ID is unique and therefore changes each time the license status is modified. For example, the license ID would change in the following situations:

  • When the instrument imports newly purchased licenses.
  • When the instrument imports existing licenses that were transferred from another instrument.
  • When the instrument exports licenses to another instrument.

For information on viewing and saving the current license ID, see View current licenses and license ID.

Transferring measurement personality licenses

You can move personality licenses between instruments. For example, if you do not require the GSM license in one instrument, you can move the license to another instrument that is in a test system that requires the GSM measurement capability.

You can also transfer modulation licenses from two separate instruments into a third instrument; however, you must perform the steps in a particular sequence.

See Transfer license files for details on how to transfer existing license files between instruments.


AGILENT TECHNOLOGIES, INC. SOFTWARE LICENSE TERMS

____

ATTENTION: USE OF THE SOFTWARE IS SUBJECT TO THE LICENSE TERMS SET FORTH BELOW.

IF YOU DO NOT AGREE TO THESE LICENSE TERMS, THEN (A) DO NOT INSTALL OR USE THE SOFTWARE, AND (B) YOU MAY RETURN THE SOFTWARE FOR A FULL REFUND, OR, IF THE SOFTWARE IS SUPPLIED AS PART OF ANOTHER PRODUCT, YOU MAY RETURN THE ENTIRE PRODUCT FOR A FULL REFUND. NOTWITHSTANDING ANYTHING TO THE CONTRARY IN THIS NOTICE, INSTALLING OR OTHERWISE USING THE SOFTWARE INDICATES YOUR ACCEPTANCE OF THESE TERMS.

____

AGILENT SOFTWARE LICENSE TERMS

____

Software. "Software" means one or more computer programs in object code format, whether stand-alone or bundled with other products, and related documentation.

License Grant. Agilent grants you a non-exclusive license to use one copy of the Software for internal purposes in accordance with these License Terms and the documentation provided with the Software. Such documentation may include license terms provided by Agilent's third party suppliers, which will apply to the use of the Software and take precedence over these License Terms. In the absence of documentation specifying the applicable license, you may use one copy of the Software on one machine or instrument. If the software is licensed for concurrent or network use, you may not allow more than the maximum number of authorized users to access and use the software concurrently.

License Restrictions. You may make copies or adaptations of the Software only for archival purposes or only when copying or adaptation is an essential step in the authorized use of the Software. You must reproduce all copyright notices in the original Software on all permitted copies or adaptations. You may not copy the Software onto any public or distributed network.

Upgrades. This license does not entitle you to receive upgrades, updates or technical support. Such services may be purchased separately.

Ownership. The Software and all copies thereof are owned and copyrighted by Agilent or its third party suppliers. Agilent and its third party suppliers retain all right, title and interest in the Software. Agilent's third party suppliers may protect their rights in the Software in the event of any violation of these License Terms.

No Disassembly. You may not disassemble or otherwise modify the Software without written authorization from Agilent, except as permitted by law. Upon request, you will provide Agilent with reasonably detailed information regarding any permitted disassembly or modification.

High Risk Activities. The Software is not specifically designed, manufactured or intended for use in the planning, construction, maintenance or direct operation of a nuclear facility, nor for use in on line control or fail safe operation of aircraft navigation, control or communication systems, weapon systems or direct life support systems.

Transfer. You may transfer the license granted to you here provided that you deliver all copies of the Software to the transferee along with these License Terms and pay any applicable fees to the extent permissible under local laws. The transferee must accept these License Terms as a condition to any transfer. Your license to use the Software will terminate upon transfer.

Termination. Agilent may terminate your license upon notice for breach of these License Terms. Upon termination, you must immediately destroy all copies of the Software.

Export Requirements. If you export, re-export or import Software, technology or technical data licensed hereunder, you assume responsibility for complying with applicable laws and regulations and for obtaining required export and import authorizations. Agilent may terminate this license immediately if you are in violation of any applicable laws or regulations.

U.S. Government Restricted Rights. Software and technical data rights granted to the federal government include only those rights customarily provided to end user customers. Agilent provides this customary commercial license in Software and technical data pursuant to FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for the Department of Defense, DFARS 252.227-7015 (Technical Data - Commercial Items) and DFARS 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).


Calibrate touch screen

Not applicable when using the Desktop Control Panel program.

You can calibrate the instrument touch screen by aligning the screen and displayed image at five locations.

Access the Calibrate Touch Screen panel by selecting Menu > Utilities > Calibrate Touch Screen.

  1. Select the center of each of the five cross cursors for the instrument to determine touch screen readings associated with each cursor position.
  2. Tap the screen to save the new readings.

_

Note icon If you do not tap the screen within 30 seconds the previous values will be restored.


SCPI Debug

SCPI Debug is a feature that can be turned on for diagnostic purposes. Once enabled, all remote commands received by the instrument are displayed on the instrument screen.

This feature is accessed by selecting: Menu > Utilities > SCPI Debug...

Open this dialog and press the On button to enable display of the SCPI commands. Press the On button again to disable it.

Notice from the figure below that you can display errors and/or responses to queries. If Logging is selected, everything displayed on the instrument screen is included. You may clear the log, and save the log. The log is saved as a *.txt file. It may be saved to the instrument or to any USB memory device that is connected to the instrument. This text file is limited to between 10,000 and 15,000 lines. If the 15,000 line limit is exceeded, the limit then drops down to 10,000 lines.

2800 SCPI debug

For relevant SCPI commands see: :DIAGnostic.


Help

Select one of the following to learn more:

  • Agilent Series V2800 Help
  • About Agilent Series V2800
  • Instrument Help

See also:

  • Series V2800 System Help
  • Context-sensitive Help


Agilent Series V2800 Help

Selecting this choice opens the instrument help system that is stored in the instrument.

Instrument only: When accessed from the instrument touch screen, it opens to the help page you were viewing the last time you accessed the help system.

Desktop Control Panel only: When accessed in the Series V2800 Desktop Control Panel software, it opens to the main navigation page.


Series V2800 System Help

The Series V2800 System Help is a standalone version of the Help system installed in the instrument. This version can be loaded onto a PC and used for general reference, training and programming command lookup.


About Agilent Series V2800

This selection displays information that has been stored for this particular instrument.

This page is very useful for the Agilent service department, should you need to contact them regarding your instrument.

On this page is the following information:

  • Firmware Version
  • Build Number
  • Build Date
  • Instrument Serial Number
  • OS Version
  • Any Custom Measurements you have loaded on your instrument

In addition there is also LXI and firmware information.


Help toolbar

To navigate Help, use these controls on the menu bar:

2910MenuBar1 | HelpTool2 | 2910MenuBar3 | 2910MenuBar4 | 2910MenuBar5
Home page to browse major topics | Site Map to browse individual topics | Alphabetical Index | back and forward buttons | Close Help and return to program


Instrument Help

Instrument Help provides more topic information, and topics are linked allowing browsing between them. This form of user assistance uses the whole touch screen to display information and interacts with the user. There is a table of contents and an index provided as further reference tools.

Here is how to access Instrument help:

Menu > Help > Help System...

The instrument help system replaces the application program on the display.

There are two major regions in the instrument help system, menu bar and page display. Both have navigation controls and using the two in combination, it is possible to navigate and find content.

Menu Bar

There are several buttons on the menu bar:

  • Home: Select this to open the instrument help home page. This acts as good starting point to move into major categories of information.
  • Back: Select this to go back to the previous help page backwards in a time line of help pages. This is handy for coming back from links that didn't have what you were looking for.
  • Forward: Select this to go forward to the next help page forward in a time line of help pages. This is handy for going backwards and forwards between two related help pages.
  • Site map: Select this to browse individual topics. All major topics in the instrument help system can be opened and viewed from here.
  • Index: Select this to open an index help page. All major topics in the instrument help system can be viewed in alphabetical order and opened from here. This is handy if you are looking for a particular topic and are not sure where it would be located.

Help Page Display Region

This region displays the target help pages from the navigation links. The navigation links can be the buttons on the menu bar, or links within the help pages themselves. Many large topics start with a list of topics that can be jumped to and then end with "See Also" links to topics that may be related or of interest.

Some links are termed expanded line links and are designed to keep the user on the same page by giving a little more information about a particular topic.


Context-sensitive Help

Any window or panel that has this button [image], will have a help page associated with it. Selecting this button will open that page. As the page is associated with the panel, it is referred to as context sensitive help, because the help provided is in the context of the window or panel of interest.


Measurements

  • Making Measurements
  • Viewing Measurement Results
  • Controlling Measurements
  • Outputting Measurement Results
  • Custom Measurements


Making Measurements

Signals applied to the Series V2800 can be viewed in the spectrum (General Purpose in the time domain) or as a waveform (Modulation Standards in the time domain). Each domain provides different information about the applied signal. Signal markers and triggering can be applied to the signals to help get them in optimum viewing for measurements.

An overview of measurement setup will be followed for each measurement.

To learn how to make measurements, select the following:

  • General Purpose signals can be viewed in all or part of the Series V2800 measurement spectrum.
    • Spectrum
    • Zero Span
    • ACPR
    • Channel Power List
    • Spectrum Emission Mask
  • Modulation Standards waveforms of Communication Standards can be measured and viewed in the time domain.
    • GSM
    • EDGE
    • EDGE 2.0
    • cdma2000 Reverse Link
    • W-CDMA Uplink
    • W-CDMA Downlink
    • 802.11x
    • 802.16x
  • Digital demodulation the difference between measured and reference IQ signals is used to analyze received data.
  • Measurement settings

_
See Also:

  • Viewing measurement results
  • Controlling measurements
  • Custom measurements


Overview of measurement setup-standard procedure

  1. Set up the test equipment.
  2. Acquire an RF signal.
  3. Choose a measurement personality.
  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer the measurement results.


General purpose

The Series V2800 has been designed to easily make general purpose measurements on signals in the frequency spectrum. In the frequency spectrum a signal is viewed for its spectral content and where it sits in the spectrum.

Select from the following links to learn how to make these measurements:

  • Spectrum

    Shows where an input signal is on the analyzer measurement spectrum and where it is in relation to other signals.

  • Zero Span

    The spectrum span control is set to zero, making the x-axis of the display units of time. Use this to see amplitude variations with time.

  • ACPR

    Measures how self contained a transmitted signal is. This measurement looks for transmitted signal energy spilling over into adjacent channels, where it can interfere with the signals in that channel.

  • Channel Power List

    Channel Power List is a superset of Zero Span. This measurement is a list of Zero Span measurements, collapsed to a single result, made at different frequency points.

  • Spectrum Emission Mask

    The general purpose spectrum emission mask measurement allows measurement of the spectrum around any signal with a programmable mask. The measurement is enable by selecting it from the General Purpose Measurement menu on the Series V2800 instrument.


Spectrum

What is a Spectrum measurement

The Spectrum measurement allows you to set up, view and measure signals within the frequency range of the Series V2800. This measurement shows where the signal is on the Series V2800 spectrum, and where it is in relation to other signals.

Spectrum measurement procedure

  1. Set-up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > General Purpose > Spectrum

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust Spectrum

Unless you know where the acquired RF signal is on the Series V2800 spectrum, set the spectrum wide to find the signal. In addition, there can be known spurs generated internally, that if removed, make the spectrum display more clean and simple to view.

1. Set the spectrum wide and cancel known spurs

  1. In the Spectrum measurement panel
    1. Select the Start Stop button.
    2. Set Start Frequency to 700 MHz.
    3. Set Stop Frequency to 2.4 GHz.
  2. Select Settings > Spur Cancellation > On.

With the signal showing on the display, make adjustments to optimize the view and make measurements on the signal.
When making measurements in the frequency domain, it is often useful to apply markers to the signal being measured.

2. Apply a marker to the signal of interest

  1. Select Markers and turn Marker 1 On.
  2. Move the marker to the point of interest on the acquired signal.
  3. Select Marker to Center.
  4. Select Close.
  5. Select Center Span tab.

Select Frequency Span and adjust it as needed. 2810PresetMarkerOn

Select from this list to learn what choices are available for setting up a spectrum measurement.

  • Spectrum measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Trace Hold control
  • Detection Type control
  • Spur Cancellation control
  • Sweep time setting
  • Averaging control


Zero Span

It is sometimes useful to zero-in on a frequency point of a signal displayed on the instrument. This is often useful to monitor signal stability.

Selecting the Zero Span measurement effectively sets the Frequency Span to 0 Hz. The signal trace on the display becomes one frequency. Trace markers are often used to get the signal to the center frequency. The sweep time and bandwidth controls can also be useful in making this measurement.

Measurement procedure

  1. Set up the test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > General Purpose > Spectrum.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer the measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust Zero Span

Unless you know where the acquired RF signal is on the Series V2800 spectrum, set the spectrum wide to find the signal. In addition, there can be known spurs generated internally, that if removed, make the spectrum display more clean and simple to view.

1. Set the spectrum wide and cancel known spurs

  1. In the Spectrum measurement panel
    1. Select the Start Stop button.
    2. Set Start Frequency to 700 MHz.
    3. Set Stop Frequency to 2.4 GHz.

Select Settings > Spur Cancellation > On.

Adjustments can be made to better view and make measurements on the signal. In making measurements in the frequency domain, it is often useful to apply markers to the signal being measured.

2. Apply a marker to the signal of interest

  1. Select Markers and turn Marker 1 On.
  2. Move the marker to the point of interest on the acquired signal.
  3. Select Marker to Center.
  4. Select Close.
  5. Select Spectrum > General Purpose > Zero Span

The signal at the marker position will be shown on the display.

Refer to the following image, the frequency is tuned at 1 GHz and sweeping at 0.001 seconds. Markers can be applied to the zero span trace including a Center to Marker selection. The zero span scale is in time units (Sweep Time), therefore the markers will also be referenced in time units.

Select from this list to learn what choices you have for setting up a spectrum zero-span measurement:

  • Zero span measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Detection Type control
  • Filter Type control
  • Trace Hold control
  • Trace Type control
  • Video Filter
  • Averaging control


ACPR

The adjacent channel power ratio (ACPR) measurement is often used in transmitter measurements. Many transmitted signals are made up of different signals separated in adjacent frequency channels (bands). It is important that the energy signal in one channel does not interfere with a signal in another channel.

The ACPR measurement applies a mask around the measured signal. With the center signal applied, measurements are made in the adjacent channels to this signal. If the signal energy measured in adjacent channels stays within the mask outline, the measurement results are in a pass condition. However, if the signal energy measured in the adjacent channel extends beyond the measurement mask, a fail condition occurs.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > General Purpose > Spectrum.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust ACPR

Unless you know where the acquired RF signal is on the Series V2800 spectrum, set the spectrum wide enough to find the signal. In addition, there can be known spurs generated internally, that if removed, make the spectrum display more clean and simple to view.

1. Set the spectrum wide and cancel known spurs

  1. In the Spectrum measurement panel
    1. Select the Start Stop button.
    2. Set Start Frequency to 700 MHz.
    3. Set Stop Frequency to 2.4 GHz.

Select Settings > Spur Cancellation > On.

2. Apply a marker to the signal of interest

  1. Select Markers and turn Marker 1 On.
  2. Move the marker to the point of interest on the acquired signal.
  3. Select Marker to Center.
  4. Select Close.
  5. Select Center Span tab.

Select Frequency Span and adjust it as needed. With the marker on the signal of interest, apply the ACPR measurement:

Spectrum > General Purpose > ACPR

The carrier signal is set in the center of the General Purpose ACPR signal mask. If the two offset frequencies on both sides of the carrier are below the mask outline, the measurement is a "Pass" condition for the limit test.

Make adjustments to the measurement of the signal showing on the display.

Use the ACPR Main control panel to adjust the carrier signal parameters.

The adjacent channel power ratio (ACPR) is the ratio of the amount of signal power in a main channel that is introduced to the channels immediately above and below the center channel. Select from the list to learn about the choices you have to set up an ACPR measurement.

  • ACPR measurement panel
  • Edit Channels settings panel
  • Edit Limits settings panel
  • Filter type control
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


Channel Power List

Channel Power List is a list of Zero Span measurements. Each entry in the list specifies the conditions of the sweep. This allows creation of a more efficient sweep since only the set of frequencies of interest are specified.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > General Purpose > Channel Power List.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust Channel Power List

Spectrum GP Channel Power List

When making this measurement, you must load a Channel List file. The file suffix is *.List, refer to File operations to learn how to search for and load these files.

The channel power list allows you to load a file that contains a list of measurement states that includes state, frequency, RBW, sweep time, reference level and preamp values. Select from the list below to learn about the choices you have to set up a list of channel power measurements:

  • Channel List measurement panel
  • Trigger settings panel
  • Filter type control
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control
  • Fast Mode
  • Noise Correction

See also: Channel List


Spectrum Emission Mask

The general purpose spectrum emission mask measurement allows measurement of the spectrum around any signal with a programmable mask. The measurement is enable by selecting it from the General Purpose Measurement menu on the Series V2800 instrument.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose measurement personality.

    Select Preset to set the instrument in the default state.

    From the measurement selection pull-down, select:

    Spectrum > General Purpose > Spectrum Emission Mask

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust Spectrum Emission Mask

The Spectrum Emission Mask measurement is a Pass/Fail measurement.

Unless you know where the acquired RF signal is on the Series V2800 spectrum, set the spectrum wide to find the signal. In addition, there can be known spurs generated internally, that if removed, make the spectrum display more clean and simple to view.

1. Set the spectrum wide and cancel known spurs

  1. In the Spectrum measurement panel
    1. Select the Start Stop button.
    2. Set Start Frequency to 700 MHz.
    3. Set Stop Frequency to 2.4 GHz.
  2. Select: Settings > Spur Cancellation > On.

2. Apply a marker to the signal of interest

  1. Select Markers and turn Marker 1 On.
  2. Move the marker to the point of interest on the acquired signal.
  3. Select Marker to Center.
  4. Select Close.
  5. Select Center Span tab.

Select Frequency Span and adjust it as needed.

Controls:

The General Purpose SEM measurement has the following controls available on the front panel:

  • Center Frequency: This is the center of the spectrum to measured.
  • Expected Power: The total power at the input of the analyzer.
  • Limits On/Off: Turns on the limit trace and displays the mask pass/fail indication.
  • Limits Margin: Applies an offset to the limits specified in the mask configuration.
  • Average On/Off: Turns averaging on and off.
  • Number of averages: Sets the number of sweeps to be averaged when averaging is turned on.
  • Average Type: Specify the type of averaging to be used. Group types will take a number of sweeps equal to the number of averages and return one sweep. Non group average types will take one sweep and average the results of the last n sweeps. Group averaging types are typically used in single sweep mode.

The following controls are available for the Spectrum Emission Mask measurement:

  • Spectrum Emission Mask measurement panel
  • Channel Settings
  • Configure Mask
  • Measure Seg Boundary
  • Measurement Mode
  • Step Mode Settings
  • Noise Correction
  • SEM trigger settings

See also [:SENSe]:GPSEM:SPUR:CANCellation[:STATe].


Modulation Standards

Wireless communication standards

The Series V2800 has been designed to easily demodulate wireless communication standards.

Select from the following list to learn more:

  • GSM
  • EDGE
  • cdma2000 Reverse Link
    • cdma2000 Demodulate
    • cdma2000 ACPR
    • cdma2000 Spectrum Emission Mask
    • cdma2000 Occupied Bandwidth
  • W-CDMA Uplink
    • W-CDMA Uplink Demodulate
    • W-CDMA Uplink ACLR
    • W-CDMA Uplink Spectrum Emission Mask
    • W-CDMA Uplink Occupied Bandwidth
  • W-CDMA Downlink
    • W-CDMA Downlink Demodulate
    • W-CDMA Downlink ACLR
    • W-CDMA Downlink Spectrum Emission Mask
    • W-CDMA Downlink Occupied Bandwidth
  • WLAN (802.11x)
    • 802.11x Demodulate
    • 802.11x Spectral Mask
  • WiMAX (802.16x)
    • 802.16x Demodulate
    • Spectrum Emission Mask


GSM

The Series V2800 automatically synchronizes and captures the GSM burst on the instrument screen. From this captured signal, many measurements are made simultaneously. The results are compared with measurement settings and with the GSM Modulation Standard.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a GSM signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > GSM.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust GSM

The GSM burst should be automatically captured and displayed on the instrument display.

The following image shows the GSM burst within the "Time Mask" trace and a table showing the measurement results.

The measurement results are calculated directly from the data in the captured burst and then compared to the GSM Modulation Standard.

Notice the Pass/Fail results for the individual measurements taken.

The Channel Power measurement cannot be de-selected.

However, the following measurements can be turned on or off in the Settings pull-down menu:

  • Phase Error
  • Time Mask
  • Output RF Spectrum (ORFS) due to modulation
  • Output RF Spectrum (ORFS) due to switching
  • IQ Impairments

    NOTE: If you are having difficulty in getting a trigger switch to a Zero Span measurement and adjust the trigger delay until the rising edge is squarely on the middle graticule line.

There are settings to view the captured signal differently.

Select from the list to learn what choices you have for setting up a GSM measurement:

  • GSM measurement panel
  • Channel Power Limits settings panel
  • Phase Error Limits settings panel
  • Time Mask Limits settings panel
  • ORFS Mod settings panel
  • ORFS Switch settings panel
  • Phase Error control
  • Time Mask control
  • ORFS Mod control
  • ORFS Switch control
  • Averaging control

See: Capturing a GSM/EDGE signal.

Measurement descriptions:

  • Channel Power
  • Frequency Error
  • Phase Error
  • RMS Phase error
  • Peak Phase Error
  • Time Mask
  • Output RF Spectrum


IQ Impairments

The GSM measurements Settings dropdown menu contains an IQ Impairments check box. The IQ Impairments measurement is part of the Phase Error measurement, so the check box item is grayed out when the Phase Error measurement is disabled (in the Settings > Settings panel).

When IQ Impairments is enabled, two additional items appear in the table view:

  • Carrier Feedthru
  • IQ Imbalance


Carrier Feedthru

Carrier feedthrough (feedthru) is a measure of the origin offset in magnitude, relative to the symbol level.

Note icon For Series V2800 measurements, the parameter is Carrier Feedthrough Relative to Average Power (dBr).

Note icon For SignalMeister™ measurements, the parameter is Carrier Feedthrough Relative to Average Power (dBr).


Capturing a GSM/EDGE signal

The GSM/EDGE measurement algorithm does an initial alignment using the burst edges. The burst must be roughly the right length in time and has to rise about 25 dB out of the noise. If the signal you are measuring is irregular, the Series V2800 may not recognize the burst. If this happens, the Series V2800 reacquires data and looks for another burst. The instrument will repeat this process six times before declaring a "burst not found" error. If you measure a signal that has occasional distorted bursts, the instrument will skip over them. This is particularly useful if doing a block of averages - up to six bursts can be distorted and the instrument will still compute a valid average. For example, if you are doing 100 averages, the instrument may end up acquiring 106 GSM frames, so that it can ignore six and still have 100 valid averages.

This also means that the instrument runs slowly when distorted bursts are being measured. It takes six tries to declare a failure, meaning that measuring a bad signal can take six times as long as measuring a good signal.


IQ Imbalance

The I/Q Imbalance measurement creates a complex baseband model of the signal impairments caused by imbalances between in-phase and quadrature receiver components. Typically, these are caused by differences in the physical channels for the two components of the signal.

The I/Q Imbalance block applies amplitude and phase imbalances to the in-phase and quadrature components of the input signal, and then combines the results into a complex signal.


EDGE

The Series V2800 automatically synchronizes and captures the EDGE burst on the instrument screen. From this captured signal, many measurements are made simultaneously. The results are compared with test limits and with the EDGE Modulation Standard.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an EDGE signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > EDGE.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

See the EDGE 2.0 overview for details on the new EDGE 2.0 measurements and controls that have been added to the EDGE standards. The new capabilities are available only with the EDGE 2.0 license. See Licensing for further details.


Set and adjust EDGE

The EDGE burst should be automatically captured and displayed on the instrument display.

The following image shows the EDGE burst within the "Time Mask" trace and shows a table of measurement results.

The measurement results are calculated directly from the data in the captured burst and then compared to the EDGE Modulation Standard.

Notice the Pass/Fail results for the individual measurements taken.

The Channel Power measurement cannot be de-selected.

However, the following measurements can be turned on or off in the Settings pull-down menu:

  • EDGE: EVM
  • Time Mask
  • Output RF Spectrum (ORFS) due to modulation
  • Output RF Spectrum (ORFS) due to switching

NOTE: If you are having difficulty in getting a trigger switch to a Zero Span measurement and adjust the trigger delay until the rising edge is squarely on the middle graticule line.

There are settings that can be adjusted to view the captured signal differently.

Select from the list below to learn about the choices you have to set up an EDGE measurement:

  • EDGE measurement panel
  • Edge Time Slot Configuration
  • Edge Modulation Format Panel
  • EDGE Measurements:
    • EDGE EVM control
    • Time Mask control
    • ORFS Mod control
    • ORFS Switch control
  • ORFS Mod settings panel
  • ORFS Switch settings panel
  • Channel Power Limit settings panel
  • EVM Limits settings panel
  • Time Mask Limits settings panel

See: Capturing a GSM/EDGE signal.

______________________
Measurement descriptions:

  • Channel Power
  • EVM (EDGE)
  • Time Mask
  • Frequency Error
  • IQ Gain Error
  • IQ Origin Offset
  • Droop
  • Time Mask
  • Output RF Spectrum


EDGE 2.0 overview

EDGE 2.0 improves the throughput and robustness of EDGE by adding QPSK, 16 QAM and 32 QAM constellations. In addition, EDGE 2.0 supports the existing data rate of 270.8333 kSymbol/sec and an additional data rate of 325 kSymbol/sec. The faster symbol rate is supported with the existing channel filter and with a new wide filter. It also supports a user filter, in case you want to work outside the standard.

There are 13 modulations types in all. The different modulation types are not designed to be auto-detected, so you must tell the instrument what to expect.

EDGE rotates the phase of successive symbols by a fixed amount to avoid crossing through the origin. While the standard is very specific about what that rotation should be, the ability to adjust the rotation has been included.

The burst length is still the same, so an EDGE 2.0 burst fits in the same timeslot (TS) as an EDGE or GSM burst.

See also:

  • EDGE 2.0 modulation types
  • 8 Active time slots
  • ORFS noise corrections
  • Synchronize measured slot


EDGE 2.0 modulation types

See the following table for a detailed list of all of the modulation types:

Symbol rate, kSym/sec | Format | Filter shape | Symbols per burst (no guard) | Tail symbols, front and back | Time Slot length | Length of data block (2 per burst) | Rotation, radians
270.8333 | gmsk | Gaussian | 148 | 3 | 26 | 58 |
270.8333 | 8 PSK | Normal | 148 | 3 | 26 | 58 | 3/8 P
270.8333 | 16QAM | Normal | 148 | 4 | 26 | 58 | +1/4 P
270.8333 | 32 QAM | Normal | 148 | 4 | 26 | 58 | -1/4 P
325 | QPSK | Normal | 177 | 4 | 31 | 69 | 3/4 P
325 | 16 QAM | Normal | 177 | 4 | 31 | 69 | +1/4 P
325 | 32 QAM | Normal | 177 | 4 | 31 | 69 | -1/4 P
325 | QPSK | Wide | 177 | 4 | 31 | 69 | 3/4 P
325 | 16 QAM | Wide | 177 | 4 | 31 | 69 | +1/4 P
325 | 32 QAM | Wide | 177 | 4 | 31 | 69 | -1/4 P
325 | QPSK | User | 177 | 4 | 31 | 69 | 3/4 P
325 | 16 QAM | User | 177 | 4 | 31 | 69 | +1/4 P
325 | 32 QAM | User | 177 | 4 | 31 | 69 | -1/4 P


8 Active time slots

The previous algorithm relied on a magnitude trigger, using the burst rising edge for time alignment. While this is a fast, efficient technique, it requires at least one of the 8 time slots to be off. A base station is expected to transmit in all 8 time slots, however, so you cannot count on having a triggerable rising and falling burst edge. Instead, we have added the option to time-align to the training sequence instead of the burst edges. See Synchronize on the training sequence.

The ability to time-align using the training sequence gives the instrument the ability to handle more complex time slot configurations than with the magnitude trigger, and it is easier to configure. The training sequence alignment is slower, and requires that the carrier frequency error is less than 5 kHz.

To keep compatibility between the applications, the GSM application has this capability as well.


ORFS noise corrections

The new version of Series V2800 allows the instrument to measure lower ORFS than before. In fact, it reduces the broadband noise contribution below the phase noise contribution at several offsets. To get the best possible performance, you can turn noise corrections on. When noise corrections are on, the instrument makes a separate power measurement with the receiver input switched off. That power is the receiver broadband noise level, which is subtracted from the ORFS measurement. Because the bandwidths are so narrow, the noise acquisition takes time. You may choose not to activate it.


Synchronize measured slot

With the Series V2800 4.0 release, you have the option of synchronizing the measured slot based on the burst shape or based on the training sequence. The synchronization referred to in this case is the initial time alignment to the desired burst. Once the initial time alignment has been performed, the measurement then does a precision alignment based on the training sequence, and an even more precise alignment based on the recovered data symbols.

It is much faster to synchronize based on the burst shape than to do an extended search for the training sequence. This is particularly important in free run mode, where the instrument will search the entire frame.

See also:

  • Synchronize on the burst shape
  • Synchronize on the training sequence

Synchronize on the burst shape

In order to successfully synchronize on the burst shape, there has to be a clear leading and trailing burst edge to search for. When adjacent time slots are active, there isn't always a clear edge. So, the synchronize to burst mode requires that if more than one time slot is active, all the active slots have to be in adjacent slots and their power be within a 6 dB range. You have to tell the instrument how many time slots are active, and which time slot inside the active block is to be measured. In addition, there can only be up to 7 slots active to ensure a clear edge to trigger on.

Burst synchronization also has the advantage of being able to handle carrier frequency errors of over 100 kHz. When synchronizing to the training sequence, the instrument is limited to frequency errors on the order of 1 kHz. While 1 kHz is adequate to handle the 0.1 ppm frequency error spec in the GSM/EDGE standard, it is recommended to use burst synchronization when a transmitter is first turned on and undergoing calibration.

Synchronize to the training sequence

Synchronizing to the training sequence lifts the restrictions of synchronizing on the burst shape. You can have as many or as few time slots active as you wish, in any configuration. You tell the instrument what training sequence and what modulation type to search for, and the instrument scans the entire frame for that training sequence. You can have all 8 slots active, you can have every other slot active, and you can have widely varying power levels between the slots. If external or video trigger is used, only the time slot immediately following the trigger point is searched.


cdma2000 Reverse Link

The Series V2800 automatically synchronizes and captures the cdma2000 waveform on the instrument screen. From this captured signal, many measurements can be made simultaneously. The results are compared with test limits and with the cdma2000 Standard.

Select from the following measurements to learn more:

  • cdma2000 Demodulate
  • cdma2000 ACPR
  • cdma2000 Spectrum Emission Mask
  • cdma2000 Occupied Bandwidth


cdma2000 Demodulate

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a cdma2000 signal for Demodulate measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > cdma2000 Reverse Link > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust cdma2000 Demodulate

The image below shows a cdma2000 Demodulated measurement on a signal centered on a 1 GHz frequency.

The top of the image shows the I and Q data. The bottom shows a table with the measurement results of the cdma2000 signal.

Select from the following topics to learn about the measurements:

  • Channel Power

    This is the total power of the signal in a specified frequency band.

  • Rho
  • EVM

    The error vector magnitude is a measure of the difference between the reference waveform and the measured waveform.

  • PCDE (dB)

    Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

    From 3GPP standard:

    The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

  • Freq Error (Hz)
  • IQ Offset (dB)

    This is the DC offset of the signal in % or dB.

  • Total Power (dBm)

    The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Select from the list below to learn what choices you have for setting up a cdma2000 Demodulate measurement:

  • cdma2000 Demodulate measurement panel
  • Edit Limits setting panel
  • Averaging control


cdma2000 ACPR

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a cdma2000 signal for ACPR measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > cdma2000 Reverse Link > ACPR.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust cdma2000 Reverse Link ACPR

The image below shows a cdma2000 Reverse Link ACPR measurement on a signal centered at 1 GHz.

Notice the signal and power in adjacent channels are below the ACPR measurement mask, resulting in a Pass condition.

The cdma2000 Reverse Link ACPR is a Pass/Fail measurement.

Select from the following list below to learn what choices you have for setting up a cdma2000 ACPR (Adjacent Power Leakage ratio) measurement:

  • cdma2000 Reverse Link ACPR measurement panel
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


cdma2000 Spectrum Emission Mask

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a cdma2000 signal for Spectrum Emission Mask measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > cdma2000 Reverse link > Spectrum Emission Mask.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust cdma2000 Reverse Link Spectrum Emission Mask

The image below shows a cdma2000 Spectrum Emission Mask measurement on a signal centered at 1 GHz.

Notice the signal stays within and below the Spectrum Emission measurement mask, resulting in a Pass condition.

The cdma2000 Spectrum Emission Mask measurement is a Pass/Fail measurement.

Select from the list below to learn what choices you have for setting up a cdma2000 Occupied Bandwidth measurement:

  • cdma2000 Occupied Bandwidth measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Trace Hold control
  • Averaging control


cdma2000 Occupied Bandwidth

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a cdma2000 signal for Occupied Bandwidth measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > cdma2000 Reverse link > Occupied Bandwidth.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust cdma2000 Reverse Link Occupied Bandwidth

The image below shows a cdma2000 Occupied Bandwidth measurement on a signal centered at 1 GHz.

Notice the signal stays within the Occupied Bandwidth measurement markers, resulting in a Pass condition.

The cdma2000 Reverse Link Occupied Bandwidth measurement is a Pass/Fail measurement.

Select from the list to learn what choices you have for setting up a cdma2000 Occupied Bandwidth measurement:

  • cdma2000 Spectrum Emission measurement panel
  • Trigger settings panel
  • Trace Hold control
  • Averaging control

.


W-CDMA Uplink

The analyzer automatically synchronizes and captures the W-CDMA Uplink waveform on the instrument screen. From this captured signal, many measurements are made simultaneously. The results are compared with test limit settings and with the W-CDMA Uplink Standard.

Select from the following measurements to learn more:

  • W-CDMA Uplink Demodulate
  • W-CDMA Uplink ACLR
  • W-CDMA Uplink Spectrum Emission Mask
  • W-CDMA Uplink Occupied Bandwidth


W-CDMA Uplink Demodulate

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > W-CDMA Uplink > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust W-CDMA Uplink (Demodulate)

The image below shows a W-CDMA Uplink Demodulate measurement on a signal centered on a frequency at 1 GHz.

The top of the image holds the I and Q data. The bottom shows the results of W-CDMA Uplink Demodulate measurements made on this signal.

Select from the following to learn about the measurements:

  • Channel Power

    This is the total power of the signal in a specified frequency band.

  • EVM

    The error vector magnitude is a measure of the difference between the reference waveform and the measured waveform.

  • PCDE (dB)

    Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

    From 3GPP standard:

    The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

  • Freq Error (Hz)
  • IQ Offset (dB)

    This is the DC offset of the signal in % or dB.

  • Total Power (dBm)

    The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Select from the list below to learn what choices you have for setting up a W-CDMA Uplink Demodulate measurement:

  • W-CDMA Uplink Demodulate measurement panel
  • Code Settings panel
  • Symbol Analysis panel
  • Edit Limits setting panel
  • HSUPA
  • Averaging control


W-CDMA Uplink ACLR

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > W-CDMA Uplink > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust W-CDMA Uplink ACLR

The image below shows a W-CDMA Uplink ACLR measurement on a signal centered at 1 GHz.

Notice the signal and power in adjacent channels are below the ACLR measurement mask, resulting in a Pass condition.

The W-CDMA Uplink ACLR is a Pass/Fail measurement.

Select from the list below to learn what choices you have for setting up a W-CDMA ACLR (adjacent channel leakage ratio) measurement:

  • W-CDMA Uplink ACLR measurement panel
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


W-CDMA Uplink Spectrum Emission Mask

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > W-CDMA Uplink > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust W-CDMA Uplink Spectrum Emission Mask

The image below shows a W-CDMA Uplink Spectrum Emission Mask measurement on a signal centered at 1 GHz.

Notice the signal stays within and below the Spectrum Emission measurement mask, resulting in a Pass condition.

The W-CDMA Uplink Spectrum Emission Mask measurement is a Pass/Fail measurement.

Select from the list below to learn what choices you have for setting up a W-CDMA spectrum emission measurement:

  • W-CDMA Uplink Spectrum Emission measurement panel
  • Trigger settings panel
  • Atten Preamp
  • Detection Type control
  • Averaging control

    The results in the Pass/Fail and Min Margin at columns are provided as diagnostic aides. While the accuracy of these results is excellent, users may find a need for more accurate test results. For situations where the spurious amplitude and frequency are near the edge of a mask transition, the marker function provides a more accurate result.


W-CDMA Uplink Occupied Bandwidth

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > W-CDMA Uplink > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust W-CDMA Uplink Occupied Bandwidth

The image below shows a W-CDMA Uplink Occupied Bandwidth measurement on a signal centered at 1 GHz.

Notice the signal stays within the Occupied Bandwidth measurement markers, resulting in a Pass condition.

The W-CDMA UpLink Occupied Bandwidth measurement is a Pass/Fail measurement.

Select from the list below to learn what choices you have for setting up a W-CDMA Uplink Occupied Bandwidth measurement:

  • W-CDMA Uplink Occupied Bandwidth measurement panel
  • Trigger settings panel
  • Atten Preamp control
  • Trace Hold control
  • Averaging control


W-CDMA Downlink

The analyzer automatically synchronizes and captures the W-CDMA Downlink waveform on the instrument screen. From this captured signal, many measurements are made simultaneously. The results are compared with test limit settings and with the W-CDMA Downlink Standard.

Select from the following measurements to learn more:

  • W-CDMA Downlink Demodulate
  • W-CDMA Downlink ACLR
  • W-CDMA Downlink Spectrum Emission Mask
  • W-CDMA Downlink Occupied Bandwidth


W-CDMA Downlink Demodulate

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > Standards > W-CDMA Downlink > Demodulate.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

.


W-CDMA Downlink ACLR

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > Standards > W-CDMA Downlink > ACLR.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

.


Set and adjust W-CDMA Downlink ACLR

The instrument display below shows a W-CDMA Downlink ACLR measurement on a signal centered at 1 GHz.

Notice the signal and power in adjacent channels are below the ACLR measurement mask, resulting in a Pass condition.

The W-CDMA Downlink ACLR is a Pass/Fail measurement. As long as all the signal components, shown by yellow bars, stay below the red mask line, the ACLR measurement will pass. If any component of the signal rises above the mask, the ACLR measurement will fail.

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink ACLR measurement:

1

W-CDMA Downlink ACLR measurement panel

2
  • Trace Hold control

  • Fast Mode control

  • Noise Correction control

3

Averaging control


Set and adjust W-CDMA Downlink (Demodulate)

The instrument display below shows the data from a W-CDMA Downlink Demodulate measurement on a signal centered at 1 GHz.

Below the display on the instrument, the results of W-CDMA Downlink Demodulate measurements are seen numerically. Select from the following to learn about the measurement data:

Channel Power

This is the total power of the signal in a specified frequency band.

EVM

The error vector magnitude is a measure of the difference between the reference waveform and the measured waveform.

PCDE (dB)

Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

From 3GPP standard:

The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

Freq Error (Hz)

IQ Offset (dB)

This is the DC offset of the signal in % or dB.

Total Power (dBm)

The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Demodulate measurement:

1

W-CDMA Downlink Demodulate measurement panel

2

Settings:

  • Code Settings panel
  • Symbol Analysis panel
  • Edit Limits panel
  • HSDPA
  • Multi-Carrier

3

Averaging control


W-CDMA Downlink Spectrum Emission Mask

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > Standards > W-CDMA Downlink > Spectrum Emission Mask.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

.


Set and adjust W-CDMA Downlink (SEM)

The image below shows a W-CDMA Downlink Spectrum Emission Mask measurement on a signal centered at 1 GHz.

Notice the signal stays within and below the Spectrum Emission measurement mask, resulting in a Pass condition.

The W-CDMA Downlink Spectrum Emission Mask is a Pass/Fail measurement. As long as all the signal components, stay below the red mask line, the ACLR measurement will pass. If any component of the signal rises above the mask, the W-CDMA Downlink Spectrum Emission Mask measurement will fail.

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Spectrum Emission Mask measurement:

1
  • W-CDMA DL SEM measurement panel

  • Trigger settings panel

  • Atten/Preamp

2

Detection Type control

3

Averaging control


W-CDMA Downlink Occupied Bandwidth

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire a W-CDMA signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument in the default state.
    2. From the measurement selection pull-down, select

    Spectrum > Standards > W-CDMA Downlink > Occupied Bandwidth.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

.


Set and adjust W-CDMA Downlink (OB)

The image below shows a W-CDMA Downlink Occupied Bandwidth measurement on a signal centered at 1 GHz.

Notice the signal stays within the Occupied Bandwidth measurement markers, resulting in a Pass condition.

The W-CDMA Downlink Occupied Bandwidth is a Pass/Fail measurement. As long as the signal bandwidth stays within the green vertical limit lines, the Occupied Bandwidth measurement will pass. If the signal bandwidth passes beyond the green vertical limit lines, the W-CDMA Downlink Occupied Bandwidth measurement will fail.

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Occupied Bandwidth measurement:

1
  • W-CDMA Downlink OB measurement panel

  • Trigger settings panel

  • Atten/Preamp control panel

2

Trace Hold control

3

Averaging controls


WLAN (802.11x)

The Agilent Series V2800 automatically synchronizes and captures the 802.11x burst on the instrument screen. From this captured signal, many measurements are made simultaneously. The results are compared with test limits and with the 802.11x Modulation Standards.

NOTE: The terms WLAN (wireless local-area network) and 802.11x are synonymous. The term 802.11x will be used predominantly within the scope of this help system.

Select from the following measurements to learn more:

  • 802.11x Demodulate
    • Please refer to Note: EVM calculation.
  • 802.11x Spectrum Emission Mask


802.11x Demodulate

Measurement operation

The 802.11 demodulation measurement acquires up to 40 ms of data. Once the block is acquired, a search is performed to locate the first complete packet in the acquisition buffer, which is then demodulated and measured. Only the first 2 ms of the packet are used in the measurement.

If averaging is on, a different data block is acquired for each average. Only one packet is used per block. There is no advantage to longer acquisition times if video trigger is used.

The measurement throughput can be greatly improved by using a video trigger to start the Acquisition Time under the Settings menu to just larger than the packet being measured. The Optimize Setup function provided on the Settings menu automatically does this for most 802.11 waveforms.

Note: If the measurement reports "Unknown Signal Type", you can often get a more detailed error message by setting the Signal Type to the specific 802.11 signal type, such as 802.11a or 802.11n.

. Refer to Acquisition time for more information.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an 802.11x signal for Demodulate measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument to the default state.
    2. From the measurement selection pull-down, select:

    Spectrum > Standards > 802.11x > Demodulate

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust 802.11x Demodulate

The instrument display below shows the data from an 802.11x Demodulation measurement on a signal centered at a frequency of 1 GHz.

Select from the list below to learn what choices you have for setting up an 802.11x Demodulate measurement:

1
  • 802.11x Demodulate measurement panel
  • 802.11x Trace types
  • Trigger settings panel
  • 802.11x Signal types
    ___

2820wlanevmvssymbolfull40

2
  • Optimize Setup
  • Clear EVM history
  • Acquisition time
  • 802.11a/g/j/n (OFDM)...
  • 802.11b/g DSSS/CCK Settings
  • Edit limits
  • 802.11n Header data
    ___

3

802.11x Demodulation Averaging

_____
See Also

  • 802.11x demodulation overview


802.11x Spectrum Emission Mask

The spectrum emission mask measurement can test spectral emissions for these standards:

  • 802.11a
  • 802.11b/g
  • 802.11j
  • 802.11n at 20 MHz
  • 802.11n at 40 MHz

The purpose of the spectral mask measurement is to see whether the signal is spilling into adjacent channels at a level higher than the respective standard allows.

For each standard except 802.11j the mask is drawn relative to the highest spectral density (the peak) of the signal. Signal levels above the mask are drawn in red. Within each range the margin and location of the minimum margin is tabulated. For 802.11j the standard is absolute (dBm), not relative (dBr).

The Signal Type selection box is used to choose the standard to test against. Note that Optimize Setup is not an option.

For more information, see [:SENSe]:WLAN:SEMask.

Caution: If you set up an 802.11x Demodulation measurement and select Optimize Setup from the Settings pull-down menu, the trigger source is changed to Video trigger. If you then choose to make a Spectrum Emission Mask measurement you will see that the trace is no longer visible and a message appears "Waiting for trigger or data...". Select Trigger > Trigger Source > Free Run to re-establish the trigger and the display will update properly.

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an 802.11x signal for Spectrum Emission Mask measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument to the default state.
    2. From the measurement selection pull-down, select:

    Spectrum > Standards > 802.11x > Spectrum Emission Mask

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust 802.11x Spectrum Emission Mask

The instrument display below shows the data from an 802.11x Spectrum Emission Mask measurement on a signal centered at a frequency of 1 GHz.

. 2820WLANsem75

Select from the list below to learn what choices you have for setting up an 802.11x Spectrum Emission Mask measurement:

1 | 802.11x SEM Measurement panel | 2820WLANsemfull40
2 | Detection Type control Spur Cancellation control
3 | 802.11x SEM Averaging


WiMAX (802.16x)

The Series V2800 adds a set of measurements for 802.16e WiMAX (OFDMA) Uplink signals. The set consists of demodulation and spectral mask. Demodulation is itself a set of measurements made on the demodulated signal. The set of WiMAX measurements is a licensed feature.

WM top level menu

For further details see:

  • 802.16x Demodulate


802.16x Demodulate

Measurement procedure

  1. Set up test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an 802.16x signal for Demodulate measurement.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality
    1. Select Preset to set the instrument to the default state.
    2. From the measurement selection pull-down, select:

    Spectrum > Standards > 802.16x > Demodulate

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.


Set and adjust 802.16x Demodulate

The instrument display below shows the data from an 802.16X demodulation measurement on a signal centered at a frequency of 1 GHz.

WM constellation trace type

Select from the list below to learn what choices you have for setting up an 802.16X demodulation measurement:

  • 802.16x Demodulation settings menu
  • 802.16e demodulation trace types
  • Map file menu
  • Signal definition -- map configuration form
  • UL Subframe tab
  • DL Subframe tab


802.16x Demodulation settings menu

WM settings drop menu

Select settings choices from the list below:

Setting | Link
map... | Signal definition -- map configuration form
Track Amplitude | Track Amplitude
Track Clock | Track Clock
Track Phase | Track Phase
Equalizer Method | Equalizer Method
Clear RCE History | Clear RCE History
Table RCE Units | Table RCE Units
Edit Limits... | 802.16x Edit Limits

Select from the list to learn about the choices you have to set up an 802.16x measurement:

  • WiMAX demodulation trace types
  • Signal definition -- map configuration form
  • Map file menu
  • 802.16x data table
  • 802.16x Edit Limits
  • General tab
    • DL Subframe tab
    • UL Subframe tab
Track Amplitude

Amplitude tracking estimates and removes the symbol-to-symbol gain variation within a packet. The OFDM options are On or Off.

Track Clock

Symbol clock recovery estimates and removes the error introduced by clock frequency error. The options are On or Off.

Track Phase

Phase tracking estimates and removes the symbol-to-symbol phase drift that occurs within a packet.

Equalizer Method

with OFDM, you need some way of estimating the channel per subcarrier so that you can remove the channel phase and gain imposed on that subcarrier prior to forming the symbol estimate. The equalizer method specifies how this is done.

One possibility is to use the downlink preamble which has known symbol states. Alternatively, you can use the pilots to assist in the channel estimation. The most advanced method is to use data symbols to assist in forming the channel estimates.

Clear RCE History

Clear RCE History clears all data for the RCE History trace.

Table RCE Units

Table RCE Units allows you to select either dB or % for the RCE values in the data results table.


802.16x Edit Limits

WM edit limits dialog

When limit testing is on the value in the Pass/Fail column of the data table is the difference between the measurement result and its limit. A result that passes the limit test has a positive margin value which is annotated with a green check mark. A failed limit test is indicated by a negative margin value and a red X. Pass/Fail shows "Off" when the limit state is off. For further details see 802.16x data table.

Limit Values for 802.16e data table results

Result | Default state | Default value | Minimum | Maximum
Subframe RCE rms (dB) | On | -16.4 | -100.0 | 0.0
Data RCE rms (dB) | On | -16.4 | -100.0 | 0.0
Data RCE peak (dB) | Off | -6.4 | -100.0 | 0.0
Pilot RCE rms (dB) | Off | -16.4 | -100.0 | 0.0
Pilot RCE peak (dB) | Off | -6.4 | -100.0 | 0.0
Channel Power | Off | -10.0 | -100.0 | +10.0
Peak-to-Avg Pwr Ratio (dB) | Off | -20.0 | -50.0 | 0.0
Frequency Error (Hz) | On | 2.0 ppm | 0.1 ppm | 10.0 ppm
Carrier Feedthru relative to total power (dBr) | Off | -20.0 | -50.0 | 0.0
Flatness margin | On | 0.0 | -50.0 | +50.0
Max. Adj. Carrier Difference (dB) | On | 0.1 | 0.01 | 1.0

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).


802.16x data table

A common set of scalar measurement results are made for each signal type. These results are displayed in a data table on the GUI. Each result may be queried via remote interface. Additional measurement results are added to the table for some of the trace types. These are described below in the trace type requirements. The common measurement results are described in the following table.

Values in 802.16e data table

Measurement | Description
Subframe RCE rms (dB) | The rms RCE of all symbols in the subframe
Data RCE rms (dB) | The rms RCE of all data symbols in bursts
Data RCE peak (dB) | The peak RCE of all data symbols in bursts
Data RCE peak Subcarrier | The subcarrier index at which peak Data RCE was measured
Data RCE peak Symbol | The symbol index at which peak Data RCE was measured
Pilot RCE rms (dB) | The rms RCE of all pilot symbols
Pilot RCE peak (dB) | The peak RCE of all data symbols in bursts
Pilot RCE peak Subcarrier | The subcarrier index at which peak Pilot RCE was measured
Pilot RCE peak Symbol | The symbol index at which peak Pilot RCE was measured
Channel Power | The channel power averaged over the subframe
Peak-to-Avg Pwr Ratio (dB) | The peak-to-average power ratio of the subframe
Frequency Error | Error in the transmitted carrier frequency. Limit is specified as part-per-million of the carrier. Result is displayed in Hz.
Carrier Feedthru (dBr) | The carrier leakage relative to the total energy of the rest of the subcarriers for OFDMA modulations
Flatness margin | The channel flatness limit test is done in DSP. This is the margin of the worst point in the test. A positive number means it passed, a negative means it failed.
Max. Adj. Carrier Diff. (dB) | Maximum difference between adjacent subcarriers powers

Each of the values in the table above, with the exception of subcarrier and symbol indexes, may be limit tested. Limit test may be turned On/Off independently for each value. Each value in the data table has its own limit value. Limit state and value are set through the GUI using the Edit Limits dialog. For further details see 802.16x Edit Limits.

______

Note icon For SignalMeister™ measurements, the parameter is Carrier Feedthrough Relative to Average Power (dBr).


802.16e demodulation trace types

The panel shown below, is displayed when the 802.16e demodulation measurement is selected. Carrier frequency and expected power are the same values shared with other measurements. There is currently only one Signal Type choice (16e-OFDMA). You may select the type of trace displayed. Trace results are only for the currently selected trace type. You must select the trace type of interest to view/query its trace data.

WM right panel

The Trace Type choices are:

  • None
  • Constellation
  • RCE vs Subcarrier
  • RCE vs Symbol
  • RCE History
  • Magnitude Flatness

The default trace type is Constellation. The Markers... button is enabled when the selected trace type has markers.

For remote commands see:

  • :DISPlay:VIEW:WIMAX:TYPE
  • :DISPlay:WIMAX:

Results may also be viewed as tabular data. For details see 802.16x data table.


None

The display appears below. This trace type allows for faster sweeps if you are interested only in the data table.

WM GUI with trace type of none

Refer to 802.16x data table for additional information on viewing measurement results.


Constellation

The display of the demodulated constellation positions appears below. Data for each symbol is plotted as a single point on a graph with I/Q axes. You select which symbols to include: All, Bursts or Pilots. Constellation points corresponding to the pilots and data are color coded for easy visualization and can be displayed together or individually.

WM constellation trace type

Subframe RCE rms is displayed along with the constellation graph when graph-only view is selected. Subframe RCE rms is displayed in the data table when the view is Graph & Table.

No markers are available for constellation traces. The Markers button is disabled.


Trace type: RCE vs Symbol

Mean RCE is displayed for each symbol in the form of a bar graph as shown below.

WM RCE vs symbol trace type

The number of symbols is a function of the signal's symbols/packet, the acquisition time setting and the max symbol count setting. The maximum and minimum symbol values are displayed below the graph.

You can rescale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 dB, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the RCE vs Symbol graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak. See Markers.


Trace type: RCE vs Subcarrier

Mean RCE is displayed for each channel in the form of a bar graph, as shown below.

WM RCE vs subcarrier trace type

The number of subcarriers is equal to the FFT Size. The maximum and minimum subcarrier values are displayed below the graph. When the FFT size is 1024 or 2048 there are more data values than screen resolution for the bar graph. For these FFT sizes each bar represents the maximum RCE value for a group of two values for 1024 FFT size or four values for 2048 FFT size.

You can rescale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 dB, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the RCE vs Subcarrier graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak. Markers can be placed on each data value even when multiple values share the same bar. See Markers.

There is no Subcarrier 0. A vertical bar is drawn on the graph to separate negative and positive channels.


Magnitude Flatness

The Magnitude Flatness trace gives a measure of the channel flatness, as shown below. There is a data point for each sample. The dc value is interpolated from the values on either side. Notice that upper and lower limit lines are displayed to allow you to quickly determine if and where any magnitude flatness violations occur.

WM magnitude flatness trace

The X-axis range is automatically set to +/-5 MHz, +/-10 MHz or +/- 20 MHz to match the bandwidth of the signal.

You may set the scale/div of the Y-axis. The default is 1.0 dB/div, with minimum of 0.1 dB/div and maximum of 10.0 dB/div. The reference level is always 0 dB and is always at the center of the graph.

Markers are available for the Magnitude Flatness graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak. See Markers.

An additional value is added to the data table for Magnitude Flatness. It is the peak-to-peak flatness of the trace.

This trace type is available for OFDM signals only.


Trace type: RCE History

The RCE History trace is like a strip chart of EVM values measured, as shown below.

WM RCE history trace type

Each Subframe RCE rms value is added to the history regardless of the current trace type. Measured values shift right to left. The X-axis domain is sample number with sample number zero being the most recent Subframe RCE rms value. You may select how many values to display: 501, 251, 101, 51, 26 or 11. The instrument keeps track of the most recent 501 values regardless of the number of values displayed.

You can rescale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 dB, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the RCE History graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak. See Markers.

No trace is drawn for sample numbers that have not been measured. If the marker is set to a sample number that has not yet been acquired the value is shown as "No data" with the marker at the bottom of the graph.

Your may restart the RCE history at any time. The Settings menu has an item for Clear RCE History. The remote interface has a command for clearing the history.


Signal definition -- map configuration form

You set parameters that define the input signal. This is a complex task with numerous dependencies between parameters. The general philosophy is to retain current settings. If you attempt to set a parameter to a value that is not consistent with the current state then the new value will not be applied and you will be presented with a message explaining the reason.

All settings for defining the subframe map are contained on a single form. This form is modal and fills the entire display, as shown in the figure below. Continuous sweeping is turned off while the form is open. The prior sweep state is restored when the form is closed.

WM subframe maps settings form

You configure the 802.16e subframe map by either loading a map configuration file or by editing the current settings. When this form is opened its contents reflect the map currently loaded in the DSP (digital signal processor.) The Load Map button is initially disabled and is enabled once the first change is made to the map. When the Load Map button is active the form may reflect a map that is not the same as what is loaded into the DSP. Changes to the map are loaded into the DSP only when the Load Map button is clicked. If the Close button is clicked while the Load Map button is active, a confirmation dialog is displayed.

The left side of the form has graphical information. The upper graph represents zones in the selected subframe, with the active subframe highlighted. The lower graph represents bursts in the active zone, with the active burst highlighted. The selected subframe is the Subframe setting on the General tab, when that tab is displayed. Otherwise, the selected subframe matches the displayed subframe tab.

The right side of the form is a tabbed panel with three pages: General, DL Subframe and UL Subframe. The 802.16e demodulation measurement is made on a single user-specified subframe type, DL or UL. The default top level tab is General. When the form opens the top level tab is the same as it was the last time it was closed.

See also:

  • Map file menu
  • General tab menu
  • DL Subframe tab
  • DL Subframe Move/Resize Burst form
  • UL Subframe tab
  • UL Subframe Move/Resize Burst form


Map file menu

The Map file menu contains the following controls:

  • Open & Load
  • New
  • Save
  • Save As
  • Restore Loaded Map
Open & Load

This control opens map configuration file, an XML file with .xml extension and loads it into the DSP. This item is always active. If pending changes have not been saved to a file, then a confirmation dialog is displayed.

New

This control clears the current map configuration. It does not change the currently loaded map in the DSP. This item is always active. If pending changes have not been saved to a file, a confirmation dialog is displayed.

Save

This control saves the current map under the current name. This item is enabled if the map has been modified since the last time a file was opened.

Save As

This control opens a form for saving the current map under the same or a new name. This item is always enabled.

Restore Loaded Map

This control undoes any pending changes. The configuration form matches the currently load map. This item is active only when pending changes have not been loaded into the DSP. If the pending changes have not been saved to a file, then a confirmation dialog is displayed.


General tab

WM subframe maps settings form

Coupling between settings

Valid settings for FFT Size, Bandwidth, Guard Interval, DL Symbols, UL Symbols and Frame Duration are all interrelated. The values for FFT Size, Bandwidth, Guard Interval, DL Symbols and UL symbols determine a minimum frame duration that must not exceed the user-specified Frame Duration.

Minimum frame duration = ([FFT Size * (1 + GuardInterval)] / Bandwidth) *

(DLSymbols + ULSymbols)

Also, the number of samples in a subframe must not exceed 32768, which is the maximum number of symbols the DSP stores.

Samples per subframe = [FFT Size * (1 + GuardInterval)] * SubframeSymbols

The General tab menu contains the following controls:

  • FFT Size
  • Bandwidth
  • Guard Interval
  • Duration
  • Subframe Type
  • DL Symbols
  • UL Symbols
  • Preamble Index
  • Subchannel Groups
  • Segment

    Note: The color(s) displayed in the on the lower left side of the 802.16e-OFDMA Map dialog are reflected on the Constellation display as like-colored dots.

FFT Size

This control specifies the number of subcarriers in the signal. The enumerated setting choices are: 128, 512, 1024, and 2048. The default size is 512. The size may always be increased. It may be decreased only if the subchannels being removed do not have bursts assigned to them.

Bandwidth

This control specifies the bandwidth of the signal, in MHz.

The numeric settings:

  • Min = 2.0MHz
  • Max = 20.0MHz
  • Default = 10.0MHz
  • Resolution = 10kHz

The bandwidth may always be increased. The maximum number of symbols in a subframe is a function of the bandwidth. The bandwidth may be decreased only if the new maximum number of symbols is greater than the maximum symbol assigned to a zone.

Guard Interval

The settings choices are: 1/32, 1/16, 1/8, and 1/4. The default is 1/8.

The guard interval may always be increased. The maximum number of symbols in a subframe is a function of the guard interval. The guard interval may be decreased only if the new maximum number of symbols is greater than the maximum symbol assigned to a zone.

Duration

Duration is the length of the entire frame, that is the sum of the DL subframe duration and the UL subframe duration, in milliseconds. The choices are: 2.0, 2.5 4.0, 5.0, 8.0, 10.0, 12.5, and 20.0.The default is 10.0.

Duration may always be increased. The maximum number of symbols in a subframe is a function of the duration. Duration may be decreased only if the new maximum number of symbols is greater than the maximum symbol assigned to a zone.

Subframe Type

This control selects the subframe type to be analyzed.The choices are DL (downlink) and UL (uplink). The default is UL.

DL Symbols

This is displayed when the subframe type is DL. The numeric setting choices are:

  • Min = 1
  • Max = 300
  • Default = 11

The value may always be increased. It may be decreased if symbols have not been assigned to a zone.

UL Symbols

This is displayed when the subframe type is UL. The numeric setting choices are:

  • Min = 1
  • Max = 300
  • Default = 6

The value may always be increased. It may be decreased if symbols have not been assigned to a zone.

Preamble Index

Numeric setting:

  • Min = 0
  • Max = 113
  • Default = 0

The Preamble Index is coupled to Subchannel Groups and to Segment. Valid Preamble Index values are a function of the states of Subchannel Groups. The Preamble Index may only be set to a value that is within one of the Subchannel Groups that is on:

  • Segment 0 corresponds to Preamble Index values 0 through 31, 96, 99, 102, 105, 108 and 111 and requires Subchannel Group 0 be On.
  • Segment 1 corresponds to Preamble Index values 32 through 63, 97, 100, 103, 106, 109 and 112 and requires Subchannel Group 2 be On.
  • Segment 2 corresponds to Preamble Index values 64 through 95, 98, 101, 104, 107, 110 and 113 and requires that Subchannel Group 4 be On. Setting the Preamble Index will cause the Segment setting to adjust to the segment that has the Preamble Index value in its range.

Subchannel Groups

This control is an On/Off setting. The default is On for all groups.

Subchannel group state is coupled to Preamble Index, Segment, and bursts in Downlink PUSC zones. For Downlink PUSC zones, the number of subchannels in a zone is a function of the subchannel groups that are On. See the table below. A subchannel group may always be set to On. A group may be turned Off if it is required for the preamble index/segment and if it does not cause a conflict with bursts in Downlink PUSC zones.

Subchannels in a Downlink PUSC Zone

FFT Size | Subchannels per even-numbered Subchannel Group enabled | Subchannels per odd-numbered Subchannel Groups enabled
128 | 1 | 0
512 | 3 | 0
1024 | 6 | 4
2048 | 12 | 8

Segment

The enumerated setting choices are: 0, 1, 2. The default is 0.

Segment is coupled to Preamble Index and Subchannel Groups.

  • Segment 0 may be set only if Subchannel 0 is On.
  • Segment 1 may be set only if Subchannel 2 in On.
  • Segment 2 may be set only if Subchannel 4 is On.

Setting the Segment will cause the Preamble Index to adjust to a new value if the new segment does not correspond to the previous Preamble Index. If an adjustment is made, the new Preamble Index will be the nearest value to the old Preamble Index, such that the new Preamble Index corresponds to the new Segment.


DL Subframe tab

WM DL subframe tab

The DL Subframe menu contains the following controls:

  • Add Zone
  • Selected Zone
  • Delete Zone
  • Type
  • Symbols dl
  • Permutation
  • Add Burst
  • Selected Burst
  • Delete Burst
  • Mod/Rate
  • Repetition Coding
  • Move/Resize Burst
Add Zone

Pressing this button adds a new zone of minimum size to the subframe. The new zone contains no bursts. The default type of a new zone is PUSC; the default Permutation is 0. The new zone becomes the selected zone.

The button is disabled if the subframe is full. The maximum number of symbols in a subframe is <X>; the maximum number of zones is eight.

NOTE: When you add a zone, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added zone, the currently-loaded map is restored.

Selected Zone

This control selects a zone for editing or deleting. The selected zone is highlighted with a green border on the subframe graphic.

Numeric setting:

  • Min = 0
  • Max = last zone
  • Default = 0

The entry box is disabled if there are no zones in the subframe.

Delete Zone

Pressing this button deletes the selected zone. When a zone is deleted all of its bursts are deleted. When the deleted zone is the last zone then the selected zone decrements by one. The button is disabled if there are no zones in the subframe.

Zone Type

A choice from the Zone Type drop-down menu specifies the type of the selected zone.

Changing zone type may reduce the number of subchannels in the zone. A change is not allowed if there are bursts in the affected subchannels. Additionally, type cannot be changed from FUSC to PUSC if the zone has an odd number of symbols, because PUSC zones must have an even-numbered length.

Enumerated setting:

  • PUSC
  • FUSC

The default setting is PUSC

Symbols dl

This control set the size of the selected zone.

Numeric setting:

  • Min = 0
  • Max = Symbols in subframe
  • Default = 0

Resolution:

  • 2 symbols for PUSC zones
  • 1 symbol for FUSC zones

Permutation

Use this control to set the permutation index for the selected zone

Numeric setting:

  • Min = 0
  • Max = 31
  • Default = 0

Add Burst

Pressing this button adds a new burst to the selected zone. The new burst has size of 2 symbols x 1 subchannel. It is placed in the first available location. The Move/Resize form is opened allowing the user to immediately edit the new burst. The new burst becomes the selected burst. This button is disabled if the zone is full.

NOTE: When you add a burst, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added burst, the currently-loaded map is restored.

Delete Burst

Pressing this button deletes the selected burst. When the deleted burst is the last burst, the selected burst decrements by one. The button is disabled if there are no bursts in the selected zone.

Selected Burst

This control selects a burst for editing or deleting. The selected burst is highlighted with a green border on the zone graphic.

Numeric setting:

  • Min = 0
  • Max = last burst
  • Default = 0

The entry box is disabled if there are no bursts in the zone.

Mod/Rate

This control sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK 1/2
  • QPSK 3/4
  • 16-QAM 1/2
  • 16-QAM 3/4
  • 64-QAM 1/2
  • 64-QAM 2/3
  • 64-QAM 3/4

The default is QPSK 1/2

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Move/Resize Burst

Pressing this button opens the Move/Resize Burst form. This button is disabled if the selected zone contains no bursts. See DL Subframe Move/Resize Burst form.


DL Subframe Move/Resize Burst form

WM DL subframe move_resize burst form

The DL Move/Resize Form (shown above) is a modal form which contains the following controls:

  • Start Symbol j4
  • Start Subchannel j4
  • Width (Symbols)
  • Height (Subchannels)
  • OK
  • Cancel

The new burst location is displayed graphically on the left side of the form. The burst is highlighted with a green border and the OK button is enabled if the location does not conflict with another burst. If the new location does overlap an existing burst then the new burst is displayed with a red border and the OK button is disabled.

Start Symbol j4

Numeric setting:

  • Min = 0
  • Max = (last symbol - burst width)
  • Default = 0

Start Subchannel j4

Numeric setting:

  • Min = 0
  • Max = last subchannel
  • Default = 0

Height (Subchannels)

Numeric setting:

  • Min = 1
  • Max = Zone height
  • Default = 1

Width (Symbols)

Numeric setting:

  • Min = 2
  • Max = Zone length
  • Default = 2

OK

Pressing this button closes the form and applies the settings to the selected burst. If the form was opened as a result of adding a burst then a new burst is added to the selected zone.

Cancel

Pressing this button closes the form and discards any pending changes to the location and size of the selected burst. If the form was opened as a result of adding a burst then a new burst is not added to the selected zone.


UL Subframe tab

The UL Subframe tab contains the following controls:

  • Add Zone
  • Selected Zone
  • Delete Zone
  • Type
  • Symbols
  • Permutation
  • Add Burst
  • Selected Burst
  • Delete Burst
  • Mod/Rate
  • Repetition
  • Move/Resize Burst

Add Zone

Pressing this button adds a new zone of minimum size to the subframe. The new zone contains no bursts. The default type of a new zone is PUSC; the default Permutation is 0. The new zone becomes the selected zone.

The button is disabled if the subframe is full. The maximum number of symbols in a subframe is <X>; the maximum number of zones is eight.

NOTE: When you add a zone, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added zone, the currently-loaded map is restored.

Selected Zone

This control selects a zone for editing or deleting. The selected zone is highlighted with a green border on the subframe graphic.

Numeric setting:

  • Min = 0
  • Max = last zone
  • Default = 0

The entry box is disabled if there are no zones in the subframe.

Zone type ul

A choice from this drop-down list specifies the type of the selected zone.

Enumerated setting: PUSC

Default:PUSC

Since there is only one valid type, the combo box is disabled.

Symbols

The Symbols setting controls the size of the selected zone.

Minimum value: 0
Maximum value: 6
Default: 3

Resolution: 3 symbols for PUSC zones.

Permutation

Use this control to set the permutation index for the selected zone

Numeric setting:

  • Min = 0
  • Max = 69
  • Default = 0

Add Burst

Pressing this button adds a new burst to the selected zone. The new burst has size of 2 symbols x 1 subchannel. It is placed in the first available location. The Move/Resize form is opened allowing you to immediately edit the new burst. The new burst becomes the selected burst. This button is disabled if the zone is full.

NOTE: When you add a burst, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added burst, the currently-loaded map is restored.

Selected Burst

This control selects a burst for editing or deleting. The selected burst is highlighted with a green border on the zone graphic.

Numeric setting:

  • Min = 0
  • Max = last burst
  • Default = 0

The entry box is disabled if there are no bursts in the zone.

Delete Burst

Pressing this button deletes the selected burst. When the deleted burst is the last burst, the selected burst decrements by one. The button is disabled if there are no bursts in the selected zone.

Code Rate

Code Rate sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK 1/2
  • QPSK 3/4
  • 16-QAM 1/2
  • 16-QAM 3/4
  • 64-QAM 1/2
  • 64-QAM 2/3
  • 64-QAM 3/4

Default QPSK 1/2

Repetition

Enumerated setting:

  • None
  • R = 2
  • R = 4
  • R = 6

Default: None

Move/Resize Burst

Pressing this button opens the Move/Resize Burst form. This button is disabled if the selected zone contains no bursts. See UL Subframe Move/Resize Burst form.


UL Subframe Move/Resize Burst form

WM UL subframe move_resize burst form

The UL Move/Resize Form (shown above) is a modal form which contains the following controls:

  • Start Symbol j4
  • Start Subchannel j4
  • Slots
  • OK
  • Cancel

The new burst location is displayed graphically on the left side of the form. The burst is highlighted with a green border and the OK button is enabled if the location does not conflict with another burst. If the new location does overlap an existing burst then the new burst is displayed with a red border and the OK button is disabled.

Start Symbol j4

Numeric setting:

  • Min = 0
  • Max = (last symbol - burst width)
  • Default = 0

Delete Zone

Pressing this button deletes the selected zone. When a zone is deleted all of its bursts are deleted. When the deleted zone is the last zone then the selected zone decrements by one. The button is disabled if there are no zones in the subframe.

Start Subchannel j4

Numeric setting:

  • Min = 0
  • Max = last subchannel
  • Default = 0

Slots

This control sets the number of slots in the burst.

Numeric setting:

  • Min = 1
  • Max = 70
  • Default = 1

OK

Pressing this button closes the form and applies the settings to the selected burst. If the form was opened as a result of adding a burst then a new burst is added to the selected zone.

Cancel

Pressing this button closes the form and discards any pending changes to the location and size of the selected burst. If the form was opened as a result of adding a burst then a new burst is not added to the selected zone.


Digital demodulation

Digital modulation, also known as shift keying, modifies a carrier signal characteristic with a set of defined values or symbols to transmit information. This defined set of symbols is known as a modulation alphabet. The digital demodulator is designed specifically for the symbol set used by the modulator to determine the amplitude, frequency, or phase of a carrier signal at a particular decision point or transition and map it back to the symbol it represents, recovering the original data.

Measured and reference signals

The demodulator not only measures the received I (in-phase) and Q (quadrature) signals for phase-shift keying (PSK) or frequency-shift keying (FSK), it also models ideal reference signals. The difference between the measured and reference signals is then used to analyze the received data.

See the following topics to learn more about the digital demodulation choices in the Series V2800:

  • FSK
  • PSK

For definitions of the available forms of digital demodulation refer to the links below:

  • FSK (frequency-shift-keying)
  • PSK (phase-shift-keying)


FSK

Frequency-shift-keying (FSK) is a form of frequency modulation where the modulating signal shifts the output frequency between predetermined values in accordance with the bit stream. The frequency shift represents the transmitted symbol.

FSK measurement procedure

  1. Set up the test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument to the default state.
    2. From the measurement selection pull-down, select:

    Spectrum > Digital > FSK.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer the measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

_________
See also:

  • Digital demodulation overview
  • FSK general settings
  • FSK filter settings
  • FSK view settings
  • FSK measurement results
  • FSK measurement examples


Set and adjust FSK

Select from the list below to learn what choices you have for setting up an FSK demodulation measurement:

  • FSK general settings
  • FSK view settings
  • FSK filter settings

Select from the list below for further details:

  • FSK measurement results
  • FSK measurement examples


FSK (frequency-shift-keying)

Frequency-shift-keying (FSK) is a form of frequency modulation where the modulating signal shifts the output frequency between predetermined values in accordance with the bit stream. For FSK 2 the frequency shift represents binary logic 0s and 1s.

For the FSK demodulation, the symbol decision is based on the signal frequency at a particular decision point for mapping to graphs and measurement results displayed on the Series V2800.

See the following topics to learn more about the FSK demodulation in the Series V2800.

  • FSK general settings
  • FSK filter settings
  • FSK view settings
  • FSK measurement results
  • FSK measurement examples

FSK general settings

You can find the following settings in the right control panel and at the bottom of the display screen.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Expected Power

Sets the main channel expected power. If the displayed signal trace appears noisy, increase or decrease the power amplitude to better match the incoming signal power.

Symbol Count

Sets the number of symbols that are captured when the data is acquired for each measurement.

Symbol/s

Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Sweep

Sets the type of data acquisition:

  • Continuous sweep repeatedly acquires the signal data.
  • Single sweep takes one acquisition of the signal data.

Persistence

Adds each new measurement to the graph, while continuing to show the previous measurements, when selected.

Trajectories

Shows the transition trajectories between symbol points on the constellation graph, if selected. The trajectories appear green and the symbol points appear yellow on the display screen.

Trace

Sets which signals to view as a trace on the time or eye graph, when selected.

  • Freq & Ampl enables both the frequency and amplitude signals as trace data on the graph.
  • Frequency enables only the frequency signal as trace data on the graph.
  • Amplitude enables only the amplitude signal as trace data on the graph.

The frequency signal appears green and the amplitude signal appears blue on the display screen. The trace also appears in a normalized state where changes to the power setting do not affect the view of the displayed signal trace.

Differential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, the changes in the symbol alphabet are transmitted, not the symbols themselves.

FSK view settings

The following four graph settings allow you to look at various aspects of the received and demodulated data.

Constellation

A constellation diagram is a representation of a signal modulated by a digital modulation scheme. It displays the signal as a two-dimensional scatter diagram in the complex plane (normally, I and Q) at symbol sampling instants. The diagram also represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. Measured constellation diagrams can be used to recognize the type of interference and distortion in a signal.

Note: The Constellation display mode for FSK has no component in the vertical axis. FSK demodulation, after differentiating phase to recover the instantaneous frequency, distills the information originally in the captured complex waveform. The instantaneous frequency of a frequency-modulated carrier disregards magnitude, and it thereby converts the two-domain (I and Q) input data into a one-domain (frequency) data set. The magnitude information, which is very useful, is provided in the Time and Eye Diagram trace formats. Simply enable the desired traces with the display control labeled "Trace:" at the bottom of each of these screens. For both of these trace views, the magnitude information is provided with exact time correlation to the frequency information.

  • Show Targets adds yellow circles representing the symbols' expected locations on the constellation diagram.
  • Target Size specifies the size of the yellow target circles, that represent the symbols' expected locations.
  • Trajectories sets whether the samples between data points are drawn on the display. For example, if the signal is at a 1 kHz rate and is sampled at 4x oversampling (for a 4 kHz rate) there will be three trajectory points between each data point.

Time

The time graph shows the frequency and amplitude signals (vertical axis) versus time (horizontal axis). The frequency information is represented as a green trace and the amplitude information is represented as a blue trace. You can choose whether to display frequency, amplitude, or both.

Eye

The eye diagram shows how the signal looks at the decision point. This diagram is similar to the time graph because it shows the frequency and amplitude signals versus time, but with an expanded horizontal scale. The signal is also aligned so that all of the decision points are overlapped in the middle of the screen. The frequency information is represented as a green trace and the amplitude information is represented as a blue trace. You can choose whether to display frequency, amplitude, or both.

Demodulate

The demodulate table shows the demodulated symbols and the associated bit streams. This table is useful for examining the data pattern to see if the received signal was modulated correctly.

FSK filter settings

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results.

Rectangular filter shape has an impulse response that is constant, centered, and one symbol wide.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.

___
See [:SENSe]:FSK:FILTer for further details.


FSK measurement results

The following measurement results are shown in a table on the Series V2800 display screen. You can also use various SCPI commands to extract measured data.

RMS Level (dBm)

Root-mean-square (RMS) is a statistical measure of the magnitude of a varying quantity. The RMS level of a signal is the square root of the mean value of the squared signal. The RMS level has been logged to represent power in dBm (power relative to 1 mWatt into a 50 W load).

Carrier Offset (Hz)

Carrier offset is the difference between the received carrier signal and the frequency at which the analyzer is tuned.

Frequency Separation (Hz)

Frequency separation shows the shift in frequency that the analyzer measures for the incoming signal. The received frequency is between predetermined values in accordance with the bit stream. The frequency shift represents binary logic 0s and 1s.

Symbol EVM (%)

  • The error vector is defined as the distance in the I-Q plane between the idealized constellation point and the actual received point. This is defined as a complex-valued array at each sampled point of the received signal and is, therefore, the same size as the captured signal.
  • The error vector magnitude (EVM) displayed is equal to the ratio of the RMS power (P) of the error vector (EVn) to the RMS power (P) of the reference. It is defined as a percent in this equation:

Where:

P() is the root-mean-square power of the contained signal

EVn is the array of complex-valued error vectors

RXn is the array of idealized complex-valued signal under test

This measurement provides calculation results of the received signal only at the symbol points. The peak value is only calculated for the symbol EVM points.

  • For FSK, the error vector magnitude displayed is the ratio of the RMS frequency error to the separation frequency, expressed as a percentage.

EVM Peak (%)

EVM peak is the largest of the individual symbol EVM measures.

EVM Pk Offset

EVM pk offset is the symbol location where the largest error vector was found.

Ensemble EVM (%)

This measurement provides calculation results for every sample of the received signal, including segments in between the symbol locations.

Amplitude droop (dB)

Amplitude droop is a measure of the amplitude variation over the measurement interval.

Symbol Count

The symbol count is the number of symbols that are captured when the data is acquired for each measurement.

Sample Rate (kHz)

The sample rate identifies the rate at which signals are sampled for subsequent demodulation. It is the inverse of the number of samples taken per unit of time.

Oversample Ratio

The oversample ratio is calculated as 80% of the ratio of sample rate to symbol rate.

Frequency Drift (Hz/ms)

Frequency drift is a measure of linear frequency movement over the measurement interval.


FSK measurement examples

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: FSK
  • Filter type: Rectangular
  • Symbol count: 100

Constellation | Eye
Time |


PSK

Phase-shift-keying (PSK) is a digital modulation scheme that transmits data by changing the phase of a reference signal (the carrier wave) by predetermined values in accordance with the bit stream.

PSK measurement procedure

  1. Set up the test equipment.

    NOTE: This is a typical installation, with the Series V2800 VSA connected to the system controller. This arrangement facilitates making screen captures of the VSA display. The rear panel SCPI control connectors are the same on both instruments. Thus, either or both of the instruments could be directly connected to the system controller for remote control. Connection by LAN enables use of the LXI web interface for licensing operations and other features.

    1. REF IN can accept an input frequency of 1 MHz to 60 MHz.

  2. Acquire an RF signal.

    Make sure the signal to be measured is within the frequency and signal power range of the VSA.

    If a signal generator is generating the signal:

    1. Set the carrier frequency (1GHz in the following example).
    2. Set the signal amplitude (-10dBm in the following example).
    3. Apply modulation to the carrier signal.
    4. Turn on the modulated RF signal.
  3. Choose a measurement personality.
    1. Select Preset to set the instrument to the default state.
    2. From the measurement selection pull-down, select:

    Spectrum > Digital > PSK.

  4. Set the measurement parameters and adjust the screen for optimum viewing.
  5. Transfer the measurement results.
    1. Select File > Save Screen.
    2. Select Look in: and navigate to storage location.
    3. Select Keyboard (type image title) and Enter.
    4. Select Save.
    5. Select Yes.

_________
See also:

  • Digital demodulation overview
  • PSK general settings
  • PSK symbol type settings
  • PSK filter settings
  • PSK view settings
  • PSK measurement results
  • PSK measurement examples


Set and adjust PSK

Select from the list below to learn what choices you have for setting up an PSK demodulation measurement:

  • PSK general settings
  • PSK view settings
  • PSK filter settings
  • PSK symbol type settings

Select from the links for more details:

  • PSK measurement results
  • PSK measurement examples


PSK (phase-shift keying)

Phase-shift keying (PSK) is a digital modulation scheme that transmits data by changing the phase of a reference signal (the carrier wave) by predetermined values in accordance with the bit stream.

On a constellation diagram, the real and imaginary axes are called the "in-phase" and "quadrature" axes respectively, due to their 90° separation. The point's distance from the origin represents the amplitude and the angle that this vector makes with respect to the horizontal axis represents the phase of the carrier at this instant in time.

In PSK, the constellation points are positioned with uniform angular spacing around a circle. This gives maximum phase-separation between adjacent points, providing the best immunity to data corruption. Because the points are positioned on a circle, they are all transmitted with the same amplitude.

For the PSK demodulation, the symbol decision is based on the signal phase at a particular decision point for mapping to graphs and measurement results displayed in the Series V2800.

See the following topics to learn more about PSK demodulation in the Series V2800.

  • PSK general settings
  • PSK symbol type settings
  • PSK filter settings
  • PSK view settings
  • PSK measurement results
  • PSK measurement examples

PSK general settings

You can find the following settings in the right control panel and at the bottom of the display screen.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Expected Power

Sets the main channel expected power. If the displayed signal trace appears noisy, increase or decrease the power amplitude to better match the incoming signal power.

Symbol Count

Sets the number of symbols that are captured when the data is acquired for each measurement.

Symbol/s

Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Sweep

Sets the type of data acquisition:

  • Continuous sweep repeatedly acquires the signal data.
  • Single sweep takes one acquisition of the signal data.

Persistence

Adds each new measurement to the graph, while continuing to show the previous measurements, if selected.

Trajectories

Shows the transition trajectories between symbol points on the constellation graph, if selected. The trajectories appear green and the symbol points appear yellow on the display screen.

Trace

Sets which signals to view as a trace on the time or eye graph, if selected.

  • I and Q enables both the I and Q signals as trace data on the graph.
  • I only enables only the I signal as trace data on the graph.
  • Q only enables only the Q signal as trace data on the graph.

The I signal appears green and the Q signal appears blue on the display screen. The trace also appears in a normalized state where changes to the power setting do not affect the view of the displayed signal trace.

Differential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

PSK view settings

The following four graph settings allow you to look at various aspects of the received and demodulated data.

Constellation

A constellation diagram is a representation of a signal modulated by a digital modulation scheme. It displays the signal as a two-dimensional scatter diagram in the complex plane (I and Q) at symbol sampling instants. The diagram also represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. Measured constellation diagrams can be used to recognize the type of interference and distortion in a signal.

  • Show Targets sets whether the symbols' expected locations are shown as yellow circles on the constellation diagram.
  • Target Size specifies the size of the yellow target circles, indicating the symbols' expected locations.
  • Trajectories sets whether the samples between data points are drawn on the display. For example, if the signal is at a 1kHz rate, and is sampled at 4x oversampling, for a 4kHz rate, there will be three trajectory points between each data point.

    VSA_M 8PSK CONST

Time

The time graph shows the I and Q signals (vertical axis) versus time (horizontal axis). The I signal is represented as a green trace and the Q signal is represented as a blue trace. You can choose whether to display I only, Q only, or both I and Q.

Eye

The eye diagram shows how the signal looks at the decision point. This diagram is similar to the time graph in that it shows the I and Q signals versus time, but with an expanded horizontal scale. The signal is also aligned so that all of the decision points are overlapped in the middle of the screen. The I signal is represented as a green trace and the Q signal is represented as a blue trace. You can choose whether to display I only, Q only, or both I and Q.

Demodulate

The demodulate table shows the demodulated symbols and the associated bit stream. This table is useful for examining the data pattern to see if the received signal was modulated correctly.

PSK filter settings

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

NRZ (non-return-to-zero) format always keeps the signal level precisely continuous for the duration of the signal. Ideally, the output signal then switches from the previous (I,Q) value to the next (I,Q) value instantaneously at the symbol rate. This information transfer comes at the expense of bandwidth. You can use other baseband filters to reduce the transmitted bandwidth while keeping an acceptable information transfer.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.

See [:SENSe]:PSK:FILTer for further detail

PSK symbol type settings

Symbol type

BPSK (binary phase-shift keying) uses two phases that are separated by 180°. This modulation is the most robust of all the PSKs but is only able to modulate at 1 bit/symbol.

________
QPSK (quaternary or quadriphase phase-shift keying) uses four phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 2 bits/symbol.

You can use this modulation in the following applications:

  • Double the data rate compared to a BPSK while maintaining the bandwidth of the signal.

    or

  • Maintain the data-rate of BPSK but halve the bandwidth needed.

Although QPSK can be viewed as a quaternary modulation, you can also see it as two independently modulated quadrature carriers. With this interpretation, the even (or odd) bits are used to modulate the in-phase component of the carrier, while the odd (or even) bits are used to modulate the quadrature-phase component of the carrier.

________
p / 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 45° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a p / 4 rotation added to select points from the other constellation. This reduces the phase shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that may happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time is restricted and remains constant, which keeps the amplitude from passing through zero amplitude, shutting off the RF for a short duration.

________
3 p / 4-QPSK is a version of QPSK that uses two identical constellations rotated by 135° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a 3p / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as that of ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time remains constant. The amplitude will never pass through zero amplitude, shutting off the RF for that short duration because of this restriction on available symbol locations.

________
OQPSK (offset quaternary or quadriphase phase-shift-keying) delays one of the two symbol components (in-phase or quadrature) by the duration of half a symbol (one bit). Since the symbol only changes a half symbol at a time, the trajectory will never cross through the origin. As the constellation diagram for QPSK shows, each adjacent symbol differs only by one bit. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The following graphic shows the difference in the behavior of the phase shifts between QPSK and OQPSK. The phase in the QPSK graph changes by 180° at once, where the phase changes in the OQPSK graph are never greater than 90°.

OQPSK vs QPSK

________
8 PSK (eight phase-shift- keying) uses eight phases (or points) on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 3 bits/symbol.

With more than eight phases, the error-rate for a given output power is very high because of the small vector difference between symbols. For this reason, it may be better to use other available modulations such as quadrature amplitude modulation (QAM).


PSK measurement results

The following measurement results are shown in a table on the Series V2800 display screen. You can also use various SCPI commands to extract measured data.

RMS Level (dBm)

Root Mean Square (RMS) is a statistical measure of the magnitude of a varying quantity. The RMS level of a signal is the square root of the mean value of the squared signal. The RMS level has been logged to represent power in dBm (power relative to 1 mWatt into a 50 W load).

Symbol Level (dBm)

Symbol level is the power of the outermost symbol location.

Carrier Offset (Hz)

Carrier offset is the difference between the received carrier signal and the frequency at which the analyzer is tuned.

Symbol EVM (%)

This measurement provides calculation results of the received signal only at the symbol points. The peak value is only calculated for the symbol EVM points.

  • The error vector is defined as the distance in the I-Q plane between the idealized constellation point and the actual received point. This is defined as a complex-valued array at each sampled point of the received signal and is therefore the same size as the captured signal.
  • The error vector magnitude displayed is equal to the ratio of the RMS power of the error vector to the RMS power of the reference. It is defined in percent as:

Where:

P() is the root mean square power of the contained signal

EVn is the array of complex-valued error vectors

RXn is the array of idealized complex-valued signal under test

EVM Peak (%)

EVM peak is the largest of the individual symbol EVM measured.

EVM Pk Offset

The symbol location where the largest error vector was found.

Ensemble EVM (%)

This measurement provides calculation results for every sample of the received signal, including in between the symbol locations.

Carrier Feedthru (dBr)

Carrier feedthru is a measure of the origin offset in magnitude, relative to total power.

I Offset

I Offset is the I signal portion of the effect that an IQ offset or origin offset has in the signal generator and the signal analyzer after demodulation.

The result is a noise vector in the complex baseband that shifts the constellation diagram out of its complex 0 position (IQ offset = 0). The following graphic shows a constellation diagram (blue) at an IQ offset equal to 0 and a constellation diagram (gray) at an IQ offset that equals the difference in magnitude of the vector of the two diagrams.

Q Offset

Q offset is the Q signal portion of the effect that an IQ offset or origin offset has in the signal generator and the signal analyzer after demodulation.

The result is a noise vector in the complex baseband that shifts the constellation diagram out of its complex 0 position (IQ offset equal to 0). The following graphic shows a constellation diagram (blue) at an IQ offset = 0 and a constellation diagram (gray) at an IQ offset that equals the difference in magnitude of the vector of the two diagrams.

Ampl Droop (dB)

Amplitude droop, measured in dB, is a measure of the amplitude variation over the measurement interval.

Symbol Count

The symbol count is the number of symbols that are captured when the data is acquired for each measurement.

Sample Rate (kHz)

The sample rate identifies the rate at which signals are sampled for subsequent demodulation. It is the inverse of the number of samples taken per unit of time.

Oversample Ratio

The oversample ratio is calculated as 80% of the ratio of sample rate to symbol rate.


PSK measurement examples

See the following measurement examples of the PSK symbol types:

  • BPSK symbol type measurement example
  • QPSK symbol type measurement example
  • p / 4-QPSK symbol type measurement example
  • 3 p / 4-QPSK symbol type measurement example
  • 8PSK symbol type measurement example

See [:SENSe]:PSK:STYPe for SCPI command details.

BPSK symbol type measurement example

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: BPSK
  • Filter type: NRZ
  • Symbol count: 100

Constellation | Eye
VSA_M BPSK CONST | VSA_M BPSK EYE
Time |
VSA_M BPSK TIME

QPSK symbol type measurement example

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: QPSK
  • Filter type: NRZ
  • Symbol count: 100

Constellation | Eye
VSA_M QPSK CONST | VSA_M QPSK EYE
Time |
VSA_M QPSK TIME

p / 4-QPSK symbol type measurement example

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: p / 4-QPSK
  • Filter type: NRZ
  • Symbol count: 100

Constellation | Eye
VSA_M P 4QPSK CONST | VSA_M 4QPSK EYE
Time |
VSA_M 4QPSK TIME

3p/4-QPSK symbol type measurement example

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: 3p / 4-QPSK
  • Filter type: NRZ
  • Symbol count: 100

Constellation | Eye
Time |
VSA_M 3N4QPSK TIME

8PSK symbol type measurement example

The following modulation measurements use a 1 GHz test signal at -10 dBm with the analyzer set up as follows:

  • Digital modulation: 8PSK
  • Filter type: NRZ
  • Symbol count: 100

Constellation | Eye
VSA_M 8PSK CONST | VSA_M 8PSK EYE
Time |
VSA_M 8PSK TIME


Digital demodulation settings

Select from the list to learn what choices you have for setting up a digital demodulation measurement:

  • FSK settings
  • PSK settings


FSK settings

Select from the list to learn what choices you have for setting up an FSK digital demodulation measurement:

  • FSK general settings
  • FSK view settings
  • FSK filter settings
  • FSK symbol type
FSK general settings

You can find the following settings in the right control panel and at the bottom of the display screen.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Expected Power

Sets the main channel expected power. If the displayed signal trace appears noisy, increase or decrease the power amplitude to better match the incoming signal power.

Symbol Count

Sets the number of symbols that are captured when the data is acquired for each measurement.

Symbol/s

Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Sweep

Sets the type of data acquisition:

  • Continuous sweep repeatedly acquires the signal data.
  • Single sweep takes one acquisition of the signal data.

Persistence

Adds each new measurement to the graph, while continuing to show the previous measurements, when selected.

Trajectories

Shows the transition trajectories between symbol points on the constellation graph, if selected. The trajectories appear green and the symbol points appear yellow on the display screen.

Trace

Sets which signals to view as a trace on the time or eye graph, when selected.

  • Freq & Ampl enables both the frequency and amplitude signals as trace data on the graph.
  • Frequency enables only the frequency signal as trace data on the graph.
  • Amplitude enables only the amplitude signal as trace data on the graph.

The frequency signal appears green and the amplitude signal appears blue on the display screen. The trace also appears in a normalized state where changes to the power setting do not affect the view of the displayed signal trace.

Differential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, the changes in the symbol alphabet are transmitted, not the symbols themselves.

FSK symbol type

FSK2 is made by having one frequency represent binary 1 and another frequency represent binary 0. The modulation frequency separation sets the relative value that the frequency shifts between the two discrete values termed the mark frequency and the space frequency.

FSK filter settings

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results.

Rectangular filter shape has an impulse response that is constant, centered, and one symbol wide.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.

___
See [:SENSe]:FSK:FILTer for further details.

FSK view settings

The following four graph settings allow you to look at various aspects of the received and demodulated data.

Constellation

A constellation diagram is a representation of a signal modulated by a digital modulation scheme. It displays the signal as a two-dimensional scatter diagram in the complex plane (normally, I and Q) at symbol sampling instants. The diagram also represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. Measured constellation diagrams can be used to recognize the type of interference and distortion in a signal.

Note: The Constellation display mode for FSK has no component in the vertical axis. FSK demodulation, after differentiating phase to recover the instantaneous frequency, distills the information originally in the captured complex waveform. The instantaneous frequency of a frequency-modulated carrier disregards magnitude, and it thereby converts the two-domain (I and Q) input data into a one-domain (frequency) data set. The magnitude information, which is very useful, is provided in the Time and Eye Diagram trace formats. Simply enable the desired traces with the display control labeled "Trace:" at the bottom of each of these screens. For both of these trace views, the magnitude information is provided with exact time correlation to the frequency information.

  • Show Targets adds yellow circles representing the symbols' expected locations on the constellation diagram.
  • Target Size specifies the size of the yellow target circles, that represent the symbols' expected locations.
  • Trajectories sets whether the samples between data points are drawn on the display. For example, if the signal is at a 1 kHz rate and is sampled at 4x oversampling (for a 4 kHz rate) there will be three trajectory points between each data point.

Time

The time graph shows the frequency and amplitude signals (vertical axis) versus time (horizontal axis). The frequency information is represented as a green trace and the amplitude information is represented as a blue trace. You can choose whether to display frequency, amplitude, or both.

Eye

The eye diagram shows how the signal looks at the decision point. This diagram is similar to the time graph because it shows the frequency and amplitude signals versus time, but with an expanded horizontal scale. The signal is also aligned so that all of the decision points are overlapped in the middle of the screen. The frequency information is represented as a green trace and the amplitude information is represented as a blue trace. You can choose whether to display frequency, amplitude, or both.

Demodulate

The demodulate table shows the demodulated symbols and the associated bit streams. This table is useful for examining the data pattern to see if the received signal was modulated correctly.


PSK settings

Select from the list to learn what choices you have for setting up an PSK digital demodulation measurement:

  • PSK general settings
  • PSK view settings
  • PSK filter settings
  • PSK symbol type settings
PSK general settings

You can find the following settings in the right control panel and at the bottom of the display screen.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Expected Power

Sets the main channel expected power. If the displayed signal trace appears noisy, increase or decrease the power amplitude to better match the incoming signal power.

Symbol Count

Sets the number of symbols that are captured when the data is acquired for each measurement.

Symbol/s

Sets the speed at which data symbols are transmitted or received. However, symbols can be made up of several binary data bits. The simplest symbol represents one bit: 0 or 1. Or, a two-bit symbol could be 00, 11, 01, or 10, which makes a modulation alphabet of four symbols. The more bits per symbol, the more information or data can be transmitted with a single symbol. The symbol rate = the bit rate / number of bits transmitted per symbol.

Sweep

Sets the type of data acquisition:

  • Continuous sweep repeatedly acquires the signal data.
  • Single sweep takes one acquisition of the signal data.

Persistence

Adds each new measurement to the graph, while continuing to show the previous measurements, if selected.

Trajectories

Shows the transition trajectories between symbol points on the constellation graph, if selected. The trajectories appear green and the symbol points appear yellow on the display screen.

Trace

Sets which signals to view as a trace on the time or eye graph, if selected.

  • I and Q enables both the I and Q signals as trace data on the graph.
  • I only enables only the I signal as trace data on the graph.
  • Q only enables only the Q signal as trace data on the graph.

The I signal appears green and the Q signal appears blue on the display screen. The trace also appears in a normalized state where changes to the power setting do not affect the view of the displayed signal trace.

Differential encoding

This technique provides unambiguous signal reception for some types of modulation. The transmitted data is calculated as the arithmetic difference between the last symbol's alphabet index and the current data index. Thus, it is the changes in the symbol alphabet that are transmitted, not the symbols themselves.

PSK symbol type settings

Symbol type

BPSK (binary phase-shift keying) uses two phases that are separated by 180°. This modulation is the most robust of all the PSKs but is only able to modulate at 1 bit/symbol.

________
QPSK (quaternary or quadriphase phase-shift keying) uses four phases or points on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 2 bits/symbol.

You can use this modulation in the following applications:

  • Double the data rate compared to a BPSK while maintaining the bandwidth of the signal.

    or

  • Maintain the data-rate of BPSK but halve the bandwidth needed.

Although QPSK can be viewed as a quaternary modulation, you can also see it as two independently modulated quadrature carriers. With this interpretation, the even (or odd) bits are used to modulate the in-phase component of the carrier, while the odd (or even) bits are used to modulate the quadrature-phase component of the carrier.

________
p / 4–QPSK is a version of QPSK uses two identical constellations which are rotated by 45° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a p / 4 rotation added to select points from the other constellation. This reduces the phase shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that may happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as for ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time is restricted and remains constant, which keeps the amplitude from passing through zero amplitude, shutting off the RF for a short duration.

________
3 p / 4-QPSK is a version of QPSK that uses two identical constellations rotated by 135° (p / 4 radians) with respect to one another.

The even data symbols are used to select points from one constellation and the odd symbols have a 3p / 4 rotation added to select points from the other constellation. This reduces the phase-shifts from a maximum of 180° to a maximum of 135°. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The construction of the modulated signal is the same as that of ordinary QPSK. Successive symbols are taken from the two constellations shown in the diagram:

  • The first symbol (11) is taken from the blue constellation.
  • The second symbol (00) is taken from the orange constellation.

The signal's magnitude at the symbol time remains constant. The amplitude will never pass through zero amplitude, shutting off the RF for that short duration because of this restriction on available symbol locations.

________
OQPSK (offset quaternary or quadriphase phase-shift-keying) delays one of the two symbol components (in-phase or quadrature) by the duration of half a symbol (one bit). Since the symbol only changes a half symbol at a time, the trajectory will never cross through the origin. As the constellation diagram for QPSK shows, each adjacent symbol differs only by one bit. This limit on phase change reduces the large amplitude fluctuations that could happen from changing the phase by as much as 180°.

The following graphic shows the difference in the behavior of the phase shifts between QPSK and OQPSK. The phase in the QPSK graph changes by 180° at once, where the phase changes in the OQPSK graph are never greater than 90°.

OQPSK vs QPSK

________
8 PSK (eight phase-shift- keying) uses eight phases (or points) on the constellation diagram, equally spaced around a circle. This modulation is able to modulate at 3 bits/symbol.

With more than eight phases, the error-rate for a given output power is very high because of the small vector difference between symbols. For this reason, it may be better to use other available modulations such as quadrature amplitude modulation (QAM).

PSK filter settings

Pulse-shaping filters are a critical part of maintaining signal integrity. The two purposes of symbol filtering are bandwidth limitation and minimization of inter-symbol interference (ISI). However, achieving these two goals requires you to consider balancing the results. The instrument allows you to apply the following filters to the signal:

NRZ (non-return-to-zero) format always keeps the signal level precisely continuous for the duration of the signal. Ideally, the output signal then switches from the previous (I,Q) value to the next (I,Q) value instantaneously at the symbol rate. This information transfer comes at the expense of bandwidth. You can use other baseband filters to reduce the transmitted bandwidth while keeping an acceptable information transfer.

RC (raised-cosine) filter provides good bandwidth suppression while minimizing inter-symbol interference (ISI). The raised-cosine filter is an implementation of a low-pass Nyquist filter, where the pulse shape exhibits a zero crossing at the sampling point of all other interacting pulse intervals. In the frequency domain, the filter transition is shaped with a raised cosine wave that yields a complicated waveform in the time domain.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the alpha (a) parameter where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

RRC (root-raised-cosine) filter has a frequency response that is expressed as the square root of magnitude spectrum P (j) of the raised-cosine filter shape. This filter is useful when sharing the pulse-shaping load between the transmitter and receiver where a root-raised-cosine filter is typically used at each end of the communication system. The total response of the system is then raised-cosine.

  • Factor (a)
    • The excess bandwidth occupied by the pulse and the rate the amplitude decays outside the pulse is determined by the parameter alpha (a) where 0.2 ³ a ³ 1.
    • Select an alpha = 0.2 for the narrowest bandwidth, but the slowest rate of amplitude decay.
    • Select an alpha = 1 for the fastest rate of amplitude decay, but with the greatest bandwidth.

NRZ Gaussian and pure Gaussian filter types:

The Gaussian filter functions are used to limit the bandwidth of a symbol in the frequency domain and manage its inter-symbol interference (ISI) impact in the time domain, just as Raised-Cosine (RC) and Root Raised-Cosine (RRC) filters do. Furthermore, the Gaussian filter shapes provide a manageable bandwidth limitation for frequency modulation schemes such as FSK. By contrast, RC and RRC filter responses, once transformed by frequency modulation, do not provide a rapid stop-band transition and thereby allow unacceptable residual signal amplitude in adjacent channels.

The Gauss Function (sometimes known as the Normal Distribution Function) pulse shape is of the form e-t2. This is implemented in Agilent's general-purpose modulations as the Gaussian filter type. The filter factor, B*T, determines the compromise between occupied bandwidth and ISI. The BT product parameter is B (the filter's 3dB bandwidth) times the input signal's symbol period. Low B*T numbers limit bandwidth and high numbers reduce ISI. The basic Gaussian function shape is centered on the instant of the symbol impulse. Within these limits, the symbol shape approaches an impulse as B*T increases. The following figure shows the Gaussian pulse shapes for various BT values.

The Error function, which is the integral of the Gaussian function, is the basis of the NRZ Gauss filter type. Two copies of the error function (one centered at the symbol instant and another, inverted, centered at the following symbol instant) are added to form a shaped rectangular pulse beginning at the symbol being transmitted and ending at the following symbol instant. Again, the filter factor, B*T, determines the compromise between occupied bandwidth and ISI. Low B*T numbers limit bandwidth and high numbers reduce ISI. Within these limits, as B*T increases, the symbol shape approaches a rectangular zero-order hold function. An alternative interpretation of the NRZ Gauss option is a rectangular filter (NRZ) convolved with the pure Gaussian pulse. The following figure shows the NRZ Gauss pulse shapes for various BT values.

Wideband does not apply any pulse shaping filters to the modulation symbol. Ideally, the symbol is an impulse that remains intact when this modulation filter is selected.

See [:SENSe]:PSK:FILTer for further detail

PSK view settings

The following four graph settings allow you to look at various aspects of the received and demodulated data.

Constellation

A constellation diagram is a representation of a signal modulated by a digital modulation scheme. It displays the signal as a two-dimensional scatter diagram in the complex plane (I and Q) at symbol sampling instants. The diagram also represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. Measured constellation diagrams can be used to recognize the type of interference and distortion in a signal.

  • Show Targets sets whether the symbols' expected locations are shown as yellow circles on the constellation diagram.
  • Target Size specifies the size of the yellow target circles, indicating the symbols' expected locations.
  • Trajectories sets whether the samples between data points are drawn on the display. For example, if the signal is at a 1kHz rate, and is sampled at 4x oversampling, for a 4kHz rate, there will be three trajectory points between each data point.

    VSA_M 8PSK CONST

Time

The time graph shows the I and Q signals (vertical axis) versus time (horizontal axis). The I signal is represented as a green trace and the Q signal is represented as a blue trace. You can choose whether to display I only, Q only, or both I and Q.

Eye

The eye diagram shows how the signal looks at the decision point. This diagram is similar to the time graph in that it shows the I and Q signals versus time, but with an expanded horizontal scale. The signal is also aligned so that all of the decision points are overlapped in the middle of the screen. The I signal is represented as a green trace and the Q signal is represented as a blue trace. You can choose whether to display I only, Q only, or both I and Q.

Demodulate

The demodulate table shows the demodulated symbols and the associated bit stream. This table is useful for examining the data pattern to see if the received signal was modulated correctly.


Measurement settings

For each measurement listed, there is a group of settings associated with the setup and modification of the measurement.

  • Digital demodulation settings
    • FSK Settings
    • PSK Settings
  • General Purpose
    • Spectrum
    • Zero Span
    • ACPR
    • Channel Power List
    • Spectrum Emission Mask settings
  • GSM
  • EDGE
  • cdma2000
    • Demodulation
    • ACPR
    • Spectrum Emission
    • Occupied Bandwidth
  • W-CDMA Uplink
    • Demodulation
    • ACPR
    • Spectrum Emission
    • Occupied Bandwidth
  • W-CDMA Downlink
    • Demodulate
    • ACLR
    • Spectrum Emission
    • Occupied Bandwidth
  • 802.11x
    • 802.11x Demodulation settings
    • 802.11x Spectral mask settings
  • 802.16X
    • 802.16x Demodulation settings


General purpose settings

Select from the lists below to learn about the choices you have to set up a general purpose measurement.

Spectrum

Zero Span
  • Measurement panel
  • Measurement panel
  • Trigger settings panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Atten Preamp settings panel
  • Detection Type control
  • Detection Type control
  • Trace Hold control
  • Filter Type control
  • Spur Cancellation control
  • Trace Hold control
  • Averaging control
  • Trace Type control
  • Video Filter
  • Averaging control

ACPR

Channel Power List

Spectrum Emission Mask
  • Measurement panel
  • Measurement panel
  • Measurement panel
  • Edit Channels settings panel
  • Trigger settings panel
  • Channel Settings
  • Edit Limit settings panel
  • Filter Type control
  • Configure Mask
  • Filter Type control
  • Trace Hold control
  • Measurement Mode
  • Trace Hold control
  • Fast Mode control
  • Step Mode Settings
  • Fast Mode control
  • Noise Correction control
  • Measure Seg Boundary
  • Noise Correction control
  • Averaging control
  • SEM trigger settings
  • Averaging control


Spectrum settings

Select from this list to learn what choices are available for setting up a spectrum measurement.

  • Spectrum measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Trace Hold control
  • Detection Type control
  • Spur Cancellation control
  • Sweep time setting
  • Averaging control


Spectrum measurement panel

This panel has settings for measurements that display as amplitude versus frequency.

Frequency values

You can select the frequency values from two sets of parameters:

  • Start and Stop frequencies

    or

  • Center and Span frequencies

If you choose the [Start Stop] set of parameters, you enter the value where the frequency sweep starts and the value where the frequency sweep stops.

If you choose the [Center Span] set of parameters, you enter the value that is in the center of the frequency sweep and the total span of frequencies that you want swept below and above the center frequency.

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

[:SENSe]:FREQuency:CENTer

[:SENSe]:FREQuency:SPAN

[:SENSe]:FREQuency:STARt

[:SENSe]:FREQuency:STOP

Bandwidth

Bandwidth determines how low a signal amplitude that is close to a larger signal can be and still allow you to resolve the two signals.

You need to balance the effects the bandwidth has on your measurements:

  • Bandwidth Auto: couples the bandwidth value with the frequency span, when selected.
    • If selected, the bandwidth value is automatically set to 0.02% of the frequency span.
    • If not selected, you can set the bandwidth value independently.
  • Bandwidth field allows you to enter a value for the bandwidth.
    • Narrower bandwidths can allow you to measure signals that are close together (or close to the noise floor), yet they can slow down a measurement more than necessary.
    • Wide bandwidths can allow fast measurements, yet they may not provide adequate resolution, and the higher noise may obscure spectral components that are close together.

      Note: You also improve resolution by reducing the frequency span.

Remote control commands

[:SENSe]:SPECtrum:BANDwidth[:RESolution]

[:SENSe]:SPECtrum:BWIDth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

[:SENSe]:ZSPan:BWIDth[:RESolution]

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Trigger settings panel

This panel provides the controls that allow you to set up signal triggers.

Trigger Source

Sets the input trigger source:

  • Free Run triggers another measurement immediately at the end of each measurement if you have set continuous sweep. If you have set single sweep, you must select Sweep Single to trigger a measurement.
  • External triggers a measurement when the instrument receives an external signal pulse.
  • Video triggers a measurement when the input signal reaches the value specified.
  • Ext Arm/Video Trig triggers a measurement when the instrument receives an external signal pulse and the input signal reaches the specified value.
  • Bus Arm/Ext Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and an external signal pulse.
  • Bus Arm/Video Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and the input signal reaches the specified value.
  • Ext Latched is similar to External. It triggers a measurement if the external input has sent an active edge since the last latch reset. The external trigger latch is reset when the trigger is used or the receiver sends a sync out signal.
  • Bus triggers a measurement when the instrument receives the *TRG command.

Remote control command

:TRIGger[:SEQuence]:SOURce

Video Level

Sets the power level that the incoming RF signal must reach to cause a trigger event.

Remote control commands

:TRIGger[:SEQuence]:LEVel

Trigger Delay

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window.

Remote control commands

:TRIGger[:SEQuence]:DELay

Auto Trigger Timeout

Sets the time to wait in seconds for a trigger before automatically providing an internal trigger to acquire a measurement:

  • Time Out ON enables the auto trigger timeout when selected.
  • Time Out sets the time to wait for a trigger.

Remote control commands

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:AUTO[:STATe]

Video Trigger

Sets the parameters of the video trigger:

  • Signal Type sets the condition that causes a trigger:
    • Edge sets the trigger condition to be a transition of signal power over the specified video level.
    • Level sets the trigger condition to be a signal power level.
  • Slope sets the video trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a lower value to a higher value over the specified video level to cause a trigger.
    • Negative sets the trigger to happen on the negative-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a higher value to a lower value over the specified video level to cause a trigger.
  • Pre-Qualification:
    • Level sets the power level boundary that the input signal must avoid for some specified time before the trigger will be recognized by the instrument.
    • Time sets a window area in seconds at some specified power level that the input signal must avoid before the trigger will be recognized by the instrument.
  • Bandwidth: sets the video trigger bandwidth as a percentage of available impulse bandwidth. The available impulse bandwidth is dictated by the underlying sample rate of the measurement's data acquisition. Generally, this available bandwidth is two to four times the bandwidth required by the given measurement.

Remote control commands

  • :TRIGger[:SEQuence]:PREQual:WINDow
  • :TRIGger[:SEQuence]:PREQual[:LEVel]
  • :TRIGger[:SEQuence]:TYPE
  • :TRIGger[:SEQuence]:VIDeo:BANDwidth
  • :TRIGger[:SEQuence]:VIDeo:SLOPe

External Trigger
  • Slope sets the external trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse.
    • Negative sets the trigger to happen on the negative-going slope of a pulse.

Remote control commands

:TRIGger[:SEQuence]:EXTernal:SLOPe


Atten/Preamp settings panel

The attenuator and preamplifier allow you to modify input signal power.

Atten

Atten Auto On enables the automatic application of attenuation to the input signal when selected. When you select the Ref Level or Expected Power value, the analyzer automatically adjusts the input attenuation to optimize the power measurement range.

Atten Value allows you to view the attenuation value automatically applied by the analyzer (if the Atten Auto is enabled), or you enter an attenuation value manually. The manual setting is useful when you want to step the attenuation value to determine if displayed signal spurs are due to the device under test or the analyzer.

Note icon An asterisk symbol ( * ) appears next to the word Atten in the Atten/Preamp button when the manual setting is selected. This is a visual indicator that automatic setting is uncoupled and that the instrument no longer tracks changes to the reference level.

Remote control commands

[:SENSe]:POWer[:RF]:ATTenuation

[:SENSe]:POWer[:RF]:ATTenuation:AUTO

[:SENSe]:POWer[:RF]:GAIN[:STATe]

Preamp

Preamp allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

Note icon A * symbol will appear next to the word Preamp in the Atten/Preamp button when the Preamp is selected. This is a visual indicator that the Preamp has been turned on.


Detection Type control

The display detector type determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns these two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The detection method creates the trace from a composition of the measurement point data available. You can choose from the following detection types:

  • Normal draws the measurement trace using the maximum as the upper value and the minimum as the lower value for each of the frequency spans or time intervals associated with the measurement points.
  • Max sets both the upper and lower values to the maximum value of the signal power for each of the frequency spans or time intervals associated with the measurement points.
  • Min sets both the upper and lower values to the minimum value of the signal power for each of the frequency spans or time intervals associated with the measurement point.
  • Sample sets both the upper and lower value to the signal power in the middle of the span interval.
  • Power Average sets both the upper and lower values to the average of the signal power during the span interval.
  • PwrAvg + NoiseCorr draws the trace using the result of two separate measurements with power average detection. The first measurement is a usual power average type of detection. The second measurement is a power average type of detection, but with the input signal disconnected. This second measurement indicates the internal noise of the analyzer. The displayed trace is the result of the first measurement (signal+noise) minus the second measurement (noise). The resulting trace is a more precise representation of the input signal power, but the overall measurement time doubles.

Remote control command

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]


Trace Hold control

Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The trace is created from a composition of the measurement point data available. You can choose to view the trace with the following characteristics:

  • Normal shows the 501 positions of the current measurement trace, possibly averaged, with no visual persistence.
  • Max Hold shows and visually holds the maximum values for each set of values taken at the 501 measurement points.
  • Min Hold shows and visually holds the minimum values for each set of values taken at the 501 measurement points.
  • Min/Max Hold shows and visually holds the maximum upper value and the minimum lower value for each set of values taken at the 501 measurement points.

Remote control command

:TRACe:HOLD


Spur Cancellation control

Switches on the spur cancellation function, if the check box is selected.

Remote control commands

[:SENSe]:SPECtrum:SPUR:CANCellation


Sweep Time

Sets the length of time that the measurement takes place.

_____
Auto: Enables/disables auto-coupling the sweep time to the resolution bandwidth. When enabled, the sweep time is approximately 1.0 / RBW.

_____
Sweep Time: Sets the sweep time for the spectrum measurement. Since the measurement is not actually swept, this controls the acquisition time. If the time is greater than the minimum required for the FFT, multiple overlapping FFTs will be performed and the results combined to yield the frequency that results in covering the specified time range.

CAUTION: Setting the sweep greater than the minimum (0.0000003 seconds) will proportionally increase the measurement time.

_____
Remote control commands

[:SENSe]:SPECtrum:SWEep:TIME

[:SENSe]:SPECtrum:SWEep:TIME:AUTO[:STATe]


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function when the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Running shows a new set of averaged logged data for each measurement that is taken. The displayed data trace is calculated based on a weighted average of the previous and current measurements. This result may be useful when you are looking at noise levels. A display result is generated for every measurement.
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous and current measurements. The results are then displayed as logged data. A display result is generated for every measurement.
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. A displayed result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.
    • Min/Max Group shows the minimum of the lower data sets and the maximum of the upper data sets across the N measurements.

Remote control commands

[:SENSe]:SPECtrum:AVERage:COUNt

[:SENSe]:SPECtrum:AVERage:TYPE

[:SENSe]:SPECtrum:AVERage[:STATe]


Zero Span Settings

Select from this list to learn what choices you have for setting up a spectrum zero-span measurement:

  • Zero span measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Detection Type control
  • Filter Type control
  • Trace Hold control
  • Trace Type control
  • Video Filter
  • Averaging control


Zero Span measurement panel

When Zero Span is selected, the analyzer is a fixed-tuned receiver. The amplitude variation is detected by the analyzer and displayed in the time domain.

This panel has the fundamental settings for making a zero-span measurement.

Center Frequency

Sets the frequency that the analyzer is tuned to and measures over time.

Remote control commands

:CALCulate:MARKer1:FUNCtion:CENTer

[:SENSe]:FREQuency:CENTer

Sweep Time

Sets the length of time that the measurement takes place.

Remote control command

[:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Bandwidth

Bandwidth determines how low a signal amplitude that is close to a larger signal can be and still allow you to resolve the two signals.

You need to balance the effects the bandwidth has on your measurements:

  • Bandwidth Auto: couples the bandwidth value with the frequency span, when selected.
    • If selected, the bandwidth value is automatically set to 0.02% of the frequency span.
    • If not selected, you can set the bandwidth value independently.
  • Bandwidth field allows you to enter a value for the bandwidth.
    • Narrower bandwidths can allow you to measure signals that are close together (or close to the noise floor), yet they can slow down a measurement more than necessary.
    • Wide bandwidths can allow fast measurements, yet they may not provide adequate resolution, and the higher noise may obscure spectral components that are close together.

      Note: You also improve resolution by reducing the frequency span.

Remote control commands

[:SENSe]:SPECtrum:BANDwidth[:RESolution]

[:SENSe]:SPECtrum:BWIDth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

[:SENSe]:ZSPan:BWIDth[:RESolution]

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Filter Type control

The resolution bandwidth filter determines the smoothing of the displayed measurement trace. The bandwidth of the filter is determined by the parameter you choose:

  • Channel bandwidth for ACPR measurements
  • Bandwidth filter type for channel power list measurements
  • Resolution bandwidth for zero span measurements

You can choose from the following filter shapes and characteristics:

  • Brickwall is a flat-topped filter shape that rolls off very quickly. You can control the width of the flat portion of the filter, using the bandwidth setting. The transition regions are raised cosine, of width equal to 10% of the bandwidth setting. The overall shape of the filter is a raised-cosine filter with an excess bandwidth ratio of 0.09 and a 6 dB and equivalent noise bandwidth equal to 1.09 times the bandwidth setting.
  • Sync Tuned 5 Pole has 5 poles at the same center frequency (synchronously-tuned), with a composite 3 dB bandwidth equal to the bandwidth setting. This filter mimics a filter in older sweeping spectrum analyzers.
  • Sync Tuned 4 Pole has 4 poles at the same center frequency (synchronously-tuned), with a composite 3 dB bandwidth equal to the bandwidth setting. This filter mimics a filter in older sweeping spectrum analyzers.
  • RRC (a=0.22) is a raised-root-cosine filter with excess bandwidth setting of 0.22. The bandwidth setting specifies the 3 dB bandwidth.
  • Gaussian is a true Gaussian shape where the 4 or 5 pole synchronously tuned filters are an approximation. The bandwidth setting specifies the 3 dB bandwidth.
  • None applies no filter.

Remote control commands

[:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE

[:SENSe]:ACPR:BWIDth[:RESolution]:TYPE

[:SENSe]:CPList:BANDwidth[:RESolution]:TYPE

[:SENSe]:CPList:BWIDth[:RESolution]:TYPE

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE


Trace Type control

This control allows you to choose between two types of display trace. The choices are LogMag and Frequency. The default selection is LogMag. See :DISPlay:VIEW:ZSPan:TYPE for further details.


Video Filter

This dialog allows you to set the video filter state and bandwidth.

Select from the following links for more information:

  • [:SENSe]:ZSPan:BANDwidth:VIDeo
  • [:SENSe]:ZSPan:BANDwidth:VIDeo:AUTO[:STATe]


Averaging control

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function when the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Running shows a new set of averaged logged data for each measurement that is taken. The displayed data trace is calculated based on a weighted average of the previous and current measurements. This result may be useful when you are looking at noise levels. A display result is generated for every measurement.
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous and current measurements. The results are then displayed as logged data. A display result is generated for every measurement.
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. A displayed result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.
    • Min/Max Group shows the the minimum of the lower data sets and the maximum of the upper data sets across the N measurements.

Remote control commands

[:SENSe]:ZSPan:AVERage:COUNt

[:SENSe]:ZSPan:AVERage:TYPE

[:SENSe]:ZSPan:AVERage[:STATe]


ACPR settings

The adjacent channel power ratio (ACPR) is the ratio of the amount of signal power in a main channel that is introduced to the channels immediately above and below the center channel. Select from the list to learn about the choices you have to set up an ACPR measurement.

  • ACPR measurement panel
  • Edit Channels settings panel
  • Edit Limits settings panel
  • Filter type control
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


ACPR measurement panel

This panel has the fundamental settings for making an adjacent channel power ratio (ACPR) measurement.

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

Channel Bandwidth

Sets the bandwidth of the main channel.

Remote control commands

[:SENSe]:ACPR:CENTer:BANDwidth

[:SENSe]:ACPR:CENTer:BWIDth

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Expected Power

Sets the main channel expected power.

Remote control commands

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel


Edit Channels settings panel

This settings panel allows you to edit the parameters for the main channel and the adjacent channels.

Channel

Sets which channel to apply the remaining parameters in the Edit Channels dialog box:

  • Center applies the parameters to the center main channel.
  • 1st Adjacent applies the parameters to the channels immediately adjacent to the main channel.
  • 2nd Adjacent applies the parameters to the second set of channels adjacent to the main channel.
  • On enables and disables the adjacent channel measurement that you have selected to edit.

Offset Frequency or Channel Frequency

Depending on the choice you made for the Channel setting, you will see one of the following parameters:

  • Offset Frequency sets the center frequency of the specified adjacent channels relative to the main channel center frequency.
  • Channel Frequency sets the main channel center frequency.

Remote control commands

[:SENSe]:ACPR:ADJacent1|ADJacent2:OFRequency

[:SENSe]:FREQuency:CENTer

Bandwidth

Sets the bandwidth of the channel that you specified for the Channel parameter.

Remote control commands

[:SENSe]:ACPR:CENTer:BANDwidth

[:SENSe]:ACPR:CENTer:BWIDth

[:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth

[:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth

Sweep Time

Sets the length of time that the measurement takes place.

Remote control command

[:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME


Edit Limits settings panel

This settings panel allows you to edit the limits for the adjacent channel limit testing.

Channel

Sets which adjacent channel to apply the remaining limits parameters to in the Edit Limits dialog box:

  • 1st Adjacent applies the limits parameters to the channels immediately adjacent to the main channel.
  • 2nd Adjacent applies the limits parameters to the second set of channels adjacent to the main channel.

Limit
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets the Pass/Fail power value for the limit test. The power value is relative to the main channel power (dBc).

Remote control commands

:CALCulate:ACPR:LIMit:ADJacent1|ADJacent2:UPPer

:CALCulate:ACPR:LIMit:ADJacent1|ADJacent2[:STATe]

:CALCulate:ACPR:LIMit:FAIL


Trace Hold control

Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns these two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The trace is created from a composition of the measurement point data available. You can choose to view the trace with the following characteristics.

  • Normal shows the 501 positions of the current measurement trace, possibly averaged, with no visual persistence.
  • Max Hold shows and visually holds the maximum values for each set of values taken at the 501 measurement points.
  • Min Hold shows and visually holds the minimum values for each set of values taken at the 501 measurement points.

Remote control command

:TRACe:ACPR:HOLD


Fast Mode control

This mode uses a faster measurement algorithm that is generally possible if the sweep time is not too long relative to the measurement bandwidth. If the instrument does use fast mode, there is no degradation in accuracy, but the measurement time will most likely be different than the setting for sweep time. It will be somewhere between sweep time and 2x sweep time.

Also, if the filter type is brickwall and the bandwidth is one of 10 or so particular bandwidths, then the measurement will be even faster. In this case, the sweep time will be accurate but the filter will be slightly different than the normal brickwall filter.

Remote control command

[:SENSe]:ACPR:FAST


Noise Correction control

Noise correction is the result of two separate measurements with power average detection. The first measurement is a usual power average type of detection. The second measurement is a power average type of detection, but with the input signal disconnected. This second measurement indicates the internal noise of the analyzer. The displayed trace is the result of the first measurement (signal+noise) minus the second measurement (noise). The resulting trace is a more precise representation of the input signal power, but the overall measurement time doubles.

Remote control command

[:SENSe]:ACPR:NCORrection


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

The ACPR measures five values for each data point: the center channel frequency and two adjacent channels, each offset above and below the center.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Running shows a new set of averaged logged data for each measurement that is taken. The displayed data trace is calculated based on a weighted average of the previous measurement and the current measurement. This result may be useful when you are looking at noise levels. A display result is generated for every measurement.
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous measurement and the current measurement. The results are then displayed as logged data. A display result is generated for every measurement.
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. a display result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.

Remote control commands

[:SENSe]:ACPR:AVERage:COUNt

[:SENSe]:ACPR:AVERage:TYPE

[:SENSe]:ACPR:AVERage[:STATe]


Channel power list settings

The channel power list allows you to load a file that contains a list of measurement states that includes state, frequency, RBW, sweep time, reference level and preamp values. Select from the list below to learn about the choices you have to set up a list of channel power measurements:

  • Channel List measurement panel
  • Trigger settings panel
  • Filter type control
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control
  • Fast Mode
  • Noise Correction


Channel List measurement panel

This panel controls measurement settings relevant to the channel power lists. To access this panel select: Spectrum > General Purpose > Channel Power List. The default setting is a single point at 1GHz with an RBW of 1 MHz, a sweep time of 1 ms, a reference level of 0, and the Preamp OFF.

Acquisition Interval

Sets the amount of time between the beginning of the previous data acquisition and the start of the current one. Valid when the list count is greater than one. This is useful for pacing a list of channel measurements.

Remote control command

[:SENSe]:ACD:DITHer[:STATe]

[:SENSe]:AINT

Channel List

Current List: the name of the channel power list file currently loaded in the instrument.

Open... brings up a file management window that allows you to navigate to a channel power list file and open it. Other file management operations, such as copy, paste, rename and delete are also available through this window.

The default file location in the Look in: drop-down menu is User. This is the instrument's internal memory. The Look in: drop-down menu provides access to a connected USB memory stick or to any shared network folder.

NOTE: You must create and edit the channel power list in an external application, such as Microsoft Excel or Notepad. The maximum number of channels allowed in a channel power list file is 501. The channel list table reflects the content of the file, and is not editable.

If you have existing channel power list files (Version 1.0) to update, refer to Channel power list version 1.0.
_

NOTE: You can load a file containing extended features only if Extend Freq is enabled.

_______
Sample channel power list files provided:

Sample files (see User directory) are provided for you to customize for your needs:

  • Example1_0.list: Sample file for Version 1.0
  • Example2_0.list: Sample file for Version 2.0

_______
Example channel power list file content:

Channel Power List Version 2.0,,,

Begin Table,,,

State, Frequency, RBW, SweepTime,RefLevel,Preamp

1,1.800000e+009,1.000000e+007,1.000000e-004,20,Off

1,1.788500e+009,1.000000e+006,1.000000e-004,10,Off

1,1.793000e+009,1.000000e+006,1.000000e-004,0,off

1,1.794450e+009,1.000000e+005,1.000000e-004,-10,OFF

1,1.805550e+009,1.000000e+005,1.000000e-004,-20,0

1,1.807000e+009,1.000000e+006,1.000000e-004,-30,0

Remote control command

[:SENSe]:CPList:LOAD

Sync Output

Sets the sync timing anchor for the channel power list:

  • Sync Type:
    • Off switches off the sync output.
    • Begin Measurement sends a pulse at the beginning of the list.
    • Start Tune sends a pulse each time the analyzer tunes to a new frequency.
    • Ready Acquire sends a pulse when the analyzer is ready to acquire data. This is independent of the Acquisition Interval setting.
    • Start Acquire sends as pulse each time the analyzer starts acquiring data.
    • End Acquire sends a pulse each time the analyzer finishes acquiring data.
    • End Measurement sends a pulse when the analyzer has reached the end of the measurement.

Remote control commands

:SOUTput:MODE

Sync Polarity

Sets the polarity of the sync pulse:

  • Rising sets the channel power list sync to a rising edge pulse.
  • Falling sets the channel power list sync to a falling edge pulse.

Remote control commands

:SOUTput:POLarity

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


Channel power list version 1.0

A version 1.0 channel power list has four columns rather than the six columns of a version 2.0 list. You can use a version 1.0 channel power list, but RefLevel and Preamp are set to the global values. Here, the global values are "0.0" for RefLevel and "Off" for Preamp. You will notice that if you load a version 1.0 file that an asterisk appears at the top of the RefLevel and Preamp columns.

NOTE: No warning message is displayed on the front panel or returned by way of the remote interface (SCPI) if you load a version 1.0 file.

The global reference level sets hardware and the top of the graph reference level. When you change the RefLevel in a version 2.0 channel power list it affects the hardware but does not change the graph reference level. To upgrade an existing version 1.0 file to version 2.0 refer to the two examples and make the following changes in a text editor tool:

  1. On line 1 change 1.0 to 2.0.
  2. On line 3 add the terms RefLevel and Preamp. Both of these terms are case sensitive. RefLevel may be any value within the allowable reference level limits. Preamp is either on or off. The acceptable terms for the Preamp setting are 1, 0, on and off. "On" and "Off" are not case sensitive.

Channel Power List Version 1.0

Begin Table

State, Frequency, RBW, SweepTime

1, 650000000, 1000000, 0.00001,

1, 795000000, 1000000, 0.00001,

1, 940000000, 1000000, 0.00001,

1, 1085000000, 1000000, 0.00001,

1, 1230000000, 1000000, 0.00001,

1, 1375000000, 1000000, 0.00001,

1, 1520000000, 1000000, 0.00001,

1, 1665000000, 1000000, 0.00001,

1, 1810000000, 1000000, 0.00001,

1, 1955000000, 1000000, 0.00001,

1, 2100000000, 1000000, 0.00001,

Channel Power List Version 2.0,,,

Begin Table,,,

State, Frequency, RBW, SweepTime,RefLevel,Preamp

1,1.800000e+009,1.000000e+007,1.000000e-004,20,Off

1,1.788500e+009,1.000000e+006,1.000000e-004,10,Off

1,1.793000e+009,1.000000e+006,1.000000e-004,0,off

1,1.794450e+009,1.000000e+005,1.000000e-004,-10,OFF

1,1.805550e+009,1.000000e+005,1.000000e-004,-20,0

1,1.807000e+009,1.000000e+006,1.000000e-004,-30,0


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

The ACPR measures five values for each data point: the center channel frequency and two adjacent channels, each offset above and below the center.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Running shows a new set of averaged logged data for each measurement that is taken. The displayed data trace is calculated based on a weighted average of the previous measurement and the current measurement. This result may be useful when you are looking at noise levels. A display result is generated for every measurement.
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous measurement and the current measurement. The results are then displayed as logged data. A display result is generated for every measurement.
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. a display result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.

Remote control commands

[:SENSe]:CDMA:REVerse:AVERage:COUNt

[:SENSe]:CDMA:REVerse:AVERage:TYPE

[:SENSe]:CDMA:REVerse:AVERage[:STATe]

[:SENSe]:ACPR:AVERage:COUNt

[:SENSe]:ACPR:AVERage:TYPE

[:SENSe]:ACPR:AVERage[:STATe]


Spectrum Emission Mask settings

The General Purpose Spectrum Emission Mask measurement allows measurement of the spectrum around any signal with a programmable mask. The measurement is enable by selecting it from the General Purpose Measurement menu on the Series V2800 instrument.

Select from this list to learn what choices are available for setting up a spectrum measurement.

  • Spectrum Emission Mask measurement panel
  • Channel Settings
  • Configure Mask
  • Measurement Mode
  • Noise Correction
  • Measure Seg Boundary
  • SEM trigger settings


Channel Settings

The Channel Settings dialog allows control of the following general settings:

  • Channel Bandwidth: Sets the bandwidth of the channel power measurement. The bandwidth should be set to the width of the signal being measured.
  • Sweep Time: Sets the amount of time that the analyzer will acquire data for each measurement. This parameter is important for bursted signals. With bursted signals, the sweep time should be set to a value less than the width of the burst.
  • Filter Type: Determines the shape of the filter used for the channel power measurement. Options are: Brickwall, Root Raised Cosine with alpha = 0.22 and Gaussian.
  • Occupied Bandwidth Threshold: Sets the percentage of total power used to calculate the occupied bandwidth of the signal. Refer to [:SENSe]:GPSEM:OBW:THREshold.


Configure Mask

This selection displays a configuration dialog to setup the spectrum mask. Each point in the list defines one segment of the mask. The mask can have from one to 20 segments. The values for the segments can be entered from the front panel or loaded from a data file. Once the values have been entered from the front panel they can be saved to data file for future use. Each segment has the following values:

  • Start Frequency: The offset from the center frequency to start this segment.
  • Stop Frequency: The offset from the center frequency to stop this segment. The stop frequency should be larger than the start frequency.
  • Integration Bandwidth: The bandwidth of which power will be integrated across for this segment. This is equivalent to the resolution bandwidth.
  • Start Limit: The value of the mask limits at the start frequency.
  • Stop Limit: The value of the mask limits at the stop frequency. If the start and stop limits are different, the limit will be linearly interpolated between the start and stop limits.
  • dBm/dBc: Allows limits to be entered as absolute dBm or dBc from the channel power measurement


Spectrum Emission Mask measurement panel

The General Purpose SEM measurement has the following controls available on the front panel:

  • Center Frequency: Center of the Spectrum to measured.
  • Expected Power: The total power at the input of the analyzer.
  • Limits On/Off: Turns on the limit trace and displays the mask pass/fail indication.
  • Limits Margin: Applies an offset to the limits specified in the mask configuration.
  • Average On/Off: Turns averaging on and off.
  • Number of averages: Sets the number of sweeps to be averaged when averaging is turned on.
  • Average Type: Specify the type of averaging to be used. Group types will take a number of sweeps equal to the number of averages and return one sweep. Non group average types will take one sweep and average the results of the last n sweeps. Group averaging types are typically used in single sweep mode.
  • SEM trigger settings

The following controls are available from the Settings Menu:

  • Channel Settings
  • Configure Mask
  • Measurement Mode
  • Noise Correction
  • Measure Seg Boundary


Measure Seg Boundary

The Measure at Segment Boundary On/Off control sets the measurement condition at the edges of the SEM segments. When Measure at Segment Boundary mode is On the last measurement is made with the center of the filter at the start and stop frequencies. This will cause the measurement to spill over into the next segment . When Measure at Segment Boundary mode is Off, the last measurement in a segment is performed ½ integration bandwidth inside the start or stop frequency. This essentially aligns the edge of the filter with the start and stop frequencies of the segment.


Measurement Mode

The Measurement Mode selection determines the type of measurement used for the SEM segments. With the measurement mode set to Sweep, the spectrum display for the channel is now the spectrum and not the channel level drawn across the bandwidth. With the measurement mode set to Step, channel power measurements are used with a bandwidth equal to the integration bandwidth and spaced at ½ of the integration bandwidth. Only one value is shown for the channel.

To learn more about Measurement Mode see Step Mode Settings and Noise Correction. .


Step Mode Settings

These settings only take effect when the measurement mode is Step. The following controls are in this dialog:

  • Segment Sweep Time:
    • The minimum is 0.000010 seconds.
    • The maximum is 30 seconds.
    • The default is 0.001 seconds.
  • Segment Filter Type, the choices are:
    • Brickwall
    • RRC (alpha = 0.22)
    • Gaussian
  • Noise Correction


Noise Correction

The Noise Correction On/Off setting determines if noise correction will be used when Step mode is turned On. With noise correction on, lower power measurements will be possible at the expense of increased test time.


SEM trigger settings

All of the analyzer general settings are available in the SEM measurement. The trigger setup is important for bursted signals. In this case the following are typical trigger settings:

  • Trigger Type: Use Video to use the input signal to trigger the measurement.
  • Trigger Delay: A value to place the sweep time of the measurement in the time of interest.
  • Trigger Mode: Use On Measurement to sequence all of the data acquisitions to the initial channel power measurement.
  • Acquisition Interval: Set to a multiple of the period of the bursted signal. Increase this setting until the "Acquisition Interval Exceeded" error message is no longer displayed.

See Trigger settings panel for further details on triggering.


GSM settings

Select from the list to learn what choices you have for setting up a GSM measurement:

  • GSM measurement panel
  • Channel Power Limits settings panel
  • Phase Error Limits settings panel
  • Time Mask Limits settings panel
  • ORFS Mod settings panel
  • ORFS Switch settings panel
  • Phase Error control
  • Time Mask control
  • ORFS Mod control
  • ORFS Switch control
  • Averaging control


GSM measurement panel

This panel has the fundamental settings for making a GSM measurement.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

GSM Trace Type

Sets the type of GSM trace to display on the instrument screen:

  • None disables the GSM measurement trace.
  • Time Mask shows the whole GSM burst and overlays a mask on the screen that allows you to determine if the entire GSM burst power over time meets specified limits:
    • Rising shows only the rising edge of the GSM burst and overlays a mask on the screen that allows you to determine if the rising edge of the burst meets specified limits.
    • Falling shows only the falling edge of the GSM burst and overlays a mask on the screen that allows you to determine if the falling edge of the burst meets specified limits.
    • Top shows only the top of the GSM burst and overlays a mask on the screen that allows you to determine if the top of the burst meets specified limits.
  • Phase Error shows the resulting modulation phase error over time on the instrument screen.
  • Phase Trace shows the actual measured phase on the instrument screen.
  • Symbols shows the demodulated I and Q bits on the instrument screen.

Remote control command

:DISPlay:VIEW:GSM:TYPE

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

Autoscale

Scales the displayed measurement so that you can view the entire trace on the instrument screen. The scaling is done by automatically adjusting the value per division and the reference level.

View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote command

:DISPlay:VIEW:CDMA

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:GSM

:DISPlay:VIEW:WCDMa

IQ Impairment

Select this to switch On or Off the measurement of IQ Impariments:

  • Carrier feedthrough
  • IQ imbalance

Remote control command:

[:SENSe]:GSM:PERRor:IQIMpair[:STATe]

Time Slot Configuration
  • Sync To sets the synchronization to either Burst or Training Sequence.
  • Training Sequence sets the training sequence to look for in the selected slot to measure.
  • Active Slots sets the number of active time slots in the incoming signal. Must be contiguous and no more than 7 slots.
  • Slot To Measure sets the time slot to measure, 0 to 7.

______

Note icon The Time Slot Configuration dialog offers you the option of synchronizing to the Burst (default) or to the Training Sequence. It is recommended to synchronize to the Burst when large carrier offsets (in excess of 5 kHz) might be present, such as when a board is first being calibrated.

For more information, see Configuring time slots

Remote control command

[:SENSe]:GSM:TSLot:COUNt

[:SENSe]:GSM:TSLot[:SELect]

[:SENSe]:GSM:SYNC


Configuring time slots

In order to locate the decision point and do initial carrier recovery, the Series V2800 uses the burst edges and the training sequence embedded in the transmitted signal. The accuracy of the GSM or EDGE measurement can be improved by entering known information in the Time Slot Configuration panel.

Single time slot

In most cases, a single time slot is active and the transmitted training sequence is the same as the time slot index. For example, if you configure the transmitter to turn on time slot zero with training sequence zero, entering "0" on the Series V2800 will allow it to recover the incoming signal.

Multiple time slots

The measurement is more complex when more than one time slot is active. The Series V2800 uses the rising edge of the first active time slot and the falling edge of the last active time slot for initial burst and carrier recovery. In order for that to work, the Series V2800 needs to know how many slots are active and where they are within the frame. All active slots have to be adjacent so that they appear as one large "super burst" to the analyzer. Further more, no more than 7 time slots can appear active, so there is a clear rising and falling edge for the analyzer to find.

Normally, Slot to Measure and Training Sequence will be the same value.

Note: The time mask limits do not automatically adjust for time slot configuration. You must enter the appropriate time mask limits.

Training Sequence

Sets the training sequence to look for in the selected slot to measure.

The middle part of a GSM burst is dedicated to one of eight possible training sequences (numbered 0 to 7).

  • If there is only one time slot active, just set the appropriate training sequence (usually 0).
  • If there is more than one time slot active, you must also set the following parameters:
    • First active slot
    • Slot to measure
    • Number of active time slots

Remote control command

[:SENSe]:GSM:TSEQuence


Channel Power Limits settings panel

This settings panel allows you specify the limits that will be used for the channel power limit test.

Max

Sets the maximum power value that will be accepted as a passing condition for the channel power limit test. If you want to disable the test for the maximum limit, set the value to +200 dBm.

Remote control commands

:CALCulate:GSM:CPOWer:DATA

:CALCulate:GSM:CPOWer:LIMit[:MAX]

Min

Sets the minimum power value that will be accepted as a passing condition for the channel power limit test. If you want to disable the test for the minimum limit, set the value to -200 dBm.

Remote control commands

:CALCulate:GSM:CPOWer:DATA

:CALCulate:GSM:CPOWer:LIMit:MIN


Phase Error Limits settings panel

This settings panel allows you specify the limits that will be used for the phase error limit test.

Max Peak

Sets the maximum peak value that will be accepted as a passing condition for the phase error limit test.

Remote control command

:CALCulate:GSM:PERRor:DATA

:CALCulate:GSM:PERRor:LIMit:PEAK

Max RMS

Sets the maximum RMS value that will be accepted as a passing condition for the phase error limit test.

Remote control command

:CALCulate:GSM:PERRor:DATA

:CALCulate:GSM:PERRor:LIMit:RMS

Max Freq Error

Sets the maximum frequency error value that will be accepted as a passing condition for the phase error limit test.

Remote control command

:CALCulate:GSM:PERRor:DATA

:CALCulate:GSM:PERRor:FREQ


Time Mask Limits settings panel

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset times:

  • File loads or saves a time mask limits table file (*.tml). Additionally, you can load a default time mask limit file from this menu, select: Load Default.
  • Add Row adds a row to the bottom of the table with the same values as the previous row.
  • Delete Row deletes the row that is selected.
  • OK applies the current table values to the time mask limit test, which includes any edits that you made to the table.
  • Cancel applies the previous table values to the limit test, not applying any of the edits that you made to the table.

    Note: The GSM standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Remote control command

:CALCulate:GSM:TMASk:DATA

:CALCulate:GSM:TMASk:LIMit:FAIL

:CALCulate:GSM:TMASk:LIMit:MARGin

:CALCulate:GSM:TMASk:LIMit:STATus

[:SENSe]:GSM:TMASk:DEFault


ORFS Mod Settings panel

This settings panel allows you to choose the parameters for an Output RF Spectrum due to Modulation measurement. You can also choose multiple sets of maximum values for a limit test that is performed at associated offset frequencies.

Detector Mode

The display detector mode determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. You can choose to view the trace data in the following modes:

  • Power (Watts) displays the trace data on the instrument screen where the unit of measure is in Watts.
  • Log (dB) displays the trace data on the instrument screen where the unit of measure is in Log.
  • Voltage Mag displays the trace data on the instrument screen where the unit of measure is in Voltage Mag.

Remote control commands

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Averaging Data Type

Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation (depending on the averaging data type).

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT

Video Filter

Sets whether the video bandwidth filter is applied in the ORFS calculation.

  • When the On check box is selected, the filter is applied.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

[:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

Freqs/Limits

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset frequencies:

  • Edit:
    • File loads or saves a frequency/limits table file.
    • Add Row adds a row to the bottom of the table with the same values as the previous row.
    • Delete Row deletes the row that is selected.
    • Apply applies the current table values to the ORFS limit test, which includes any edits that you made to the table.
    • Cancel applies the previous table values to the ORFS limit test, not applying any of the edits that you made to the table.

      Note: The GSM standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:FLIMits

[:SENSe]:GSM:ORFS:SWITching:FLIMits

Noise Correction

Sets whether the noise correction is applied in the ORFS calculation.

  • When the On check box is selected, Noise Correction is applied.

Note icon If the IQ Cache is used and is set to the automatic mode (IQ Cache Auto) or increment mode (IQ Cach w/Increment), the ORFS noise corrections are disabled and the state of the control will have no effect.

_
Remote control command:

[:SENSe]:GSM:ORFS:MODulation:NCORrection

[:SENSe]:GSM:ORFS:SWITching:NCORrection

Expected Power

Sets the expected incoming power of the GSM burst. To optimize the instrument dynamic range, set the largest expected channel power value.

Remote control command

[:SENSe]:EPOWer


ORFS Switch Settings panel

This settings panel allows you to choose the parameters for an Output RF Spectrum due to Switching measurement. You can also choose multiple sets of maximum values for a limit test that is performed at associated offset frequencies.

Detector Mode

The display detector mode determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. You can choose to view the trace data in the following modes:

  • Power (Watts) displays the trace data on the instrument screen where the unit of measure is in Watts.
  • Log (dB) displays the trace data on the instrument screen where the unit of measure is in Log.
  • Voltage Mag displays the trace data on the instrument screen where the unit of measure is in Voltage Mag.

Remote control commands

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Averaging Data Type

Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation (depending on the averaging data type).

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT

Video Filter

Sets whether the video bandwidth filter is applied in the ORFS calculation.

  • When the On check box is selected, the filter is applied.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

[:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

Freqs/Limits

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset frequencies:

  • Edit:
    • File loads or saves a frequency/limits table file.
    • Add Row adds a row to the bottom of the table with the same values as the previous row.
    • Delete Row deletes the row that is selected.
    • Apply applies the current table values to the ORFS limit test, which includes any edits that you made to the table.
    • Cancel applies the previous table values to the ORFS limit test, not applying any of the edits that you made to the table.

      Note: The GSM standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:FLIMits

[:SENSe]:GSM:ORFS:SWITching:FLIMits

Noise Correction

Sets whether the noise correction is applied in the ORFS calculation.

  • When the On check box is selected, Noise Correction is applied.

Note icon If the IQ Cache is used and is set to the automatic mode (IQ Cache Auto) or increment mode (IQ Cach w/Increment), the ORFS noise corrections are disabled and the state of the control will have no effect.

_
Remote control command:

[:SENSe]:GSM:ORFS:MODulation:NCORrection

[:SENSe]:GSM:ORFS:SWITching:NCORrection


Phase Error control

Enables the phase error limit test when selected.

Remote control commands

[:SENSe]:GSM:PERRor[:STATe]


Time Mask control

Enables the time mask limit test when selected.

Remote control commands

[:SENSe]:GSM:TMASk[:STATe]


ORFS Mod control

Enables the ORFS due to modulation limit test when selected.

Remote control commands

[:SENSe]:GSM:ORFS:MODulation[:STATe]


ORFS Switch control

Enables the ORFS due to switching limit test when selected.

Remote control commands

[:SENSe]:GSM:ORFS:SWITching[:STATe]


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take for calculating the average of the results.
  • Type:
    • Mean Group sets the measurement trace to show the calculated mean of the power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Max Group sets the measurement trace to show the average of the maximum power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Min Group sets the measurement trace to show the average of the minimum power data results from multiple measurements. You specify the number of measurements to take for the calculation.

Remote control commands

[:SENSe]:GSM:CPOWer:AVERage:COUNt

[:SENSe]:GSM:CPOWer:AVERage:TYPE

[:SENSe]:GSM:ORFS:MODulation:AVERage:COUNt

[:SENSe]:GSM:ORFS:MODulation:AVERage:TYPE

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

[:SENSe]:GSM:ORFS:SWITching:AVERage:COUNt

[:SENSe]:GSM:ORFS:SWITching:AVERage:TYPE

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT

[:SENSe]:GSM:PERRor:AVERage:COUNt

[:SENSe]:GSM:PERRor:AVERage:TYPE

[:SENSe]:GSM:TMASk:AVERage:COUNt

[:SENSe]:GSM:TMASk:AVERage:TYPE


EDGE Settings

Select from the list below to learn about the choices you have to set up an EDGE measurement:

  • EDGE measurement panel
  • Edge Time Slot Configuration
  • Edge Modulation Format Panel
  • EDGE Measurements:
    • EDGE EVM control
    • Time Mask control
    • ORFS Mod control
    • ORFS Switch control
  • ORFS Mod settings panel
  • ORFS Switch settings panel
  • Channel Power Limit settings panel
  • EVM Limits settings panel
  • Time Mask Limits settings panel


EDGE measurement panel

This panel has the fundamental settings for making an EDGE measurement.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Training Sequence

Sets the training sequence to look for in the selected slot to measure.

The middle part of an EDGE burst is dedicated to one of eight possible training sequences (numbered 0 to 7).

  • If there is only one time slot active, just set the appropriate training sequence (usually 0).
  • If there is more than one time slot active, you must also set the following parameters:
    • First active slot
    • Slot to measure
    • Number of active time slots

For more information, see Configuring time slots.

Remote control command

[:SENSe]:EDGE:TSEQuence

Expected Power

Sets the expected power of the incoming EDGE burst. To optimize the instrument dynamic range, set the largest expected channel power value.

Remote control command

[:SENSe]:EPOWer

Time Slot Configuration

Use this settings panel to configure the EDGE 2.0 modulation format:

  • Slot Type: Sets the modulation format. Options are PSK8, QPSK, QAM16, and QAM32.
  • Symbol Rate: Sets the slot rate to 270.8333 or 325 ksym/sec (enumerator, not number).
  • Filter: sets the filter type for an EDGE 2.0 measurement. Options are Normal, Wideband, and User. Select the User button to browse for the .csv user-generated filter file.
  • Allow non-standard phase rotation:
    Selected = use [:SENSe]:EDGE:PHASe for phase rotation.
    De-selected = use the standard phase rotation based on format and symbol rate.

_
Remote control commands

[:SENSe]:EDGE:FILTer

[:SENSe]:EDGE:SLOT:TYPE

[:SENSe]:EDGE:SYMBol:RATE

[:SENSe]:EDGE:PHASe

[:SENSe]:EDGE:PHASe:STATe

Modulation Format

Use this settings panel to configure the EDGE 2.0 modulation format:

  • Slot Type: Sets the modulation format. Options are PSK8, QPSK, QAM16, and QAM32.
  • Symbol Rate: Sets the slot rate to 270.8333 or 325 ksym/sec (enumerator, not number).
  • Filter: sets the filter type for an EDGE 2.0 measurement. Options are Normal, Wideband, and User. Select the User button to browse for the .csv user-generated filter file.
  • Allow non-standard phase rotation:
    Selected = use [:SENSe]:EDGE:PHASe for phase rotation.
    De-selected = use the standard phase rotation based on format and symbol rate.

_
Remote control commands

[:SENSe]:EDGE:FILTer

[:SENSe]:EDGE:SLOT:TYPE

[:SENSe]:EDGE:SYMBol:RATE

[:SENSe]:EDGE:PHASe

[:SENSe]:EDGE:PHASe:STATe

EDGE Trace Type

Sets the type of EDGE trace to display on the instrument screen:

  • None disables the EDGE measurement trace.
  • Time Mask shows the whole EDGE burst and overlays a mask on the screen that allows you to determine if the entire EDGE burst power over time meets specified limits:
    • Rising shows only the rising edge of the EDGE burst and overlays a mask on the screen that allows you to determine if the rising edge of the burst meets specified limits.
    • Falling shows only the falling edge of the EDGE burst and overlays a mask on the screen that allows you to determine if the falling edge of the burst meets specified limits.
    • Top shows only the top of the EDGE burst and overlays a mask on the screen that allows you to determine if the top of the burst meets specified limits.
  • Error Vectors shows the error vectors associated with the amplitude modulation quality.
  • Symbols shows the data symbol stream.
  • Constellation shows the constellation generated from the data symbol stream.

Remote control command

:DISPlay:VIEW:EDGE:TYPE

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

Auto Scale

Scales the displayed measurement so that you can view the entire trace on the instrument screen. The scaling is done by automatically adjusting the value per division and the reference level.

View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote command

:DISPlay:VIEW:CDMA

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:GSM

:DISPlay:VIEW:WCDMa


Time Slot Configuration

Use this settings panel for EDGE slot configuration:

  • Sync To offers you the option of synchronizing to the Burst (default) or to the Training Sequence.

    It is recommended to synchronize to the Burst when large carrier offsets (in excess of 5 kHz) might be present, such as when a board is first being calibrated.

  • Training Sequence sets the training sequence to look for in the selected slot to measure.
  • Active Slots sets the number of active time slots in the incoming signal. Must be contiguous and no more than 7 slots.
  • Slot To Measure sets the time slot to measure, 0 to 7.

_
Remote control commands

[:SENSe]:EDGE:SYNC

[:SENse]:EDGE:TSEQuence

[:SENSe]:EDGE:TSLot:COUNt

[:SENSe]:EDGE:TSLot[:SELect]


Modulation Format Panel

Use this settings panel to configure the EDGE 2.0 modulation format:

  • Slot Type: Sets the modulation format. Options are PSK8, QPSK, QAM16, and QAM32.
  • Symbol Rate: Sets the slot rate to 270.8333 or 325 ksym/sec (enumerator, not number).
  • Filter: sets the filter type for an EDGE 2.0 measurement. Options are Normal, Wideband, and User. Select the User button to browse for the .csv user-generated filter file.
  • Allow non-standard phase rotation:
    Selected = use [:SENSe]:EDGE:PHASe for phase rotation.
    De-selected = use the standard phase rotation based on format and symbol rate.

_
Remote control commands

[:SENSe]:EDGE:FILTer

[:SENSe]:EDGE:SLOT:TYPE

[:SENSe]:EDGE:SYMBol:RATE

[:SENSe]:EDGE:PHASe

[:SENSe]:EDGE:PHASe:STATe


Measurments

Select or de-select the following measurements as needed:

  • EDGE EVM
  • Time Mask
  • ORFS Mod
  • ORFS Switch


EDGE EVM control

Enables the EVM limit test when selected.

Remote control commands

[:SENSe]:EDGE:EVM[:STATe]


Time Mask control

Enables the time mask limit test when selected.

Remote control commands

[:SENSe]:EDGE:TMASk[:STATe]


ORFS Mod control

Enables the ORFS due to modulation limit test when selected.

Remote control commands

ORFS Mod Settings panel

[:SENSe]:EDGE:ORFS:MODulation[:STATe]


ORFS Switch control

Enables the ORFS due to switching limit test when selected.

Remote control commands

ORFS Switch Settings panel

[:SENSe]:EDGE:ORFS:SWITching[:STATe]


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging for: sets to the averaging function for the specified measurement which allows you to select the measurement averaging count and type.
  • Count: specifies how many measurements to take for calculating the average of the results.
  • Type:
    • Mean Group sets the measurement trace to show the calculated mean of the power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Max Group sets the measurement trace to show the average of the maximum power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Min Group sets the measurement trace to show the average of the minimum power data results from multiple measurements. You specify the number of measurements to take for the calculation.

Remote control commands

[:SENSe]:EDGE:CPOWer:AVERage:COUNt

[:SENSe]:EDGE:CPOWer:AVERage:TYPE

[:SENSe]:EDGE:EVM:AVERage:COUNt

[:SENSe]:EDGE:EVM:AVERage:TYPE

[:SENSe]:EDGE:TMASK:AVERage:COUNt

[:SENSe]:EDGE:TMASK:AVERage:TYPE

[:SENSe]:EDGE:ORFS:MODulation:AVERage:COUNt

[:SENSe]:EDGE:ORFS:MODulation:AVERage:TYPE

[:SENSe]:EDGE:ORFS:SWITching:AVERage:COUNt

[:SENSe]:EDGE:ORFS:SWITching:AVERage:TYPE


ORFS Mod Settings panel

This settings panel allows you to choose the parameters for an Output RF Spectrum due to Modulation measurement. You can also choose multiple sets of maximum values for a limit test that is performed at associated offset frequencies.

Detector Mode

The display detector mode determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. You can choose to view the trace data in the following modes:

  • Power (Watts) displays the trace data on the instrument screen where the unit of measure is in Watts.
  • Log (dB) displays the trace data on the instrument screen where the unit of measure is in Log.
  • Voltage Mag displays the trace data on the instrument screen where the unit of measure is in Voltage Mag.

Remote control commands

[:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]

Averaging Data Type

Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation, depending on the averaging data type.

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT

[:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT

Video Filter

Sets whether the video bandwidth filter is applied in the ORFS calculation.

  • When the On check box is selected, the filter is applied.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

[:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]

Freqs/Limits

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset frequencies:

  • Edit:
    • File loads or saves a frequency/limits table file.
    • Add Row adds a row to the bottom of the table with the same values as the previous row.
    • Delete Row deletes the row that is selected.
    • Apply applies the current table values to the ORFS limit test, which includes any edits that you made to the table.
    • Cancel applies the previous table values to the ORFS limit test, not applying any of the edits that you made to the table.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:FLIMits

[:SENSe]:EDGE:ORFS:SWITching:FLIMits

Noise Correction

This setting turns noise correction ON or Off for ORFS modulation settings.

Note icon If the IQ Cache is used and is set to the automatic mode (IQ Cache Auto) or increment mode (IQ Cach w/Increment), the ORFS noise corrections are disabled and the state of the control will have no effect.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:NCORrection[:STATe]


ORFS Switch Settings panel

This settings panel allows you to choose the parameters for an Output RF Spectrum due to Switching measurement. You can also choose multiple sets of maximum values for a limit test that is performed at associated offset frequencies.

Averaging Data Type

Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation, depending on the averaging data type.

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT

[:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT

Detector Mode

The display detector mode determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. You can choose to view the trace data in the following modes:

  • Power (Watts) displays the trace data on the instrument screen where the unit of measure is in Watts.
  • Log (dB) displays the trace data on the instrument screen where the unit of measure is in Log.
  • Voltage Mag displays the trace data on the instrument screen where the unit of measure is in Voltage Mag.

Remote control commands

[:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]

Video Filter

Sets whether the video bandwidth filter is applied in the ORFS calculation.

  • When the On check box is selected, the filter is applied.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

[:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]

Freqs/Limits

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset frequencies:

  • Edit:
    • File loads or saves a frequency/limits table file.
    • Add Row adds a row to the bottom of the table with the same values as the previous row.
    • Delete Row deletes the row that is selected.
    • Apply applies the current table values to the ORFS limit test, which includes any edits that you made to the table.
    • Cancel applies the previous table values to the ORFS limit test, not applying any of the edits that you made to the table.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:FLIMits

[:SENSe]:EDGE:ORFS:SWITching:FLIMits

Noise Correction

This setting turns noise correction ON or Off for ORFS switch settings.

Note icon If the IQ Cache is used and is set to the automatic mode (IQ Cache Auto) or increment mode (IQ Cach w/Increment), the ORFS noise corrections are disabled and the state of the control will have no effect.

_
Remote control command

[:SENSe]:EDGE:ORFS:SWITching:NCORrection[:STATe]


Channel Power Limits settings panel

This settings panel allows you specify the limits that will be used for the channel power limit test.

Max

Sets the maximum power value that will be accepted as a passing condition for the channel power limit test. If you want to disable the test for the maximum limit, set the value to +200 dBm.

Remote control commands

:CALCulate:EDGE:CPOWer:LIMit[:MAX]

Min

Sets the minimum power value that will be accepted as a passing condition for the channel power limit test. If you want to disable the test for the maximum limit, set the value to -200 dBm.

Remote control commands

:CALCulate:EDGE:CPOWer:LIMit:MIN


EVM Limits settings panel

This settings panel allows you specify the limits that will be used for the EVM (error vector magnitude) limit test.

Max RMS

Sets the maximum RMS value (%) that will be accepted as a passing condition for the EVM limit test.

Remote control command

:CALCulate:EDGE:EVM:LIMit:RMS

Max Peak

Sets the maximum peak value (%) that will be accepted as a passing condition for the EVM limit test.

Remote control command

:CALCulate:EDGE:EVM:LIMit:PEAK

Max 95%

Sets the maximum 95th percentile value (%) that will be accepted as a passing condition for the EVM limit test.

Remote control command

:CALCulate:EDGE:EVM:LIMit:NFIVe

Max Origin Offset

Sets the maximum origin offset value (dB) that will be accepted as a passing condition for the EVM limit test.

Remote control command

:CALCulate:EDGE:EVM:LIMit:OFFSet

Max Freq Error

Sets the maximum frequency error value (ppm) that will be accepted as a passing condition for the EVM limit test.

Remote control command

:CALCulate:EDGE:EVM:LIMit:FREQ


Time Mask Limits settings panel

Allows you to set up a table that has multiple sets of maximum values (dBc and dBm) for a limit test that is performed at associated offset times:

  • File loads or saves a time mask limits table file (*.tml). Additionally, you can load a default time mask limit file from this menu, select: Load Default.
  • Add Row adds a row to the bottom of the table with the same values as the previous row.
  • Delete Row deletes the row that is selected.
  • OK applies the current table values to the time mask limit test, which includes any edits that you made to the table.
  • Cancel applies the previous table values to the limit test, not applying any of the edits that you made to the table.

    Note: The EDGE standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the EDGE standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Remote control command

:CALCulate:EDGE:TMASk:DATA:X

:CALCulate:EDGE:TMASk:DATA[:Y]

:CALCulate:EDGE:TMASk:LIMit

:CALCulate:EDGE:TMASk:LIMit:FAIL

:CALCulate:EDGE:TMASk:LIMit:FCOunt

:CALCulate:EDGE:TMASk:LIMit:MARGin

:CALCulate:EDGE:TMASk:LIMit:STATus

[:SENSe]:EDGE:TMASk:DEFault


cdma2000 settings

Select from the lists to learn about the choices you have to set up a cdma2000 measurement.

Demodulate

ACPR
  • Measurement panel
  • Measurement panel
  • Edit Limits settings panel
  • Trace Hold control
  • Averaging control
  • Fast Mode control

  • Noise Correction control

  • Averaging control

Spectrum Emission

Occupied Bandwidth
  • Measurement panel
  • Measurement panel
  • Trigger settings panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Atten Preamp settings panel
  • Detection Type control
  • Trace Hold
  • Averaging control
  • Averaging control


cdma2000 Demodulate settings

Select from the list below to learn what choices you have for setting up a cdma2000 Demodulate measurement:

  • cdma2000 Demodulate measurement panel
  • Edit Limits setting panel
  • Averaging control


cdma2000 Demodulate measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming cdma2000 signal.

Remote control command

[:SENSe]:EPOWer

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

Sets the markers for the cdma2000 measurement.

  • I Marker:
    • On check box enables the I Marker, when selected.
    • Index selects the index on which to place the I Marker.
  • Q Marker:
    • On check box enables the Q Marker, when selected.
    • Index selects the index on which to place the Q Marker.

Remote control commands

:CALCulate:CDMA:REVerse:IMARker:CNUMber

:CALCulate:CDMA:REVerse:IMARker:SFACtor

:CALCulate:CDMA:REVerse:IMARker:X

:CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:IMARker[:STATe]

:CALCulate:CDMA:REVerse:QMARker:CNUMber

:CALCulate:CDMA:REVerse:QMARker:SFACtor

:CALCulate:CDMA:REVerse:QMARker:X

:CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:CDMA:REVerse:QMARker[:STATe]

View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote command

:DISPlay:VIEW:CDMA

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:GSM

:DISPlay:VIEW:WCDMa


Edit Limits setting panel

This settings panel allows you to specify the value that will be considered a passing condition for a limit test performed on the specified measurement.

Measurement
  • Rho selects the reflection coefficient limit value for editing, (the default value is 0.944).
  • EVM rms selects the error vector magnitude rms measurement limit value for editing (the default value is 17.5%).
  • EVM peak selects the error vector magnitude peak measurement limit value for editing (the default value is 100%).
  • PCDE select the peak code-domain error measurement limit value for editing (the default value is -15 dB).
  • Freq Error selects the frequency error measurement limit value for editing (the default value is 100 Hz).
  • IQ Offset selects the frequency error measurement limit value for editing (the default value is -40 dB).

Limit
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets value that will be considered a passing condition for a limit test performed on the specified measurement.

Remote control commands

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit[:STATe]

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit[:STATe]

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer

:CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL

:CALCulate:CDMA:REVerse:FERRor:LIMit[:STATe]

:CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL

:CALCulate:CDMA:REVerse:IQOFfset:LIMit[:STATe]

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer

:CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL

:CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin

:CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]

:CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer

:CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL

:CALCulate:CDMA:REVerse:PCDE[:STATe]

:CALCulate:CDMA:REVerse:PCDE:UPPer

:CALCulate:CDMA:REVerse:RHO:LIMit:FAIL

:CALCulate:CDMA:REVerse:RHO:LIMit:LOWer

:CALCulate:CDMA:REVerse:RHO:LIMit[:STATe]

Set Default

Set Default returns the limit value to the default value.


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take when calculating the average of the results.
  • Type:
    • Mean Group sets the measurement trace to show the calculated mean of the power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Max Group sets the measurement trace to show the average of the maximum power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Min Group sets the measurement trace to show the average of the minimum power data results from multiple measurements. You specify the number of measurements to take for the calculation.

Remote control commands

[:SENSe]:CDMA:REVerse:AVERage:COUNt

[:SENSe]:CDMA:REVerse:AVERage:TYPE

[:SENSe]:CDMA:REVerse:AVERage[:STATe]


cdma2000 ACPR Settings

Select from the following list below to learn what choices you have for setting up a cdma2000 ACPR (Adjacent Power Leakage ratio) measurement:

  • cdma2000 Reverse Link ACPR measurement panel
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


cdma2000 ACPR measurement panel

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming cdma2000 signal.

Remote control command

[:SENSe]:EPOWer

Sweep Time

Sets the length of time that the measurement takes place for each channel.

Remote control command

[:SENSe]:ACPR:CENTer:SWEep:TIME

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the cdma2000 standard.

Remote control command

:CALCulate:ACPR:LIMit:FAIL?

:CALCulate:CDMA:REVerse:ACPR:FAIL:CHANnels

:CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin

:CALCulate:CDMA:REVerse:ACPR:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


cdma2000 Spectrum Emission Settings

Select from the list below to learn what choices you have for setting up a cdma2000 spectrum emission measurement:

  • cdma2000 Spectrum Emission measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Detection type control
  • Averaging control


cdma2000 Spectrum Emission measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the cdma2000 standard.

Remote control commands

:CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL

:CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin

:CALCulate:CDMA:REVerse:SEMask:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Detection Type control

The display detector type determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns these two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The detection method creates the trace from a composition of the measurement point data available. You can choose from the following detection types:

  • Normal draws the measurement trace using the maximum as the upper value and the minimum as the lower value for each of the frequency spans or time intervals associated with the measurement points.
  • Max sets both the upper and lower values to the maximum value of the signal power for each of the frequency spans or time intervals associated with the measurement points.
  • Min sets both the upper and lower values to the minimum value of the signal power for each of the frequency spans or time intervals associated with the measurement point.
  • Sample sets both the upper and lower value to the signal power in the middle of the span interval.
  • Power Average sets both the upper and lower values to the average of the signal power during the span interval.
  • PwrAvg + NoiseCorr draws the trace using the result of two separate measurements with power average detection. The first measurement is a usual power average type of detection. The second measurement is a power average type of detection, but with the input signal disconnected. This second measurement indicates the internal noise of the analyzer. The displayed trace is the result of the first measurement (signal+noise) minus the second measurement (noise). The resulting trace is a more precise representation of the input signal power, but the overall measurement time doubles.

Remote control command

[:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:WLAN:SEMask:DETector[:FUNCtion]


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging in enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function when the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. A display result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.
    • Min/Max Group shows the the minimum of the lower data sets and the maximum of the upper data sets across the N measurements.

.

Remote control commands:

[:SENSe]:WLAN:AVERaging:COUNT

[:SENSe]:WLAN:AVERaging:STATe


cdma2000 Occupied Bandwidth settings

Select from the list below to learn what choices you have for setting up a cdma2000 Occupied Bandwidth measurement:

  • cdma2000 Occupied Bandwidth measurement panel
  • Trigger settings panel
  • Atten Preamp settings panel
  • Trace Hold control
  • Averaging control


cdma2000 Occupied Bandwidth measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the cdma2000 standard.

Remote control command

:CALCULATE:CDMA:REVerse:OBWidth:LIMit:FAIL

:CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin

:CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Trace Hold

Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The trace is created from a composition of the measurement point data available. You can choose to view the trace with the following characteristics:

  • Normal shows the 501 positions of the current measurement trace, possibly averaged, with no visual persistence.
  • Max Hold shows and visually holds the maximum values for each set of values taken at the 501 measurement points.
  • Min Hold shows and visually holds the minimum values for each set of values taken at the 501 measurement points.
  • Min/Max Hold shows and visually holds the maximum upper value and the minimum lower value for each set of values taken at the 501 measurement points.

Remote control command

:TRACe:HOLD


Averaging controls

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take for calculating the average of the results.
  • Type:
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous measurement and the current measurement. The results are then displayed as logged data. A display result is generated for every measurement.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. a display result is generated for every N measurements.

Remote control commands

[:SENSe]:OBWidth:AVERage:COUNt

[:SENSe]:OBWidth:AVERage:TYPE

[:SENSe]:OBWidth:AVERage[:STATe]


W-CDMA Uplink Settings

Select from the lists to learn about the choices you have to set up a W-CDMA Uplink measurement.

  • W-CDMA Uplink Demodulate Settings
  • W-CDMA Uplink ACLR Settings
  • W-CDMA Uplink Spectrum Emission Settings
  • W-CDMA Uplink Occupied Bandwidth Settings

Demodulate

ACLR
  • Measurement panel
  • Measurement panel
  • Code settings panel
  • Trace Hold control
  • Edit Limits setting panel
  • Fast Mode control
  • Averaging control
  • Noise Correction control
  • HSUPA
  • Averaging control

Spectrum Emission

Occupied Bandwidth
  • Measurement panel
  • Measurement panel
  • Trigger settings panel
  • Trigger settings panel
  • Atten Preamp control
  • Atten Preamp control
  • Detection Type control
  • Trace Hold control
  • Averaging control
  • Averaging control


W-CDMA Uplink Demodulate Settings

Select from the list below to learn what choices you have for setting up a W-CDMA Uplink Demodulate measurement:

  • W-CDMA Uplink Demodulate measurement panel
  • Code Settings panel
  • Symbol Analysis panel
  • Edit Limits setting panel
  • HSUPA
  • Averaging control


W-CDMA Uplink Demodulate measurement panel

This panel has the fundamental settings for making a W-CDMA demodulation measurement.

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming signal.

Remote control command

[:SENSe]:EPOWer

Trace Type

Select the trace type displayed for WiMAX uplink demodulation measurements. Trace results are only for the currently selected trace type. You must select the trace type of interest to view/query its trace data.

The available trace types are:

  • None
  • Code Domain
  • Constellation: Composite
  • Constellation: Code Channel

None

The trace type of None serves two purposes:

  • Provides for faster measurements if you are only interested in the data table. This choice is recommended for remote programming, but can also provide faster measurements even with the display on or off, or in local mode.
  • Is set as the default trace type if the current trace type is not valid for a newly selected signal type.

Remote control commands

  • :DISPlay:VIEW:WCDMa:UPlink:TYPE NONE

Code Domain

The Code Domain graph provides a summary of the entire signal, simultaneously showing all used OVSF code channels, modulation type, and power levels.

  • Yellow bars represent BPSK modulation, blue bars are 4 PAM modulation.

Remote control commands

  • :DISPlay:VIEW:WCDMa:UPlink:TYPE CDOM

Constellation

Data samples are plotted as single points on a graph with I/Q axes. The graph includes pilot data which uses BPSK modulation.

When Averaging is turned on, the constellation graph accumulates points to a maximum of 100,000 points.

EVM rms is displayed along with the constellation graph when graph-only view is selected. EVM rms is displayed in the data table when the view is Graph & Table.

No markers are available for constellation traces. The Markers… button is disabled.

Composite:

The Composite constellation provides a summary of the entire signal (final scrambled symbols, with all code channels summed), showing the signal variation symbol by symbol.

Code Channel:

The Code Channel constellation allows analysis of a specific code channel to examine/troubleshoot specific modulation problems. It can be used to analyze modulation quality for BPSK and 4 PAM. Specify the channel with the Symbol Analysis panel.

Remote control commands

  • :DISPlay:VIEW:WCDMa:UPlink:CONStellation COMPosite
  • :DISPlay:VIEW:WCDMa:UPlink:CONStellation CCHannel

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers W-CDMA Uplink Settings

Sets the markers for the W-CDMA measurement.

  • I Marker:
    • On check box enables the I Marker when selected.
    • Index selects the index on which to place the I Marker.
    • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current I marker position.
  • Q Marker:
    • On check box enables the Q Marker when selected.
    • Index selects the index on which to place the Q Marker.
    • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current Q marker position.

Remote control commands

:CALCulate:WCDMa:UPLink:IMARker:CNUMber

:CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis

:CALCulate:WCDMa:UPLink:IMARker:SFACtor

:CALCulate:WCDMa:UPLink:IMARker:X

:CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:IMARker[:STATe]

:CALCulate:WCDMa:UPLink:IMARker:STYPe

:CALCulate:WCDMa:UPLink:QMARker:CNUMber

:CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis

:CALCulate:WCDMa:UPLink:QMARker:SFACtor

:CALCulate:WCDMa:UPLink:QMARker:X

:CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:UPLink:QMARker[:STATe]

:CALculate:WCDMa:UPLink:QMARker:STYPe

View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote commands

:DISPlay:VIEW:WCDMa

:DISPlay:VIEW:WCDMa:UPLink:TYPE


Code Settings panel

This settings panel allows you to specify the various aspects of a code domain measurement on a W-CDMA signal.

Sync Type

Sets the sync type for the physical channel selected.

Remote control command

[:SENSe]:WCDMa:UPLink:CODE:STYPe

Slot Format

Sets the slot format.

Remote control command

[:SENSe]:WCDMa:UPLink:CODE:SFORmat

Scramble Code

Sets the scramble code.

Remote control command

[:SENSe]:WCDMa:UPLink:CODE:SCRamble


Symbol Analysis panel

The Symbol Analysis panel allows you to select a specific OVSF code channel for Symbol EVM and Code Channel Constellation.

Spread Factor W-CDMA Uplink Settings

Sets the spread factor.

Options are 2 (if HSUPA is enabled), 4, 8, 16, 32, 64, 128, 256.

Remote control command

[:SENSe]:WCDMa:UPlink:EVM:SYMBol:SFACtor

Code Number W-CDMA Uplink Settings

Sets the code number.

Range: 0-255

Remote control command

[:SENSe]:WCDMa:UPlink:EVM:SYMBol:CNUMber

I/Q Branch W-CDMA Uplink Settings

Sets the the I/Q branch (I or Q) for W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Remote control command

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:IQBRanch


Edit Limits settings panel

This settings panel allows you to specify the maximum value that will be considered a passing condition for a limit test performed on the specified measurement.

Measurement
  • EVM rms selects the error vector magnitude rms measurement limit value for editing (the default value is 17.5%).
  • EVM peak selects the error vector magnitude peak measurement limit value for editing (the default value is 100%).
  • PCDE selects the peak code-domain error measurement limit value for editing (the default value is -15 dB).
  • Freq Error selects the frequency error measurement limit value for editing (the default value is 100 Hz).
  • IQ Offset selects the frequency error measurement limit value for editing (the default value is -40 dB).

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets maximum value that will be considered a passing condition for a limit test performed on the specified measurement.

Remote control commands:

:CALCulate:WCDMa:UPLink:EVM:PEAK

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer

:CALCulate:WCDMa:UPLink:EVM:RMS

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer

:CALCulate:WCDMa:UPLink:FERRor

:CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL

:CALCulate:WCDMa:UPLink:FERRor:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:UPLink:IQOFfset

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:UPLink:PCDE

:CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL

:CALCulate:WCDMa:UPLink:PCDE:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer

Set Default

Set Default returns the limit value to the default value.


HSUPA

Selecting this check box switches on/off the HSUPA (high-speed uplink packet access) function. The Code Domain trace type in the figure above shows the I (in-phase) and Q (quadrature phase) portions of the signal. The Constellation trace type (not shown) has Code Channel and Composite views available. If the Markers are turned on (as in the figure) additional information is displayed. This includes:

  • Index
  • Spread factor
  • Code number

    Note icon HSUPA demodulation requires the V2800A-108 license, in addition to the V2800A-106 license. If unlicensed, the option is grayed-out in the menu.

Remote control command

  • :CALCulate:WCDMa:UPLink:IMARker
  • :CALCulate:WCDMa:UPLink:QMARker
  • [:SENSe]:WCDMa:UPLink:HSUPa[:STATe]


Multi-Carrier

Selecting this check box switches on/off the ability to demodulate a W-CDMA/HSPA carrier in a multi-carrier transmission. Essential, this filters off the other carriers and measures the remaining one.

_____
Remote control command

  • [:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]


Averaging control W-CDMA Uplink demodulation

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take when calculating the average of the results.
  • Type:
    • Mean Group sets the measurement trace to show the calculated mean of the power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Max Group sets the measurement trace to show the average of the maximum power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Min Group sets the measurement trace to show the average of the minimum power data results from multiple measurements. You specify the number of measurements to take for the calculation.

Remote control commands

[:SENSe]:WCDMa:UPLink:AVERage:COUNt

[:SENSe]:WCDMa:UPLink:AVERage:TYPE

[:SENSe]:WCDMa:UPLink:AVERage[:STATe]


W-CDMA Uplink ACLR Settings

Select from the list below to learn what choices you have for setting up a W-CDMA ACLR (adjacent channel leakage ratio) measurement:

  • W-CDMA Uplink ACLR measurement panel
  • Trace Hold control
  • Fast Mode control
  • Noise Correction control
  • Averaging control


W-CDMA Uplink ACLR measurement panel

This panel has the fundamental settings for making a W-CDMA ACLR (adjacent channel leakage ratio) measurement.

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming signal.

Remote control command

[:SENSe]:EPOWer

Sweep Time

Sets the length of time that the measurement takes place.

Remote control command

[:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets maximum value that will be considered a passing condition for a limit test performed on the W-CDMA ACLR measurement.

Remote control commands

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels

:CALCulate:WCDMa:UPLink:ACLR:LIMit:MARGin

:CALCulate:WCDMa:UPLink:ACLR:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


W-CDMA Uplink Spectrum Emission Settings

Select from the list below to learn what choices you have for setting up a W-CDMA spectrum emission measurement:

  • W-CDMA Uplink Spectrum Emission measurement panel
  • Trigger settings panel
  • Atten Preamp
  • Detection Type control
  • Averaging control

    The results in the Pass/Fail and Min Margin at columns are provided as diagnostic aides. While the accuracy of these results is excellent, users may find a need for more accurate test results. For situations where the spurious amplitude and frequency are near the edge of a mask transition, the marker function provides a more accurate result.


W-CDMA Uplink Spectrum Emission measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the W-CDMA standard.

Remote control command

:CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL

:CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin

:CALCulate:WCDMa:UPLink:SEMask:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Atten/Preamp control

The attenuator and preamplifier allow you to modify input signal power.

Atten

Atten Auto On enables the automatic application of attenuation to the input signal when selected. When you select the Ref Level or Expected Power value, the analyzer automatically adjusts the input attenuation to optimize the power measurement range.

Atten Value allows you to view the attenuation value automatically applied by the analyzer (if the Atten Auto is enabled), or you enter an attenuation value manually. The manual setting is useful when you want to step the attenuation value to determine if displayed signal spurs are due to the device under test or the analyzer.

Note icon An asterisk symbol ( * ) appears next to the word Atten in the Atten/Preamp button when the manual setting is selected. This is a visual indicator that automatic setting is uncoupled and that the instrument no longer tracks changes to the reference level.

Remote control commands

[:SENSe]:POWer[:RF]:ATTenuation

[:SENSe]:POWer[:RF]:ATTenuation:AUTO

[:SENSe]:POWer[:RF]:GAIN[:STATe]

Preamp

Preamp allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

Note icon A * symbol will appear next to the word Preamp in the Atten/Preamp button when the Preamp is selected. This is a visual indicator that the Preamp has been turned on.


Detection Type control

The display detector type determines the method that the analyzer uses to process the measurement results signal before it is displayed on the analyzer screen. Each trace point represents a band of frequency (or time) that is equal to Span/500. Among the 500 there is an upper and a lower value. The analyzer returns these two values for each of the 501 measurement trace points:

  • Upper value
  • Lower value

The detection method creates the trace from a composition of the measurement point data available. You can choose from the following detection types:

  • Normal draws the measurement trace using the maximum as the upper value and the minimum as the lower value for each of the frequency spans or time intervals associated with the measurement points.
  • Max sets both the upper and lower values to the maximum value of the signal power for each of the frequency spans or time intervals associated with the measurement points.
  • Min sets both the upper and lower values to the minimum value of the signal power for each of the frequency spans or time intervals associated with the measurement point.
  • Sample sets both the upper and lower value to the signal power in the middle of the span interval.
  • Power Average sets both the upper and lower values to the average of the signal power during the span interval.
  • PwrAvg + NoiseCorr draws the trace using the result of two separate measurements with power average detection. The first measurement is a usual power average type of detection. The second measurement is a power average type of detection, but with the input signal disconnected. This second measurement indicates the internal noise of the analyzer. The displayed trace is the result of the first measurement (signal+noise) minus the second measurement (noise). The resulting trace is a more precise representation of the input signal power, but the overall measurement time doubles.

Remote control command

[:SENSe]:SEMask:DETector[:FUNCtion]


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging in enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function when the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. A display result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.
    • Min/Max Group shows the the minimum of the lower data sets and the maximum of the upper data sets across the N measurements.

.

Remote control commands

[:SENSe]:SEMask:AVERage:COUNt

[:SENSe]:SEMask:AVERage[:STATe]

[:SENSe]:SEMask:AVERage:TYPE


W-CDMA Uplink Occupied Bandwidth Settings

Select from the list below to learn what choices you have for setting up a W-CDMA Uplink Occupied Bandwidth measurement:

  • W-CDMA Uplink Occupied Bandwidth measurement panel
  • Trigger settings panel
  • Atten Preamp control
  • Trace Hold control
  • Averaging control


W-CDMA Uplink Occupied Bandwidth measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the W-CDMA standard.

Remote control commands

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin

:CALCulate:WCDMa:UPLink:OBWidth:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Averaging control

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take for calculating the average of the results.
  • Type:
    • Power Running shows a new set of averaged power data as logged data for each measurement that is taken. The data trace is calculated as a weighted average of power values from the previous measurement and the current measurement. The results are then displayed as logged data. A display result is generated for every measurement.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. a display result is generated for every N measurements.

Remote control commands

[:SENSe]:OBWidth:AVERage:COUNt

[:SENSe]:OBWidth:AVERage:TYPE

[:SENSe]:OBWidth:AVERage[:STATe]


W-CDMA Downlink Settings

Select from the lists to learn about the choices you have to set up a W-CDMA Downlink measurement:

  • W-CDMA Downlink Demodulation Settings
  • W-CDMA Downlink ACLR Settings
  • W-CDMA DL SEM settings
  • W-CDMA Downlink OB Settings


W-CDMA Downlink Demodulation Settings

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Demodulate measurement:

1

W-CDMA Downlink Demodulate measurement panel

2

Settings:

  • Code Settings panel
  • Symbol Analysis panel
  • Edit Limits panel
  • HSDPA
  • Multi-Carrier

3

Averaging control


W-CDMA Downlink Demodulation measurement panel

The panel shown below, is displayed when the W-CDMA demodulation measurement is selected. Carrier frequency and expected power are the same values shared with other measurements.You may select the type of trace displayed. Trace results are only for the currently selected trace type.You must select the trace type of interest to view/query its trace data.

Series 2800 Host-On-PC

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming signal.

Remote control command

[:SENSe]:EPOWer

Trace Type

Select the trace type displayed for WiMAX downlink demodulation measurements. Trace results are only for the currently selected trace type. You must select the trace type of interest to view/query its trace data.

The available trace types are:

  • None
  • Code Domain
  • Constellation: Composite
  • Constellation: Code Channel

None

The trace type of None serves two purposes:

  • Provides for faster measurements if you are only interested in the data table. This choice is recommended for remote programming, but can also provide faster measurements even with the display on or off, or in local mode.
  • Is set as the default trace type if the current trace type is not valid for a newly selected signal type.

Remote control commands

  • :DISPlay:VIEW:WCDMa:DOWNlink:TYPE NONE

Code Domain

The Code Domain graph provides a summary of the entire signal, simultaneously showing all used OVSF code channels, modulation type, and power levels.

  • Yellow bars represent QPSK modulation, blue bars are 16 QAM modulation, and green bars are 64 QAM modulation.

Remote control commands

  • :DISPlay:VIEW:WCDMa:DOWNlink:TYPE CDOM

Constellation

Data samples are plotted as single points on a graph with I/Q axes. The graph includes pilot data which uses BPSK modulation.

When Averaging is turned on, the constellation graph accumulates points to a maximum of 100,000 points.

EVM rms is displayed along with the constellation graph when graph-only view is selected. EVM rms is displayed in the data table when the view is Graph & Table.

No markers are available for constellation traces. The Markers… button is disabled.

Composite:

The Composite constellation provides a summary of the entire signal (final scrambled symbols, with all code channels summed), showing the signal variation symbol by symbol.

Code Channel:

The Code Channel constellation allows analysis of a specific code channel to examine/troubleshoot specific modulation problems. It can be used to analyze modulation quality for QPSK, 16 QAM, or 64 QAM. Specify the channel with the Symbol Analysis panel.

Remote control commands

  • :DISPlay:VIEW:WCDMa:DOWNlink:CONStellation COMPosite
  • :DISPlay:VIEW:WCDMa:DOWNlink:CONStellation CCHannel

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


W-CDMA Downlink markers

Sets the markers for the W-CDMA measurement.

  • Marker:
    • On check box enables the Marker when selected.
    • Index selects the index on which to place the Marker.
  • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current marker position.

Remote control commands

  • :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel
  • :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber
  • :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
  • :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor
  • :CALCulate:WCDMa:DOWNlink:MARKer[:STATe]
  • :CALCulate:WCDMa:DOWNlink:MARKer:X
  • :CALCulate:WCDMa:DOWNlink:MARKer:Y

View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote commands

:DISPlay:VIEW:WCDMa

:DISPlay:VIEW:WCDMa:UPLink:TYPE


Code Settings panel

The W-CDMA code setting panel allows you to select the synchronization type and scramble code for a W-CDMA measurement.

WCDMA code settings panel

Sync Type

Sets the sync type for the physical channel selected.

Remote control command

[:SENSe]:WCDMa:DOWNlink:CODE:STYPe

Scramble Code

Sets the scramble code.

Remote control command

[:SENSe]:WCDMa:DOWNlink:CODE:SCRamble


Symbol Analysis panel

The Symbol Analysis panel allows you to select a specific OVSF code channel for Symbol EVM and Code Channel Constellation.

Spread Factor W-CDMA Downlink Settings

Sets the spread factor.

Options are 4, 8, 16, 32, 64, 128, 256, 512.

Remote control command

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:SFACtor

Code Number W-CDMA Downlink Settings

Sets the code number.

Range: 0-255

Remote control command

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:CNUMber


Edit Limits settings panel

Measurement
  • EVM rms selects the error vector magnitude rms measurement limit value for editing (the default value is 17.5%).
  • EVM peak selects the error vector magnitude peak measurement limit value for editing (the default value is 100%).
  • PCDE selects the peak code-domain error measurement limit value for editing (the default value is -15 dB).
  • Freq Error selects the frequency error measurement limit value for editing (the default value is 100 Hz).
  • IQ Offset selects the frequency error measurement limit value for editing (the default value is -40 dB).

Limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets maximum value that will be considered a passing condition for a limit test performed on the specified measurement.

Remote control commands:

:CALCulate:WCDMa:DOWNlink:EVM:PEAK

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:RMS

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:FERRor

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:IOFFset

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:QOFFset

:CALCulate:WCDMa:DOWNlink:PCDE

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer

Set Default

Set Default returns the limit value to the default value.


HSDPA

This check box switches on/off the HSDPA (high-speed downlink packet access) function. HSDPA 16 QAM channels are blue in color. If Markers are turned on (as in the figure) additional information is displayed. This includes:

  • Index
  • Spread factor
  • Code number
    _

    Note icon HSDPA demodulation requires the V2800A-107 license, in addition to the V2800A-105 license. If unlicensed, the option is grayed-out in the menu.

_
Remote control commands

  • :CALCulate:WCDMa:DOWNlink:MARKer:STYPe
  • [:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]


Averaging control W-CDMA Downlink demodulation

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function, if the check box is selected.
  • Number: specifies how many measurements to take when calculating the average of the results.
  • Type:
    • Mean Group sets the measurement trace to show the calculated mean of the power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Max Group sets the measurement trace to show the average of the maximum power data results from multiple measurements. You specify the number of measurements to take for the calculation.
    • Min Group sets the measurement trace to show the average of the minimum power data results from multiple measurements. You specify the number of measurements to take for the calculation.

Remote control commands

[:SENSe]:WCDMa:DOWNlink:AVERage:COUNt

[:SENSe]:WCDMa:DOWNlink:AVERage[:STATe]

[:SENSe]:WCDMa:DOWNlink:AVERage:TYPE


W-CDMA Downlink ACLR Settings

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink ACLR measurement:

1

W-CDMA Downlink ACLR measurement panel

2
  • Trace Hold control

  • Fast Mode control

  • Noise Correction control

3

Averaging control


W-CDMA Downlink ACLR measurement panel

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming signal.

Remote control command

[:SENSe]:EPOWer

Sweep Time

Sets the length of time that the measurement takes place.

Remote control command

[:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

W-CDMA Downlink settings limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit value field sets maximum value that will be considered a passing condition for a limit test performed on the W-CDMA ACLR measurement.

Remote control commands

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


W-CDMA DL SEM settings

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Spectrum Emission Mask measurement:

1
  • W-CDMA DL SEM measurement panel

  • Trigger settings panel

  • Atten/Preamp

2

Detection Type control

3

Averaging control


W-CDMA DL SEM measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

W-CDMA DL SEM limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the W-CDMA standard.

Remote control command

:CALCulate:WCDMa:DOWNlink:SEMask:BSMPower

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit[:STATe]

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


W-CDMA Downlink OB Settings

Select from the list below to learn what choices you have for setting up a W-CDMA Downlink Occupied Bandwidth measurement:

1
  • W-CDMA Downlink OB measurement panel

  • Trigger settings panel

  • Atten/Preamp control panel

2

Trace Hold control

3

Averaging controls


W-CDMA Downlink OB measurement panel

Carrier Frequency

Tunes the analyzer to the frequency of the carrier signal.

Remote control command

[:SENSe]:FREQuency:CENTer

W-CDMA Downlink OB settings limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the W-CDMA standard.

Remote control command

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


802.11X Settings

Select from the list to learn about the choices you have to set up an 802.11x measurement:

  • 802.11x Demodulate
  • 802.11x Spectrum Emission Mask


802.11x Demodulate measurement panel

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

Expected Power

Sets the expected power of the incoming signal.

Remote control command

[:SENSe]:EPOWer

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


802.11x Signal types

There are several types of 802.11x signals. The default behavior is for the instrument to auto detect the signal type. You may explicitly specify the signal type to obtain faster measurements.

Types:

  • Auto (default) Selecting this will cause the instrument to automatically identify the signal type. There is a small speed penalty for making this determination on high quality signals, but for poor quality signals this can take a significant amount of time. Refer to Auto detection for details.
  • 802.11a/g 20 MHz OFDM signals meeting the 802.11a, or the OFDM portion of 802.11g. Refer to 802.11a/g/j/n (OFDM)...
  • 802.11b/g CCK/DSSS signals meeting 802.11b or the CCK/DSSS portion of 802.11g. Refer to 802.11b/g DSSS/CCK Settings.
  • 802.11j Half clock (10 MHz) OFDM signals meeting 802.11j. Refer to 802.11a/g/j/n (OFDM)...
  • 802.11n (draft 2.0) Refer to 802.11n (draft 2.0) demodulation.


802.11n (draft 2.0) demodulation

The 802.11 demodulation application can demodulate certain 802.11n Draft 2.0 waveforms:

  • Either 20 MHz or 40 MHz bandwidth, except duplicate mode
  • Mixed mode (as opposed to green field)
  • Long guard interval
  • Any SISO waveform -- See SISO (single input, single output) signal

    NOTE: If you are not able to demodulate a SISO 802.11n signal, try enabling the 802.11n Header Data option (see 802.11x Settings menu).

  • MIMO waveforms from a single transmit channel with direct mapping and no space time block coding. Refer to MIMO (multiple input, multiple output) signal.


SISO (single input, single output) signal

A SISO signal is a single transmit channel of a MIMO signal with direct mapping, no spatial multiplexing and no space time coding.

NOTE: The measurement application is not able to decode 802.11n duplicate channels.

___

NOTE: If you are not able to demodulate a SISO 802.11n signal, try enabling the 802.11n Header Data option (see 802.11x Settings menu).


MIMO

Not applicable to the Model 2810.

MIMO (multiple input, multiple output) signals can be measured when a single transmit channel (antenna output) is cabled directly to the Series V2800 input. This allows a single receiver to switch between transmitter outputs to validate the modulation quality of a MIMO transmitter. If signal from more than one transmit channel or more than one spatial stream is present, a single receiver does not have enough information to solve the MIMO matrix and separate the information. Thus, the Series V2800 measurement cannot be used to measure MIMO signals captured by an antenna or at the output of a channel simulator. Similarly, the Series V2800 measurement cannot be used when spatial multiplexing or space time block coding is used by the transmitter.


Auto detection

The WLAN demodulation measurement includes a powerful, fast auto detection function that can identify the type of signal being provided to the instrument. This simplifies front panel operation of the instrument - enter the carrier frequency and about what power level is expected, and the instrument will figure out the rest.

In order to improve throughput for remote operation, auto detection can be turned off. The Optimize Setup function on the Settings menu is provided to identify what settings to use for a given signal. When the button is pressed the instrument analyzes the current input signal and selects the format, acquisition time and trigger configuration best for that signal. The optimized configuration uses a video trigger so that only the samples required are gathered. The down side to using a video trigger is that when the input level changes, you have to remember to change the trigger level as well. If you switch to a general purpose spectrum sweep or the 802.11x Spectral Emission Mask while using a video trigger, the instrument may fail to trigger because the LO is tuned to measure spectrum away from the main signal. If the main signal is not in band, there is no energy for the video trigger to detect.


802.11x Demodulation settings
  • Optimize Setup
  • Clear EVM history
  • Acquisition time
  • 802.11a/g/j/n (OFDM)...
  • 802.11b/g DSSS/CCK Settings
  • Edit limits
  • 802.11n Header data
  • CCDF Enabled. Refer to Trace type: CCDF (Complementary Cumulative Distribution Function)


802.11x Demodulation measurement settings

Select a link to view further details:

  • 802.11x Signal types
  • 802.11x Settings menu
  • 802.11x Trace types
  • 802.11x Max symbol count

.


Optimize Setup

Optimize Setup is used to set signal type, constellation type, acquisition time and trigger settings for fast data throughput. The instrument attempts to auto detect signal type and constellation type. If successful, signal type and constellation type are set explicitly and so will not be auto detected on subsequent sweeps. Acquisition time is set to 1.8 times the detected packet length. Trigger source is changed to video trigger. The video trigger level is set to 20 dB below channel power. Video trigger type and slope are set to their default values. Pre-Qual level is set to 5.0 dB and Pre-Qual Time is set to 2 microseconds.

Optimize Setup can handle a large class of signals, but not necessarily all signals. In order to properly optimize, the instrument must acquire a complete packet inside the 40 ms acquisition interval. Since the input signal is considered unknown, video trigger is not used during the optimization. If the time block acquired does not include an entire packet, the optimization may fail outright. Refer to Auto detection for additional details.

Caution: If you set up an 802.11x Demodulation measurement and select Optimize Setup from the Settings pull-down menu, the trigger source is changed to Video trigger. If you then choose to make a Spectrum Emission Mask measurement you will see that the trace is no longer visible and a message appears "Waiting for trigger or data...". Select Trigger > Trigger Source > Free Run to re-establish the trigger and the display will update properly.

Refer to the following table for further details:

Quantity | SCPI | Description
Expected power | [:SENSe]:EPOWer | Set the expected power to the observed channel power. Slightly better performance can be achieved by reducing the expected power, although there is more risk of a test device overloading the input.
Trigger mode | :TRIGger[:SEQuence]:SOUR VIDeo | For fastest measurement, use a video trigger so that the system only acquires data around the packet.
Video trigger level | :TRIGger[:SEQuence]:LEVel | The video trigger level is set 20 dB below the observed channel power.
Video trigger delay | :TRIGger[:SEQuence]:DELay 0.0 | No video delay is required or desired.
Video trigger prequalification level | :TRIGger[:SEQuence]:PREQual[:LEVel] | To prevent false triggers, this is set to 5 dB.
Video trigger prequalification time | TRIGger[:SEQuence]:PREQual:WINDow | Also to prevent false triggers, this is set to 2 microseconds
WLAN signal type (a, b, g, j, n) | [:SENSe]:WLAN:SIGNal | Set to the observed signal type, to avoid searching for the signal type. This saves considerable time when testing a failed device, so the instrument can declare the device failed without trying every possible format.
WLAN constellation | [:SENSe]:WLAN:CONStellation | Set to the observed constellation type. A very small time savings. If your tests involve multiple constellation types, just leave in Optimize Setup.
WLAN acquisition time | [:SENSe]:WLAN:ATIMe | With the video trigger, the acquisition time should be the packet time plus about 5 microsecond buffer at start and finish. You can use a zero span measurement to figure out what time to use, or let Optimize Setup figure it out.
Graph type | :DISPlay:VIEW:WLAN:TYPE NONE | Graphs take time, whether the display is on or not. Set graph type to NONE.
Front panel display | :DISPlay:ENABle 0 | Turning off the front panel display saves considerable test time. The display will come back on when the Local key is pressed, or when you send DISPlay:ENABLe 1.

NOTE: The last two entries in the table (Graph type and Front panel display) are not set by Optimize Setup, but are recommended for highest throughput.

Remote control command

[:SENSe]:WLAN:OPTimize


Clear EVM history

You may restart the EVM history at any time. The Settings menu has an item for Clear EVM History. The remote interface has a command for clearing the history.

Remote control command

[:SENSe]:WLAN:EHIStory:CLEar


Acquisition time

You specify the length of time over which data is acquired. If you are using video or external trigger, the acquisition time should be set to the packet time plus some buffer at the beginning and end of the packet. If you are using trigger free run (the default) set the acquisition time to one and one-half the time from packet start to packet start to ensure that a complete packet is acquired. Partial OFDM packets can be processed, but partial CCK/DSSS packets cannot.

  • Default: 2 ms
  • Min: 50 µs
  • Max: 40 ms
  • Resolution: 1µs

Remote control command

[:SENSe]:WLAN:ATIMe


802.11a/g/j/n (OFDM)

For 802.11a/g/j/n, the signal types that employ OFDM, there are several constellation types. The default behavior is for the instrument to auto detect the constellation type. You may explicitly specify the constellation type to obtain faster measurements.

The OFDM 802.11 signals can be configured to use any of four different constellation types.

[:SENSe]:WLAN:CONStellation AUTodetect | BPSK | QPSK | QAM16 | QAM64

Constellation:

  • Auto (default) This setting causes the instrument to automatically figure out which constellation is in use. There is a negligible time penalty for using automatic detection, and is the recommended selection except for fastest speed under SCPI control. Refer to Auto detection for further details.
  • BPSK, Binary Phase Shift Keying
  • QPSK, Quadrature Phase Shift Keying
  • QAM16, 16 QAM
  • QAM64, 64 QAM


802.11b/g DSSS/CCK Settings

DC offset removal:

  • Estimates the center of the constellation and shifts it to zero offset prior to computing EVM.
  • Should be enabled to maintain consistency with the IEEE 802.11b transmit modulation accuracy test (Max EVM).
  • The options are: On or Off. The default is On.

Remote control command

[:SENSe]:WLAN:CCK:DCOFfset:STATe ON/OFF

Equalizer:

  • Used to estimate and remove errors resulting from intersymbol interference.
  • Enabling equalization can be a useful tool for troubleshooting problems in the system, but should be turned off when testing compliance to maintain consistency with the IEEE 802.11b transmit modulation accuracy test.
  • The built-in equalizer has 11 steps.
  • The options are: On or Off. The default is On.

Remote control command

[:SENSe]:WLAN:CCK:EQUalizer:STATe ON/OFF

Filter type:

  • Filtering is selectable between the following filter types: Bartlett, Blackman, Gaussian, Hamming, Hann, None, RC (Spectrally raised cosine), and RRC (Spectrally raised root cosine).
  • The default is None.

Remote control command

[:SENSe]:WLAN:CCK:FILTer


Edit limits

Limit values for 802.11x data table results

Results | Default state | Default value | Minimum | Maximum
EVM rms (dB) | On | -28.0 | -100.0 | 0.0
EVM peak (dB) | Off | -14.0 | -100.0 | 0.0
Pilot EVM rms (dB) | Off | -28.0 | -100.0 | 0.0
Pilot EVM peak (dB) | Off | -14.0 | -100.0 | 0.0
Channel Power (dBm) | Off | -10.0 | -100.0 | 10.0
Carrier Freq Error (Hz) | On | ±60000 | 0.0 | 1,000,000
Carrier Feedthrough (dBr)* | On | -20 | -50 | 0.0
Symbol Clock Error (ppm) | On | ±25.00 | 0.0 | 50.0
Flatness Margin (dB) | On | 0.0 | -50.0 | 50.0
Power-On Ramp (µSec) | On | 2 | 0.01 | 20
Power-Down Ramp (µSec) | On | 2 | 0.01 | 20
* Carrier Feedthrough Relative to Total Power (dBr)

Limit testing is provided for all the measured values in the data table. The actual limit values provided are nominal values that don't change as the detected signal type changes, so it is left to the user to enter the correct limit values for the current measurement situation. For example, if an 802.11b signal is being measured, you would normally turn off the limit on RMS EVM and turn on the limit for Peak EVM. The 802.11b standard specifies a peak EVM of 35%, which is -9.12 dB.


802.11n Header data

The data table also contains a section for display of 802.11n header data. You must enable decoding of header data. This is done through check box item in the Settings menu or through the remote interface. If the measured signal is detected as being 802.11n then the header data result in the table shows "No signal".

NOTE: If you are not able to demodulate a SISO 802.11n signal, try enabling the 802.11n Header Data option.

Troubleshooting SISO 802.11n demodulation

Remote control command

[:SENSe]:WLAN:HDECode ON/OFF

The header data values are described in the following table.

_____
802.11n Header data table

Mod/Coding Scheme | Index into a table of Modulation/Coding values such as constellation, coding rate and MIMO info.
Nss | Number of spatial streams. This is the key to knowing that MIMO has been turned on.
Modulation | BPSK, QPSK, QAM16 or QAM64. If the header contains a numeric value that does not map to one of these modulation types then the raw numeric value is displayed. A SCPI query maps these to 2, 4, 16, 64.
Rate | 1/2, 2/3, 4/5 or 5/6. If the header contains a numeric value that does not map to one of these rates then the raw numeric value is displayed. A SCPI query maps these to 1, 2, 3, 4.
Data Bits/Symbol | A highly derived number that says how many raw data bits are carried on each OFDM symbol. This depends on coding rate, constellation, and channel bandwidth.
Bandwidth | 20 MHz or 40 MHz. If the header contains a numeric value that does not map to one of these bandwidths then the raw numeric value is displayed. A SCPI query maps to a Boolean "1" which means 40 MHz.
HT length | (High Throughput) Number of (uncoded) bytes in data portion
STBC | Value to do with space time coding
Short guard interval | 0 indicates data portion uses 800 ns guard interval. 1 indicates 400 ns guard interval.
Num Ext HT-LTF | Number of HT-LTF extensions. Transmitter can insert extra long training field symbols. Not commonly done, but the field is there.
Data Symbols/Packet | Number of symbols as derived from the data header. The number of symbols in main part of data table will be less than or equal to this.

This table can be read by using the SCPI command: :CALCulate:WLAN:HEADer?. The values come back as comma separated ASCII in the order of the above table.


802.11x Demodulation trace types

You specify the trace type. This determines what type of data is returned from the DSP to the host:

  • Trace type: None,
  • Trace type: Constellation (default)
  • Trace type: EVM vs Channel
  • Trace type: EVM vs Symbol
  • Trace type: EVM History
  • Trace type: CCDF (Complementary Code Distribution Function)
  • Trace type: Gain Compression
  • Trace type: Phase Compression
  • Trace type: Magnitude Flatness
  • Trace type: Phase Flatness

Remote control command

:DISPlay:VIEW:WLAN:TYPE

The user-specified Gain Compression and CCDF require additional processing in the DSP. They are available only if you explicitly enable them. The Settings menu has options for enabling/disabling these two trace types. The default is: Gain Compression/CCDF disabled. To control Gain Compression and CCDF use [:SENSe]:WLAN:GAIN:STATe ON/OFF.

Trace data and display are updated if you change trace type while the sweep is stopped. The previous trace data is discarded and new trace data is read from the DSP and processed.


Trace type: None

The trace type of None serves two purposes:

  • Provides for faster measurements if you are only interested in the data table. This choice is recommended for remote programming.
  • Is set as the default trace type if the current trace type is not valid for a newly selected signal type.

Remote control command

:DISPlay:VIEW:WLAN:TYPE NONE


Trace type: Constellation

Data samples are plotted as single points on a graph with I/Q axes. The graph includes pilot data which uses BPSK modulation.

When Averaging is turned on, the constellation graph accumulates points to a maximum of 100,000 points.

The Error Magnify feature allows you to expand/reduce each constellation cluster about its nominal center. The default is 1.0x. and the maximum is 10.0x.

Note: The Error Magnify feature only works with OFDM signal types, not CCK/DSSS.

EVM rms is displayed along with the constellation graph when graph-only view is selected. EVM rms is displayed in the data table when the view is Graph & Table.

No markers are available for constellation traces. The Markers… button is disabled.

Remote control command

:DISPlay:VIEW:WLAN:TYPE CONStellation


Trace type: EVM vs Channel

Mean EVM is displayed for each channel in the form of a bar graph. The number of channels is a function of signal type and signal bandwidth. The maximum and minimum channel values are displayed below the graph.

You can rescale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 dB, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the EVM vs Channel graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak.

The 802.11n 40 MHz signal skips Channels -1, 0 and +1. The other signals skip Channel 0. A vertical bar is drawn on the graph to separate negative and positive channels.

Two values are added to the data table when the trace type is EVM vs Channel. The first is the maximum EVM value in the graph. The second is the number of the channel with maximum EVM.

This trace type is available for OFDM signals only.

NOTE: Each channel occupies 312.5 kHz, if you want to convert the channel number to baseband frequency. For 802.11, half clocked, the channels are 156.25 kHz apart.

Remote control command

:DISPlay:VIEW:WLAN:TYPE EVCHannel


Trace type: EVM vs Symbol

Mean EVM is displayed for each symbol in the form of a bar graph. The number of symbols is a function of the signal's symbols/packet, the acquisition time setting and the max symbol count setting. The maximum and minimum symbol indexes are displayed below the graph, starting at count 0.

For OFDM signal types, the X axis is the number of OFDM symbols. For CCK/DSSS signal types, the X axis is actually the number of chips.

You can scale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 dB, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the EVM vs Symbol graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak.

Remote control command

:DISPlay:VIEW:WLAN:TYPE EVSYmbol


Trace type: EVM History

The EVM History trace type is like a strip chart of EVM rms values measured. Each EVM rms value is added to the history regardless of the current trace type. Measured values shift right to left. The X-axis domain is sample number with sample number zero being the most recent EVM rms value. You may select how many values to display: 501, 251, 101, 51, 26 or 11. The instrument keeps track of the most recent 501 values regardless of the number of values displayed.

You can scale the Y-axis using the Top Value and Scale/div settings. Top Value has a default value of 0.0 db, minimum of -50.0 dB and maximum of 0.0 dB. Scale/div has a default value of 10.0 dB/div, minimum of 0.1 dB/div and maximum of 100.0 dB/div.

Markers are available for the EVM History graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak.

No trace is drawn for sample numbers that have not been measured. If the marker is set to a sample number that has not yet been acquired the value is shown as "No data" with the marker at the bottom of the graph.

See: Clear EVM history.

Remote control command

:DISPlay:VIEW:WLAN:TYPE EHIStory


Trace type: CCDF (Complementary Cumulative Distribution Function)

The CCDF (Complementary Cumulative Distribution Function) trace type requires additional processing by the DSP. To avoid slowing down other trace types CCDF may be selected as trace type only if it has been enabled. The Settings menu contains a check box labeled Compression / CCDF Enabled for enabling/disabling phase compression, gain compression, and CCDF.

CCDF displays a probability, in percent, of observing a power value above the power on the X axis. Average power is 0 dB on the X-axis. The default behavior is to accumulate data from each sweep into a histogram which is then processed into the displayed trace. You may restart data accumulation at any time by clicking the Restart button or sending a command through the remote interface. You may turn off data accumulation, in which case the trace is derived from the most recent sweep only. Refer to:

[:SENSe]:WLAN:CCDF:ACCumulate:STATe

[:SENSe]:WLAN:CCDF:RESTart

Your may set the X-axis scale/div to 0.5, 1.0, 1.5 or 2.0 dB/div.

No markers are available for CCDF trace type. The Markers… button is disabled.

This trace type is available for OFDM signals only.

Remote control command

:DISPlay:VIEW:WLAN:TYPE CCDF


Trace type: Gain Compression

The Gain Compression trace type produces a graph with two data traces. The first, in yellow, is a scatter gram of error in observed linear magnitude versus expected linear magnitude. The second, in green, is a third order curve fit to the raw data with 11 values, one every 10% on the X-axis.

Gain compression, phase compression, and CCDF (Complementary Cumulative Distribution Function) trace types require additional processing by the DSP. To avoid slowing down other trace types Gain Compression may be selected as trace type only if it has been enabled. The Settings menu contains a check box item for enabling/disabling gain compression, phase compression. and CCDF. See also: Trace type: CCDF (Complementary Code Distribution Function)

You may control the Y-axis scaling by setting the Y-axis position of 0% as a division value. The default is 9, minimum is 0 and maximum is 10. Where 0 is the bottom of the graph and 10 is the top of the graph. Scale/div has a default value of 10.0%, minimum of 0.1% and maximum of 100.0%.

There are no markers for the Gain Compression trace type. The Markers... button is disabled.

An additional value is added to the data table when Gain Compression is the trace type. Gain compression is characterized as low, medium or high based on factor indicating the flatness of the data. Gain compression is low when the factor is less than 1.0, medium when less than 3.0 and high when greater than 3.0. The gain compression factor is not accessible through the GUI but may be queried through the remote interface.

This trace type is available for OFDM signals only.

Remote control commands:

  • :CALCulate:WLAN:GCOMpression:FACTor
  • :DISPlay:VIEW:WLAN:TYPE GCOM
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition
  • [:SENSe]:WLAN:GAIN[:STATe]


Trace type: Phase Compression

Phase compression is the AM to PM equivalent of the gain compression curve. Phase compression is more difficult to view because the phase trace tends to be noisier and not all devices exhibit significant phase compression.

Gain compression, phase compression, and CCDF (Complementary Cumulative Distribution Function) trace types require additional processing by the DSP. To avoid slowing down other trace types phase compression may be selected as trace type only if it has been enabled. The Settings menu contains a check box item for enabling/disabling Gain Compression, Phase Compression. and CCDF.

There are no markers for the Gain Compression trace type. The Markers... button is disabled.

See also: Trace type: CCDF (Complementary Code Distribution Function).

Remote control commands:

  • :CALCulate:WLAN:PERRor
  • :DISPlay:VIEW:WLAN:TYPE PCOM.
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition
  • [:SENSe]:WLAN:GAIN[:STATe]


Trace type: Magnitude Flatness

The Magnitude flatness trace gives a measure of the channel flatness. There is a data point for each sample. The DC value is interpolated from the values on either side.

The X-axis range is automatically set to ±5 MHz, ±10 MHz or ±20 MHz to match the bandwidth of the signal.

The user may set the scale/div of the Y-axis. The default is 1.0 dB/div, with minimum of 0.1 dB/div and maximum of 10.0 dB/div. The reference level is always 0 dB and is always at the center of the graph.

Markers are available for the Magnitude Flatness graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak.

An additional value is added to the data table for magnitude flatness. It is the peak-to-peak flatness of the trace.

This trace type is available for OFDM signals only. Magnitude flatness is derived from the channel response and determined by the long training field as described in the 802.11 Standard. This is the data from which the flatness margin in the data table is calculated.

Remote control command

:DISPlay:VIEW:WLAN:TYPE MFL


Trace type: Phase Flatness

The Phase flatness trace gives a measure of the channel flatness. There is a data point for each sample. The DC value is interpolated from the values on either side.

The X-axis range is automatically set to ±5 MHz, ±10 MHz or ±20 MHz to match the bandwidth of the signal.

The user may set the scale/div of the Y-axis. The default is 10.0 °/div, with minimum of 0.1 °/div and maximum of 40.0 °/div. The reference level is always 0 °/div and is always at the center of the graph.

Markers are available for the Phase Flatness graph. There are four markers with each regular marker having a corresponding Delta marker. The markers function in a manner similar to that of existing markers for Spectrum and Zero Span measurements. The available set of marker functions are Marker to Max, Marker to Min, Marker to Next peak, Marker to Left Peak and Marker to Right Peak.

An additional value is added to the data table for Phase Flatness. It is the peak-to-peak flatness of the trace.

This trace type is available for OFDM signals only.

The phase flatness trace is the phase of the channel model as derived from the long training field.

Remote control command

:DISPlay:VIEW:WLAN:TYPE PFL


802.11x Max symbol count

You may specify the maximum number of symbols to decode. The actual number of symbols decoded is less than or equal to this maximum count. The decoded symbol count is also less than or equal to the number of symbols within the acquisition time and less than or equal to the number of symbols in a packet. For normal use, leave this setting at the maximum so that all available data is used. For maximum speed under SCPI control you can use this feature to reduce the number of symbols processed and thus speed up the measurement.

  • Default: 400
  • Min: 4
  • Max: 400

Remote control command

  • [:SENSe]:WLAN:OFDM:COUNt


802.11x Demodulation Averaging

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging is enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: Switches on the averaging function, if the check box is selected.
  • Number: Specifies how many measurements to take for calculating the average of the results.

Remote control commands:

[:SENSe]:WLAN:AVERaging:COUNT

[:SENSe]:WLAN:AVERaging:STATe


802.11x SEM measurement panel

Channel Frequency

Sets the main channel center frequency.

Remote control command

[:SENSe]:FREQuency:CENTer

802.11x settings limits
  • The Limit On check box enables and disables the limit testing. If the box is selected, the limit testing is enabled. If the check box is unselected, the limit testing is disabled.
  • The Limit Margin value field allows you to add or subtract an offset to the pass/fail limits specified by the W-CDMA standard.

Remote control command

Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]

Markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


Spur Cancellation control for WLAN

Switches on the spur cancellation function, if the check box is selected.

Remote control commands

[:SENSE]:WLAN:SEMask:SPUR:CANCellation


802.11x SEM Averaging

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

There are two values displayed for each of the 501 measurement points across the instrument screen: a lower value and an upper value. These two values represent the total excursion of the signal within the span of a single display point. When averaging in enabled, the lower and upper values are averaged as independent sets.

  • Averaging On: switches on the averaging function when the check box is selected.
  • Number: specifies how many measurements to take into consideration for the averaging calculation of the measurement results.
  • Type:
    • Log Group shows the average of the logged data results from multiple measurements. You specify the number of measurements to take for the calculation. A display result is generated for every N measurements.
    • Power Group shows the average of the power data results from multiple measurements. You specify the number of measurements to take for the calculation. The calculated result is then displayed as logged data. A display result is generated for every N measurements.
    • Max Group shows the maximum of the upper and lower data sets across N measurements.
    • Min Group shows the minimum of the upper and lower data sets across N measurements.
    • Min/Max Group shows the the minimum of the lower data sets and the maximum of the upper data sets across the N measurements.

.

Remote control commands

[:SENSe]:WLAN:SEMask:AVERage:COUNt

[:SENSe]:WLAN:SEMask:AVERage:TYPE

[:SENSe]:WLAN:SEMask:AVERage[:STATe]


DL Subframe tab

WM DL subframe tab

The DL Subframe menu contains the following controls:

  • Add Zone
  • Selected Zone
  • Delete Zone
  • Type
  • Symbols dl
  • Permutation
  • Add Burst
  • Selected Burst
  • Delete Burst
  • Mod/Rate
  • Repetition Coding
  • Move/Resize Burst
Add Zone

Pressing this button adds a new zone of minimum size to the subframe. The new zone contains no bursts. The default type of a new zone is PUSC; the default Permutation is 0. The new zone becomes the selected zone.

The button is disabled if the subframe is full. The maximum number of symbols in a subframe is <X>; the maximum number of zones is eight.

NOTE: When you add a zone, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added zone, the currently-loaded map is restored.

Selected Zone

This control selects a zone for editing or deleting. The selected zone is highlighted with a green border on the subframe graphic.

Numeric setting:

  • Min = 0
  • Max = last zone
  • Default = 0

The entry box is disabled if there are no zones in the subframe.

Delete Zone

Pressing this button deletes the selected zone. When a zone is deleted all of its bursts are deleted. When the deleted zone is the last zone then the selected zone decrements by one. The button is disabled if there are no zones in the subframe.

Zone Type

A choice from the Zone Type drop-down menu specifies the type of the selected zone.

Changing zone type may reduce the number of subchannels in the zone. A change is not allowed if there are bursts in the affected subchannels. Additionally, type cannot be changed from FUSC to PUSC if the zone has an odd number of symbols, because PUSC zones must have an even-numbered length.

Enumerated setting:

  • PUSC
  • FUSC

The default setting is PUSC

Symbols dl

This control set the size of the selected zone.

Numeric setting:

  • Min = 0
  • Max = Symbols in subframe
  • Default = 0

Resolution:

  • 2 symbols for PUSC zones
  • 1 symbol for FUSC zones

Permutation

Use this control to set the permutation index for the selected zone

Numeric setting:

  • Min = 0
  • Max = 31
  • Default = 0

Add Burst

Pressing this button adds a new burst to the selected zone. The new burst has size of 2 symbols x 1 subchannel. It is placed in the first available location. The Move/Resize form is opened allowing the user to immediately edit the new burst. The new burst becomes the selected burst. This button is disabled if the zone is full.

NOTE: When you add a burst, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added burst, the currently-loaded map is restored.

Selected Burst

This control selects a burst for editing or deleting. The selected burst is highlighted with a green border on the zone graphic.

Numeric setting:

  • Min = 0
  • Max = last burst
  • Default = 0

The entry box is disabled if there are no bursts in the zone.

Delete Burst

Pressing this button deletes the selected burst. When the deleted burst is the last burst, the selected burst decrements by one. The button is disabled if there are no bursts in the selected zone.

Mod/Rate

This control sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK 1/2
  • QPSK 3/4
  • 16-QAM 1/2
  • 16-QAM 3/4
  • 64-QAM 1/2
  • 64-QAM 2/3
  • 64-QAM 3/4

The default is QPSK 1/2

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Move/Resize Burst

Pressing this button opens the Move/Resize Burst form. This button is disabled if the selected zone contains no bursts. See DL Subframe Move/Resize Burst form.


DL Subframe Move/Resize Burst form

WM DL subframe move_resize burst form

The DL Move/Resize Form (shown above) is a modal form which contains the following controls:

  • Start Symbol j4
  • Start Subchannel j4
  • Width (Symbols)
  • Height (Subchannels)
  • OK
  • Cancel

The new burst location is displayed graphically on the left side of the form. The burst is highlighted with a green border and the OK button is enabled if the location does not conflict with another burst. If the new location does overlap an existing burst then the new burst is displayed with a red border and the OK button is disabled.

Start Symbol j4

Numeric setting:

  • Min = 0
  • Max = (last symbol - burst width)
  • Default = 0

Start Subchannel j4

Numeric setting:

  • Min = 0
  • Max = last subchannel
  • Default = 0

Width (Symbols)

Numeric setting:

  • Min = 2
  • Max = Zone length
  • Default = 2

Height (Subchannels)

Numeric setting:

  • Min = 1
  • Max = Zone height
  • Default = 1

OK

Pressing this button closes the form and applies the settings to the selected burst. If the form was opened as a result of adding a burst then a new burst is added to the selected zone.

Cancel

Pressing this button closes the form and discards any pending changes to the location and size of the selected burst. If the form was opened as a result of adding a burst then a new burst is not added to the selected zone.


UL Subframe tab

The UL Subframe tab contains the following controls:

  • Add Zone
  • Selected Zone
  • Delete Zone
  • Type
  • Symbols
  • Permutation
  • Add Burst
  • Selected Burst
  • Delete Burst
  • Mod/Rate
  • Repetition
  • Move/Resize Burst

Add Zone

Pressing this button adds a new zone of minimum size to the subframe. The new zone contains no bursts. The default type of a new zone is PUSC; the default Permutation is 0. The new zone becomes the selected zone.

The button is disabled if the subframe is full. The maximum number of symbols in a subframe is <X>; the maximum number of zones is eight.

NOTE: When you add a zone, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added zone, the currently-loaded map is restored.

Selected Zone

This control selects a zone for editing or deleting. The selected zone is highlighted with a green border on the subframe graphic.

Numeric setting:

  • Min = 0
  • Max = last zone
  • Default = 0

The entry box is disabled if there are no zones in the subframe.

Delete Zone

Pressing this button deletes the selected zone. When a zone is deleted all of its bursts are deleted. When the deleted zone is the last zone then the selected zone decrements by one. The button is disabled if there are no zones in the subframe.

Zone type ul

A choice from this drop-down list specifies the type of the selected zone.

Enumerated setting: PUSC

Default:PUSC

Since there is only one valid type, the combo box is disabled.

Symbols

The Symbols setting controls the size of the selected zone.

Minimum value: 0
Maximum value: 6
Default: 3

Resolution: 3 symbols for PUSC zones.

Permutation

Use this control to set the permutation index for the selected zone

Numeric setting:

  • Min = 0
  • Max = 69
  • Default = 0

Add Burst

Pressing this button adds a new burst to the selected zone. The new burst has size of 2 symbols x 1 subchannel. It is placed in the first available location. The Move/Resize form is opened allowing you to immediately edit the new burst. The new burst becomes the selected burst. This button is disabled if the zone is full.

NOTE: When you add a burst, the WiMAX Edit Mode is enabled. If editing is cancelled without loading the added burst, the currently-loaded map is restored.

Selected Burst

This control selects a burst for editing or deleting. The selected burst is highlighted with a green border on the zone graphic.

Numeric setting:

  • Min = 0
  • Max = last burst
  • Default = 0

The entry box is disabled if there are no bursts in the zone.

Delete Burst

Pressing this button deletes the selected burst. When the deleted burst is the last burst, the selected burst decrements by one. The button is disabled if there are no bursts in the selected zone.

Code Rate

Code Rate sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK 1/2
  • QPSK 3/4
  • 16-QAM 1/2
  • 16-QAM 3/4
  • 64-QAM 1/2
  • 64-QAM 2/3
  • 64-QAM 3/4

Default QPSK 1/2

Repetition

Enumerated setting:

  • None
  • R = 2
  • R = 4
  • R = 6

Default: None

Move/Resize Burst

Pressing this button opens the Move/Resize Burst form. This button is disabled if the selected zone contains no bursts. See UL Subframe Move/Resize Burst form.


UL Subframe Move/Resize Burst form

WM UL subframe move_resize burst form

The UL Move/Resize Form (shown above) is a modal form which contains the following controls:

  • Start Symbol j4
  • Start Subchannel j4
  • Slots
  • OK
  • Cancel

The new burst location is displayed graphically on the left side of the form. The burst is highlighted with a green border and the OK button is enabled if the location does not conflict with another burst. If the new location does overlap an existing burst then the new burst is displayed with a red border and the OK button is disabled.

Start Symbol j4

Numeric setting:

  • Min = 0
  • Max = (last symbol - burst width)
  • Default = 0

Start Subchannel j4

Numeric setting:

  • Min = 0
  • Max = last subchannel
  • Default = 0

Slots

This control sets the number of slots in the burst.

Numeric setting:

  • Min = 1
  • Max = 70
  • Default = 1

OK

Pressing this button closes the form and applies the settings to the selected burst. If the form was opened as a result of adding a burst then a new burst is added to the selected zone.

Cancel

Pressing this button closes the form and discards any pending changes to the location and size of the selected burst. If the form was opened as a result of adding a burst then a new burst is not added to the selected zone.


Viewing Measurement Results

You can view measurement results in a number of ways and apply various processing functions to view different aspects of the captured data. Explore the following settings to optimize the view of the current measurement results:

  • Auto Scale
  • Scale / div
  • View
  • Trace Hold
  • Markers
  • Detection Type
  • Bandwidth
  • Averaging
  • Sweep
  • Trigger
  • 802.11x Demodulation results

    Note icon To find the location and applicability of the settings listed above for the particular measurement that you are making, see Measurement Settings.


Auto Scale

Scales the displayed measurement so that you can view the entire trace on the instrument screen. The scaling is done by automatically adjusting the value per division and the reference level.


Scale / div

Sets the number of measurement units assigned to each division of the instrument screen:

  • Increase the number to zoom out on the measurement trace.
  • Decrease the number to zoom in on the measurement trace.

You can find the Scale / div text entry field to the right of the measurement trace graph.


View

Allows you to select the view of the measurement results:

  • Graph & Table displays a graph in the bottom of the screen and a table in the top of the screen. The graph shows the measurement results as a trace. The table shows a tabular listing of measured values, set limits, and limit test results for each of the associated measurements.
  • Graph displays the graph as full screen.
  • Table displays the table as full screen.

Remote command

:DISPlay:VIEW:CDMA

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:GSM

:DISPlay:VIEW:WCDMa


Markers

  • Markers for General Purpose and modulation standard measurements
  • Markers for W-CDMA uplink demodulation measurements
  • Markers for W-CDMA downlink demodulation measurements
  • Markers for cdma2000 demodulation measurements


General purpose and modulation standard measurement markers

You can use markers for two different functions:

  • Locating and reading various measurement data.
  • Setting the center or reference parameter value to the marker position.

Each measurement trace has four markers, and each marker has an associated delta marker:

  • The marker indicates the x-axis and y-axis position for any point on a trace.
  • The delta marker indicates the relative value between the marker and the associated delta marker.

The measurement data associated with each of the marker positions is displayed at the top of the instrument screen.

  • Tabs 1 2 3 4 selects one of the four markers for editing the marker parameters.
  • Marker On check box enables and disables the marker associated with the selected tab.
  • Marker Position sets the x-axis value of the marker.

    Note icon When the instrument is set to Spectrum or Spectrum Emission Mask the marker position is displayed in frequency (Hz). When the instrument is set to Zero Span, the marker position is displayed in time (seconds). See Adjusting marker positions for more information.

  • Delta Marker
    • Off switches off the delta marker for the marker associated with the selected tab.
    • Tracking keeps the delta marker at the set x-axis position and updates the y-axis position with each sweep.
    • Fixed Point keeps the delta marker at both the x-axis and y-axis positions that you set.
  • Delta sets the difference in x-axis positions between the delta marker and the associated marker.
  • Zero Delta brings the delta marker to the same position as the marker associated with the selected tab.
  • Center sets the center frequency parameter value to the current x-axis value of the marker.
  • Ref sets the screen reference value to the current y-axis value of the marker.
  • Max moves the marker to the maximum amplitude of the measurement trace.
  • Next moves the marker to the top of the next largest peak that is below the marker's current y-axis value.
  • Left moves the marker to the top of the next largest peak that is to the left of the current marker position and at least 3 dB below the current marker position.
  • Right moves the marker to the top of the next largest peak that is to the right of the current marker position and at least 3 dB below the current marker position.

Adjusting marker positions

When you open the Markers dialog to set your marker positions, note that all of the markers added to the display are red in color, and can be adjusted, or moved, to the desired location on the trace using the mouse pointer.

When the Markers dialog is closed, the markers are orange in color and are locked in position on the display.

While the Markers dialog is active, you can adjust the positions of the markers using any of these methods:

  • Open the Marker Position keypad and enter the desired position
  • Use the touch screen to move the marker (except Desktop Control Panel)
  • Use a USB mouse cursor to move the marker

Remote control commands

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4|[:STATe]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y


W-CDMA Uplink markers

Sets the markers for the W-CDMA measurement.

  • I Marker:
    • On check box enables the I Marker when selected.
    • Index selects the index on which to place the I Marker.
    • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current I marker position.
  • Q Marker:
    • On check box enables the Q Marker when selected.
    • Index selects the index on which to place the Q Marker.
    • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current Q marker position.

Remote control commands

:CALCulate:WCDMa:UPLink:IMARker:CNUMber

:CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis

:CALCulate:WCDMa:UPLink:IMARker:SFACtor

:CALCulate:WCDMa:UPLink:IMARker:X

:CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:IMARker[:STATe]

:CALCulate:WCDMa:UPLink:IMARker:STYPe

:CALCulate:WCDMa:UPLink:QMARker:CNUMber

:CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis

:CALCulate:WCDMa:UPLink:QMARker:SFACtor

:CALCulate:WCDMa:UPLink:QMARker:X

:CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:UPLink:QMARker[:STATe]

:CALculate:WCDMa:UPLink:QMARker:STYPe


W-CDMA Downlink markers

Sets the markers for the W-CDMA measurement.

  • Marker:
    • On check box enables the Marker when selected.
    • Index selects the index on which to place the Marker.
  • Symbol Analysis to [Marker]: Click this button to set the symbol analysis parameters to the Code Level and Code Number at the current marker position.

Remote control commands

  • :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel
  • :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber
  • :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
  • :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor
  • :CALCulate:WCDMa:DOWNlink:MARKer[:STATe]
  • :CALCulate:WCDMa:DOWNlink:MARKer:X
  • :CALCulate:WCDMa:DOWNlink:MARKer:Y


cdma2000 markers

Sets the markers for the cdma2000 measurement.

  • I Marker:
    • On check box enables the I Marker, when selected.
    • Index selects the index on which to place the I Marker.
  • Q Marker:
    • On check box enables the Q Marker, when selected.
    • Index selects the index on which to place the Q Marker.

Remote control commands

:CALCulate:CDMA:REVerse:IMARker:CNUMber

:CALCulate:CDMA:REVerse:IMARker:SFACtor

:CALCulate:CDMA:REVerse:IMARker:X

:CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:IMARker[:STATe]

:CALCulate:CDMA:REVerse:QMARker:CNUMber

:CALCulate:CDMA:REVerse:QMARker:SFACtor

:CALCulate:CDMA:REVerse:QMARker:X

:CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:CDMA:REVerse:QMARker[:STATe]


Bandwidth

  • Bandwidth for General Purpose > Spectrum measurements
  • Bandwidth for General Purpose > ACPR measurements


Spectrum measurement bandwidth

Bandwidth determines how low a signal amplitude that is close to a larger signal can be and still allow you to resolve the two signals.

You need to balance the effects the bandwidth has on your measurements:

  • Bandwidth Auto: couples the bandwidth value with the frequency span, when selected.
    • If selected, the bandwidth value is automatically set to 0.02% of the frequency span.
    • If not selected, you can set the bandwidth value independently.
  • Bandwidth field allows you to enter a value for the bandwidth.
    • Narrower bandwidths can allow you to measure signals that are close together (or close to the noise floor), yet they can slow down a measurement more than necessary.
    • Wide bandwidths can allow fast measurements, yet they may not provide adequate resolution, and the higher noise may obscure spectral components that are close together.

      Note: You also improve resolution by reducing the frequency span.

Remote control commands

[:SENSe]:SPECtrum:BANDwidth[:RESolution]

[:SENSe]:SPECtrum:BWIDth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

[:SENSe]:ZSPan:BWIDth[:RESolution]

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE


ACPR measurement bandwidth

Sets the bandwidth of the channel that you specified for the Channel parameter.

Remote control commands

[:SENSe]:ACPR:CENTer:BANDwidth

[:SENSe]:ACPR:CENTer:BWIDth

[:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth

[:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth


Averaging

The averaging function minimizes the effects of noise by averaging the results of multiple measurements.

  • For General Purpose
    • Spectrum
    • Zero Span
    • ACPR
    • Channel Power List
  • For GSM and EDGE
    • Averaging Data Type for GSM
    • Averaging Data Type for EDGE
  • For cdma2000
    • Demodulate
    • ACPR
    • Spectrum Emission Mask
    • Occupied Bandwidth
  • For W-CDMA
    • Demodulate
    • W-CDMA ACLR
    • Spectrum Emission Mask
    • Occupied Bandwidth


Sweep

Sets the type of sweep:

  • Continuous sweep repeatedly sweeps the span that you specified.
  • Single sweep takes one sweep of the span you specified.

To set the sweep time, go to Settings > Sweep Time...

_____
Remote control commands

:INITiate:CONTinuous

:INITiate[:IMMediate][:ALL]


802.11x Demodulation results

Each sweep returns a collection of measurement results. Several of the measurement results are scalar values, such as RMS EVM and Frequency Error. The other results are trace data such as EVM vs. Channel and I/Q Constellation data.

  • Signal characteristics: Refer to 802.11x Demodulation signal characteristics
  • Data table: Refer to WLAN Data table for details.
  • 802.11n Header data: Refer to 802.11n Header data

802.11x Demodulation signal characteristics

Signal type, constellation type and signal bandwidth are displayed at the top of the measurement results panel on the GUI. These characteristic may also be queried by way of the remote interface. The signal type is the auto detected type if "Auto Detect" is the user-specified signal type. If the instrument is unable to auto detect the signal type then "Unknown signal type" is displayed. If you have explicitly specified the signal type then that type is displayed. Refer to Auto detection for further details.

The constellation type displayed is either the auto detected type or the explicit type that you specify. "Signal not found" is displayed in place of constellation type if you have explicitly specified the signal type but the instrument is unable to demodulate the signal.

The signal bandwidth, that is "10 MHz", "20 MHz", or "40 MHz" is disabled if the signal is successfully demodulated. Nothing is displayed if the signal could not be demodulated.

"No data" is displayed in the upper left corner of the measurement results panel if data from the current sweep could not be demodulated or if no sweep has yet been taken.


802.11x Demodulation data table

A common set of scalar measurement results are made for each signal type. These results are displayed in a data table on the GUI. Each result may be queried by way of the remote interface. Additional measurement results are added to the table for some of the trace types. The common measurement results are described in the following table:

Value in 802.11x data table

EVM rms (dB) | The rms EVM of all data channels in the packet, not including EVM of pilot symbols. RMS over multiple packets if averaged. See Note: EVM calculation
EVM peak (dB) | The peak EVM of all data channels in the packet. Peak over multiple packets if averaging on (not average of peaks, but largest peak.)
Pilot EVM rms (dB) | The rms EVM of all pilot channels in the packet. Rms over multiple packets if averaging is on.
Pilot EVM peak (dB) | The peak EVM of all pilot channels in the packet. Peak over multiple packets if averaging on (not average of peaks, but largest peak.)
Channel Power (dB) | Rms power over inner 80% of the packet. Rms over multiple packets if averaging on
Carrier Frequency Error (Hz) | Error in the transmitted carrier frequency. Average over multiple packets if averaging on
Carrier Feedthrough (dBr)* | Amount of power observed in the DC bin of the OFDM FFT (Fast Fourier Transform). Similar measure for CCK/DSSS. For OFDM, we take the power in the DC bin and divide by the total power of all the bins. If averaging is active, the linear power ratio (not dB) is averaged.
Symbol Clock Error (ppm) | Error in the transmitter DAC clock. Average over multiple packets if averaging on.
Power-On Ramp (µs) | The transmit power-on ramp for 10% to 90% of maximum power (802.11b) should be no greater than 2 µs. See :CALCulate:WLAN:PORamp.
Power-Down Ramp (µs) | The transmit power-down ramp for 90% to 10% of maximum power (802.11b) should be no greater than 2 µs. See :CALCulate:WLAN:PDRamp.
Flatness Margin (dB) | The channel flatness limit test is done in DSP. This is the margin of the worst point in the test. A positive number means it passed, a negative means it failed. If averaging on, returns worst case from all packets.
Number Decoded Symbols | Number of symbols decoded. This is the number of symbols in the EVM vs Symbol trace.
* Carrier Feedthrough Relative to Total Power (dBr)

802.11x Value limits

Each of the values in the table above, with the exception of Number Decoded Symbols, may be limit tested. Limit test may be turned on/off independently for each value. Each value in the data table has its own limit value. Limit state and value are set through the GUI using the Edit Limits dialog.

When limit testing is on the value in the Pass/Fail column of the data table is the difference between the measurement result and its limit. A result that passes the limit test has a positive margin value which is annotated with a green check mark. A failed limit test is indicated by a negative margin value and a red X. Pass/Fail shows "Off" when the limit state is off.

Note: EVM calculation

Note icon

The 802.11b Standard uses a definition of EVM (error vector magnitude) that includes a factor of 1/sqrt(2) that is not consistent with way that EVM is normally defined. This application calculates EVM based on the more generally accepted definition of EVM. To convert to the method called out in the standard subtract 3.01 dB from the measured value. For example, if the measurement result on the instrument is -27 dB, the value consistent with the definition in the standard is -30 dB. The instrument definition of EVM is more conservative than the standard.


Controlling Measurements

The analyzer allows you to control various aspects of how a measurement is taken or controlled.

  • Attenuator and preamplifier for modifying input signal power.
  • Digital I/O for controlling equipment.
  • Frequency reference for synchronizing equipment.
  • RF Out for stimulating devices.
  • Trigger for controlling when a measurement is taken.
  • Sync Out for communicating when an event has happened.
  • User flatness for opening a data file to implement a level offset to compensate for path loss.
  • Calibrate for ensuring amplitude accuracy.
  • Advanced
    • ADC Dither for affecting phase noise.
    • Extend Freq for extending measurement frequency.
    • DSP Range for checking the input overload.
    • DSP Randomize for affecting the start time of a free run trigger.
    • More...Advanced Settings


Atten/Preamp control panel

The attenuator and preamplifier allow you to modify input signal power.

Atten

Atten Auto On enables the automatic application of attenuation to the input signal when selected. When you select the Ref Level or Expected Power value, the analyzer automatically adjusts the input attenuation to optimize the power measurement range.

Atten Value allows you to view the attenuation value automatically applied by the analyzer (if the Atten Auto is enabled), or you enter an attenuation value manually. The manual setting is useful when you want to step the attenuation value to determine if displayed signal spurs are due to the device under test or the analyzer.

Note icon An asterisk symbol ( * ) appears next to the word Atten in the Atten/Preamp button when the manual setting is selected. This is a visual indicator that automatic setting is uncoupled and that the instrument no longer tracks changes to the reference level.

Remote control commands

[:SENSe]:POWer[:RF]:ATTenuation

[:SENSe]:POWer[:RF]:ATTenuation:AUTO

[:SENSe]:POWer[:RF]:GAIN[:STATe]

Preamp

Preamp allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

Note icon A * symbol will appear next to the word Preamp in the Atten/Preamp button when the Preamp is selected. This is a visual indicator that the Preamp has been turned on.


Source mode (logic control)

The digital outputs can be used as logic inputs to active TTL, low-power TTL, or CMOS inputs. For this mode of operation, the output lines can source up to 2mA.

CAUTION: Each output line can source up to 2mA. Exceeding 2mA may cause damage to the Series V2800 that is not covered by the warranty.

The following graphic shows how to connect a logic device to one of the output lines. When the output line is pulled high, the transistor will turn off (transistor switch open) to provide a reliable TTL logic high output. When the output line goes low, the transistor turns on (transistor switch closed) to route current to digital ground. As a result, a low TTL logic output is provided at the output. If the second input (B) of the NAND gate is connected to another output line of the port and both digital outputs are set high, the output of the NAND gate will go to logic 0.

NAND gate control
Digital NAND 2810smaller


Trigger settings panel

This panel provides the controls that allow you to set up signal triggers.

Trigger Source

Sets the input trigger source:

  • Free Run triggers another measurement immediately at the end of each measurement if you have set continuous sweep. If you have set single sweep, you must select Sweep Single to trigger a measurement.
  • External triggers a measurement when the instrument receives an external signal pulse.
  • Video triggers a measurement when the input signal reaches the value specified.
  • Ext Arm/Video Trig triggers a measurement when the instrument receives an external signal pulse and the input signal reaches the specified value.
  • Bus Arm/Ext Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and an external signal pulse.
  • Bus Arm/Video Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and the input signal reaches the specified value.
  • Ext Latched is similar to External. It triggers a measurement if the external input has sent an active edge since the last latch reset. The external trigger latch is reset when the trigger is used or the receiver sends a sync out signal.
  • Bus triggers a measurement when the instrument receives the *TRG command.

Remote control command

:TRIGger[:SEQuence]:SOURce

Video Level

Sets the power level that the incoming RF signal must reach to cause a trigger event.

Remote control commands

:TRIGger[:SEQuence]:LEVel

Trigger Delay

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window.

Remote control commands

:TRIGger[:SEQuence]:DELay

Auto Trigger Timeout

Sets the time to wait in seconds for a trigger before automatically providing an internal trigger to acquire a measurement:

  • Time Out ON enables the auto trigger timeout when selected.
  • Time Out sets the time to wait for a trigger.

Remote control commands

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:AUTO[:STATe]

External Trigger
  • Slope sets the external trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse.
    • Negative sets the trigger to happen on the negative-going slope of a pulse.

Remote control commands

:TRIGger[:SEQuence]:EXTernal:SLOPe

Video Trigger

Sets the parameters of the video trigger:

  • Signal Type sets the condition that causes a trigger:
    • Edge sets the trigger condition to be a transition of signal power over the specified video level.
    • Level sets the trigger condition to be a signal power level.
  • Slope sets the video trigger slope:
    • Positive sets the trigger to happen on the positive-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a lower value to a higher value over the specified video level to cause a trigger.
    • Negative sets the trigger to happen on the negative-going slope of a pulse. If the video trigger signal type is Edge, the RF signal must transition from a higher value to a lower value over the specified video level to cause a trigger.
  • Pre-Qualification:
    • Level sets the power level boundary that the input signal must avoid for some specified time before the trigger will be recognized by the instrument.
    • Time sets a window area in seconds at some specified power level that the input signal must avoid before the trigger will be recognized by the instrument.
  • Bandwidth: sets the video trigger bandwidth as a percentage of available impulse bandwidth. The available impulse bandwidth is dictated by the underlying sample rate of the measurement's data acquisition. Generally, this available bandwidth is two to four times the bandwidth required by the given measurement.

Remote control commands

  • :TRIGger[:SEQuence]:PREQual:WINDow
  • :TRIGger[:SEQuence]:PREQual[:LEVel]
  • :TRIGger[:SEQuence]:TYPE
  • :TRIGger[:SEQuence]:VIDeo:BANDwidth
  • :TRIGger[:SEQuence]:VIDeo:SLOPe

Trigger Mode

The trigger mode determines how the instrument acquires data when more than one data acquisition is required to complete a measurement:

  • On Measurement starts the first data acquisition and then immediately takes any subsequent data acquisitions needed to complete the measurement. In this mode, only the first data acquisition of a measurement is synchronized with a trigger. Subsequent data acquisitions needed to complete the measurement proceed immediately without waiting for any further triggers.
  • On Acquire starts a single data acquisition and then waits for another trigger to continue with the subsequent data acquisition. In this mode, every data acquisition in the measurement waits for a trigger to synchronize it to the events.

The On Acquire trigger mode is most useful for the channel power list and ACPR measurements, since they are comprised of discrete data acquisitions. This mode is also useful if you want data acquisitions synchronized to a trigger event.

Remote control commands

:TRIGger[:SEQuence]:MODE


To set the trigger

Connections

From the front panel interface:

  1. Select Menu > Global Settings > Trigger.
  2. Select the arrow for the Trigger Source drop-down menu and choose the source of the trigger event:
    • Free Run triggers another measurement immediately at the end of each measurement if you have set continuous sweep.
    • External triggers a measurement when the instrument receives an external signal pulse.
    • Video triggers a measurement when the input signal reaches the value specified.
    • Bus triggers a measurement when the instrument receives the *TRG command.
    • Ext Arm/Video Trig triggers a measurement when the instrument receives an external signal pulse at the rear panel TRIG IN TTL input connector and the input signal reaches the specified value.
    • Bus Arm/Ext Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and an external signal pulse. (Applies to channel power list measurement only.)
    • Bus Arm/Video Trig triggers a measurement when the instrument receives a *TRG command to arm the trigger and the input signal reaches the specified value. (Applies to channel power list measurement only.)

      The remaining steps do not apply if you set the Trigger Mode to Free Run.

  3. Select Trigger Delay: field and enter a delay in seconds that you want the instrument to wait to respond to a trigger event. The trigger delay value is the point at the center of the data acquisition window
  4. If you want to set the Auto Trigger Timeout, follow the steps below:
    1. Select the Auto Trigger Timeout: check box.
    2. Select the Auto Trigger Timeout: field and enter the time for the instrument to wait in seconds for a trigger before automatically providing an internal trigger to acquire a measurement.
  5. Select settings that are relevant to the External trigger source, if you selected it:
    1. Select the arrow for the External Trigger Slope: drop-down menu.
    2. Choose whether the instrument receives a TTL signal pulse with a Positive (rising) edge, or a Negative (falling) edge from an external device.
  6. Select the settings that are relevant to the Video trigger source, if you selected it:
    1. Select the Video Level: field and enter a power level that the input signal must reach for a trigger event.
    2. Under the Advance tab, select the Video Trigger Signal Type: drop-down arrow and choose whether the burst Edge or Level will be the trigger event.
    3. Select the Pre-Qualification Level: field and enter the power level that the signal must stay below before the leading edge of a burst.
    4. Select the Pre-Qualification Time: field and enter the length of time that the signal must stay below the specified pre-qualification level before the leading edge of a burst.
  7. Select the Trigger Mode: drop-down arrow and choose the Series V2800 behavior when it receives the conditions for a trigger event. The following set of tables describe the Series V2800 behavior for each of the measurement/trigger mode combinations:
    • Spectrum measurements can have multiple acquisitions, depending on the span and bandwidth settings.
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Measures continuously.
External | All acquisitions measured from a single trigger event. | One acquisition measured per trigger event.
Video
Ext Arm/Video Trig | All acquisitions measured from a single arm/trigger event. | One acquisition measured per arm/trigger event.
  • Zero span measurements are a single acquisition.
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Behavior is the same as "On Measurement."
External | One measurement per trigger event.
Video
Ext Arm/Video Trig | One measurement per arm/trigger event.
  • ACPR consists of five zero-span measurements.
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Measures continuously.
External | All five measurements taken from a single trigger event. | One of the five total measurements taken per trigger event.
Video
Ext Arm/Video Trig | All five measurements from a single arm/trigger event. | One of five total measurements per arm/trigger event.
  • Channel power list consists of a number of zero span measurements defined by the number of points in the list.
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Measures continuously.
External | Measures all points in list from a single trigger event. | Measures a single point in the list per trigger event.
Video
Ext Arm/Video Trig | Measures all points in list from a single arm/trigger event. | Measures a single point in the list per arm/trigger event.
Bus Arm/Ext Trig
Bus Arm/Video Trig
  • GSM/EDGE
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Behavior is the same as "On Measurement."
External | All data acquired from a single trigger event.
Video
Ext Arm/Video Trig | All data acquired from a single arm/trigger event.
  • cdma2000/W-CDMA Demodulate
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Behavior is the same as "On Measurement."
External | All data acquired from a single trigger event.
Video
Ext Arm/Video Trig | All data is acquired from a single arm/trigger event.
  • cdma2000/W-CDMA ACPR
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Measures continuously.
External | All data acquired from a single trigger event. | One of five total measurements per trigger event.
Video
Ext Arm/Video Trig | All data acquired from a single arm/trigger event. | One of five total measurements per arm/trigger event.
  • cdma2000/W-CDMA Spectral emission
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Behavior is the same as "On Measurement."
External | All data acquired from a single trigger event.
Video
Ext Arm/Video Trig | All data acquired from a single arm/trigger event.
  • cdma2000/W-CDMA Occupied bandwidth
Trigger Source | On Measurement | On Acquire
Free Run | Measures continuously. | Behavior is the same as "On Measurement."
External | All data acquired from a single trigger event.
Video
Ext Arm/Video Trig | All data acquired from a single arm/trigger event.

From the remote interface:

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:AUTO[:STATe]

:TRIGger[:SEQuence]:DELay

:TRIGger[:SEQuence]:EXTernal:SLOPe

:TRIGger[:SEQuence]:PREQual:WINDow

:TRIGger[:SEQuence]:PREQual[:LEVel]

:TRIGger[:SEQuence]:LEVel

:TRIGger[:SEQuence]:MODE

:TRIGger[:SEQuence]:SOURce

:TRIGger[:SEQuence]:TYPE

:TRIGger[:SEQuence]:VIDeo:SLOPe

*TRG

See [image] TRIGger commands for more information on using the trigger commands.

:TRIGger[:SEQuence]:AUTO[:STATe]

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:DELay

:TRIGger[:SEQuence]:EXTernal:SLOPe

:TRIGger[:SEQuence]:PREQual:WINDow

:TRIGger[:SEQuence]:PREQual[:LEVel]

:TRIGger[:SEQuence]:LEVel

:TRIGger[:SEQuence]:MODE

:TRIGger[:SEQuence]:SOURce

:TRIGger[:SEQuence]:TYPE

:TRIGger[:SEQuence]:VIDeo:SLOPe


Outputting Measurement Results

You can output the results of a measurement using the following methods:

  • Save a screen capture
  • Query the analyzer for data


Save a screen capture

You can save an image of the current measurement screen that includes any visible settings and data.

Note icon It is recommended that you save the files to a drive that is external to the instrument, ensuring adequate memory storage. See To share a drive or folder on the network.

With the front panel interface:

Set the instrument state to the values that you want:

  1. Select Sweep Single to put the instrument in single sweep.
  2. Select Menu > File > Save Screen.
  3. Select the memory location to store the file by selecting the drop-down arrow in the Look In: field and navigating to the drive location.
  4. Select the File name: field or the keyboard button and type a name.
  5. Select Enter > Save.

With the remote programming interface:

:DISPlay:CAPTure

With the LXI Web interface:

  1. Connect the instrument to a Web network that includes your computer.
  2. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel to view the address.
  3. Click Instrument from the menu at the left of the instrument Web page to view the Series V2800 virtual front panel.
  4. Put the instrument in single sweep by clicking Sweep Single on the virtual front panel.
  5. Click Screen Capture from the menu at the left of the instrument Web page.
  6. Right-click over the image of the instrument screen and select Save Picture As....
  7. Navigate to the location to store the file, type a name, and click Save.

With the Desktop Control Panel Software Interface:

When using the Desktop Control Panel interface on your computer, you may capture a screen by using one of these options: Print Screen key (captures entire screen to clipboard), Alt + Print Screen (captures active window to clipboard), or use a screen capture utility. You may then paste the captured screen into another program and save for later use.

:CALCulate:DATA

Reads the data on the graph display for the currently active measurement. Returns ASCII, Real 32, Real 64. The data type follows the :FORMat command.

NOTE: The amount of return data varies widely, depending on the trace data of a currently active measurement. This command could return a few items, or hundreds of items.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA?
Examples | :CALC:DATA?
 | :calculate:data?

_
Select a link to view further command details:

  • :CALCulate:DATA:DMODulation:SOURce
  • :CALCulate:DATA:COUNt
  • :CALCulate:DATA:VALid


Controlling the Instrument via Desktop Control Panel

This feature is presently available only for the Agilent V2820A instrument.

---------
The Agilent Series V2800 Vector Signal Analyzer Desktop Control Panel application provides full control of your instrument from the convenience of your PC. Using Desktop Control Panel, you have the same control of the instrument as you would by using the instrument's touch screen user interface. Likewise, you have the same remote control capability with SCPI interface.

________________
For details, see:

  • Desktop Control Panel Overview
  • Desktop Control Panel Interface vs. Instrument Touchscreen Interface
  • Installing the Desktop Control Panel Program
  • Running the Desktop Control Panel Program
  • Controlling Multiple Instances of Desktop Control Panel
  • Using Desktop Control Panel in a MIMO Application
  • Controlling the Desktop Control Panel via SCPI
  • Desktop Control Panel Troubleshooting


Desktop Control Panel Overview

---------

This feature is presently available only for the Model V2820A instrument.

---------
The Agilent Series V2800 Desktop Control Panel program provides full control of your Series V2800 Vector Signal Analyzer from the convenience of your PC. Using Desktop Control Panel, you have the same control of the instrument as you would by using the instrument's touch screen user interface. Likewise, you have the same remote control capability with SCPI interface.

View of Series V2800 VSA Desktop Control Panel user interface

Series 2800 Desktop Control Panel

View of Series V2900 VSG Desktop Control Panel user interface

Series 2900 Desktop Control Panel

____
See Also:

  • Differences between Desktop Control Panel interface and instrument touchscreen interface
  • While the Desktop Control Panel software is running
  • Installing the Desktop Control Panel Program
  • Running the Desktop Control Panel Program
  • Controlling Multiple Instances of Desktop Control Panel
  • Using Desktop Control Panel in a MIMO Application
  • Controlling the Desktop Control Panel via SCPI
  • Desktop Control Panel Troubleshooting
  • Instrument touchscreen interface tour
    • Series V2800 only
    • Series V2900 only
  • SCPI command reference
    • Series V2800 only
    • Series V2900 only


Desktop Control Panel Interface vs. Instrument Touchscreen Interface

Following is a list of the differences between the instrument's Desktop Control Panel user interface and the Series V2800 touchscreen user interface:

While Desktop Control Panel program is running the following are disabled:

  • Touchscreen interface
  • LXI web interface
  • Digital I/O on the instrument back panel
  • Preset and Local buttons, knob and puck on the instrument front panel
  • Communication with the instrument over GPIB, USB, and LAN at the instrument's IP address (communication via LAN [socket only] at the PC's IP address is still supported)
    ____

_

When you exit the Desktop Control Panel program the above items are re-enabled, and the instrument performs a system preset (:SYSTem:PRESet). The following settings are retained when you switch between the instrument touchscreen interface and the Desktop Control Panel program:

  • Frequency reference settings
  • Low phase noise setting
  • Arbitrary waveforms and sequence (Series V2900 instruments only)

___
See Also:

__

Series V2800 VSA

Series V2900 VSG

Touchscreen interface tour

Touchscreen interface tour

LXI web interface

LXI web interface

Digital I/O

Digital I/O

Front panel tour

Front panel tour

Frequency reference settings

Frequency reference settings

Low phase noise setting

Low phase noise setting

Arbitrary waveforms and sequence

___
File management:

  • The Desktop Control Panel interface uses the PC hard drive and any peripheral or network storage devices.
  • When using the :MMEMory:DATA command, you must specify the path to the file.

___
Differences in Desktop Control Panel menu selections

  • No Screen Saver (use the PC's screen saver capability)
  • Dialogs related to remote communication are removed
  • Ethernet settings changed (some menus gone)
  • Additional menu command: Menu > Exit

--------

See Also:

  • Controlling the instrument via Desktop Control Panel


Installing the Desktop Control Panel Program

Use the applicable procedure for installing the Agilent Series V2800 Desktop Control Panel program on your computer.

Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Desktop Control Panel application (*.exe) and one for the Series V2800 instrument firmware (*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______

  • Installation instructions for Windows® XP® (Desktop Control Panel)
  • Installation instructions for Windows® Vista® (Desktop Control Panel)

_________
See also:

  • System Requirements
  • Troubleshooting the Series V2800 Desktop Control Panel Installation (Windows XP)
  • Troubleshooting the Series V2800 Desktop Control Panel Installation (Windows Vista)
  • Controlling Multiple Instances of Desktop Control Panel


System Requirements for Desktop Control Panel

PC Requirements

  • 2.4 GHz Intel® Pentium® processor or better
  • Minimum 2.0 GB RAM
  • 10 GB free disk space
  • Minimum 1024 x 768 screen resolution
  • Microsoft® Windows® XP Professional (Service Pack 2 or later)
    -- or --
    Microsoft® Windows® Vista Business or Vista Business 64-bit

USB Cable Requirements

  • USB 2.0 A/B cable

    The FROM HOST connector on the instrument is a female Type B (standard) USB connector.

  • Maximum recommended length
    • Single cable: 5 meters (16 feet)
    • USB hub: Up to 5 USB hubs are allowed in a chain. The maximum distance is 30 meters (98 feet) between the computer and the instrument.


Installation instructions for Windows® XP® Desktop Control Panel

These are the installation instructions for the Desktop Control Panel software, that allows full control of the Agilent Series V2800 Vector Signal Analyzer from your PC.

Note icon These instructions are for Windows XP 32-bit systems only.

What you will need

  • Latest version of Desktop Control Panel software
  • Agilent Series V2800 Vector Signal Analyzer
  • Desktop or laptop PC with at least one available USB port, running Windows® XP® (32-bit)
  • USB cable with standard Female A and Female B connectors. Length determined by proximity of instrument to the PC but not to exceed 15 feet. Longer extensions require signal amplification.
    (Click here to view picture)

    USB Cable Photos

Part 1. Get the software

  • Download the software:
    • For the Series V2800, go to www.agilent.com/find/V2820A.
    • For the Series V2900, go to www.agilent.com/find/V2920A.

    - or -

  • Install the software directly from the Agilent Series V2800 CD.

    - or -

  • Contact your Agilent representative.

    Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Agilent Desktop Control Panel application (*.exe) and one for the Agilent Series V2800 Vector Signal Analyzer (*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

Part 2. Install the software

  1. Disconnect any Agilent USB devices from the PC.
  2. Launch the Desktop Control Panel installer by using one of the following methods:
    1. Double-click the 2810.exe file.
    2. Select Start > Run then use the Browse button to navigate to the 2810.exe file, then click OK.
  3. When the Series V2800 Desktop Control Panel installation wizard opens, click Next.
  4. Read the license agreement and accept the terms, then click Next.

    2800-PC license agreement
  5. Select Complete from the Setup Type installation screen.
  6. Click Next from the Ready to Install dialog.
  7. If you have not already removed all Agilent USB devices from your PC, do so now, then click Next to dismiss the warning.
  8. There are several "Windows Logo testing" warning dialogs displayed during this phase of the installation process, and will take several minutes to complete. Please click Continue Anyway on each of them.

    Compatibility testing warning
  9. Click Finish on the Agilent installation wizard when prompted.

Part 3. Connect your hardware

  1. Power up your Agilent Series V2800 Vector Signal Analyzer.
  2. Connect the instrument to an available USB port on the PC and to the USB port on the rear panel of the signal analyzer labeled (FROM HOST).
  3. The "Welcome to the Found New Hardware Wizard" is displayed. . Select "No, not this time" then click Next

    2800-PC Found New Hardware Wizard
  4. Choose "Install the software automatically (Recommended)" then click Next to continue.

    2800-PC Found New Hardware wizard
  5. When the Windows Logo testing dialog is displayed, click Continue Anyway.

    Compatibility testing warning
  6. Repeat Steps 3, 4 and 5 until the "Found New Hardware Wizard" and "Windows Logo testing" cautions are no longer displayed. This occurs several times and is a normal part of the installation process. There are several USB drivers and driver updates being installed at this time.

    Note icon If you have problems installing the Desktop Control Panel software or drivers, please refer to Troubleshooting the Series V2800 Vector Signal Analyzer Desktop Control Panel Installation for more information.

    _

  7. Watch for the hardware installation icon Windows XP hardware installation icon in the System Tray (lower-right corner of the screen), as it will disappear when the hardware installation is complete. It may take a few moments for this process to complete.
  8. You can now start the Desktop Control Panel software and connect your equipment. See Running the Desktop Control Panel software for information about starting and running the software.


Installation instructions for Windows® Vista® Desktop Control Panel

These are the installation instructions for the Desktop Control Panel software, that allows full control of the Agilent Series V2900 from your PC.

Note icon These instructions are for Windows® Vista® 32-bit systems only.

What you will need

  • Latest version of Desktop Control Panel software
  • Agilent Series V2800 Vector Signal Analyzer
  • Desktop or laptop PC with at least one available USB port, running Windows® Vista® (32-bit)
  • USB cable with standard Female A and Female B connectors. Length determined by proximity of instrument to the PC but not to exceed 15 feet. Longer extensions require signal amplification.
    (Click here to view picture)

    USB Cable Photos

Part 1. Get the software.

  • Download the software:
    • For the Series V2800, go to www.agilent.com/find/V2820A.
    • For the Series V2900, go to www.agilent.com/find/V2920A.

    - or -

  • Install the software directly from the Agilent Series V2800 CD.

    - or -

  • Contact your Agilent representative.

Note icon Be certain you are downloading and installing the correct software for your PC. There are two types of installation files available, one for the Agilent Desktop Control Panel application (*.exe) and one for the Agilent Series V2800 Vector Signal Analyzer(*.cab). The installation file for the Desktop Control Panel must end with the file extension .EXE. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

Part 2. Install the software

Note icon Windows Vista has an additional security feature called User Account Control. This prevents unauthorized installation of programs on your PC, and requires you to approve each step of the installation. To disable this feature, go to Start > Control Panel > User Accounts> Turn User Account Control On or Off then select Off.

  1. Disconnect any Agilent USB devices from the PC.
  2. Launch the Desktop Control Panel installer by using one of the following methods:
    1. Double-click the 2810.exe file
    2. Select Start > Run then use the Browse button to navigate to the 2810.exe file, then click OK.
  3. When the AgilentSeries V2800 Desktop Control Panel installation wizard opens, click Next.
  4. Read the license agreement and accept the terms, then click Next.

    2800-PC license agreement
  5. Select Complete from the Setup Type installation screen then click Next.
  6. Click Install from the Ready to Install dialog.
  7. If you have not already removed all Agilent USB devices from your PC, do so now, then click OK to dismiss the warning.
  8. There are several "Windows Security" warning dialogs displayed during this phase of the installation process. Please click Install this driver software anyway or Install on each of them.

    2800-PC Vista Driver Installation Warning
    Windows Vista Security Warning
  9. Click Finish on the Agilent installation wizard when prompted.

Part 3. Connect your hardware

  1. Power up your Agilent Series V2800 Vector Signal Analyzer.
  2. Connect the instrument to an available USB port on the PC and to the USB port on the rear panel of the signal analyzer labeled (FROM HOST).
  3. The "Installing device driver software" dialog is displayed.

    2800-PC Installing device drivers (Vista)
  4. When the device drivers are installed, the "Your devices are ready to use" dialog is displayed.

    2800-PC Windows Driver Install (Vista)

    Note icon If you have problems installing the Desktop Control Panel software or drivers, please refer to Troubleshooting the Series V2800 Vector Signal Analyzer Desktop Control Panel Installation for more information.

  5. You can now start the Desktop Control Panel software and connect your equipment. See Running the Desktop Control Panel software for information about starting and running the software.


Troubleshooting the Series V2800 Vector Signal Analyzer Desktop Control Panel Installation (Windows XP)

Hardware installation fails:---

Problem:

The hardware is not installed, and the following Hardware Installation wizard error is displayed:

2800-PC Hardware installation error

This indicates that your PC is configured to block drivers that have not passed WHQL certification. Use the following procedure to manually install the drivers.

---------

Solution:

Note icon To install the driver, you must have Administrator privileges on your PC.

  1. Go to Start > Control Panel > System, click on the Hardware tab then click the Driver Signing button to open the dialog shown below.

    2800-PC driver signing options dialog
  2. Choose either the Warn or Ignore option, deselect the Administrator option "Make this action the system default".
  3. Click OK.
  4. Disconnect, then reconnect, your Series V2800 USB cable to open the New Hardware Found wizard again.
  5. If you select Ignore, no error dialogs are displayed and the driver is installed.
  6. If you select Warn, you will continue to receive the Windows Logo testing error, and will have to select the Continue Anyway button several times to complete the driver installation.

_________

Problem:

The automatic driver installation procedure fails.

---------

Solution:

If the automatic installation fails for any reason, follow the procedure below to install the drivers manually.

Note icon Note the name of the device, "Agilent Vector Signal Analyzer" or "Agilent V2820A USB Device" shown in the Found New Hardware wizard as you will need that in a later step.

  1. Disconnect then reconnect the Agilent Series V2800 Vector Signal Analyzer's USB cable to open the Hardware Update Wizard again.
  2. From the "Welcome to the Hardware Update Wizard" select "Install from a list or specific location (Advanced)" then click Next.

    New Hardware Wizard - Windows XP
  3. Select "No, not this time" then click Next.

    2800-PC Found New Hardware wizard
  4. Select "Search for the best drivers in these locations" and "Include this location in the search" then click the Next button.

    Windows XP Found New Hardware Wiz
    1. If the detected USB hardware is named "Agilent Vector Signal Analyzer" navigate to C:\Program Files\Agilent Technologies\Agilent Series V2800 RF Signal Analyzer\Drivers\FtdiUsb and click Next to complete the installation.
    2. If the detected USB hardware is named "Agilent V2820A USB Device" browse to C:\Program Files\AgilentTechnologies\Agilent Series V2800 RF Signal Analyzer\Drivers\CypressUsb and click Next to complete the installation.
  5. Windows should now find the correct drivers.
  6. From the Windows Logo testing warning, click Continue Anyway. You may need to do this several times.

    Compatibility testing warning
  7. When the procedure is complete you can start the Desktop Control Panel software.

    Note icon The program paths noted above are the default installation locations for the Desktop Control Panel software. If you have installed the software to a different location, use that path instead.

Install the driver manually

Note icon To install the driver, you must have Administrator privileges on your PC.

Go to the Device Manager and look at the Universal Serial Bus controllers.

  1. Go to Start > Control Panel > System to open the System Properties dialog.
  2. Click the Hardware tab, then click the Device Manager button to open the dialog window.
  3. Scroll down the list then open the Universal Serial Bus controllers entry.
  4. Note the listings with the yellow warning icon (image below is example only, showing controllers for the Series V2800):

    2800-PC device manager usb error
  5. Double-click the desired USB device to open the USB Device Properties window.
  6. Select the Driver tab, then click the Uninstall button.
  7. From the Confirm Device Removal window, click the OK button to remove the USB device.
  8. Reinstall the device driver using one of the following methods:
    1. Either unplug the USB cable of the instrument and plug it back in to the PC prompt the Found New Hardware wizard.
      -or-
    2. From the Device Manager select Action > Scan for Hardware Changes or click the Scan for Hardware Changes icon to have Windows scan for the new hardware.
  9. Install the drivers according the instructions for your operating system.

______

See also:

Desktop Control Panel installation instructions for Windows® XP®


Troubleshooting the Series V2800 Vector Signal Analyzer Desktop Control Panel Installation (Windows Vista)

Hardware installation fails:

------------------

Problem:

The automatic installation procedure fails.

---------

Solution:

If the automatic hardware installation fails for any reason, follow the procedure below to install the drivers manually.

Note icon Note the name of the device, "Agilent Vector Signal Analyzer" or "Agilent V2820A USB Device" shown in the Found New Hardware wizard as you will need that in a later step.

  1. Disconnect then reconnect the Agilent Series V2800's USB cable to open the Found New Hardware wizard again.
  2. From the "Windows needs to install driver software for your RF Products DSP (COM5)" select "Locate and install driver software (recommended)".

    Found New Hardware dialog
  3. From the next window, select "I don't have the disc. Show me other options."

    Insert Disc to Continue
  4. Select "Browse my computer for driver software (advanced)" to locate and install the driver software manually.

    Select the Browse button
    1. If the detected USB hardware is named "Agilent Vector Signal Analyzer" navigate to C:\Program Files\Agilent Technologies\Agilent Series V2800 RF Signal Analyzer\Drivers\FtdiUsb and click Next to complete the installation.
    2. If the detected USB hardware is named "Agilent V2820A USB Device" browse to C:\Program Files\Agilent Technologies\Agilent Series V2800 RF Signal Analyzer\Drivers\CypressUsb and click Next to complete the installation.

    USB driver path

  5. Windows will now find the correct drivers.
  6. From the Windows Security warning window, select "Install this driver anyway".

    Select Install this driver anyway
  7. When the procedure is complete, a window is displayed indicating the device was successfully installed. Click the Close button.
  8. You can now start the Desktop Control Panel software.

Note icon The program paths noted above are the default installation locations for the Desktop Control Panel software. If you have installed the software to a different location, use that path instead.

______

Install the driver manually

Note icon To install the driver, you must have Administrator privileges on your PC.

Problem:

The hardware is not installed, and the following Hardware Installation wizard error is displayed:

Vista Hardware Installation Failure

---------

Solution:

Note icon To install the driver, you must have Administrator privileges on your PC.

  1. Go to Start > Control Panel > System, then click the Device Manager link in the Tasks pane.

    Vista Select Device Manager
  2. Double-click the RF Products DSP listing with the warning icon to open the driver properties page.

    Vista Device Manager Tree
  3. Click the Driver tab then click the Uninstall button.
  4. From the Confirm Device Uninstall window, click the OK button to remove the USB device.
  5. Reinstall the device driver using one of the following methods:
    1. Either unplug the USB cable of the instrument and plug it back in to the PC prompt the Found New Hardware wizard.
      -or-
    2. From the Device Manager right-click on the USB device with the warning icon then select Scan for Hardware Changes to have Windows scan for the new hardware.
  6. Install the drivers according the instructions for your operating system.

_______

See also:


Running the Desktop Control Panel software

To run the Desktop Control Panel software, go to Start > Programs > Agilent Technologies > Series V2800 Desktop Control Panel.

Host-on-PC Launch
__NOTE: Illustration above shows program group links for Series V2800 Desktop Control Panel installation.

---------

If you have more than one Agilent device connect via USB, you will be prompted to select the instrument according to its serial number.

---------

When the Desktop Control Panel software launches, the start-up status displays briefly before the main user interface is displayed.

____________

Help System: A link to the Series V2800 help system is also included in the program group, thus providing easy access to product user documentation.

____________
See Also:

  • Launching Desktop Control Panel from the command line
  • While the Desktop Control Panel software is running
  • Desktop Control Panel troubleshooting


Launching Desktop Control Panel from the command line

The goal of the command line options is to allow you to strictly control:

  • The instrument hardware (serial number) the Desktop Control Panel software connects to
  • The SCPI listen port the Desktop Control Panel software uses

_
This is especially important in a multi-instrument system (for example, a 4x4 MIMO system controlled by SignalMeister).

_
The command line syntax is:

<path>\2810.exe [/sn SerialNumber] [/scpiport Port]

where,

  • SerialNumber is the serial number of the instrument the Desktop Control Panel software should connect to (e.g., /sn 2300012)
  • Port is the port number the Desktop Control Panel software uses for LAN socket SCPI communications

_
Potential error conditions:

  • If /sn is used and the specified device cannot be found, the Desktop Control Panel software will exit without any prompts.
  • If /scpiport is used and the specified port is in use, the application will auto-assign another port and display a warning similar to:

    SCPI Listen Port conflict

_
See Also:

  • Desktop Control Panel troubleshooting


Do not run 3D applications while Desktop Control Panel is running

To ensure proper performance, do not run the Desktop Control Panel software at the same time as any 3D application that uses the entire screen (for example, a 3D screen saver).


While the Desktop Control Panel software is running

While Desktop Control Panel program is running the following are disabled:

  • Touchscreen interface
  • LXI web interface
  • Digital I/O on the instrument back panel
  • Preset and Local buttons, knob and puck on the instrument front panel
  • Communication with the instrument over GPIB, USB, and LAN at the instrument's IP address (communication via LAN [socket only] at the PC's IP address is still supported)
    ____

_

When you exit the Desktop Control Panel program the above items are re-enabled, and the instrument performs a system preset (:SYSTem:PRESet). The following settings are retained when you switch between the instrument touchscreen interface and the Desktop Control Panel program:

  • Frequency reference settings
  • Low phase noise setting
  • Arbitrary waveforms and sequence (Series V2900 instruments only)

___
See Also:

__

Series V2800 VSA

Series V2900 VSG

Touchscreen interface tour

Touchscreen interface tour

LXI web interface

LXI web interface

Digital I/O

Digital I/O

Front panel tour

Front panel tour

Frequency reference settings

Frequency reference settings

Low phase noise setting

Low phase noise setting

Arbitrary waveforms and sequence


Controlling Multiple Instances of Desktop Control Panel Software

You can run more than one instance of the Desktop Control Panel program on your computer to control multiple instruments. However, since the IP address is the address of your PC for each instance that is running, the Desktop Control Panel program assigns a different Socket Port number (SCPI Listening Port number) for each instrument connected to the PC. You will need this port number for your SCPI code to enable communication to each instrument connected to your PC.

_________________
To open multiple instances of the Desktop Control Panel program:

  1. Launch the Desktop Control Panel program: Start > Programs > Agilent Technologies > Series V2800 Desktop Control Panel
  2. In the Instrument USB Connection dialog, select the serial number for the instrument you want to control, and click OK. For example:

  3. The Desktop Control Panel program opens.

    The serial number for the instrument being controlled by the Desktop Control Panel program is located in the window title bar. For example:

    Desktop Control Panel Instrument Serial Number

  4. Once you are viewing the desired instrument's instance of the Desktop Control Panel interface, click Menu > Utilities > Ethernet Settings... to display the dialog showing the SCPI Listening Port number.
  5. Use this unique port number in your SCPI code to enable communication with that instrument. See the picture below.
    ______

    Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

______

Desktop Control Panel Ethernet Settings

___________
See Also:

  • Using the Desktop Control Panel in a MIMO Application


Using Desktop Control Panel in a MIMO Application

To use instruments in a multiple-in multiple-out (MIMO) configuration, you will need to have at least multiple USB ports available on the PC that will be running multiple instances of the Desktop Control Panel program.

-------------
Using SignalMeister™

Using Desktop Control Panel in a MIMO configuration with SignalMeister™ you will need to change the Socket Port # for each of the instruments in your setup. For example, if you have two instances of Desktop Control Panel on your computer, you will need to make sure the instrument Nx MIMO elements are communicating to the same LAN IP address (the IP address of the computer running the Desktop Control Panel program, but with different Socket Port numbers. See illustration below.

You can assign a port number on the command line using the command /scpiport no where no is the port number. For example, /scpiport 49152. You must select a number that is not in use by any other application running on the PC. The default for a SCPI Port raw socket is 5025. However, only one instrument running at a time can use this port number.

When selecting a port number, you need to be certain that it is not a number from the Well Known Ports list, which are assigned to specific applications. When the instrument automatically assigns port numbers it uses Dynamic Ports in the range of 49152 to 49251. For a list of Well Known Ports, go to www.iana.org.assignments/port-numbers.

The following illustration shows and communication setup for the Series V2800 instrument:

__ Host-on-PC MIMO socket setting

__________
See also:

  • Controlling Multiple Instances of Desktop Control Panel
  • MIMO Application Guide


Controlling the Desktop Control Panel via SCPI

The V2820A Vector Signal Analyzer and the Desktop Control Panel program share a common SCPI interface. This allows you to easily port a test automation program between the V2820A GPIB or LAN interfaces and Desktop Control Panel socket interface.

When using VISA for communication, you need to change the VISA resource string to the correct interface in the viOpen command (see examples below).

For the Desktop Control Panel program, the VISA resource is the IP address of the computer and the SCPI listen socket number. Normally, socket 5025 is used for the Desktop Control Panel program as this is the default SCPI raw socket port number. However, only one instrument at a time running on the PC can use this port number. In the case where multiple instances of the Desktop Control Panel program are running, each instance has a unique socket number. See Ethernet Settings for information on viewing the SCPI Listen Socket number.

When the Desktop Control Panel program is run without specifying a port number on the command line, it uses the port number associated with the instrument's serial number. However, the first time the Desktop Control Panel is run and connects to an instrument, the association between the serial number and the port number has not been established, so the Desktop Control Panel automatically assigns a port number and creates an association between the serial number and the port number.

If you are controlling multiple instruments, you must select a port number that is not already in use by another application on the PC. When selecting a port number you need to be aware that many port numbers, referred to as Well Known Ports, are assigned to specific applications by the IANA (Internet Assigned Numbers Authority). When the instrument automatically assigns port numbers, they are Dynamic Ports in the range of 49152 to 49251. For a list see www.iana.org.assignments/port-numbers.

When a port number is specified on the command line, it becomes associated with the serial number of the instrument, overriding any previous association. If the port number was previously associated with another instrument, that association is deleted.

If a port number specified on the command line is already in use by another application, the instrument automatically selects an unused port number. A dialog is displayed alerting you to that condition, and allows you the option of accepting that association between the instrument serial number and the automatically assigned port number, or exiting the Desktop Control Panel.

If the Desktop Control Panel is run with an instrument that already has its associated port number in use by another application, then Desktop Control Panel automatically opens an available port. A dialog is displayed alerting you to that condition, and allows you the option of associating the serial with this new port number or of retaining the previous association.

The Desktop Control Panel program can run on either the same PC as the test automation program, or on a different PC. If the Desktop Control Panel program and test automation program are running on the same PC, either the PC IP address or the loop-back IP address, 127.0.0.1, can be used.

-------------

EXAMPLES

GPIB Connection:

status = viOpen(defaultRM, "GPIB0::10::INSTR", VI_NULL, VI_NULL, &vsa);

LAN Socket Connection to V2820A:

status = viOpen(defaultRM, "TCPIP0::192.168.1.69::49152::SOCKET", VI_NULL, VI_NULL, &vsa);

LAN Instrument Connection to V2820A:

status = viOpen(defaultRM, "TCPIP0::192.168.1.69::INSTR", VI_NULL, VI_NULL, &vsa);

Socket Connection to Desktop Control Panel Program running on same PC:

status = viOpen(defaultRM, "TCPIP0::127.0.0.1::5025::SOCKET", VI_NULL, VI_NULL, &vsa);

Socket Connection to Desktop Control Panel Program running on different PC:

status = viOpen(defaultRM, "TCPIP0:: 192.168.1.70::5025::SOCKET", VI_NULL, VI_NULL, &vsa);

______

See also:

  • Controlling Multiple Instances of Desktop Control Panel
  • Ethernet Settings
  • Overview of remote control via SCPI Commands:
    • Series V2800
    • Series V2900
  • Series V2800 SCPI command tree
  • Series V2900 SCPI command tree


Desktop Control Panel Troubleshooting

The following are solutions to potential problems you may encounter when operating the Desktop Control Panel software.

  • Desktop Control Panel Hardware error
  • Desktop Control Panel Slow computer screen refresh/response
  • Desktop Control Panel No instrument detected
  • Desktop Control Panel Port number conflict
  • Desktop Control Panel does not show up on PC display

_____

_____

Hardware error

Symptoms:

  • The user interface freezes (e.g., graph no longer updates), and after several seconds a hardware error message similar to the following is displayed:

    Hardware Error

    Followed by Diagnostic Log notice similar to this:
    Diagnostic Log

    Followed by an error message similar to this:
    Hardware Error

___
Probable Cause(s):

  • USB cable between the computer and the instrument was disconnected.
  • The instrument lost power or was turned off.

___
Recovery:

  1. (Optional) You can save the current instrument setup if you wish (Menu > File > Save Setup...). This preserves the instrument's configuration.
  2. Exit the Desktop Control Panel program.
  3. Cycle power to the instrument.
  4. Make sure the USB cable is properly connected between the instrument and your PC.
  5. Launch the Desktop Control Panel program.
  6. (Optional) Restore the instrument setup by selecting Menu > File > Open Setup... and choosing the .set file you saved in Step 1.

-

Slow computer screen refresh/response

Symptom:

  • Computer screen freezes and is slow to refresh while the Desktop Control Panel software is running.

___
Probable Cause(s):

  • Your computer is running a full-screen 3D application (such as a 3D screen saver or game) at the same time the Desktop Control Panel software is running.
  • There is a problem with your PC's video card's ability to process the screen update adequately.

___
Recovery:

  • To ensure proper performance, do not run the Desktop Control Panel software at the same time as any 3D application that uses the entire screen (for example, a 3D screen saver).
  • There is a known issue with the Lenovo T60 notebook with ATI Mobility Radeon X1300 video card. One potential work-around is to install the Lenovo version 8.293.1.0 (79d162ww.exe) video driver.

_

No instrument detected

Symptoms:

  • When you launch the Desktop Control Panel software, the Instrument USB Connections dialog appears and shows no instruments are detected, or is missing a known instrument that should be available.

    No Instrument Detected

___
Recovery:

  1. Try the Refresh List button to see if the instrument appears. If that does not work, continue to Step 2.
  2. Unplug the USB cable to the instrument.
  3. Cycle power on the instrument.
  4. Reconnect the USB cable.
  5. Try the Refresh List button to see if the instrument appears.

Port number conflict

If a port number specified on the command line is already in use by another application, the instrument automatically selects an unused port number. A dialog is displayed alerting you to that condition (shown below). Click Yes to accept the association between the instrument serial number and the automatically assigned port number, or click No to keep the original association and exit the Desktop Control Panel program.

SCPI Listen Port error

If the Desktop Control Panel specifies an instrument that already has its associated port number in use by another application, then Desktop Control Panel automatically opens an available port. A dialog is displayed alerting you to that condition (shown below). Click Yes to associate the instrument serial number with this new port number, click No to keep the previous association or click Cancel to exit the application.

SCPI Listen Port error

If the Desktop Control Panel specifies a port on the command line that is already associated with the serial number of another instrument. The user is informed of the change in serial number/port number association.

If the port number specified on the command line is not already in use it will be opened regardless of any existing association with the serial number of another Agilent RF instrument.

If the port number specified on the command line is successfully opened then an association is created with the current instrument's serial number regardless of any prior associations.

Cancel SCPI Listen Port association error

___
See also:

  • Controlling the Desktop Control Panel via SCPI
  • Ethernet Settings

Desktop Control Panel does not show up on PC display

Symptoms:

  • When you launch the Desktop Control Panel software, the application does not show up on the screen. The application functions appropriately if you send SCPI commands to it, and it appears in the task bar and the task manager.

___
Recovery options:

  • Right-click on the icon in the task bar and select Move to Center of Desktop.
  • Launch the Desktop Control Panel software with the command line argument /position <left>x<top>, where <left> and <top> are the pixel locations for the top left corner of the Desktop Control Panel window.
    Example: For the Series V2800 Desktop Control Panel software, 2810.exe /position 100x200 opens the application with the top left corner of the window at position 100 x 200 pixels.

    CAUTION. No checking is performed on the window position when using this command line argument. Therefore, it could result in the Desktop Control Panel window being completely off screen

_____


Remote Control via SCPI Commands

You can automate commonly recurring test procedures by sending remote control SCPI commands to the instrument over GPIB or Ethernet (LAN). To learn about the configuration requirements and programming commands, see the following topics:

  • Remote and local operation differences
  • Communicating with RF test accessory equipment
  • System configuration for remote control
  • Programming messages
  • Programming syntax
  • Status structure
  • Recommended programming sequences
  • SCPI command locator
  • SCPI command tree
  • SCPI command error messages

----------

Note icon Desktop Control Panel: When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

-------


Remote and local operation differences

In addition to controlling the instrument from the front panel, you can control the instrument remotely through the LXI web interface or by sending SCPI commands. When you send a command to the instrument, it goes from local operation to remote mode operation, where the following conditions occur:

  • All front panel control keys except Local are disabled.
  • All menus and dialogs are exited.
  • All pending front panel operations are aborted.
  • An "In Remote" message is displayed in the upper-left of the instrument screen.

Press the Local key to return the instrument to the local mode. When the instrument switches from remote to local operation, the following conditions occur:

  • All front panel control keys are enabled.
  • If Preset is selected, the display is enabled (if it was previously disabled), see :DISPlay:ENABle[:STATe] for details.
  • The "In Remote" message disappears.


Communicating with RF test accessory equipment

RF test accessories, such as the V2891A Upconverter and V3500A Portable RF PowerMeter, can be programmed through an Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the Series V2800 or Series V2900 instrument (by way of a USB cable) to the RF test accessory product. For details, refer to the following:

  • Power meter command pass-through
  • V2891A SCPI command pass-through


Power meter SCPI command pass-through

The Agilent V3500A Portable RF PowerMeter® (power meter) can be programmed through an Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the instrument to the power meter by way of a USB cable between the instrument and the power meter. This capability is useful when calibrating the test equipment.

The following SCPI command is used to pass-through the commands to the power meter.

:PMETer:COMMand <command><LF>

To read data back from the power meter use the following syntax:

:PMETer:COMMand? <query><LF>

_____
Examples:

:PMET:COMM? *TRG<LF>

:PMET:COMM? PWR?<LF>

:PMET:COMM ZERO<LF>
_____

NOTE: ZERO, *TRG and PWR? are commands that are specific to the PowerMeter and are not covered in the list of SCPI commands.

____


V2891A SCPI command pass-through

The Agilent V2891A Upconverter can be programmed through a Agilent Series V2800 or Series V2900. SCPI programming commands sent from the PC through the instrument on the GPIB, LAN, or USB bus pass through the instrument to the V2891A Upconverter by way of a USB cable between the instrument and the V2891A Upconverter.

The following SCPI command is used to pass-through the commands to the power meter.

:MBOX:COMMand <command><LF>

To read data back from the power meter use the following syntax:

:MBOX:COMMand? <query><LF>

_____
Examples:

:MBOX:COMM *RST<LF>

:MBOX:COMM :BASeband:SWAP<LF>
_____

:BASeband:SWAP is a command that is specific to the V2891A Upconverter and is not covered in the Series V2800 or Series V2900 list of SCPI commands..


System configuration for remote control

You can control the instrument remotely over GPIB, USB, or LAN. Select from the following list to learn how to set up your system for remote operation:

  • GPIB setup
    • Connections
    • Configuration
    • Verification of remote control
  • USB setup
    • Connections
    • Configuration
    • Verification of remote control
  • LAN (Ethernet) setup
    • Connections
    • Configuration
    • LAN (Ethernet) operation verification
    • VISA resource string
    • Troubleshooting
      ----------

Desktop Control Panel

Note icon When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

-------


GPIB setup

Select the following topics to configure the Series V2800 VSA so that you can control the operation remotely over GPIB:

  • GPIB connections
  • GPIB configuration
  • GPIB operation verification

______

Desktop Control Panel

Note icon When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

-------

GPIB connections

  • Connect a GPIB bus cable equipped with standard IEEE-488 connectors to the <series VSA back panel IEEE-488 connector.
  • Connect many instruments to one instrument, using parallel connections that stack the connectors.

    Note icon To prevent physical damage, do not stack more than three connectors on any one unit.

Two screws are located on each connector to ensure that connections remain secure. Present standards call for metric threads, which are identified with dark-colored screws. Earlier versions have different screws, which are silver-colored. Do not use these silver-colored types of connectors on the Series V2800 VSA; it is designed for metric threads.

To minimize interference caused by electromagnetic radiation, use only shielded IEEE-488 cables.

Typical system components diagram

1REF IN can accept an input frequency reference of 1 MHz to 60 MHz.

See also:

Controlling the instrument via Desktop Control Panel

GPIB configuration

To avoid communication conflicts over the GPIB bus, each device in a GPIB system must have a unique primary address. If you want to verify the GPIB address or change it, perform the following steps:

  1. Select Menu > Utilities > GPIB Address.
  2. Use the front panel knob to change the GPIB address, if necessary.
  3. Select Close.

    NOTE: You may also want to install the Agilent IVI-COM/IVI-C Driver for the instrument. This instrument driver provides access to the functionality of the instrument through a COM server or C API, which also complies with the IVI specifications. This driver works in any development environment that supports COM programming, including Microsoft® Visual Basic, Microsoft Visual C++, Microsoft .NET, Agilent VEE Pro, National Instruments LabView, National Instruments LabWindows, and others. The IVI-COM driver can be installed from the Agilent website at www.agilent.com.

GPIB operation verification

For additional details about GPIB configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).


USB setup

Select the following topics to configure the Series V2800 so that you can control the operation remotely over USB:

  • USB connections
  • USB configuration
  • USB operation verification

Desktop Control Panel

Note icon When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

USB connections

  • Connect a computer controller to the Series V2800 VSA back panel USB (FROM HOST) connector.
  • Connect all other USB devices to the Series V2800 VSA back panel USB (TO DEVICE) connector or to the two USB connectors on the front panel.

Typical system components diagram

1REF IN can accept an input frequency reference of 1 MHz to 60 MHz.

See also:

Controlling the instrument via Desktop Control Panel


USB configuration

It is necessary to load a USB driver onto the computer that will be running the remote control program. For convenience, the USB driver can be installed from the Series V2800 VSA CD-ROM. Updates for the USB driver can be downloaded from the Agilent website at www.agilent.com.

Installing USB driver from the CD-ROM

Perform the following steps to install the USB driver to your computer:

  1. Insert the Series V2800 VSA CD-ROM into the disk drive of the computer.
  2. With the Series V2800 VSA powered on, connect a USB cable between the PC and the USB (FROM HOST) connector on the Series V2800 VSA rear panel.
  3. Follow the operating system instructions to load the USB driver.

Installing USB driver from the Agilent website

Perform the following steps to look for updates of the USB driver to install on your computer.

  1. With the computer connected to the internet, insert the Series V2800 VSA CD-ROM into the computer disk drive.
  2. After the CD-ROM launches, click Online Updates to get to the Agilent Website: www.agilent.com.
  3. From the left pane select: RF Spectrum Analysis, Signal Generation and Switching.
  4. From the SELECT ONE dialog box in the center pane select: Vector Signal Analyzers (Spectrum Analyzers).
  5. From the VECTOR SIGNAL ANALYZERS list select: any one of the Series V2800 analyzers.
  6. From the DOWNLOADS menu in the left pane select: software driver.
  7. Scroll to and select: the USB driver for the Series V2800 VSA.
  8. Download the Series V2800 VSA USB driver from the website.

USB operation verification

For additional details about USB configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).


LAN (Ethernet) setup

Select the following topics to configure the Series V2800 so that you can control the operation remotely over LAN (Ethernet).

  • LAN (Ethernet) connections
  • LAN (Ethernet) configuration
  • LAN (Ethernet) operation verification
  • VISA resource string
  • LAN (Ethernet) troubleshooting

______

Desktop Control Panel

Note icon When using the Desktop Control Panel program, GPIB and LAN communication to the instrument is disabled. Instead, SCPI control of the instrument uses a LAN socket through the Desktop Control Panel program, communicating to the instrument via a high-speed USB cable. For details, see Controlling the Desktop Control Panel via SCPI.

_-----

LAN (Ethernet) connections

  • Connect the Series V2800 back panel LAN connector to an existing site network through a router, switch, or hub. Use a standard patch cable for this connection.

or

  • Connect the Series V2800 back panel LAN connector directly to a computer. You must use a crossover cable for this connection to ensure that the computer transmit connections are input to the Series V2800 receive connections, and vice versa.

    Note icon The Ethernet crossover cable can be up to 100 meters in length.

Typical system components diagram

1REF IN can accept an input frequency reference of 1 MHz to 60 MHz.

See also:

Controlling the Desktop Control Panel via SCPI.

LAN (Ethernet) configuration

It is necessary to assign an IP address to the Series V2800 VSA. The IP address is a persistent state; it is not affected by an instrument preset or a power cycle. The following procedures assume that you have connected the equipment as instructed in "Connecting system components" earlier in this section.

The appropriate procedure depends on the Series V2800 VSA connection configuration:

  • Existing site network connection

or

  • Direct connection to a computer

    Note icon This procedure assumes that the instrument is connected to the LAN using a CAT 5e or better patch cable.


Existing site network configuration

Contact your I.T. administrator to receive direction on the preferred method of assigning IP addresses:

  • Static IP address assignment
  • DHCP address assignment

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument in an existing site network:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬?(backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway
    • Primary DNS
    • Primary WINS
  6. Select the Apply button.
  7. Select Close to close the dialog.

    Note icon Ensure that the combination of Series V2800 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series V2800 IP address: 192.168.1.51
Series V2800 subnet mask: 255.255.255.0

DHCP address assignment

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.

    This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.

  5. Select Close to close the dialog box.


Direct connection to a computer

Assigning a static IP address is the preferred method of assigning an IP address for a configuration that has the Series V2800 directly connected to the computer. Optionally, you can use the DHCP method, which results in a Link Local Address (LLA) being assigned to the instrument.

  • Static IP address assignment
  • DHCP address assignment

See also:

Controlling the instrument via Desktop Control Panel

Static IP address assignment

Perform the following steps to assign a static IP address for an instrument that has a direct connection to a computer:

  1. From the Series V2800, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Enter an IP address:
    1. Select Specify an IP address.
    2. Select the IP Address field or the keyboard button next to it.
    3. Repeatedly select the ¬ (backspace) button to clear the current IP address.
    4. Select the desired IP address and then select Enter.
  4. Enter a subnet mask:
    1. Select the Subnet Mask field or the keyboard button next to it.
    2. Repeatedly select the ¬ (backspace) button to clear the current subnet mask.
    3. Select the desired subnet mask and then select Enter.
  5. Set the following values per your I.T. administrator's recommendations (you can leave the values blank if there are no recommendations):
    • Default gateway under the IP Address tab
    • Primary DNS under the Name Servers tab
    • Primary WINS under the Name Servers tab
  6. Select the Apply button.
  7. Select Close to close the dialog box.

    Note icon Ensure that the combination of Series V2800 IP address and subnet mask is within the range of directly-addressable IP addresses of the computer.

For example:

Computer IP address: 192.168.1.50
Computer subnet mask: 255.255.255.0
Series V2800 IP address: 192.168.1.51
Series V2800 subnet mask: 255.255.255.0

DHCP address assignment

Optionally, you can use the DHCP method to assign an IP address. Since there is no DHCP server in a configuration that directly connects the instrument to a computer, the instrument will timeout and then automatically assign itself a Link Local Address (LLA). This process takes 60-90 seconds.

  1. From the instrument, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button. This attempts to configure the signal generator as a DHCP client.
  5. Select Close to close the dialog box.
  6. When the LAN error indicator disappears (60-90 seconds), select Menu > Utilities > Ethernet Settings. The LLA that was automatically assigned appears in the IP Address field.
  7. Select Close to close the dialog box.


LAN (Ethernet) operation verification

For additional details about LAN configuration and verification, refer to the Agilent Connectivity Guide (http://cp.literature.agilent.com/litweb/pdf/E2094-90009.pdf).


VISA resource string

Firmware revision 2.0 and later supports two interfaces of remote control over LAN, VXI-11 and raw socket. VXI-11 provides additional features such as auto discovery of instruments on the LAN, but raw socket is faster. You can verify that your connection to the instrument works with any utilities that implement the VISA I/O Standard for VXI-11 and raw socket.

To verify operation use one of the two following VISA resource strings:

  • Raw socket - TCPIP::X.X.X.X::5025::SOCKET
  • VXI-11 - TCPIP::X.X.X.X::INSTR

Where X.X.X.X represents the IP address of your instrument.

Refer to Ethernet Settings for further details.


Programming messages

Programming messages are made up of one or more command words sent by the computer to the instrument. These SCPI commands show how command words are structured to formulate program messages.

:SYSTem (path)

:SYSTem:DATE Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (command and parameter)

:SYSTem:DATE? ( query command)

:SYSTem:PRESet (command)

Select from the following categories of programming message information:

  • Types of commands
  • Types of messages
  • Programming syntax

Tips for fastest operation:
Use all upper case.
Use the short form.
Do not send optional data.
Do not use a colon at the beginning of a programming message.
Disable the display circuitry.


Types of commands

  • SCPI commands
  • Common commands
  • Query commands

SCPI commands

SCPI commands are used to control most instrument operations. For details on these commands, see Series V2800 SCPI command tree.

Common commands

Common commands are device commands that are common to all devices on the bus. These commands are designated and defined by the IEEE-488.2 standard.

For details on these commands, see Common commands.

Query commands

This type of command requests (queries) the current instrument state. It is identified by the question mark (?) at the end of the fundamental form of the command.

Most commands have a query form.

Example:

:IDN? Queries the identification code of the instrument that includes the manufacturer, model number, serial number, and firmware revision.

Most commands that require a numeric parameter (no) can also use the DEFault, MINimum, and MAXimum parameters for the query form. These query forms are used to determine the *RST default value and the upper and lower limits for the fundamental command.


Types of messages

  • Single command messages
  • Multiple command messages
  • SCPI/Common command messages
  • Response messages

Single command messages

The single-command examples below have a structure with three levels:

  • The first level is made up of the root command (STATus) and serves as a path.
  • The second level is made up of another path (:OPERation).
  • The third level is a command (:ENABle).

Example:

:STATus:OPERation:ENABle

STAT:OPER:ENAB?

The commands in this example can be executed by sending two separate program messages.

In each of the above program messages, the path pointer starts at the root command (stat) and moves down the command levels until the command is executed.

The next command example is made up of one command for the :STATus path.

Example:

:STAT:PRES

Multiple command messages

You can send multiple command messages in the same program message as long as you separate them by semicolons (;). The following example shows two commands in one program message.

Example:

STAT:OPER?; :STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

When the above message is sent, the first command word is recognized as the root command (STAT). When the next colon is detected, the path pointer moves down to the text command level and executes the command. When the path pointer sees the colon after the semicolon (;), it resets back to the root level and starts over.

Commands that are on the same command level can be executed without having to retype the entire command path.

Example:

STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).; ENAB?

After the first command (:ENAB) is executed, the path pointer is at the third command level in the structure. Since :ENAB? is also on the third level, it can be typed in without repeating the entire path name. Notice that the leading colon for :ENAB? is not included in the program message. If a colon were included, the path pointer would reset to the root level and expect a root command. Since :ENAB? is not a root command, an error would occur.

SCPI and common commands in the same message

Both SCPI and common commands can be used in the same message, as long as you separate them by semicolons (;). A common command can be executed at any command level and will not affect the path pointer.

Example:

STAT:OPER:ENAB Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).; *ESE Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

Response messages

A response message is the message sent by the instrument to the computer in response to a query command. The following sequence takes place:

  1. A query message is sent to the instrument.
  2. The instrument responds to the query by placing a response message in the output queue.
  3. The instrument is addressed to talk.
  4. The response message is sent from the output queue to the computer.

    Note: The complete response message must be received by the computer before another program message can be sent to the instrument. Also, remember to read the trailing line feed.

Multiple response messages

If you send more than one query command in the same program message, the following happens:

  • The multiple response messages for all the queries are sent to the computer when the instrument is addressed to talk.
  • The responses are sent in the order the query commands were sent and are separated by semicolons (;).
  • Items within the same query are separated by commas (,).

The following example shows the response message for a program message that contains four single item query commands.

Example:

0; 1; 1; 0

Response message terminator (RMT)

Each response is terminated with an LF (line feed) and EOI (end or identify). The following example shows how a multiple response message is terminated.

Example:

0; 1; 1; 0 <RMT>


Programming syntax

The following information explains syntax for both common commands and SCPI commands. For additional information on commands, see Series V2800 SCPI Command tree. Select from the following categories to learn about message syntax:

  • Case sensitivity
  • Long-form and short-form versions
  • Short-form rules
  • Command path rules
  • Program message terminator
  • Command execution rules

Case sensitivity

IEEE 488.2 Common commands and SCPI commands are not case sensitive. You can use upper or lower case and any case combination.

Example:

*RST = *rst

:OUTPut? = :output?

:SYSTem:PRESet = :system:preset

Long-form and short-form versions

A SCPI command word can be sent in its long-form or short-form version. The commands are listed in the long-form version in SCPI Commands. However, the short-form version is indicated by upper case characters. Examples:

:SYSTem:PRESet (long-form)

:SYST:PRES (short-form)

:SYSTem:PRES (long-form and short-form combination)

Note: Each command word must be in long-form or short-form, and not something in between. For example, :SYSTe:PRESe is illegal and will generate an error. The command will not be executed.

Command path rules

Each new program message must begin with the root command, unless it is optional (for example, [:SOURce]). If the root is optional, treat a command word on the next level as the root.

______

NOTE: For fastest operation, do not send optional data.

______

A colon (:) can be used at the beginning of a program message. However, using the colon slows down execution time.

Example:

STAT:PRES = :STAT:PRE

______

When the path pointer detects a colon (:) it moves down to the next command level. An exception is when the path pointer detects a semicolon (;), which is used to separate commands within the program message.

When the path pointer detects a colon (:) that immediately follows a semicolon (;), it resets back to the root level.

The path pointer can only move down. It cannot be moved up a level. Executing a command at a higher level requires that you start over at the root command.

Short-form rules

Use the following rules to determine the short-form version of any SCPI command:

  • If the length of the command word is four letters or less, no short-form version exists.

    Example:

    :DATA? = :data?

  • If the fourth letter of the command word is a vowel (including the letter "y"), delete it and all the letters after it.

    Example:

    IMMediate = IMM = imm

  • If the fourth letter of the command word is a consonant, retain it but drop all the letters after it.

    Example:

    FORMat = FORM

  • If the command contains a question mark (?; query) or a non-optional number included in the command word, you must include it in the short-form version.

    Example:

    :OUTput? = :OUT? = :out?

  • Command words or characters that are enclosed in brackets [ ] are optional in the program message.

    Example:

    :PROJect2:WIMax2[:SENSe]:DBURst = :PROJ2:WIM2:SENS:DBUR = :PROJect2:WIMax2:DBURst = :PROJ2:WIM2:DBUR

_______

NOTE: Short-form SCPI commands provide the fastest response times.

Program message terminator (PMT)

Each program message must be terminated with an LF (line feed), OEI (end or identify), or an LF+EOI. The following command shows how a program message must be terminated.

Example:

inp:prot:stat on <PMT>

Command execution rules

  • Commands execute in the order that they are presented in the program message.
  • An invalid command generates an error and is not executed.
  • Valid commands that precede an invalid command in a multiple-command program message are executed.
  • Valid commands that follow an invalid command in a multiple-command program message are ignored.


Status structure

The center of the status structure is the status byte register. This register can be read by a test program to determine if a service request (SRQ) has occurred and what event caused it. To learn more about the status structure, select from the following topics:

  • Status byte and service request (SRQ)
  • Status register sets
  • Queues

_
The instrument allows the operator to monitor and manipulate the various instrument events through the status register structure:

  • Status byte register
  • Four status register sets
    • Standard event register
    • Operation event register (includes the Arb even register for Series V2900 instruments only)
    • Measurement event register
    • Questionable event register
  • Two queues
    • Output queue
    • Error queue

_
Each of the four status register sets contain the following:

  • Condition register (read-only)
  • Event register (read-only)
  • Event enable register (programmable)

_
The Operation, Measurement, and Questionable event registers have transition filters you can use for precise programmed control based on status register bit conditions.

_
A condition register is a read-only register that constantly updates to reflect the present operating conditions of the instrument.

An event register bit sets to 1 when an event occurs -- the bit remains latched to 1 until the register is reset. An event is defined by the condition register as filtered by the transition filter.

When an event register bit is set and its corresponding enable bit is set (as programmed by the user), the output (summary) of the register will set to 1. This sets the summary bit of the status byte register.

_
Click the image to see more information:


Status structure diagram

Click the image to see more information.

________
See Also:

  • Transition Filter functionality


Transition Filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.


Status register sets

As shown in the status structure diagram, there are four status register sets in the status structure of the instrument:

  • Standard event register
  • Operation event register
  • Measurement event register
  • Questionable event register


Operation and Arb event registers

The bits of the operation event register (see following diagram) are described as follows:

  • Bits B0, Calibrating (Cal) -- not used. -- set bit indicates that the instrument is calibrating.
  • Bit B1 Arb Sequence Completed (ASC) -- set bit indicates that the arb sequence has completed (if the sequence playback mode is set to "Single").

    Bit B1 (ASC) is applicable only to the Arb event register and Arb event enable register used by the Series V2900 instruments.

  • Bits B2 through B7 -- not used.
  • Bit B8 Output Active Event (OAE) -- set bit indicates source output is activated, such as when an arb is started.

    Bit B8 (OAE) is applicable only to Series V2900 instruments.

  • Bit B9 Arb Event Summary (AES) -- set bit indicates Arb waveform playback has completed.

    Bit B9 (AES) is applicable only to Series V2900 instruments.

  • Bit B10, Idle State (Idle) -- set bit indicates the instrument is in the idle state.
  • Bits B11 through B15 -- not used.

Bit B5, Waiting for Trigger (Trig) -- set bit indicates that the instrument is in the trigger layer waiting for a trigger event to occur. !NOT IMPLEMENTED YET!

Operation and Arb event status register diagram

Operation and Arb event status registers

1 = Arb event register (Series V2900 use only)
2 = Arb event enable register (Series V2900 use only)
3 = Operation condition register
4 = Transition filter (set by NTRansition and PTRansition)
5 = Operation event register
6 = Operation event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified when waiting for a trigger, or when calibration is finished, use the following SCPI commands:

# Request notification if

# a) Waiting for Trigger (bit5 = 1 in condition register)

# b) Calibration complete (bit0 = 0 in condition register)

:STATus:OPERation:NTRansition 1

:STATus:OPERation:PTRansition 32

:STATus:OPERation:ENABle 33

# Check the Operation event register

:STATus:OPERation?


Standard event register

The used bits of the standard event register (see following diagram) are described as follows:

  • Bit B0, Operation Complete (OPC) -- set bit indicates that all pending selected device operations are completed and the instrument is ready to accept new commands. This bit only sets in response to the *OPC? query command. See Common commands for details on *OPC and *OPC?.
  • Bit B1 -- not used.
  • Bit B2, Query Error (QYE) -- set bit indicates that you attempted to read data from an empty output queue.
  • Bit B3, Device-Specific Error (DSE) -- set bit indicates that an instrument operation did not execute properly due to some internal condition.
  • Bit B4, Execution Error (EXE) -- set bit indicates that the instrument detected an error while trying to execute a command. Places error message -200 in the error queue.
  • Bit B5, Command Error (CME) -- set bit indicates that a command error has occurred. Places error message -100 in the error queue. Command errors include:
    • IEEE-488.2 syntax error -- instrument received a message that does not follow the defined syntax of the IEEE-488.2 standard.
    • Semantic error -- instrument received a command that was misspelled or received an optional IEEE-488.2 command that is not implemented.
    • The instrument received a group execute trigger (GET) inside a program message.
  • Bit B6, User Request (URQ) -- set bit indicates that the LOCAL key on the instrument front panel was pressed.
  • Bit B7, Power On (PON) -- set bit indicates that the instrument has been turned off and turned back on since the last time this register has been read.
Standard event status register diagram

1 = standard event status register
2 = standard event status enable register


Measurement event register

The used bits of the Measurement Event Register (following graphic) are described as follows:

  • Bit B0, External Reference Detected (ERD) -- Set bit indicates that an external reference is connected and has been detected. See next bit to determine if the external reference is locked in.
  • Bit B1, External Reference Lock (ERL) -- Set bit indicates that the external reference has been locked.
  • Bits B2 through B9 -- Not used.
  • Bit B10, Overload (OL) -- Set bit indicates an input overload.

    Bit B8 (OAE) is applicable only to Series V2800 instruments.

  • Bits B11 through B15 -- Not used.

Measurement event status register diagram

1 = Measurement condition register
2 = Transition filter (set by NTRansition and PTRansition)
3 = Measurement event register
4 = Measurement event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified when the external reference goes from locked (1) to unlocked (0), or if the overload bit is set (1), use the following SCPI commands:

# Request notification if

# a) External reference is unlocked (bit1 = 0 in condition register)

# b) Input overload (bit10 = 1 in condition register)

:STATus:MEASurement:NTRansition 2

:STATus:MEASurement:PTRansition 1024

:STATus:MEASurement:ENABle 1026

# Check the measurement event register

:STATus:MEASurement?


Questionable event register

The used bits of the questionable event register (see following diagram) are described as follows:

  • Bits B0 through B7 -- not used.
  • Bit B8, Calibration Summary (Cal) -- set bit indicates that an invalid calibration constant was detected during the power-up sequence. The instrument will instead use a default calibration constant. This error will clear after successful calibration of the instrument.
  • Bits B9 through B13 -- not used.
  • Bit B14, Command Warning (Warn) -- set bit indicates that a signal-oriented measurement command parameter has been ignored. Places status message +414 in the status queue.
  • Bit B15 -- not used.

    NOTE: Whenever a questionable event occurs, the ERR annunciator turns on. The annunciator turns off when the questionable event clears.

Questionable event status register diagram

1 = Questionable condition register
2 = Transition filter (set by NTRansition and PTRansition)
3 = Questionable event register
4 = Questionable event enable register

_____
Transition filter functionality

If you want to be notified when a bit on the condition register goes to zero, set the corresponding bit of PTRansition register to 0 and the corresponding bit in the NTRansition register to 1.

If you want to be notified when a bit on the condition register goes to one, set the corresponding bit of PTRansition register to 1 and the corresponding bit in the NTRansition register to 0.

Example:

If you want to be notified in the event of a command warning, use the following SCPI commands:

# Request notification if command warning (bit14 = 1 in condition register)

:STATus:QUESTionable:NTRansition 0

:STATus:QUESTionable:PTRansition 16384

:STATus:QUESTionable:ENABle 16384

# Check the Questionable event register

:STATus:QUESTionable?


Condition registers

As the status structure diagram shows, each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears.

The commands to read the condition registers are listed in the following table. For details on reading registers, see Reading registers.

Condition register commands

Command | Description
:STATus:OPERation:CONDition? | Reads operation condition register.
:STATus:MEASurement:CONDition? | Reads measurement condition register.
:STATus:QUEStionable:CONDition? | Reads questionable condition register.

NOTE: format of the response messages for the above queries is set by the :FORMat:SREGister commands.


Event registers

Each status register set has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register.

*CLS resets all four event registers.

The commands to read the event registers are listed in the following table. For details on reading registers, see Reading registers.

Event register commands

Command | Description
*ESR? | Reads standard event status register.
:STATus:OPERation[:EVENt]? | Reads operation event register.
:STATus:MEASurement[:EVENt]? | Reads measurement event register.
:STATus:QUEStionable[:EVENt]? |

NOTE: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and *CLS reset all bits of all event registers to 0. The :STATus:PRESet command has no effect.


Event enable registers

As the status structure diagram shows, each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. Therefore, this sequence takes place:

  1. An event bit is set.
  2. The corresponding enable bit is set (as programmed by the user).
  3. The output (summary) of the register is set to 1.
  4. The Status Byte Register summary bit is set.

The commands to program and read the event enable registers are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: The bits of any enable register can be reset to 0 by sending the 0 parameter value using STATus:OPERation:ENABle 0.

Event enable register commands

Command |  |  | Description
*ESE <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs standard event enable register.
*ESE? |  |  | Reads standard event enable register.
STATus:OPERation:ENABle <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs operation event enable register.
STATus:OPERation:ENABle? |  |  | Reads enable register.
STATus:MEASurement:ENABle<NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs measurement event enable register.
STATus:MEASurement:ENABle? |  |  | Reads enable register.
STATus:QUEStionable:ENABle <NDN> or Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). |  |  | Programs questionable event enable register.
STATus:QUEStionable:ENABle? |  |  | Reads enable register.
Parameters: |  |
<NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 | = #Hx | Hexadecimal format (x = 0 to 7FFF)
 | = #Qx | Octal format (x = 0 to 77777)
Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 32767 | Decimal format

Note: The format of the response messages for the above queries is set by the :FORMat:SREGister commands. Power-up and :STATus:PRESet reset all bits of all event registers to 0. *CLS has no effect.

Programming example

Program and read a register set

The following command sequence programs and reads the measurement register set:

:FORM:SREG BIN | ' Select binary format to read registers.
:STAT:MEAS:ENAB 512 | ' Enable BFL (buffer full).
:STAT:MEAS:COND? | ' Read measurement condition register.
:STAT:MEAS? | ' Read measurement event register.

Programming example

Read RAV bit of measurement event register

The following command sequence demonstrates the proper method to read the RAV bit of the measurement event register. In general, the state of an event register bit is determined by enabling the event bit, then reading the status byte (*STB?).

*RST | ' Put instrument in one-shot mode.
*CLS | ' Clear measurement event register.
:STAT:PRES | ' Clear measurement event enable register.
:STAT:MEAS:ENAB 32 | ' Enable RAV bit (B5) of the measurement event register.
:INIT | ' Trigger one measurement.
*STB? | ' Read status byte register.

*CLS and :STAT:PRES reset the measurement register bits to zero. The :ENAB command enables the reading available bit B5 (RAV) of the measurement event register. When a reading is triggered and becomes available, bit B0 (MSB) of the status byte will set. INIT triggers a reading and *STB? reads the status byte.

Since you are only interested in bit B0 of the status byte, it is recommended that your program routing mask out the other bits, which may also be set. For example, *STB? may return decimal "17." The binary bit pattern for decimal 17 is as follows:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)

If, in your program, you logically AND the above returned binary value with 00000001, you will mask out bits B1 through B7:

B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0 |
0 | 0 | 0 | 1 | 0 | 0 | 0 | 1 | *STB? returns decimal "17" (B4 and B0 set)
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Mask to read B0 (decimal 1)
-------------------------------------------------- |  |  |  |  |  |  |  |
0 | 0 | 0 | 0 | 0 | 0 | 0 | 1 | Result of logic AND operation (decimal 1)

As shown in the above result for the AND operation, when B0 is set, your program routine will generate a "1" to indicate that RAV is set. If B0 is not set (0), the AND operation will result in "0" to indicate that RAV is not set.


Status byte and service request (SRQ)

Service request is controlled by two 8-bit registers:

  • Status Byte Register
  • Service Request Enable Register

The graphic below shows the structure of these registers.

The following sequence happens with this part of the status structure:

  1. Register sets and queues monitor the various instrument events.
  2. An enabled event occurs.
  3. A summary bit is set in the Status Byte Register.
  4. The corresponding enable bit is set in the Status Byte (as programmed by the user).
  5. The RQS/MSS bit is set to indicate that an SRQ has occurred.
    • The following graphic shows the status byte and service request portion of the overall status structure.
    • Click on the graphic to see the overall status structure graphic.
Status byte and service request diagram

1 = Service request generation
2 = Status summary message
3 = Read by serial poll
4 = Status byte register
5 = Read by *STB?
6 = Service request enable register

Status byte register

The summary messages from the status registers and queues are used to set or clear the appropriate bits (B0, B2, B3, B4, B5, and B7) of the Status Byte Register. These summary bits do not latch and their states (0 or 1) are solely dependent on the summary messages (0 or 1).

Example:

The Standard Event Register is read; its register then clears. As a result, its summary message resets to 0, which then resets the ESB bit in the Status Byte Register.

The bits of the Status Byte Register are described as follows:

  • Bit B0, Measurement Summary Bit (MSB) -- set summary bit indicates that an enabled measurement event has occurred.
  • Bit B1 -- not used.
  • Bit B2, Error Available (EAV) -- set summary bit indicates that an error or status message is present in the Error Queue.
  • Bit B3, Questionable Summary Bit (QSB) -- set summary bit indicates that an enabled questionable event has occurred.
  • Bit B4, Message Available (MAV) -- set summary bit indicates that a response message is present in the Output Queue.
  • Bit B5, Event Summary Bit (ESB) -- set summary bit indicates that an enabled standard event has occurred.
  • Bit B6, Request Service (RQS)/Master Summary Status (MSS) -- set bit indicates that an enabled summary bit of the Status Byte Register is set.
  • Bit B7, Operation Summary Bit (OSB) -- set summary bit indicates that an enabled operation event has occurred.

Depending on how it is used, bit B6 of the status byte register is either the Request for Service (RQS) bit or the Master Summary Status (MSS) bit:

  • When using the serial poll sequence of the instrument to obtain the status byte (serial poll byte), B6 is the RQS bit. See Serial polling and SRQ for details on using the serial poll sequence.
  • When using the *STB? command to read the status byte, B6 is the MSS bit.

Service request enable register

The generation of a service request is controlled by the service request enable register. You program this register to enable or disable the setting of bit B6 (RQS/MSS) by the status summary message bits (B0, B2, B3, B4, B5, and B7) of the status byte register.

As shown in the status byte and service request diagram, the summary bits are logically ANDed (&) with the corresponding enable bits of the service request enable register. When a set (1) summary bit is ANDed with an enabled (1) bit of the enable register, the logic "1" output is applied to the input of the OR gate and, therefore, sets the MSS bit in the status byte register.

  • To set or clear the individual bits of the service request enable register, use the *SRE common command.
  • To read the service request enable register, use the *SRE? query command.
  • To clear the service request enable register, cycle the power or send a parameter value of 0 with the *SRE command (*SRE 0).

The commands to program and read the SRQ enable register are listed in Status byte and service request commands.


Serial polling and SRQ

Any enabled event summary bit that goes from 0 to 1 will set bit B6 and generate an SRQ (service request). In your test program, you can periodically monitor (poll) the status byte to check if an SRQ has occurred and what caused it.

For example:

If an SRQ occurs, the program can branch to an appropriate subroutine that will service the request.

Typically, SRQs are managed by the serial poll sequence of the instrument.

  • If an SRQ does not occur, bit B6 (RQS) of the status byte register will remain cleared and the program will proceed normally after the serial poll is performed.
  • If an SRQ does occur, bit B6 of the status byte register is set and the program can branch to a service subroutine when an SRQ is detected by the serial poll.

The serial poll automatically resets RQS of the status byte register. This allows subsequent serial polls to monitor bit B6 for an SRQ occurrence generated by other event types. After a serial poll, the same event can cause another SRQ, even if the event register that caused the first SRQ has not been cleared.

The serial poll does not clear MSS. The MSS bit stays set until all status byte summary bits are reset.

SPE, SPD (serial polling)

The SPE, SPD General Bus Command sequence is used to serial poll the instrument. Serial polling obtains the serial poll byte (status byte). Typically, serial polling is used by the controller to determine which of several instruments has requested service with the SRQ line.


Status byte and service request commands

The commands to program and read the status byte register and service request enable register are listed in the following table. For details on programming and reading registers, see Programming enable registers and Reading registers.

Note: To reset the bits of the service request enable register to 0, use 0 as the parameter value for the *SRE command (*SRE 0).

Status Byte and Service Request Enable Register commands

Command | Description
*STB? | Read status byte register.
*SRE <NDN> Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Program the service request enable register:
 | <NDN> | = #Bxx...x | Binary format (each x = 1 or 0)
 |  | = #Hx | Hexadecimal format (x = 0 to 377)
 |  | = #Qx | Octal format (x = 0 to 377)
 | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | = 0 to 255 | Decimal format
*SRE? | Read the service request enable register

Note: *CLS and :STATus:PRESet have no effect on the service request enable register.

Programming Example

Set MSS (B6) when error occurs

The second command in the following sequence enables EAV (error available). When an invalid command is sent (line 4), bits B2 (EAV) and B6 (MSS) of the status byte register set to 1. The last command reads the status byte register using the binary format (which directly indicates which bits are set). The command to select format (:FORMat:SREGister) is documented in the table in Reading registers.

To determine the exact nature of the error, you will have to read the error queue (see Error queue).

*CLS | ' Clear error queue.
*SRE 4 | ' Enable EAV.
:FORM:SREG BIN | ' Select binary format.
*XYZ | ' Generate error.
*STB? | ' Read status byte register.


Queues

The instrument uses two queues, which are first-in first-out (FIFO) registers:

  • Output queue -- holds query response messages.
  • Error queue -- holds error and status messages.
  • Programming example

The status structure diagram shows how the two queues are structured with the other registers.

When a queue contains data, it sets the appropriate summary bit of the status byte register.

Note: While operating within the trigger mode (not in idle), you cannot send a status mode command (for example, *ESE?). These commands can only be executed when the instrument is in idle.

Output queue

The output queue holds data that pertains to the normal operation of the instrument.

Example sequence:

  1. A query command is sent.
  2. The response message is placed in the output queue.
  3. The message available (MAV) bit in the status byte register sets.
  4. A data message is cleared from the output queue when it is read.
  5. The output queue is considered cleared when it is empty.
  6. An empty output queue clears the MAV bit in the status byte register.
  7. A message is read from the output queue over that particular bus (GPIB, USB or LAN) after the appropriate query is sent.

Error queue

The error queue holds error and status messages.

Example sequence:

  1. An error or status event occurs.
  2. A message that defines the error/status is placed in the error queue.
  3. The error available (EAV) bit in the status byte register is set.
  4. An error/status message is cleared from the error queue when it is read.
  5. The error queue is considered cleared when it is empty.
  6. An empty error queue clears the EAV bit in the status byte register.

_____
The error queue holds up to 10 error/status messages. The commands to read the error queue are listed in the following table. When you read a message in the error queue, the "oldest" message is read and then removed from the queue.

  • The message "350, 'Queue Overflow'" will occupy the last memory location, if the queue becomes full.
  • The message "0, No Error" is placed in the queue, when it is empty. On power-up, the error queue is empty.

Messages in the error queue are preceded by a code number. Negative (-) numbers are used for SCPI-defined messages and positive (+) numbers are used for Agilent-defined messages.

  • On power-up, all error messages are enabled and will go into the error queue as they occur.
  • Status messages are not enabled and will not go into the queue.

As listed in the following table, there are commands to enable and/or disable messages. For these commands, the <list> parameter is used to specify which messages to enable or disable. The messages are specified by their codes. The following examples show various forms for using the <list> parameter.

<list> | = (-110) | Single message
 | = (-110:-222) | Range of messages (-110 through -222)
 | = (-110:-220, -220) | Range entry and single entry (separated by a comma)
  • When you enable messages, messages not specified in the list are disabled.
  • When you disable messages, each listed message is removed from the enabled list.
    _____

    NOTE: To prevent all messages from entering the error queue, send the null list parameter as :STATus:QUEue:ENABle ().

Command | Description
:STATus:QUEue:CLEar | Clears message from error queue.
:SYSTem:ERRor:ALL? | Reads the all errors in the queue.
:SYSTem:ERRor[:NEXT]? | Reads the next error in the queue (queue is LIFO).
:SYSTem:CLEar | Clears messages from error queue.
*CLS | Clears messages from error queue.

NOTE: Power-up and *CLS empties the error queue. The :STATus:PRESet command has no effect. Power-up enables error messages and disables status messages. *CLS and :STATus:PRESet have no effect.

Programming example

The following command reads the next error in the FIFO error queue:

:STAT:ERR:NEXT?


Programming and reading registers

See Programming enable registers and Reading registers for detailed information on registers.

Programming enable registers

The enable registers are the only registers that you can program. All other registers in the status structure are read-only registers.

The following section explains how to ascertain the parameter values for the various commands used to program enable registers.

A command to program an event enable register is sent with a parameter value that determines the desired state (0 or 1) of each bit in the appropriate register. An enable register can be programmed using any of the following data formats for the parameter value:

  • binary
  • decimal
  • hexadecimal
  • octal

The bit positions of the register (see the following table) indicate the binary parameter value.

Example:

To set bits B4, B3 and B1, the binary value would be 11010 (where B4=1, B3=1, B1=1 and all other bits are 0).

When you use one of the other formats, convert the binary number to its decimal, hexadecimal, or octal equivalent.

Example:

Binary 11010 = Decimal 26 = Hexadecimal 1A = Octal 32

Note that the following tables include the decimal weight for each register bit. To set bits B4, B3, and B1, the decimal parameter value would be the sum of the decimal weights for those bits (16+8+2 = 26).

16-bit status register -- Bits 0 through 7

Bit Position | B7 | B6 | B5 | B4 | B3 | B2 | B1 | B0
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 128 | 64 | 32 | 16 | 8 | 4 | 2 | 1
Weights | (27) | (26) | (25) | (24) | (23) | (22) | (21) | (20)

16-bit status register -- Bits 8 through 15

Bit Position | B15 | B14 | B13 | B12 | B11 | B10 | B9 | B8
Binary Value | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1 | 0/1
Decimal | 32768 | 16384 | 8192 | 4096 | 2048 | 1024 | 512 | 256
Weights | (215) | (214) | (213) | (212) | (211) | (210) | (29) | (28)

The <NDN> (non-decimal numeric) parameter type is used to send non-decimal values. These values require a header (#B, #H, or #Q) to identify the data format being sent. The letter in the header can be upper or lower case. The Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (numeric representation format) parameter type is used to send decimal values and does not use a header. The following examples show the proper parameter syntax for setting bits B5, B3, and B2:

#b101100 | Binary format (<NDN> parameter type)
#h2C | Hexadecimal format (<NDN> parameter type)
#q54 | Octal format (<NDN> parameter type)
44 | Decimal format (Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). parameter type)

Valid characters for the non-decimal parameter values are shown as follows:

<NDN> format | Valid characters
Binary | 1s and 0s
Hexadecimal | 0 through 9 and A through F
Octal | 0 through 7

Reading registers

Any register in the status structure can be read by using the appropriate query (?) command. The following explains how to interpret the returned value (response message).

The response message will be a value that indicates which bits in the register are set. That value (if not already binary) will have to be converted to its binary equivalent.

Example:

For a binary value of 100101, bits B5, B2, and B0 are set.

The returned value can be in the binary, decimal, hexadecimal, or octal format. The FORMat:SREGister command is used to select the data format for the returned value (see the following table).

For non-decimal formats, one of the following headers will accompany the returned value to indicate which format is selected:

#B = Header for binary values

#H = Header for hexadecimal values

#Q = Header for octal values

Data format command for reading status registers

Command | Description |  |  | Default
:FORMat:SREGister <name> | Select data format for reading status registers: |  |  | ASCii
 | <name> = | ASCii | Decimal format |
 |  | HEXadecimal | Hexadecimal format |
 |  | OCTal | Octal format |
 |  | BINary | Binary format |


Clearing registers and queues

When the instrument is turned on, the bits of all registers in the status structure are cleared (reset to 0) and the two queues are empty. Commands to reset the event registers, event enable registers, and the error queue are listed in the following table. In addition to these commands, any enable register can be reset by sending the 0 parameter value with the individual command to program the register.

Note: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

Commands |  | Description
To reset registers: |  |  |
 | *CLS | Reset all bits of the following event registers to 0:
 |  |  | Standard event register
 |  |  | Operation event register
 |  |  | Measurement event register
 |  |  | Questionable event register
 | :STATus:PRESet | Reset all bits of the following enable registers to 0:
 |  |  | Operation event enable register
 |  |  | Measurement event enable register
 |  |  | Questionable event enable register
To clear error queue: |  |  |
 | *CLS | Clear all messages from error queue
 | :STATus:QUEue:CLEar | Clear messages from error queue
 | :SYSTem:ERRor:CLEar | Clear messages from error queue
  • The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0 (see Status byte and service request commands).
  • The :STATus:PRESet command has no effect on the error queue. Use either of the two clear commands to clear the error queue.


Recommended programming sequences

Select the following procedures for the recommended programming sequences.

  • EDGE measurements
  • GSM measurements
  • IQ Data extraction


Programming Edge measurements

This procedure shows you the recommended sequence for an EDGE measurement program. There are five main steps for the program:

  1. Set up the initial settings.
  2. Activate the EDGE measurement.
  3. Select the desired measurements and the number of averages.
  4. Start the measurement and wait for it to complete.
  5. Read the measured data.

Refer to the Series V2800 SCPI command locator or the Series V2800 V2800 SCPI command tree to find the topics for the individual commands.

Refer to EDGE to find an outline for setting up an EDGE measurement from the front panel interface.

Step 1. Set up the initial settings

Command | Discussion
:INIT:CONT OFF | This command puts the instrument in single sweep mode. This is required for all remote operations, so that the instrument does not overwrite the data you are trying to read.
:DISP:ENABle OFF | Optional: There are significant speed benefits to switching off the instrument display. The display switches on if you press the LOCAL key.
:FORMat REAL,32 | When transferring traces with the :CALC:DATA? command, the 32-bit binary transfer is the fastest. However, the receiving program has to decode the header and swap the bytes.

Step 2. Activate the EDGE Measurement

Command | Discussion
:MEAS:SEL EDGE | This command activates the EDGE measurement. Since the instrument is in single sweep mode, no data is taken until you complete the set up.
:FREQ 950MHz | If the instrument is not already at the desired frequency, set the instrument to the expected frequency. All the measurements such as GSM, EDGE, and Spectrum share the same frequency.
:RLEV -10dBm | Sets the expected channel power. This value is shared by all the measurements, sometimes called the reference level.
:EDGE:TSEQ 0 | Sets the training sequence that has been embedded in the time slot that you want to measure. This is often the same as the index of the time slot. The default is 0, acceptable values are 0 to 7. If there is only one time slot active, this is the only setting that needs to be changed. The command is optionally preceded by [:SENSe].
:EDGE:TSL:COUN 3 | Sets the number of active time slots. The default is 1. The acceptable values range from 1 to 7. This command is optionally preceded by [:SENSe].
:EDGE:TSL:FIRSt | Sets the index of the first active time slot. The default is 0. The acceptable values range from 0 to 7. You only need to set this parameter if more than one time slot is active. This command is optionally preceded by [:SENSe].
:EDGE:TSL 2 | Sets the index of the timeslot that you would like the Series V2800 VSA to measure. The default is 0. The acceptable values range from 0 to 7. You only need to be set this parameter if more than one time slot is active. This command is optionally preceded by [:SENSe].

Step 3. Select the desired measurements and number of averages

Command | Discussion
:EDGE:TMASK ON | If desired, activate the time mask measurement. The default is On.
:EDGE:TMASK:AVER:COUN 1 | Sets the number of averages used for time mask. Normally, no averaging (averaging count of 1) is used with time mask.
:EDGE:EVM ON | If desired, activate the EDGE EVM measurement. The default is On.
:EDGE:EVM:AVER:COUN 21 | Sets the number of averages used for the EDGE EVM measurement. The standard specifies at least 200 averages. A more typical value in practice is 20 to 30 averages. If another measurement such as ORFS due to modulation has more averaging than EVM, you will generally want to use the larger number of averages in the EVM measurement as there is very little time penalty to calculate EVM in addition to the other parameter.
:EDGE:ORFS:MOD ON | If desired, activate the ORFS due to mdulation measurement. The default is Off.
:EDGE:ORFS:MOD:AVER:COUN 21 | This measurement has a very high standard deviation and some averaging will be required. The instrument default is 21 averages. The standard specifies 200 averages, but that requires more time.
:EDGE:ORFS:SWIT ON | If desired, activate the ORFS due to switching measurement. This is a less common version of ORFS that captures the spectral spreading due to the entire burst, including the pulse edges. The default is Off.
:EDGE:ORFS:SWITCH:AVER:COUN 21 | This measurement has a very high standard deviation, and some averaging will be required. The instrument default is 21 averages. The standard does not specify a number of averages.

Step 4. Start the measurement and wait for it to complete

Command | Discussion
:INIT:IMM; *WAI; :CALC:DATA:VALID? | This message has three commands on one line, to be sent as one message. This message tells the instrument to make a measurement, wait until it is complete, and then return an ascii Boolean: "1" if a burst was found and successfully demodulated, "0" otherwise. If a "0" is returned, do not try reading back any data – it will all be blanks and generate errors. If you have other instruments to talk to and do not want to occupy the bus, you can delay reading the response back until you are ready to wait for the instrument to complete.

Note: A more usual approach is to send ":INIT:IMM;*OPC?" and wait for the "1" to come back from the OPC?. This works well with the Series V2800 VSA, but it is likely that the next command you will want to send is ":CALC:DATA:VALID?" to find out if there is data to read. It is a little faster replacing *OPC? with "*WAI; :CALC:DATA:VALID?".

Step 5. Read the measured data

Command

Discussion

:CALC:EDGE:LIMIT:FAIL?

Returns an ascii "1" if any measured values failed their limit test. This is a quick way to tell if the test was successful.

:CALC:EDGE:TMASK:DATA?

Reads back the time mask data in dBc. If :FORM REAL,32 was specified, this will be a binary transfer. Expect 992 points.

:CALC:EDGE:TMASK:DATA:X?

Reads back the time value associated with each point in the time mask data query. These values do not change. You should only need to do this once to figure out the time axis.

:CALC:EDGE:CPOW:DATA?

Reads back the channel power in dBm, as an ascii floating point number.

:CALC:EDGE:EVM:DATA?

Reads back the different values for edge EVM. The response is ascii, and will look like " 0.2079, 0.4367, 0.3577, -0.281, -0.0005, -52.5554, -0.0009" (numbers in the response represent, from left to right: rms EVM, peak EVM, 95 percentile EVM, carrier frequency offset in Hz, IQ Gain error in DB, origin offset in dB, droop in dB/burst)

:CALC:EDGE:ORFS:MOD:DATA?

Reads back the ORFS due to modulation data as binary values. If there are N offsets, there will be 2*N+1 return values. The default is 6 offsets, so there are 13 return values. If you set :FORM ASCII, the response looks like "-63.15942383,-69.77606964,-68.96424866,-66.44515228,-42.28766632,-39.15406036,0.00000000,-38.48074341,-41.16877747,-65.88758850,-69.12230682,-70.27355957,-63.05799866", where

-63.15942383 | The first value corresponds to the largest negative offset. For default settings, this is -1800 kHz.
-69.77606964 | -1200 kHz
-68.96424866 | -600 kHz
-66.44515228 | -400 kHz
-42.28766632 | -250 kHz
-39.15406036 | -200 kHz
0.00000000 | The middle value is always zero because the trace is referenced to the middle value. Use :CALC:EDGE:ORFS:MOD:REF? to get the middle value in dBm, which you can use to convert the entire trace to dBm.
-38.48074341 | + 200 kHz
-41.16877747 | + 250 kHz
-65.88758850 | + 400 kHz
-69.12230682 | + 600 kHz
-70.27355957 | + 1200 kHz
-63.05799866 | The last value corresponds to the largest positive offset. For default settings, that is +1800 kHz.

:CALC:EDGE:ORFS:MOD:DATA:X?

Reads the explicit list of frequency offsets in Hz that corresponds to the ORFS data above. Returns as a 2*N+1 ascii array

:CALC:EDGE:ORFS:MOD:REF?

Returns the reference power in dBm. For ORFS modulation, the reference power is the power measured in a 30 kHz band centered on the carrier. By adding this value to the dBc values in the trace, you convert the values from dBc to dBm.

:CALC:EDGE:ORFS:SWIT:DATA?

Reads back the ORFS due to switching data as ascii values. If there are N offsets, there will be 2*N+1 return values. The default is has 4 offsets, so there are 9 return values. The return data format is similar to ORFS due to modulation data.

:CALC:EDGE:ORFS:SWIT:DATA:X?

Reads the explicit list of frequency offsets in Hz that corresponds to the ORFS due to switching data, above. Returns as a 2*N + 1 ascii array.

:CALC:EDGE:ORFS:SWIT:REF?

Returns the ORFS due to switching reference power in dBm. This is the same as the channel power.


Programming GSM measurements

This procedure shows you the recommended sequence for an GSM measurement program. There are five main steps for the program:

  1. Set up the initial settings.
  2. Activate the GSM measurement.
  3. Select the desired measurements and the number of averages.
  4. Start the measurement and wait for it to complete.
  5. Read the measured data.

Refer to the Series V2800 SCPI command tree or the Series V2800 SCPI command locator to find the topics for the individual commands.

Refer to GSM to find an outline for setting up an GSM measurement from the front panel interface.

Step 1. Set up the initial measurement

Command | Discussion
:INIT:CONT OFF | This command puts the instrument in single sweep mode. This mode is required for all remote operations, so that the instrument does not overwrite the data you are trying to read.
:DISP:ENABle OFF | Optional: There are significant speed benefits to switch off the instrument display. The display switches on if you press the LOCAL key.
:FORMat REAL,32 | When transferring traces with the :CALC:DATA? command, the 32-bit binary transfer is the fastest. However, the receiving program has to decode the header and swap the bytes.

Step 2. Activate the GSM measurement

Command | Discussion
:MEAS:SEL GSM | This activates the GSM measurement. Since the instrument is in single sweep mode, no data is taken until you complete the set up.
:FREQ 950MHz | If the instrument is not already at the desired frequency, set the instrument to the expected frequency. All the measurements such as GSM, EDGE, and Spectrum share the same frequency.
:RLEV -10dBm | Sets the expected channel power. This value is shared by all the measurements, sometimes called the reference level.
:GSM:TSEQ 0 | Sets the training sequence that has been embedded in the time slot that you want to measure. This is often the same as the index of the time slot. The default is 0, acceptable values are 0 to 7. If there is only one time slot active, this is the only setting that needs to be changed. The command is optionally preceded by [:SENSe].
:GSM:TSL:COUN 3 | Sets the number of active time slots. The default is 1. The acceptable values range from 1 to 7. This command is optionally preceded by [:SENSe].
:GSM:TSL:FIRSt | Sets the index of the first active time slot. The default is 0. The acceptable values range from 0 to 7. You only need to set this parameter if more than one time slot is active. This command is optionally preceded by [:SENSe].
:GSM:TSL 2 | Sets the index of the timeslot that you would like the Series V2800 to measure. The default is 0. The acceptable values range from 0 to 7. You only need to be set this parameter if more than one time slot is active. This command is optionally preceded by [:SENSe].

Step 3. Select the desired measurements and number of averages

Command | Discussion
:GSM:TMASK ON | If desired, activate the time mask measurement. The default is On.
:GSM:TMASK:AVER:COUN 1 | Sets the number of averages used for time mask. Normally, no averaging (averaging count of 1) is used with time mask.
:GSM:PERR ON | If desired, activate the GSM Phase Error measurement. The default is On.
:GSM:PERR:AVER:COUN 21 | Sets the number of averages used for a GSM phase error measurement. The standard specifies at least 200 averages. A more typical value in practice is 20 to 30 averages. If another measurement such as ORFS due to modulation has more averaging than phase error, you will generally want to use the larger number of averages in the phase error measurement as there is very little time penalty to calculate phase error in addition to the other parameter.
:GSM:ORFS:MOD ON | If desired, activate the ORFS due to modulation measurement. The default is Off.
:GSM:ORFS:MOD:AVER:COUN 21 | This measurement has a very high standard deviation and some averaging will be required. The instrument default is 21 averages. The standard specifies 200 averages, but that requires more time.
:GSM:ORFS:SWIT ON | If desired, activate the ORFS due to switching measurement. This is a less common version of ORFS that captures the spectral spreading due to the entire burst, including the pulse edges. The default is Off.
:GSM:ORFS:SWITCH:AVER:COUN 21 | This measurement has a very high standard deviation, and some averaging will be required. The instrument default is 21 averages. The standard does not specify a number of averages.

Step 4. Start the measurement and wait for it to complete

Command | Discussion
:INIT:IMM; *WAI; :CALC:DATA:VALID? | This message has three commands on one line, to be sent as one message. This message tells the instrument to make a measurement, wait until it is complete, and then return an ascii Boolean: "1" if a burst was found and successfully demodulated, "0" otherwise. If a "0" is returned, do not try reading back any data – it will all be blanks and generate errors. If you have other instruments to talk to and do not want to occupy the bus, you can delay reading the response back until you are ready to wait for the instrument to complete.

Note: A more usual approach is to send ":INIT:IMM;*OPC?" and wait for the "1" to come back from the OPC?. This works well with the Series V2800, but it is likely that the next command you will want to send is ":CALC:DATA:VALID?" to find out if there is data to read. It is a little faster replacing *OPC? with "*WAI; :CALC:DATA:VALID?".

Step 5. Read the measured data

Command

Discussion

Discussion

:CALC:GSM:LIMIT:FAIL?

Returns an ascii "1" if any measured values failed their limit test. This is a quick way to tell if the test was successful.

Returns an ascii "1" if any measured values failed their limit test. This is a quick way to tell if the test was successful.

:CALC:GSM:TMASK:DATA?

Reads back the time mask data in dBc. If :FORM REAL,32 was specified, this will be a binary transfer. Expect 992 points.

Reads back the time mask data in dBc. If :FORM REAL,32 was specified, this will be a binary transfer. Expect 992 points.

:CALC:GSM:TMASK:DATA:X?

Reads back the time value associated with each point in the time mask data query. These values do not change – you should only need to do this once to figure out the time axis.

Reads back the time value associated with each point in the time mask data query. These values do not change – you should only need to do this once to figure out the time axis.

:CALC:GSM:CPOW:DATA?

Reads back the channel power in dBm as an ascii floating point number.

Reads back the channel power in dBm as an ascii floating point number.

:CALC:GSM:PERRor:DATA?

Reads back the different values for GSM phase error. The response is ascii, and will look like 0.1533, 0.4723, 43.0000, -299611.0313"

0.1533

0.1533

RMS Phase Error, in deg

0.4723

0.4723

Peak Phase Error, in deg

Peak Phase Error, in deg

43

43

Symbol with peak Phase Error

Symbol with peak Phase Error

-299611.0313

-299611.0313

Frequency Error, in Hz

Frequency Error, in Hz

:FORM REAL,32

:CALC:GSM:ORFS:MOD:DATA?

Reads back the ORFS due to modulation data as binary values. If there are N offsets, there will be 2*N+1 return values. The default is 6 offsets, so there are 13 return values. If you set :FORM ASCII, the response looks like "-63.15942383,-69.77606964,-68.96424866,-66.44515228,-42.28766632,-39.15406036,0.00000000,-38.48074341,-41.16877747,-65.88758850,-69.12230682,-70.27355957,-63.05799866", where

-63.15942383

-63.15942383

The first value corresponds to the largest negative offset. For default settings, this is -1800 kHz

-69.77606964

-69.77606964

-1200 kHz

-68.96424866

-600 kHz

-66.44515228

-400 kHz

-42.28766632

-250 kHz

-39.15406036

-200 kHz

0.00000000

The middle value is always zero because the trace is referenced to the middle value. Use :CALC:EDGE:ORFS:MOD:REF? to get the middle value in dBm, which you can use to convert the entire trace to dBm.

-38.48074341

+ 200 kHz

-41.16877747

+ 250 kHz

-65.88758850

+ 400 kHz

-69.12230682

+ 600 kHz

-70.27355957

+ 1200 kHz

-63.05799866

The last value corresponds to the largest positive offset. For default settings, that is +1800 kHz.

:CALC:GSM:ORFS:MOD:DATA:X?

Reads the explicit list of frequency offsets in Hz that corresponds to the ORFS data above. Returned as a 2*N+1 ascii array.

:CALC:GSM:ORFS:MOD:REF?

Returns the reference power in dBm. For ORFS modulation, the reference power is the power measured in a 30 kHz band centered on the carrier. By adding this value to the dBc values in the trace, you convert the values from dBc to dBm.

:CALC:GSM:ORFS:SWIT:DATA?

Reads back the ORFS due to switching data as ascii values. If there are N offsets, there will be 2*N+1 return values. The default is to have 4 offsets, so there are 9 return values. The return data format is similar to ORFS due to modulation data.

:CALC:GSM:ORFS:SWIT:DATA:X?

Reads the explicit list of frequency offsets in Hz that corresponds to the ORFS due to switching data above. Returns as a 2*N + 1 ascii array.

:CALC:GSM:ORFS:SWIT:REF?

Returns the ORFS due to switching reference power in dBm. This is the same as the channel power. HorizontalRule


Extracting IQ data

You can acquire complex samples of an RF waveform by extracting the measured IQ data from the analyzer with commands that perform the following sequence:

  1. Put the analyzer in zero span mode.

    :MEASure[:SELect] ZSPan

  2. Put the analyzer in single sweep mode.

    :INITiate:CONTinuous OFF

  3. Set the sweep time and bandwidth.

    [:SENSe]:ZSPan:SWEep:TIME

    [:SENSe]:ZSPan:BANDwidth[:RESolution]

  4. Query the analyzer for the IQ data.

    :MEAS:IQ?

The SCPI response consists of the following:

  • A binary header:
    • Sample rate as an ASCII floating point number
    • A comma
    • "#" SCPI block transfer delimiter
    • The number of digits in the block size
    • ASCII digits indicating the block size in bytes
  • IQ values as 16-bit signed integers, with the real values interleaved with the imaginary values (bits 0-15 = I values, bits 16-31 = Q values)
  • New line character

    Note: The format #nddd<binary data> is called "Arbitrary Block Program Data."

Example:

A SCPI response for a 1 ms sweep time and 1MHz bandwidth:

50000000.0000,#520040
I
Q
I
Q
...
newline character

Where:

50000000.0000 = sample rate
# = SCPI block transfer delimiter
5 = the number of digits in the block size
20040 = the ASCII digits indicating the block size in bytes (5010 complex pairs consisting of 10020 16-bit signed integers)
I = real value (even sample, bits 0-15)
Q = imaginary value (odd sample, bits 16-31)
newline character = indicates the end of the binary block

The information transferred has the scaling in volts and is dependent on the following aspects of the instrument:

  • Front end attenuation
  • Calibration
  • Frequency

    Note: If you want to cancel the IQ data extraction, press Local and Preset on the instrument front panel. Or, send a "Device Clear" through remote control. The time it takes for the Series V2800 to return to normal operation mode depends on the size of the file that is in the buffer. For example, for a file size of 20kBytes, the analyzer will respond quickly. For a file size of 20Mbytes, the analyzer will respond more slowly.


Series V2800 SCPI command locator

___

Making measurements

____
General purpose

Spectrum

:MEASure[:SELect]

[:SENSe]:FREQuency

[:SENSe]:SPECtrum

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

Zero span

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

:DISPlay:VIEW:ZSPan:TYPE

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency

:MEAS[:SELect]

[:SENSe]:FREQuency

[:SENSe]:ZSPan

[:SENSe]:ZSPan:AVERage:TYPE:FREQuency

ACPR

:CALCulate:ACPR:LIMit

:MEASure[:SELect]

[:SENSe]:ACPR

[:SENSe]:ACPR:ADJacent1|ADJacent2

[:SENSe]:ACPR:AVERage

[:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE

[:SENSe]:ACPR:BWIDth[:RESolution]:TYPE

[:SENSe]:ACPR:CENTer

[:SENSe]:ACPR:FAST

[:SENSe]:ACPR:NCORrection

Channel power list

:MEASure[:SELect]

:TRACe:CPList:HOLD

[:SENSe]:ADC:DITHer[:STATe]

[:SENSe]:AINT

[:SENSe]:CPList

Spectrum Emission Mask

: CALCulate:GPSEM

:MEAS[:SELect]

[:SENSe]:GPSEM

[:SENSe]:SEMask

[:SENSe]:WLAN:SEMask

____
Digital

FSK

:CALCulate:FSK:ADRoop

:CALCulate:FSK:COFFset

:CALCulate:FSK:EVM:ENSemble

:CALCulate:FSK:EVM:PEAK

:CALCulate:FSK:EVM:PEAK:OFFSet

:CALCulate:FSK:EVM:RMS

:CALCulate:FSK:FDRift

:CALCulate:FSK:FSEParation

:CALCulate:FSK:IQRatio

:CALCulate:FSK:LEVel[:RMS]

:CALCulate:FSK:NSYMbols

:CALCulate:FSK:ORATio

:CALCulate:FSK:SRATe

:DISPlay:DMODulation:PERSistence

:DISPlay:DMODulation:PERSistence:CLEar

:DISPlay:DMODulation:TARGets

:DISPlay:DMODulation:TARGets:SIZE

:DISPlay:DMODulation:TRACe

:DISPlay:DMODulation:TRAJectories

:DISPlay:DMODulation:VIEW

[:SENSe]:DMODulation:SYMBol:COUNt

[:SENSe]:FSK:DENCoding

[:SENSe]:FSK:FILTer

[:SENSe]:FSK:FSEParation

[:SENSe]:FSK:SPS

[:SENSe]:FSK:STYPe

PSK

:CALCulate:PSK:ADRoop

:CALCulate:PSK:CFEedthru

:CALCulate:PSK:COFFset

:CALCulate:PSK:EVM:ENSemble

:CALCulate:PSK:EVM:PEAK

:CALCulate:PSK:EVM:PEAK:OFFSet

:CALCulate:PSK:EVM[:RMS]

:CALCulate:PSK:FDRift

:CALCulate:PSK:IOFFset

:CALCulate:PSK:LEVel[:RMS]

:CALCulate:PSK:LEVel:SYMBol

:CALCulate:PSK:NSYMbols

:CALCulate:PSK:ORATio

:CALCulate:PSK:QOFFset

:CALCulate:PSK:SRATe

:DISPlay:DMODulation:PERSistence

:DISPlay:DMODulation:PERSistence:CLEar

:DISPlay:DMODulation:TARGets

:DISPlay:DMODulation:TARGets:SIZE

:DISPlay:DMODulation:TRACe

:DISPlay:DMODulation:TRAJectories

:DISPlay:DMODulation:VIEW

[:SENSe]:DMODulation:SYMBol:COUNt

[:SENSe]:PSK:DENCoding

[:SENSe]:PSK:FILTer

[:SENSe]:PSK:SPS

[:SENSe]:PSK:STYPe

____
Modulation standards

EDGE

:CALCulate:EDGE

:CALCulate:EDGE:CONStellation

:CALCulate:EDGE:CPOWer

:CALCulate:EDGE:EVECtors:DATA

:CALCulate:EDGE:EVM:CFERror

:CALCulate:EDGE:EVM:DATA

:CALCulate:EDGE:EVM:DROop

:CALCulate:EDGE:EVM:IQGError

:CALCulate:EDGE:EVM:IQOOffset

:CALCulate:EDGE:EVM:LIMit

:CALCulate:EDGE:EVM:P95

:CALCulate:EDGE:EVM:PEAK

:CALCulate:EDGE:EVM:RMS

:CALCulate:EDGE:EVMTrace:DATA

:CALCulate:EDGE:IQData:DATA

:CALCulate:EDGE:LIMit:FAIL

:CALCulate:EDGE:ORFS:MODulation

:CALCulate:EDGE:ORFS:SWITching

:CALCulate:EDGE:SYMBol:DATA

:CALCulate:EDGE:TMASk

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:EDGE:TYPE

:MEASure[:SELect]

[:SENSe]:EDGE

[:SENSe]:EDGE:CPOWer

[:SENSe]:EDGE:EVM

[:SENSe]:EDGE:ORFS:MODulation

[:SENSe]:EDGE:ORFS:SWITching

[:SENSe]:EDGE:TMASK

[:SENse]:EDGE:TSEQuence

[:SENSe]:EDGE:TSLot

[:SENSe]:EPOWer

GSM

:CALCulate:GSM

:CALCulate:GSM:CPOWer

:CALCulate:GSM:LIMit:FAIL

:CALCulate:GSM:ORFS:MODulation

:CALCulate:GSM:ORFS:SWITching

:CALCulate:GSM:PERRor

:CALCulate:GSM:SYMBol:DATA

:CALCulate:GSM:TMASK

:DISPlay:VIEW:GSM

:DISPlay:VIEW:GSM:TYPE

:MEASure[:SELect]

[:SENSe]:EPOWer

[:SENSe]:GSM

[:SENSe]:GSM:CPOWer

[:SENSe]:GSM:ORFS:MODulation

[:SENSe]:GSM:ORFS:SWITching

[:SENSe]:GSM:PERRor

[:SENSe]:GSM:TMASK

[:SENSe]:GSM:TSEQuence

[:SENSe]:GSM:TSLot

cdma2000

:CALCulate:CDMA:REVerse

:CALCulate:CDMA:REVerse:ACHannels

:CALCulate:CDMA:REVerse:ACPR

:CALCulate:CDMA:REVerse:EVM

:CALCulate:CDMA:REVerse:FERRor

:CALCulate:CDMA:REVerse:IMARker

:CALCulate:CDMA:REVerse:IQOFfset

:CALCulate:CDMA:REVerse:OBWidth

:CALCulate:CDMA:REVerse:PCDE

:CALCulate:CDMA:REVerse:QMARker

:CALCulate:CDMA:REVerse:SEMask:LIMit

:DISPlay:VIEW:CDMA

:MEASure[:SELect]

:TRACe:ACPR:HOLD

[:SENSe]:ACPR

[:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME

[:SENSe]:CDMA:REVerse:AVERage

[:SENSe]:OBWidth:AVERage

[:SENse]:SEMask

[:SENSe]:SEMask:DETector[:FUNCtion]

W-CDMA Uplink

:CALCulate:WCDMa:UPLink

:CALCulate:WCDMa:UPLink:ACHannels

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT

:CALCulate:WCDMa:UPLink:EVM

:CALCulate:WCDMa:UPLink:FERRor

:CALCulate:WCDMa:UPLink:IMARker

:CALCulate:WCDMa:UPLink:IOFFset

:CALCulate:WCDMa:UPLink:IQOFfset

:CALCulate:WCDMa:UPLink:OBWidth

:CALCulate:WCDMa:UPLink:PCDE

:CALCulate:WCDMa:UPLink:QMARker

:CALCulate:WCDMa:UPLink:SEMask:CPOWer

:CALCulate:WCDMa:UPLink:SEMask:LIMit

:CALCulate:WCDMa:UPLink:TPOWer

:DISPlay:VIEW:WCDMa

:MEASure[:SELect]

:TRACE:ACPR:HOLD

[:SENSe]:WCDMa:UPLink

[:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME

[:SENSe]:WCDMa:UPLink:AVERage

[:SENSe]:WCDMa:UPLink:CODE

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

W-CDMA Downlink

:CALCulate:WCDMa:DOWNlink:ACHannels

:CALCulate:WCDMa:DOWNlink:ACLR:LIMIT

:CALCulate:WCDMa:DOWNlink:EVM

:CALCulate:WCDMa:DOWNlink:FERRor

:CALCulate:WCDMa:DOWNlink:IOFFset

:CALCulate:WCDMa:DOWNlink:IQOFfset

:CALCulate:WCDMa:DOWNlink:MARker

:CALCulate:WCDMa:DOWNlink:OBWidth

:CALCulate:WCDMa:DOWNlink:PCDE

:CALCulate:WCDMa:DOWNlink:QOFFset

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit

:CALCulate:WCDMa:DOWNlink:TPOWer

:DISPlay:VIEW:WCDMa

:MEAS[:SELect]:

:TRACE:ACPR:HOLD

[:SENSe]:WCDMa:DOWNlink

[:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME

[:SENSe]:WCDMa:DOWNlink:AVERage

[:SENSe]:WCDMa:DOWNlink:CODE

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

[:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]

[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

WiMAX

:CALCulate:WIMax:CFEedthru

:CALCulate:WIMax:CFERror

:CALCulate:WIMax:CONStellation:SYMBol:TYPE

:CALCulate:WIMax:CPOWer

:CALCulate:WIMax:DOWNlink:DSYMbols

:CALCulate:WIMax:FMARgin

:CALCulate:WIMax:MASDifference

:CALCulate:WIMax:MFLatness:MARGins

:CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:PAPRatio

:CALCulate:WIMax:RCE

:CALCulate:WIMax:UPLink:DSYMbols

:DISPlay:VIEW:WIMax

:DISPlay:VIEW:WIMAX:TYPE

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

[:SENSe]:WIMax:AVERage:COUNT

[:SENSe]:WIMax:AVERage[:STATe]

[:SENSe]:WIMax:EQUalizer

[:SENSe]:WIMax:GAIN[:STATe]

[:SENSe]:WIMax:MAP

[:SENSe]:WIMax:RHIStory:CLEar

[:SENSe]:WIMax:RHIStory:LENGth

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:TPHase

WLAN

:CALCulate:WLAN:BANDwidth

:CALCulate:WLAN:BWIDth

:CALCulate:WLAN:CFEedthru

:CALCulate:WLAN:CFERror

:CALCulate:WLAN:CONStellation

:CALCulate:WLAN:CPOWer

:CALCulate:WLAN:DRATe

:CALCulate:WLAN:EVCHannel

:CALCulate:WLAN:EVM:PEAK

:CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:FMARgin

:CALCulate:WLAN:GCOMpression:FACTor

:CALCulate:WLAN:HEADer

:CALCulate:WLAN:MFLatness:PTPeak

:CALCulate:WLAN:NSYMbols

:CALCulate:WLAN:PDRamp

:CALCulate:WLAN:PERRor

:CALCulate:WLAN:PFLatness:PTPeak

:CALCulate:WLAN:PILot:EVM:PEAK

:CALCulate:WLAN:PILot:EVM[:RMS]

:CALCulate:WLAN:PORamp

:CALCulate:WLAN:SCERror

:CALCulate:WLAN:SEMask

:CALCulate:WLAN:SIGNal

:DISPlay:VIEW:WLAN

:DISPlay:VIEW:WLAN:TYPE

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

[:SENSe]:WLAN:ATIMe

[:SENSe]:WLAN:AVERage

[:SENSe]:WLAN:CCDF

[:SENSe]:WLAN:CCK

[:SENSe]:WLAN:CONStellation

[:SENSe]:WLAN:EHIStory

[:SENSe]:WLAN:EMAGnify

[:SENSe]:WLAN:GAIN:STATe

[:SENSe]:WLAN:HDECode

[:SENSe]:WLAN:OFDM:COUNt

[:SENSe]:WLAN:OPTimize

[:SENSe]:WLAN:SEMask

[:SENSe]:WLAN:SIGNal

I / Q

:MEASure:IQ

:MEASure[:SELect]

____
Extracting data

cdma2000® measurements

:CALCulate:CDMA:REVerse

:CALCulate:CDMA:REVerse:ACHannels

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL

:CALCulate:CDMA:REVerse:EVM

:CALCulate:CDMA:REVerse:FERRor

:CALCulate:CDMA:REVerse:IMARker

:CALCulate:CDMA:REVerse:IQOFfset

:CALCulate:CDMA:REVerse:OBWidth

:CALCulate:CDMA:REVerse:PCDE

:CALCulate:CDMA:REVerse:QMARker

:CALCulate:CDMA:REVerse:SEMask:LIMit

:CALCulate:DATA

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:SEMask:DETector[:FUNCtion]

EDGE measurements

:CALCulate:DATA

:CALCulate:EDGE:CONStellation:DATA

:CALCulate:EDGE:CPOWer:DATA

:CALCulate:EDGE:EVECtors:DATA

:CALCulate:EDGE:EVM:CFERror

:CALCulate:EDGE:EVM:DATA

:CALCulate:EDGE:EVM:DROop

:CALCulate:EDGE:EVM:IQGError

:CALCulate:EDGE:EVM:IQOOffset

:CALCulate:EDGE:EVM:P95

:CALCulate:EDGE:EVM:PEAK

:CALCulate:EDGE:EVM:RMS

:CALCulate:EDGE:EVMTrace:DATA

:CALCulate:EDGE:EVM:IQData:DATA

:CALCulate:EDGE:ORFS:MODulation:DATA:X

:CALCulate:EDGE:ORFS:MODulation:DATA[:Y]

:CALCulate:EDGE:ORFS:SWITching:DATA:X

:CALCulate:EDGE:ORFS:SWITching:DATA[:Y]

:CALCulate:EDGE:SYMBol:DATA

:CALCulate:EDGE:TMASk:DATA:X

:CALCulate:EDGE:TMASK:DATA[:Y]

:DISPlay:CAPTure

:FORMat[:DATA]

GSM measurements

:CALCulate:DATA

:CALCulate:DATA:VALid

:CALCulate:GSM:CPOWer:DATA

:CALCulate:GSM:ORFS:MODulation:DATA:X

:CALCulate:GSM:ORFS:MODulation:DATA[:Y]

:CALCulate:GSM:ORFS:SWITching:DATA:X

:CALCulate:GSM:ORFS:SWITching:DATA[:Y]

:CALCulate:GSM:PERRor:DATA

:CALCulate:GSM:PERRor:PHASe:DATA:X

:CALCulate:GSM:PERRor:PHASe:DATA[:Y]

:CALCulate:GSM:PERRor:TRACe:DATA:X

:CALCulate:GSM:PERRor:TRACe:DATA[:Y]

:CALCulate:GSM:SYMBol:DATA

:CALCulate:GSM:TMASk:DATA:X

:CALCulate:GSM:TMASk:DATA[:Y]

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

W-CDMA Uplink measurements

:CALCulate:DATA

:CALCulate:WCDMa:UPLink

:CALCulate:WCDMa:UPLink:ACHannels

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT:FAIL

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT:FAIL:CHANnels

:CALCulate:WCDMa:UPLink:EVM

:CALCulate:WCDMa:UPLink:FERRor

:CALCulate:WCDMa:UPLink:IMARker

:CALCulate:WCDMa:UPLink:IOFFset

:CALCulate:WCDMa:UPLink:IQOFfset

:CALCulate:WCDMa:UPLink:OBWidth

:CALCulate:WCDMa:UPLink:PCDE

:CALCulate:WCDMa:UPLink:QMARker

:CALCulate:WCDMa:UPLink:SEMask:CPOWer

:CALCulate:WCDMa:UPLink:SEMask:LIMit

:CALCulate:WCDMa:UPLink:TPOWer

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:SEMask:DETector[:FUNCtion]

W-CDMA Downlink measurements

  • :CALCulate:DATA
  • :CALCulate:WCDMa:DOWNlink
  • :CALCulate:WCDMa:DOWNlink:ACHannels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT:FAIL
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT:FAIL:CHANnels
  • :CALCulate:WCDMa:DOWNlink:EVM
  • :CALCulate:WCDMa:DOWNlink:FERRor
  • :CALCulate:WCDMa:DOWNlink:IOFFset
  • :CALCulate:WCDMa:DOWNlink:IQOFfset
  • :CALCulate:WCDMa:DOWNlink:QOFFset
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS
  • :CALCulate:WCDMa:DOWNlink:MARker
  • :CALCulate:WCDMa:DOWNlink:OBWidth
  • :CALCulate:WCDMa:DOWNlink:PCDE
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit
  • :CALCulate:WCDMa:DOWNlink:TPOWer
  • :DISPlay:CAPTure
  • :FORMat[:DATA]
  • [:SENSe]:SEMask:DETector[:FUNCtion]

WiMAX measurements

:CALCulate:WIMax:CFEedthru

:CALCulate:WIMax:CFERror

:CALCulate:WIMax:CONStellation:SYMBol:TYPE

:CALCulate:WIMax:CPOWer

:CALCulate:WIMax:DOWNlink:DSYMbols

:CALCulate:WIMax:FMARgin

:CALCulate:WIMax:MASDifference

:CALCulate:WIMax:MFLatness:MARGins

:CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:PAPRatio

:CALCulate:WIMax:RCE

:CALCulate:WIMax:UPLink:DSYMbols

:DISPlay:VIEW:WIMax

:DISPlay:VIEW:WIMAX:TYPE

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

[:SENSe]:WIMax:AVERage:COUNT

[:SENSe]:WIMax:AVERage[:STATe]

[:SENSe]:WIMax:EQUalizer

[:SENSe]:WIMax:GAIN[:STATe]

[:SENSe]:WIMax:MAP

[:SENSe]:WIMax:RHIStory:CLEar

[:SENSe]:WIMax:RHIStory:LENGth

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:TPHase

WLAN measurements

:CALCulate:WLAN:BANDwidth

:CALCulate:WLAN:BWIDth

:CALCulate:WLAN:CFEedthru

:CALCulate:WLAN:CFERror

:CALCulate:WLAN:CONStellation

:CALCulate:WLAN:CPOWer

:CALCulate:WLAN:DRATe

:CALCulate:WLAN:EVCHannel

:CALCulate:WLAN:EVM:PEAK

:CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:FMARgin

:CALCulate:WLAN:GCOMpression:FACTor

:CALCulate:WLAN:HEADer

:CALCulate:WLAN:MFLatness:PTPeak

:CALCulate:WLAN:NSYMbols

:CALCulate:WLAN:PDRamp

:CALCulate:WLAN:PERRor

:CALCulate:WLAN:PFLatness:PTPeak

:CALCulate:WLAN:PILot:EVM:PEAK

:CALCulate:WLAN:PILot:EVM[:RMS]

:CALCulate:WLAN:PORamp

:CALCulate:WLAN:SCERror

:CALCulate:WLAN:SEMask

:CALCulate:WLAN:SIGNal

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

[:SENSe]:WLAN:ATIMe

[:SENSe]:WLAN:AVERage

[:SENSe]:WLAN:CCDF

[:SENSe]:WLAN:CCK

[:SENSe]:WLAN:CONStellation

[:SENSe]:WLAN:EHIStory

[:SENSe]:WLAN:EMAGnify

[:SENSe]:WLAN:GAIN:STATe

[:SENSe]:WLAN:HDECode

[:SENSe]:WLAN:OFDM:COUNt

[:SENSe]:WLAN:OPTImize

[:SENSe]:WLAN:SEMask

[:SENSe]:WLAN:SIGNal

Markers

:CALCulate:CDMA:REVerse:IMARker:X

:CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:QMARker:X

:CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:MARKer1|:MARKer2|:MARKer3|:MARKer4:X

:CALCulate:MARKer1|:MARKer2|:MARKer3|:MARKer4:X:DELTa

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa:

:CALCulate:WCDMa:UPLink:IMARker:X

:CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:QMARker:X

:CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:DOWNlink:MARKer:CNUMber

:CALCulate:WCDMa:DOWNlink:MARKer:SFACtor

:CALCulate:WCDMa:DOWNlink:MARKer[:STATe]

:CALCulate:WCDMa:DOWNlink:MARKer:X

:CALCulate:WCDMa:DOWNlink:MARKer:Y

IQ Cache

[:SENSe]:IQCache:ADDRess:INCRement

[:SENSe]:IQCache:ADDRess:STARt

[:SENSe]:IQCache:DSOurce

____
Controlling measurements

Display screen

:DISPlay:CAPTure

:DISPlay:DMODulation

:DISPlay:ENABle

:DISPlay:VIEW

:DISPlay:WIMax

:DISPlay:WINDow:TRACe:Y[:SCALe]

:DISPlay:WLAN

:SYSTem:SSAVer

:TRACe

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Trigger

:TRIGger[:SEQuence]:AUTO[:STATe]

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:DELay

:TRIGger[:SEQuence]:EXTernal:SLOPe

:TRIGger[:SEQuence]:PREQual:WINDow

:TRIGger[:SEQuence]:PREQual[:LEVel]

:TRIGger[:SEQuence]:LEVel

:TRIGger[:SEQuence]:MODE

:TRIGger[:SEQuence]:SOURce

:TRIGger[:SEQuence]:TYPE

:TRIGger[:SEQuence]:VIDeo:SLOPe

Sync Out

:SOURce:TTL:INPut

:SOURce:TTL[:LEVel]

:SOUTput:MODE

:SOUTput:POLarity

Sweep

:INITiate:CONTinuous

:INITate[:IMMediate]

Detection

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

Input parameters

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

[:SENSe]:FREQuency:CENTer

[:SENSe]:FREQuency:SPAN

[:SENSe]:FREQuency:STARt

[:SENSe]:FREQuency:STOP

[:SENSe]:ACPR:CENTer:BANDwidth

[:SENSe]:ACPR:CENTer:BWIDth

[:SENSe]:EPOWer

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Source

:SOURce

:SOURce:DWELl

:SOURce:STOP

:SOURce:[:STARt]

:SOURce:POINts

:SOURce:[:STATe]

:SOURce:ROSCillator:EXTernal:FREQuency

:SOURce:ROSCillator:SOURce

:SOURce:TTL:INPut

:SOURce:TTL[:LEVel]

[:SENSe]:POWer

____
Working with files

File management

*SAV

*RCL

:DISPlay:CAPTure

:MMEMory:DATA

[:SENse]CPList:LOAD

[:SENse]:EDGE:ORFS:MODulation:FLIMits

[:SENse]:EDGE:ORFS:SWITching:FLIMits

[:SENse]:EDGE:ORFS:MODulation:[:STATe]

[:SENse]:EDGE:ORFS:SWITching:[:STATe]

[:SENse]:GSM:ORFS:MODulation:FLIMits

[:SENse]:GSM:ORFS:SWITching:FLIMits

[:SENse]:GSM:ORFS:MODulation:[:STATe]

[:SENse]:GSM:ORFS:SWITching:[:STATe]

:CALCulate:EDGE:TMASk:LIMit

[:SENse]:EDGE:TMASK[:STATe]

:CALCulate:GSM:TMASk:LIMit

[:SENse]:GSM:TMASK[:STATe]

____
Controlling instrument hardware

Hardware management

:DIAGnostic:INFormation:OPTions

[:SENSe]:DSP:RANDomize[:STATe]

[:SENSe]:DSP:RANGe[:STATe]

[:SENSe]:ACD:DITHer[:STATe]

[:SENSe]:LPNoise[:STATe]

:CALibration[:ALL]

:MIMO

[:SOURce]:INTernal:CLOCk[:STATe]

[:SOURce]:VCO[:STATe]

RF test accessory SCPI command pass-through

:MBOX:COMMand

:PMETer:COMMand

____
Operating the instrument remotely

Diagnostic/Errors

:DIAGnostic

:STATus:QUEue:CLEar

:SYSTem:ERRor

Display

:DISPlay:CAPTure

:DISPlay:DMODulation

:DISPlay:ENABle

:DISPlay:VIEW

:DISPlay:WIMax

:DISPlay:WINDow:TRACe:Y[:SCALe]

:DISPlay:WLAN

:SYSTem:SSAVer

:TRACe

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Remote/Local

:DIAGnostic

:IDN?

:STATUS

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote

Preset

:ABORt

*RCL

*RST

*SAV

:STATus:PRESet

:SYSTem:PRESet

Status register

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement

:STATus:OPERation

:STATus:PRESet

:STATus:QUEStionable

:STATus:QUEue:CLEar

:SYSTem:CLEar

:SYSTem:ERRor


Series V2800 SCPI command tree

IEEE - 488.2
:ABORt
:CALCulate
 | :ACPR:LIMit
 | :CDMA:REVerse
 | :DATA
 | :EDGE
 | :FSK
 | :GPSEM
 | :GSM
 | :MARKer
 | :PSK
 | :WCDMa:DOWNlink
 | :WCDMa:UPLink
 | :WIMax
 | :WLAN
:CALibration[:ALL]
:DIAGnostic
:DISPlay
:FORMat
:INITiate
:MASTer
:MBOX:COMMand
:MEASure
:MIMO
:MMEMory
:PMETer:COMMand
[:SCALe]
[:SENSe]
 | :ACPR
 | :ADC
 | :AINT
 | :CDMA:REVerse
 | :CPList
 | :DETector
 | :DMODulation
 | :DSP
 | :EDGE
 | :EPOWer
 | :FREQuency
 | :FSK
 | :GPSEM
 | :GSM
 | :IQCache:ADDRess
 | :IQCache:DSOurce
 | :LPNoise:STATe
 | :OBWidth:AVERage
 | :PHASe
 | :POWer
 | :PSK
 | :SEMask
 | :SPECtrum
 | :UFLatness
 | :WCDMa:DOWNlink
 | : WCDMa:UPLink
 | :WIMax
 | :WLAN
 | :ZSPan
:SOURce
:SOUTput
:STATus
:SYSTem
 | :CLEar
 | :COMMunicate
 | :DATE
 | :ERRor
 | :KLOCk
 | :LOCal
 | :PRESet
 | :REMote
 | :SSAVer
 | :TIME
:TRACe
:TRIGger


IEEE- 488.2 common commands

Select a link below to navigate directly to that topic:

_____

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

*CLS -- Clear status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0.

NOTE: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

*ESE -- Event status enable

Sets bits in the standard event status enable register. The parameter values to set the individual bits of the enable registers can be sent using the decimal format (NRf = 0 to 225). See the Standard event register topic for more information.

*ESE? -- Event status enable query

Returns the results of the standard event enable register. The register is cleared after reading it. See the Standard event register topic for more information.

*ESR? -- Event status register query

Reads the event status enable register. See [image] Status register commands and Reading registers.

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

*IDN? -- Identify

Returns a string that uniquely identifies the instrument. The identification code includes the manufacturer, model number, serial number, and firmware revision levels and is sent in the following format:

Agilent Technologies, Inc.,MODEL nnnn,nnnnnnnn,xxx Jan 27 2008 14:59:09

Where:

nnnn is the model number

nnnnnnn is the serial number

xxx is the firmware revision level

Jan 27 2008 14:59:09 is the date and time (24hr format, hr:min:sec) for the firmware release

*OPC -- Operation complete command

The *OPC command sets the *OPC bit in the standard event register after all pending commands are complete.

After the *OPC command is sent and the last pending command is completed, the operation complete bit (bit B0) of the standard event status register will be set. If the corresponding bit (bit B0) in the standard event enable register and the event summary bit (bit 5) of the service request enable register are set, the master summary status (MSS) bit in the status byte register is set. See Event registers for more information.

When used with the immediate initiation command (:INITiate), the OPC bit in the standard event status register will not set until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

Programming example

The first group of commands sends the *OPC command after the :INITiate command and verifies that the OPC bit in the standard event status register does not set while the instrument continues to make measurements (not in idle). The second group of commands returns the instrument to the idle state and verifies that the OPC bit did get set.

:SYST:PRES | ' Returns the instrument to default setup.
:INIT:IMM;*OPC | ' Initiates one trigger cycle and sends the OPC command.
*ESR? | ' Reads the standard event status register.

The returned value of 0 denotes that the bit (bit 0) is not set indicating that the :INITiate operation is not complete.

*ESR?

' Reads the standard event status register.

The returned value of 1 denotes that the bit (bit 1) is set indicating that the :INITiate operation is now complete.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*OPC? -- Operation complete query

Places a "1" in the output queue after all pending operations are completed.

When this common command is sent, an ASCII "1" will be placed in the output queue after the last pending operation is completed. The "1" in the output queue will be sent to the controller.

The "1" in the output queue will set the MAV (message available) bit (B4) of the status byte register. If the corresponding bit (B4) in the service request enable register is set, the RQS/MSS (request for service/master summary status) bit in the status byte register will set.

When used with the :INITiate (initiate immediately) command, a "1" will not be placed into the output queue until the instrument goes back into the idle state. The :INIT command operation is not considered finished until the instrument goes back into the idle state. See the description for *WAI for more information about command execution.

The execution of OPC? is not completed until it has placed the "1" in the output queue.

Programming example

This command sequence demonstrates how to use *OPC? to signal the end of a measurement process:

:SYST:PRES | ' Returns instrument to default setup.
:INIT;*OPC? | ' Starts measurement process and sends OPC? command.

After the measurement is performed and the instrument returns to the idle state, an ASCII "1" will be placed in the output queue. The "1" from the output queue is sent to the controller.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*RCL -- Recall *SAV -- Save

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

_____
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*RST -- Reset

Returns the instrument to RST defaults.

  1. Returns the instrument to the RST default conditions, which is exactly the same as a SYSTem:PRESet (see "Default" area in SCPI commands).
  2. Cancels all pending commands.
  3. Cancels response to any previously received *OPC and *OPC? commands.

_

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

-

NOTE: The frequency reference is not affected by Preset, *RST, or Save/Recall state.

*SAV -- Save*RCL -- Recall

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled from the instrument. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

__
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*SRE -- Service request enable command

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Service request enable register for more information.

*SRE? -- Service request enable query

Reads the current state of the Service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Programming and reading registers.

__
See also: Reading registers

*STB? -- Status byte query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared.

_____
See Also

  • Programming and reading registers
  • Clearing registers and queues.

*TRG - Trigger

Issues a GPIB trigger to the instrument 2. Use the *TRG command as an event to control operation. The instrument reacts to this trigger if BUS is the programmed control source. See Triggering and Sync Out for more information.

Programming example

The following command sequence configures the instrument to be controlled by bus triggers. The last command, which sends a bus trigger, triggers one measurement. Each subsequent bus trigger will also trigger a single measurement.

Note: With TRIG:SOURce BUS selected, do not send any commands (except *TRG, GET, DCL, SDC, IFC, and ABORt) while performing measurements. Otherwise, erratic operation will occur.

*RST | ' Restore RST defaults.
:TRIG:SOUR BUS | ' Select BUS control source.
:INIT | ' Take instrument out of idle.
*TRG | ' Trigger one measurement.

*WAI -- Wait

The *WAI command prevents execution of commands until previous commands are completed and can be used with the following commands:

  • INITiate
  • *TRG

The INITiate command removes the instrument from the idle state. The device operations of :INITiate are not considered complete until the instrument returns to idle. By sending the *WAI command after the INITiate command, all subsequent commands will not execute until the instrument goes back into idle.

The *TRG command issues a bus trigger that could be used to provide the arm, scan, and measure events for the Trigger Model. By sending the *WAI command after the *TRG command, subsequent commands will not be executed until the pointer for the Trigger Model has finished moving in response to *TRG and has settled at its next state.

Programming example

The following command sequence shows how to use the *WAI command to allow the instrument to wait for the programmed measurements to be completed before requesting a reading.

_

:SYST:PRES

' Returns the instrument to default setup.

_

:INIT

' Starts measurement process.

_

*WAI

' Sends the WAI command. The program waits for
' the instrument to go into an idle state before
' executing the next command.


:ABORt

The ABORt command resets the trigger system and places all trigger sequences in the IDLE state. Any actions related to the trigger system that are in progress, such as a sweep or acquiring a measurement, are aborted as quickly as possible.

This command is an event and has no associated *RST condition or query form.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :ABORt
Examples | :ABOR
 | :abort


:CALCulate:ACPR:LIMit

Select a link to view the command details:

  • :CALCulate:ACPR:LIMit:ADJacent1[:STATe]
  • :CALCulate:ACPR:LIMit:ADJacent1:UPPer
  • :CALCulate:ACPR:LIMit:ADJacent2[:STATe]
  • :CALCulate:ACPR:LIMit:ADJacent2:UPPer
  • :CALCulate:ACPR:LIMit:FAIL
  • :CALCulate:ACPR:LIMit:FAIL:CHANnels

:CALCulate:ACPR:LIMit:ADJacent1[:STATe]

Queries or turns On/Off limit testing on the first adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

Examples | :CALCulate:ACPR:LIMit:ADJacent1:STATe ON
 | :CALC:ACPR:LIM:ADJ1 ON
 | :calculate:acpr:limit:adjacent1:state 0
 | :CALC:ACPR:LIM:ADJ1?

:CALCulate:ACPR:LIMit:ADJacent1:UPPer

Sets or queries the limit value for the first adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -45 | -100 | 20 | dBc

 | :CALCULATE:ACPR:LIMIT:ADJACENT1:UPPER MINIMUM
Examples | :CALC:ACPR:LIM:ADJ1:UPP MAX
 | :CALC:ACPR:LIM:ADJ1:UPP?
 | :calculate:acpr:limit:adjacent1:upper maximum

:CALCulate:ACPR:LIMit:ADJacent2[:STATe]

Queries or turns On/Off limit testing on the second adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

Examples | :CALCulate:ACPR:LIMit:ADJacent2:STATe ON
 | :CALC:ACPR:LIM:ADJ2 ON
 | :calculate:acpr:limit:adjacent2:state 0
 | :CALC:ACPR:LIM:ADJ2?

:CALCulate:ACPR:LIMit:ADJacent2:UPPer

Sets or queries the limit value for the second adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -50 | -100 | 20 | dBc

 | :CALCulate:ACPR:LIMit:ADJacent2:UPPER MINIMUM
Examples | :CALC:ACPR:LIM:ADJ2:UPP MAX
 | :CALC:ACPR:LIM:ADJ2:UPP?
 | :calculate:acpr:limit:adjacent2:upper maximum

:CALCulate:ACPR:LIMit:FAIL

Queries the fail status of the ACPR measurement. Returns 1 if there is no valid data, if no limit test is turned on or if any channel with limit test turned on has failed. Returns 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:ACPR:LIMit:FAIL?
Examples | :CALC:ACPR:LIM:FAIL?
 | :calculate:acpr:limit:fail?

:CALCulate:ACPR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. Returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, and so on. no is the number of status values. <fail status …> is 0 or 1. 0 indicates data tested with no failure; 1 indicates failure, no data or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,… ,Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:ACPR:LIMit:FAIL:CHANnels?
Examples | :CALC:ACPR:LIM:FAIL:CHAN?
 | :calc:acpr:lim:fail:channels?


:CALCulate:CDMA:REVerse

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:ACHannels
  • :CALCulate:CDMA:REVerse:ACPR:LIMit
  • :CALCulate:CDMA:REVerse:EVM
  • :CALCulate:CDMA:REVerse:FERRor
  • :CALCulate:CDMA:REVerse:IMARker
  • :CALCulate:CDMA:REVerse:IOFFset
  • :CALCulate:CDMA:REVerse:IQOFfset
  • :CALCulate:CDMA:REVerse:MERRor:PEAK
  • :CALCulate:CDMA:REVerse:MERRor[:RMS]
  • :CALCulate:CDMA:REVerse:OBWidth
  • :CALCulate:CDMA:REVerse:PERRor:PEAK
  • :CALCulate:CDMA:REVerse:PERRor[:RMS]
  • :CALCulate:CDMA:REVerse:PCDE
  • :CALCulate:CDMA:REVerse:QMARker
  • :CALCulate:CDMA:REVerse:QOFFset
  • :CALCulate:CDMA:REVerse:RHO
  • :CALCulate:CDMA:REVerse:SEMask
  • :CALCulate:CDMA:REVerse:TPOWer


:CALCulate:CDMA:REVerse:ACHannels

Queries data for active channels. Return format is no,<channel data for each of the N active channels>. Channel data is {I|Q}, SpreadFactor, CodeNumber, ChannelAmplitude. CodeNumber is in BitReverse order.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,<ACH#1 info>,…, <ACH#n info> | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACHannels?
Examples | :CALC:CDMA:REV:ACH?
 | :calculate:cdma:reverse:achannels?


:CALCulate:CDMA:REVerse:ACPR:LIMit

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels
  • :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:ACPR:LIMit[:STATe]

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL

Queries the fail status of the ACPR measurement. Returns 1 if there is no valid data, if no limit test is turned on or if any channel with limit test turned on has failed. Returns 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL?
Examples | :CALC:CDMA:REV:ACPR:LIM:FAIL?
 | :calculate:cdma:reverse:acpr:limit:fail?

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. Returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, etc. no is the number of status values. <fail status …> is 0 or 1. 0 indicates data tested with no failure; 1 indicates failure, no data or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels?
Examples | :CALC:CDMA:REV:ACPR:LIM:FAIL:CHAN?
 | :calculate:cdma:reverse:acpr:limit:fail:channels?

:CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin

Queries or sets margin for limit test. Added to the default limit value for each adjacent channel. [-50,50], default 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin
Examples | :CALC:CDMA:REV:ACPR:LIM:MARG
 | :calculate:cdma:reverse:acpr:limit:margin
 | :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin?

:CALCulate:CDMA:REVerse:ACPR:LIMit[:STATe]

Queries or turns On/Off limit testing. Applies to all adjacent channels

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:STATe On
Examples | :CALC:CDMA:REV:ACPR:LIM 1
 | :calculate:cdma:reverse:acpr:limit 1
 | :CALCulate:CDMA:REVerse:ACPR:LIMit:STATe?


:CALCulate:CDMA:REVerse:EVM

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:EVM:PEAK
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer
  • :CALCulate:CDMA:REVerse:EVM:RMS
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer

:CALCulate:CDMA:REVerse:EVM:PEAK

Queries the EVM peak value for the cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK?
Examples | :CALC:CDMA:REV:EVM:PEAK?
 | :calculate:cdma:reverse:evm:peak?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL

Queries the fail status of EVM peak limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:FAIL?
 | :calculate:cdma:reverse:evm:peak:limit:fail?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit[:STATe]

Queries or turns On/Off limit test for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:STATe 1
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:STAT On
 | :calculate:cdma:reverse:evm:peak:limit:state
 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:STATe?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer

Queries or sets limit for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | %

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:UPP
 | :calculate:cdma:reverse:evm:peak:limit:upper
 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer?

:CALCulate:CDMA:REVerse:EVM:RMS

Queries EVM rms value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS?
Examples | :CALC:CDMA:REV:EVM:RMS?
 | :calculate:cdma:reverse:evm:rms?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL

Queries fail status of EVM rms limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL?
Examples | :CALC:CDMA:REV:EVM:RMS:LIM:FAIL?
 | :calculate:cdma:reverse:rms:peak:limit:fail?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit[:STATe]

Queries or turns On/Off limit test for EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:STATe 1
Examples | :CALC:CDMA:REV:EVM:RMS:LIM 0
 | :calculate:cdma:reverse:evm:rms:limit on
 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:STATe?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer

Queries or sets limit for EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0.0 | 100 | %

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer
Examples | :CALC:CDMA:REV:EVM:RMS:LIM:UPP
 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer?
 | :calculate:cdma:reverse:evm:rms:limit:upper


:CALCulate:CDMA:REVerse:FERRor

Query frequency error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor?
Examples | :CALC:CDMA:REV:FERR?
 | :calculate:cdma:reverse:ferror?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:FERRor:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer

:CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL

Queries fail status of frequency error limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL?
Examples | :CALCulate:CDMA:REV:FERR:LIMit:FAIL?
 | :calculate:cdma:reverse:ferror:limit:fail?

:CALCulate:CDMA:REVerse:FERRor:LIMit[:STATe]

Queries or turns On/Off limit test for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:STATe 1
Examples | :CALC:CDMA:REV:FERR:LIM 0
 | :calculate:cdma:reverse:ferror:limit 0
 | :CALCulate:CDMA:REVerse:FERRor:LIMit?

:CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer

Queries or sets the limit for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 300 | 0 | 500 | Hz

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer
Examples | :CALC:CDMA:REV:FERR:LIM:UPP
 | :calculate:cdma:reverse:FERRor:limit:upper
 | :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer?


:CALCulate:CDMA:REVerse:IMARker

Select a blue link to view the command details:

  • :CALCulate:CDMA:REVerse:IMARker:CNUMber
  • :CALCulate:CDMA:REVerse:IMARker:SFACtor
  • :CALCulate:CDMA:REVerse:IMARker[:STATe]
  • :CALCulate:CDMA:REVerse:IMARker:X
  • :CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:IMARker:CNUMber

Query the code number at the X-axis position of the I marker on the code domain power graph. -1 if marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:CNUMber?
Examples | :CALC:CDMA:REV:IMAR:CNUM?
 | :calculate:cdma:reverse:imarker:cnumber?

:CALCulate:CDMA:REVerse:IMARker:SFACtor

Queries the spread factor at the X-axis position of the I marker on the code domain power graph. A 0 is returned if the marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:SFACtor?
Examples | :CALC:CDMA:REV:IMAR:SFAC?
 | :calculate:cdma:reverse:imarker:sfactor?

:CALCulate:CDMA:REVerse:IMARker[:STATe]

Queries or turns on/off the I marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:STATe 0
Examples | :CALC:CDMA:REV:IMAR 1
 | :calculate:cdma:reverse:imarker 0
 | :CALCulate:CDMA:REVerse:IMARker?

:CALCulate:CDMA:REVerse:IMARker:X

Sets or queries the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 31 | none

 | :CALCulate:CDMA:REVerse:IMARker:X MAXimum
Examples | :CALC:CDMA:REV:IMAR:X MAX
 | :calculate:cdma:reverse:imarker:x min
 | :CALCulate:CDMA:REVerse:IMARker:X?

:CALCulate:CDMA:REVerse:IMARker:Y

Query Y-axis power value of I marker on code domain power graph

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:Y?
Examples | :CALC:CDMA:REV:IMAR:Y?
 | :calculate:cdma:reverse:imarker:y?


:CALCulate:CDMA:REVerse:IOFFset

Query I offset value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IOFFset?
Examples | :CALC:CDMA:REV:IOFF?
 | :calculate:cdma:reverse:ioffset?


:CALCulate:CDMA:REVerse:IQOFfset

Query I/Q offset value for cdma2000 measurement

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset?
Examples | :CALC:CDMA:REV:IQOF?
 | :calculate:cdma:reverse:iqoffset?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL

Query fail status of I/Q offset limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL?
Examples | :CALC:CDMA:REV:IQOF:LIM:FAIL?
 | :calculate:cdma:reverse:iqoffset:limit:fail?

:CALCulate:CDMA:REVerse:IQOFfset:LIMit[:STATe]

Queries or turns on/off the limit test for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:STATe 0
Examples | :CALC:CDMA:REV:IQOF:LIM 1
 | :calculate:cdma:reverse:iqoffset:limit 0
 | :calculate:cdma:reverse:iqoffset:limit?

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer

Sets the limit for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:CDMA:REV:IQOF:LIM:UPP MAX
 | :calculate:cdma:reverse:iqoffset:limit:upper minimum
 | :calculate:cdma:reverse:iqoffset:limit:upper?


:CALCulate:CDMA:REVerse:MERRor:PEAK

Query Peak Magnitude error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:MERRor:PEAK?
Examples | :CALC:CDMA:REV:MERR:PEAK?
 | :calculate:cdma:reverse:merr:peak?


:CALCulate:CDMA:REVerse:MERRor[:RMS]

Query RMS Magnitude error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:MERRor:RMS?
Examples | :CALC:CDMA:REV:MERR?
 | :calculate:cdma:reverse:merr:rms?


:CALCulate:CDMA:REVerse:OBWidth

Query measured occupied bandwidth value, that is the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth?
Examples | :CALC:CDMA:REV:OBW?
 | :calculate:cdma:reverse:obwidth?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer
  • :CALCulate:CDMA:REVerse:OBWidth:RANGe
  • :CALCulate:CDMA:REVerse:OBWidth:TPOWer

:CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL

Queries fail status of Occupied Bandwidth limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | 1 | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL?
Examples | :CALC:CDMA:REV:OBW:LIM:FAIL?
 | :calculate:cdma:reverse:obwidth:limit:fail?

:CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin

Sets or queries the margin for occupied bandwidth limit test. This margin is added to default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR2> | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin?
Examples | :CALC:CDMA:REV:OBW:LIM:MARG?
 | :calculate:cdma:reverse:obwidth:limit:margin?

:CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]

Queries or turns on/off the limit test for occupied bandwidth

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:STATe Off
Examples | :CALC:CDMA:REV:OBW:LIM ON
 | :calculate:cdma:reverse:obwidth:limit off
 | :CALCulate:CDMA:REVerse:OBWidth:LIMit?

:CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer

Query Occupied Bandwidth upper limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer?
Examples | :CALC:CDMA:REV:OBW:LIMit:UPP?
 | :calculate:cdma:reverse:obwidth:limit:upper?

:CALCulate:CDMA:REVerse:OBWidth:RANGe

Queries the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:RANGe?
Examples | :CALC:CDMA:REV:OBW:RANG?
 | :CALCulate:CDMA:REVerse:OBWidth:RANGe?

:CALCulate:CDMA:REVerse:OBWidth:TPOWer

Query the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:TPOWer?
Examples | :CALC:CDMA:REV:OBW:TPOW?
 | :CALCulate:CDMA:REVerse:OBWidth:tpower?


:CALCulate:CDMA:REVerse:PCDE

Queries the PCDE value for a cdma2000 measurement. The query returns three comma-separated values: PCDE, spread factor of peak active CDE, and code number of peak active CDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE?
Examples | :CALC:CDMA:REV:PCDE?
 | :calculate:cdma:reverse:pcde?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL?
  • :CALCulate:CDMA:REVerse:PCDE:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer

:CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL

Queries fail status of PCDE limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed..

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL?
Examples | :CALC:CDMA:REV:PCDE:LIM:FAIL?
 | :calculate:cdma:reverse:pcde:limit:fail?

:CALCulate:CDMA:REVerse:PCDE:LIMit[:STATe]

Queries or turns on/off the limit test for PCDE

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:STATe 0
Examples | :CALC:CDMA:REV:PCDE:LIM Off
 | :calculate:cdma:reverse:pcde:limit 1
 | :CALCulate:CDMA:REVerse:PCDE:LIMit?

:CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer

Queries or sets the limit value for the PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -100 | 0 | dB

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer 0
Examples | :CALC:CDMA:REV:PCDE:LIM:UPP -100
 | :calculate:cdma:reverse:pcde:limit:upper 0
 | :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer?


:CALCulate:CDMA:REVerse:PERRor:PEAK

Query peak Phase error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PERRor:PEAK?
Examples | :CALC:CDMA:REV:PERR:PEAK?
 | :calculate:cdma:reverse:perr:peak?


:CALCulate:CDMA:REVerse:PERRor[:RMS]

Query RMS Phase error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PERRor:RMS?
Examples | :CALC:CDMA:REV:PERR:RMS?
 | :calculate:cdma:reverse:perr:rms?


:CALCulate:CDMA:REVerse:QMARker

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:QMARker:CNUMber
  • :CALCulate:CDMA:REVerse:QMARker:SFACtor
  • :CALCulate:CDMA:REVerse:QMARker[:STATe]
  • :CALCulate:CDMA:REVerse:QMARker:X
  • :CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:CDMA:REVerse:QMARker:CNUMber

Queries the code number at the X-axis position of the Q marker on the code domain power graph. A -1 is returned if the marker is off, and a 221,"Settings Conflict" error is displayed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:CNUMber?
Examples | :CALC:CDMA:REV:QMAR:CNUM?
 | :calculate:cdma:reverse:qmarker:cnumber?

:CALCulate:CDMA:REVerse:QMARker:SFACtor

Queries the spread factor at the X-axis position of the Q marker on the code domain power graph. 0 if marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:SFACtor?
Examples | :CALC:CDMA:REV:QMAR:SFAC?
 | :calculate:cdma:reverse:qmarker:sfactor?

:CALCulate:CDMA:REVerse:QMARker[:STATe]

Queries or turns on/off the Q marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:STATe 0
Examples | :CALC:CDMA:REV:QMAR
 | :calculate:cdma:reverse:qmarker 1
 | :CALCulate:CDMA:REVerse:QMARker?

:CALCulate:CDMA:REVerse:QMARker:X

Queries or sets X-axis position, that is, channel, of the Q marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 31 | none

 | :CALCulate:CDMA:REVerse:QMARker:X MAX
 | :CALC:CDMA:REV:QMAR:X 31
Examples | :calculate:cdma:reverse:qmarker:x min
 | :CALCulate:CDMA:REVerse:QMARker:X?

:CALCulate:CDMA:REVerse:QMARker:Y

Reads the Y-axis power value of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:Y?
 | :CALC:CDMA:REV:QMAR:Y?
Examples | :calculate:cdma:reverse:qmarker:y?


:CALCulate:CDMA:REVerse:QOFFset

Queries Q offset value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QOFFset?
Examples | :CALC:CDMA:REV:QOFF?
 | :calculate:cdma:reverse:qoffset?


:CALCulate:CDMA:REVerse:RHO

Queries total power value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO?
Examples | :CALC:CDMA:REV:RHO?
 | :calculate:cdma:reverse:rho?

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:RHO:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer
  • :CALCulate:CDMA:REVerse:RHO:LIMit[:STATe]

:CALCulate:CDMA:REVerse:RHO:LIMit:FAIL

Queries fail status of Rho limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:FAIL?
Examples | :CALC:CDMA:REV:RHO:LIM:FAIL?
 | :calculate:cdma:reverse:rho:limit:fail?

:CALCulate:CDMA:REVerse:RHO:LIMit:LOWer

Queries or sets the low limit for Rho.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.994 | 0 | 1 | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer
Examples | :CALC:CDMA:REV:RHO:LIM:LOW
 | :calculate:cdma:reverse:rho:limit:lower
 | :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer?

:CALCulate:CDMA:REVerse:RHO:LIMit[:STATe]

Queries or turns on/off limit test for Rho.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:STATe 0
Examples | :CALC:CDMA:REV:RHO:LIM 0
 | :calculate:cdma:reverse:rho:limit 1
 | :CALCulate:CDMA:REVerse:RHO:LIMit?


:CALCulate:CDMA:REVerse:SEMask

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:SEMask:CPOWer
  • :CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:SEMask:LIMit[:STATe]

:CALCulate:CDMA:REVerse:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:CPOWer?
Examples | :CALC:CDMA:REV:SEM:CPOW?
 | :calculate:cdma:reverse:semask:cpower?

:CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. 1 indicates that data is tested and failed, no data, or limit state is off. 0 indicates that data is tested and passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL?
Examples | :CALC:CDMA:REV:SEM:LIM:FAIL?
 | :calculate:cdma:reverse:semask:limit:fail?

:CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin

Queries or sets the margin for spectrum emission limit test.This margin is added to the default limit values for each frequency as derived from the cdma2000 standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin -50
Examples | :CALC:CDMA:REV:SEM:LIM:MARG 0
 | :calculate:cdma:reverse:semask:limit:margin 50
 | :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin?

:CALCulate:CDMA:REVerse:SEMask:LIMit[:STATe]

Queries or turns on/off the limit test for spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:STATe 0
Examples | :CALC:CDMA:REV:SEM:LIM 1
 | :calculate:cdma:reverse:semask:limit on
 | :CALCulate:CDMA:REVerse:SEMask:LIMit?


:CALCulate:CDMA:REVerse:TPOWer

Queries the rho value for a cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:TPOWer?
Examples | :CALC:CDMA:REV:TPOW?
 | :calculate:cdma:reverse:tpower?


:CALCulate:DATA

Reads the data on the graph display for the currently active measurement. Returns ASCII, Real 32, Real 64. The data type follows the :FORMat command.

NOTE: The amount of return data varies widely, depending on the trace data of a currently active measurement. This command could return a few items, or hundreds of items.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA?
Examples | :CALC:DATA?
 | :calculate:data?

_
Select a link to view further command details:

  • :CALCulate:DATA:DMODulation:SOURce
  • :CALCulate:DATA:COUNt
  • :CALCulate:DATA:VALid

:CALCulate:DATA:COUNt

Returns zero if a :CALCulate:DATA? query will return valid data (Data Corrupt or Stale error -- error -230). Returns the number of data elements returned by :CALCulate:DATA? for the current measurement and trace type, if the current measurement has a trace type selection. When the selected trace type is None, zero is returned even when : CALCulate:DATA:VALid? returns true.

For some measurements and trace types, a data element may be an I/Q or x/y data pair.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA:COUNt?
Examples | :CALC:DATA:COUN?
 | :calculate:data:count?

:CALCulate:DATA:DMODulation:SOURce

Queries or sets which source of data will be returned by CALC:DATA? while in a digital demodulation measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | TRAJectories | POINts | SYMBols | none | n/a | n/a | n/a | none

 | :CALCulate:DATA:DMODulation:SOURce
Examples | :CALC:DATA:DMOD:SOUR
 | :calculate:data:demodulation:source
 | :CALCulate:DATA:DMODulation:SOURce?

:CALCulate:DATA:VALid

Queries the completion of a measurement.

A "1" is returned when the measurement was completed successfully, after which you can proceed to read the data. If a "0" is returned, then you know that the measurement failed to lock on the burst/carrier and there is no data to read.

Returns an ascii boolean indicating whether the last measurement successfully produced valid data. It is generally used to determine when a demodulation measurement such as EDGE EVM or WCDMA Demodulate was able to lock on to the input signal and produce an output. When this returns false, any data queries will result in Stale Data errors.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA:VALid?
Examples | :CALC:DATA:VAL?
 | :calculate:data:valid?


:CALCulate:EDGE

Select a link to view the command details:

  • :CALCulate:EDGE:CONStellation
  • :CALCulate:EDGE:CPOWer
  • :CALCulate:EDGE:EVECtors:DATA
  • :CALCulate:EDGE:EVM:CFERror
  • :CALCulate:EDGE:EVM:DATA
  • :CALCulate:EDGE:EVM:DROop
  • :CALCulate:EDGE:EVM:IQGError
  • :CALCulate:EDGE:EVM:IQOOffset
  • :CALCulate:EDGE:EVM:LIMit
  • :CALCulate:EDGE:EVM:P95
  • :CALCulate:EDGE:EVM:PEAK
  • :CALCulate:EDGE:EVM:RMS
  • :CALCulate:EDGE:EVMTrace:DATA
  • :CALCulate:EDGE:IQData:DATA
  • :CALCulate:EDGE:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:MODulation
  • :CALCulate:EDGE:ORFS:SWITching
  • :CALCulate:EDGE:SYMBol:DATA
  • :CALCULATE:EDGE:TMASk


:CALCulate:EDGE:CONStellation

Select a link to view the command details:

  • :CALCulate:EDGE:CONStellation:DATA:X
  • :CALCulate:EDGE:CONStellation:DATA[:Y]

:CALCulate:EDGE:CONStellation:DATA:X

Returns the complex points representing the constellation diagram. Constellation diagram must be selected using :DISP:VIEW:EDGE:TYPE. Real part in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:CONStellation:DATA:X?
Examples | :CALC:EDGE:CONS:DATA:X?
 | :calculate:edge:constellation:data:x?

:CALCulate:EDGE:CONStellation:DATA[:Y]

Returns the complex points representing the constellation diagram. Constellation diagram must be selected using :DISP:VIEW:EDGE:TYPE. Real part in DATA:X?, imaginary in DATA?. Data type follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:CONStellation:DATA:Y?
Examples | :CALC:EDGE:CONS:DATA:Y?
 | :calculate:edge:constellation:data:y?


:CALCulate:EDGE:CPOWer

Select a link to view the command details:

  • :CALCulate:EDGE:CPOWer:DATA
  • :CALCulate:EDGE:CPOWer:LIMit:FAIL
  • :CALCulate:EDGE:CPOWer:LIMit:FCOunt
  • :CALCulate:EDGE:CPOWer:LIMit:MARGin
  • :CALCulate:EDGE:CPOWer:LIMit[:MAX]
  • :CALCulate:EDGE:CPOWer:LIMit:MIN
  • :CALCulate:EDGE:CPOWer:LIMit:STATus

:CALCulate:EDGE:CPOWer:DATA

Reads the channel power in dBm and returns a single ASCII value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:CPOWer:DATA?
Examples | :CALC:EDGE:CPOW:DATA?
 | :calculate:edge:cpower:data?

:CALCulate:EDGE:CPOWer:LIMit:FAIL

Reads the channel power limit test failure status. A single Boolean value is returned. Returns "1" if channel power fails its limit test or there is no limit. Returns "0" on pass. A "0" means that a valid limit was applied, "1" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:FAIL?
Examples | :CALC:EDGE:CPOW:LIM:FAIL?
 | :calculate:edge:cpower:limit:fail?

:CALCulate:EDGE:CPOWer:LIMit:FCOunt

Reads the number of measured values in the EDGE channel power data block that failed the limit test. Returns "1" if channel power fails its limit test, zero if passed, "-1" if no limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:FCOunt?
Examples | :CALC:EDGE:CPOW:LIM:FCO?
 | :calculate:edge:cpower:limit:fcount?

:CALCulate:EDGE:CPOWer:LIMit:MARGin

Returns the worst case margin between the upper and lower limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:CPOWer:LIMit:MARGin?
Examples | :CALC:EDGE:CPOW:LIM:MARG?
 | :calculate:edge:cpower:limit:margin?

:CALCulate:EDGE:CPOWer:LIMit[:MAX]

Sets or queries the maximum channel power in dBm. If the value is set to 200, the limit is not applied to the test. Default = +200 dBm (disabled).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 200 | -100 | 200 | dBm

 | :CALCulate:EDGE:CPOWer:LIMit:MAX MAXimum
Examples | :CALC:EDGE:CPOW:LIM:MAX MAX
 | :calculate:edge:cpower:limit:max maximum
 | :CALCulate:EDGE:CPOWer:LIMit:MAX?

:CALCulate:EDGE:CPOWer:LIMit:MIN

Queries or sets the minimum channel power in dBm. If the value is set to -200, the limit is not applied to the test. When you choose the limit value, you should take into account both the fixture loss and the measurement uncertainty.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -200 | -200 | 100 | dBm

 | :CALCulate:EDGE:CPOWer:LIMit:MIN MAXimum
Examples | :CALC:EDGE:CPOW:LIM:MIN MAX
 | :calculate:edge:cpower:limit:min maximum
 | :CALCulate:EDGE:CPOWer:LIMit:MIN?

:CALCulate:EDGE:CPOWer:LIMit:STATus

Reads if the channel power limit test is enabled. Returns "1" if there is a valid upper or lower limit (or both.) A value of -1 means limits not turned on, in which case, it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:STATus?
Examples | :CALC:EDGE:CPOW:LIM:STAT?
 | :calculate:edge:cpower:limit:status?


:CALCulate:EDGE:EVECtors:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:EVECtors:DATA:X
  • :CALCulate:EDGE:EVECtors:DATA[:Y]

:CALCulate:EDGE:EVECtors:DATA:X

Returns the complex error vectors for the 142 decision points in the useful part of the burst.The EVM Trace or constellation must be selected using :DISP:VIEW:EDGE:TYPE. The real part is in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:EVECtors:DATA:X?
Examples | :CALC:EDGE:EVEC:DATA:X?
 | :calculate:edge:evectors:data:x?

:CALCulate:EDGE:EVECtors:DATA[:Y]

Returns the complex error vectors for the 142 decision points in the useful part of burst. The EVM Trace or constellation must be selected using :DISP:VIEW:EDGE:TYPE. Real part is in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:EVECtors:DATA::Y?
Examples | :CALC:EDGE:EVEC:DATA:Y?
 | :calculate:edge:evectors:data:y?

:CALCulate:EDGE:EVM:CFERror

Returns the Edge EVM carrier frequency error measurement result (in Hz).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:EDGE:EVM:CFERror?
Examples | :CALC:EDGE:EVM:CFER?
 | :calculate:edge:evm:cferror?


:CALCulate:EDGE:EVM:DATA

Returns the EVM measurement data, 7 values, ASCII, comma separated: rms EVM, peak EVM, 95 percentile EVM, carrier frequency offset in Hz, IQ Gain error in DB, origin offset in dB, droop in dB/burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:EDGE:EVM:DATA?
Examples | :CALC:EDGE:EVM:DATA?
 | :calculate:edge:evm:data?

:CALCulate:EDGE:EVM:DROop

Returns the Edge EVM droop measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB/burst

 | :CALCulate:EDGE:EVM:DROop?
Examples | :CALC:EDGE:EVM:DRO?
 | :calculate:edge:evm:droop?

:CALCulate:EDGE:EVM:IQGError

Returns the Edge EVM IQ gain error measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:IQGError?
Examples | :CALC:EDGE:EVM:IQGE?
 | :calculate:edge:evm:iqgerror?

:CALCulate:EDGE:EVM:IQOOffset

Returns the Edge EVM IQ origin offset measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:IQOOffset?
Examples | :CALC:EDGE:EVM:IQOO?
 | :calculate:edge:evm:iqooffset?


:CALCulate:EDGE:EVM:LIMit

Select a link to view the command details:

  • :CALCulate:EDGE:EVM:LIMit:FAIL
  • :CALCulate:EDGE:EVM:LIMit:FCOunt
  • :CALCulate:EDGE:EVM:LIMit:FREQ
  • :CALCulate:EDGE:EVM:LIMit:MARGin
  • :CALCulate:EDGE:EVM:LIMit:NFIVe
  • :CALCulate:EDGE:EVM:LIMit:OFFSet
  • :CALCulate:EDGE:EVM:LIMit:PEAK
  • :CALCulate:EDGE:EVM:LIMit:RMS
  • :CALCulate:EDGE:EVM:LIMit:STATus

:CALCulate:EDGE:EVM:LIMit:FAIL

Returns an array of boolean results, one value per measured quantity, as in EDGE:EVM:DATA?. A "1" indicates a fail or no limit applied, "0" indicates a pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:FAIL?
Examples | :CALC:EDGE:EVM:LIM:FAIL?
 | :calculate:edge:evm:limit:fail?

:CALCulate:EDGE:EVM:LIMit:FCOunt

Returns the number of measured values in the EDGE EVM data block that failed the limit. A value of zero means all passed, a value of -1 means none of the items had a limit turned on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:FCOunt?
Examples | :CALC:EDGE:EVM:LIM:FCO?
 | :calculate:edge:EVM:limit:fcount?

:CALCulate:EDGE:EVM:LIMit:FREQ

Queries the largest frequency error expressed in parts per million.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 1000 | ppm

 | :CALCulate:EDGE:EVM:LIMit:FREQuency 500
Examples | :CALC:EDGE:EVM:LIM:FREQ 500
 | :calculate:edge:evm:limit:frequency
 | :CALC:EDGE:EVM:LIM:FREQ?

:CALCulate:EDGE:EVM:LIMit:MARGin

Returns an array of margins, as they appear in the data table, one margin per measured value. Array is the same length as EDGE:EVM:DATA?. A zero is returned when no limit is applied. A negative margin indicates a failed limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:LIMit:MARGin?
Examples | :CALC:EDGE:EVM:LIM:MARG?
 | :calculate:edge:evm:limit:margin?

:CALCulate:EDGE:EVM:LIMit:NFIVe

Sets or queries the limit value for the 95 percentile frequency error, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 15 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:NFIVe MAXimum
Examples | :CALC:EDGE:EVM:LIM:NFIV MAX
 | :calculate:edge:evm:limit:nfive maximum
 | :CALC:EDGE:EVM:LIM:NFIV?

:CALCulate:EDGE:EVM:LIMit:OFFSet

Sets or queries the limit value for the origin offset, expressed in decibels.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -30 | -200 | 200 | dB

 | :CALCulate:EDGE:EVM:LIMit:OFFSet MAXimum
Examples | :CALC:EDGE:EVM:LIM:OFFS MAX
 | :calculate:edge:evm:limit:offset maximum
 | :CALC:EDGE:EVM:LIM:OFFS?

:CALCulate:EDGE:EVM:LIMit:PEAK

Sets or queries the upper limit value for the error vector magnitude peak, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 30 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:PEAK MAXimum
Examples | :CALC:EDGE:EVM:LIM:PEAK MAX
 | :calculate:edge:evm:limit:peak maximum
 | :CALC:EDGE:EVM:LIM:PEAK?

:CALCulate:EDGE:EVM:LIMit:RMS

Sets the upper limit value for the RMS error vector magnitude, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:RMS MAXimum
Examples | :CALC:EDGE:EVM:LIM:RMS MAX
 | :calculate:edge:evm:limit:rms maximum
 | :CALC:EDGE:EVM:LIM:RMS?

:CALCulate:EDGE:EVM:LIMit:STATus

Returns an array of booleans, one boolean per limit returned in LIMit:FAIL? query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, and isplays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:STATus?
Examples | :CALC:EDGE:EVM:LIM:STAT?
 | :calculate:edge:evm:limit:status?

:CALCulate:EDGE:EVM:P95

Returns the Edge EVM 95th percentile measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:P95?
Examples | :CALC:EDGE:EVM:P95?
 | :calculate:edge:evm:p95?

:CALCulate:EDGE:EVM:PEAK

Returns the Edge EVM peak measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:PEAK?
Examples | :CALC:EDGE:EVM:PEAK?
 | :calculate:edge:evm:peak?

:CALCulate:EDGE:EVM:RMS

Returns the Edge EVM RMS measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:RMS?
Examples | :CALC:EDGE:EVM:RMS?
 | :calculate:edge:evm:rms?


:CALCulate:EDGE:EVMTrace:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:EVMTrace:DATA:X
  • :CALCulate:EDGE:EVMTrace:DATA[:Y]

:CALCulate:EDGE:EVMTrace:DATA:X

Returns the x axis data, in seconds, that is associated with the EVM trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:EDGE:EVMTrace:DATA:X?
Examples | :CALC:EDGE:EVMT:DATA:X?
 | :calculate:edge:evmtrace:data:x?

:CALCulate:EDGE:EVMTrace:DATA[:Y]

Returns the array corresponding to the EVM trace selection, in percent. The EVM trace must be selected using :DISP:VIEW:EDGE:TYPE. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | percent

 | :CALCulate:EDGE:EVMTrace:DATA:Y?
Examples | :CALC:EDGE:EVMT:DATA:Y?
 | :calculate:edge:evmtrace:data:y?


:CALCulate:EDGE:IQData:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:IQData:DATA:X
  • :CALCulate:EDGE:IQData:DATA[:Y]

:CALCulate:EDGE:IQData:DATA:X

Returns the complex IQ data sampled at 1.625 MHz (6 samples per symbol), real part in DATA:X?, imaginary in DATA?. The Data type follows the FORM command. The Constellation trace type must be selected with DISP:VIEW:EDGE:TYPE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:IQData:DATA:X?
Examples | :CALC:EDGE:IQD:DATA:X?
 | :calculate:edge:iqdata:data:x?

:CALCulate:EDGE:IQData:DATA[:Y]

Returns the complex IQ data sampled at 1.625 MHz (6 samples per symbol), real part in DATA:X?, imaginary in DATA?. Data type follows FORM command. Constellation trace type must be selected with DISP:VIEW:EDGE:TYPE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:IQData:DATA:Y?
Examples | :CALC:EDGE:IQD:DATA:Y?
 | :calculate:edge:iqdata:data:y?


:CALCulate:EDGE:LIMit:FAIL

Reads the EDGE limit test. Returns a boolean - 1 if at least one EDGE measurement failed, 0 if all passed. A value of -1 means none of the items had a limit turned on, in which case it returns -230,"Data Corrupt or Stale"

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:LIMit:FAIL?
Examples | :CALC:EDGE:LIM:FAIL?
 | :calculate:edge:limit:fail?


:CALCulate:EDGE:ORFS:MODulation

Select a link to view the command details:

  • :CALCulate:EDGE:ORFS:MODulation:DATA:X
  • :CALCulate:EDGE:ORFS:MODulation:DATA[:Y]
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:STATus
  • :CALCulate:EDGE:ORFS:MODulation:REFerence

:CALCulate:EDGE:ORFS:MODulation:DATA:X

Returns the frequency offsets used to measure ORFS due to modulation, from the largest negative offset to the largest positive offset. Use the :CALC:ORFS:MOD:REF? command to convert the offset to dBm. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:MODulation:DATA:X?
Examples | :CALC:EDGE:ORFS:MOD:DATA:X?
 | :calculate:edge:orfs:modulation:data:x?

:CALCulate:EDGE:ORFS:MODulation:DATA[:Y]

Returns the ORFS due to modulation data in dBc, from largest negative offset to largest positive. Data comes in pairs, first value being offset in Hz and the second value being ORFS in dBc.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:MODulation:DATA:Y?
Examples | :CALC:EDGE:ORFS:MOD:DATA:Y?
 | :calculate:edge:orfs:modulation:data:y?

:CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL

Returns a boolean array the same length as the data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL?
Examples | :CALC:EDGE:ORFS:MOD:LIM:FAIL?
 | :calculate:edge:orfs:modulation:limit:fail?

:CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt?
Examples | :CALC:EDGE:ORFS:MOD:LIM:FCO?
 | :calculate:edge:orfs:modulation:limit:fcount?

:CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin?
Examples | :CALC:EDGE:ORFS:MOD:LIM:MARG?
 | :calculate:edge:orfs:modulation:limit:margin?

:CALCulate:EDGE:ORFS:MODulation:LIMit:STATus

Returns an ascii floating point array, the same length and order as data query, given the worst case margin at each point. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:STATus?
Examples | :CALC:EDGE:ORFS:MOD:LIM:STAT?
 | :calculate:edge:orfs:modulation:limit:status?

:CALCulate:EDGE:ORFS:MODulation:REFerence

Returns the measured power in dBm at the 0 Hz offset. You can also use this value to convert ORFS values from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:ORFS:MODulation:REFerence?
Examples | :CALC:EDGE:ORFS:MOD:REF?
 | :calculate:edge:orfs:modulation:reference?


:CALCulate:EDGE:ORFS:SWITching

Select a link to view the command details:

  • :CALCulate:EDGE:ORFS:SWITching:DATA:X
  • :CALCulate:EDGE:ORFS:SWITching:DATA[:Y]
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:STATus
  • :CALCulate:EDGE:ORFS:SWITching:REFerence

:CALCulate:EDGE:ORFS:SWITching:DATA:X

Returns the offsets where the ORFS was measured. These offset values correspond to the data values in the DATA? query. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:EDGE:ORFS:SWITching:DATA:X?
Examples | :CALC:EDGE:ORFS:SWIT:DATA:X?
 | :calculate:edge:orfs:switching:data:x?

:CALCulate:EDGE:ORFS:SWITching:DATA[:Y]

Reads the ORFS due to switching data in dBc, from largest negative offset to largest positive. Use the :CALC:EDDGE:ORFS:SWIT:REF? to convert to dBm. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:SWITching:DATA:Y?
Examples | :CALC:EDGE:ORFS:SWIT:DATA:Y?
 | :calculate:edge:orfs:switching:data:y?

:CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL

Returns the ORFS due to switching data in dBc, from largest negative offset to largest positive. Value is ORFS in dBc. Use ORFS:MOD:REF? to convert to dBm. Return data format follows FORM command.

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:FAIL?
 | :calculate:edge:orfs:switching:limit:fail?

:CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | <Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:FCO?
 | :calculate:edge:orfs:switching:limit:fcount?

:CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin

Reads the ORFS due to switching limit test and returns an ASCII floating point array, same length and order as data query, given worst case margin at each point. The values are dependent on settings for ORFS Switching detector mode, averaging data type, and so on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:MARG?
 | :calculate:edge:orfs:switching:limit:margin?

:CALCulate:EDGE:ORFS:SWITching:LIMit:STATus

Returns an ASCII boolean array, same length and order as data query. A "1" means a valid limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:STATus?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:STAT?
 | :calculate:edge:orfs:switching:limit:status?

:CALCulate:EDGE:ORFS:SWITching:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this value to convert ORFS values from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:ORFS:SWITching:REFerence?
Examples | :CALC:EDGE:ORFS:SWIT:REF?
 | :calculate:edge:orfs:switching:reference?


:CALCulate:EDGE:SYMBol:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:SYMBol:DATA:X
  • :CALCulate:EDGE:SYMBol:DATA[:Y]

:CALCulate:EDGE:SYMBol:DATA:X

Returns the X axis associated with the :CALC:EDGE:SYMBOL:DATA? command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:SYMBol:DATA:X?
Examples | :CALC:EDGE:SYMB:DATA:X?
 | :calculate:edge:symbol:data:x?

:CALCulate:EDGE:SYMBol:DATA[:Y]

Returns the symbol trace, 282 points (2*142 - 2). To create the staircase appearance, each value is repeated twice, except for the first and last symbol.

Note: The Symbol trace must be selected with DISP:VIEW:EDGE:TYPE SYM. Data type follow the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | symbol

 | :CALCulate:EDGE:SYMBol:DATA:Y?
Examples | :CALC:EDGE:SYMB:DATA:Y?
 | :calculate:edge:symbol:data:y?


:CALCulate:EDGE:TMASk

Select a link to view the command details:

  • :CALCulate:EDGE:TMASk:DATA:X
  • :CALCulate:EDGE:TMASk:DATA[:Y]
  • :CALCulate:EDGE:TMASk:LIMit
  • :CALCulate:EDGE:TMASk:LIMit:FAIL
  • :CALCulate:EDGE:TMASk:LIMit:FCOunt
  • :CALCulate:EDGE:TMASk:LIMit:MARGin
  • :CALCulate:EDGE:TMASk:LIMit:STATus

:CALCulate:EDGE:TMASk:DATA:X

Returns an array of floating point values. The time values correspond to the time mask data from the :CALCulate:EDGE:TMASk:DATA? query. The return data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:DATA:X?
Examples | :CALC:EDGE:TMAS:DATA:X?
 | :calculate:edge:tmask:data:x?

:CALCulate:EDGE:TMASk:DATA[:Y]

Returns an array of floating point values. The time mask is in dBm. Return data type follows the FORM command; binary or ascii.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:DATA:Y?
Examples | :CALC:EDGE:TMAS:DATA:Y?
 | :calculate:edge:tmask:data:y?

:CALCulate:EDGE:TMASk:LIMit

Queries or sets a time mask limit table as a comma-separated list with four numbers per row. The file is in the following form: time, max dBc, max dBm, min dBc.

Note: The EDGE standards specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the EDGE standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :CALCulate:EDGE:TMASk:LIMit
Examples | :CALC:EDGE:TMAS:LIM
 | :calculate:edge:tmask:limit
 | :CALC:EDGE:TMAS:LIM?

:CALCulate:EDGE:TMASk:LIMit:FAIL

Reads the time mask limit test and returns a 3 element array of booleans, corresponding to rising, middle and falling parts of bursts. "1" means fail or no limit. "0" means pass. A value of -1 means none of the items had a limit turned on, in which case it displays error code -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:FAIL?
Examples | :CALC:EDGE:TMAS:LIM:FAIL?
 | :calculate:edge:tmask:limit:fail?

:CALCulate:EDGE:TMASk:LIMit:FCOunt

Returns an integer indicating how many of the three parts of the time mask failed. A "0" indicates pass, a "-1" indicates no limit applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:FCOunt?
Examples | :CALC:EDGE:TMAS:LIM:FCO?
 | :calculate:edge:tmask:limit:fcount?

:CALCulate:EDGE:TMASk:LIMit:MARGin

Reads the time mask limit test and returns an array of three elements that correspond to the rising, middle, and falling portions of the time mask. Returns the worst case margin between upper dBc and lower dBc limit and upper dBm limit. A negative margin indicates a fail.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:TMASk:LIMit:MARGin?
Examples | :CALC:EDGE:TMAS:LIM:MARG?
 | :calculate:edge:tmask:limit:margin?

:CALCulate:EDGE:TMASk:LIMit:STATus

Reads if the time mask limit test is applied and returns an array of three elements that correspond to the rising, middle, and falling portions of the time mask. A value of "1" means valid limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230, "Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:STATus?
Examples | :CALC:EDGE:TMAS:LIM:STAT?
 | :calculate:edge:tmask:limit:status?


:CALCulate:FSK

Select a link to view the command details:

  • :CALCulate:FSK:ADRoop
  • :CALCulate:FSK:COFFset
  • :CALCulate:FSK:EVM:ENSemble
  • :CALCulate:FSK:EVM:PEAK
  • :CALCulate:FSK:EVM:PEAK:OFFSet
  • :CALCulate:FSK:EVM:RMS
  • :CALCulate:FSK:FDRift
  • :CALCulate:FSK:FSEParation
  • :CALCulate:FSK:IQRatio
  • :CALCulate:FSK:LEVel[:RMS]
  • :CALCulate:FSK:NSYMbols
  • :CALCulate:FSK:ORATio
  • :CALCulate:FSK:SRATe

:CALCulate:FSK:ADRoop

Returns Amplitude Droop for the FSK format.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:FSK:ADRoop?
Examples | :CALC:FSK:ADR?
 | :calculate:fsk:adroop?

:CALCulate:FSK:COFFset

Returns the carrier offset for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:FSK:COFFset?
Examples | :CALC:FSK:COFF?
 | :calculate:fsk:coffset?

:CALCulate:FSK:EVM:ENSemble

Returns the ensemble error vector magnitude for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:ENSemble?
Examples | :CALC:FSK:EVM:ENS?
 | :calculate:fsk:evm:ensemble?

:CALCulate:FSK:EVM:PEAK

Returns error vector magnitude (peak) for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:PEAK?
Examples | :CALC:FSK:EVM:PEAK?
 | :calculate:fsk:evm:peak?

:CALCulate:FSK:EVM:PEAK:OFFSet

Returns the location of the peak EVM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | symbols

 | :CALCulate:FSK:EVM:PEAK:OFFSet?
Examples | :CALC:FSK:EVM:PEAK:OFFS?
 | :calculate:fsk:evm:peak:offset?

:CALCulate:FSK:EVM:RMS

Returns symbol error vector magnitude (rms) for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:RMS?
Examples | :CALC:FSK:EVM:RMS?
 | :calculate:fsk:evm:rms?

:CALCulate:FSK:FDRift

Returns the frequency drift for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz / usec

 | :CALCulate:FSK:FDRift?
Examples | :CALC:FSK:FDR?
 | :calculate:fsk:fdrift?

:CALCulate:FSK:FSEParation

Returns the frequency separation of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:FSK:FSEParation?
Examples | :CALC:FSK:FSEP?
 | :calculate:fsk:fseparation?

:CALCulate:FSK:IQRatio

Returns the ratio of I/Q.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:IQRatio?
Examples | :CALC:FSK:IQR?
 | :calculate:fsk:iqratio?

:CALCulate:FSK:LEVel[:RMS]

Returns the signal level of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:FSK:LEVel:RMS?
Examples | :CALC:FSK:LEV?
 | :calculate:fsk:level:rms?

:CALCulate:FSK:NSYMbols

Returns the number of symbols used to perform demodulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:NSYMbols?
Examples | :CALC:FSK:NSYM?
 | :calculate:fsk:nsymbols?

:CALCulate:FSK:ORATio

Returns the FSK oversample ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:ORATio?
Examples | :CALC:FSK:ORAT?
 | :calculate:fsk:oratio?

:CALCulate:FSK:SRATe

Returns the symbol rate of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | samples/sec

 | :CALCulate:FSK:SRATe?
Examples | :CALC:FSK:SRAT?
 | :calculate:fsk:srate?


:CALCulate:GPSEM

Select a link to view the command details:

  • CALCulate:GPSEM:CPOWer
  • CALCulate:GPSEM:DATA
  • CALCulate:GPSEM:LIMit:FAIL
  • :CALCulate:GPSEM:LIMit:MARGin
  • :CALCulate:GPSEM:LIMit[:STATe]
  • :CALCulate:GPSEM:OBW
  • :CALCulate:GPSEM:PSD

Queries or switches on/off the limit test for the GP SEM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit[:STATe] Off
Examples | :CALC:GPSEM:LIM 0
 | :calculate:gpsem:limit:state off
 | :CALC:GPSEM:LIM?

  • :CALCulate:GPSEM:PSD

:CALCulate:GPSEM:CPOWer

Returns a single value (ascii) - channel power in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GPSEM:CPOWer?
Examples | :CALC:GPSEM:CPOW?
 | :calculate:gpsem:cpower?

:CALCulate:GPSEM:DATA

Returns a numeric array for the GP SEM Measurement. The data is returned as 80 comma separated numbers. There are four numbers for each segment. The values for each segment are:

  • High side frequency of minimum margin to the SEM limits
  • High side value of minimum margin to the SEM limits
  • High side frequency of minimum margin to the SEM limits
  • High side value of minimum margin to the SEM limits

The data for all 20 segments is returned regardless of the number of segments defined in the SEM configuration dialog. Values for unused segments are set to 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,...,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GPSEM:DATA?
Examples | :CALC:GPSEM:DATA?
 | :calculate:gpsem:data?

:CALCulate:GPSEM:LIMit:FAIL

Queries fail status of the GP SEM limit test. A value of 1 indicates failure; a value of 0 indicates no failure.

NOTE: No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit:FAIL?
Examples | :CALC:GPSEM:LIM:FAIL?
 | :calculate:gpsem:limit:fail?

:CALCulate:GPSEM:LIMit:MARGin

Queries or sets the margin for limit test. This value is added to the default limit values for each frequency as derived from the user defined GP SEM Mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:GPSEM:LIMit:MARGin MAXimum
Examples | :CALC:GPSEM:LIM:FAIL:MARG MAX
 | :calculate:gpsem:limit:margin maximum
 | :CALC:GPSEM:LIM:FAIL:MARG?

:CALCulate:GPSEM:LIMit[:STATe]

Queries or switches on/off the limit test for the GP SEM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit:STATe Off
Examples | :CALC:GPSEM:LIM 0
 | :calculate:gpsem:limit:state off
 | :CALC:GPSEM:LIM?

:CALCulate:GPSEM:OBW

Returnes a single value (ascii) for the GP SEM Occupied Bandwidth in MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | MHz

 | :CALCulate:GPSEM:OBW
Examples | :CALC:GPSEM:OBW 0
 | :calculate:gpsem:obw
 | :CALC:GPSEM:OBW?

:CALCulate:GPSEM:PSD

Returns a single value (ascii) for the GP SEM PSD measurement in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GPSEM:PSD?
Examples | :CALC:GPSEM:PSD?
 | :calculate:gpsem:psd?
 | :CALC:GPSEM:PSD?


:CALCulate:GSM

Select a link to view the command details:

  • :CALCulate:GSM:CPOWer
  • :CALCulate:GSM:LIMit:FAIL
  • :CALCulate:GSM:ORFS:MODulation
  • :CALCulate:GSM:ORFS:SWITching
  • :CALCulate:GSM:PERRor
  • :CALCulate:GSM:SYMBol:DATA
  • :CALCulate:GSM:TMASk


:CALCulate:GSM:CPOWer

Select a link to view the command details:

  • :CALCulate:GSM:CPOWer:DATA
  • :CALCulate:GSM:CPOWer:LIMit:FAIL
  • :CALCulate:GSM:CPOWer:LIMit:FCOunt
  • :CALCulate:GSM:CPOWer:LIMit:MARGin
  • :CALCulate:GSM:CPOWer:LIMit[:MAX]
  • :CALCulate:GSM:CPOWer:LIMit:MIN
  • :CALCulate:GSM:CPOWer:LIMit:STATus

:CALCulate:GSM:CPOWer:DATA

Queries the channel power in dBm measured in accordance with 3GPP standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:CPOWer:DATA?
Examples | :CALC:GSM:CPOW:DATA?
 | :calculate:gsm:cpower:data?

:CALCulate:GSM:CPOWer:LIMit:FAIL

Queries the channel power. It returns a "1" if Channel Power fails its limit test or there is no limit, a "0" if the limit test passes. A "0" means that a valid limit was applied, "1" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:FAIL?
Examples | :CALC:GSM:CPOW:LIM:FAIL?
 | :calculate:gsm:cpower:limit:fail?

:CALCulate:GSM:CPOWer:LIMit:FCOunt

Returns a "1" if Channel Power fails its limit test, a zero if passed, or -1 if no limit was applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:FCOunt?
Examples | :CALC:GSM:CPOW:LIM:FCO?
 | :calculate:gsm:cpower:limit:fcount?

:CALCulate:GSM:CPOWer:LIMit:MARGin

Returns the worst case margin between the upper and lower limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:CPOWer:LIMit:MARGin?
Examples | :CALC:GSM:CPOW:LIM:MARG?
 | :calculate:gsm:cpower:limit:margin?

:CALCulate:GSM:CPOWer:LIMit[:MAX]

Queries or sets the largest acceptable channel power value, in dBm. If the value is set to 200, the limit is not applied to the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 200 | -100 | 200 | dBm

 | :CALCulate:GSM:CPOWer:LIMit:MAX MAXimum
Examples | :CALC:GSM:CPOW:LIM MAX
 | :calculate:gsm:cpower:limit:maximum maximum
 | :CALC:GSM:CPOW:LIM?

:CALCulate:GSM:CPOWer:LIMit:MIN

Queries or sets the smallest acceptable channel power value, in dBm. If the value is set to -200, the limit is not applied to the test. When you choose the limit value, you should take into account both the fixture loss and the measurement uncertainty.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -200 | -200 | 200 | dBm

 | :CALCulate:GSM:CPOWer:LIMit:MIN MAXimum
Examples | :CALC:GSM:CPOW:LIM:MIN MAX
 | :calculate:gsm:cpower:limit:minimum maximum
 | :CALC:GSM:CPOW:LIM:MIN?

:CALCulate:GSM:CPOWer:LIMit:STATus

Reads if the channel power limit test is applied. Returns "1" if there is a valid upper or lower limit (or both.) A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:STATus?
Examples | :CALC:GSM:CPOW:LIM:STAT?
 | :calculate:gsm:cpower:limit:status?


:CALCulate:GSM:LIMit:FAIL

Reads the GSM limit test. Returns a boolean - 1 if at least one GSM measurement failed, 0 if all passed, and throws a settingsConflict if no limits applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:LIMit:FAIL?
Examples | :CALC:GSM:LIM:FAIL?
 | :calculate:gsm:limit:fail?


:CALCulate:GSM:ORFS:MODulation

Select a link to view the command details:

  • :CALCulate:GSM:ORFS:MODulation:DATA:X
  • :CALCulate:GSM:ORFS:MODulation:DATA[:Y]
  • :CALCulate:GSM:ORFS:MODulation:LIMit:FAIL
  • :CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt
  • :CALCulate:GSM:ORFS:MODulation:LIMit:MARGin
  • :CALCulate:GSM:ORFS:MODulation:LIMit:STATus
  • :CALCulate:GSM:ORFS:MODulation:REFerence

:CALCulate:GSM:ORFS:MODulation:DATA:X

Returns the offsets where the ORFS was measured. These offset values correspond to the data values in the DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:ORFS:MODulation:DATA:X?
Examples | :CALC:GSM:ORFS:MOD:DATA:X?
 | :calculate:gsm:orfs:modulation:data:x?

:CALCulate:GSM:ORFS:MODulation:DATA[:Y]

Reads the ORFS due to modulation data in dBc, from largest negative offset to largest positive. Use the :CALC:GSM:ORFS:MOD:REF? command to convert the data to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:GSM:ORFS:MODulation:DATA:Y?
Examples | :CALC:GSM:ORFS:MOD:DATA:Y?
 | :calculate:orfs:gsm:modulation:data:y?

:CALCulate:GSM:ORFS:MODulation:LIMit:FAIL

Returns a boolean array, same length as data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:FAIL?
Examples | :CALC:GSM:ORFS:MOD:LIM:FAIL?
 | :calculate:orfs:gsm:modulation:limit:fail?

:CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt

Returns an ASCII integer, indicating the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt?
Examples | :CALC:GSM:ORFS:MOD:LIM:FCO?
 | :calculate:orfs:gsm:modulation:limit:fcount?

:CALCulate:GSM:ORFS:MODulation:LIMit:MARGin

Reads the ORFS due to modulation limit test and returns an array, one element per entry in the data table. The returned values are the measured worst case.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:ORFS:MODulation:LIMit:MARGin?
Examples | :CALC:GSM:ORFS:MOD:LIM:MARG?
 | :calculate:gsm:orfs:modulation:limit:margin?

:CALCulate:GSM:ORFS:MODulation:LIMit:STATus

Reads if the ORFS due to modulation limit test is applied and returns one element per entry in the data table.

Returns an ascii boolean array, same length and order as data query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:STATus?
Examples | :CALC:GSM:ORFS:MOD:LIM:STAT?
 | :calculate:gsm:orfs:modulation:limit:status?

:CALCulate:GSM:ORFS:MODulation:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this command to convert a data trace from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:ORFS:MODulation:REFerence?
Examples | :CALC:GSM:ORFS:MOD:REF?
 | :calculate:gsm:orfs:modulation:reference?


:CALCulate:GSM:ORFS:SWITching

Select a link to view the command details:

  • :CALCulate:GSM:ORFS:SWITching:DATA:X
  • :CALCulate:GSM:ORFS:SWITching:DATA[:Y]
  • :CALCulate:GSM:ORFS:SWITching:LIMit:FAIL
  • :CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt
  • :CALCulate:GSM:ORFS:SWITching:LIMit:MARGin
  • :CALCulate:GSM:ORFS:SWITching:LIMit:STATus
  • :CALCulate:GSM:ORFS:SWITching:REFerence

:CALCulate:GSM:ORFS:SWITching:DATA:X

Returns the offsets in Hz where the ORFS was measured. These offset values correspond to the data values in the DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:ORFS:SWITching:DATA:X?
Examples | :CALC:GSM:ORFS:SWIT:DATA:X?
 | :calculate:gsm:orfs:switching:data:x?

:CALCulate:GSM:ORFS:SWITching:DATA[:Y]

Reads the ORFS due to switching data in dBc, from largest negative offset to largest positive offset. Use the :CALC:GSM:ORFS:SWIT:REF? command to convert the data to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:GSM:ORFS:SWITching:DATA:Y?
Examples | :CALC:GSM:ORFS:SWIT:DATA:Y?
 | :calculate:gsm:orfs:switching:data:y?

:CALCulate:GSM:ORFS:SWITching:LIMit:FAIL

Reads the ORFS due to switching and returns one element per entry in the data table.

Returns a boolean array, same length as data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:FAIL?
Examples | :CALC:GSM:ORFS:SWIT:LIM:FAIL?
 | :calculate:gsm:orfs:switching:limit:fail?

:CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt

Returns an ASCII integer, indicating the number of offsets that failed. A "0" means all limits passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point. [,Digits with an explicit decimal point.,Digits with an explicit decimal point.] | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt?
Examples | :CALC:GSM:ORFS:SWIT:LIM:FCO?
 | :calculate:gsm:orfs:switching:limit:fcount?

:CALCulate:GSM:ORFS:SWITching:LIMit:MARGin

Reads the ORFS due to switching limit test and returns a measured worse case for each entry in the data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:MARGin?
Examples | :CALC:GSM:ORFS:SWIT:LIM:MARG?
 | :calculate:gsm:orfs:switching:limit:margin?

:CALCulate:GSM:ORFS:SWITching:LIMit:STATus

Reads if the ORFS due to switching limit test is applied and returns one element per entry in the data table. It returns an ascii boolean array the same length and order as data query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:STATus?
Examples | :CALC:GSM:ORFS:SWIT:LIM:STAT?
 | :calculate:gsm:orfs:switching:limit:status?

:CALCulate:GSM:ORFS:SWITching:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this command to convert the data trace from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:ORFS:SWITching:REFerence?
Examples | :CALC:GSM:ORFS:SWIT:REF?
 | :calculate:gsm:orfs:switching:reference?


:CALCulate:GSM:PERRor

Select a link to view the command details:

  • :CALCulate:GSM:PERRor:CFEedthru
  • :CALCulate:GSM:PERRor:CFERror
  • :CALCulate:GSM:PERRor:DATA
  • :CALCulate:GSM:PERRor:IQIMbalance
  • :CALCulate:GSM:PERRor:LIMit:FAIL
  • :CALCulate:GSM:PERRor:LIMit:FCOunt
  • :CALCulate:GSM:PERRor:LIMit:FREQ
  • :CALCulate:GSM:PERRor:LIMit:MARGin
  • :CALCulate:GSM:PERRor:LIMit:PEAK
  • :CALCulate:GSM:PERRor:LIMit:RMS
  • :CALCulate:GSM:PERRor:LIMit:STATus
  • :CALCulate:GSM:PERRor:PEAK
  • :CALCulate:GSM:PERRor:PEAK:BIT
  • :CALCulate:GSM:PERRor:PHASe:DATA:X
  • :CALCulate:GSM:PERRor:PHASe:DATA[:Y]
  • :CALCulate:GSM:PERRor:RMS
  • :CALCulate:GSM:PERRor:TRACe:DATA:X
  • :CALCulate:GSM:PERRor:TRACe:DATA[:Y]

:CALCulate:GSM:PERRor:CFEedthru

Returns carrier feedthrough in dB.

NOTE: IQ impairments must be enable to achieve a valid measurement.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:CFEedthru?
Examples | :CALC:GSM:PERR:CFE?
 | :calculate:gsm:perror:cfeedthru?

:CALCulate:GSM:PERRor:CFERror

Returns carrier frequency error in Hz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:PERRor:CFERror?
Examples | :CALC:GSM:PERR:CFER?
 | :calculate:gsm:perror:cferror?

:CALCulate:GSM:PERRor:DATA

If a GSM phase error measurement has successfully completed, returns up to six comma separated values

  • RMS phase error in % (:CALCulate:GSM:PERRor:RMS).
  • Peak phase error in % (:CALCulate:GSM:PERRor:PEAK).
  • Bit number of the peak phase error (:CALCulate:GSM:PERRor:PEAK:BIT) For example, bit 0 is the start of the data, bit N is N-bits after the start.
  • Carrier frequency error in Hz (:CALCulate:GSM:PERRor:CFERror).
  • Carrier feedthrough in dB (:CALCulate:GSM:PERRor:CFEedthru).
  • IQ imbalance in dB (:CALCulate:GSM:PERRor:IQIMbalance).

If IQ Impairments is disabled, the last 2 values are omitted. If measurement was not successful, returns blank string. _____

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point. [,Digits with an explicit decimal point.,Digits with an explicit decimal point.] | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:PERRor:DATA?
Examples | :CALC:GSM:PERR:DATA?
 | :calculate:gsm:perror:data?

:CALCulate:GSM:PERRor:IQIMbalance

Returns IQ imbalance in dB.

NOTE: IQ impairments must be enable to achieve a valid measurement.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:IQIMbalance?
Examples | :CALC:GSM:PERR:IQIM?
 | :calculate:gsm:perror:iqimbalance?

:CALCulate:GSM:PERRor:LIMit:FAIL

Reads the phase error and returns one element per entry in the data table. A "1" indicates a fail or no limit applied, "0" indicates a pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:FAIL?
Examples | :CALC:GSM:PERR:LIM:FAIL?
 | :calculate:gsm:perror:limit:fail?

:CALCulate:GSM:PERRor:LIMit:FCOunt

Returns the number of measured values that failed the channel power limit test. A value of zero means all limits passed, a value of -1 means none of the items had a limit turned on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:FCOunt?
Examples | :CALC:GSM:PERR:LIM:FCO?
 | :calculate:gsm:perror:limit:fcount?

:CALCulate:GSM:PERRor:LIMit:FREQ

Queries or sets the largest acceptable frequency error, in parts per million.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 1000 | ppm

 | :CALCulate:GSM:PERRor:LIMit:FREQ MAXimum
Examples | :CALC:GSM:PERR:LIM:FREQ MAX
 | :calculate:gsm:perror:limit:freq maximum
 | :CALC:GSM:PERR:LIM:FREQ?

:CALCulate:GSM:PERRor:LIMit:MARGin

Reads the phase error and returns the worse case value for each entry in the data table. The array is same length as GSM:PERRor:DATA?. A zero is returned when no limit applied. A negative margin indicates a failed limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:LIMit:MARGin?
Examples | :CALC:GSM:PERR:LIM:MARG?
 | :calculate:gsm:perror:limit:margin?

:CALCulate:GSM:PERRor:LIMit:PEAK

Sets the largest acceptable peak phase error, in percent. The peak phase error should include a margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 0 | 360 | phase err, %

 | :CALCulate:GSM:PERRor:LIMit:PEAK MINimum
Examples | :CALC:GSM:PERR:LIM:PEAK MIN
 | :calculate:gsm:perror:limit:peak maximum
 | :CALC:GSM:PERR:LIM:PEAK?

:CALCulate:GSM:PERRor:LIMit:RMS

Sets the largest acceptable RMS phase error, in percent. The phase error includes a margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5 | 0 | 360 | phase err, %

 | :CALCulate:GSM:PERRor:LIMit:RMS MINimum
Examples | :CALC:GSM:PERR:LIM:RMS MIN
 | :calculate:gsm:perror:limit:rms maximum
 | :CALC:GSM:PERR:LIM:RMS?

:CALCulate:GSM:PERRor:LIMit:STATus

Reads if the phase error limit test is applied and returns one element per entry in the data table. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:STATus?
Examples | :CALC:GSM:PERR:LIM:STAT?
 | :calculate:gsm:perror:limit:status?

:CALCulate:GSM:PERRor:PEAK

Returns peak phase error in %.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:GSM:PERRor:PEAK?
Examples | :CALC:GSM:PERR:PEAK?
 | :calculate:gsm:perror:peak?

:CALCulate:GSM:PERRor:PEAK:BIT

Returns the bit number having the peak phase error (may have fractional part).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:PEAK:BIT?
Examples | :CALC:GSM:PERR:PEAK:BIT?
 | :calculate:gsm:perror:peak:bit?

:CALCulate:GSM:PERRor:PHASe:DATA:X

Returns the time access, in seconds, associated with the :CALC:GSM:PERR:PHASE:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:PERRor:PHASe:DATA:X?
Examples | :CALC:GSM:PERR:PHAS:DATA:X?
 | :calculate:gsm:perror:phase:data:x?

:CALCulate:GSM:PERRor:PHASe:DATA[:Y]

Returns an array of floating point values; the unwrapped measured phase as a function of time. The trace type must be active and you must also send the :DISP:VIEW:GSM:TYPE:MPHASe command to select the correct measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | degrees

 | :CALCulate:GSM:PERRor:PHASe:DATA:Y?
Examples | :CALC:GSM:PERR:PHAS:DATA:Y?
 | :calculate:gsm:perror:phase:data:y?

:CALCulate:GSM:PERRor:PEAK

Returns RMS phase error in %.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:GSM:PERRor:RMS?
Examples | :CALC:GSM:PERR:RMS?
 | :calculate:gsm:perror:rms?

:CALCulate:GSM:PERRor:TRACe:DATA:X

Returns an array of floating point values, corresponding to the time axis of the :CALC:GSM:PERR:TRACe:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:PERRor:TRACe:DATA:X?
Examples | :CALC:GSM:PERR:TRAC:DATA:X?
 | :calculate:gsm:perror:trace:data:x?

:CALCulate:GSM:PERRor:TRACe:DATA[:Y]

Returns an array of floating point values, the unwrapped measured phase as a function of time.

Note: You must also send the :DISP:VIEW:GSM:TYPE PERRor command to select the correct measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | degrees

 | :CALCulate:GSM:PERRor:TRACe:DATA:Y?
Examples | :CALC:GSM:PERR:TRAC:DATA:Y?
 | :calculate:gsm:perror:trace:data:y?


:CALCulate:GSM:SYMBol:DATA

Select a link to view the command details:

  • :CALCulate:GSM:SYMBol:DATA:X
  • :CALCulate:GSM:SYMBol:DATA[:Y]

:CALCulate:GSM:SYMBol:DATA:X

Returns X axis for plotting results from :CALC:GSM:SYMB:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:SYMBol:DATA:X?
Examples | :CALC:GSM:SYMB:DATA:X?
 | :calculate:gsm:symbol:data:x?

:CALCulate:GSM:SYMBol:DATA[:Y]

Returns a 194 element array (2x148 - 2) with the staircase data symbols trace. Except for the first and last symbol, each value is repeated twice to give a staircase appearance.

Note: The Symbol trace must be selected using the :DISP:VIEW:GSM:TYPE command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | symbol

 | :CALCulate:GSM:SYMBol:DATA:Y?
Examples | :CALC:GSM:SYMB:DATA:Y?
 | :calculate:gsm:symbol:data:y?


:CALCulate:GSM:TMASk

Select a link to view the command details:

  • :CALCulate:GSM:TMASk:DATA:X
  • :CALCulate:GSM:TMASk:DATA[:Y]
  • :CALCulate:GSM:TMASk:LIMit
  • :CALCulate:GSM:TMASk:LIMit:FAIL
  • :CALCulate:GSM:TMASk:LIMit:FCOunt
  • :CALCulate:GSM:TMASk:LIMit:MARGin
  • :CALCulate:GSM:TMASk:LIMit:STATus

:CALCulate:GSM:TMASk:DATA:X

Returns an array of floating point values, the time values corresponding to the time mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:TMASk:DATA:X?
Examples | :CALC:GSM:TMAS:DATA:X?
 | :calculate:gsm:tmask:data:x?

:CALCulate:GSM:TMASk:DATA[:Y]

Returns array of floating point values, the time mask in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:TMASk:DATA:Y?
Examples | :CALC:GSM:TMAS:DATA:Y?
 | :calculate:gsm:tmask:data:y?

:CALCulate:GSM:TMASk:LIMit

Queries or sets a time mask limit table as a comma-separated list. It specifies a 2-D file to load and sets the filename and path for the selected file. You can optionally specify the file extension (*.csv). The file is in the following form: time, max dBc, max dBm, min dBc,..., time, max dBc, max dBm, min dBc.

Note: The GSM standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | none | n/a | n/a | n/a | various

 | :CALCulate:GSM:TMASk:LIMit
Examples | :CALC:GSM:TMAS:LIM
 | :calculate:gsm:tmask:limit
 | :CALCulate:GSM:TMASk:LIMit?

:CALCulate:GSM:TMASk:LIMit:FAIL

Reads the time mask limit test and returns an array of three elements that correspond to rising, middle and falling portions of the time mask. A "1" means fail or no limit, "0" means pass, and a value of -1 means none of the items had a limit turned on, in this case a -230,"Data Corrupt or Stale" error is generated.

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:FAIL?
Examples | :CALC:GSM:TMAS:LIM:FAIL?
 | :calculate:gsm:tmask:limit:fail?

:CALCulate:GSM:TMASk:LIMit:FCOunt

Returns an integer, indicating how many of the three parts of the time mask failed. A "0" indicates pass, a "-1" indicates no limit applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:FCOunt?
Examples | :CALC:GSM:TMAS:LIM:FCO?
 | :calculate:gsm:tmask:limit:fcount?

:CALCulate:GSM:TMASk:LIMit:MARGin

Reads the time mask limit test and returns the measured worst case for rising, middle and falling values. The worst case margin between upper dBc and lower dBc limit and upper dBm limit is returned. A negative margin indicates a fail.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:TMASk:LIMit:MARGin?
Examples | :CALC:GSM:TMAS:LIM:MARG?
 | :calculate:gsm:tmask:limit:margin?

:CALCulate:GSM:TMASk:LIMit:STATus

Reads if the time mask limit test is applied to the rising, middle and falling parts of the bursts. A value of "1" means a valid limit was applied. A value of -1 means none of the items had a limit turned on, in which case a -230,"Data Corrupt or Stale" error is generated.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:STATus?
Examples | :CALC:GSM:TMAS:LIM:STAT?
 | :calculate:gsm:tmask:limit:status?


:CALCulate:MARKer

Select a link to view the command details:

  • :CALCulate:MARKer:EXCursion[:DECibel]
  • :CALCulate:MARKer:THReshold[:DECibel]
  • :CALCulate:MARKer:EXCursion:DEGRees
  • :CALCulate:MARKer:THReshold:DEGRees
  • :CALCulate:MARKer:EXCursion:HZ
  • :CALCulate:MARKer:THReshold:HZ
  • :CALCulate:MARKer:EXCursion:PERCent
  • :CALCulate:MARKer:THReshold:PERCent
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa[:STATe]
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence
  • :CALCulate:MARKer1|Marker2|Marker3|Marker4:MINimum
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X:DELTa
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4[:STATe]

:CALCulate:MARKer:EXCursion[:DECibel]

Queries or sets the excursion factor used for marker peak searches on traces with units of dB. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor. DECibel is optional for backward compatibility.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3 | 0.1 | 100 | dB

 | :CALCulate:MARKer:EXCursion:DECibel MINimum
Examples | :CALC:MARK:EXC MAX
 | :calculate:marker:excursion:decibel 6
 | :CALC:MARK:EXC?

:CALCulate:MARKer:THReshold[:DECibel]

Sets or queries the threshold used for marker peak searches on traces with units of dB. The amplitude at a peak must be greater than or equal to the threshold. DECibel is optional for backward compatibility.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -85 | -170 | 40 | dBm

 | :CALCulate:MARKer:THReshold:DECibel MINimum
Examples | :CALC:MARK:THR MAX
 | :calculate:marker:threshold:decibel -50
 | :CALC:MARK:THR?

:CALCulate:MARKer:EXCursion:DEGRees

Queries or sets the excursion factor used for marker peak searches on traces with units of degrees. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 360 | degrees

 | :CALCulate:MARKer:EXCursion:DEGRees MINimum
Examples | :CALC:MARK:EXC:DEGR MAX
 | :calculate:marker:excursion:degrees 6
 | :CALC:MARK:EXC:DEGR?

:CALCulate:MARKer:THReshold:DEGRees

Sets or queries the threshold used for marker peak searches on traces with units of degrees. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 360 | degrees

 | :CALCulate:MARKer:THReshold:DEGRees MINimum
Examples | :CALC:MARK:THR:DEGR MAX
 | :calculate:marker:threshold:degrees 30
 | :CALC:MARK:THR:DEGR?

:CALCulate:MARKer:EXCursion:HZ

Queries or sets the excursion factor used for marker peak searches on traces with units of Hz. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 0.1 | 1.00E+11 | Hz

 | :CALCulate:MARKer:EXCursion:HZ MINimum
Examples | :CALC:MARK:EXC:HZ MAX
 | :calculate:marker:excursion:hz 25000
 | :CALC:MARK:EXC:HZ?

:CALCulate:MARKer:THReshold:HZ

Sets or queries the threshold used for marker peak searches on traces with units of Hz. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 1.00E+11 | Hz

 | :CALCulate:MARKer:THReshold:HZ MINimum
Examples | :CALC:MARK:THR:HZ MAX
 | :calculate:marker:threshold:hz 30
 | :CALC:MARK:THR:HZ?

:CALCulate:MARKer:EXCursion:PERCent

Queries or sets the excursion factor used for marker peak searches on traces with units of percent. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | percent

 | :CALCulate:MARKer:EXCursion:PERCent MINimum
Examples | :CALC:MARK:EXC:PERC MAX
 | :calculate:marker:excursion:percent 50
 | :CALC:MARK:EXC:PERC?

:CALCulate:MARKer:THReshold:PERCent

Sets or queries the threshold used for marker peak searches on traces with units of percent. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 100 | percent

 | :CALCulate:MARKer:THReshold:PERCent MINimum
Examples | :CALC:MARK:THR:PERC MAX
 | :calculate:marker:threshold:percent 30
 | :CALC:MARK:THR:PERC?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

Sets specified marker and the associated delta marker to the same X/Y location.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:DELTa:ZERO
Examples | :CALC:MARK1:DELT:ZERO
 | :calculate:marker1:delta:zero

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa[:STATe]

Queries or sets the state of the delta marker associated with the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | TRAC | FPO | Yes | OFF | TRACking | FPOint | DEFault | OFF | n/a | n/a | none

 | :CALCulate:MARKer1:DELTa:STATe TRACking
Examples | :CALC:MARK1:DELT TRAC
 | :calculate:marker1:delta:state:tracking
 | :CALC:MARK1:DELT?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

Sets the center frequency to the X-axis value of the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:FUNCtion:CENTer
Examples | :CALC:MARK1:FUNC:CENT
 | :calculate:marker1:function:center

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

Sets the reference level to the Y-axis value of the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:FUNCtion:REFerence
Examples | :CALC:MARK1:FUNC:REF
 | :calculate:marker1:function:reference


:CALCulate:MARKer1 | Marker 2 | Marker 3 | Marker 4:MINimum

Sets the specified marker to the minimum value position on the trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer2:MINimum
Examples | :CALC:MARK2:MIN
 | :calculate:marker2:minimum


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum

Select a link to view the command details:

  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

Sets the specified marker to the top of the nearest peak that is left of the marker's current X-axis position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:LEFT
Examples | :CALC:MARK1:MAX:LEFT
 | :calculate:marker1:maximum:left

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

Sets the specified marker to the top of the next largest peak below the marker's current Y-axis value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:NEXT
Examples | :CALC:MARK1:MAX:NEXT
 | :calculate:marker1:maximum:next

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

Sets the specified marker to the top of the smallest peak above the marker's current Y-axis value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:PREVious
Examples | :CALC:MARK1:MAX:PREV
 | :calculate:marker1:maximum:previous

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

Sets the specified marker to the top of the nearest peak that is right of the marker's current X-axis position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:RIGHt
Examples | :CALC:MARK1:MAX:RIGH
 | :calculate:marker1:maximum:right

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

Sets the specified marker to the position of the maximum value on the displayed measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:PEAK
Examples | :CALC:MARK1:MAX
 | :calculate:marker1:maximum:peak


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X

Sets or queries the X-axis position of the specified marker. The units depend on the graph type. For example, Hz for SPEC, seconds for ZSP, and so on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 2500000000 | various

 | :CALCulate:MARKer1:X MAXimum
Examples | :CALC:MARK1:X MAX
 | :calculate:marker1:x minimum
 | :CALC:MARK1:X?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X:DELTa

Sets or queries the X-axis delta value between the specified marker and its associated delta marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -600000000 | 1500000000 | various

 | :CALCulate:MARKer1:X:DELTa MAXimum
Examples | :CALC:MARK1:X:DELT MAX
 | :calculate:marker1:x:delta minimum
 | :CALC:MARK1:X:DELT?


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

Reads the Y-axis value of the specified marker.

Note: If a marker is positioned outside the current measurement data range, or if there is no measurement data, the marker query returns a special value (9.91e37) to indicate non data is available. This value 9.91e37 happens to be "Not a Number" (NaN) for 32-bit floating point values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:Y?
Examples | :CALC:MARK1:Y?
 | :calculate:marker1:y?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa

Reads the Y-axis value of the delta marker relative to the associated marker.

Note: If a marker is positioned outside the current measurement data range, or if there is no measurement data, the marker query returns a special value (9.91e37) to indicate non data is available. This value 9.91e37 happens to be "Not a Number" (NaN) for 32-bit floating point values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:Y:DELTa?
Examples | :CALC:MARK1:Y:DELT?
 | :calculate:marker1:y:delta?


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4[:STATe]

Queries or switches the specified marker on and off. The off state also applies to the delta marker associated with the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:MARKer1:STATe ON
Examples | :CALC:MARK1 ON
 | :calculate:marker1:state on
 | :CALC:MARK1?


:CALCulate:PSK

Select a link to view the command details:

  • :CALCulate:PSK:ADRoop
  • :CALCulate:PSK:CFEedthru
  • :CALCulate:PSK:COFFset
  • :CALCulate:PSK:EVM:ENSemble
  • :CALCulate:PSK:EVM:PEAK
  • :CALCulate:PSK:EVM:PEAK:OFFSet
  • :CALCulate:PSK:EVM[:RMS]
  • :CALCulate:PSK:FDRift
  • :CALCulate:PSK:IOFFset
  • :CALCulate:PSK:IQRatio
  • :CALCulate:PSK:LEVel[:RMS]
  • :CALCulate:PSK:LEVel:SYMBol
  • :CALCulate:PSK:NSYMbols
  • :CALCulate:PSK:ORATio
  • :CALCulate:PSK:QOFFset
  • :CALCulate:PSK:SRATe

:CALCulate:PSK:ADRoop

Returns amplitude droop for the PSK format.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:PSK:ADRoop?
Examples | :CALC:PSK:ADR?
 | :calculate:psk:adroop?

:CALCulate:PSK:CFEedthru

Returns the scalar version of I-Offset and Q-Offset combined. Value = 20*log10(sqrt(IOFF^2 + QOFF^2)).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:PSK:CFEedthru?
Examples | :CALC:PSK:CFE?
 | :calculate:psk:cfeedthru?

:CALCulate:PSK:COFFset

Returns the carrier offset for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:PSK:COFFset?
Examples | :CALC:PSK:COFF?
 | :calculate:psk:coffset?

:CALCulate:PSK:EVM:ENSemble

Returns the ensemble error vector magnitude for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:ENSemble?
Examples | :CALC:PSK:EVM:ENS?
 | :calculate:psk:evm:ensemble?

:CALCulate:PSK:EVM:PEAK

Returns error vector magnitude (peak) for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:PEAK?
Examples | :CALC:PSK:EVM:PEAK?
 | :calculate:psk:evm:peak?

:CALCulate:PSK:EVM:PEAK:OFFSet

Returns the location of the peak EVM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | symbols

 | :CALCulate:PSK:EVM:PEAK:OFFSet?
Examples | :CALC:PSK:EVM:PEAK:OFFS?
 | :calculate:psk:evm:peak:offset?

:CALCulate:PSK:EVM:RMS

Returns symbol error vector magnitude (rms) for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:RMS?
Examples | :CALC:PSK:EVM:RMS?
 | :calculate:psk:evm:rms?

:CALCulate:PSK:FDRift

Returns the frequency drift for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz / usec

 | :CALCulate:PSK:FDRift?
Examples | :CALC:PSK:FDR?
 | :calculate:psk:fdrift?

:CALCulate:PSK:IOFFset

Returns the offset of the in-phase component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of carrier amplitude

 | :CALCulate:PSK:IOFFset?
Examples | :CALC:PSK:IOFF?
 | :calculate:psk:ioffset?

:CALCulate:PSK:IQRatio

Returns the ratio of the in-phase component to the quadrature component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:IQRatio?
Examples | :CALC:PSK:IOR?
 | :calculate:psk:iqratio?

:CALCulate:PSK:LEVel[:RMS]

Returns the signal level of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:PSK:LEVel:RMS?
Examples | :CALC:PSK:LEV?
 | :calculate:psk:level:rms?

:CALCulate:PSK:LEVel:SYMBol

Returns the symbol level of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:PSK:LEVel:SYMBol?
Examples | :CALC:PSK:LEV:SYMB?
 | :calculate:psk:level:symbol?

:CALCulate:PSK:NSYMbols

Returns the number of symbols used to perform demodulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:NSYMbols?
Examples | :CALC:PSK:NSYM?
 | :calculate:psk:nsymbols?

:CALCulate:PSK:ORATio

Returns the PSK oversample ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:ORATio?
Examples | :CALC:PSK:ORAT?
 | :calculate:psk:oratio?

:CALCulate:PSK:QOFFset

Returns the offset of the quadrature component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of carrier amplitude

 | :CALCulate:PSK:QOFFset?
Examples | :CALC:PSK:QOFF?
 | :calculate:psk:qoffset?

:CALCulate:PSK:SRATe

Returns the sample rate of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | samples / sec

 | :CALCulate:PSK:SRATe?
Examples | :CALC:PSK:SRAT?
 | :calculate:psk:srate?


:CALCulate:WCDMa:DOWNlink

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:ACHannels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT
  • :CALCulate:WCDMa:DOWNlink:EVM
  • :CALCulate:WCDMa:DOWNlink:FERRor
  • :CALCulate:WCDMa:DOWNlink:IOFFset
  • :CALCulate:WCDMa:DOWNlink:IQOFfset
  • :CALCulate:WCDMa:DOWNlink:QOFFset
  • :CALCulate:WCDMa:DOWNlink:MARker
  • :CALCulate:WCDMa:DOWNlink:OBWidth
  • :CALCulate:WCDMa:DOWNlink:PCDE
  • :CALCulate:WCDMa:DOWNlink:SEMask
  • :CALCulate:WCDMa:DOWNlink:TPOWer

:CALCulate:WCDMa:DOWNlink:ACHannels

Queries data for active channels. Return format is no,<channel data for each of the N active channels>. Channel data is {I|Q},<SpreadFactor>,<CodeNumber>,<ChannelAmplitude>.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.(,Digits with an explicit decimal point and an exponent., Digits with an explicit decimal point and an exponent.,Digits with an explicit decimal point and an exponent.)+ | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACHannels?
Examples | :CALC:WCDM:DOWN:ACH?
 | :calculate:wcdma:downlink:achannels?


:CALCulate:WCDMa:DOWNlink:ACLR:LIMIT

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL

Queries the fail status of the ACLR measurement. A 1 is returned if there is no valid data, if no limit test is turned on, or if any channel with limit test turned on has failed. A 0 is returned if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:ACLR:LIM:FAIl?
 | :calculate:wcdma:downlink:aclr:limit:fail?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels?
Examples | :CALC:WCDM:DOWN:ACLR:LIM:FAIL:CHAN?
 | :calculate:wcdma:downlink:aclr:limit:fail:channels?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin

Sets or queries the margin for limit test. The margin is added to the default limit value for each adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:ACLR:LIM:MARG MAX
 | :calculate:wcdma:downlink:aclr:limit:margin maximum
 | :CALC:WCDM:DOWN:ACLR:MARG?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit[:STATe]

Queries or switches on/off limit testing. This applies to all adjacent channels.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:STATe OFF
Examples | :CALC:WCDM:DOWN:ACLR:LIM OFF
 | :calculate:wcdma:downlink:aclr:limit:state off
 | :CALC:WCDM:DOWN:ACLR:LIM?


:CALCulate:WCDMa:DOWNlink:EVM

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol


:CALCulate:WCDMa:DOWNlink:EVM:PEAK

Queries EVM peak value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK?
Examples | :CALC:WCDM:DOWN:EVM:PEAK?
 | :calculate:wcdma:downlink:evm:peak?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL

Queries fail status of EVM peak limit test. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:peak:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit[:STATe]

Queries or switches limit test on/off for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM OFF
 | :calculate:wcdma:downlink:evm:peak:limit:state off
 | :CALC:WCDM:DOWN:EVM:PEAK:LIM?

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer

Sets or queries the limit for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:peak:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:PEAK:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:RMS

Queries the EVM RMS value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS?
Examples | :CALC:WCDM:DOWN:EVM:RMS?
 | :calculate:wcdma:downlink:evm:rms?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL

Queries fail status of EVM RMS limit test. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:rms:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit[:STATe]

Queries or switches the limit test on/off for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM OFF
 | :calculate:wcdma:downlink:evm:rms:limit:state off
 | :CALC:WCDM:DOWN:EVM:RMS:LIM?

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer

Sets or queries the limit for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:rms:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:RMS:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol

Queries the symbol EVM value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol?
Examples | :CALC:WCDM:DOWN:EVM:SYMB?
 | :calculate:wcdma:downlink:evm:symbol?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL

Queries the fail status of the EVM symbol limit test. A 1 indicates the limit test failed or that limit is disabled. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:SYMB:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:symbol:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer

Sets or queries the limit for EVM symbol.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 17.5 | 0 | 100 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:SYMB:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:symbol:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:SYMB:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit[:STATe]

Queries or switches the limit test on/off for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:STATe On
Examples | :CALC:WCDM:DOWN:EVM:SYMBol:LIM ON
 | :calculate:wcdma:downlink:evm:symbol:limit:state on
 | :CALC:WCDM:DOWN:EVM:SYMB:LIM?

:CALCulate:WCDMa:DOWNlink:FERRor

Queries the frequency error value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor?
Examples | :CALC:WCDM:DOWN:FERR?
 | :calculate:wcdma:downlink:ferror?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL

Queries the fail status of frequency error limit test. A 1 indicates the limit test failed, or the limit is disabled. A 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:FERR:LIM:FAIL?
 | :calculate:wcdma:downlink:ferror:limit:fail?

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit[:STATe]

Queries or switches the limit test on/off for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:FERR:LIM OFF
 | :calculate:wcdma:downlink:ferror:limit:state off
 | :CALC:WCDM:DOWN:FERR:LIM?

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer

Sets or queries the limit for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 500 | Hz

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:FERR:LIM:UPP MAX
 | :calculate:wcdma:downlink:ferror:limit:upper maximum
 | :CALC:WCDM:DOWN:FERR:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:IOFFset

Queries the I Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IOFFset?
Examples | :CALC:WCDM:DOWN:IOFF?
 | :calculate:wcdma:downlink:ioffset?

:CALCulate:WCDMa:DOWNlink:IQOFfset

Queries the IQ Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset?
Examples | :CALC:WCDM:DOWN:IQOF?
 | :calculate:wcdma:downlink:iqoffset?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL

Queries the fail status of the I/Q offset limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:IQOF:LIM:FAIL?
 | :calculate:wcdma:downlink:iqoffset:limit:fail?

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit[:STATe]

Queries or switches the limit test on/off for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:STATe 1
Examples | :CALC:WCDM:DOWN:IQOF:LIM ON
 | :calculate:wcdma:downlink:iqoffset:limit:state on
 | :CALC:WCDM:DOWN:IQOF:LIM?

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer

Sets or queries the limit for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:IQOF:LIM:UPP MAX
 | :calculate:wcdma:downlink:iqoffset:limit:upper maximum
 | :CALC:WCDM:DOWN:IQOF:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:QOFFset

Queries the Q Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:QOFFset?
Examples | :CALC:WCDM:DOWN:QOFF?
 | :calculate:wcdma:downlink:qoffset?


:CALCulate:WCDMa:DOWNlink:MARker

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel
  • :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber
  • :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
  • :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor
  • :CALCulate:WCDMa:DOWNlink:MARKer[:STATe]
  • :CALCulate:WCDMa:DOWNlink:MARKer:STYPe
  • :CALCulate:WCDMa:DOWNlink:MARKer:X
  • :CALCulate:WCDMa:DOWNlink:MARKer:Y

:CALCulate:WCDMa:DOWNlink:MARKer:CHANnel

Sets the marker to Spread Factor, Code Number. SF = {4 | 8 | 16 | 32 | 64 | 128 | 256 | 512}, 0 <= CN <= SF-1

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel 128,4
Examples | :CALC:WCDM:DOWN:MARK:CHAN 256,8
 | :calculate:wcdma:downlink:marker:channel 32,4

:CALCulate:WCDMa:DOWNlink:MARKer:CNUMber

Queries the code number at the X-axis position of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber?
Examples | :CALC:WCDM:DOWN:MARK:CNUM?
 | :calculate:wcdma:downlink:marker:cnumber?

:CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
Examples | :CALC:WCDM:DOWN:MARK:FUNC:SAN
 | :calculate:wcdma:downlink:marker:function:sanalysis

:CALCulate:WCDMa:DOWNlink:MARKer:SFACtor

Queries the spread factor at the X-axis position of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor?
Examples | :CALC:WCDM:DOWN:MARK:SFAC?
 | :calculate:wcdma:downlink:marker:sfactor?

:CALCulate:WCDMa:DOWNlink:MARKer[:STATe]

Queries or switches on/off the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:STATe 1
Examples | :CALC:WCDM:DOWN:MARK ON
 | :calculate:wcdma:downlink:marker:state on
 | :CALC:WCDM:DOWN:MARK?

:CALCulate:WCDMa:DOWNlink:MARKer:STYPe

Queries the signal type at the marker. QAM16 is one format used by HSDPA, and will only be returned if the HSDPA license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:STYPe?
Examples | :CALC:WCDM:DOWN:MARK:STYP?
 | :calculate:wcdma:downlink:marker:stype?

:CALCulate:WCDMa:DOWNlink:MARKer:X

Sets or queries the X-axis position (channel) of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 511 | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:X MAXimum
Examples | :CALC:WCDM:DOWN:MARK:X MAX
 | :calculate:wcdma:downlink:marker:x maximum
 | :CALC:WCDM:DOWN:MARK:X?

:CALCulate:WCDMa:DOWNlink:MARKer:Y

Queries the Y-axis power value of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:Y?
Examples | :CALC:WCDM:DOWN:MARK:Y?
 | :calculate:wcdma:downlink:marker:y?

:CALCulate:WCDMa:DOWNlink:OBWidth

Queries the measured occupied bandwidth value, that is, the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth?
Examples | :CALC:WCDM:DOWN:OBW?
 | :calculate:wcdma:downlink:obwidth?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer
  • :CALCulate:WCDMa:DOWNlink:OBWidth:RANGe
  • :CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL

Queries the fail status of the occupied bandwidth limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:OBW:LIM:FAIL?
 | :calculate:wcdma:downlink:obwidth:limit:fail?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin

Sets or queries the margin for the limit test. The margin is added to the default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:OBW:LIM:MARG MAX
 | :calculate:wcdma:downlink:obwidth:limit:margin maximum
 | :CALC:WCDM:DOWN:OBW:LIM:MARG?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit[:STATe]

Queries or switches on/off the limit test for occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:OBW:LIM OFF
 | :calculate:wcdma:downlink:obwidth:limit:state off
 | :CALC:WCDM:DOWN:OBW:LIM?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer

Queries the limit for the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer?
Examples | :CALC:WCDM:DOWN:OBW:LIM:UPP?
 | :calculate:wcdma:downlink:obwidth:limit:upper?

:CALCulate:WCDMa:DOWNlink:OBWidth:RANGe

Queries the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:RANGe?
Examples | :CALC:WCDM:DOWN:OBW:RANG?
 | :calculate:wcdma:downlink:obwidth:range?

:CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer

Queries the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer?
Examples | :CALC:WCDM:DOWN:OBW:TPOW?
 | :calculate:wcdma:downlink:obwidth:tpower?


:CALCulate:WCDMa:DOWNlink:PCDE

Queries the PCDE value for a W-CDMA measurement. It returns three comma-separated values: PCDE, Spread factor of peak active CDE, and Code number of peak active CDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE?
Examples | :CALC:WCDM:DOWN:PCDE?
 | :calculate:wcdma:downlink:pcde?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL

Queries the fail status of the PCDE limit test. A 1 indicates the limit test failed and a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:PCDE:LIM:FAIL?
 | :calculate:wcdma:downlink:pcde:limit:fail?

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit[:STATe]

Queries or switches on/off the limit test for PCDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:PCDE:LIM OFF
 | :calculate:wcdma:downlink:pcde:limit:state 0
 | :CALC:WCDM:DOWN:PCDE:LIM?

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer

Sets or queries the limit for PCDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -32 | -100 | 0 | dB

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:PCDE:LIM:UPP MAX
 | :calculate:wcdma:downlink:pcde:limit:upper maximum
 | :CALC:WCDM:DOWN:PCDE:LIM:UPP?


:CALCulate:WCDMa:DOWNlink:SEMask

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:SEMask:BSMPower
  • :CALCulate:WCDMa:DOWNlink:SEMask:CPOWer
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:SEMask:BSMPower

Sets or queries the BS (base station) maximum output power value used to set limits for the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 43 | 0 | 50 | dBm

 | :CALCulate:WCDMa:DOWNlink:SEMask:BSMPower MAXimum
Examples | :CALC:WCDM:DOWN:SEM:BSMP MAX
 | :calculate:wcdma:downlink:semask:bsmpower maximum
 | :CALC:WCDM:DOWN:SEM:BSMP?

:CALCulate:WCDMa:DOWNlink:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:CPOWer?
Examples | :CALC:WCDM:DOWN:SEM:CPOW?
 | :calculate:wcdma:downlink:semask:cpower?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. A 1 indicates that the data is tested and failed, or there is no data, or the limit state is off. A 0 indicates that the data is tested and passed the limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:SEM:LIM:FAIL?
 | :calculate:wcdma:downlink:semask:limit:fail?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin

Sets the margin for a limit test. The margin is added to the default limit values for each frequency as derived from the W-CDMA standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:SEM:LIM:MARG MAX
 | :calculate:wcdma:downlink:semask:limit:margin maximum
 | :CALC:WCDM:DOWN:SEM:LIM:MARG?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit[:STATe]

Queries or switches on/off the limit test for the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:SEM:LIM OFF
 | :calculate:wcdma:downlink:semask:limit:state off
 | :CALC:WCDM:DOWN:SEM:LIM?


:CALCulate:WCDMa:DOWNlink:TPOWer

Queries the total power value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:TPOWer?
Examples | :CALC:WCDM:DOWN:TPOW?
 | :calculate:wcdma:downlink:tpower?


:CALCulate:WCDMa:UPLink

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:ACHannels
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT
  • :CALCulate:WCDMa:UPLink:EVM
  • :CALCulate:WCDMa:UPLink:FERRor
  • :CALCulate:WCDMa:UPLink:IMARker
  • :CALCulate:WCDMa:UPLink:IOFfset
  • :CALCulate:WCDMa:UPLink:IQOFfset
  • :CALCulate:WCDMa:UPLink:OBWidth
  • :CALCulate:WCDMa:UPLink:PCDE
  • :CALCulate:WCDMa:UPLink:QMARker
  • :CALCulate:WCDMa:UPLink:SEMask:CPOWer
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit
  • :CALCulate:WCDMa:UPLink:TPOWer


:CALCulate:WCDMa:UPLink:ACHannels

Reads the data for the active channels. The return format is no, <channel data for each of the N active channels>.

The channel data is {I|Q}, <SpreadFactor>, <CodeNumber>, <ChannelAmplitude>.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACHannels?
Examples | :CALC:WCDM:UPL:ACH?
 | :calculate:wcdma:uplink:achannels?


:CALCulate:WCDMa:UPLink:ACLR:LIMIT

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT:FAIL:MARGIN
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT[:STATe]

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL

Reads the fail status of the ACLR measurement. The query returns a 1 if there is no valid data, or if no limit test is turned on, or if any channel with limit test turned on has failed. It returns a 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:ACLR:LIM:FAIl?
 | :calculate:wcdma:uplink:aclr:limit:fail?

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. The query returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, and so on. "n" is the number of status values, <fail status …> is 0 or 1, 0 indicates the data was tested with no failure, and 1 indicates a failure, or no data, or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels?
Examples | :CALC:WCDM:UPL:ACLR:LIM:FAIL:CHAN?
 | :calculate:wcdma:uplink:aclr:limit:fail:channels?

:CALCulate:WCDMa:UPLink:ACLR:LIMIT:MARGIN

Sets or queries the margin for the adjacent channel power limit test. Adding a positive value makes the limit more stringent. Adding a negative value makes the limit less stringent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:ACLR:MARG MAX
 | :calculate:wcdma:uplink:aclr:limit:margin maximum
 | :CALC:WCDM:UPL:ACLR:MARG?

:CALCulate:WCDMa:UPLink:ACLR:LIMIT[:STATe]

Enables, disables, or queries the limit testing for the ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:ACLR:LIM OFF
 | :calculate:wcdma:uplink:aclr:limit:state off
 | :CALC:WCDM:UPL:ACLR:LIM?


:CALCulate:WCDMa:UPLink:EVM

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:EVM:PEAK
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:RMS
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:EVM:PEAK

Reads the EVM peak value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK?
Examples | :CALC:WCDM:UPL:EVM:PEAK?
 | :calculate:wcdma:uplink:evm:peak?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL

Reads the fail status of the limit test on the EVM peak measurement. A 1 indicates a failure or the limit is disabled, and a 0 indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM:FAIL?
 | :calculate:wcdma:UPlink:evm:peak:limit:fail:channels?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit[:STATe]

Enables and disables the limit test on an EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM OFF
 | :calculate:wcdma:uplink:evm:peak:limit:state off
 | :CALC:WCDM:UPL:EVM:PEAK:LIM?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer

Sets or queries the limits for the EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM:UPP MAX
 | :calculate:wcdma:uplink:evm:peak:limit:upper maximum
 | :CALC:WCDM:UPL:EVM:PEAK:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:RMS

Reads the EVM RMS value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS?
Examples | :CALC:WCDM:UPL:EVM:RMS?
 | :calculate:wcdma:uplink:evm:rms?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL

Reads the fail status of the limit test on the EVM rms measurement. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM:FAIL?
 | :calculate:wcdma:uplink:evm:rms:limit:fail?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer

Sets or queries the limits for the EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 17.5 | 0 | 100 | percent

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM:UPP MAX
 | :calculate:wcdma:uplink:evm:rms:limit:upper maximum
 | :CALC:WCDM:UPL:EVM:RMS:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL

Reads the fail status of the EVM Symbol limit test. A "1" indicates a failure or that limit is disabled; "0" indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM:FAIL?
 | :calculate:wcdma:uplink:evm:symbol:limit:fail?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer

Set the limit for EVM Symbol.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum, MINimum, DEFault | 17.5 | 0 | 100 | %

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer MINimum
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM:UPP MIN
 | :calculate:wcdma:uplink:evm:symbol:limit:upper minimum
 | :CALC:WCDM:UPL:EVM:SYMB:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit[:STATe]

Enables and disables the limit test on an EVM Symbol measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM OFF
 | :calculate:wcdma:uplink:evm:symbol:limit:state off
 | :CALC:WCDM:UPL:EVM:SYMB:LIM?


:CALCulate:WCDMa:UPLink:FERRor

Reads the frequency error value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor?
Examples | :CALC:WCDM:UPL:FERR?
 | :calculate:wcdma:uplink:ferror?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:FERRor:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL

Reads the fail status of the limit test on the frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:FERR:LIM:FAIL?
 | :calculate:wcdma:uplink:ferror:limit:fail?

:CALCulate:WCDMa:UPLink:FERRor:LIMit[:STATe]

Queries or switches on/off the limit test on a frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:FERR:LIM OFF
 | :calculate:wcdma:uplink:ferror:limit:state off
 | :CALC:WCDM:UPL:FERR:LIM?

:CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer

Sets or queries the limits for the frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 500 | Hz

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:FERR:LIM:UPP MAX
 | :calculate:wcdma:uplink:ferror:limit:upper maximum
 | :CALC:WCDM:UPL:FERR:LIM:UPP?


:CALCulate:WCDMa:UPLink:IMARker

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:IMARker:CNUMber
  • :CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis
  • :CALCulate:WCDMa:UPLink:IMARker:SFACtor
  • :CALCulate:WCDMa:UPLink:IMARker:STYPe
  • :CALCulate:WCDMa:UPLink:IMARker[:STATe]
  • :CALCulate:WCDMa:UPLink:IMARker:X
  • :CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:IMARker:CNUMber

Reads the code number at the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:CNUMber?
Examples | :CALC:WCDM:UPL:IMAR:CNUM?
 | :calculate:wcdma:uplink:imarker:cnumber?

:CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current I marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis
Examples | :CALC:WCDM:UPL:IMAR:FUNC:SAN
 | :calculate:wcdma:uplink:imarker:function:sanalysis

:CALCulate:WCDMa:UPLink:IMARker:SFACtor

Reads the spread factor at the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:SFACtor?
Examples | :CALC:WCDM:UPL:IMAR:SFAC?
 | :calculate:wcdma:uplink:imarker:sfactor?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit[:STATe]

Enables and disables the limit test on an EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM OFF
 | :calculate:wcdma:uplink:evm:rms:limit:state off
 | :CALC:WCDM:UPL:EVM:RMS:LIM?

:CALCulate:WCDMa:UPLink:IMARker[:STATe]

Queries or switches on/off the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:STATe ON
Examples | :CALC:WCDM:UPL:IMAR OFF
 | :calculate:wcdma:uplink:imarker:state off
 | :CALC:WCDM:UPL:IMAR?

:CALCulate:WCDMa:UPLink:IMARker:STYPe

Queries the signal type at the marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:STYPe?
Examples | :CALC:WCDM:UPL:IMAR:STYP?
 | :calculate:wcdma:uplink:imarker:stype?

:CALCulate:WCDMa:UPLink:IMARker:X

Sets or queries the X-axis position, that is, the channel of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :CALCulate:WCDMa:UPLink:IMARker:X MAXimum
Examples | :CALC:WCDM:UPL:IMAR:X MAX
 | :calculate:wcdma:uplink:imarker:x maximum
 | :CALC:WCDM:UPL:IMAR:X?

:CALCulate:WCDMa:UPLink:IMARker:Y

Reads the Y-axis power value of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:Y?
Examples | :CALC:WCDM:UPL:IMAR:Y?
 | :calculate:wcdma:uplink:imarker:y?


:CALCulate:WCDMa:UPLink:IOFFset

Queries I offset value for W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IOFFset
Examples | :CALC:WCDM:UPL:IOFF
 | :calculate:wcdma:uplink:ioffset


:CALCulate:WCDMa:UPLink:IQOFfset

Queries the IQ offset value for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset
Examples | :CALC:WCDM:UPL:IQOF
 | :calculate:wcdma:uplink:iqoffset

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL

Reads the fail status of the limit test on the I/Q offset measurement. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:IQOF:LIM:FAIL?
 | :calculate:wcdma:uplink:iqoffset:limit:fail?

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit[:STATe]

Queries or switches on/off the limit test for an I/Q offset measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:IQOF:LIM OFF
 | :calculate:wcdma:uplink:iqoffset:limit:state off
 | :CALC:WCDM:UPL:IQOF:LIM?

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer

Sets or queries the limits for the I/Q offset measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:IQOF:LIM:UPP MAX
 | :calculate:wcdma:uplink:iqoffset:limit:upper maximum
 | :CALC:WCDM:UPL:IQOF:LIM:UPP?


:CALCulate:WCDMa:UPLink:OBWidth

Reads the measured occupied bandwidth value, that is, the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth?
Examples | :CALC:WCDM:UPL:OBW?
 | :calculate:wcdma:uplink:obwidth?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:OBWidth:RANGe
  • :CALCulate:WCDMa:UPLink:OBWidth:TPOWer

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL

Reads the occupied bandwidth limit test failure status. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:OBW:LIM:FAIL?
 | :calculate:wcdma:uplink:obwidth:limit:fail?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit[:STATe]

Queries or switches on/off the limit testing for an occupied bandwidth measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:OBW:LIM OFF
 | :calculate:wcdma:uplink:obwidth:limit:state off
 | :CALC:WCDM:UPL:OBW:LIM?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin

Sets the margin for an occupied bandwidth limit test. This margin is added to the default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:OBW:LIM:MARG MAX
 | :calculate:wcdma:uplink:obwidth:limit:margin maximum
 | :CALC:WCDM:UPL:OBW:LIM:MAR?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer

Queries the occupied bandwidth upper limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer?
Examples | :CALC:WCDM:UPL:OBW:LIM:UPP?
 | :calculate:wcdma:uplink:obwidth:limit:upper?

:CALCulate:WCDMa:UPLink:OBWidth:RANGe

Reads the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:RANGe?
Examples | :CALC:WCDM:UPL:OBW:RANG?
 | :calculate:wcdma:uplink:obwidth:range?

:CALCulate:WCDMa:UPLink:OBWidth:TPOWer

Reads the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:TPOWer?
Examples | :CALC:WCDM:UPL:OBW:TPOWer?
 | :calculate:wcdma:uplink:obwidth:tpower?


:CALCulate:WCDMa:UPLink:PCDE

Queries the PCDE value for a W-CDMA measurement. The query returns three comma-separated values: PCDE, Spread factor of peak active CDE, and Code number of peak active CDE

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE?
Examples | :CALC:WCDM:UPL:PCDE?
 | :calculate:wcdma:uplink:pcde?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:PCDE:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer

:CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL

Reads the fail status of the limit test on the PCDE measurement. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:PCDE:LIM:FAIL?
 | :calculate:wcdma:uplink:pcde:limit:fail?

:CALCulate:WCDMa:UPLink:PCDE:LIMit[:STATe]

Queries or switches on/off the limit test for a PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:PCDE:LIM OFF
 | :calculate:wcdma:uplink:pcde:limit:state off
 | :CALC:WCDM:UPL:PCDE:LIM?

:CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer

Sets or queries the limits for the PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -15 | -100 | 0 | dB

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:PCDE:LIM:UPP MAX
 | :calculate:wcdma:uplink:pcde:limit:upper maximum
 | :CALC:WCDM:UPL:PCDE:LIM:UPP?


:CALCulate:WCDMa:UPLink:QMARker

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:QMARker:CNUMber
  • :CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis
  • :CALCulate:WCDMa:UPLink:QMARker:SFACtor
  • :CALculate:WCDMa:UPLink:QMARker:STYPe
  • :CALCulate:WCDMa:UPLink:QMARker[:STATe]
  • :CALCulate:WCDMa:UPLink:QMARker:X
  • :CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:UPLink:QMARker:CNUMber

Reads the code number at the X-axis position of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:CNUMber?
Examples | :CALC:WCDM:UPL:QMAR:CNUM?
 | :calculate:wcdma:uplink:qmarker:cnumber?

:CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current Q marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis
Examples | :CALC:WCDM:UPL:QMAR:FUNC:SAN
 | :calculate:wcdma:uplink:qmarker:function:sanalysis

:CALCulate:WCDMa:UPLink:QMARker:SFACtor

Reads the spread factor at the X-axis position of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:SFACtor?
Examples | :CALC:WCDM:UPL:QMAR:SFAC?
 | :calculate:wcdma:uplink:qmarker:sfactor?

:CALCulate:WCDMa:UPLink:QMARker[:STATe]

Queries or switches on/off the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:STATe ON
Examples | :CALC:WCDM:UPL:QMAR OFF
 | :calculate:wcdma:uplink:qmarker:state off
 | :CALC:WCDM:UPL:QMAR?

:CALculate:WCDMa:UPLink:QMARker:STYPe

Queries the signal type at the marker. QAM16 is one format used by HSUPA, and will only be returned if the HSUPA license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:STYPe?
Examples | :CALC:WCDM:UPL:QMAR:STYP?
 | :calculate:wcdma:uplink:qmarker:stype
 | :CALC:WCDM:UPL:QMAR:STYP?

:CALCulate:WCDMa:UPLink:QMARker:X

Sets or queries the X-axis position, that is, the channel of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :CALCulate:WCDMa:UPLink:QMARker:X MAXimum
Examples | :CALC:WCDM:UPL:QMAR:X MAX
 | :calculate:wcdma:uplink:qmarker:x maximum
 | :CALC:WCDM:UPL:QMAR:X?

:CALCulate:WCDMa:UPLink:QMARker:Y

Reads the Y-axis power value of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:Y?
Examples | :CALC:WCDM:UPL:QMAR:Y?
 | :calculate:wcdma:uplink:qmarker:y?


:CALCulate:WCDMa:UPLink:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:CPOWer?
Examples | :CALC:WCDM:UPL:SEM:CPOW?
 | :calculate:wcdma:uplink:semask:cpower?


:CALCulate:WCDMa:UPLink:SEMask:LIMit

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL

Reads the fail status of the spectrum emission mask measurement. A 1 indicates that data is tested and failed, or there is no data, or the limit state is off. 0 indicates that data is tested and passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:SEM:LIM:FAIL?
 | :calculate:wcdma:uplink:semask:limit:fail?

:CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin

Sets or queries the margin for the spectrum emission limit test. This margin is added to the default limit values for each frequency as derived from the W-CDMA standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:SEM:LIM:MARG MAX
 | :calculate:wcdma:uplink:semask:limit:margin maximum
 | :CALC:WCDM:UPL:SEM:LIM:MAR?

:CALCulate:WCDMa:UPLink:SEMask:LIMit[:STATe]

Enables and disables the spectrum emission mask limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:STATe Off
Examples | :CALC:WCDM:UPL:SEM:LIM ON
 | :calculate:wcdma:uplink:semask:limit:state on
 | :CALC:WCDM:UPL:SEM:LIM?


:CALCulate:WCDMa:UPLink:TPOWer

Queries the total power value for a W-CDMA Uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:TPOWer?
Examples | :CALC:WCDM:UPL:TPOW?
 | :calculate:wcdma:uplink:tpower?


:CALCulate:WIMax

Select a link to view the command details:

  • :CALCulate:WIMax:CFEedthru
  • :CALCulate:WIMax:CFERror
  • :CALCulate:WIMax:CONStellation:SYMBol:TYPE
  • :CALCulate:WIMax:CPOWer
  • :CALCulate:WIMax:DOWNlink:DSYMbols
  • :CALCulate:WIMax:FMARgin
  • :CALCulate:WIMax:MASDifference
  • :CALCulate:WIMax:MFLatness
  • :CALCulate:WIMax:PAPRatio
  • :CALCulate:WIMax:RCE
  • :CALCulate:WIMax:UPLink:DSYMbols


:CALCulate:WIMax:CFEedthru

Queries the WiMAX Carrier Feedthrough Relative to Total Power (dBr).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru?
Examples | :CALC:WIM:CFE?
 | :calculate:wimax:cfeedthru?

______

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).

______

Select a link to view the command details:

  • :CALCulate:WIMax:CFEedthru:LIMit:UPPer
  • :CALCulate:WIMax:CFEedthru:LIMit[:STATe]
  • :CALCulate:WIMax:CFEedthru:LIMit:UPPer

:CALCulate:WIMax:CFEedthru:LIMit:FAIL

Queries the fail status for the WiMAX Carrier Feedthru limit test. A "1" indicates failed; "0" indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru:LIMit:FAIL?
Examples | :CALC:WIM:CFE:LIM:FAIL?
 | :calculate:wimax:cfeedthru:limit:fail?

:CALCulate:WIMax:CFEedthru:LIMit[:STATe]

Queries or switches on/off the WiMAX carrier feed-through limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru:LIMit:STATe On
Examples | :CALC:WIM:CFE:LIM ON
 | :calculate:wimax:cfeedthru:limit:state on
 | :CALC:WIM:CFE:LIM?

:CALCulate:WIMax:CFEedthru:LIMit:UPPer

Queries or sets the upper limit for WiMAX Carrier Feedthru.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -50 | 0 | dB

 | :CALCulate:WIMax:CFEedthru:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CFE:LIM:UPP MAX
 | :calculate:wimax:cfeedthru:limit:upper maximum
 | :CALC:WIM:CFE:LIM:UPP?


:CALCulate:WIMax:CFERror

Queries the WiMAX Carrier Frequency Error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFERror?
Examples | :CALC:WIM:CFER?
 | :calculate:wimax:cferror?

Select a link to view the command details:

  • :CALCulate:WIMax:CFERror:LIMit:FAIL
  • :CALCulate:WIMax:CFERror:LIMit[:STATe]
  • :CALCulate:WIMax:CFERror:LIMit:UPPer

:CALCulate:WIMax:CFERror:LIMit:FAIL

Queries the fail status of WiMAX Carrier Frequency Error limit test. A 1 indicates the limit failed; 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFERror:LIMit:FAIL?
Examples | :CALC:WIM:CFER:LIM:FAIL?
 | :calculate:wimax:cferror:limit:fail?

:CALCulate:WIMax:CFERror:LIMit[:STATe]

Queries or switches on/off the WiMAX Carrier Frequency Error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:CFERror:LIMit:STATe Off
Examples | :CALC:WIM:CFER:LIM OFF
 | :calculate:wimax:cferror:limit:state off
 | :CALC:WIM:CFER:LIM?

:CALCulate:WIMax:CFERror:LIMit:UPPer

Queries or sets the upper limit (+/-) for the WiMAX Carrier Frequency Error. The limit is set as parts-per-million (ppm) of the carrier frequency. The measurement result is displayed in the GUI with ppm converted to frequency (Hz).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2 | 0.1 | 10 | PPM

 | :CALCulate:WIMax:CFERror:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CFER:LIM:UPP MAX
 | :calculate:wimax:cferror:limit:upper maximum
 | :CALC:WIM:CFER:LIM:UPP?


:CALCulate:WIMax:CONStellation:SYMBol:TYPE

Sets the type of symbols for the WiMax constellation data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ALL | BURS | PIL | Yes | ALL | BURSts | PILots | DEFault | BURS | n/a | n/a | none

 | :CALCulate:WIMax:CONStellation:SYMBol:TYPE PILots
Examples | :CALC:WIM:CONS:SYMB:TYPE PIL
 | :calculate:wimax:constellation:symbol:type pilots
 | :CALC:WIM:CONS:SYMB:TYPE?


:CALCulate:WIMax:CPOWer

Queries the WiMAX Channel Power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer?
Examples | :CALC:WIM:CPOW?
 | :calculate:wimax:cpower?

Select a link to view the command details:

  • :CALCulate:WIMax:CPOWer:LIMit:FAIL
  • :CALCulate:WIMax:CPOWer:LIMit[:STATe]
  • :CALCulate:WIMax:CPOWer:LIMit:UPPer

:CALCulate:WIMax:CPOWer:LIMit:FAIL

Queries the fail status of WiMAX Channel Power limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer:LIMit:FAIL?
Examples | :CALC:WIM:CPOW:LIM:FAIL?
 | :calculate:wimax:cpower:limit:fail?

:CALCulate:WIMax:CPOWer:LIMit[:STATe]

Queries or switches on/off the WiMAX Channel Power limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer:LIMit:STATe On
Examples | :CALC:WIM:CPOW:LIM ON
 | :calculate:wimax:cpower:limit:state on
 | :CALC:WIM:CPOW:LIM?

:CALCulate:WIMax:CPOWer:LIMit:UPPer

Queries or sets the upper limit for WiMAX Channel Power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -10 | -100 | 10 | dB

 | :CALCulate:WIMax:CPOWer:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CPOW:LIM:UPP MAX
 | :calculate:wimax:cpower:limit:upper maximum
 | :CALC:WIM:CPOW:LIM:UPP?


:CALCulate:WIMax:DOWNlink:DSYMbols

Queries the number of demodulation symbols in a WiMAX Downlink subframe. This is the number of symbols that the analyzer will attempt to demodulate. It is less than or equal to the number of symbols defined within zones in the subframe. The number of defined symbols is less than or equal to the total number of symbols periods within the subframe duration..

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:DOWNlink:DSYMbols?
Examples | :CALC:WIM:DOWN:DSYM?
 | :calculate:wimax:downlink:dsymbols?


:CALCulate:WIMax:FMARgin

Queries the WiMAX magnitude flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin?
Examples | :CALC:WIM:FMAR?
 | :calculate:wimax:fmargin?

Select a link to view the command details:

  • :CALCulate:WIMax:FMARgin:LIMit:FAIL
  • :CALCulate:WIMax:FMARgin:LIMit[:STATe]
  • :CALCulate:WIMax:FMARgin:LIMit:UPPer

:CALCulate:WIMax:FMARgin:LIMit:FAIL

Queries the fail status of WiMAX flatness margin limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin:LIMit:FAIL?
Examples | :CALC:WIM:FMAR:LIM:FAIL?
 | :calculate:wimax:fmargin:limit:fail?

:CALCulate:WIMax:FMARgin:LIMit[:STATe]

Queries or switches on/off the WiMAX magnitude flatness margin limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin:LIMit:STATe On
Examples | :CALC:WIM:FMAR:LIM ON
 | :calculate:wimax:fmargin:limit:state on
 | :CALC:WIM:FMAR:LIM?

:CALCulate:WIMax:FMARgin:LIMit:UPPer

Queries or sets the upper limit for the WiMAX magnitude flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WIMax:FMARgin:LIMit:UPPer MAXimum
Examples | :CALC:WIM:FMAR:LIM:UPP MAX
 | :calculate:wimax:fmargin:limit:upper maximum
 | :CALC:WIM:FMAR:LIM:UPP?


:CALCulate:WIMax:MASDifference

Queries the WiMAX Maximum Adjacent Subcarrier Difference.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference?
Examples | :CALC:WIM:MASD?
 | :calculate:wimax:masdifference?

Select a link to view the command details:

  • :CALCulate:WIMax:MASDifference:LIMit:FAIL
  • :CALCulate:WIMax:MASDifference:LIMit[:STATe]
  • :CALCulate:WIMax:MASDifference:LIMit:UPPer

:CALCulate:WIMax:MASDifference:LIMit:FAIL

Queries the fail status of the WiMAX Maximum Adjacent Subcarrier Difference limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference:LIMit:FAIL?
Examples | :CALC:WIM:MASD:LIM:FAIL?
 | :calculate:wimax:masdifference:limit:fail?

:CALCulate:WIMax:MASDifference:LIMit[:STATe]

Queries or switches on/off the WiMAX Maximum Adjacent Subcarrier Difference limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference:LIMit:STATe Off
Examples | :CALC:WIM:MASD:LIM OFF
 | :calculate:wimax:masdifference:limit:state off
 | :CALC:WIM:MASD:LIM?

:CALCulate:WIMax:MASDifference:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Maximum Adjacent Subcarrier Difference.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0.01 | 1 | dB

 | :CALCulate:WIMax:MASDifference:LIMit:UPPer MAXimum
Examples | :CALC:WIM:MASD:LIM:UPP MAX
 | :calculate:wimax:masdifference:limit:upper maximum
 | :CALC:WIM:MASD:LIM:UPP?


:CALCulate:WIMax:MFLatness

Select a link to view the command details:

  • :CALCulate:WIMax:MFLatness:MARGins
  • :CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:MFLatness:MARGins

Queries the WiMAX minimum margins for the magnitude flatness limit test. The query requires two parameters, each a subcarrier number. The query returns the minimum upper margin values between the two subcarrier numbers, inclusive.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MFLatness:MARGins?
Examples | :CALC:WIM:MFL:MARG?
 | :calculate:wimax:mflatness:margins?

:CALCulate:WIMax:MFLatness:PTPeak

Queries the WiMAX magnitude flatness peak-to-peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MFLatness:PTPeak?
Examples | :CALC:WIM:MFL:PTP?
 | :calculate:wimax:mflatness:ptpeak?


:CALCulate:WIMax:PAPRatio

Queries the WiMAX Peak-to-Average Power Ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio?
Examples | :CALC:WIM:PAPR?
 | :calculate:wimax:papratio?

Select a link to view the command details:

  • :CALCulate:WIMax:PAPRatio:LIMit:FAIL
  • :CALCulate:WIMax:PAPRatio:LIMit[:STATe]
  • :CALCulate:WIMax:PAPRatio:LIMit:UPPer

:CALCulate:WIMax:PAPRatio:LIMit:FAIL

Queries the fail status of the WiMAX Peak-to-Average Power Ratio limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio:LIMit:FAIL?
Examples | :CALC:WIM:PAPR:LIM:FAIL?
 | :calculate:wimax:papratio:limit:fail?

:CALCulate:WIMax:PAPRatio:LIMit[:STATe]

Queries or switches on/off the WiMAX Peak-to-Average Power Ratio limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio:LIMit:STATe On
Examples | :CALC:WIM:PAPR:LIM ON
 | :calculate:wimax:papratio:limit:state on
 | :CALC:WIM:PAPR:LIM?

:CALCulate:WIMax:PAPRatio:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Peak-to-Average Power Ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 0 | 50 | dB

 | :CALCulate:WIMax:PAPRatio:LIMit:UPPer MAXimum
Examples | :CALC:WIM:PAPR:LIM:UPP MAX
 | :calculate:wimax:papratio:limit:upper maximum
 | :CALC:WIM:PAPR:LIM:UPP?


:CALCulate:WIMax:RCE

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts
  • :CALCulate:WIMax:RCE:PILot
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]
  • :CALCulate:WIMax:RCE:UNIT


:CALCulate:WIMax:RCE:BURSts

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts:PEAK
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer
  • :CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier
  • :CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol
  • :CALCulate:WIMax:RCE:BURSts[:RMS]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts:PEAK

Queries the WiMAX data bursts RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK?
Examples | :CALC:WIM:RCE:BURS:PEAK?
 | :calculate:wimax:rce:bursts:peak?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL

Queries the fail status of the WiMAX data bursts RCE peak limit test. A 1 indicates that the limit test failed and a 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL?
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM:FAIL?
 | :calculate:wimax:rce:bursts:peak:limit:fail?

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]

Queries or switches on/off the WiMAX data bursts RCE peak limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM ON
 | :calculate:wimax:rce:bursts:peak:limit:state on
 | :CALC:WIM:RCE:BURS:PEAK:LIM?

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer

Set upper limit for WiMAX data bursts RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM:UPP MAX
 | :calculate:wimax:rce:bursts:peak:limit:upper maximum
 | :CALC:WIM:RCE:BURS:PEAK:LIM:UPP?

:CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier

Queries the subcarrier where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier?
Examples | :CALC:WIM:RCE:BURS:PEAK:SUBC?
 | :calculate:wimax:rce:bursts:peak:subcarrier?

:CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol

Queries the symbol where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol?
Examples | :CALC:WIM:RCE:BURS:PEAK:SYMB?
 | :calculate:wimax:rce:bursts:peak:symbol?

:CALCulate:WIMax:RCE:BURSts[:RMS]

Queries the WiMAX data bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]?
Examples | :CALC:WIM:RCE:BURS?
 | :calculate:wimax:rce:bursts:rms?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL

Queries the fail status of the WiMAX data bursts RCE rms limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL?
Examples | :CALC:WIM:RCE:BURS:LIM:FAIL?
 | :calculate:wimax:rce:bursts:rms:limit:fail?

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]

Queries or switches on/off the WiMAX data bursts RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:BURS:LIM ON
 | :calculate:wimax:rce:bursts:rms:limit:state on
 | :CALC:WIM:RCE:BURS:LIM?

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

Queries or sets the upper limit for WiMAX data bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:BURS:LIM:UPP MAX
 | :calculate:wimax:rce:bursts:rms:limit:upper maximum
 | :CALC:WIM:RCE:BURS:LIM:UPP?


:CALCulate:WIMax:RCE:PILot

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot:PEAK
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer
  • :CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier
  • :CALCulate:WIMax:RCE:PILot:PEAK:SYMBol
  • :CALCulate:WIMax:RCE:PILot[:RMS]

:CALCulate:WIMax:RCE:PILot:PEAK

Queries the WiMAX Pilot RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK?
Examples | :CALC:WIM:RCE:PIL:PEAK?
 | :calculate:wimax:rce:pilot:peak?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL

Queries the fail status for the WiMAX Pilot RCE peak limit test. A 1 indicates the limit test failed; a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL?
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM:FAIL?
 | :calculate:wimax:rce:pilot:peak:limit:fail?

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]

Queries or switches on/off the WiMAX RCE Pilot RCE peak limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM ON
 | :calculate:wimax:rce:pilot:peak:limit:state on
 | :CALC:WIM:RCE:PIL:PEAK:LIM?

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -6.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM:UPP MAX
 | :calculate:wimax:rce:pilot:peak:limit:upper maximum
 | :CALC:WIM:RCE:PIL:PEAK:LIM:UPP?

:CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier

Queries the subcarrier where the WiMAX Pilot RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier?
Examples | :CALC:WIM:RCE:PIL:PEAK:SUBC?
 | :calculate:wimax:rce:pilot:peak:subcarrier?

:CALCulate:WIMax:RCE:PILot:PEAK:SYMBol

Queries the symbol where the WiMAX Pilot RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:SYMBol?
Examples | :CALC:WIM:RCE:PIL:PEAK:SYMB?
 | :calculate:wimax:rce:pilot:peak:symbol?

:CALCulate:WIMax:RCE:PILot[:RMS]

Queries the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]?
Examples | :CALC:WIM:RCE:PIL?
 | :calculate:wimax:rce:pilot:rms?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL

Queries the fail status of the WiMAX Pilot RCE rms limit test. A 1 indicates the limit test failed; a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL?
Examples | :CALC:WIM:RCE:PIL:LIM:FAIL?
 | :calculate:wimax:rce:pilot:rms:limit:fail?

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe]

Queries or sets on/off the WiMAX Pilot RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe] Off
Examples | :CALC:WIM:RCE:PIL:LIM OFF
 | :calculate:wimax:rce:pilot:rms:limit:state off
 | :CALC:WIM:RCE:PIL:LIM?

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

Queries or set the upper limit for the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -6.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:PIL:LIM:UPP MAX
 | :calculate:wimax:rce:pilot:rms:limit:upper maximum
 | :CALC:WIM:RCE:PIL:LIM:UPP?


:CALCulate:WIMax:RCE[:SUBFrame][:RMS]

Queries the WiMAX Subframe RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS?
Examples | :CALC:WIM:RCE?
 | :calculate:wimax:rce:subframe:rms?

Select a link to view further command details:

  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:FAIL

Queries the fail status of a WiMAX Subframe RCE rms limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:FAIL?
Examples | :CALC:WIM:RCE:LIM:FAIL?
 | :calculate:wimax:rce:subframe:rms:limit:fail?

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit[:STATe]

Queries or sets on/off the WiMAX Subframe RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:STATe Off
Examples | :CALC:WIM:RCE:LIM OFF
 | :calculate:wimax:rce:subframe:rms:limit:state off
 | :CALC:WIM:RCE:LIM?

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Subframe RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:LIM:UPP MAX
 | :calculate:wimax:rce:subframe:rms:limit:upper maximum
 | :CALC:WIM:RCE:LIM:UPP?

:CALCulate:WIMax:RCE:UNIT

Set units for RCE values in the WiMAX data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DB|PCT | Yes | DB | PCT | DEFault | DB | n/a | n/a | none

 | :CALCulate:WIMax:RCE:UNIT PCT
Examples | :CALC:WIM:RCE:UNIT PCT
 | :calculate:wimax:rce:unit pct
 | :CALC:WIM:RCE:UNIT?


:CALCulate:WIMax:UPLink:DSYMbols

Queries the number of demodulation symbols in WiMAX Uplink subframe. This is the number of symbols that the analyzer will attempt to demodulate. It is less than or equal to the number of symbols defined within zones in the subframe. The number of defined symbols is less than or equal to the total number of symbols periods within the subframe duration.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:UPLink:DSYMbols
Examples | :CALC:WIM:UPL:DSYM
 | :calculate:wimax:uplink:dsymbols
 | :CALC:WIM:UPL:DSYM?


:CALCulate:WLAN

Select a link to view the command details:

  • :CALCulate:WLAN:BANDwidth
  • :CALCulate:WLAN:BWIDth
  • :CALCulate:WLAN:CFEedthru
  • :CALCulate:WLAN:CFERror
  • :CALCulate:WLAN:CONStellation
  • :CALCulate:WLAN:CPOWer
  • :CALCulate:WLAN:DRATe
  • :CALCulate:WLAN:EVCHannel
  • :CALCulate:WLAN:EVM
  • :CALCulate:WLAN:FMARgin
  • :CALCulate:WLAN:GCOMpression:FACTor
  • :CALCulate:WLAN:HEADer
  • :CALCulate:WLAN:MFLatness:PTPeak
  • :CALCulate:WLAN:NSYMbols
  • :CALCulate:WLAN:PDRamp
  • :CALCulate:WLAN:PERRor
  • :CALCulate:WLAN:PFLatness:PTPeak
  • :CALCulate:WLAN:PILot:EVM:PEAK
  • :CALCulate:WLAN:PILot:EVM[:RMS]
  • :CALCulate:WLAN:PORamp
  • :CALCulate:WLAN:SCERror
  • :CALCulate:WLAN:SEMask
  • :CALCulate:WLAN:SIGNal

:CALCulate:WLAN:BANDwidth

Queries the nominal bandwidth of the WLAN OFDM signal as Hz. For example, returns a value such as 10Hz, 20MHz, 40MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | <Hz>

 | :CALCulate:WLAN:BANDwidth?
Examples | :CALC:WLAN:BAND?
 | :calculate:wlan:bandwidth?

:CALCulate:WLAN:BWIDth

Queries the nominal bandwidth of the WLAN OFDM signal as Hz. For example, returns a value such as 10Hz, 20MHz, 40MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | <Hz>

 | :CALCulate:WLAN:BWIDth?
Examples | :CALC:WLAN:BWID?
 | :calculate:wlan:bandwidth?


:CALCulate:WLAN:CFEedthru

Queries carrier feedthrough error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru?
Examples | :CALC:WLAN:CFE?
 | :calculate:wlan:cfeedthru?

______

Note icon For Series V2800 measurements, the return parameter is Carrier Feedthrough Relative to Total Power (dBr).

______

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr)

______

Select a link to view the command details:

  • :CALCulate:WLAN:CFEedthru:LIMit:FAIL
  • :CALCulate:WLAN:CFEedthru:LIMit[:STATe]
  • :CALCulate:WLAN:CFEedthru:LIMit:UPPer

:CALCulate:WLAN:CFEedthru:LIMit:FAIL

Query fail status of carrier feedthrough limit test. A "1" indicates the limit test failed; a "0" indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru:LIMit:FAIL?
Examples | :CALC:WLAN:CFE:LIM:FAIL?
 | :calculate:wlan:cfeedthru:limit:fail?

:CALCulate:WLAN:CFEedthru:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN carrier feedthrough.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru:LIMit:STATe 1
Examples | :CALC:WLAN:CFE:LIM 0
 | :calculate:wlan:cfeedthru:limit:state 0
 | :CALCulate:WLAN:CFEedthru:LIMit?

:CALCulate:WLAN:CFEedthru:LIMit:UPPer

Queries or sets the upper limit for a WLAN carrier feedthrough measurement. The measurement is Carrier Feedthrough relative to Total Power (dBr)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -50 | 0 | dBr

 | :CALCulate:WLAN:CFEedthru:LIMit:UPPer 20
Examples | :CALC:WLAN:CFE:LIMit:UPP 0
 | :calculate:wlan:cfeedthru:limit:upper 20
 | :CALCulate:WLAN:CFEedthru:LIMit:UPPer?


:CALCulate:WLAN:CFERror

Queries carrier frequency error for the WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFERror?
Examples | :CALC:WLAN:CFER?
 | :calculate:wlan:cferror?

Select a link to view the command details:

  • :CALCulate:WLAN:CFERror:LIMit:FAIL
  • :CALCulate:WLAN:CFERror:LIMit[:STATe]
  • :CALCulate:WLAN:CFERror:LIMit:UPPer

:CALCulate:WLAN:CFERror:LIMit:FAIL

Queries fail status of carrier frequency error limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFERror:LIMit:FAIL?
Examples | :CALC:WLAN:CFER:LIM:FAIL?
 | :calculate:wlan:cferror:limit:fail?

:CALCulate:WLAN:CFERror:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN carrier frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:CFERror:LIMit:STATe
Examples | :CALC:WLAN:CFER:LIM 1
 | :calculate:wlan:cferror:limit:state 0
 | :CALCulate:WLAN:CFERror:LIMit:STATe?

:CALCulate:WLAN:CFERror:LIMit:UPPer

Queries or sets the upper limit for a WLAN carrier frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 60000 | 0 | 1000000 | Hz

 | :CALCulate:WLAN:CFERror:LIMit:UPPer 60000
Examples | :CALC:WLAN:CFER:LIM:UPP 0
 | :calculate:wlan:cferror:limit:upper 0
 | :CALCulate:WLAN:CFERror:LIMit:UPPer?


:CALCulate:WLAN:CONStellation

Queries the constellation type of a WLAN OFDM signal. The return value matches the parameter for the :SENSe:WLAN:CONStellation command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK,QPSK,QAM16 ,QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CONStellation?
Examples | :CALC:WLAN:CONS?
 | :calculate:wlan:constellation?


:CALCulate:WLAN:CPOWer

Queries the channel power for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer?
Examples | :CALC:WLAN:CPOW?
 | :calculate:wlan:cpower?

Select a link to view the command details:

  • :CALCulate:WLAN:CPOWer:LIMit:FAIL
  • :CALCulate:WLAN:CPOWer:LIMit[:STATe]
  • :CALCulate:WLAN:CPOWer:LIMit:UPPer

CALCulate:WLAN:CPOWer:LIMit:FAIL

Queries the fail status of a channel power error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer:LIMit:FAIL?
Examples | :CALC:WLAN:CPOW:LIM:FAIL?
 | :calculate:wlan:cpower:limit:fail?

:CALCulate:WLAN:CPOWer:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN channel power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer:LIMit:STATe On
Examples | :CALC:WLAN:CPOW:LIM 1
 | :calculate:wlan:cpower:limit:state 0
 | :CALC:WLAN:CPOW:LIM?

:CALCulate:WLAN:CPOWer:LIMit:UPPer

Queries or sets the upper limit for WLAN channel power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -10 | -100 | 10 | dBm

 | :CALCulate:WLAN:CPOWer:LIMit:UPPer -100
Examples | :CALC:WLAN:CPOW:LIM:UPP -10
 | :calculate:wlan:cpower:limit:upper 10
 | :CALCulate:WLAN:CPOWer:LIMit:UPPer?


:CALCulate:WLAN:DRATe

Queries the data rate of a WLAN DSSS/CCK signal as bits/second.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:DRATe?
Examples | :CALC:WLAN:DRAT?
 | :calculate:wlan:drate?


:CALCulate:WLAN:EVCHannel

Select a link to view the command details:

  • :CALCulate:WLAN:EVCHannel:CMAXimum
  • :CALCulate:WLAN:EVCHannel:MAXimum

:CALCulate:WLAN:EVCHannel:CMAXimum

Queries the channel at which maximum EVM occurs in a WLAN EVM versus Channel trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVCHannel:CMAXimum?
Examples | :CALC:WLAN:EVCH:CMAX?
 | :calculate:wlan:evchannel:cmaximum?

:CALCulate:WLAN:EVCHannel:MAXimum

Queries the maximum EVM in a WLAN EVM versus Channel trace measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVCHannel:MAXimum?
Examples | :CALC:WLAN:EVCH:MAX?
 | :calculate:wlan:evchannel:maximum?


:CALCulate:WLAN:EVM

Select a link to view the command details:

  • :CALCulate:WLAN:EVM:PEAK
  • :CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:EVM:PEAK

Queries the EVM peak for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK?
Examples | :CALC:WLAN:PIL:EVM:PEAK?
 | :calculate:wlan:pilot:evm:peak?

Select a link to view further command details:

  • :CALCulate:WLAN:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer

:CALCulate:WLAN:EVM:PEAK:LIMit:FAIL

Queries the fail status of a EVM peak limit test. A 0 indicates the limit test failed. A 1 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WLAN:EVM:PEAK:LIM:FAIL?
 | :calculate:wlan:evm:peak:limit:fail?

:CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]

Queries or turns on/off the limit test for a WLAN EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]?
Examples | :CALC:WLAN:EVM:PEAK:LIM?
 | :calculate:wlan:evm:peak:limit[:state]?

:CALCulate:WLAN:EVM:PEAK:LIMit:UPPer

Queries or sets the upper limit for a WLAN Pilot EVM rms measurement. If the units are not specified, the value is given by the units specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -14 | -100 | 0 | dB/%

 | :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer 0
Examples | :CALC:WLAN:EVM:PEAK:LIM:UPP -100
 | :calculate:wlan:evm:peak:limit:upper 0
 | :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer?


:CALCulate:WLAN:EVM[:RMS]

Queries the Pilot EVM rms for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS?
Examples | :CALC:WLAN:EVM?
 | :calculate:wlan:evm:rms?

Select a link to view the command details:

  • :CALCulate:WLAN:EVM:RMS:LIMit:FAIL
  • :CALCulate:WLAN:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WLAN:EVM:RMS:LIMit:UPPer

:CALCulate:WLAN:EVM:RMS:LIMit:FAIL

Queries the fail status of EVM RMS limit test. A 1 indicates that the limit test failed. A 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WLAN:EVM:RMS:LIM:FAIL?
 | :calculate:wlan:evm:rms:limit:fail?

:CALCulate:WLAN:EVM:RMS:LIMit[:STATe]

Queries or turns on/off the limit test for a WLAN EVM RMS measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS:LIMit:STATe 0
Examples | :CALC:WLAN:EVM:RMS:LIM 0
 | :calculate:wlan:evm:rms:limit:state
 | :CALCulate:WLAN:EVM:RMS:LIMit:STATe?

:CALCulate:WLAN:EVM:RMS:LIMit:UPPer

Queries or sets the upper limit for a WLAN EVM RMS measurement. If the units are not specified the value is given by the units specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -100 | 0 | dB/%

 | :CALCulate:WLAN:EVM:RMS:LIMit:UPPer 0
Examples | :CALC:WLAN:EVM:RMS:LIM:UPP -100
 | :calculate:wlan:evm:rms:limit:upper -20
 | :CALCulate:WLAN:EVM:RMS:LIMit:UPPer?

:CALCulate:WLAN:EVM:UNIT

Sets or queries the measurement units for EVM values in the WLAN data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DB | PCT | Yes | DB | PCT | DEFault | DB | n/a | n/a | none

The example below shows the measurement unit for the WLAN EVM measurement has been set to DB (decibels), and that the query returns that parameter.

 | :CALCULATE:WLAN:EVM:DB
Examples | :CALCulate:WLAN:EVM:UNIT? DB
 | :calculate:wlan:evm:db


:CALCulate:WLAN:FMARgin

Queries the channel flatness margin for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin?
Examples | :CALC:WLAN:FMAR?
 | :calculate:wlan:fmargin?

Select a link to view the command details:

  • :CALCulate:WLAN:FMARgin:LIMit:FAIL
  • :CALCulate:WLAN:FMARgin:LIMit[:STATe]
  • :CALCulate:WLAN:FMARgin:LIMit:UPPer

:CALCulate:WLAN:FMARgin:LIMit:FAIL

Queries the fail status of a channel flatness limit test. A 1 indicates the limit test failed; A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin:LIMit:FAIL?
Examples | :CALC:WLAN:FMAR:LIM:FAIL?
 | :calculate:wlan:fmargin:limit:fail?

:CALCulate:WLAN:FMARgin:LIMit[:STATe]

Queries or turns on/off the limit test for channel flatness.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin:LIMit:STATe 1
Examples | :CALC:WLAN:FMAR:LIM:STAT 0
 | :calculate:wlan:fmargin:limit:state 1
 | :CALCulate:WLAN:FMARgin:LIMit:STATe?

:CALCulate:WLAN:FMARgin:LIMit:UPPer

Queries or sets the upper limit for channel flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WLAN:FMARgin:LIMit:UPPer MAX
Examples | :CALC:WLAN:FMAR:LIM:UPP MIN
 | :calculate:wlan:fmargin:limit:upper 0
 | :CALCulate:WLAN:FMARgin:LIMit:UPPer?


:CALCulate:WLAN:GCOMpression:FACTor

Queries the gain compression factor in a WLAN Gain Compression trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:GCOMpression:FACTor?
Examples | :CALC:WLAN:GCOM:FACT?
 | :calculate:wlan:gcompression:factor?


:CALCulate:WLAN:HEADer

Queries the header data for a 802.11n signal. Header decode must be enabled. If header decode is enabled, the following are returned:

  • Modulation/Coding Scheme
  • Nss
  • Modulation
  • Rate
  • Data Bits/Symbol
  • Bandwidth
  • HT Length
  • STBC
  • Short GI
  • Num Ext HT-LTF
  • Data Symbols/Packet

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:HEADer?
Examples | :CALC:WLAN:HEAD?
 | :calculate:wlan:header?


:CALCulate:WLAN:MFLatness:PTPeak

Queries the peak-to-peak flatness on a WLAN Magnitude Flatness trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:MFLatness:PTPeak?
Examples | :CALC:WLAN:MFL:PTP?
 | :calculate:wlan:mflatness:ptpeak?


:CALCulate:WLAN:NSYMbols

Queries the number of symbols decoded by a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:NSYMbols?
Examples | :CALC:WLAN:NSYM?
 | :calculate:wlan:nsymbols?


:CALCulate:WLAN:PDRamp

Queries Power-Down Ramp for a WLAN 802.11b measurement. The value is returned in seconds.

Note: A value of 99.99 µs means that there was insufficient data to calculate the ramp time. Try increasing the acquisition time or use Optimize Setup.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp?
Examples | :CALC:WLAN:PDR?
 | :calculate:wlan:pdramp?

Select a link to view further command details:

  • :CALCulate:WLAN:PDRamp:LIMit:FAIL
  • :CALCulate:WLAN:PDRamp:LIMit[:STATe]
  • :CALCulate:WLAN:PDRamp:LIMit:UPPer

:CALCulate:WLAN:PDRamp:LIMit:FAIL

Queries the fail status of the Power-Down Ramp limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp:LIMit:FAIL?
Examples | :CALC:WLAN:PDR:LIM:FAIL?
 | :calculate:wlan:pdramp:limit:fail?

:CALCulate:WLAN:PDRamp:LIMit[:STATe]

Queries or turns on/off the limit test for Power-Down Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp:LIMit:STATe 0
Examples | :CALC:WLAN:PDR:LIM 1
 | :calculate:wlan:pdramp:limit:state 1
 | :CALCulate:WLAN:PDRamp:LIMit?

:CALCulate:WLAN:PDRamp:LIMit:UPPer

Queries or sets the upper limit for a Power-Down Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000002 | 0.00000001 | 0.00002 | seconds

 | :CALCulate:WLAN:PDRamp:LIMit:UPPer MAX
Examples | :CALC:WLAN:PDR:LIM:UPP MIN
 | :calculate:wlan:pdramp:limit:upper minimum
 | :CALCulate:WLAN:PDRamp:LIMit:UPPer?


:CALCulate:WLAN:PERRor

Queries the mean phase error in a Phase Compression trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PERRor?
Examples | :CALC:WLAN:PERR?
 | :calculate:wlan:perror?


:CALCulate:WLAN:PFLatness:PTPeak

Queries the peak-to-peak flatness on a WLAN Phase Flatness trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PFLatness:PTPeak?
Examples | :CALC:WLAN:PFL:PTP?
 | :calculate:wlan:pflatness:ptpeak?


:CALCulate:WLAN:PILot:EVM:PEAK

Queries the EVM peak for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK?
Examples | :CALC:WLAN:PIL:EVM:PEAK?
 | :calculate:wlan:pilot:evm:peak?

Select a link to view further command details:

  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL

Queries the fail status of a EVM peak limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM:FAIL?
 | :calculate:wlan:pilot:evm:peak:limit:fail?

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN Pilot EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:STATe 0
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM 1
 | :calculate:wlan:pilot:evm:peak:limit:state 1
 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:STATe?

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer

Queries or sets the upper limit for WLAN Pilot EVM rms. If the units are not specified, the value is specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -14 | -100 | 0 | dB/%

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer 0
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM:UPP MIN
 | :calculate:wlan:pilot:evm:peak:limit:upper 0
 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer?


:CALCulate:WLAN:PILot:EVM[:RMS]

Queries the Pilot EVM rms for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS?
Examples | :CALC:WLAN:PIL:EVM?
 | :calculate:wlan:pilot:evm:rms?

Select a link to view further command details:

  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL
  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer

:CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL

Queries the fail status of a Pilot EVM rms limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM:FAIL?
 | :calculate:wlan:pilot:evm:rms:limit:fail?

:CALCulate:WLAN:PILot:EVM:RMS:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN Pilot EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:STATe 1
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM 0
 | :calculate:wlan:pilot:evm:rms:limit:state 1
 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:STATe?

:CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer

Queries or sets the upper limit for WLAN Pilot EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -100 | 0 | dB/%

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer 0
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM:UPP DEF
 | :calculate:wlan:pilot:evm:rms:limit:upper minimum
 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer?


:CALCulate:WLAN:PORamp

Queries the fail status of Power-On Ramp for a WLAN 802.11b measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PORamp?
Examples | :CALC:WLAN:POR?
 | :calculate:wlan:poramp?

Select a link to view the command details:

  • :CALCulate:WLAN:PORamp
  • :CALCulate:WLAN:PORamp:LIMit:FAIL
  • :CALCulate:WLAN:PORamp:LIMit[:STATe]
  • :CALCulate:WLAN:PORamp:LIMit:UPPer

:CALCulate:WLAN:PORamp:LIMit:FAIL

Queries the fail status of Power-On Ramp limit test. A 1 indicates the limit test failed, a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PORamp:LIMit:FAIL?
Examples | :CALC:WLAN:POR:LIM:FAIL?
 | :calculate:wlan:poramp:limit:fail?

:CALCulate:WLAN:PORamp:LIMit[:STATe]

Queries or switches on/off the limit test for the Power-On Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:PORamp:LIMit:STATe Off
Examples | :CALC:WLAN:POR:LIM OFF
 | :calculate:wlan:poramp:limit:state off
 | :CALC:WLAN:POR:LIM?

:CALCulate:WLAN:PORamp:LIMit:UPPer

Queries or sets the upper limit for the Power-On Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000002 | 0.00000001 | 0.00002 | seconds

 | :CALCulate:WLAN:PORamp:LIMit:UPPer MAXimum
Examples | :CALC:WLAN:POR:LIM:UPP MAX
 | :calculate:wlan:poramp:limit:upper maximum
 | :CALC:WLAN:POR:LIM:UPP?


:CALCulate:WLAN:SCERror

Queries the symbol clock error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror?
Examples | :CALC:WLAN:SCER?
 | :calculate:wlan:scerror?

Select a link to view the command details:

  • :CALCulate:WLAN:SCERror
  • :CALCulate:WLAN:SCERror:LIMit:FAIL
  • :CALCulate:WLAN:SCERror:LIMit[:STATe]
  • :CALCulate:WLAN:SCERror:LIMit:UPPer

:CALCulate:WLAN:SCERror

Queries the symbol clock error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror?
Examples | :CALC:WLAN:SCER?
 | :calculate:wlan:scerror?

:CALCulate:WLAN:SCERror:LIMit:FAIL

Queries the failed status of a symbol clock error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror:LIMit:FAIL?
Examples | :CALC:WLAN:SCER:LIM:FAIL?
 | :calculate:wlan:scerror:limit:fail?

:CALCulate:WLAN:SCERror:LIMit[:STATe]

Queries or switches on/off the limit test for a WLAN symbol clock error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:SCERor:LIMit:STATe Off
Examples | :CALC:WLAN:SCER:LIM OFF
 | :calculate:wlan:scerror:limit:state off
 | :CALC:WLAN:SCER:LIM?

:CALCulate:WLAN:SCERror:LIMit:UPPer

Queries or sets the upper limit for a WLAN symbol clock error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 25 | 0 | 50 | none

 | :CALCulate:WLAN:SCERror:LIMit:UPPer MAXimum
Examples | :CALC:WLAN:SCER:LIM:UPP MAX
 | :calculate:wlan:scerror:limit:upper maximum
 | :CALC:WLAN:SCER:LIM:UPP?


:CALCulate:WLAN:SEMask

Select a link to view the command details:

  • :CALCulate:WLAN:SEMask:LIMit:FAIL
  • :CALCulate:WLAN:SEMask:LIMit:MARGin
  • :CALCulate:WLAN:SEMask:LIMit:RANGes
  • :CALCulate:WLAN:SEMask:LIMit[:STATe]
  • :CALCulate:WLAN:SEMask:LIMit:UPPer
  • :CALCulate:WLAN:SEMask:PSD

:CALCulate:WLAN:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. A 1 indicates that data is tested and failed, or no data, or the limit state is off. 0 indicates that the data was tested and passed the limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:FAIL? 0
Examples | :CALC:WLAN:SEM:LIM:FAIL? 0
 | :calculate:wlan:semask:limit:fail? 0

:CALCulate:WLAN:SEMask:LIMit:MARGin

Queries or sets the margin for a limit test. The margin is added to the default limit values for each frequency as derived from the 802.11 standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WLAN:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WLAN:SEM:LIM:MARG MAX
 | :calculate:wlan:semask:limit:margin? -50
 | :CALC:WLAN:SEM:LIM:MARG? -50

:CALCulate:WLAN:SEMask:LIMit:RANGes

Queries the results for each offset range, that is, the data in the table. The first value returned is the number of valid ranges, n. Four values are returned for each range: minimum frequency offset, maximum frequency offset, minimum margin and frequency at minimum margin. If there is no valid range data then zero is returned for n and no range data is returned.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit., <Range#1 info>,…, <Range#n info> | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:RANGes?
Examples | :CALC:WLAN:SEM:LIM:RANG?
 | :calculate:wlan:semask:limit:ranges?

:CALCulate:WLAN:SEMask:LIMit[:STATe]

Queries or switches on/off the limit test for a spectrum emission mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:STATe Off
Examples | :CALC:WLAN:SEM:LIM OFF
 | :calculate:wlan:semask:limit:state off
 | :CALC:WLAN:SEM:LIM?

:CALCulate:WLAN:SEMask:LIMit:UPPer

Queries the upper limit values for each data point. Data format is set by :FORMat[:DATA] command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.…Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:UPPer?
Examples | :CALC:WLAN:SEM:LIM:UPP?
 | :calculate:wlan:semask:limit:upper?

:CALCulate:WLAN:SEMask:PSD

Queries the peak PSD.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:PSD?
Examples | :CALC:WLAN:SEM:PSD?
 | :calculate:wlan:semask:psd


:CALCulate:WLAN:SIGNal

Queries the WLAN signal type. The return value matches the parameter type of :SENSe:WLAN:SIGNal command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AG | BG | J | NDR | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SIGNal?
Examples | :CALC:WLAN:SIGN?
 | :calculate:wlan:signal?


:CALibration[:ALL]

Performs an RF hardware calibration.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALibration:ALL
Examples | :CAL
 | :calibration:all


:DIAGnostic

Select a link to view the command details:

  • :DIAGnostic:FREQuency:EXTend[:STATe]
  • :DIAGnostic:INFormation:OPTions
  • :DIAGnostic:REMote:CLEar:LOG
  • :DIAGnostic:REMote:CLEar:OUTPut
  • :DIAGnostic:REMote:ERRor:OUTPut[:STATe]
  • :DIAGnostic:REMote:LOG:OUTPut[:STATe]
  • :DIAGnostic:REMote:OUTPut[:STATe]
  • :DIAGnostic:REMote:QUERy:OUTPut[:STATe]
  • :DIAGnostic:REMote:SAVE

:DIAGnostic:FREQuency:EXTend[:STATe]

Queries or switches on/off the extended frequency mode.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DIAGnostic:FREQuency:EXTend:STATe ON
Examples | :DIAG:FREQ:EXT
 | :diagnostic:frequency:extend 0
 | :DIAG:FREQ:EXT?

:DIAGnostic:INFormation:OPTions

Returns a string representing the installed options (comma delimited).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:INFormation:OPTions?
Examples | :DIAG:INF:OPT?
 | :diagnostic:information:options?

:DIAGnostic:REMote:CLEar:LOG

Clears the diagnostic output log contents.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:LOG
Examples | :DIAG:REM:CLE:LOG
 | :diagnostic:remote:clear:log

:DIAGnostic:REMote:CLEar:OUTPut

Clears the diagnostic output on the screen display list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:OUTPut
Examples | :DIAG:REM:CLE:OUTP
 | :diagnostic:remote:clear:output

:DIAGnostic:REMote:ERRor:OUTPut[:STATe]

Queries or switches on/off the remote command diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:ERRor:OUTPut:STATe ON
Examples | :DIAG:REM:ERR:OUTP
 | :diagnostic:remote:error:output:state 0
 | :DIAG:REM:ERR:OUTP?

:DIAGnostic:REMote:LOG:OUTPut[:STATe]

Queries or turns on/off logging the diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | O or Off | n/a | n/a | none

 | :DIAGnostic:REMote:LOG:OUTPut:STATe ON
Examples | :DIAG:REM:LOG:OUTP
 | :diagnostic:remote:log:output:state 0
 | :DIAG:REM:LOG:OUTP?

:DIAGnostic:REMote:OUTPut[:STATe]

Queries or switches on/off the remote error diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DIAGnostic:REMote:OUTPut:STATe ON
Examples | :DIAG:REM:OUTP:STAT
 | :diagnostic:remote:output 0
 | :DIAG:REM:OUTP:STAT?

:DIAGnostic:REMote:QUERy:OUTPut[:STATe]

Queries or switches on/off the remote query diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:QUERy:OUTPut:STATe ON
Examples | :DIAG:REM:QUER:OUTP:STAT
 | :diagnostic:remote:query:output:state 0
 | :DIAG:REM:QUER:OUTP:STAT?

:DIAGnostic:REMote:SAVE

Saves the diagnostic log to the specified file. Use :MMEMory:DATA? to retrieve file.

NOTE: Only SCPI captured since :DIAGnostic:REMote:LOG:OUTPut:STATe ON is saved to the file.

The general context/process of using the :DIAG:REM:SAVE command is as follows:

  1. :DIAGnostic:REMote:LOG:OUTPut:STATe ON # Turn on file logging.
  2. :DIAGnostic:REMote:OUTPut:STATe ON # turn on SCPI debug/capture.
  3. ... send scpi commands ...
  4. :DIAGnostic:REMote:SAVE filename # save captured scpi to log file (only if LOG was turned on!)
  5. :MMEMory:DATA? user\filename # retrieve SCPI

__

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | string | Yes | filename | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:SAVE
Examples | :DIAG:REM:SAVE
 | :diagnostic:remote:save


:DISPlay

Select a link to view the command details:

  • :DISPlay:CAPTure
  • :DISPlay:DMODulation
  • :DISPlay:ENABle
  • :DISPlay:VIEW
  • :DISPlay:WIMax
  • :DISPlay:WINDow:TRACe:Y[:SCALe]
  • :DISPlay:WLAN

:DISPlay:CAPTure

Captures the current instrument screen and writes a *.bmp to the specified file. This command will overwrite existing files with the same file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | (filename) | none | n/a | n/a | n/a | none

 | DISPlay:CAPTure PATH/FILENAME.BMP
Examples | DISP:CAPT PATH/FILENAME.BMP
 | :display:capture path/filename.bmp


:DISPlay:DMODulation

Select a link to view the command details:

  • :DISPlay:DMODulation:PERSistence:CLEar
  • :DISPlay:DMODulation:PERSistence[:STATe]
  • :DISPlay:DMODulation:TARGets:SIZE
  • :DISPlay:DMODulation:TARGets[:STATe]
  • :DISPlay:DMODulation:TRACe
  • :DISPlay:DMODulation:TRAJectories[:STATe]
  • :DISPlay:DMODulation:VIEW

:DISPlay:DMODulation:PERSistence:CLEar

Clears persisted data from the display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :DISPay:DMODulation:PERSistance:CLEar
Examples | :DISP:DMOD:PERS:CLE
 | :display:dmodulation:persistence clear
 | :DISP:DMOD:PERS:CLE?

:DISPlay:DMODulation:PERSistence[:STATe]

Queries or switches on/off the display persistence for all digital demodulation measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DISPlay:DMODulation:PERSistence:ON
Examples | :DISP:DMOD:PERS:ON
 | :display:dmodulation:persistence 0
 | :DISP:DMOD:PERS?

:DISPlay:DMODulation:TARGets:SIZE

Queries or sets the size of the targets on the constellation display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5 | 0 | 25 | percent

 | :DISPlay:DMODulation:TARGets:SIZE
Examples | :DISP:DMOD:TARG:SIZE
 | :display:dmodulation:targets size
 | :DISP:DMOD:TARG SIZE?

:DISPlay:DMODulation:TARGets[:STATe]

Queries or switches on/off display targets for constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DISPlay:DMODulation:TARGets:STATe on
Examples | :DISP:DMOD:TARG 1
 | :display:dmodulation:targets 1
 | :DISP:DMOD:TARG?

:DISPlay:DMODulation:TRACe

Queries or sets which trace is displayed in the digital demodulation mode's eye and time diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IQ | I | Q | Yes | IQ | I | Q | DEFault | IQ | n/a | n/a | none

 | :DISPlay:DMODulation:TRACe IQ
Examples | :DISP:DMOD:TRAC IQ
 | :display:dmodulation:trace q
 | :DISP:DMOD:TRAC:?

:DISPlay:DMODulation:TRAJectories[:STATe]

Enables or disables the display of trajectories in constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DISPlay:DMODulation:TRAJectories:STATe ON
Examples | :DISP:DMOD:TRAJ ON
 | :display:dmodulation:trajectories 1
 | :DISP:DMOD:TRAJ?

:DISPlay:DMODulation:VIEW

Queries or sets view type for digital demodulation measurements.

Parameters

  • CONStellation selects constellation for the graph type (default).
  • TIME selects the time for the graph type.
  • EYE selects eye for the graph type.
  • DEM selects demodulation for the graph type.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CONS | TIME | EYE | DEM | Yes | CONStellation | TIME | EYE | DEModulate | DEFault | CONS | n/a | n/a | none

 | :DISPlay:DMODulation:VIEW EYE
Examples | :DISP:DMOD:VIEW TIME
 | :display:dmodulation:view default
 | :DISP:DMOD:VIEW?


:DISPlay:ENABle[:STATe]

Queries or switches on/off the instrument front panel display circuitry, which controls the backlight and all updating of the display. When the display is disabled, the instrument operates at a higher speed. This maximizes throughput when using the remote interface.

Normal display operation can be resumed by using the :ENABle command to enable the display or by putting the instrument into local mode (press Local). All front panel controls (except Local) are disabled.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DISPlay:ENABle:STATe 0
Examples | :DISP:ENAB ON
 | :display:enable 0
 | :DISP:ENAB?


:DISPlay:VIEW

Select a link to view the command details:

  • :DISPlay:VIEW:CDMA
  • :DISPlay:VIEW:EDGE
  • :DISPlay:VIEW:EDGE:TYPE
  • :DISPlay:VIEW:GSM
  • :DISPlay:VIEW:GSM:TYPE
  • :DISPlay:VIEW:WCDMa:DOWNlink
  • :DISPlay:VIEW:WCDMa:DOWNlink:CONStellation
  • :DISPlay:VIEW:WCDMa:DOWNlink:TYPE
  • :DISPlay:VIEW:WCDMa[:UPLink]
  • :DISPlay:VIEW:WCDMa:UPLink:CONStellation
  • :DISPlay:VIEW:WCDMa:UPLink:TYPE
  • :DISPlay:VIEW:WIMax
  • :DISPlay:VIEW:WIMAX:TYPE
  • :DISPlay:VIEW:WLAN
  • :DISPlay:VIEW:WLAN:TYPE
  • :DISPlay:VIEW:ZSPan:TYPE

:DISPlay:VIEW:CDMA

Queries or sets the data view for a CDMA2000 measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:CDMA TABLe
Examples | :DISP:VIEW:CDMA TABL
 | :display:view:cdma table
 | :DISP:VIEW:CDMA?

:DISPlay:VIEW:EDGE

Queries or sets the data view for an EDGE measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:EDGE TABLe
Examples | :DISP:VIEW:EDGE TABL
 | :display:view:edge table
 | :DISP:VIEW:EDGE?

:DISPlay:VIEW:EDGE:TYPE

Queries or sets the displayed trace type for an EDGE measurement.

Parameters

  • NONE sets the displayed trace to none.
  • TMASK sets the displayed trace to entire time mask.
  • RISing sets the displayed trace to the rising edge of the time mask.
  • FALLing sets the displayed trace to the falling edge of the time mask.
  • TOP sets the displayed trace to the top of the time mask.
  • OMOD sets the displayed trace to the ORFS due to modulation.
  • OSWI sets the displayed trace to the ORFS due to switching.
  • EVCTRS sets the displayed trace to the error vector centers.
  • SYMB sets the displayed trace to the symbols.
  • CONStellation sets the displayed trace to the constellation view.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | TMASK | RIS | FALL | TOP | OMOD | OSWI | EVCTRS | SYMB | CONS | Yes | NONE | TMASK | RISe | FALLing | TOP | OMOD | OSWI | EVCTRS | SYM | SYMBol | CONStellation | CONST | Default | TMASK | n/a | n/a | none

 | :DISPlay:VIEW:EDGE:TYPE TOP
Examples | :DISP:VIEW:EDGE:TYPE TOP
 | :display:view:edge:type top
 | :DISP:VIEW:EDGE:TYPE?

:DISPlay:VIEW:GSM

Queries or sets the data view for an GSM measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:GSM TABLe
Examples | :DISP:VIEW:GSM TABL
 | :display:view:gsm table
 | :DISP:VIEW:GSM?

:DISPlay:VIEW:GSM:TYPE

Queries or sets the data view for a GSM measurement.

Parameters

  • NONE sets the displayed trace to none.
  • TMASK sets the displayed trace to the full time mask.
  • RISing sets the displayed trace to the rising edge of the time mask.
  • FALLing sets the displayed trace to the falling edge of the time mask.
  • TOP sets the displayed trace to the top of the time mask.
  • OMOD sets the displayed trace to the ORFS due to modulation.
  • OSWI sets the displayed trace to the ORFS due to switching.
  • PERRor sets the displayed trace to the phase error.
  • MPHASe sets the displayed trace to the measured phase.
  • SYMB sets the displayed trace to the symbols.
  • DEFault sets the displayed trace to the default.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | TMASK | RIS | FALL | TOP | OMOD | OSWI | PERR | MPHAS | SYMB | Yes | NONE | TMASK | RISe | FALLing | TOP | OMOD | OSWI | PERRor | MPHASe | SYM | SYMBol | Default | TMASK | n/a | n/a | none

 | :DISPlay:VIEW:GSM:TYPE
Examples | :DISP:VIEW:GSM:TYPE
 | :display:view:gsm:type
 | :DISP:VIEW:GSM:TYPE?

:DISPlay:VIEW:WCDMa:DOWNlink

Queries or sets the data view for a W-CDMA downlink measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink TABLe
Examples | :DISP:VIEW:WCDM:DOWN TABL
 | :display:view:wcdma:downlink table
 | :DISP:VIEW:WCDM:DOWN?

:DISPlay:VIEW:WCDMa:DOWNlink:CONStellation

Queries or sets the data set for W-CDMA constellation trace type: composite or code channel.

Parameters

  • COMPosite selects a composite trace view.
  • CCHannel selects a code channel trace view.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | COMP | CCH | Yes | COMPosite | CCHannel | Default | COMP | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink:CONStellation COMPosite
Examples | :DISP:VIEW:WCDM:DOWN:CONS COMP
 | :display:view:wcdma:downlink:constellation composite
 | :DISP:VIEW:WCDM:DOWN:CONS?

:DISPlay:VIEW:WCDMa:DOWNlink:TYPE

Queries or sets the trace type for the W-CDMA downlink measurement.

Parameters

  • NONE disables this view.
  • CONStellation sets the trace type view to constellation.
  • CDOMain sets the trace type view to code domain.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | CDOM | Yes | NONE | CONStellation | CDOMain | Default | CDOM | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink:TYPE CONStellation
Examples | :DISP:VIEW:WCDM:DOWN:TYPE CONS
 | :display:view:wcdma:downlink:type constellation
 | :DISP:VIEW:WCDM:DOWN:TYPE?

:DISPlay:VIEW:WCDMa[:UPLink]

Queries or sets the data view for a W-CDMA uplink measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink TABLe
Examples | :DISP:VIEW:WCDM TABL
 | :display:view:wcdma table
 | :DISP:VIEW:WCDM?

:DISPlay:VIEW:WCDMa:UPLink:CONStellation

Queries or sets the data set for W-CDMA constellation trace type: composite or code channel.

Parameters

  • COMPosite selects a composite trace type.
  • CCHannel selects a code channel trace type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | COMP | CCH | Yes | COMPosite | CCHannel | Default | COMP | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink:CONStellation COMPosite
Examples | :DISP:VIEW:WCDM:UPL:CONS COMP
 | :display:view:wcdma:uplink:constellation composite
 | :DISP:VIEW:WCDM:UPL:CONS?

:DISPlay:VIEW:WCDMa:UPLink:TYPE

Queries or sets the trace type for the W-CDMA uplink measurement.

  • CONStellation sets the trace type view to constellation.
  • CDOMain sets the trace type view to code domain..
  • NONE
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | CDOM | Yes | NONE | CONStellation | CDOMain | Default | CDOM | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink:TYPE CONStellation?
Examples | :display:view:wcdma:uplink:type constellation
 | :DISP:VIEW:WCDM:UPL:TYPE CONS?

:DISPlay:VIEW:WIMax

Queries or sets the view of the data for WiMAX measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WIMax TABLe
Examples | :DISP:VIEW:WIM TABL
 | :display:view:wimax table
 | :DISP:VIEW:WIMax?

:DISPlay:VIEW:WIMax:TYPE

Queries or sets the trace type for a WiMAX measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | RVS | RVSY | RHIS | MFL | GCOM | PCOM | Yes | NONE | CONStellation | RVSubcarrier | RVSYmbol | RHIStory | MFLatness | GCOMpression | PCOMpression | Default | CONS | n/a | n/a | none

 | :DISPlay:VIEW:WIMax:TYPE GCOM
Examples | :DISP:VIEW:WIM:TYPE RHIS
 | :display:view:wimax:type mflatness
 | :DISP:VIEW:WIMax:TYPE?

:DISPlay:VIEW:WLAN

Queries or sets the view of the data for a WLAN measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WLAN TABLe
Examples | :DISP:VIEW:WLAN TABL
 | :display:view:wlan table
 | :DISP:VIEW:WLAN?

:DISPlay:VIEW:WLAN:TYPE

Queries or sets the displayed trace type for a WLAN measurement.

Parameters

  • NONE sets the displayed trace to none.
  • CONStellation sets the displayed trace to constellation.
  • EVCHannel
  • EVSYmbol
  • EHIStory
  • GCOMpression
  • PCOMpression
  • CCDF
  • MFLatness
  • PFLatness
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | EVCH | EVSY | EHIS | GCOM | PCOM | CCDF | MFL | PFL | Yes | NONE | CONStellation | EVCHannel | EVSYmbol | EHIStory | GCOMpression | PCOMpression | CCDF | MFLatness | PFLatness | Default | CONS | n/a | n/a | none

 | :DISPlay:VIEW:WLAN:TYPE
Examples | :DISP:VIEW:WLAN:TYPE
 | :display:view:wlan:type
 | :DISP:VIEW:TYPE?

:DISPlay:VIEW:ZSPan:TYPE

Queries or sets the Zero Span trace type to Log Magnitude or Frequency.

Parameters

  • LMAG sets the displayed trace to Log Magnitude.
  • FREQ sets the displayed trace to Frequency.
  • DEFault sets the displayed trace to the default (LMAG).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LMAG | FREQ | Yes | LMAGnitude | FREQuency | Default | LMAG | n/a | n/a | none

 | :DISPlay:VIEW:ZSPan:TYPE FREQ
Examples | :DISP:VIEW:ZSP:TYPE LMAG
 | :display:view:zspan:type frequency
 | :DISP:VIEW:ZSP:TYPE?


:DISPlay:WIMax

Select a link to view the command details:

  • :DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP
  • :DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP
  • :DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WiMAX Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:GCOMpression:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:GCOM:Y:PDIV MAX
 | :display:wimax:gcompression:y:scale:pdivision maximum
 | :DISP:WIM:GCOM:Y:PDIV?

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WIMax Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WIMax:GCOMpression:Y:SCALe:RPOSition MAX
Examples | :DISP:WIM:GCOM:Y:SCAL:RPOS MAX
 | :display:wimax:gcompression:y:scale:rposition maximum
 | :DISP:WIM:GCOM:Y:RPOS?

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

Sets or queries the Y-Axis scale of WiMAX Magnitude Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | dB

 | :DISPlay:WIMax:MFLatness:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:MFL:Y:PDIV MAX
 | :display:wimax:mflatness:y:scale:pdivision maximum
 | :DISP:WIM:MFL:Y:PDIV?

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:PCOMpression:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:PCOM:Y:PDIV MAX
 | :display:wimax:pcompression:y:scale:pdivision maximum
 | :DISP:WIM:PCOM:Y:PDIV?

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of the WiMAX Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WIMax:PCOMpression:Y:SCALe:RPOSition MAX
Examples | :DISP:WIM:PCOM:Y:SCAL:RPOS MAX
 | :display:wimax:pcompression:y:scale:rposition maximum
 | :DISP:WIM:PCOM:Y:SCALe:rposition?

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RHIStory:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RHIS:Y:PDIV MAX
 | :display:wimax:rhistory:y:scale:pdivision maximum
 | :DISP:WIM:RHIS:Y:PDIV?

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of the WiMAX RCE History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RHIStory:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RHIS:Y:TOP MAX
 | :display:wimax:rhistory:y:scale:top maximum
 | :DISP:WIM:RHIS:Y:TOP?

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE vs Subcarrier graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RVSubcarrier:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RVS:Y:PDIV MAX
 | :display:wimax:rvsubcarrier:y:scale:pdivision
 | :DISP:WIM:RVS:Y:PDIV?

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of the WiMAX RCE vs Subcarrier graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RVSubcarrier:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RVS:Y:TOP MAX
 | :display:wimax:rvsubcarrier:y:scale:top maximum
 | :DISP:WIM:RVS:TOP?

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RVSYmbol:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RVSY:Y:PDIV MAX
 | :display:wimax:rvsymbol:y:scale:pdivision maximum
 | :DISP:WIM:RVSY:Y:PDIV?

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WiMAX RCE vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RVSYmbol:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RVSY:TOP MAX
 | :display:wimax:rvsymbol:y:scale:top maximum
 | :DISP:WIM:RVSY:TOP?


:DISPlay:WINDow:TRACe:Y[:SCALe]

Select a link to view the command details:

  • :DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision
  • :DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency
  • :DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale per division.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :DISPlay:WINDow:TRACe:Y:SCALe:PDIVision MAX
Examples | :DISP:WIND:TRAC:Y:PDIV MAX
 | :display:window:trace:y:scale:pdivision maximum
 | :DISP:WIND:TRAC:Y:PDIV?

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency

Queries or sets the scale per division for Zero Span frequency mode.

NOTE: The set value is limited to a 1-digit resolution via truncation. For example, 39000 Hz will be truncated to 30000 Hz, and 1100000 Hz will be truncated to 1000000 Hz.

__

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 0.1 | 5000000 | Hz

 | :DISPlay:WINDow:TRACe:Y:SCALe:PDIVision:ZSPan:FREQuency MAX
Examples | :DISP:WIND:TRAC:Y:PDIV:ZSP:FREQ MAX
 | :display:window:trace:y:scale:pdivision:zspan:frequency maximum
 | :DISP:WIND:TRAC:Y:PDIV:ZSP:FREQ?

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

Queries or sets the displayed reference level. The value is coupled to expected power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :DISPlay:WINDow:TRACe:Y:SCALe:RLEVel MAX
Examples | :DISP:WIND:TRAC:Y:RLEV MAX
 | :display:window:trace:y:scale:rlevel maximum
 | :DISP:WIND:TRAC:Y:RLEV?


:DISPlay:WLAN

Select a link to view the command details:

  • :DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP
  • :DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP
  • :DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

Queries or sets the X-Axis scale of WLAN CCDF graph. Select .5, 1.0, 1.5, or 2.0 dB/div.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2 | 0 | 2 | dB

 | :DISPlay:WLAN:CCDF:X:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:CCDF:X:PDIV MAX
 | :display:wlan:ccdf:x:scale:pdivision maximum
 | :DISP:WLAN:CCDF:X:PDIV?

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM vs Channel graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EVCHannel:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:EVCH:Y:PDIV MAX
 | :display:wlan:evchannel:y:scale:pdivision maximum
 | :DISP:WLAN:EVCH:Y:PDIV?

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM vs Channel graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EVCHannel:Y:SCALe:TOP MAXimum
Examples | :DISP:WLAN:EVCH:Y:TOP MAX
 | :display:wlan:evchannel:y:scale:top maximum
 | :DISP:WLAN:EVCH:Y:TOP?

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EHIStory:Y:SCALe:PDIVision MAX
Examples | :DISP:WLAN:EHIS:Y:PDIV MAX
 | :display:wlan:ehistory:y:scale:pdivision maximum
 | :DISP:WLAN:EHIS:Y:PDIV?

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EHIStory:Y:SCALe:TOP MAX
Examples | :DISP:WLAN:EHIS:Y:TOP MAX
 | :display:wlan:ehistory:y:scale:top maximum
 | :DISP:WLAN:EHIS:Y:TOP?

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EVSYmbol:Y:SCALe:PDIVision MAX
Examples | :DISP:WLAN:EVSY:Y:PDIV MAX
 | :display:wlan:evsymbol:y:scale:pdivision maximum
 | :DISP:WLAN:EVSY:Y:PDIV?

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EVSYmbol:Y:SCALe:TOP MAXimum
Examples | :DISP:WLAN:EVSY:Y:TOP MAX
 | :display:wlan:evsymbol:y:scale:top maximum
 | :DISP:WLAN:EVSY:Y:TOP?

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:GCOMpression:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:GCOM:Y:PDIV MAX
 | :display:wlan:gcompression:y:scale:pdivision maximum
 | :DISP:WLAN:GCOM:Y:PDIV?

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WLAN Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WLAN:GCOMpression:Y:SCALe:RPOSition MAXimum
Examples | :DISP:WLAN:GCOM:Y:RPOS MAX
 | :display:wlan:gcompression:y:scale:rposition maximum
 | :DISP:WLAN:GCOM:Y:RPOS?

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Magnitude Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | dB

 | :DISPlay:WLAN:MFLatness:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:MFL:Y:PDIV MAX
 | :display:wlan:mflatness:y:scale:pdivision maximum
 | :DISP:WLAN:MFL:Y:PDIV?

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:PCOMpression:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:PCOM:Y:PDIV MAX
 | :display:wlan:pcompression:y:scale:pdivision maximum
 | :DISP:WLAN:PCOM:Y:PDIV?

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WLAN Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WLAN:PCOMpression:Y:SCALe:RPOSition MAXimum
Examples | :DISP:WLAN:PCOM:Y:RPOS MAX
 | :display:wlan:pcompression:y:scale:rposition maximum
 | :DISP:WLAN:PCOM:Y:RPOS?

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Phase Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :DISPlay:WLAN:PFLatness:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:PFL:Y:PDIV MAX
 | :display:wlan:pflatness:y:scale:pdivision maximum
 | :DISP:WLAN:PFL:Y:PDIV?


:FORMat

Select a link to view the command details:

  • :FORMat[:DATA]
  • :FORMat:SREGister

:FORMat[:DATA]

Queries or sets the format of the data that is returned from the :CALCulate:DATA? query. The parameters are sent as <type>[,<length>].

Parameters

  • ASCII returns the queried data as an ASCII comma-separated list of numeric values. The <length> value is optional and specifies the number of significant values to be returned. The default value of 0 for the <length>, indicates that the device selects the number of digits. For the analyzer, the value of 0 is the only valid length value.
  • REAL returns the queried data as a definite-length binary block. Each value is an IEEE 754 floating-point value. The <length> value is optional and specifies the number of bits in each floating-point value. Valid values of <length> are 32 and 64. The default is 64.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ASC | REAL,32 | REAL,64 | Yes | ASCii[,0] | REAL[,32|64] | Default | ASC,0 | n/a | n/a | none

 | :FORMat:DATA ASC
Examples | :FORM ASC
 | :format:data octal
 | :FORM?


:FORMat:SREGister

Queries or sets the numeric format of query results for status registers and enable registers. See Status structure.

Parameters

The return parameters are a string that contains the capital letters from the currently set parameter:

  • ASCii sets the numeric format to ascii = 0 to 32767.
  • HEXadecimal sets the numeric format to hexadecimal = (x = 0 to 7FFF) = #Hx.
  • BINary sets the numeric format to binary = (each x = 1 or 0) = #Bxx...x.
  • OCTal sets the numeric format to octal = (x = 77777) =#Qx.
  • DEFault returns to the default (preset) mode.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ASC | HEX | BIN | OCT | DEF | Yes | ascii | hexadecimal | binary | octal | Default | ASC | n/a | n/a | none

 | :FORMat:SREGister ASC
Examples | :FORM:SREG ASC
 | :format:sregister octal
 | :FORM:SREG?


:INITiate

Select a link to view the command details:

  • :INITiate:CONTinuous[:STATe]
  • INITiate[:IMMediate][ALL]

:INITiate:CONTinuous[:STATe]

Queries the setting or switches between continuous sweep and single sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :INITiate:CONTinuous:STATe ON
Examples | :INIT:CONT ON
 | :initiate:continuous:state ON
 | :INIT:CONT?

:INITiate[:IMMediate]

Initiate a single sweep or list, depending on mode. See :TRIGger.

When using this command to trigger a single sweep (or list), the command must be used in a single-string programming message that includes *OPC?, followed by a new-line character. When the source completes the sweep, the instrument responds with a "1."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :INITiate:IMMediate
Examples | :INIT
 | :initiate:immediate

NOTE: Sending :INITiate while the instrument is performing a measurement will cause error -213 (init ignored).


:MASTer

Select a link to view the command details:

  • :MASTer:SYNC[:STATe]

_____
For more detail see Master Sync.

:MASTer:SYNC[:STATe]

Queries or switches MIMO master sync on/off.

For more detail see Master Sync.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :MASTer:SYNC:STATe ON
Examples | :MAST:SYNC ON
 | :master:sync:state 0
 | :MAST:SYNC?

Master Sync

Caution: This control is not typically used during normal operation.

_____
Master Sync makes the unit the master in charge of controlling the MIMO synchronization signals. This selection allows for manual control when debugging with the assistance of an <company application engineer.

Related SCPI command:

  • :MASTer:SYNC[:STATe]


:MBOX:COMMand

Queries or sets the specified commands to RF test accessories (for example, the V2891A Upconverter or other V2891A accessory products) to the VSA, and returns responses to queries. See the V2891A product documentation for information about the relevant pass-through commands/queries.

See V2891A SCPI command pass-through

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | <V2981A command> | none | n/a | n/a | n/a | n/a

 | :MBOX:COMMand *RST
Examples | :MBOX:COMM *RST
 | :mbox:command *rst
 | :MBOX:COMM?


:MEASure

Select a link to view the command details:

  • :MEASure:IQ
  • :MEASure:IQ:CFACtor
  • :MEASure[:SELect]
  • :MEASure:IQ:CFACtor note

:MEASure:IQ

Initiates a single sweep measurement that returns IQ values as 16-bit integers. Before you send the :MEAS:IQ command, you must send commands to set up the following conditions:

  • Zero span measurement
  • Single sweep

    Note: Make sure to setup the above conditions before sending the :MEAS:IQ? command, otherwise the instrument will generate a settings conflict error.

Refer to Extracting IQ Data for a programming example.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | arb length binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :MEASure:IQ?
Examples | :MEAS:IQ?
 | :measure:iq?

:MEASure:IQ:CFACtor

Returns the Calibration Factor for the data from the :MEASure:IQ command.

To learn more, see :MEASure:IQ:CFACtor? note

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :MEASure:IQ:CFACtor?
Examples | :MEAS:IQ:CFAC?
 | :measure:iq:cfactor?

:MEASure[:SELect]

Selects or queries the measurement category.

Parameters

  • SPECtrum sets the General Purpose > Spectrum measurement.
  • ZSPan sets the General Purpose > Zero Span measurement.
  • ACPR sets the General Purpose > ACPR measurement.
  • CPL sets the General Purpose > Channel Power List measurement.
  • GPSEM sets the General Purpose > Spectrum Emission Mask measurement.
  • GSM sets the GSM measurement.
  • EDGE sets the EDGE measurement.
  • FSK sets the FSK demodulation measurement.
  • CDMA sets the cdma2000 measurement.
  • CRACPR sets the cdma2000 ACPR measurement.
  • CRDemodulate sets the cdma200 reverse link demodulation measurement.
  • CRSEM sets the cdma2000 Spectrum Emission Mask measurement.
  • CROBW sets the cdma2000 Occupied Bandwidth measurement.
  • WDDemodulate sets the W-CDMA Downlink Demodulate measurement.
  • WDACLR sets the W-CDMA Downlink ACLR measurement.
  • WDOBW sets the W-CDMA Downlink Occupied Bandwidth measurement.
  • WDSEM sets the W-CDMA Downlink Spectrum Emission Mask measurement.
  • WUACLR sets the W-CDMA Uplink ACLR measurement.
  • WUDemodulate sets the W-CDMA Uplink Demodulate measurement.
  • WUSEM sets the W-CDMA Uplink Spectrum Emission Mask measurement.
  • WUOBW sets the W-CDMA Uplink Occupied Bandwidth measurement.
  • WIMAX sets the WiMAX measurement.
  • WLAN sets the WLAN Demodulation measurement.
  • WLSEM sets the WLAN Spectrum Emission measurement.
  • DEFault returns to the default (Preset) mode (SPEC).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SPEC | ZSP | ACPR | CPL | GPSEM | GSM | EDGE | WUD | WDD | CRD | WUACLR | WUSEM | WUOBW | CRACPR | CRSEM | CROBW | FSK | WLAN | WLSEM | WDACLR | WDSEM | WDOBW | WIMAX | Yes | SPECtrum | ZSPan | ACPR | CPL | GPSEM | GSM | EDGE | { WUDemodulate | WCDMa} | WDDemodulate | WDACLR | WDOBW | WDSEM | {CRDemodulate | CDMA} | WUACLR | WUSEM | WUOBW | CRACPR | CRSEM | CROBW | FSK | WLAN | WLSEM | WIMAX | DEFault | SPEC | n/a | n/a | none

 | :MEASure:SELect SPECtrum
Examples | :MEAS SPEC
 | :measure:select spectrum
 | :MEAS?


:MEASure:IQ:CFACtor note

The Calibration (C) Factor is measured in dB.

The MEAS:IQ? measurement returns a real and imaginary array. Each array element is returned as an integer and needs to be scaled in order to be calibrated for correct power levels. After MEAS:IQ? is issued, a second call is made to return a calibration factor. The calibration factor is converted from dB to linear.

The processed calibration factor is then divided into each element of the real and imaginary array.

The C Factor can be obtained by the following procedure:

  1. Make the MEAS:IQ? measurement, transferring data as 16-bit integers.
  2. Data returned is alternate samples of real and imaginary 16-bit integers.
  3. Convert each integer array element to a floating point value and divide by 32768 (that is 2^15).
  4. Make the MEAS:IQ:CFACtor? measurement and read back the results.
  5. Convert the returned value to linear, with linearVal = 10^(dBVal/20).
  6. Divide the real and imaginary values by the linearVal.


:MIMO

The following commands affect the MIMO (multiple in, multiple out) mode configuration:

  • :MIMO:MODE
  • :MIMO:SYNC[:STATe]
  • :MASTer:SYNC[:STATe]
  • [:SOURce]:INTernal:CLOCk[:STATe]
  • [:SOURce]:VCO[:STATe]

____

For further details on the MIMO Mode, see MIMO.

:MIMO:MODE

Queries or sets MIMO mode.

Note icon It is important to keep the center frequency of the master and all slaves the same. If you attempt to change the Center Frequency on a unit that is a Master or a Slave, the unit will respond with the error message "Verify MIMO Master and all MIMO Slaves are tuned to same frequency."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | MAST | SLAV | MAN | Yes | OFF | MASTer | SLAVe | MANual | DEFault | OFF | n/a | n/a | none

 | :MIMO:MODE SLAVe
Examples | :MIMO:MODE SLAV
 | :mimo:mode master
 | :MIMO:MODE?

:MIMO:SYNC[:STATe]

Queries or switches on/off MIMO sync state.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or OFF | n/a | n/a | none

 | :MIMO:SYNC:STATe ON
Examples | :MIMO:SYNC ON
 | :mimo:sync:state 0
 | :MIMO:SYNC?


:MMEMory

Select a link to view the command details:

  • :MMEMory:CATalog
  • :MMEMory:DATA
  • :MMEMory:DELete

:MMEMory:CATalog

Queries the contents of the file system, starting at the specified directory root. The parameter is an alias for the physical file path. The response is per SCPI standard for :MMEMory:CATalog? <file name> in the following string: <used bytes>, <available bytes>, [<file name>, <file type>, <file size>...] where the file name, type and size repeats for each file available. The catalog recursively lists all subdirectories, and the file name includes the relative path (relative to the :MMEM:CAT parameter). The file type is left blank and the file sizes are in bytes.

For example, the return to the query MMEM:CAT? WiMAX Map\Reference could be: 76907458560,18242547712,Default.xml, ,1899,Reference\Default.xml,,1899.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | <used bytes>,<available bytes>,[<file name>,<file type>,<file size>,... | No | (see path shortcut list below) | none | n/a | n/a | n/a | none

______

NOTE: syntax is "MMEMory:CATalog? <directory path>".

______

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:CATalog command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

_____

 | :MMEMory:CATalog?
Examples | :MMEM:CAT?
 | :mmemory:catalog?
Examples | The following command queries the contents of the Edge Limits directory stored in the memory of the Series V2800 instrument. :mmem:cat? edge limits\user\
Examples | The following command queries the contents of the USB2 memory device. (USB2 is the second USB memory device that is inserted in the instrument's USB connectors). :MMEM:CAT? USB2\USER\SETUPS\USER\
Examples | The following command queries the contents of the User Flatness directory on the computer hard drive when using the Desktop Control Panel software. :MMEM:CAT? USER FLATNESS\USER\

_
See also:

  • Save an instrument setup file
  • File management operations

:MMEMory:DATA

Queries or creates a file in the location specified and copies the information in the programming message into the file. You can use the programming command :MMEM:DATA to create a file (with specified contents) in a directory in the Series V2800 instrument or a USB memory device connected to the Series V2800 instrument, or on the computer running the Desktop Control Panel application. See also: File management operations.

___________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | Yes | <path\filename>, #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DATA command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

_____

:MMEMory:DATA user\example.txt, #211Hello world

Examples

:MMEM:DATA user\example.txt, #211Hello world

:mmemory:data user\example.txt, #211Hello world

:MMEM:DATA? user\example.txt

Examples

The following command creates a file named "example1.txt" on the second USB memory device that is inserted in the instrument's USB connectors.

:MMEM:DATA \USB2\example1.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "example1.txt."

Examples

The following command creates a file named "data.txt" on the computer hard drive when using the Desktop Control Panel software.

:MMEM:DATA User\data.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "data.txt."

:MMEMory:DELete

Deletes a file or directory. The parameter is an alias for the physical file path. The root of the file path is one of the enumerated names. See also: File management operations.
______

NOTE: syntax is ":MMEMory:DELete <directory name[\subdirectory...]>".

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | <path> | none | n/a | n/a | n/a | none

______

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DELete command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

______

 | :MMEMory:DELete user\example.txt
Examples | :MMEM:DEL user\example.txt
 | :mmemory:delete user\example.txt
Examples | The following command deletes a file named "example1.txt" on a USB memory device that is the first USB device inserted in the analyzer. :MMEM:DEL \USB\example1.txt
Examples | The following command deletes a file named "data.txt" from the "User" directory. :MMEM:DEL USER\data.txt


Instrument directories

When using :MMEMory commands, you are encouraged to use the path shortcuts. If you wish, however, you may use the absolute path for the instrument directories as noted in the table below. To access the instrument directories, use the Remote File Browser, accessed from the LXI web interface.

Path Shortcut | Directory purpose | Instrument absolute path equivalent
USER\... | Generic use | \Storage Card\User\...
SETUPS\... | Store instrument saved state files. | \Storage Card\User\Setups\User\...
CPL\USER\... | Store channel power list files | \Storage Card\User\List\User\...
LIST\USER... | Store channel power list files | \Storage Card\User\List\User\...
USER FLATNESS\USER\... | Store user flatness files | \Storage Card\User\User Flatness\User\...
EDGE FILTER\USER\... | Store EDGE filter files | \Storage Card\User\Edge Filter\User\...
EDGE LIMITS\USER\... | Store EDGE limit files | \Storage Card\User\Edge Limits\User\...
GSM LIMITS\USER\... | Store GSM limit files | \Storage Card\User\GSM Limits\User\...
WIMAX MAP\USER\... | Store WiMAX map files | \Storage Card\Wimax Map\User\User\...
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | \Hard Disk\...
USB2\... | Root directory of the second USB device inserted into the instrument | \Hard Disk2\...
USB3\... | Root directory of the third USB device inserted into the instrument | \Hard Disk3\...
USB4\... | Root directory of the fourth USB device inserted into the instrument | \Hard Disk4\...
All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.


:PMETer:COMMand

Queries or sets the specified Agilent V3500A power meter commands. See Power meter SCPI command pass-through.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | power meter command | none | n/a | n/a | n/a | none

 | :PMETer:COMMand
Examples | :PMET:COMM
 | :pmeter:command
 | :pmeter:command?


[:SCALe]

Select a link to view the command details:

  • [:SCALe]:PDIVision
  • [:SCALe]:RLEVel

[:SCALe]:PDIVision

Queries or sets the scale per division.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :SCALe:PDIVision
Examples | :SCALe:PDIV
 | :scale:pdivision
 | :SCALe:PDIVision?

[:SCALe]:RLEVel

Queries or sets the reference level.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :SCALe:RLEVel
Examples | :SCALe:RLEV
 | :scale:rlevel
 | :SCALe:RLEVel?


[:SENSe]:ACPR

Select a link to view the command details:

  • [:SENSe]:ACPR:ADJacent1|ADJacent2
  • [:SENSe]:ACPR:AVERage
  • [:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:ACPR:BWIDth[:RESolution]:TYPE
  • [:SENSe]:ACPR:CENTer
  • [:SENSe]:ACPR:FAST[:STATe]
  • [:SENSe]:ACPR:NCORrection[:STATe]


[:SENSe]:ACPR:ADJacent1|ADJacent2

Select a link to view the command details:

  • [:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:OFRequency
  • [:SENSe]:ACPR:ADJacent1|ADJacent2[:STATe]
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth

Queries or sets the bandwidth of the specified adjacent ACPR channel. (This is an alternate form for the BWIDth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:ADJacent1:BANDwidth MAXimum
Examples | :ACPR:ADJ1:BAND MAX
 | :sense:acpr:adjacent1:bandwidth maximum
 | :ACPR:ADJ1:BAND?

[:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth

Queries or sets the bandwidth of the specified adjacent ACPR channel. (This is an alternate form for the BANDwidth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:ADJacent1:BWIDth MAXimum
Examples | :ACPR:ADJ1:BWID MAX
 | :sense:acpr:adjacent1:bwidth maximum
 | :ACPR:ADJ1:BWIDth?

[:SENSe]:ACPR:ADJacent1|ADJacent2:OFRequency

Queries or sets the frequency offset from the carrier center frequency to the center of the specified adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5000000 | 0 | 600000000 | Hz

 | :SENSe:ACPR:ADJacent1:OFRequency MAXimum
Examples | :ACPR:ADJ1:OFR MAX
 | :sense:acpr:adjacent1:ofrequency maximum
 | :ACPR:ADJ1:OFR?

[:SENSe]:ACPR:ADJacent1|ADJacent2[:STATe]

Queries or switches the adjacent channel measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ACPR:ADJacent2:STATe ON
Examples | :ACPR:ADJ2 ON
 | :sense:acpr:adjacent2:state 0
 | :ACPR:ADJ2?

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Queries or sets the sweep time for the specified adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:ACPR:ADJacent1:SWEep:TIME MAXimum
Examples | :ACPR:ADJ1:SWE:TIME MAX
 | :sense:acpr:adjacent1:sweep:time maximum
 | :ACPR:ADJ1:SWE:TIME?


[:SENSe]:ACPR:AVERage

Select a link to view the command details:

  • [:SENSe]:ACPR:AVERage:COUNt
  • [:SENSe]:ACPR:AVERage:TYPE
  • [:SENSe]:ACPR:AVERage[:STATe]

[:SENSe]:ACPR:AVERage:COUNt

Queries or sets the number of averages for ACPR/ACLR measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:ACPR:AVERage:COUNt MAXimum
Examples | :ACPR:AVER:COUN MAX
 | :sense:acpr:average:count maximum
 | :ACPR:AVER:COUN?

[:SENSe]:ACPR:AVERage:TYPE

Queries or sets the averaging type for ACPR/ACLR measurements.

Parameters

  • LOG sets the Running Log type of measurement averaging.
  • POWer sets the Power Running type of measurement averaging.
  • GLOG sets the Log Group type of measurement averaging.
  • GPOWer sets the Power Group type of measurement averaging.
  • GMAX sets the Max Group type of measurement averaging.
  • GMIN sets the Min Group type of measurement averaging.
  • GMMAX sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
  • DEFault sets the default (or preset) value or POWer.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:ACPR:AVERage:TYPE GPOW
Examples | :ACPR:AVER:TYPE GPOW
 | :sense:acpr:average:type gpower
 | :ACPR:AVER:TYPE?

[:SENSe]:ACPR:AVERage[:STATe]

Queries or switches measurement averaging on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ACPR:AVERage:STATe ON
Examples | :ACPR:AVER ON
 | :sense:acpr:average 0
 | :ACPR:AVER?


[:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE

Queries or sets the bandwidth filter type for ACPR channels. The center channel and adjacent channels share the same setting.

Parameters

  • BRICkwall sets the filter type to Brickwall.
  • FOURstpole sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole sets the filter type to Sync Tuned 5 Pole.
  • RRC sets the filter type to Raised-Root-Cosine.
  • GAUSsian sets the filter type to True Gaussian.
  • NONE applies no filter.
  • DEFault sets the default (or preset) value of BRICkwall.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ACPR:BANDwidth:RESolution:TYPE BRICkwall
Examples | :ACPR:BAND:TYPE BRIC
 | :sense:acpr:bandwidth:type brickwall
 | :ACPR:BAND:TYPE?


[:SENSe]:ACPR:BWIDth[:RESolution]:TYPE

Queries or sets the bandwidth filter type for ACPR channels. The center channel and adjacent channels share the same setting. (Alternate form for the bandwidth TYPE command.)

Parameters

  • BRICkwall sets the filter type to Brickwall.
  • FOURstpole sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole sets the filter type to Sync Tuned 5 Pole.
  • RRC sets the filter type to Raised-Root-Cosine.
  • GAUSsian sets the filter type to True Gaussian.
  • NONE applies no filter.
  • DEFault sets the default (or preset) value of BRICkwall.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ACPR:BWIDth:RESolution:TYPE BRICkwall
Examples | :ACPR::ACPR:BWID:TYPE BRIC
 | :sense:acpr:bwidth:type brickwall
 | :ACPR:BWID:TYPE?


[:SENSe]:ACPR:CENTer

Select a link to view the command details:

  • [:SENSe]:ACPR:CENTer:BANDwidth
  • [:SENSe]:ACPR:CENTer:BWIDth
  • [:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:CENTer:BANDwidth

Queries or sets the width of the ACPR center (carrier) channel. (This is an alternate for the BWIDth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:CENTer:BANDwidth MAXimum
Examples | :ACPR:CENT:BAND MAX
 | :sense:acpr:center:bandwidth maximum
 | :ACPR:CENT:BAND?

[:SENSe]:ACPR:CENTer:BWIDth

Queries or sets the width of the ACPR center (carrier) channel. (This is an alternate for the BANDwidth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:CENTer:BWIDth MAXimum
Examples | :ACPR:CENT:BWID MAX
 | :sense:acpr:center:bwidth maximum
 | :ACPR:CENT:BWID?

[:SENSe]:ACPR:CENTer:SWEep:TIME

Queries or sets the sweep time for the ACPR center (carrier) channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:ACPR:CENTer:SWEep:TIME MAXimum
Examples | :ACPR:CENT:SWE:TIME MAX
 | :sense:acpr:center:sweep:time maximum
 | :ACPR:CENT:SWE:TIME?


[:SENSe]:ACPR:FAST[:STATe]

Queries or switches the ACPR fast mode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ACPR:FAST:STATe ON
Examples | :ACPR:FAST ON
 | :sense:acpr:fast 0
 | :ACPR:FAST?


[:SENSe]:ACPR:NCORrection[:STATe]

Queries or switches the ACPR noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ACPR:NCORrection:STATe ON
Examples | :ACPR:NCOR ON
 | :sense:acpr:ncorrection:state 0
 | :ACPR:NCOR?


[:SENSe]:ADC:DITHer[:STATe]

Queries or switches on/off the acquisition interval on which data will be acquired. This is used primarily for channel power list mode when there is no hardware handshake available.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ADC:DITHer:STATe ON
Examples | :ADC:DITH ON
 | :sense:adc:dither:state 0
 | :ADC:DITH?


[:SENSe]:AINT

Queries or sets the DSP acquisition interval on which data will be acquired. This is used primarily for list mode when no hardware handshake is available.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds

 | :SENSe:AINT 1
Examples | :AINT OFF
 | :sense:aint 1
 | :AINT?


[:SENSe]:CDMA:REVerse

Select a link to view the command details:

  • [:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME
  • [:SENSe]:CDMA:REVerse:AVERage:COUNt
  • [:SENSe]:CDMA:REVerse:AVERage[:STATe]
  • [:SENSe]:CDMA:REVerse:AVERage:TYPE

[:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME

Queries or sets the sweep time for a cdma2000 reverse ACPR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | seconds

 | :SENSe:CDMA:REVerse:ACPR:SWEep:TIME 0.01
Examples | :CDMA:REV:ACPR:SWE:TIME MAX
 | :sense:cdma:reverse:acpr:sweep:time 30
 | :SENSe:CDMA:REVerse:ACPR:SWEep:TIME?

[:SENSe]:CDMA:REVerse:AVERage:COUNt

Queries or sets the number of averages for a cdma2000 reverse measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:CDMA:REVerse:AVERage:COUNt 10
Examples | :CDMA:REV:AVER:COUN
 | :sense:cdma:reverse:average:count 25
 | :SENSe:CDMA:REVerse:AVERage:COUNt?

[:SENSe]:CDMA:REVerse:AVERage[:STATe]

Queries or sets whether measurement averaging is applied in the cdma2000 reverse measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CDMA:REVerse:AVERage:STATe On
Examples | :CDMA:REV:AVER ON
 | :sense:cdma:reverse:average:state on
 | :SENSe:CDMA:REVerse:AVERage?

[:SENSe]:CDMA:REVerse:AVERage:TYPE

Queries or sets the type of averaging for a cdma2000 reverse measurement.

  • GMEan - sets the averaged measurement trace to show the calculated mean of multiple measurements.
  • GMAX - sets the measurement trace to show the average of the maximum power data results from multiple measurements.
  • GMIN - sets the measurement trace to show the average of the minimum power data results from multiple measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:CDMA:REVerse:AVERage:TYPE GMAX
Examples | :CDMA:REV:AVER:TYPE GMAX
 | :sense:cdma:reverse:average:type GMAX
 | :SENSe:CDMA:REVerse:AVERage:TYPE?


[:SENSe]:CPList

Select a link to view the command details:

  • [:SENSe]:CPList:AVERage:COUNt
  • [:SENSe]:CPList:AVERage[:STATe]
  • [:SENSe]:CPList:AVERage:TYPE
  • [:SENSe]:CPList:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:CPList:BWIDth[:RESolution]:TYPE
  • [:SENSe]:CPList:COUNt
  • [:SENSe]:CPList:FAST
  • [:SENSe]:CPList:LOAD
  • [:SENSe]:CPList:NCORrection

[:SENSe]:CPList:AVERage:COUNt

Queries or sets the number of averages for a channel power list measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:CPList:AVERage:COUNt 1
Examples | :CPL:AVER:COUN 1
 | :sense:cplist:average:count 1
 | :SENSe:CPList:AVERage:COUNt?

[:SENSe]:CPList:AVERage[:STATe]

Queries or switches measurement averaging on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:AVERage:STATe 1
Examples | :CPL:AVER 1
 | :sense:cplist:average:state 1
 | :SENSe:CPList:AVERage?

[:SENSe]:CPList:AVERage:TYPE

Queries or sets the average type for a channel power measurement.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:CPList:AVERage:TYPE GLOG
Examples | :CPL:AVER:TYPE GLOG
 | :sense:cplist:average:type glog
 | :SENSe:CPList:AVERage:TYPE?

[:SENSe]:CPList:BANDwidth[:RESolution]:TYPE

Queries or sets bandwidth filter type for channel power list measurement (alternative form of BWIDth[RESolution]:TYPE) .

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
  • NONE - applies no filter
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:CPList:BANDwidth:RESolution:TYPE FOUR
Examples | :CPList:BANDwidth:TYPE FOUR
 | :sense:cplist:bandwidth:resolution:type four
 | :SENSe:CPList:BANDwidth:RESolution:TYPE?

[:SENSe]:CPList:BWIDth[:RESolution]:TYPE

Alternate method for setting bandwidth filter type ([:SENSe]:CPList:BANDwidth[:RESolution]:Type) for channel power list measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
  • NONE - applies no filter
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:CPList:BWIDth:RESolution:TYPE FOUR
Examples | :CPList:BWID:TYPE FOUR
 | :sense:cplist:bwidth:resolution:type four
 | :SENSe:CPList:BWIDth:RESolution:TYPE?

[:SENSe]:CPList:COUNt

Queries and returns the number of points in a channel power list measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :SENSe:CPList:COUNt?
Examples | :CPL:COUN?
 | :sense:cplist:count?

[:SENSe]:CPList:FAST[:STATe]

Queries or switches channel power list fast mode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:FAST:STATe 1
Examples | :CPL:FAST 1
 | :sense:cplist:fast:state 1
 | :SENSe:CPList:FAST?

[:SENSe]:CPList:LOAD

Queries or sets the channel power list table from the specified file. The argument sets the filename and path for the selected waveform. You can optionally specify the file extension (*.list). The query returns the CPList file name without the file path or file extension.

You must create the list description file in an external application, such as Excel or Notepad. You must make all modifications to the list file from the application that you used to create it.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) Default string is " " | Yes | string | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:CPList:LOAD
Examples | :CPL:LOAD
 | :sense:cplist:load
 | :SENSe:CPList:LOAD?

Example channel power list file:

Channel Power List Version 2.0,,,

Begin Table,,,

State, Frequency, RBW, SweepTime,RefLevel,Preamp

1,1.800000e+009,1.000000e+007,1.000000e-004,20,Off

1,1.788500e+009,1.000000e+006,1.000000e-004,10,Off

1,1.793000e+009,1.000000e+006,1.000000e-004,0,off

1,1.794450e+009,1.000000e+005,1.000000e-004,-10,OFF

1,1.805550e+009,1.000000e+005,1.000000e-004,-20,0

1,1.807000e+009,1.000000e+006,1.000000e-004,-30,0

[:SENSe]:CPList:NCORrection[:STATe]

Queries or turns on/off channel power list correction.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:NCORrection:STATe 1
Examples | :CPL:NCOR 1
 | :sense:cplist:ncorrection:state 1
 | :SENSe:CPList:NCORrection?


[:SENSe]:DETector[:FUNCtion]

Queries or sets the Detector type. When in ZeroSpan Frequency mode, PAV and NCPA are replaced with AVERage.

  • NORMal - sets the detector to normal.
  • MAX - sets both the upper and lower values to the maximum.
  • MIN - sets both the upper and lower values to the minimum.
  • SAMPle - sets both the upper and lower values to the middle span value.
  • PAVerage - sets both the upper and lower values to the average of the signal power.
  • NCPAverage - draws the trace using the result of two separate measurements with power average detection.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none

 | :SENSe:DETector:FUNCtion SAMP
Examples | :DET SAMP
 | :sense:detector:function samp
 | :DETector:FUNCtion?


[:SENSe]:DMODulation:SYMBol:COUNt

Queries or sets the user preference for number of symbols for all demodulation types.

See :CALC:<demod type>:SYM?

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 10 | 3000 | none

 | :SENSe:DMODulation:SYMBol:COUNt 300
Examples | :DMOD:SYMB:COUN 300
 | :dmodulation:symbol:count 300
 | :DMODulation:SYMBol:COUNt?


[:SENSe]:DSP

Select a link to view the command details:

  • [:SENSe]:DSP:RANDomize[:STATe]
  • [:SENSe]:DSP:RANGe[:STATe]

[:SENSe]:DSP:RANDomize[:STATe]

Queries or sets on/off the DSP process of randomly setting the actual start time of a free run trigger. This is done to avoid a repetitive static measurement period.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:DSP:RANDomize:STATe 0
Examples | :DSP:RAND 0
 | :dsp:randomize 0
 | :DSP:RANDomize?

[:SENSe]:DSP:RANGe[:STATe]

Queries or switches on/off the DSP process of checking for an input overload.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:DSP:RANGe:STATe 0
Examples | :DSP:RANG 0
 | :sense:dsp:range:state 0
 | :SENSe:DSP:RANG?


[:SENSe]:EDGE

Select a link to view the command details:

  • [:SENSe]:EDGE:CPOWer
  • [:SENSe]:EDGE:EVM
  • [:SENSe]:EDGE:FILTer
  • [:SENSe]:EDGE:FILTer:LOAD
  • [:SENSe]:EDGE:ORFS:MODulation
  • [:SENSe]:EDGE:ORFS:SWITching
  • [:SENSe]:EDGE:PHASe
  • [:SENSe]:EDGE:PHASe:STATe
  • [:SENSe]:EDGE:SLOT:TYPE
  • [:SENSe]:EDGE:SYMBol:RATE
  • [:SENSe]:EDGE:SYNC
  • [:SENSe]:EDGE:TMASk
  • [:SENse]:EDGE:TSEQuence
  • [:SENSe]:EDGE:TSLot


[:SENSe]:EDGE:CPOWer

Select a link to view the command details:

  • [:SENSe]:EDGE:CPOWer:AVERage:COUNt
  • [:SENSe]:EDGE:CPOWer:AVERage:TYPE

[:SENSe]:EDGE:CPOWer:AVERage:COUNt

Queries or sets the number of averages for an EDGE channel power measurement. Bursts are acquired in a block. Set to 1 or On to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:CPOWer:AVERage:COUNt 50
Examples | :EDGE:CPOW:AVER:COUN 50
 | :sense:edge:cpower:average:count 50
 | :SENSe:EDGE:CPOWer:AVERage:COUNt?

[:SENSe]:EDGE:CPOWer:AVERage:TYPE

Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:CPOWer:AVERage:TYPE MAX
Examples | :EDGE:CPOW:AVER:TYPE
 | :sense:edge:cpower:average:type minimum
 | :SENSe:EDGE:CPOWer:AVERage:TYPE?


[:SENSe]:EDGE:EVM

Select a link to view the command details:

  • [:SENSe]:EDGE:EVM:AVERage:COUNt
  • [:SENSe]:EDGE:EVM:AVERage:TYPE
  • [:SENSe]:EDGE:EVM[:STATe]

[:SENSe]:EDGE:EVM:AVERage:COUNt

Queries or sets the number of averages for the EDGE EVM measurement. Bursts are acquired in a block. Set to 1 or On to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:EVM:AVERage:COUNt 50
Examples | :EDGE:EVM:AVER:COUN 50
 | :sense:edge:evm:average:count 50
 | :SENSe:EDGE:EVM:AVERage:COUNt?

[:SENSe]:EDGE:EVM:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:EVM:AVERage:TYPE MAX
Examples | :EDGE:EVM:AVER:TYPE
 | :sense:edge:EVM:average:type minimum
 | :SENSe:EDGE:EVM:AVERage:TYPE?

[:SENSe]:EDGE:EVM[:STATe]

Queries or sets the EDGE EVM measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:EVM:STATe 0
Examples | :EDGE:EVM 0
 | :sense:EDGE:EVM:state 0
 | :SENSe:EDGE:EVM?


[:SENSe]:EDGE:FILTer

Queries or sets the filter type for an EDGE 2.0 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | WID | USER | Yes | NORM | WID | USER | DEFault | NORM | n/a | n/a | none

 | :SENSe:EDGE:FILTer USER
Examples | :EDGE:FILT USER
 | :sense:edge:filter wideband
 | :SENSe:EDGE:FILTer?


[:SENSe]:EDGE:FILTer:LOAD

Loads the User filter table from the EDGE user filter directory, or queries the User filter table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) Default string is " " | Yes | (filename) | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:EDGE:FILTer:LOAD FILTER.csv
Examples | :EDGE:FILT:LOAD filter.csv
 | :sense:edge:filter:load filter.csv
 | :SENSe:EDGE:FILTer:LOAD?


[:SENSe]:EDGE:ORFS:MODulation

Select a link to view the command details:

  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:COUNt
  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:TYPE
  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT
  • [:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]
  • [:SENSe]:EDGE:ORFS:MODulation:FLIMits
  • [:SENSe]:EDGE:ORFS:MODulation:FLIMits:LOAD
  • [:SENSe]:EDGE:ORFS:MODulation:NCORrection[:STATe]
  • [:SENSe]:EDGE:ORFS:MODulation[:STATe]
  • [:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

[:SENSe]:EDGE:ORFS:MODulation:AVERage:COUNt

Queries or sets the number of averages for the EDGE ORFS due to modulation measurement. Bursts are acquired in a block. Set to 1 to turn averaging off.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:COUNt 50
Examples | :EDGE:ORFS:MOD:AVER:COUN 50
 | :sense:edge:orfs:modulation:average:count 50
 | :SENSe:EDGE:ORFS:MODulation:AVERage:COUNt?

[:SENSe]:EDGE:ORFS:MODulation:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:TYPE MAX
Examples | :EDGE:ORFS:MOD:AVER:TYPE
 | :sense:edge:orfs:modulation:average:type minimum
 | :SENSe:EDGE:ORFS:MODulation:AVERage:TYPE?

[:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT

Queries or sets the Averaging units. Averaging data type is much like the detector function. Some analyzers detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:UNIT DB
Examples | :EDGE:ORFS:MOD:AVER:UNIT DB
 | :sense:edge:orfs:modulation:average:unit db
 | :SENSe:EDGE:ORFS:MODulation:AVERage:UNIT?

[:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]

Queries or sets the detector function for ORFS, which is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is allowed. Some analyzers average the square root of power, which is denoted as voltage magnitude or VMAG.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:DETector:FUNCtion DB
Examples | :EDGE:ORFS:MOD:AVER:DET DB
 | :sense:edge:orfs:modulation:detector:function db
 | :SENSe:EDGE:ORFS:MODulation:DET?

[:SENSe]:EDGE:ORFS:MODulation:FLIMits

Queries or sets the limit table as a set of comma-separated values. It progresses from left to right across rows, then down the table. Does not give the column headers and does not separate the rows other than with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | <various>

 | :SENSe:EDGE:ORFS:MODulation:FLIMits
Examples | :EDGE:ORFS:MOD:FLIM
 | :sense:edge:orfs:modulation:flimits
 | :SENSe:EDGE:ORFS:MODulation:FLIMits?

[:SENSe]:EDGE:ORFS:MODulation:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:FLIMits:LOAD limittable.csv
Examples | :EDGE:ORFS:MOD:FLIM:LOAD limits.csv
 | :sense:edge:orfs:modulation:flimits:load limit_table.csv

[:SENSe]:EDGE:ORFS:MODulation:NCORrection[:STATe]

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:NCORrection:STATe 0
Examples | :EDGE:ORFS:MOD:NCOR 0
 | :sense:edge:orfs:modulation:ncorrection:state 0
 | :SENSe:EDGE:ORFS:MOD:NCOR?

[:SENSe]:EDGE:ORFS:MODulation[:STATe]

Queries or sets the output RF spectrum due to modulation (ORFS Mod) measurement. When enabled, you get the measurement results for the power in a specific portion of the burst at a specific offset from the carrier.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:STATe 1
Examples | :EDGE:ORFS:MOD ON
 | :sense:edge:orfs:modulation:state 0
 | :SENSe:EDGE:ORFS:MOD?

[:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

Queries or sets whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:VBW:STATe OFF
Examples | :EDGE:ORFS:MOD:VBW ON
 | :sense:edge:orfs:modulation:vbw:state 0
 | :SENSe:EDGE:ORFS:MOD:VBW?


[:SENSe]:EDGE:ORFS:SWITching

Select a link to view the command details:

  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:COUNt
  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:TYPE
  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT
  • [:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]
  • [:SENSe]:EDGE:ORFS:SWITching:FLIMits
  • [:SENSe]:EDGE:ORFS:SWITching:FLIMits:LOAD
  • [:SENSe]:EDGE:ORFS:SWITching:NCORrection[:STATe]
  • [:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]
  • [:SENSe]:EDGE:ORFS:SWITching[:STATe]

[:SENSe]:EDGE:ORFS:SWITching:AVERage:COUNt

Queries or sets the number of averages for the EDGE ORFS due to switching measurement. Bursts are acquired in a block. Set to 1 to turn averaging off.

  • The MIN is 1
  • The MAX is 1001
  • The DEF is 21
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:COUNt 50
Examples | :EDGE:ORFS:SWIT:AVER:COUN 50
 | :sense:edge:orfs:switching:average:count 50
 | :SENSe:EDGE:ORFS:SWITching:AVERage:COUNt?

[:SENSe]:EDGE:ORFS:SWITching:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the measurement.
  • MAXimum - tracks the maximum value of the measurement.
  • MINimum - sets the minimum value of the measurement.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:TYPE MAX
Examples | :EDGE:ORFS:MOD:SWIT:TYPE
 | :sense:edge:orfs:switching:average:type minimum
 | :SENSe:EDGE:ORFS:SWITching:AVERage:TYPE?

[:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT

Queries or sets the averaging units. Averaging data type is much like the detector function. Some analyzers detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:UNIT DB
Examples | :EDGE:ORFS:SWIT:AVER:UNIT DB
 | :sense:edge:orfs:switching:average:unit db
 | :SENSe:EDGE:ORFS:SWITching:AVERage:UNIT?

[:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]

Queries or sets the detector function. Detector function for ORFS is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is available. Some analyzers average the square root of power, which is denoted as voltage magnitude or VMAG.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:DETector:FUNCtion DB
Examples | :EDGE:ORFS:MOD:SWIT:DET DB
 | :sense:edge:orfs:switching:detector:function db
 | :SENSe:EDGE:ORFS:SWITching:DETector?

[:SENSe]:EDGE:ORFS:SWITching:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and separates the rows with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | <various>

 | :SENSe:EDGE:ORFS:SWITching:FLIMits
Examples | :EDGE:ORFS:MOD:SWIT
 | :sense:edge:orfs:switching:flimits
 | :SENSe:EDGE:ORFS:SWITching:FLIMits?

[:SENSe]:EDGE:ORFS:SWITching:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:FLIMits:LOAD limits.csv
Examples | :EDGE:ORFS:SWIT:FLIM:LOAD limits.csv
 | :sense:edge:orfs:switching:flimits:load limits.csv

[:SENSe]:EDGE:ORFS:SWITching:NCORrection[:STATe]

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:NCORrection:STATe 0
Examples | :EDGE:ORFS:SWIT:NCOR 0
 | :sense:edge:orfs:switching:ncorrection:state 0
 | :SENSe:EDGE:ORFS:SWIT:NCOR?

[:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]

Queries or sets the Output RF Spectrum Due to Switching, also known as ORFS switching. The power in a specific portion of the burst at a specific offset from the carrier is measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:VBW:STATe 1
Examples | :EDGE:ORFS:SWIT:VBW 1
 | :sense:edge:orfs:switching:vbw:state 1
 | :SENSe:EDGE:ORFS:SWIT:VBW?

[:SENSe]:EDGE:ORFS:SWITching[:STATe]

Queries or sets the output RF spectrum due to switching (ORFS switching). When the ORFS switching is enabled, you get measurement results for the power in a specific portion of the burst. ORFS switching tracks peak power across the burst, assuming the peak is due to the burst transitions at either end.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:STATe 1
Examples | :EDGE:ORFS:SWIT 1
 | :sense:edge:orfs:switching:state 1
 | :SENSe:EDGE:ORFS:SWIT?


[:SENSe]:EDGE:PHASe

Queries or sets the value for non-standard phase rotations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum, MINimum, DEFault | 1 | '-2*P | '+2*P | radians

 | :SENSe:EDGE:PHASe 1
Examples | :EDGE:PHAS 1
 | :sense:edge:phase 1
 | :SENSe:EDGE:PHASe?


[:SENSe]:EDGE:PHASe:STATe

On indicates using [:SENSe]:EDGE:PHASe for phase rotation. Off means use the standard phase rotation based on format and symbol rate.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:PHASe:STATe 1
Examples | :EDGE:PHAS:STAT 1
 | :sense]:edge:phase:state 1
 | :SENSe:EDGE:PHASe:STATe?


[:SENSe]:EDGE:SLOT:TYPE

Queries or sets the slot modulation format.

QPSK, QAM16, and QAM32 can be set only if the V2800A-103 license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PSK8 | QPSK | QAM16 | QAM32 | Yes | PSK8 | QPSK | QAM16 | QAM32 | DEFault | PSK8 | n/a | n/a | none

 | :SENSe:EDGE:SLOT:TYPE QAM16
Examples | :EDGE:SLOT:TYPE QAM16
 | :edge:slot:type qam16
 | :EDGE:SLOT:TYPE?


[:SENSe]:EDGE:SYMBol:RATE

Queries or sets the slot rate to 270.8333 or 325 ksym/sec (enumerator, not number).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | R270 | R325 | Yes | R270 | R325 | DEFault | R270 | n/a | n/a | none

 | :SENSe:EDGE:SYMBol:RATE R325
Examples | :EDGE:SYMB:RATE R325
 | :sense:edge:symbol:rate r235
 | :EDGE:SYMB:RATE?


[:SENSe]:EDGE:SYNC

Queries or sets Sync mode to timing sequence or burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | TSEQ | BURS | Yes | TSEQ | BURSt | DEFault | BURS | n/a | n/a | none

 | :SENSe:EDGE:SYNC TSEQ
Examples | :EDGE:SYNC TSEQ
 | :sense:edge:sync tseq
 | :EDGE:SYNC?


[:SENSe]:EDGE:TMASk

Select a link to view the command details:

  • [:SENSe]:EDGE:TMASk:AVERage:COUNt
  • [:SENSe]:EDGE:TMASk:AVERage:TYPE
  • [:SENSe]:EDGE:TMASk:DEFault
  • [:SENSe]:EDGE:TMASk:LOAD
  • [:SENSe]:EDGE:TMASk[:STATe]

[:SENSe]:EDGE:TMASk:AVERage:COUNt

Queries or sets the number of averages for an EDGE time mask measurement. The bursts are acquired in a block. Set to 1 to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:TMASk:AVERage:COUNt 50
Examples | :EDGE:TMAS:AVER:COUN 50
 | :sense:edge:tmask:average:count 50
 | :SENSe:EDGE:TMASk:AVERage:COUNt?

[:SENSe]:EDGE:TMASk:AVERage:TYPE

Queries or sets the block of data acquired for averaging, calculate the max, min or mean.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:TMASk:AVERage:TYPE MIN
Examples | :EDGE:TMAS:AVER:TYPE MIN
 | :sense:edge:tmask:average:type min
 | :SENSe:EDGE:TMASk:AVERage:TYPE?

[:SENSe]:EDGE:TMASk:DEFault

Loads the default time mask data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:TMASk:DEFault
Examples | :EDGE:TMAS:DEF
 | :sense:edge:tmask:default

See Also: Time Mask Limits settings panel

[:SENSe]:EDGE:TMASk:LOAD

Loads the time mask data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | (filename) | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:TMAS:LOAD timemask.csv
Examples | :EDGE:TMAS:LOAD timemask.csv
 | :sense:edge:tmask:load timemask.csv

[:SENSe]:EDGE:TMASk[:STATe]

Queries or switches the time mask measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:TMASk:STATe 1
Examples | :EDGE:TMAS 1
 | :sense:edge:tmask:state 1
 | :SENSe:EDGE:TMASk?


[:SENse]:EDGE:TSEQuence

Queries or sets the training sequence to look for in the selected slot to measure.

Note: If there is only one time slot active, set TSLot:COUNt to 1 and then set this parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:EDGE:TSEQuence 1
Examples | :EDGE:TSEQ 1
 | :sense:edge:tsequence 1
 | :SENSe:EDGE:TSEQuence?


[:SENSe]:EDGE:TSLot

Select a link to view the command details:

  • [:SENSe]:EDGE:TSLot:COUNt
  • [:SENSe]:EDGE:TSLot:FIRSt
  • [:SENSe]:EDGE:TSLot[:SELect]

[:SENSe]:EDGE:TSLot:COUNt

Queries or sets the number of active time slots in the incoming signal. The time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 7 | none

 | :SENSe:EDGE:TSLot:COUNt 5
Examples | :EDGE:TSL:COUN 5
 | :sense:edge:tslot:count 5
 | :SENSe:EDGE:TSLot:COUNt?

[:SENSe]:EDGE:TSLot:FIRSt

Queries or sets the first active time slot in the incoming signal. The time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:EDGE:TSLot:FIRSt 5
Examples | :EDGE:TSL:FIRS 5
 | :sense:edge:tslot:first 5
 | :SENSe:EDGE:TSLot:FIRSt?

[:SENSe]:EDGE:TSLot[:SELect]

Queries or sets the time slot to measure, 0 to 7. The training sequence is assumed to match the time slot.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 6 | none

 | :SENSe:EDGE:TSLot:SELect 5
Examples | :EDGE:TSL 5
 | :sense:edge:tslot:select 5
 | :SENSe:EDGE:TSLot?


[:SENSe]:EPOWer

Queries or sets the expected channel power. This is similar to the reference level in a spectrum and zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :SENSe:EPOWer 100
Examples | :EPOW 100
 | :sense:epower 100
 | :SENSe:EPOWer?


[:SENSe]:FREQuency

Select a link to view the command details:

  • [:SENSe]:FREQuency:CENTer
  • [:SENSe]:FREQuency:OFFSet
  • [:SENSe]:FREQuency:SPAN
  • [:SENSe]:FREQuency:STARt
  • [:SENSe]:FREQuency:STOP

[:SENSe]:FREQuency:CENTer

Queries or sets the center frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000100 | 2499999900 | Hz

 | :SENSe:FREQuency:CENTer 1000000000
Examples | :FREQ:CENT 1000000000
 | :sense:frequency:center 1000000000
 | :SENSe:FREQuency:CENTer?

[:SENSe]:FREQuency:OFFSet

Not applicable to the Model 2810.

Queries or sets the carrier center frequency offset. Queries or sets the frequency offset (in increments of 0.1Hz over a range of +/- 40 MHz) applied to all absolute frequency values. This feature enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the V2895 Synchronization Unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
_____

See Also:

  • Carrier Offsets

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -400000000 | 400000000 | Hz

 | :SENSe:FREQuency:OFFSet -40
Examples | :FREQ:OFFS 10000
 | :frequency:offset 200000
 | :FREQuency:OFFSet?

[:SENSe]:FREQuency:SPAN

Queries or sets the frequency span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50000000 | 200 | 2100000000 | Hz

 | :SENSe:FREQuency:SPAN 60000000
Examples | :FREQ:SPAN 60000000
 | :sense:frequency:span 60000000
 | :SENSe:FREQuency:SPAN?

[:SENSe]:FREQuency:STARt

Queries or sets the start frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 975000000 | 400000000 | 2499999800 | Hz

 | :SENSe:FREQuency:STARt 400000000
Examples | :FREQ:STAR 400000000
 | :sense:frequency:start 400000000
 | :SENSe:FREQuency:STARt?

[:SENSe]:FREQuency:STOP

Queries or sets the stop frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1025000000 | 400000200 | 2500000000 | Hz

 | :SENSe:FREQuency:STOP 500000000
Examples | :FREQ:STOP 500000000
 | :sense:frequency:stop 500000000
 | :SENSe:FREQuency:STOP?


[:SENSe]:FSK

Select a link to view the command details:

  • [:SENSe]:FSK:DENCoding[:STATe]
  • [:SENSe]:FSK:FILTer
  • [:SENSe]:FSK:FSEParation
  • [:SENSe]:FSK:ORATio
  • [:SENSe]:FSK:SPS
  • [:SENSe]:FSK:STYPe

[:SENSe]:FSK:DENCoding[:STATe]

Queries or switches differential encoding on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:FSK:DENCoding:STATe 1
Examples | :FSK:DENC 1
 | :sense:fsk:dencoding:state 1
 | :SENSe:FSK:DENCoding?

[:SENSe]:FSK:FILTer

Queries or selects filter type, and optionally the filter factor for FSK Modulation.

  • RECTangular- sets the filter type to rectangular. RECTangular does not have a filter factor.
  • RC - sets the filter type to Root-Cosine. The minimum filter factor is 0.20, The maximum is 1.00, and the default is 0.35.
  • RRC - sets the filter type to Raised-Root-Cosine. The minimum filter factor is 0.20, The maximum is 1.00, and the default is 0.22.
  • GAUSsian - sets the filter type to true Gaussian. The minimum filter factor is 0.20, the maximum is 3.00, and the default is 0.50.
  • NGAussian - sets the filter type to NRZ Gaussian. The minimum filter factor is 0.20, the maximum is 3.00, and the default is 0.50.
  • DEFault - sets the filter type to the default (RECTangular).

See FSK Filter settings for further details.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GAUS,Digits with an explicit decimal point. | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | RECT | Yes | GAUSsian[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RECTangular | DEFault | RECT | n/a | n/a | none

 | :SENSe:FSK:FILTer RRC
Examples | :FSK:FILT RRC
 | :sense:fsk:filter rrc
 | :SENSe:FSK:FILTer?

[:SENSe]:FSK:FSEParation

Queries the frequency separation of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | n/a | n/a | n/a | Hz

 | :SENSe:FSK:FSEParation
Examples | :FSK:FSEP
 | :sense:fsk:fseparation?

[:SENSe]:FSK:ORATio

Queries or sets the oversampling ratio of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3 | 3 | 4 |

 | :SENSe:FSK:ORATio 3
Examples | :FSK:ORATio 3
 | :sense:fsk:oratio 3
 | :SENSe:FSK:ORAT?

[:SENSe]:FSK:SPS

Queries or sets the symbols per second of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 10000 | 5000000 | Symbols per second

 | :SENSe:FSK:SPS 30000
Examples | :FSK:SPS 30000
 | :sense:fsk:sps 300000
 | :SENSe:FSK:SPS?

[:SENSe]:FSK:STYPe

Queries or sets the symbol type of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FSK2 ? | Yes | FSK2 | DEFault | FSK2 | n/a | n/a | none

 | :SENSe:FSK:STYPe
Examples | :FSK:STYP
 | :sense:fsk:stype
 | :SENSe:FSK:STYPe?


[:SENSe]:GPSEM

Select a link to view the command details:

  • [:SENSe]:GPSEM:AVERage:COUNt
  • [:SENSe]:GPSEM:AVERage[:STATe]
  • [:SENSe]:GPSEM:AVERage:TYPE
  • [:SENSe]:GPSEM:BANDwidth
  • [:SENSe]:GPSEM:BWIDth
  • [:SENSe]:GPSEM:CHANnel:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:CHANnel:BWIDth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:CHANnel:SWEep:TIME
  • [:SENSe]:GPSEM:LOAD
  • [:SENSe]:GPSEM:MASK:REFerence:TYPE
  • [:SENSe]:GPSEM:MEASure:EDGE[:STATe]
  • [:SENSe]:GPSEM:MEASure:MODE
  • [:SENSe]:GPSEM:NCORrection[:STATe]
  • [:SENSe]:GPSEM:OBW:THREshold
  • [:SENSe]:GPSEM:SEGMent:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:SEGMent:BWIDth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:SEGMent:SWEep:TIME
  • [:SENSe]:GPSEM:SPUR:CANCellation[:STATe]

[:SENSe]:GPSEM:AVERage:COUNt

Queries or sets the number of averages for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:GPSEM:AVERage:COUNt 100
Examples | :GPSEM:AVER:COUN 100
 | :gpsem:average:count 100
 | :GPSEM:AVERage:COUNt?

[:SENSe]:GPSEM:AVERage[:STATe]

Queries or switches on/off averaging for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:AVERage:STATe 1
Examples | :GPSEM:AVER 1
 | :gpsem:average:state 1
 | :GPSEM:AVERage?

[:SENSe]:GPSEM:AVERage:TYPE

Queries or sets the averaging type for GP SEM.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • DEFault - sets the default value to the Preset value of LOG.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | LOG | n/a | n/a | none

 | :SENSe:GPSEM:AVERage:TYPE POWer
Examples | :GPSEM:AVER:TYPE POW
 | :gpsem:average:type power
 | :GPSEM:AVERage:TYPE?

[:SENSe]:GPSEM:BANDwidth

Queries or sets the channel bandwidth for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 100 | 40000000 | Hz

 | :SENSe:GPSEM:BANDwidth 500
Examples | :GPSEM:BAND 500
 | :gpsem:bandwidth 500
 | :GPSEM:BANDwidth?

[:SENSe]:GPSEM:BWIDth

Queries or sets the channel bandwidth for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 100 | 40000000 | Hz

 | :SENSe:GPSEM:BWIDth 500
Examples | :GPSEM:BWID 500
 | :gpsem:bwidth 500
 | :GPSEM:BWIDth?

[:SENSe]:GPSEM:CHANnel:BANDwidth[:RESolution]:TYPE

Queries or sets the channel bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:CHANnel:BANDwidth:RESolution:TYPE RRC
Examples | :GPSEM:CHAN:BAND:TYPE RRC
 | :sense:gpsem:channel:bandwidth:resolution:type rrc
 | :GPSEM:CHANnel:BANDwidth:TYPE RRC?

[:SENSe]:GPSEM:CHANnel:BWIDth[:RESolution]:TYPE

Queries or sets the channel bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:CHANnel:BWIDth:RESolution:TYPE RRC
Examples | :GPSEM:CHAN:BWID:TYPE RRC
 | :sense:gpsem:channel:bwidth:resolution:type rrc
 | :GPSEM:CHANnel:BWIDth:TYPE RRC?

[:SENSe]:GPSEM:CHANnel:SWEep:TIME

Queries or sets channel sweep time (acquisition time) for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:GPSEM:CHANnel:SWEep:TIME 10
Examples | :GPSEM:CHAN:SWE:TIME 10
 | :sense:gpsem:channel:sweep:time 10
 | :GPSEM:CHANnel:SWEep:TIME?

[:SENSe]:GPSEM:LOAD

Loads or queries the GP SEM mask table from the specified file.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string - (filename) | Yes | string | none | n/a | n/a | n/a | none

 | :SENSe:GPSEM:LOAD
Examples | :GPSEM:LOAD
 | :sense:gpsem:load
 | :GPSEM:LOAD?

[:SENSe]:GPSEM:MASK:REFerence:TYPE

Queries or sets the reference used for masks with limits expressed in dBc.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CPOW | PSD | Yes | CPOW | PSD | DEFault | CPOW | n/a | n/a | none

 | :SENSe:GPSEM:MASK:REFerence:TYPE CPOW
Examples | :GPSEM:MASK:REF:TYPE CPOW
 | :sense:gpsem:mask:reference:type cpow
 | :GPSEM:MASK:REFerence:TYPE?

[:SENSe]:GPSEM:MEASure:EDGE[:STATe]

Queries or switches the segment edge measurement mode for GP SEM

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GPSEM:MEASure:EDGE:STATe 1
Examples | :GPSEM:MEAS:EDGE 0
 | :gpsem:measure:edge:state 0
 | :GPSEM:MEASure:EDGE?

[:SENSe]:GPSEM:MEASure:MODE

Queries or sets the measurement mode for GP SEM.

  • SWEep - sets the measurement mode to sweep. This is the default mode.
  • STEP - sets the measurement mode to step.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SWE | STEP | Yes | SWEep | STEP | DEFault | SWE | n/a | n/a | none

 | :SENSe:GPSEM:MEASure:MODE STEP
Examples | :GPSEM:MEAS:MODE STEP
 | :gpsem:measure:mode step
 | :GPSEM:MEASure:MODE?

[:SENSe]:GPSEM:NCORrection[:STATe]

Queries or switches noise correction on/off for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:NCORrection:STATe 1
Examples | :GPSEM:NCOR 1
 | :gpsem:ncorrection:state on
 | :GPSEM:NCORrection?

[:SENSe]:GPSEM:OBW:THREshold

Queries or sets the percentage of total power used to calculate the occupied bandwidth of the signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 99 | 1 | 100 | none

 | :SENSe:GPSEM:OBW:THREshold MAXimum
Examples | :SENSe:GPSEM:OBW:THRE MAX
 | :gpsem:obw:threshold maximum
 | :GPSEM:OBW:THREshold?

[:SENSe]:GPSEM:SEGMent:BWIDth[:RESolution]:TYPE

Queries or sets the segment bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:SEGMent:BWIDth:RESolution:TYPE RRC
Examples | :GPSEM:SEGM:BWID:TYPE RRC
 | :sense:gpsem:segment:bwidth:resolution:type rrc
 | :GPSEM:SEGMent:BWIDth:TYPE RRC?

[:SENSe]:GPSEM:SEGMent:BANDwidth[:RESolution]:TYPE

Queries or sets the segment bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:SEGMent:BANDwidth:RESolution:TYPE RRC
Examples | :GPSEM:SEGM:BAND:TYPE RRC
 | :sense:gpsem:segment:bandwidth:resolution:type rrc
 | :GPSEM:SEGMent:BANDwidth:TYPE RRC?

[:SENSe]:GPSEM:SEGMent:SWEep:TIME

Queries or sets segment sweep time (acquisition time) for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000000 | 0.000000 | 30 | seconds

 | :SENSe:GPSEM:SEGMent:SWEep:TIME 10
Examples | :GPSEM:SEGM:SWE:TIME 10
 | :sense:gpsem:segment:sweep:time 10
 | :GPSEM:SEGment:SWEep:TIME?

[:SENSe]:GPSEM:SPUR:CANCellation[:STATe]

Turns on spur cancellation for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:SPUR:CANCellation:STATe 1
Examples | :SENS:GPSEM:SPUR:CANC 0
 | :sense:gpsem:spur:cancellation:state on
 | :sense:gpsem:spur:cancellation?


[:SENSe]:GSM

Select a link to view the command details:

  • [:SENSe]:GSM:CPOWer
  • [:SENSe]:GSM:ORFS:MODulation
  • [:SENSe]:GSM:ORFS:SWITching
  • [:SENSe]:GSM:PERRor
  • [:SENSe]:GSM:SYNC
  • [:SENSe]:GSM:TMASk
  • [:SENSe]:GSM:TSEQuence
  • [:SENSe]:GSM:TSLot


[:SENSe]:GSM:CPOWer

Select a link to view the command details:

  • [:SENSe]:GSM:CPOWer:AVERage:COUNt
  • [:SENSe]:GSM:CPOWer:AVERage:TYPE

[:SENSe]:GSM:CPOWer:AVERage:COUNt

Queries or sets the number of averages for the channel power measurement. Bursts are acquired in a block. The channel power is always available in GSM, there is no on and off control.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:GSM:CPOWer:AVERage:COUNt 100
Examples | :GSM:CPOW:AVER:COUN 100
 | :gsm:cpower:average:count 100
 | :GSM:CPOWer:AVERage:COUNt?

[:SENSe]:GSM:CPOWer:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:CPOWer:AVERage:TYPE MIN
Examples | :GSM:CPOW:AVER:TYPE MIN
 | :gsm:cpower:average:type min
 | :GSM:CPOWer:AVERage:TYPE?


[:SENSe]:GSM:ORFS:MODulation

Select a link to view the command details:

  • [:SENSe]:GSM:ORFS:MODulation:AVERage:COUNt
  • [:SENSe]:GSM:ORFS:MODulation:AVERage:TYPE
  • [:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT
  • [:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]
  • [:SENSe]:GSM:ORFS:MODulation:FLIMits
  • [:SENSe]:GSM:ORFS:MODulation:FLIMits:LOAD
  • [:SENSe]:GSM:ORFS:MODulation:NCORrection
  • [:SENSe]:GSM:ORFS:MODulation[:STATe]
  • [:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

[:SENSe]:GSM:ORFS:MODulation:AVERage:COUNt

Queries or sets the number of averages for ORFS modulation measurement. Data is acquired in a block. Set to 1 to turn off averaging.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:COUNt 100
Examples | :GSM::ORFS:MOD:AVER:COUN 100
 | :gsm:orfs:modulation:average:count 100
 | :GSM:ORFS:MODulation:AVERage:COUNt?

[:SENSe]:GSM:ORFS:MODulation:AVERage:TYPE

Queries or sets the averaging type for data acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:TYPE MIN
Examples | :GSM:ORFS:MOD:AVER:TYPE MIN
 | :gsm:orfs:modulation:average:type min
 | :GSM:ORFS:MODulation:AVERage:TYPE?

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

Queries or sets the Averaging Data Type. You can set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:UNIT DB
Examples | :GSM:ORFS:MOD:AVER:UNIT DB
 | :gsm:orfs:modulation:average:unit db
 | :GSM:ORFS:MODulation:AVERage:UNIT?

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

Queries or sets the detector function for ORFS measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:DETector:FUNCtion DB
Examples | :GSM:ORFS:MOD:DET DB
 | :gsm:orfs:modulation:detector:function db
 | :GSM:ORFS:MODulation:DETector?

[:SENSe]:GSM:ORFS:MODulation:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and separates the rows with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :SENSe:GSM:ORFS:MODulation:FLIMits
Examples | :GSM:ORFS:MOD:FLIM
 | :gsm:orfs:modulation:flimits
 | :GSM:ORFS:MODulation:FLIMits?

[:SENSe]:GSM:ORFS:MODulation:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:FLIMits:LOAD limits.csv
Examples | :GSM:ORFS:MOD:FLIM:LOAD limits.csv
 | :sense:gsm:orfs:modulation:flimits:load limits.csv

[:SENSe]:GSM:ORFS:MODulation:NCORrection

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:NCORrection 0
Examples | :GSM:ORFS:MOD:NCOR 0
 | :gsm:orfs:modulation:ncorrection 0ff
 | :GSM:ORFS:MODulation:NCORrection?

[:SENSe]:GSM:ORFS:MODulation[:STATe]

Queries or switches on/off the output RF spectrum due to modulation (ORFS Mod). When enabled, you get the measurement results for the power in a specific portion of the burst at a specific offset from the carrier.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:STATe 1
Examples | :GSM:ORFS:MOD 0
 | :gsm:orfs:modulation 0
 | :GSM:ORFS:MODulation?

[:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

Queries or switches on/off whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:VBW:STATe 1
Examples | :GSM:ORFS:MOD:VBW 0
 | :gsm:orfs:modulation:vbw:state 0
 | :GSM:ORFS:MODulation:VBW?


[:SENSe]:GSM:ORFS:SWITching

Select a link to view the command details:

  • [:SENSe]:GSM:ORFS:SWITching:AVERage:COUNt
  • [:SENSe]:GSM:ORFS:SWITching:AVERage:TYPE
  • [:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT
  • [:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]
  • [:SENSe]:GSM:ORFS:SWITching:FLIMits
  • [:SENSe]:GSM:ORFS:SWITching:FLIMits:LOAD
  • [:SENSe]:GSM:ORFS:SWITching[:STATe]
  • [:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

[:SENSe]:GSM:ORFS:SWITching:AVERage:COUNt

Queries or sets the number of averages for ORFS switching measurement. Data is acquired in a block. Set to 1 to turn off averaging.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:COUNt 100
Examples | :GSM::ORFS:SWIT:AVER:COUN 100
 | :gsm:orfs:switching:average:count 100
 | :GSM:ORFS:SWITching:AVERage:COUNt?

[:SENSe]:GSM:ORFS:SWITching:AVERage:TYPE

Queries or sets the averaging type for data acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:TYPE MIN
Examples | :GSM:ORFS:SWIT:AVER:TYPE MIN
 | :gsm:orfs:switching:average:type min
 | :GSM:ORFS:SWITching:AVERage:TYPE?

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT

Queries or sets the Averaging Data Type. You can set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type (same choices as detector mode).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:UNIT DB
Examples | :GSM:ORFS:SWIT:AVER:UNIT DB
 | :gsm:orfs:switching:average:unit db
 | :GSM:ORFS:SWITching:AVERage:UNIT?

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Queries or sets the detector function for ORFS measurement. The detector function for ORFS is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is included as a parameter. Some analyzers average the square root of power, so Voltage Magnitude or VMAG is also included as a parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:DETector:FUNCtion DB
Examples | :GSM:ORFS:SWIT:DET DB
 | :gsm:orfs:switching:detector:function db
 | :GSM:ORFS:SWITching:DETector?

[:SENSe]:GSM:ORFS:SWITching:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and does not separate the rows other than with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :SENSe:GSM:ORFS:SWITching:FLIMits
Examples | :GSM:ORFS:SWIT:FLIM
 | :gsm:orfs:switching:flimits
 | :GSM:ORFS:SWITching:FLIMits?

[:SENSe]:GSM:ORFS:SWITching:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:FLIMits:LOAD limitstable.csv
Examples | :GSM:ORFS:MOD:SWIT:LOAD limitstable.csv
 | :sense:gsm:orfs:switching:flimits:load limitstable.csv

[:SENSe]:GSM:ORFS:SWITching:NCORrection

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:NCORrection 0
Examples | :GSM:ORFS:SWIT:NCOR 0
 | :gsm:orfs:switching:ncorrection off
 | :GSM:ORFS:SWITching:NCORrection?

[:SENSe]:GSM:ORFS:SWITching[:STATe]

Queries or switches the output RF spectrum due to switching (ORFS Switching). When the ORFS switch is enabled, you get measurement results for the power in a specific portion of the burst. ORFS switch tracks peak power across the burst, assuming the peak is due to the burst transitions at either end.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:STATe 1
Examples | :GSM:ORFS:SWIT 0
 | :gsm:orfs:switching 0
 | :GSM:ORFS:SWITching?

[:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

Queries or switches on/off whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:VBW:STATe 1
Examples | :GSM:ORFS:SWIT:VBW 0
 | :gsm:orfs:switching:vbw:state 0
 | :GSM:ORFS:SWITching:VBW?


[:SENSe]:GSM:PERRor

Select a link to view the command details:

  • [:SENSe]:GSM:PERRor:AVERage:COUNt
  • [:SENSe]:GSM:PERRor:AVERage:TYPE
  • [:SENSe]:GSM:PERRor:IQIMpair[:STATe]
  • [:SENSe]:GSM:PERRor[:STATe]

[:SENSe]:GSM:PERRor:AVERage:COUNt

Queries or sets the number of averages for the phase error measurement. Bursts are acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:GSM:PERRor:AVERage:COUNt 100
Examples | :GSM:PERR:AVER:COUN 100
 | :gsm:perror:average:count 100
 | :GSM:PERRor:AVERage:COUNt?

[:SENSe]:GSM:PERRor:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the phase error.
  • MAXimum - tracks maximum value of the phase error.
  • MINimum - tracks the minimum value of the phase error.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:PERRor:AVERage:TYPE MIN
Examples | :GSM:PERR:AVER:TYPE MIN
 | :gsm:perror:average:type min
 | :GSM:PERRor:AVERage:TYPE?

[:SENSe]:GSM:PERRor:IQIMpair[:STATe]

Queries or switches on/off measurement of IQ impairments: Carrier feedthrough, IQ imbalance, and bit number of the peak phase error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:PERRor:IQIMpair:STATe 0
Examples | :GSM:PERR:IQIM 0
 | :gsm:perror:iqimpair:state 0
 | :GSM:PERRor:IQIMpair?

[:SENSe]:GSM:PERRor[:STATe]

Queries or switches the phase error measurement on/off. When the measurement is enabled, you will get results for rms phase error, peak phase error, and carrier frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:PERRor:STATe 0
Examples | :GSM:PERR 0
 | :gsm:perror:state 0
 | :GSM:PERRor?


[:SENSe]:GSM:SYNC

Queries or sets Sync mode to timing sequence or burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | TSEQ | BURS | Yes | TSEQ | BURSt | DEFault | BURS | n/a | n/a | none

 | :SENSe:GSM:SYNC TSEQ
Examples | :GSM:SYNC TSEQ
 | :gsm:sync tseq
 | :GSM:SYNC?


[:SENSe]:GSM:TMASk

Select a link to view the command details:

  • [:SENSe]:GSM:TMASk:AVERage:COUNt
  • [:SENSe]:GSM:TMASk:AVERage:TYPE
  • [:SENSe]:GSM:TMASk:DEFault
  • [:SENSe]:GSM:TMASk:LOAD
  • [:SENSe]:GSM:TMASk[:STATe]

[:SENSe]:GSM:TMASk:AVERage:COUNt

Queries or sets the number of averages for measurement data acquired in a block. Set to 1 to turn off averaging.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:GSM:TMASk:AVERage:COUNt 100
Examples | :GSM:TMAS:AVER:COUN 100
 | :sense:gsm:tmask:average:count 100
 | :GSM:TMASk:AVERage:COUNt?

[:SENSe]:GSM:TMASk:AVERage:TYPE

Queries or sets the tracking for a time mask measurement when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the phase error.
  • MAXimum - tracks maximum value of the phase error.
  • MINimum - tracks the minimum value of the phase error.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:TMASk:AVERage:TYPE MIN
Examples | :GSM:TMAS:AVER:TYPE MIN
 | :sense:gsm:tmask:average:type min
 | :GSM:TMAS:AVERage:TYPE?

[:SENSe]:GSM:TMASk:DEFault

Loads the default time mask data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:GSM:TMAS:DEFault
Examples | :GSM:TMAS:DEF
 | :sense:gsm:tmask:default

See Also: Time Mask Limits settings panel

[:SENSe]:GSM:TMASk:LOAD

Loads the time mask data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:TMAS:LOAD maskdata.csv
Examples | :GSM:TMAS:LOAD maskdata.csv
 | :sense:gsm:tmask:load maskdata.csv

[:SENSe]:GSM:TMASk[:STATe]

Queries or switches the time mask measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:TMASk:STATe 0
Examples | :GSM:TMAS 0
 | :sense:gsm:tmask:state 0
 | :GSM:TMASk?


[:SENSe]:GSM:TSEQuence

Sets the training sequence to look for in the selected slot to measure. Note that if there is only one time slot active, set TSLot:COUNt to 1 and then all you have to set is this parameter. The training sequence is embedded in the transmitted sequence, and you need to know what was embedded.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSEQuence 4
Examples | :GSM:TSEQ 4
 | :sense:gsm:tsequence 4
 | :GSM:TSEQ?


[:SENSe]:GSM:TSLot

Select a link to view the command details:

  • [:SENSe]:GSM:TSLot:COUNt
  • [:SENSe]:GSM:TSLot:FIRSt
  • [:SENSe]:GSM:TSLot[:SELect]

[:SENSe]:GSM:TSLot:COUNt

Queries or sets the number of active time slots in the incoming signal. The number of time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 7 | none

 | :SENSe:GSM:TSLot:COUNt 5
Examples | :GSM:TSL:COUN 5
 | :sense:gsm:tslot:count 5
 | :GSM:TSLot:COUNt?

[:SENSe]:GSM:TSLot:FIRSt

Queries or sets the first slot that is active. Index of first slot that is active. Not always the same as TSLot, since more than one slot can be active.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSLot:FIRst 5
Examples | :GSM:TSL:FIRS 5
 | :sense:gsm:tslot:first 5
 | :GSM:TSLot:FIRSt?

[:SENSe]:GSM:TSLot[:SELect]

Queries or sets the time slot to measure, 0 to 7. The training sequence is assumed to match the time slot.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSLot:SELect 2
Examples | :GSM:TSL 2
 | :sense:gsm:tslot:select 2
 | :GSM:TSLot?


[:SENSe]:IQCache:ADDRess

Select a link to view the command details:

  • [:SENSe]:IQCache:ADDRess:INCRement
  • [:SENSe]:IQCache:ADDRess:STARt

See also:

  • [:SENSe]:IQCache:DSOurce
  • IQ Cache

[:SENSe]:IQCache:ADDRess:STARt

Set or query the IQ Cache start address. Applied only when data source is IQ Cache with Increment. Value may be set as decimal or hexadecimal. Value returned by query is hexadecimal in the form #Hddddd, where d is a hexadecimal digit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | #H50000000 | #H50000000 | #H52FFFFFF | none

 | :SENSe:IQCache:ADDRess:STARt #H50000000
Examples | :IQC:ADDR:STAR #H50000000
 | :sense:iqcache:address:start #H50000000
 | :IQCache:ADDRess:STARt?


[:SENSe]:IQCache:DSOurce

Sets the IQ Cache data source.

Note icon Please consult with an Agilent Applications Engineer to implement this mode.

_
The VSA IQ Cache function allows the analyzer to perform measurements on data that was previously captured and stored in the analyzer DSP memory.

IQ cache Data Source has 3 modes:

  • NORMal (Normal): In this mode, as measured data is captured, it is stored in the IQ Cache. Each capture is stored as a separate data block, which includes a pointer to the beginning of the next block.
  • AUTO (Automatic): Data is read from the IQ Cache for measurements, instead of the measurements acquiring new data from the RF hardware. In automatic mode, the pointer information included with the data is used to calculate the next position in the data cache.
  • INCRement (Increment): Data from the IQ Cache is used for measurement calculation, as with the auto mode. However, in this mode,
    _

    Note icon Certain measurements may require additional data collection based on measurement settings. These settings may be incompatible with using the IQ Cache. In the case of GSM and EDGE, the ORFS noise correction is automatically disabled when analyzing data from the IQ Cache.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | AUTO | INCR | Yes | NORMal | AUTO | INCRement | DEFault | NORM | N/A | N/A | none

 | :SENSe:IQCache:DSOurce NORM
Examples | :IQC:DSO NORM
 | :sense:iqcache:dsource normal
 | :IQCache:DSOurce?

_
Related commands:

  • [:SENSe]:IQCache:ADDRess:INCRement
  • [:SENSe]:IQCache:ADDRess:STARt

_
See Also:

  • IQ Cache overview


[:SENSe]:LPNoise[:STATe]

This feature is available only for the Model 2820A instrument with the UPN option (2820A-UPN).

Queries or switches Low Phase Noise on/off.

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:LPNoise:STATe 0
Examples | :LPN 0
 | :sense:lpn:state 0
 | :SENSe:LPN?


[:SENSe]:OBWidth:AVERage

Select a link to view the command details:

  • [:SENSe]:OBWidth:AVERage:COUNt
  • [:SENSe]:OBWidth:AVERage[:STATe]
  • [:SENSe]:OBWidth:AVERage:TYPE

[:SENSe]:OBWidth:AVERage:COUNt

Queries or sets the averaging state for occupied bandwidth measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:OBWidth:AVERage:COUNt 5
Examples | :OBW:AVER:COUN 5
 | :sense:obwidth:average:count 5
 | :OBWidth:AVERage:COUNt?

[:SENSe]:OBWidth:AVERage[:STATe]

Queries or switches averaging for occupied bandwidth measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:OBWidth:AVERage:STATe 0
Examples | :GSM:OBW:AVER 0
 | :sense:obwidth:average:state 0
 | :GSM:OBWidth:AVERage?

[:SENSe]:OBWidth:AVERage:TYPE

Queries or sets the average type for occupied bandwidth measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POW | GPOW | Yes | POWer | GPOWer | DEFault | POW | n/a | n/a | none

 | :SENSe:OBWidth:AVERage:TYPE GPOWer
Examples | :GSM:OBW:AVER:TYPE GPOW
 | :sense:obwidth:average:type gpower
 | :GSM:OBWidth:AVERage:TYPE?


[:SENSe]:PHASe:ADJust

Not applicable to the Model 2810.

Queries or adjusts carrier phase.

  • MAXimum sets the maximum allowable value of 180.
  • MINimum sets the minimum allowable value of -179.
  • DEFault sets the default (or Preset) value of 0.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -179 | 180 | degrees

 | :SENSe:PHASe:ADJust MAX
Examples | :PHAS:ADJ MAX
 | :sense:phase:adjust maximum
 | :SENS:PHAS:ADJ?


[:SENSe]:POWer

Select a link to view the command details:

  • [:SENSe]:POWer[:RF]:ATTenuation
  • [:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe]
  • [:SENSe]:POWer[:RF]:GAIN[:STATe]

[:SENSe]:POWer[:RF]:ATTenuation

Queries or sets the RF (input) attenuator. When set, the AUTO state is disabled; therefore, [:SENSe]:POWer[:RF]:ATTenuation:AUTO? returns 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0 | 30 | dB

 | :SENSe:POWer:RF:ATTenuation 20
Examples | :POW:ATT 20
 | :sense:power:rf:attenuation 20
 | :SENS:POWer:ATT?

[:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe]

Queries or switches the automatic mode of the power attenuation on/off. When on, the RF attenuator setting is automatically determined. When OFF the user setting is maintained.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | [:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe] 0
Examples | :POW:ATT:AUTO 0
 | [:sense]:power:rf:attenuation:auto:state 0
 | :POWer:ATTenuation:AUTO?

[:SENSe]:POWer[:RF]:GAIN[:STATe]

Queries or switches the power (preamp) gain on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:POWer:RF:GAIN:STATe 1
Examples | :POW:GAIN ON
 | :sense:power:rf:gain:state 1
 | :POWer:GAIN?

[:SENSe]:IQCache:ADDRess:INCRement

Queries or sets the IQ Cache address increment. Applied only when the data source is IQ Cache with Increment. Value may be set as decimal or hexadecimal. Value returned by query is hexadecimal in the form #Hddddd, where d is a hexadecimal digit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0x0 | 0x0 | 0x10004 | none

 | :SENSe:IQCache:ADDRess:INCRement 0xFF
Examples | :IQC:ADDR:INCR 0xFF
 | :sense:iqcache:address:increment 0xFF
 | :IQCache:ADDRess:INCRement?


[:SENSe]:PSK

Select a link to view the command details:

  • [:SENSe]:PSK:DENCoding
  • [:SENSe]:PSK:FILTer
  • [:SENSe]:PSK:SPS
  • [:SENSe]:PSK:STYPe

[:SENSe]:PSK:DENCoding

Queries or switches differential encoding for PSK modulation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:PSK:DENCoding 1
Examples | :PSK:DENC ON
 | :sense:psk:dencoding 1
 | :PSK:DENCoding?

[:SENSe]:PSK:FILTer

Queries or sets the filter type, and optionally the filter factor for PSK modulation. NRZ and WIDeband do not have filter factors.

  • NRZ - sets the filter type to non-return-to-zero.
  • RC - sets the filter type to Root-Cosine. The minimum filter factor is 0.20, the maximum is 1.0, and the default is 0.35.
  • RRC - sets the filter type to Raised-Root-Cosine. The minimum filter factor is 0.20, the maximum is 1.00, and the default is 0.22.
  • GAUSsian - sets the filter type to true Gaussian. The minimum filter factor is 0.30 when :PSK:STYP:BPSK and the minimum filter factor is 0.60 when :PSK:STYP:{PSQ | PSK8 | QPSK | TPFG}. The maximum is 3.00, and the default is 1.00.
  • NGAussian - sets the filter type to NRZ Gaussian. The minimum filter factor is 0.30, the maximum is 3.00, and the default is 1.00.
  • WIDeband- sets the filter type to wideband.
  • DEFault - sets the filter type NRZ.

See PSK filter settings for further details.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | WID | Yes | GAUSsian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault | NRZ | n/a | n/a | none

 | :SENSe:PSK:FILTer RC
Examples | :PSK:FILT RC
 | :sense:psk:filter rc
 | :PSK:FILT?

[:SENSe]:PSK:SPS

Queries or sets the symbol per second for PSK modulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 10000 | 5000000 | symbols/sec

 | :SENSe:PSK:SPS 20000
Examples | :PSK:SPS 20000
 | :sense:psk:sps 20000
 | :PSK:SPS?

[:SENSe]:PSK:STYPe

Queries or sets symbol type for PSK modulation.

  • BPSK- sets the symbol type to binary phase-shift-keying.
  • QPSK - sets the symbol type to quadriphase phase-shift-keying.
  • PSK8 - sets the symbol type to 8 phase-shift-keying.
  • PFQ - sets the symbol type to P/4-QPSK.
  • TPFQ - sets the symbol type to 3P/4-QPSK.
  • DEFault - sets the symbol type to the default (or preset value of PSK8).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK | QPSK | PSK8 | PFQ | TPFQ | Yes | BPSK | QPSK | PSK8 | PFQpsk | TPFQpsk | DEFault | BPSK | n/a | n/a | none

 | :SENSe:PSK:STYPe QPSK
Examples | :PSK:STYP QPSK
 | :sense:psk:stype qpsk
 | :PSK:STYPe?


[:SENse]:SEMask

Select a link to view the command details:

  • [:SENSe]:SEMask:AVERage:COUNt
  • [:SENSe]:SEMask:AVERage[:STATe]
  • [:SENSe]:SEMask:AVERage:TYPE
  • [:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:SEMask:AVERage:COUNt

Queries or sets the averaging state for spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:SEMask:AVERage:COUNt 15
Examples | :SEM:AVER:COUN 15
 | :sense:semask:average:count 15
 | :SEMask:AVERage:COUNt?

[:SENSe]:SEMask:AVERage[:STATe]

Queries or switches averaging for spectrum emission mask measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:SEMask:AVERage:STATe 1
Examples | :SEM:AVER ON
 | :sense:semask:average:state 1
 | :SEM:AVERage?

[:SENSe]:SEMask:AVERage:TYPE

Queries or sets averaging type for spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GLOG | GPOW | GMAX | GMIN | GMM | Yes | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | GLOG | n/a | n/a | none

 | :SENSe:SEMask:AVERage:TYPE GPOWer
Examples | :GSM:SEM:AVER:TYPE GPOW
 | :sense:semask:average:type gpower
 | :GSM:SEMask:AVERage:TYPE?

[:SENSe]:SEMask:DETector[:FUNCtion]

Queries or sets the detection type for spectrum emission mask measurements.

  • NORMal - sets the detector to normal.
  • MAX - sets both the upper and lower values to the maximum.
  • MIN - sets both the upper and lower values to the minimum.
  • SAMPle - sets both the upper and lower values to the middle span value.
  • PAVerage - sets both the upper and lower values to the average of the signal power.
  • NCPAverage - draws the trace using the result of two separate measurements with power average detection.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | MAX | MIN | MAX | none

 | :SENSe:SEMask:DETector:FUNCtion NORMal
Examples | :GSM:SEM:DET NORM
 | :sense:semask:detector:function normal
 | :GSM:SEMask:DETector?


[:SENSe]:SPECtrum

Select a link to view the command details:

  • [:SENSe]:SPECtrum:AVERage:COUNt
  • [:SENSe]:SPECtrum:AVERage[:STATe]
  • [:SENSe]:SPECtrum:AVERage:TYPE
  • [:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]
  • [:SENSe]:SPECtrum:BANDwidth[:RESolution]
  • [:SENSe]:SPECtrum:BWIDth:AUTO[:STATe]
  • [:SENSe]:SPECtrum:BWIDth[:RESolution]
  • [:SENSe]:SPECtrum:SPUR:CANCellation[:STATe]
  • [:SENSe]:SPECtrum:SWEep:TIME
  • [:SENSe]:SPECtrum:SWEep:TIME:AUTO[:STATe]

[:SENSe]:SPECtrum:AVERage:COUNt

Queries or sets the number of averages for spectrum measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:SPECtrum:AVERage:COUNt 15
Examples | :SPEC:AVER:COUN 15
 | :sense:spectrum:average:count 15
 | :SPECtrum:AVERage:COUNt?

[:SENSe]:SPECtrum:AVERage[:STATe]

Queries or switches averaging for spectrum measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:SPEctrum:AVERage:STATe 1
Examples | :SPEC:AVER 1
 | :sense:spectrum:average:state 1
 | :SPECtrum:AVERage?

[:SENSe]:SPECtrum:AVERage:TYPE

Queries or sets the average type for spectrum measurements.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GMMAX - sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | GMM | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | LOG | n/a | n/a | none

 | :SENSe:SPECtrum:AVERage:TYPE GPOWer
Examples | SPEC:AVER:TYPE GPOW
 | :sense:spectrum:average:type gpower
 | :SPECtrum:AVERage:TYPE?

[:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]

Queries or switches the resolution bandwidth on/off. When ON, the resolution bandwidth setting is automatically determined. When OFF the user setting is maintained.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:SPECtrum:BANDwidth:AUTO:STATe 0
Examples | :SPEC:BAND:AUTO 0
 | :sense:spectrum:bandwidth:auto:state 0
 | :SPECtrum:BANDwidth:AUTO?

[:SENSe]:SPECtrum:BANDwidth[:RESolution]

Queries or sets the resolution bandwidth directly. Doing so disables the AUTO state so :SPEC:BAND:AUTO? returns "0".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 1 | 3000000 | Hz

 | :SENSe:SPECtrum:BANDwidth:RESolution 50000
Examples | :SPEC:BAND 50000
 | :sense:spectrum:bandwidth:resolution 50000
 | :SPECtrum:BANDwidth?

[:SENSe]:SPECtrum:BWIDth:AUTO[:STATe]

Queries or switches the resolution bandwidth on/off. When ON, the resolution bandwidth setting is automatically determined. When OFF the user setting is maintained. This is the alias for [:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENse:SPECtrum:BWIDth:AUTO:STATe 0
Examples | :SPEC:BWID:AUTO 0
 | :sense:spectrum:bwidth:auto:state 0
 | :SPECtrum:BWIDth:AUTO?

[:SENSe]:SPECtrum:BWIDth[:RESolution]

Queries or sets the resolution bandwidth directly. Doing so disables the AUTO state so :SPEC:BAND:AUTO? returns "0". An alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 1 | 3000000 | Hz

 | :SENSe:SPECtrum:BWIDth:RESolution 50000
Examples | :SPEC:BWID 50000
 | :sense:spectrum:bwidth:resolution 50000
 | :SPECtrum:BWIDth?

HorizontalRuleLong

HorizontalRuleLong

[:SENSe]:SPECtrum:SPUR:CANCellation[:STATe]

Queries or switches the spur cancellation operation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:SPECtrum:SPUR:CANCellation:STATe 0
Examples | :SPEC:SPUR:CANC 0
 | :sense:spectrum:spur:cancellation:state 0
 | :SPECtrum:SPUR:CANCellation?

[:SENSe]:SPECtrum:SWEep:TIME

Queries or sets the sweep time for the spectrum measurement. Since the measurement is not actually swept, this controls the acquisition time. If the time is greater than the minimum required for the FFT, multiple overlapping FFTs will be performed and the results combined to yield the frequency that results in covering the specified time range.

CAUTION: Setting the sweep greater than the minimum will proportionally increase the measurement time.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000004 | 0.0000003 | 1 | Seconds

 | :SENSe:SPECtrum:SWEep:TIME 0.00055
Examples | :SPEC:SWE:TIME 0.0001
 | :spectrum:sweep:time 0.0001
 | :SPECtrum:SWEep:TIME?

[:SENSe]:SPECtrum:SWEep:TIME:AUTO[:STATe]

Queries or enables/disables auto-coupling the sweep time to the resolution bandwidth. When enabled, the sweep time is approximately 1.0 / RBW.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or ON | n/a | n/a | none

 | :SENSe:SPECtrum:SWEep:TIME:AUTO:STATe 0
Examples | :SPEC:SWE:TIME:AUTO:STAT OFF
 | :spectrum:sweep:time:auto:state 0
 | :SPECtrum:SWEep:TIME:AUTO?


[:SENSe]:UFLatness

Select a link to view the command details:

  • [:SENSe]:UFLatness:LOAD
  • [:SENSe]:UFLatness[:STATe]

[:SENSe]:UFLatness:LOAD

Queries or loads the User Flatness table from the specified file. DEFault is clear list and turn off if on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | Yes | (filename) | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:UFLatness:LOAD
Examples | :SPEC:UFL:LOAD
 | :sense:uflatness:load
 | :SPECtrum:UFLatness:LOAD?

Example:

You can use the programming command [:SENSe]:UFLatness:LOAD to load a file from a directory in the analyzer, a USB memory stick inserted into the Series V2800, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
User Flatness User | filename or \User\filename | ...\Agilent\ Series V2800 \ Documents\<model>\ User Flatness
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2820A.

[:SENSe]:UFLatness[:STATe]

Queries or switches User Flatness on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:UFLatness:STATe 1
Examples | :SPEC:UFL 1
 | :sense:uflatness:state 1
 | :UFLatness?


[:SENSe]:WCDMa:DOWNlink

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME
  • [:SENSe]:WCDMa:DOWNlink:AVERage
  • [:SENSe]:WCDMa:DOWNlink:CODE
  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol
  • [:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]
  • [:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

[:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME

Queries or sets sweep time for a W-CDMA Downlink ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | Seconds

 | :SENSe:WCDMa:DOWNlink:ACLR:SWEep:TIME 0.005
Examples | :WCDM:DOWN:ACLR:SWE:TIME 0.005
 | :sense:wcdma:downlink:aclr:sweep:time 0.005
 | :WCDMa:DOWNlink:ACLR:SWEep:TIME?


[:SENSe]:WCDMa:DOWNlink:AVERage

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:AVERage:COUNt
  • [:SENSe]:WCDMa:DOWNlink:AVERage[:STATe]
  • [:SENSe]:WCDMa:DOWNlink:AVERage:TYPE

[:SENSe]:WCDMa:DOWNlink:AVERage:COUNt

Queries or sets averaging count for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WCDMa:DOWNlink:AVERage:COUNt 5
Examples | :WCDM:DOWN:AVER:COUN 5
 | :sense:wcdma:downlink:average:count 5
 | :WCDMa:DOWNlink:AVERage:COUNt?

[:SENSe]:WCDMa:DOWNlink:AVERage[:STATe]

Queries or switches averaging for a W-CDMA Downlink measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:AVERage:STATe 1
Examples | :WCDM:DOWN:AVER 1
 | :sense:wcdma:downlink:average:state 1
 | :WCDMa:DOWNlink:AVERage?

[:SENSe]:WCDMa:DOWNlink:AVERage:TYPE

Queries or sets averaging type for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:AVERage:TYPE GMAX
Examples | :WCDM:DOWN:AVER:TYPE GMAX
 | :sense:wcdma:downlink:average:TYPE GMAX
 | :WCDMa:DOWNlink:AVERage:TYPE?


[:SENSe]:WCDMa:DOWNlink:CODE

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:CODE:SCRamble
  • [:SENSe]:WCDMa:DOWNlink:CODE:STYPe

[:SENSe]:WCDMa:DOWNlink:CODE:SCRamble

Queries or sets the scramble code for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 511 | none

 | :SENSe:WCDMa:DOWNlink:CODE:SCRamble 5
Examples | :WCDM:DOWN:CODE:SCR 5
 | :sense:wcdma:downlink:code:scramble 5
 | :WCDMa:DOWNlink:CODE:SCRamble?

[:SENSe]:WCDMa:DOWNlink:CODE:STYPe

Queries or sets sync type for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CPICH | Yes | CPICH | DEFault | CPICH | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:CODE:STYPe
Examples | :WCDM:DOWN:CODE:STYP
 | :sense:wcdma:downlink:code:stype
 | :WCDMa:DOWNlink:CODE:STYPe?


[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:CNUMber
  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:SFACtor

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:CNUMber

Queries or sets the code number for a W-CDMA Downlink Symbol EVM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :SENSe:WCDMa:DOWNlink:EVM:SYMBol:CNUMber 200
Examples | :WCDM:DOWN:EVM:SYMB:CNUM 200
 | :sense:wcdma:downlink:evm:symbol:cnumber 200
 | :WCDMa:DOWNlink:EVM:SYMBol:CNUMber?

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:SFACtor

Queries or sets the spread factor for a W-CDMA Downlink Symbol EVM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 256 | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:EVM:SYMBol:SFACtor
Examples | :WCDM:DOWN:EVM:SYMB:SFAC
 | :sense:wcdma:downlink:evm:symbol:sfactor
 | :WCDMa:DOWNlink:EVM:SYMBol:SFACtor?


[:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]

Queries or switches multi-carrier demodulation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:MULTicarrier:STATe 1
Examples | :WCDM:DOWN:MULTI 1
 | :sense:wcdma:downlink:multicarrier:state 1
 | :WCDMa:DOWNlink:MULTicarrier?


[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

Queries or switches detection of HSDPA channels on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:HSDPa:STATe 1
Examples | :WCDM:DOWN:HSDP 1
 | :sense:wcdma:downlink:hsdpa:state 1
 | :WCDMa:DOWNlink:HSDPa?


[:SENSe]:WCDMa:UPLink

Select a link to view the command details:

  • [:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME
  • [:SENSe]:WCDMa:AVERage
  • [:SENSe]:WCDMa:UPLink:CODE

[:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME

Queries or sets sweep time for a W-CDMA Uplink ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | seconds

 | :SENSe:WCDMa:UPLink:ACLR:SWEep:TIME 0.02
Examples | :WCDM:UPL:ACLR:SWE:TIME 0.02
 | :sense:wcdma:uplink:aclr:sweep:time 0.02
 | :WCDMa:UPLink:ACLR:SWEep:TIME?


[:SENSe]:WCDMa:UPLink:AVERage

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink:AVERage:COUNt
  • [:SENSe]:WCDMa:UPLink:AVERage[:STATe]
  • [:SENSe]:WCDMa:UPLink:AVERage:TYPE

[:SENSe]:WCDMa:UPLink:AVERage:COUNt

Queries or sets the number of averages for a W-CDMA Uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WCDMa:UPLink:AVERage:COUNt 5
Examples | :WCDM:UPL:AVER:COUN 5
 | :sense:wcdma:uplink:average:count 5
 | :WCDMa:UPLink:AVERage:COUNt?

[:SENSe]:WCDMa:UPLink:AVERage[:STATe]

Queries or switches measurement averaging for a W-CDMA Uplink measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:AVERage:STATe 1
Examples | :WCDM:UPL:AVER 1
 | :sense:wcdma:uplink:average:state 1
 | :WCDMa:UPLink:AVERage?

[:SENSe]:WCDMa:UPLink:AVERage:TYPE

Queries or sets the average type for a W-CDMA Uplink measurement.

  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GME - sets the Mean Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:AVERage:TYPE GMAX
Examples | :WCDM:UPL:AVER:TYPE GMAX
 | :sense:wcdma:uplink:average:type gmax
 | :WCDMa:UPLink:AVERage:TYPE?


[:SENSe]:WCDMa:UPLink:CODE

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink:CODE:SCRamble
  • [:SENSe]:WCDMa:UPLink:CODE:SFORmat
  • [:SENSe]:WCDMa:UPLink:CODE:STYPe

[:SENSe]:WCDMa:UPLink:CODE:SCRamble

Queries or sets the scramble code for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 16777215 | none

 | :SENSe:WCDMa:UPLink:CODE:SCRamble 1600
Examples | :WCDM:UPL:CODE:SCR 1600
 | :sense:wcdma:uplink:code:scramble 1600
 | :WCDMa:UPLink:CODE:SCRamble?

[:SENSe]:WCDMa:UPLink:CODE:SFORmat

Queries or sets the slot format for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 5 | none

 | :SENSe:WCDMa:UPLink:CODE:SFORmat 3
Examples | :WCDM:UPL:CODE:SFOR 3
 | :sense:wcdma:uplink:code:sformat 3
 | :WCDMa:UPLink:CODE:SFORmat?

[:SENSe]:WCDMa:UPLink:CODE:STYPe

Queries or sets the sync type for a W-CDMA uplink measurement. DPCCH - sets the Dedicated Physical Control Channel value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DPCCH | Yes | DPCCH | DEFault | DPCCH | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:CODE:STYPe
Examples | :WCDM:UPL:CODE:STYP
 | :sense:wcdma:uplink:code:stype
 | :WCDMa:UPLink:CODE:STYPe?


[:SENSe]:WCDMa:UPLink[:EVM]:Symbol

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:CNUMber
  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:IQBRanch
  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:SFACtor

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:CNUMber

Queries or sets the code number for W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:CNUMber 200
Examples | :WCDM:UPL:EVM:SYMB:CNUM 200
 | :sense:wcdma:uplink:evm:symbol:cnumber 200
 | :WCDMa:UPLink:EVM:SYMBol:CNUMber?

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:IQBRanch

Set or query the I/Q branch (I or Q) for W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | I | Q | Yes | I | Q | DEFault | I | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:IQBRanch Q
Examples | :WCDM:UPL:EVM:SYMB:IQBR Q
 | :sense:wcdma:uplink:evm:symbol:iqbranch q
 | :WCDMa:UPLink:EVM:SYMBol:IQBRanch?

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:SFACtor

Queries or sets the spread factor for a W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 256 | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:SFACtor 4
Examples | :WCDM:UPL:EVM:SYMB:SFAC 4
 | :sense:wcdma:uplink:evm:symbol:sfactor 4
 | :WCDMa:UPLink:EVM:SYMBol:SFACtor?


[:SENSe]:WCDMa:UPLink:HSUPa[:STATe]

Queries or switches detection of HSUPA channels on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:HSUPa:STATe 1
Examples | :WCDM:UPL:HSUP 1
 | :sense:wcdma:uplink:hsupa:state 1
 | :WCDMa:UPLink:HSUPa?


[:SENSe]:WIMax

Select a link to view the command details:

  • [:SENSe]:WIMax:AVERage:COUNT
  • [:SENSe]:WIMax:AVERage[:STATe]
  • [:SENSe]:WIMax:EQUalizer
  • [:SENSe]:WIMax:GAIN[:STATe]
  • [:SENSe]:WIMax:MAP
  • [:SENSe]:WIMax:RHIStory:CLEar
  • [:SENSe]:WIMax:RHIStory:LENGth
  • [:SENSe]:WIMax:SIGNal
  • [:SENSe]:WIMax:TAMPlitude
  • [:SENSe]:WIMax:TCLock
  • [:SENSe]:WIMax:TPHase

[:SENSe]:WIMax:AVERage:COUNT

Queries or sets averaging count for a WiMAX measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WIMax:AVERage:COUNt 5
Examples | :WIM:AVER:COUN 5
 | :sense:wimax:average:count 5
 | :WIMax:AVERage:COUNt?

[:SENSe]:WIMax:AVERage[:STATe]

Queries or switches averaging for a WiMAX measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:AVERage:STATe 1
Examples | :WIM:AVER 1
 | :sense:wimax:average:state 1
 | :WIMax:AVERage?

[:SENSe]:WIMax:EQUalizer

Queries or sets the equalizer method for WiMAX measurements.

  • CESequence - sets the equalizer method to Chan Est Seq.
  • PPILots - sets the equalizer method to Chan Est Seq plus Pilots.
  • PDATa - sets the equalizer method to Chan Est Seq plus Data.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CES | PDAT | PPIL | Yes | CESequence | PPILots | PDATa | DEFault | PPIL | n/a | n/a | none

 | :SENSe:WIMax:EQUalizer PDATa
Examples | :WIM:EQU PDAT
 | :sense:wimax:equalizer pdata
 | :WIMax:EQUalizer?

[:SENSe]:WIMax:GAIN[:STATe]

Queries or switches on/off WiMAX Gain Compression and Phase Compression trace types.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:GAIN:STATe 1
Examples | :WIM:GAIN 1
 | :sense:wimax:gain:state 1
 | :WIMax:GAIN?


[:SENSe]:WIMax:MAP

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:BANDwidth
  • [:SENSe]:WIMax:MAP:EDIT:BWIDth
  • [:SENSe]:WIMax:MAP:EDIT:CANCel
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink
  • [:SENSe]:WIMax:MAP:EDIT:FDURation
  • [:SENSe]:WIMax:MAP:EDIT:FFTSize
  • [:SENSe]:WIMax:MAP:EDIT:GINTerval
  • [:SENSe]:WIMax:MAP:EDIT:LOAD
  • [:SENSe]:WIMax:MAP:EDIT:PINDex
  • [:SENSe]:WIMax:MAP:EDIT:SEGMent
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup
  • [:SENSe]:WIMax:MAP:EDIT:SUBFrame
  • [:SENSe]:WIMax:MAP:EDIT:UPLink
  • [:SENSe]:WIMax:MAP:LOAD
  • [:SENSe]:WIMax:MAP:SAVE
  • [:SENSe]:WIMax:RHIStory:CLEar
  • [:SENSe]:WIMax:RHIStory:LENGth
  • [:SENSe]:WIMax:TAMPlitude
  • [:SENSe]:WIMax:TCLock
  • [:SENSe]:WIMax:TPHase
[:SENSe]:WIMax:MAP:EDIT:BANDwidth

Queries or sets bandwidth of WiMAX input signal. The alternative form is BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 2000000 | 28000000 | Hz

 | :SENSe:WIMax:MAP:EDIT:BANDwidth MAXimum
Examples | :WIMax:MAP:EDIT:BAND MAX
 | :sense:wimax:map:edit:bandwidth maximum
 | :WIM:MAP:EDIT:BANDwidth?

[:SENSe]:WIMax:MAP:EDIT:BWIDth

Queries or sets bandwidth of WiMAX input signal. The alternative form is BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 2000000 | 28000000 | Hz

 | :SENSe:WIMax:MAP:EDIT:BWIDth MAXimum
Examples | :WIMax:MAP:EDIT:BWID MAX
 | :sense:wimax:map:edit:bwidth maximum
 | :WIM:MAP:EDIT:BWIDth?

[:SENSe]:WIMax:MAP:EDIT:CANCel

Cancels WiMAX editing. WiMAX enters Edit mode when a map edit command is executed. Continuous sweeps are turned off in Edit mode. Edit mode exits when the :EDIT:LOAD command is executed, a sweep is triggered or the :EDIT:CANCel command is executed. When editing is cancelled the edit map is restored to the settings that existed when last loaded to the DSP. Continuous sweeping is restored when you exit Edit mode.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:CANCel
Examples | :WIMax:MAP:EDIT:CANC
 | :sense:wimax:map:edit:cancel


[:SENSe]:WIMax:MAP:EDIT:DOWNlink

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SBURst
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUnt
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SZONe
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt

Queries burst parameters for the selected burst: startSymbol, startSubchannel, width[symbols], height[subchannels], modulation/code rate, or repetition.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., QPSKR1BY2 |QPSKR3BY4 |QAM16R1BY2| QAM16R3BY4| QAM64R1BY2| QAM64R2BY3| QAM64R3BY4, NONE|R2|R4|R6 | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:BURSt?
Examples | :WIMax:MAP:EDIT:DOWN:BURS?
 | :sense:wimax:map:edit:downlink:burst?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD

Adds a new burst to the specified zone in the WiMAX Downlink subframe. The parameters are: startSymbol, startSubchannel, width[symbols], height[subchannels], modulation, and repetition. Bursts in PUSC type zones must start on an even symbol and have an even width.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2| QPSKR3BY4| QAM16R1BY2| QAM16R3BY4| QAM64R1BY2| QAM64R2BY3| QAM64R3BY4, NONE|R2|R4|R6 | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD
Examples | :WIMax:MAP:EDIT:DOWN:BURS:ADD
 | :sense:wimax:map:edit:downlink:burst:add

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SBURst

Queries or sets the active burst within the active zone in the Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SBURst 40
Examples | :WIM:MAP:EDIT:DOWN:SBURst 40
 | :sense:wimax:map:edit:downlink:sburst 40
 | :WIMax:MAP:EDIT:DOWNlink:SBURst?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUNt

Queries or sets the number of symbols in the WiMAX Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | symbols

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUNt 40
Examples | :WIM:MAP:EDIT:DOWN:SYMB:COUN 40
 | :sense:wimax:map:edit:downlink:symbol:count 40
 | :WIMax:MAP:EDIT:DOWNlink:SYMBols:COUNt?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SZONe

Queries or sets the active zone in the Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 8 | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SZONe 4
Examples | :WIMax:MAP:EDIT:DOWN:SZON 4
 | :sense:wimax:map:edit:downlink:szone 4
 | :WIMax:MAP:EDIT:DOWNlink:SZONe?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE

Queries zone type, zone length, permutationBase and PRBS_ID for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FUSC|PUSC,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:ZONe?
Examples | :WIMax:MAP:EDIT:DOWN:ZON?
 | :sense:wimax:map:edit:downlink:zone?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD

Adds a new zone to the WiMAX Downlink subframe. The parameters are: zoneType, zoneLength[symbols], permutationBase, and PRBS_ID. PUSC type zones must have a width that is a multiple of two. FUSC type zones can be any width. PRBS_ID is optional, since it was not in the initial release. If not specified, a value of zero is used. PRBS_ID is always zero for Zone 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | FUSC|PUSC,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD PUSC
Examples | :WIMax:MAP:EDIT:DOWN:ZONE:ADD PUSC
 | :sense:wimax:map:edit:downlink:zone:add pusc
 | :WIMax:MAP:EDIT:DOWN:ZONE:ADD?


[:SENSe]:WIMax:MAP:EDIT:FDURation

Queries or sets the frame duration of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.002 | 0.02 | seconds

 | :SENSe:WIMax:MAP:EDIT:FDURation 0.015
Examples | :WIM:MAP:EDIT:FDUR 0.015
 | :sense:wimax:map:edit:fduration 0.015
 | :WIMax:MAP:EDIT:FDURation?


[:SENSe]:WIMax:MAP:EDIT:FFTSize

Queries or sets the FFT size of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1024 | 128 | 2048 | none

 | :SENSe:WIMax:MAP:EDIT:FFTSize MAXimum
Examples | :WIM:MAP:EDIT:FFTS MAX
 | :sense:wimax:map:edit:fftsize maximum
 | :WIMax:MAP:EDIT:FFTSize?


[:SENSe]:WIMax:MAP:EDIT:GINTerval

Queries or sets the guard interval of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | DEFault | R1BY8 | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:GINTerval R1B4
Examples | :WIM:MAP:EDIT:GINT R1B4
 | :sense:wimax:map:edit:ginterval r1b4
 | :WIMax:MAP:EDIT:GINTerval?


[:SENSe]:WIMax:MAP:EDIT:LOAD

Loads the edit version of the WiMAX signal map to the DSP. None of the parameters set by the other :SENSe:WIMax:MAP:EDIT commands are applied to the measurement until this :LOAD command is executed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:LOAD
Examples | :WIM:MAP:EDIT:LOAD
 | :sense:wimax:map:edit:load


[:SENSe]:WIMax:MAP:EDIT:PINDex

Queries or sets the preamble index of the WiMAX signal. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 113 | none

 | :SENSe:WIMax:MAP:EDIT:PINDex MAX
Examples | :WIM:MAP:EDIT::PIND MAX
 | :sense:wimax:map:edit:pindex max
 | :WIMax:MAP:EDIT:PINDex?


[:SENSe]:WIMax:MAP:EDIT:SEGMent

Queries or sets the segment of the WiMAX signal. Only applied to Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SEGM0 | SEGM1 | SEGM2 | Yes | SEGMent0 | SEGMent1 | SEGMent2 | DEFault | SEGM0 | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SEGMent SEGM1
Examples | :WIM:MAP:EDIT:SEGM SEGM1
 | :sense:wimax:map:edit:segment segm1
 | :WIMax:MAP:EDIT:SEGMent?


[:SENSe]:WIMax:MAP:EDIT:SGRoup

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:SGRoup0
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup1
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup2
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup3
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup4
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup5

[:SENSe]:WIMax:MAP:EDIT:SGRoup0

Queries or switches on/off WiMAX Subchannel Group 0. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup0 Off
Examples | :WIM:MAP:EDIT:SGR0 Off
 | :sense:wimax:map:edit:sgroup0 off
 | :WIMax:MAP:EDIT:SGRoup0?

[:SENSe]:WIMax:MAP:EDIT:SGRoup1

Queries or switches on/off WiMAX Subchannel Group 1. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup1 Off
Examples | :WIM:MAP:EDIT:SGR1 Off
 | :sense:wimax:map:edit:sgroup1 off
 | :WIMax:MAP:EDIT:SGRoup1?

[:SENSe]:WIMax:MAP:EDIT:SGRoup2

Queries or switches on/off WiMAX Subchannel Group 2. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup2 Off
Examples | :WIM:MAP:EDIT:SGR2 Off
 | :sense:wimax:map:edit:sgroup2 off
 | :WIMax:MAP:EDIT:SGRoup2?

[:SENSe]:WIMax:MAP:EDIT:SGRoup3

Queries or switches on/off WiMAX Subchannel Group 3. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup3 Off
Examples | :WIM:MAP:EDIT:SGR3 Off
 | :sense:wimax:map:edit:sgroup3 off
 | :WIMax:MAP:EDIT:SGRoup3?

[:SENSe]:WIMax:MAP:EDIT:SGRoup4

Queries or switches on/off WiMAX Subchannel Group 4. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup4 Off
Examples | :WIM:MAP:EDIT:SGR4 Off
 | :sense:wimax:map:edit:sgroup4 off
 | :WIMax:MAP:EDIT:SGRoup4?

[:SENSe]:WIMax:MAP:EDIT:SGRoup5

Queries or switches on/off WiMAX Subchannel Group 5. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup5 Off
Examples | :WIM:MAP:EDIT:SGR5 Off
 | :sense:wimax:map:edit:sgroup5 off
 | :WIMax:MAP:EDIT:SGRoup5?


[:SENSe]:WIMax:MAP:EDIT:SUBFrame

Queries or sets the WiMAX subframe type to analyze.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DOWN|UPL | Yes | DOWNlink | UPLink | DEFault | UPL | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SUBFrame DOWN
Examples | :WIM:MAP:EDIT:SUBF DOWN
 | :sense:wimax:map:edit:subframe down
 | :WIMax:MAP:EDIT:SUBFrame?


[:SENSe]:WIMax:MAP:EDIT:UPLink

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt:ADD
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SBURst
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SYMBol:COUNt
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SZONe
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE:ADD

[:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt

Query burst parameters for the selected burst: startSymbol, startSubchannel, length[slots],modulation/code rate, and repetition.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6 | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:BURSt?
Examples | :WIMax:MAP:EDIT:UPL:BURS?
 | :sense:wimax:map:edit:uplink:burst?

[:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt:ADD

Adds a new burst to the specified zone in the WiMAX Uplink subframe. The parameters are: startSymbol, startSubchannel, length[symbols], modulation, and repetition. Bursts in PUSC type zones must start on a slot boundary and have a length that is a multiple of three.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6 | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:BURSt:ADD
Examples | :WIMax:MAP:EDIT:UPL:BURS:ADD
 | :sense:wimax:map:edit:uplink:burst:add

[:SENSe]:WIMax:MAP:EDIT:UPLink:SBURst

Queries or sets the active burst within the active zone in the Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:SBURst 40
Examples | :WIM:MAP:EDIT:UPL:SBURst 40
 | :sense:wimax:map:edit:uplink:sburst 40
 | :WIMax:MAP:EDIT:UPLink:SBURst?

[:SENSe]:WIMax:MAP:EDIT:UPLink:SYMBol:COUNt

Queries or sets the number of symbols in the WiMAX Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | symbols

 | :SENSe:WIMax:MAP:EDIT:UPLink:SYMBol:COUnt 40
Examples | :WIM:MAP:EDIT:UPL:SYMB:COU 40
 | :sense:wimax:map:edit:uplink:symbol:count 40
 | :WIMax:MAP:EDIT:UPLink:SYMBol:COUnt?

[:SENSe]:WIMax:MAP:EDIT:UPLink:SZONe

Queries or sets the active zone in the Uplink subframe

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:SZONe 4
Examples | :WIMax:MAP:EDIT:UPL:SZON 4
 | :sense:wimax:map:edit:uplink:szone 4
 | :WIMax:MAP:EDIT:UPLink:SZONe?

[:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE

Queries zone type, zone length, and permutationBase for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FUSC | PUSC, Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:ZONe?
Examples | :WIMax:MAP:EDIT:UPL:ZON?
 | :sense:wimax:map:edit:uplink:zone?

[:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE:ADD

Adds a new zone to the WiMAX Uplink subframe. The parameters are: zoneType, zoneLength[symbols], and permutationBase. PUSC type zones must have a width that is a multiple of two. FUSC type zones can be any width.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | FUSC|PUSC, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:ZONE:ADD PUSC
Examples | :WIMax:MAP:EDIT:UPL:ZONE:ADD PUSC
 | :sense:wimax:map:edit:uplink:zone:add pusc
 | :WIMax:MAP:EDIT:UPLink:ZONE:ADD?


[:SENSe]:WIMax:MAP:LOAD

Queries or opens a WiMAX map files and loads it to the DSP. The map is reset if the filename string is empty. All general map parameters are set to default values and all zones/bursts are deleted.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | DEFault | DEF | n/a | n/a | none

 | :SENSe:WIMax:MAP:LOAD
Examples | :WIM:MAP:LOAD
 | :sense:wimax:map:load
 | :SENSe:WIMax:MAP:LOAD?


[:SENSe]:WIMax:MAP:SAVE

Saves the WiMAX map as an xml file. The default path is the WiMAX/User folder.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | string | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:SAVE
Examples | :WIMax:MAP:SAVE
 | :sense:wimax:map:save


[:SENSe]:WIMax:RHIStory:CLEar

Clears the accumulated WiMAX RCE history data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:RHIStory:CLEar
Examples | :WIMax:RHIS:CLE
 | :sense:wimax:rhistory:clear


[:SENSe]:WIMax:RHIStory:LENGth

Queries or sets the length of WiMAX RCE history data for display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | L11 | L26 | L51 | L101 | L251 | L501 | Yes | L11 | L26 | L51 | L101 | L251 | L501 | DEFault | L501 | n/a | n/a | none

 | :SENSe:WIMax:RHIStory:LENGth L11
Examples | :WIM:RHIS:LENG L11
 | :sense:wimax:rhistory:length l11
 | :SENSe:WIMax:RHIStory:LENGth?


[:SENSe]:WIMax:SIGNal

Queries or sets the signal type for a WiMAX (802.16x) measurement. Currently, 802.16e-OFDMA is the only available signal type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | EOFDMA | Yes | EOFDMA | DEFault | EOFDMA | n/a | n/a | none

 | :SENSe:WIMax:SIGNal EOFDMA
Examples | :WIM:RHIS:SIGN
 | :sense:wimax:signal
 | :SENSe:WIMax:SIGNal?


[:SENSe]:WIMax:TAMPlitude

Queries or switches on/off WiMAX amplitude tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:TAMPlitude 1
Examples | :WIM:TAMP 1
 | :sense:wimax:tamplitude 1
 | :WIMax:TAMPlitude?


[:SENSe]:WIMax:TCLock

Queries or switches on/off WiMAX clock tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:TCLock 0
Examples | :WIM:TCL OFF
 | :sense:wimax:tclock 0
 | :WIMax:TCLock?


[:SENSe]:WIMax:TPHase

Queries or switches on/off WiMAX phase tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:TPHase 0
Examples | :WIM:TPH OFF
 | :sense:wimax:tphase 0
 | :WIMax:TPHase?


[:SENSe]:WLAN

Select a link to view the command details:

  • [:SENSe]:WLAN:ATIMe
  • [:SENSe]:WLAN:AVERage
  • [:SENSe]:WLAN:CCDF
  • [:SENSe]:WLAN:CCK
  • [:SENSe]:WLAN:CONStellation
  • [:SENSe]:WLAN:EHIStory
  • [:SENSe]:WLAN:EMAGnify
  • [:SENSe]:WLAN:GAIN[:STATe]
  • [:SENSe]:WLAN:HDECode[:STATe]
  • [:SENSe]:WLAN:OFDM:COUNt
  • [:SENSe]:WLAN:OPTimize
  • [:SENSe]:WLAN:SEMask
  • [:SENSe]:WLAN:SIGNal

[:SENSe]:WLAN:ATIMe

Queries or sets acquisition time for WLAN measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.002 | 0.00005 | 0.04 | seconds

 | :SENSe:WLAN:ATIMe 0.0001
Examples | :WLAN:ATIM 0.0001
 | :sense:wlan:atime 0.0001
 | :WLAN:ATIMe?


[:SENSe]:WLAN:AVERage

Select a link to view the command details:

  • [:SENSe]:WLAN:AVERage:COUNt
  • [:SENSe]:WLAN:AVERage[:STATe]

[:SENSe]:WLAN:AVERage:COUNt

Queries or sets averaging count for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WLAN:AVERaging:COUNt 50
Examples | :WLAN:AVER:COUN MAX
 | :sense:wlan:averaging:count 50
 | :WLAN:AVERaging:COUNt?

[:SENSe]:WLAN:AVERage[:STATe]

Queries or switches on/off averaging for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:AVERaging:STATe 1
Examples | :WLAN:AVER 1
 | :sense:wlan:averaging:state 1
 | :WLAN:AVERaging?


[:SENSe]:WLAN:CCDF

Select a link to view command details:

  • [:SENSe]:WLAN:CCDF:ACCumulate[:STATe]
  • [:SENSe]:WLAN:CCDF:RESTart

[:SENSe]:WLAN:CCDF:ACCumulate[:STATe]

Queries or switches on/off data accumulation for WLAN CCDF measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:CCDF:ACCumulate:STATe Off
Examples | :WLAN:CCDF:ACC 0
 | :sense:wlan:ccdf:accumulate:state off
 | :WLAN:CCDF:ACCumulate?

[:SENSe]:WLAN:CCDF:RESTart

Restarts data accumulation for WLAN CCDF measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:CCDF:RESTart
Examples | :WLAN:CCDF:REST
 | :sense:wlan:ccdf:restart


[:SENSe]:WLAN:CCK

Select a link to view command details:

  • [:SENSe]:WLAN:CCK:DCOFfset[:STATe]
  • [:SENSe]:WLAN:CCK:EQUalizer[:STATe]
  • [:SENSe]:WLAN:CCK:FILTer

[:SENSe]:WLAN:CCK:DCOFfset[:STATe]

Queries or switches on/off dc offset for 802.11b/g signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:CCK:DCOFfset:STATe Off
Examples | :WLAN:CCK:DCOF 0
 | :sense:wlan:cck:dcoffset:state off
 | :WLAN:CCK:DCOFfset?

[:SENSe]:WLAN:CCK:EQUalizer[:STATe]

Queries or switches equalizer for 802.11b/g signal on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:CCK:EQUalizer:STATe On
Examples | :WLAN:CCK:EQU 1
 | :sense:wlan:cck:equalizer:state on
 | :WLAN:CCK:EQUalizer?

[:SENSe]:WLAN:CCK:FILTer

Queries or sets the filter type for 802.11b/g signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BART | BLAC | GAUS| HAMM | HANN | NONE | RC | RRC | Yes | BARTlett | BLACkman | GAUSsian | HAMMing | HANN | NONE | RC | RRC | DEFault | none | n/a | n/a | none

 | :SENSe:WLAN:CCK:FILTer RRC
Examples | :WLAN:CCK:FILT RRC
 | :sense:wlan:cck:filter rrc
 | :WLAN:CCK:FILTer?


[:SENSe]:WLAN:CONStellation

Queries or sets constellation type for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AUT | BPSK | QPSK | QAM16 | QAM64 | Yes | AUTodetect | BPSK | QPSK | QAM16 | QAM64 | DEFault | AUT | n/a | n/a | none

 | :SENSe:WLAN:CONStellation QPSK
Examples | :WLAN:CONS QPSK
 | :sense:wlan:constellation qpsk
 | :WLAN:CONStellation?


[:SENSe]:WLAN:EHIStory

Select a link to view command details:

  • [:SENSe]:WLAN:EHIStory:CLEar
  • [:SENSe]:WLAN:EHIStory:LENGth

[:SENSe]:WLAN:EHIStory:CLEar

Clears accumulated EVM history data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:EHIStory:CLEar
Examples | :WLAN:EHIS:CLE
 | :sense:wlan:ehistory:clear
 | :WLAN:EHIS:CLE?

[:SENSe]:WLAN:EHIStory:LENGth

Queries or sets the length of EVM history data for display and remote query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | L11 | L26 | L51 | L101 | L251 | L501 | Yes | L11 | L26 | L51 | L101 | L251 | L501 | DEFault | L501 | n/a | n/a | none

 | :SENSe:WLAN:EHIStory:LENGth L11
Examples | :WLAN:EHIS:LENG L11
 | :sense:wlan:ehistory:length l11
 | :WLAN:EHIS:LENGth?


[:SENSe]:WLAN:EMAGnify

Queries or sets error magnify value for WLAN constellation trace type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | none

 | :SENSe:WLAN:EMAGnify 3
Examples | :WLAN:EMAG 3
 | :sense:wlan:emagnify 3
 | :WLAN:EMAGnify?


[:SENSe]:WLAN:GAIN[:STATe]

Queries or switches on/off WLAN gain compression, phase compression, and CCDF trace types.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:GAIN:STATe On
Examples | :WLAN:GAIN 1
 | :sense:wlan:gain on
 | :WLAN:GAIN?


[:SENSe]:WLAN:HDECode[:STATe]

Queries or switches 802.11n header decode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:HDECode:STATe On
Examples | :WLAN:HDEC 1
 | :sense]:wlan:hdecode on
 | :WLAN:HDECode?


[:SENSe]:WLAN:OFDM:COUNt

Queries or sets maximum symbol count for WLAN measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 400 | 4 | 400 | none

 | :SENSe:WLAN:OFDM:COUNt 100
Examples | :WLAN:OFDM:COUN 100
 | :sense:wlan:ofdm:count 100
 | :WLAN:OFDM:COUNt?


[:SENSe]:WLAN:OPTimize

Optimizes WLAN measurement setup. Sets signal type, constellation type, acquisition time, max symbol count and trigger settings.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:OPTimize
Examples | :WLAN:OPT
 | :sense:wlan:optimize


[:SENSe]:WLAN:SEMask

Select a link to view command details:

  • [:SENSe]:WLAN:SEMask:AVERage:COUNt
  • [:SENSe]:WLAN:SEMask:AVERage[:STATe]
  • [:SENSe]:WLAN:SEMask:AVERage:TYPE
  • [:SENSe]:WLAN:SEMask:DETector[:FUNCtion]
  • [:SENSe]:WLAN:SEMask:SIGNal
  • [:SENSE]:WLAN:SEMask:SPUR:CANCellation[:STATe]

[:SENSe]:WLAN:SEMask:AVERage:COUNt

Queries or sets averaging state for WLAN spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 1 | 100 | none

 | :SENSe:WLAN:SEMask:AVERage:COUNt 15
Examples | :WLAN:SEM:AVER:COUN 15
 | :sense:wlan:semask:average:count 15
 | :WLAN:SEMask:AVERage:COUNt?

[:SENSe]:WLAN:SEMask:AVERage[:STATe]

Queries or switches on/off averaging for WLAN spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:SEMask:AVERage:STATe 0
Examples | :WLAN:SEM:AVER 0
 | :sense:wlan:semask:average:state off
 | :WLAN:SEMask:AVERage?

[:SENSe]:WLAN:SEMask:AVERage:TYPE

Queries or sets averaging type for WLAN spectrum emission mask measurements.

  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GMMax - sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GLOG | GPOW | GMAX | GMIN | GMM | Yes | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | GMAX | n/a | n/a | none

 | :SENSe:WLAN:SEMask:AVERage:TYPE GLOG
Examples | :WLAN:SEM:AVER:TYPE GLOG
 | :sense:wlan:semask:average:type glog
 | :WLAN:SEMask:AVERage:TYPE?

[:SENSe]:WLAN:SEMask:DETector[:FUNCtion]

Queries or sets the detection type for WLAN spectrum emission mask measurements

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | PAV | MIN | MAX | none

 | :SENSe:WLAN:SEMask:DETector:FUNCtion NORM
Examples | :WLAN:SEM:DET NORM
 | :sense:wlan:semask:detector:function normal
 | :WLAN:SEMask:DETector?

[:SENSe]:WLAN:SEMask:SIGNal

Queries or sets signal type for WLAN spectrum emission mask measurements

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AG | BG | J | N20 | N40 | Yes | AG | BG | J | N20 | N40 | DEFault | AG | n/a | n/a | none

 | :SENSe:WLAN:SEMask:SIGNal AG
Examples | :WLAN:SEM:SIGN AG
 | :sense:wlan:semask:signal ag
 | :SENSe:WLAN:SEMask:SIGNal?


[:SENSE]:WLAN:SEMask:SPUR:CANCellation[:STATe]

Queries or sets the spur cancellation for WLAN SEM (Spectrum Emissions Mask)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | OFF | 1 | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:SEMask:SPUR:CANCellation:STATe 0
Examples | :WLAN:SEM:SPUR:CANC 0
 | :sense:wlan:semask:spur:cancellation off
 | :SENSe:WLAN:SEMask:SIGNal?


[:SENSe]:WLAN:SIGNal

Queries or sets the signal type for WLAN measurement. Default is autodetect.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AUT | BG | AG | J | NDR | Yes | AUT | BG | AG | J | NDR | DEFault | Aut | n/a | n/a | none

 | :SENSe:WLAN:SIGNal BG
Examples | :WLAN:SIGN BG
 | :sense:wlan:signal bg
 | :WLAN:SIGNal?


[:SENSe]:ZSPan

Select a link to view the command details:

  • [:SENSe]:ZSPan:AVERage:COUNt
  • [:SENSe]:ZSPan:AVERage[:STATe]
  • [:SENSe]:ZSPan:AVERage:TYPE
  • [:SENSe]:ZSPan:AVERage:TYPE:FREQuency
  • [:SENSe]:ZSPan:BANDwidth[:RESolution]
  • [:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:ZSPan:BANDwidth:VIDeo
  • [:SENSe]:ZSPan:BANDwidth:VIDeo:AUTO[:STATe]
  • [:SENSe]:ZSPan:BWIDth[:RESolution]
  • [:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE
  • [:SENSe]:ZSPan:BWIDth:VIDeo
  • [:SENSe]:ZSPan:BWIDth:VIDeo:AUTO[:STATe]
  • [:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ZSPan:AVERage:COUNt

Queries or sets the number of averages for zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:ZSPan:AVERage:COUNt 15
Examples | :ZSP:AVER:COUN 15
 | :sense:zspan:average:count 15
 | :ZSPan:AVERage:COUNt?

[:SENSe]:ZSPan:AVERage[:STATe]

Queries or switches on/off measurement averaging for zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:STATe 1
Examples | :ZSP:AVER 1
 | :sense:zspan:average:state on
 | :ZSPan:AVERage?

[:SENSe]:ZSPan:AVERage:TYPE

Queries or sets the average type for zero-span measurements, when displaying the frequency.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG |POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:TYPE GLOG
Examples | :ZSP:AVER:TYPE GLOG
 | :sense:zspan:average:type glog
 | :ZSPan:AVERage:TYPE?

[:SENSe]:ZSPan:AVERage:TYPE:FREQuency

Queries or sets averaging type for Zero Span when in displaying the frequency trace.

  • FREQ - sets the frequency type of measurement averaging. This is the default type.
  • FGR - sets the frequency group type of measurement averaging.
  • GMAX - sets the max group type of measurement averaging.
  • GMIN - sets the min group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FREQ | FGR | GMAX | GMIN | Yes | FREQuency | FGRoup | GMAX | GMIN | DEFault | FREQ | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:TYPE:FREQuency GMAX
Examples | :ZSP:AVER:TYPE:FREQ GMAX
 | :sense:zspan:average:type:frequency gmax
 | :ZSPan:AVERage:TYPE:FREQuency?

[:SENSe]:ZSPan:BANDwidth[:RESolution]

Queries or sets the zero span bandwidth resolution. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 1 | 40000000 | Hz

 | :SENSe:ZSPan:BANDwidth[:RESolution] 200000
Examples | :ZSP:BAND 200000
 | :sense:zspan:bandwidth:resolution 200000
 | :ZSPan:BANDwidth?

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

Queries or sets the bandwidth filter type. This is an alternate command to BWIDth.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to true Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ZSPan:BANDwidth:RESolution:TYPE FOUR
Examples | :ZSP:BAND:TYPE FOUR
 | :sense:zspan:bandwidth:type fourstpole
 | :ZSPan:BANDwidth:TYPE?

[:SENSe]:ZSPan:BANDwidth:VIDeo

Queries or sets the bandwidth of zero span measurement's video filter. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 10 | 40000000 | Hz

 | :SENSe:ZSPan:BANDwidth:VIDeo 200000
Examples | :ZSP:BAND:VID 200000
 | :sense:zspan:bandwidth:video 200000
 | :ZSPan:BANDwidth:VIDeo?

[:SENSe]:ZSPan:BANDwidth:VIDeo:AUTO[:STATe]

If ON, video bandwidth tracks resolution bandwidth, if OFF, they are separately controllable. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ZSPan:BANDwidth:VIDeo:AUTO:STATe 0
Examples | :ZSP:BAND:VID:AUTO 0
 | :sense:zspan:bandwidth:video:auto:state 0
 | :ZSPan:BANDwidth:VIDeo:AUTO?

[:SENSe]:ZSPan:BWIDth[:RESolution]

Queries or sets the zero span bandwidth resolution. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 1 | 40000000 | Hz

 | :SENSe:ZSPan:BWIDth:RESolution 200000
Examples | :ZSP:BWID 200000
 | :sense:zspan:bwidth:resolution 200000
 | :ZSPan:BWIDth?

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE

.Queries or sets the bandwidth filter type. This is an alternate command to BANDwidth.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to true Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ZSPan:BWIDth:RESolution:TYPE FOUR
Examples | :ZSP:BWID:TYPE FOUR
 | :sense:zspan:bwidth:type fourstpole
 | :ZSPan:BWIDth:TYPE?

[:SENSe]:ZSPan:BWIDth:VIDeo

Queries or sets the bandwidth of zero span measurement's video filter. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 10 | 40000000 | Hz

 | :SENSe:ZSPan:BWIDth:VIDeo 200000
Examples | :ZSP:BWID:VID 200000
 | :sense:zspan:bwidth:video 200000
 | :ZSPan:BWIDth:VIDeo?

[:SENSe]:ZSPan:BWIDth:VIDeo:AUTO[:STATe]

If ON, video bandwidth tracks resolution bandwidth, if OFF, they are separately controllable. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ZSPan:BWIDth:VIDeo:AUTO:STATe 0
Examples | :ZSP:BWID:VID:AUTO 0
 | :sense:zspan:bwidth:video:auto:state 0
 | :ZSPan:BWIDth:VIDeo:AUTO?

[:SENSe]:ZSPan:SWEep:TIME

Queries or sets sweep time (acquisition time) for Zero Span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 60 | seconds

 | :SENSe:ZSPan:SWEep:TIME 0.05
Examples | :ZSP:SWE:TIME 0.05
 | :sense:zspan:sweep:time 0.05
 | :ZSPan:SWEep:TIME?


[:SOURce]

Select a link to view the command details:

  • :SOURce:DWELl
  • :SOURce:EEVensecond
  • :SOURce:FREQuency
  • [:SOURce]:INTernal:CLOCk[:STATe]
  • :SOURce:POINts
  • [:SOURce]:ROSCillator:EXTernal:FREQuency
  • [:SOURce]:ROSCillator:SOURce
  • :SOURce[:STATe]
  • [:SOURce]:TTL:INPut
  • [:SOURce]:TTL[:LEVel]
  • [:SOURce]:UPN[:STATe]
  • [:SOURce]:VCO[:STATe]

:SOURce:DWELl

Queries or sets the TG out (tracking generator) dwell time per measurement point.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0 | 1 | seconds

 | :SOURce:DWELl MAX
Examples | :SOUR:DWEL MIN
 | :source:dwell minimum
 | :SOURce:DWELl?


:SOURce:EEVensecond

Select a link to view the command details:

  • :SOURce:EEVensecond:POLarity
  • :SOURce:EEVensecond:POLarity:IN
  • : SOURce:EEVensecond:POLarity:OUT

:SOURce:EEVensecond:POLarity

Queries or sets the polarity of the even second output (for backward compatibility).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity RISing
Examples | :SOUR:EEV:POL RIS
 | :source:eevensecond:polarity rising
 | :SOUR:EEV:POL?

:SOURce:EEVensecond:POLarity:IN

Queries or sets the polarity of the even second input.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity:IN RISing
Examples | :SOUR:EEV:POL:IN RIS
 | :source:eevensecond:polarity:in rising
 | :SOUR:EEV:POL:IN?

:SOURce:EEVensecond:POLarity:OUT

Queries or sets the polarity of the even second output. OFF means inactive and high. The value persists through Preset and power cycles.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | OFF | Yes | RISing | FALLing | OFF | DEFault | OFF | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity:OUT RISing
Examples | :SOUR:EEV:POL:OUT RIS
 | :source:eevensecond:polarity:out rising
 | :SOUR:EEV:POL:OUT?


:SOURce:FREQuency

Select a link to view the command details:

  • :SOURce:FREQuency:CENTer
  • :SOURce:FREQuency:SPAN
  • :SOURce:FREQuency[:STARt]
  • :SOURce:FREQuency:STOP
:SOURce:FREQuency:CENTer

Queries or sets the TG Out (tracking generator) center frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:CENTer MAXimum
Examples | :SOUR:FREQ:CENT MIN
 | :source:frequency:center minimum
 | :SOURce:FREQuency:CENTer?

:SOURce:FREQuency:SPAN

Queries or sets the TG Out (tracking generator) frequency span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2100000000 | 0 | 2100000000 | Hz

 | :SOURce:FREQuency:SPAN MAXimum
Examples | :SOUR:FREQ:SPAN MIN
 | :source:frequency:span minimum
 | :SOURce:FREQuency:SPAN?

:SOURce:FREQuency[:STARt]

Queries or sets the TG Out (tracking generator) start frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 400000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:STARt MAXimum
Examples | :SOUR:FREQ MIN
 | :source:frequency:start minimum
 | :SOURce:FREQuency?

:SOURce:FREQuency:STOP

Queries or sets the TG Out (tracking generator) stop frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2500000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:STOP MAXimum
Examples | :SOUR:FREQ:STOP MIN
 | :source:frequency:stop minimum
 | :SOURce:FREQuency:STOP?


[:SOURce]:INTernal:CLOCk[:STATe]

Queries or switches the internal clock oscillator on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:INTernal:CLOCk[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or ON | n/a | n/a | none

 | :SOURce:INTernal:CLOCk:STATe 1
Examples | :SOUR:INT:CLOC OFF
 | :source:internal:clock on
 | :SOURce:INTernal:CLOCk?


:SOURce:POINts

Queries or sets the TG Out (tracking generator) number of points.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 501 | 1 | 501 | none

 | :SOURce:POINts MAXimum
Examples | :SOUR:POIN MIN
 | :source:points minimum
 | :SOURce:POINts?


[:SOURce]:ROSCillator:EXTernal:FREQuency

Queries or sets the reference oscillator frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 1000000 | 20000000 | Hz

 | :SOURce:ROSCillator:EXTernal:FREQuency MAXimum
Examples | :SOUR:ROSC:EXT:FREQ MIN
 | :source:roscillator:external:frequency minimum
 | :SOURce:ROSCillator:EXTernal:FREQuency?


[:SOURce]:ROSCillator:SOURce

Queries or sets the reference oscillator source.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | INT | EXT | EEV | Yes | INTernal | EXTernal | EEVensecond | DEFault | INT | n/a | n/a | none

 | :SOURce:ROSCillator:SOURce EXTernal
Examples | :SOUR:ROSC:SOUR EXT
 | :source:roscillator:source external
 | :SOURce:ROSCillator:SOURce?


:SOURce[:STATe]

Queries or switches the TG Out (tracking generator) on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:STATe 1
Examples | :SOUR 1
 | :source:state 1
 | :SOURce?


[:SOURce]:TTL:INPut

Reads the digital I/O input.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :SOURce:TTL:INPut?
Examples | :SOUR:TTL:INP?
 | :source:ttl:input?


[:SOURce]:TTL[:LEVel]

Queries or sets the digital I/O output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 15 | none

 | :SOURce:TTL:LEVel MAXimum
Examples | :SOUR:TTL MAX
 | :source:ttl:level maximum
 | :SOURce:TTL?


[:SOURce]:VCO[:STATe]

Queries or switches the VCO (voltage-controlled oscillator) on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:VCO[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEfault | 1 or On | n/a | n/a | none

 | :SOURCE:VCO:STATe 1
Examples | :VCO:STAT OFF
 | :source:vco:state off
 | :VCO:STATe?


:SOUTput

Select a link to view the command details:

  • :SOUTput:IMMediate
  • :SOUTput:MODE
  • :SOUTput:POLarity

:SOUTput:IMMediate

When set, immediately generates a sync out pulse. See Sync out.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOUTput:IMMediate
Examples |  | :SOUT:IMM
 |  | :soutput:immediate

:SOUTput:MODE

Queries or sets the sync out pulse to coincide with the specified event.

  • OFF switches off the sync pulse.
  • BSWEep sends a pulse at the beginning the channel power list.
  • PRETune sends a pulse each time the analyzer tunes to a new frequency.
  • POSTtune sends a pulse when the analyzer is ready to acquire data. This is independent of the Acquisition Interval setting.
  • BACQuire sends as pulse each time the analyzer starts acquiring data.
  • EACQuire sends a pulse each time the analyzer finishes acquiring data.
  • ESWEep sends a pulse when the analyzer has reached the end of the list.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | BSWE | PRET | POST | BACQ | EACQ | ESWE |  | Yes | OFF | BSWEep | PRETune | POSTtune | BACQuire | EACQuire | ESWEep | DEFault | OFF | n/a | n/a | none
 |  | :SOUTput:MODE BSWEep
Examples |  | :SOUT:MODE BSWE
 |  | :soutput:mode bsweep
 |  | :SOUTput:MODE?

:SOUTput:POLarity

Queries or sets the polarity of the sync pulse.

  • RISing sets the sync pulse polarity to rising.
  • FALLing sets the sync pulse polarity to falling.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOUTput:POLarity FALLing
Examples |  | :SOUT:POL FALL
 |  | :soutput:polarity falling
 |  | :SOUTput:POLarity?


:STATus

Select a link to view the command details:

  • :STATus:MEASurement
  • :STATus:OPERation
  • :STATus:PRESet
  • :STATus:QUEStionable
  • :STATus:QUEue:CLEar


:STATus:MEASurement

Select a link to view the command details:

  • :STATus:MEASurement:CONDition
  • :STATus:MEASurement:ENABle
  • :STATus:MEASurement[:EVENt]
  • :STATus:MEASurement:NTRansition
  • :STATus:MEASurement:PRTansition

:STATus:MEASurement:CONDition

Reads the measurement condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :STATus:MEASurement:CONDition?
Examples | :STAT:MEAS:COND?
 | :status:measurement:condition?

:STATus:MEASurement:ENABle

Programs the measurement event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which in turn sets the summary bit of the status byte register. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. the STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:ENABle
Examples |  | :STAT:MEAS:ENAB
 |  | :status:measurement:enable
 |  | :STAT:MEAS:ENAB?

:STATus:MEASurement[:EVENt]

Queries the Measurement Event Register. See Measurement event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:EVENt
 |  | :STAT:MEAS:EVEN
Examples |  | :status:measurement:event
 |  | :STAT:MEAS:EVEN?

:STATus:MEASurement:NTRansition

Programs the measurement negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:MEASurement:NTRansition 500
Examples | :STAT:MEAS:NTR 500
 | :status:measurement:ntransition 500
 | :STATus:MEASurement:NTRansition?

:STATus:MEASurement:PTRansition

Programs the measurement positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:MEASurement:PTRansition 500
Examples | :STAT:MEAS:PTR 500
 | :status:measurement:ptransition 500
 | :STATus:MEASurement:PTRansition?


:STATus:OPERation

Select a link to view the command details:

  • :STATus:OPERation:CONDition
  • :STATus:OPERation:ENABle
  • :STATus:OPERation[:EVENt]
  • :STATus:OPERation:NTRansition
  • :STATus:OPERation:PTRansition

:STATus:OPERation:CONDition

Reads the operation condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears. See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:CONDition?
Examples |  | :STAT:OPER:COND?
 |  | :status:operation:condition?

:STATus:OPERation:ENABle

Programs the operation event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ENABle
Examples |  | :STAT:OPER:ENAB
 |  | :status:operation:enable
 |  | :STATus:OPERation:ENABle?

:STATus:OPERation[:EVENt]

Reads the operation event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:EVENt?
Examples |  | :STAT:OPER?
 |  | :status:operation:event?

:STATus:OPERation:NTRansition

Programs the operation negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:OPERation:NTRansition 500
Examples | :STAT:OPER:NTR 500
 | :status:operation:ntransition 500
 | :STATus:OPERation:NTRansition?

:STATus:OPERation:PTRansition

Programs the operation positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:OPERation:PTRansition 500
Examples | :STAT:OPER:PTR 500
 | :status:operation:ptransition 500
 | :STATus:OPERation:PTRansition?


:STATus:PRESet

Sets the following registers to the specified values:

  • measurement event enable (STATus:MEASurement:ENABle) = 0
  • measurement negative transition filter (STATus:MEASurement:NTRansition) = 0
  • measurement positive transition filter (STATus:MEASurement:PTRansition) = 32767 (0x7fff)
    __
  • operation event enable (STATus:OPERation:ENABle) = 0
  • operation negative transition filter (STATus:OPERation:NTRansition) = 0
  • operation positive transition filter (STATus:OPERation:PTRansition) = 32767 (0x7fff)
    __
  • questionable event enable (STATus:QUEStionable:ENABle) = 0
  • questionable negative transition filter (STATus:QUEStionable:NTRansition) = 0
  • questionable positive transition filter (STATus:QUEStionable:PTRansition) = 32767 (0x7fff)

_
See also:

  • Series V2800 Preset button
  • Series V2900 Preset button
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:PRESet
Examples |  | :STAT:PRES
 |  | :status:preset


:STATus:QUEStionable

Select a link to view the command details:

  • :STATus:QUEStionable:CONDition
  • :STATus:QUEStionable:ENABle
  • :STATus:QUEStionable[:EVENt]
  • :STATus:QUEStionable:NTRansition
  • :STATus:QUEStionable:PTRansition

:STATus:QUEStionable:CONDition

Reads the questionable condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Questionable event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:CONDition?
Examples |  | :STAT:QUES:COND?
 |  | :status:questionable:condition?

:STATus:QUEStionable:ENABle

Programs the questionable event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:ENABle
Examples |  | :STAT:QUES:ENAB
 |  | :status:questionable:enable
 |  | :STAT:QUES:ENAB?

:STATus:QUEStionable[:EVENt]

Reads the questionable event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STAT:QUEStionable:EVENt?
Examples |  | :STAT:QUES?
 |  | :status:questionable:event?

:STATus:QUEStionable:NTRansition

Programs the questionable negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:QUEStionable:NTRansition 500
Examples | :STAT:QUES:NTR 500
 | :status:questionable:ntransition 500
 | :STATus:QUEStionable:NTRansition?

:STATus:QUEStionable:PTRansition

Programs the questionable positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:QUEStionable:PTRansition 500
Examples | :STAT:QUES:PTR 500
 | :status:questionable:ptransition 500
 | :STATus:QUEStionable:PTRansition?


:STATus:QUEue:CLEar

Clears the status (error) queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:QUEue:CLEar
Examples |  | :STAT:QUE:CLE
 |  | :status:queue:clear


:SYStem

Select a link to view the command details:

  • :SYStem:CLEar
  • :SYStem:COMMunicate:GPIB:ADDRess
  • :SYStem:DATE
  • :SYStem:ERRor
  • :SYSTem:KLOCk[:STATe]
  • :SYStem:LOCal
  • :SYStem:PRESet
  • :SYStem:REMote
  • :SYStem:SSAVer
  • :SYStem:TIME


:SYSTem:CLEar

Clears all codes and messages from the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:CLEar
Examples |  | :SYST:CLE
 |  | :system:clear


:SYSTem:COMMunicate:GPIB:ADDRess

Queries or sets the GPIB address. See System Setup for Remote Control.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :SYSTem:COMMunicate:GPIB:ADDRess 13
 |  | :SYST:COMM:GPIB:ADDR 13
Examples |  | :system:communicate:gpib:address 13
 |  | :SYST:COMM:GPIB:ADDR?


:SYSTem:DATE

Queries or sets the system clock date. See Time and date.

Query

Return parameters

Set

Set parameters

Special parameters

DEF

MIN

MAX

Units

Yes

Digits with an implied decimal point assumed at the right of the least-significant digit.,
Digits with an implied decimal point assumed at the right of the least-significant digit.,

Digits with an implied decimal point assumed at the right of the least-significant digit.
(year, month, day)

Yes

Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

(year, month, day)

none

n/a

n/a

n/a

none

:SYSTem:DATE 08, 10, 03

:SYST:DATE 08, 10, 03

Examples

:system:date 08, 10, 03

:SYST:DATE?


:SYSTem:ERRor

Select a link to view the command details:

  • :SYSTem:ERRor:ALL
  • :SYSTem:ERRor:CLEar
  • :SYSTem:ERRor:CODE:ALL
  • :SYSTem:ERRor:CODE:[NEXT]
  • :SYSTem:ERRor:COUNt
  • :SYSTem:ERRor:ENABle:ADD
  • :SYSTem:ERRor:ENABle:DELete
  • :SYSTem:ERRor:ENABle[:LIST ]
  • :SYSTem:ERRor:[NEXT]

:SYSTem:ERRor:ALL

Reads all errors in the error queue. This query command is similar to the :SYSTem:ERRor:NEXT? command, except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue.

Return format:

__

<number>,"error description[; optional error details]",<number>,"error description[; optional error details]" ...
(sequence repeats to report every error in the queue)

If there are no errors in the queue, the return is 0,"No Error". If an error is present, the return is a list of errors.

Example return:

__

-100,"Command Error",-200,"Execute Error;Optimize Failed"

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :SYSTem:ERRor:ALL?
Examples | :SYST:ERR:ALL?
 | :system:error:all?

:SYSTem:ERRor:CLEar

Clears the error queue.

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CLEar
Examples |  | :SYST:ERR:CLE
 |  | :system:error:clear

:SYSTem:ERRor:CODE:ALL

Reads all errors by error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1,…, [image] NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:ALL?
Examples |  | :SYST:ERR:CODE:ALL?
 |  | :system:error:code:all?

:SYSTem:ERRor:CODE:[NEXT]

Reads the next error-by-error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:NEXT?
Examples |  | :SYST:ERR:CODE:NEXT?
 |  | :system:error:code?

:SYSTem:ERRor:COUNt

Reads the count of the number of errors in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:COUNt?
Examples |  | :SYST:ERR:COUN?
 |  | :system:error:count?

:SYSTem:ERRor:ENABle:ADD

Adds the specific errors to enable in the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:ADD
Examples |  | :SYST:ERR:ENAB:ADD
 |  | :system:error:enable:add

:SYSTem:ERRor:ENABle:DELete

Deletes the specific errors to enable the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:DELete
Examples |  | :SYST:ERR:ENAB:DEL
 |  | :system:error:enable:delete

:SYSTem:ERRor:ENABle[:LIST]

Sets or queries the specific errors in the error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list. See Error queue.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | list |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:LIST
Examples |  | :SYST:ERR:ENAB:LIST
 |  | :system:error:enable:list
 |  | :SYST:ERR:ENAB:LIST?

:SYSTem:ERRor[:NEXT]

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue.

Return format:

__

<number>,"error description[; optional error details]"

If there are no errors in the queue, the return is 0,"No Error".

Example return:

__

-200,"Execute Error;Optimize Failed"

Returns a "0" (zero) if no errors are in the queue, otherwise it returns the latest error on the stack, last-in-first-out (LIFO).

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:NEXT?
Examples |  | :SYST:ERR?
 |  | :system:error?


:SYSTem:KLOCk[:STATe]

Locks out the instrument front panel Local and Preset key when in the Remote mode. Sending the command, *RST, switches off the lock. A query returns the state of the front panel Local and Preset key. See the Local and Preset topics for more information.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:KLOCk:STATe ON
Examples |  | :SYST:KLOC ON
 |  | :system:klock 0
 |  | :SYST:KLOC?


:SYSTem:LOCal

Puts the instrument in the local mode. See Local button.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:LOCal
Examples |  | :SYST:LOC
 |  | :system:local


:SYSTem:PRESet

Restores the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If TYPE is set to FACTory, the preset state is the factory default. If TYPE is set to USER, the preset state is the state saved by SYSTem:PRESet:SAVE.
_

Series V2800 only -- see also:

  • Preset button
  • Series V2800 Preset conditions
  • Preset Type
  • Preset Save

Series V2900 only -- see also:

  • Preset button
  • Series V2900 Preset conditions
  • Preset Type
  • Preset Save

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet
Examples |  | :SYST:PRES
 |  | :system:preset

:SYSTem:PRESet:SAVE

Saves the current instrument state as a user-defined preset. This state is recalled if the SYSTem:PRESet:TYPE is set to USER when the:

  • Instrument is powered on
  • Front-panel Preset button is pressed
  • SYSTem:PRESet command is used

See Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet:SAVE
Examples |  | :SYST:PRES:SAVE
 |  | :system:preset:save

:SYSTem:PRESet:TYPE

Set or query the type of preset that is performed when:

  • The Preset button is used
  • The instrument is powered on
  • The SYSTem:PRESet command is used

If the Preset Type is FACTory, the instrument is set to the factory default state. If the Preset Type is USER, the instrument is set to the state saved by SYSTem:PRESet:SAVE (which is initially the factory default values shown in Series V2800 preset conditions ). See also, Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | Yes | FACTory | USER | DEFault | FACTory | n/a | n/a | none
 |  | :SYSTem:PRESet:TYPE USER
Examples |  | :SYST:PRES:TYPE USER
 |  | :system:preset:type user
 |  | :SYSTem:PRESet:TYPE?


:SYSTem:REMote

Puts the instrument in the remote mode. See Remote and local operation differences.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:REMote
Examples |  | :SYST:REM
 |  | :system:remote


:SYSTem:SSAVer

Select a link to view the command details:

  • :SYSTem:SSAVer:DELay
  • :SYSTem:SSAVer[:STATe]

:SYSTem:SSAVer:DELay

Queries or sets the delay of the screen saver, in minutes. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | minutes
 |  | :SYSTem:SSAVer:DELay 2
Examples |  | :SYST:SSAV:DEL 2
 |  | :system:ssaver:delay 2
 |  | :SYST:SSAV:DEL?

:SYSTem:SSAVer[:STATe]

Queries or switches the state of the screen saver on/off. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:SSAVer:STATe ON
Examples |  | :SYST:SSAV ON
 |  | :system:ssaver:state 0
 |  | :SYST:SSAV?


:SYSTem:TIME

Sets or queries the system time. See Time and date. Hour, minute, second -- numeric representation format. This parameter is a number that can be expressed as an integer (for example, 8).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. (hour, minute, second) |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). ,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (hour, minute, second) | none | n/a | n/a | n/a | none
 |  | :SYSTem:TIME 08, 10, 03
Examples |  | :SYST:TIME 08, 10, 03
 |  | :system:time 08, 10, 03
 |  | :SYST:TIME?


:TRACe

Select a link to view the command details:

  • :TRACe:ACPR:HOLD
  • :TRACe:CPList:HOLD
  • :TRACe:HOLD

:TRACe:ACPR:HOLD

Sets or queries the trace hold for ACPR/ACLR measurements. Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:ACPR:HOLD MIN
Examples |  | :TRAC:ACPR:HOLD MIN
 |  | :trace:acpr:hold min
 |  | :TRACe:ACPR:HOLD?

:TRACe:CPList:HOLD

Sets or queries trace hold for channel power list measurement. Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:CPList:HOLD MIN
Examples |  | :TRAC:CPL:HOLD MIN
 |  | :trace:cplist:hold min
 |  | :TRACe:CPList:HOLD?

:TRACe:HOLD

Holds or queries the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:HOLD MIN
Examples |  | :TRAC:HOLD MIN
 |  | :trace:hold min
 |  | :TRACe:HOLD?


TRIGger

Select a link to view the command details:

  • :TRIGger[:SEQuence]:AUTO[:STATe]
  • :TRIGger[:SEQuence]:AUTO:TIMeout
  • :TRIGger[:SEQuence]:DELay
  • :TRIGger[:SEQuence]:EXTernal:SLOPe
  • :TRIGger[:SEQuence]:HYSTeresis[:LEVel]
  • :TRIGger[:SEQuence]:HYSTeresis:WINDow
  • :TRIGger[:SEQuence]:LEVel
  • :TRIGger[:SEQuence]:MODE
  • :TRIGger[:SEQuence]:PREQual[:LEVel]
  • :TRIGger[:SEQuence]:PREQual:WINDow
  • :TRIGger[:SEQuence]:SOURce
  • :TRIGger[:SEQuence]:TYPE
  • :TRIGger[:SEQuence]:VIDeo:BANDwidth
  • :TRIGger[:SEQuence]:VIDeo:BWIDth
  • :TRIGger[:SEQuence]:VIDeo:SLOPe

:TRIGger[:SEQuence]:AUTO[:STATe]

Queries or switches the trigger timeout on/off. If the timeout is enabled, a timeout is forced on any trigger type that is not free run. See TRIGger:AUTO:TIMeout.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :TRIGger:SEQuence:AUTO:STATe 1
Examples |  | :TRIG:AUTO 1
 |  | :trigger:sequence:auto:state 1
 |  | :TRIGger:AUTO?

:TRIGger[:SEQuence]:AUTO:TIMeout

Queries or sets the time to wait, in seconds, for a trigger before automatically providing an internal trigger to acquire a measurement. When on and the wait for trigger exceeds this timeout value, an internal trigger will be provided and a measurement acquired. The next acquisition will wait for the specified trigger source.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:AUTO:TIMeout 1
Examples |  | :TRIG:AUTO:TIM 1
 |  | :trigger:sequence:auto:timeout 1
 |  | :TRIGger:AUTO:TIMeout?

:TRIGger[:SEQuence]:DELay

Sets or queries a delay between a trigger event and the instrument response.

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window. See Trigger.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000000 | -30 | 30 | seconds
 |  | :TRIGger:SEQuence:DELay MAXimum
Examples |  | :TRIG:DEL MAX
 |  | :trigger:delay maximum
 |  | :TRIG:DEL?

:TRIGger[:SEQuence]:EXTernal:SLOPe

Queries or sets the external trigger slope.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POS | NEG |  | Yes | POSitive | NEGative | DEFault | POS | n/a | n/a | none
 |  | :TRIGger:SEQuence:EXTernal:SLOPe NEGative
Examples |  | :TRIG:EXT:SLOP NEG
 |  | :trigger:sequence:external:slope negative
 |  | :TRIGger:EXTernal:SLOPe?

:TRIGger[:SEQuence]:HYSTeresis[:LEVel]

Queries or sets the trigger hysteresis level. Once a video trigger level is recognized by the DSP, the input signal must excur by this offset amount before the trigger will again be recognized. If the polarity of the signal is rising, the excursion must be negative and vice-versa.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB
 |  | :TRIGger:SEQuence:HYSTeresis:LEVel 5
Examples |  | :TRIG:HYST 5
 |  | :trigger:sequence:hysteresis:level 5
 |  | :TRIGger:HYSTeresis?

:TRIGger[:SEQuence]:HYSTeresis:WINDow

Queries or sets the trigger hysteresis window. The window specifies a time adjacent to the last trigger indication in which no trigger will be recognized by the DSP.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:HYSTeresis:WINDow 5
Examples |  | :TRIG:HYST:WIND 5
 |  | :trigger:sequence:hysteresis:window 5
 |  | :TRIGger:HYSTeresis:WINDow?

:TRIGger[:SEQuence]:LEVel

Queries or sets the power level that the incoming RF signal must reach to cause a trigger event.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -170 | 40 | dBm
 |  | :TRIGger:SEQuence:LEVel 3
Examples |  | :TRIG:LEV 3
 |  | :trigger:sequence:level 3
 |  | :TRIGger:LEVel?

:TRIGger[:SEQuence]:MODE

Queries or sets the effect the trigger has on the analyzer.

  • MEASurement sets the trigger mode to On Measurement.
  • ACQuire sets the trigger mode to On Acquire.
  • DEFault sets the default (or preset) value of ACQuire.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ACQ | MEAS |  | Yes | ACQuire | MEASurement | DEFault | ACQ | n/a | n/a | none
 |  | :TRIGger:SEQuence:MODE MEASurement
Examples |  | :TRIG:MODE MEAS
 |  | :trigger:sequence:mode measurement
 |  | :TRIGger:MODE?

:TRIGger[:SEQuence]:PREQual[:LEVel]

Queries or sets the offset before the trigger will be recognized. Once a video trigger level is recognized by the instrument, the input signal must reach this offset amount before the trigger will again be recognized.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB
 |  | :TRIGger:SEQuence:PREQual:LEVel 1
Examples |  | :TRIG:PREQ 1
 |  | :trigger:sequence:prequal:level 1
 |  | :TRIGger:PREQual?

:TRIGger[:SEQuence]:PREQual:WINDow

When the trigger source is set to Video or Ext Arm/Video Trig, this command sets a window area in seconds adjacent to the leading edge of a bursted RF signal that is to be cause of the trigger event. The RF signal must not fall within this window area to qualify as a trigger event.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:PREQual:WINDow 3
Examples |  | :TRIG:PREQ:WIND 3
 |  | :trigger:sequence:prequal:window 1
 |  | :TRIGger:PREQual:WINDow?

:TRIGger[:SEQuence]:SOURce

Queries or sets the source of the trigger signal(s).

  • IMMediate sets the instrument to a continuous trigger mode.
  • EXTernal sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • ELATched sets the instrument to receive a trigger if the external input has sent an active edge since the last latch reset.
  • VIDeo sets the instrument to receive a trigger when the input signal reaches a specified level in dBm.
  • EVIDeo sets the instrument to receive a trigger from a combination of sources: an external pulse to arm the trigger, and a video signal to perform the trigger.
  • BUS sets the instrument to receive a trigger from a *TRG command.
  • BEXTernal sets the instrument to receive a trigger from a combination of sources: a bus *TRG to arm the trigger, and an external signal to perform the trigger.
  • BVIDeo sets the instrument to receive a trigger from a combination of sources: a bus *TRG to arm the trigger, and a video signal to perform the trigger.
  • DEFault sets the default (or preset) value or IMMediate.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IMM | EXT | VID | EVID | BUS | BEXT | BVID | ELAT |  | Yes | IMMediate | EXTernal | VIDeo | EVIDeo BUS | BEXTernal | BVIDeo | ELATched | DEFault | IMM | n/a | n/a | none
 |  | :TRIGger:SEQuence:SOURce EXTernal
Examples |  | :TRIG:SOUR EXT
 |  | :trigger:sequence:source external
 |  | :TRIGger:SOURce?

:TRIGger[:SEQuence]:TYPE

Sets or queries the type of event that triggers the analyzer.

  • EDGE sets the video trigger type to edge.
  • LEVel sets the video trigger type to level.
  • DEFault sets the default (or preset) value of EDGE.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | EDGE | LEV |  | Yes | EDGE | LEVel | DEFault | EDGE | n/a | n/a | none
 |  | :TRIGger:SEQuence:TYPE LEVel
Examples |  | :TRIG:TYPE LEV
 |  | :trigger:sequence:type level
 |  | :TRIGger:TYPE?

:TRIGger[:SEQuence]:VIDeo:BANDwidth

Queries or sets the video trigger bandwidth. Alternate form:BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 1 | 100 | %

 | :TRIGger:SEQuence:VIDeo:BANDwidth 1
Examples | :TRIG:SEQ:VID:BAND MAX
 | :trigger:sequence:video:bandwidth min
 | :TRIGger:SEQuence:VIDeo:BANDwidth?

:TRIGger[:SEQuence]:VIDeo:BWIDth

Queries or sets the video trigger bandwidth. Alternate form:BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 1 | 100 | %

 | :TRIGger:SEQuence:VIDeo:BWIDth 1
Examples | :TRIG:SEQ:VID:BWID MAX
 | :trigger:sequence:video:bwidth min
 | :TRIGger:SEQuence:VIDeo:BWIDth?

:TRIGger[:SEQuence]:VIDeo:SLOPe

Sets or queries the video trigger slope.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POS | NEG |  | Yes | POSitive | NEGative | DEFault | POS | n/a | n/a | none
 |  | :TRIGger:SEQuence:VIDeo:SLOPe NEGative
Examples |  | :TRIG:VID:SLOP NEG
 |  | :trigger:sequence:video:slope negative
 |  | :TRIGger:VIDeo:SLOPe?


Series V2800 SCPI command error messages

Series V2800 SCPI error message strings
-430 | Query deadlocked
-420 | Query unterminated
-410 | Query interrupted
-360 | Communication error
-350 | Queue overflow
-258 | .Media protected
-257 | File name error
-256 | File name not found
-256 | File name not found; the system cannot find the path specified
-256 | File name not found; the filename, directory name or volume label syntax is incorrect
-256 | File name not found; the network path was not found
-256 | File name not found; the network name cannot be found
-254 | Media full
-253 | Corrupt media
-252 | Missing media
-251 | Missing mass storage
-250 | Mass storage error
-250 | Mass storage error; the system cannot open the file
-250 | Mass storage error; No more connections can be made to this remote computer at this time
-250 | Mass storage error; the system cannot find the drive specified
-250 | Mass storage error; the directory or file cannot be created
-240 | Hardware error
-240 | Hardware error; read
-240 | Hardware error; write
-230 | Data corrupt or stale
-225 | Out of memory
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-213 | Init ignored
-161 | Invalid block data
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-113 | Undefined header
-110 | Command header error
-109 | Missing parameter
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
1 | Input overflow
10 | USB error
11 | USB cable not connected
12 | Active measurement does not support the command
13 | The required license is not installed
15 | Extended frequency range cannot be turned off while in use;<list> (where <list> is a list of the features using extended frequencies)
Shared DSP error messages
20 | Bad run checksum
21 | Run sector erased
22 | Bad FPGA checksum
23 | FPGA sector erased
24 | Bad Parms checksum
25 | Bad XParms checksum
26 | Bad basic Dsp command
27 | Bad DUC FS
28 | Task already on queue
29 | Bad cal table
30 | Flash not erasing
31 | Flash not programming
32 | Bad loader size
33 | Bad boot size
34 | Bad run size
35 | Checksum mismatch
36 | Bad DSP command
37 | Reached breakpoint
38 | Resource not locked
39 | FATAL CRASH!
40 | Debug not available
41 | Unrecognized DSP error
42 | Missing task killed message
43 | Missing acknowledged message
44 | FPGA program failure
45 | Bad receiver bandwidth
46 | FPGA DCM not locked
47 | DAC PLL not locked
48 | Bad XXParms checksum
49 | Bad license checksum
65 | DSP disabled by previous error
66 | DSP communication error
900 | Internal system error
Shared file and table loading error messages
70 | FILE ERROR: Cannot open
71 | FILE ERROR: Invalid file header
72 | FILE ERROR: Incorrect type
73 | FILE ERROR: Version not compatible
74 | FILE ERROR: Column header invalid
75 | FILE ERROR: "Begin Table" keyword not found
76 | FILE ERROR: Missing name/value pairs
77 | FILE ERROR: Number of data rows exceeds maximum
78 | Table not loaded, bad input format
79 | Table not loaded, bad value
80 | ERROR: Bad checksum
81 | ERROR: Contents are corrupted
Instrument specific DSP error messages
90 | Delta marker is off
91 | Bus trigger ignored
92 | Channel power list is empty
93 | Channel power list file error
94 | The recalled measurement type is not installed
95 | The recalled measurement type is not licensed
GSM/EDGE measurement error messages
200 | Invalid user filter
Power meter error messages
100 | Power meter not connected
101 | Power meter hardware error
102 | Power meter, bad command
Multibox error messages
110 | Multibox; not connected
111 | Multibox; hardware error
112 | Multibox; bad command
Pass through error messages
116 | Pass through mode required
120 | Pass through mode error
WiMAX measurement error messages
240 | Setting not allowed, subchannels in use by a burst may not be removed
241 | Setting not allowed, symbols in use by a zone may not be removed
242 | Setting not allowed, symbols in use by a burst may not be removed
243 | Subframe is full
244 | Invalid zone size
245 | Invalid burst location
246 | Invalid burst size
247 | Zone is full
248 | Location conflicts with an existing burst
249 | Required subchannel group is off
250 | Subchannel group is required for preamble index/segment
251 | Load failed, invalid map file
252 | Setting not allowed, sample time exceeds frame duration
253 | Setting not allowed, required samples exceed the maximum limit
User flatness error messages
270 | User Flatness data file error
271 | User Flatness file frequency rounded
272 | Waveform file error
802.11x measurement error
280 | Optimize setup failed, unknown signal type


Using the LXI Web Interface

The Agilent Series V2800 has a Web interface that complies with LXI class C requirements and offers a convenient way to communicate with the analyzer from a PC browser. For more information on LXI compliance, see www.lxistandard.org/home. The LXI Class C compliance includes the following features:

  • Instrument Welcome page
  • IP configuration control
  • Status information: security, errors/warnings
  • Administration password control

The Web interface also offers the following features:

  • Virtual instrument front panel access
  • Print screen capability from Web browser
  • Instrument help
  • Personality license file management

To access the web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.

  • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
  • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.

______

______

The Web interface menu offers the following choices:

Welcome page – describes the instrument model and manufacturer, serial number, LXI class, hostname, address, firmware revision, and VISA resource string.

IP Configuration – lists the instrument Ethernet configuration and allows you to modify the Ethernet configuration, which includes enabling or disabling support for ping.

Status – lists the status for the instrument security, and errors and warnings.

Instrument – offers a virtual front panel interface to the Series V2800. This interface is a subset of the functionality that is available with the actual instrument front panel. Here are a few differences between the true instrument front panel interface and the virtual interface:

  • All editable fields are highlighted on the virtual interface so you can make multiple setting modifications and then select Submit to send the modifications to the instrument.
  • Selection of button elements on the virtual interface will cause immediate instrument action for the button functionality and any other editable fields that you modified.
  • Changes made to the settings from the actual instrument front panel will not be indicated on the virtual interface until you select Refresh.

Administration – offers a dialog box that allows administration password control. The default user name/password is admin/admin. The user/password authorization is required to modify the Ethernet configuration, use the remote file browser, upgrade the instrument firmware, or export an instrument option license over the web. Once you enter the correct user/password, the browser caches the login to enable you to use other password-dependent features without additional password inputs. Please refer to LAN Config Init.

_____

CAUTION: The current release of Agilent Series V2800 firmware is 2.0 or higher. If you have a Model 2810 with a firmware revision of less than 2.0 you will be unable to upgrade the firmware build (CAB file) by way of the LXI web interface. Firmware revisions prior to the 2.0 release have a 20 MB limit for upload files. Firmware release 2.0 increases this limit to 40 Mbytes (enough for future upgrades to your instrument over the LXI web interface.) You can verify the firmware version currently installed on your instrument by selecting Menu > Help > About Agilent 28xx. If your instrument has a firmware release prior to 2.0 you must copy the CAB file to a USB memory device to upload it to your instrument. Once you have completed this, future uploads may be done using the LXI web interface.

______

Licensing – shows the current licenses in the instrument and allows you to export or import license files. See Transfer license files or Add a license file for details. For general licensing information, see Licensing. License files cannot be exported from the instrument front panel; you can only export license files from the Web interface through a password controlled page that has the same password used in the Administration page, described above.

Screen Capture – allows you to capture an image of the current instrument screen. Click Capture each time you want to update the browser (it is highly recommended that you put the instrument in single sweep before you capture the screen).
_

Note icon If you are using Microsoft® Internet Explorer browser, and you are experiencing a failure to update screen captures: First, from the instrument front panel, select: Menu > Utilities > Time and Date... and verify that the time and date are correct. Then, change the browser caching policy by following these steps: In the browser window, click Tools > Internet Options. In the General tab, click Settings. In the Check for newer version of stored pages: section, select Every visit to the page. Click OK.

______

Print – offers the standard Windows Print dialog so you can print the screen image.

Help – offers the same Help topics that are available from the actual front panel interface when you select Menu > Help > Help System....

ID – when this button is selected, visually indicates that a particular instrument is connected through the LXI web interface by displaying a blinking green light on the lower-right corner of the front panel of the connected instrument. This can be helpful when more than one instrument is connected to the LAN. This green indicator is always lit when the instrument is connected to an operational LAN. If there is a LAN error, this indicator changes from green to red. A LAN disconnection indicator is also shown at the lower-right portion of the instrument front panel.

LXI Web Interface setup

To access the instrument and control the operation over the LXI Web interface, you must install a Java Runtime Environment (JRE) in the computer that is connected to the instrument. This JRE contains the Java virtual machine, runtime class libraries, and Java applications launcher that are necessary to run the program that accesses and controls the instrument through the LXI Web interface.

You can install the JRE from the Series V2800 Product Information CD-ROM, or you can download and install it from the web.

Installing the JRE from the CD-ROM:

  1. Insert the CD-ROM into your computer (the CD browser will launch automatically) and navigate to the "Applications Info" page.
  2. Under "Java™ Runtime Environment," click the link for the JRE installer and follow the installer prompts.

Installing the JRE from the web:

You can receive free future updates to this JRE by downloading them from the Agilent website. This JRE is appropriate only if you are operating in a Windows environment.

  1. Using your internet browser, go the product support page at www.agilent.com/find/V2820A.
  2. Select: Java™ Runtime Environment (the link also includes information about current version).
  3. Download and install the software from the website.

If you are operating in a UNIX, Linux, or Solaris environment, you may download the appropriate JRE from the Sun Microsystems Website:

  1. Using your internet browser, type in the following URL: http://java.sun.com/javase/downloads/index.jsp.
  2. Scroll to the Java SE Runtime Environment (JRE) and select "Download."
  3. From this page you are able to download the appropriate executable file.


Remote file browser

The LXI web interface offers a generic file manager for moving PC files to the instrument and for managing files on the instrument. You will find that this feature is similar to Microsoft® Windows Explorer®.

To access the remote browser:

  1. To access the LXI web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.
    • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.
  2. In the left-hand navigation area on the LXI web interface, click Instrument.
  3. In the instrument front panel view, Menu > File > Remote File Browser...
  4. When you are presented with a dialog box to enter a user name and password, use admin for both the user name and password fields.

_____
The following functions are supported:

  • Up moves the current directory up one level in the directory structure
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify
  • Copy duplicates a highlighted (selected) to the location that you specify
  • Paste places a file in a location that you have specified
  • New folder creates a new folder that you name in the current directory
  • Delete removes a highlighted file from the directory
  • Rename changes the name of a highlighted file
  • Folder options allows you to Select All, Select None, or Invert Selection of the folders selected
  • Upload allows you to upload waveform files to the instrument
  • Sorting allows you to sort files or folders by name, size, type or date modified

Ctrl-left click allows you to select multiple files from a list for manipulation. Drag-and-drop operation is not supported.

Insert a USB memory stick into any of the standard USB ports on the instrument, and the remote file browser can access the device for file manipulation or uploading of waveform files contained in the USB memory stick.


File management

The instrument allows you to manage various files that are used by the instrument. Select one of the following categories to learn more about file management for the instrument:

  • Directory structure and file types
  • Managing Series V2800 licenses
  • External Drives (USB and networked)
  • File management with Web interface
  • File management window
  • File management operations


Directory structure and file types

The Series V2800 has default directories for saving and opening specific types of files.

  • Firmware upgrade User directory is where you will upload the latest firmware upgrade file before loading it into the instrument. You can also upgrade the firmware directly from a USB memory device or a networked directory. This type of file is a *.cab. See Firmware Upgrade for more information.

    Note icon Firmware for the Series V2800 Vector Signal Generators is downloaded and installed as a .CAB file. Do not attempt to install a .EXE file

  • License Import User directory is where you will save measurement personality license files. This type of file is a *.txt. See Licensing and Add a license file.
  • Instrument setups User directory is where you can save and open setup files that describe the entire instrument state. This type of file is a *.set.
  • Channel power list User directory is where you will save list description files to open in channel power list mode. A list description file contains a list of measurement states that includes frequency, RBW, and sweep time values. This type of file is a *.list.
  • ORFS freq/limits User directory is where files are saved that describe the values and conditions for passing an output RF spectrum due to modulation or switching limit test. This type of file is a *.orfs.
  • Time mask limits User directory is where files are saved that describe the values and conditions for passing a time mask limit test. This type of file is a *.tml.
  • Screen User directory is where you save screen captures as image files so you can view them in a graphics application or include them in a report. This type of file is a *.bmp.

    Note icon The Series V2800 has 200 Mb of combined memory storage available for the various user directories.


Upgrade firmware files

Note icon Be certain you are downloading and installing the correct firmware for your instrument. There are two types of installation files available:
1. Firmware files for the Agilent Series V2800 and Series V2900 instrument (with a .cab file extension)
-or-
2. Software files for the Agilent Desktop Control Panel application installed on a PC (with a .exe file extension)
_
If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______
Using the front panel interface:

  1. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  2. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the file to the instrument.

  3. On the instrument select Menu > Utilities > Upgrade Firmware.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.
  6. Follow the on-screen prompts to complete the installation.

_
Using the web interface:

Although you can upgrade the instrument firmware from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  3. Save it to a directory on the computer.
  4. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  5. Click Instrument on the web page. The virtual front panel is shown.
  6. Click Menu > Utilities > Upgrade Firmware.
  7. You may need to type the username / password (default is admin / admin) to proceed.
  8. Click Browse and navigate to the location of the file that you just downloaded from the Agilent website.
  9. Click Upload. This copies the file to the instrument firmware upgrade directory.

    Before proceeding, wait for the message "Successfully uploaded file ... Click 'Start Upgrade' to begin the upgrade process."

  10. Click Start Upgrade and then click the file that you uploaded to the instrument.
  11. Click Load.
  12. Follow the prompts to complete the installation.

_

Making room on the instrument's Storage Card

If, in the process of upgrading the firmware, you receive a message that the Storage Card (the instrument's internal memory) is full, use one of the following procedures to remove old .cab (firmware installer) files:

_
Using the Select Upgrade File dialog

Firmware files
-

  1. While in the Select Upgrade File dialog, make sure that "User" is the selected Look In directory.
  2. In the File list, scroll to the bottom of the list to see the old .cab files.

    Note icon Any .cab files listed in the File list are old installer files. Deleting them will not affect the instrument's operation with the present firmware installation.

  3. Select an old .cab file and press the Delete button in the dialog's upper toolbar.
  4. Repeat Step 3 for each old .cab file.

_
Using SCPI commands

  1. Use the :MMEMory:CATalog? command to ascertain what old .cab files existing on the Storage Card.
    • :MMEMory:CATalog? command for Series V2800 instruments
    • :MMEMory:CATalog? command for Series V2900 instruments
  2. Use the :MMEMory:DELete command to delete the old .cab files.
    • :MMEMory:DELete command for Series V2800 instruments
    • :MMEMory:DELete command for Series V2900 instruments


External drives (USB and networked)

In addition to the instrument internal file storage directories, you have the following external drives available to help you manage your files:

  • USB memory devices (up to four)
  • Networked drives (Windows OS)

See Share files or folders for details on managing files on networked drives.


File management with Web interface

The Series V2800 has a Web interface that allows you to perform a set of file management operations:

  • Save and recall instrument states
  • Locate and load channel power lists
  • Locate and load limits files
  • Download and run instrument upgrades
  • Transfer measurement personality licenses
  • Capture instrument screen images

To access the Series V2800 Web interface, launch a Web browser and use the instrument IP address for the URL (for example, http:\\192.168.1.101).

If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.

  • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  • If you want details on the Web interface, see LXI Web interface.

LXI Web interface

The Agilent Series V2800 has a Web interface that complies with LXI class C requirements and offers a convenient way to communicate with the analyzer from a PC browser. For more information on LXI compliance, see www.lxistandard.org/home. The LXI Class C compliance includes the following features:

  • Instrument Welcome page
  • IP configuration control
  • Status information: security, errors/warnings
  • Administration password control

The Web interface also offers the following features:

  • Virtual instrument front panel access
  • Print screen capability from Web browser
  • Instrument help
  • Personality license file management

To access the web interface, launch a web browser and use the LAN-connected instrument IP address for the URL; for example, http://192.40.128.183.

  • If you do not know the instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
  • If you need details on configuring the Ethernet settings, refer to Ethernet Settings.

______

______

The Web interface menu offers the following choices:

Welcome page – describes the instrument model and manufacturer, serial number, LXI class, hostname, address, firmware revision, and VISA resource string.

IP Configuration – lists the instrument Ethernet configuration and allows you to modify the Ethernet configuration, which includes enabling or disabling support for ping.

Status – lists the status for the instrument security, and errors and warnings.

Instrument – offers a virtual front panel interface to the Series V2800. This interface is a subset of the functionality that is available with the actual instrument front panel. Here are a few differences between the true instrument front panel interface and the virtual interface:

  • All editable fields are highlighted on the virtual interface so you can make multiple setting modifications and then select Submit to send the modifications to the instrument.
  • Selection of button elements on the virtual interface will cause immediate instrument action for the button functionality and any other editable fields that you modified.
  • Changes made to the settings from the actual instrument front panel will not be indicated on the virtual interface until you select Refresh.

Administration – offers a dialog box that allows administration password control. The default user name/password is admin/admin. The user/password authorization is required to modify the Ethernet configuration, use the remote file browser, upgrade the instrument firmware, or export an instrument option license over the web. Once you enter the correct user/password, the browser caches the login to enable you to use other password-dependent features without additional password inputs. Please refer to LAN Config Init.

_____

CAUTION: The current release of Agilent Series V2800 firmware is 2.0 or higher. If you have a Model 2810 with a firmware revision of less than 2.0 you will be unable to upgrade the firmware build (CAB file) by way of the LXI web interface. Firmware revisions prior to the 2.0 release have a 20 MB limit for upload files. Firmware release 2.0 increases this limit to 40 Mbytes (enough for future upgrades to your instrument over the LXI web interface.) You can verify the firmware version currently installed on your instrument by selecting Menu > Help > About Agilent 28xx. If your instrument has a firmware release prior to 2.0 you must copy the CAB file to a USB memory device to upload it to your instrument. Once you have completed this, future uploads may be done using the LXI web interface.

______

Licensing – shows the current licenses in the instrument and allows you to export or import license files. See Transfer license files or Add a license file for details. For general licensing information, see Licensing. License files cannot be exported from the instrument front panel; you can only export license files from the Web interface through a password controlled page that has the same password used in the Administration page, described above.

Screen Capture – allows you to capture an image of the current instrument screen. Click Capture each time you want to update the browser (it is highly recommended that you put the instrument in single sweep before you capture the screen).
_

Note icon If you are using Microsoft® Internet Explorer browser, and you are experiencing a failure to update screen captures: First, from the instrument front panel, select: Menu > Utilities > Time and Date... and verify that the time and date are correct. Then, change the browser caching policy by following these steps: In the browser window, click Tools > Internet Options. In the General tab, click Settings. In the Check for newer version of stored pages: section, select Every visit to the page. Click OK.

______

Print – offers the standard Windows Print dialog so you can print the screen image.

Help – offers the same Help topics that are available from the actual front panel interface when you select Menu > Help > Help System....

ID – when this button is selected, visually indicates that a particular instrument is connected through the LXI web interface by displaying a blinking green light on the lower-right corner of the front panel of the connected instrument. This can be helpful when more than one instrument is connected to the LAN. This green indicator is always lit when the instrument is connected to an operational LAN. If there is a LAN error, this indicator changes from green to red. A LAN disconnection indicator is also shown at the lower-right portion of the instrument front panel.


File management window

All file management windows have the following buttons and information fields:

  • Refresh updates the directories and files to show the current structure.
  • Up moves the current directory up one level in the directory structure.
  • Copy duplicates a highlighted (selected) file to the location you specify.
  • Cut removes a highlighted (selected) file from the directory and allows you to place it (paste) in a different location that you specify.
  • Paste places a file in a location that you have specified.
  • Rename changes the name of a highlighted file.
  • Delete removes a highlighted file from the directory.
  • New Folder creates a new folder that you name in the current directory.
  • Look In: displays a menu of the available directories or drives.
  • Save or Open saves or opens a highlighted file, depending on the type of file operation.
  • File name: shows the name of the file currently highlighted (selected).
  • Files of type: shows the type of file currently highlighted (selected).


File management operations

Select from the following procedure categories to learn how to manage various types of files:

  • Save a file
  • Open, load or transfer files
  • Copy or move an instrument file
  • Rename a file or folder
  • Delete a file or folder
  • Share a drive, files or folders


Save a file

Select the following procedures to learn how to save the various types of files:

  • Instrument setups
  • ORFS limits
  • Time mask limits
  • Screen capture image


Save an instrument setup file

The instrument setup file save and load operations have the following restrictions:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will be only able to load the file with programming commands.
    __

    Note icon If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

_
With the front panel interface:

Set up the instrument to the values that you want:

  1. Select Menu > File > Save Setup.
  2. Select the File name: field or the keyboard button and type a name.
  3. Select Enter > Save.

_
With the remote programming interface:

The following example summarizes the basic command sequence for saving and recalling a setup remotely. The current setup is stored in memory location 2, GPIB defaults are restored, and the setup in memory location 2 is recalled.

*SAV 2 | ' Saves present setup in memory location 2.
*RST | ' Restores all instrument settings.
*RCL 2 | ' Recalls location 2 setup.

Note icon The frequency reference is not affected by Preset, *RST, or save/recall state.


Save an ORFS freq/limits file

You can save an edited table of ORFS limits to either apply to the current measurement or load into the instrument for a future measurement.

Note icon It is recommended that you save the files to a drive that is external to the instrument, ensuring adequate memory storage. See To share a drive or folder on the network .

Note icon The GSM and EDGE standards specify both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM and EDGE standards state that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

With the front panel interface:

Set up the instrument state to the values that you want:

  1. From the measurement menu, select the type of measurement that you want to apply ORFS limit test:
    • If you are making a GSM measurement, select GSM > Settings > ORFS.
    • If you are making an EDGE measurement, select EDGE > Settings > ORFS.
  2. In the ORFS Mod Settings dialog, select Freqs/Limits: Edit.
  3. In the ORFS Freqs/Limits dialog, do one of following steps:
    • If you are editing the limits table to include the values that you want applied to the limits test, double-select values to enter new values, select Add Row to include additional limits, or select Delete Row to delete limits. Then select File > Save....
    • If you are saving the default limit file for a starting point to create you own limits file using a text editor, select File > Save....
  4. Select the memory location to store the file by selecting the drop-down arrow in the Look In: field and navigating to the drive location.
  5. Select the File name: field or the keyboard button and type a name.
  6. Select Enter > Save.
  7. To save a new time mask limits file based on the default limits file, perform these steps:
    1. Edit the previously saved default limits file in a text editor, such as Notepad.
    2. Save the file to a memory location that you can conveniently access.

      An example of a default ORFS frequency/limits file is shown below:

      ORFS Mod Freqs/Limits Version 1.0

      Begin Table

      Offset (Hz), Max (dBc), Max (dBm)

      200000.00, -30.00, 200.00

      250000.00, -33.00, 200.00

      400000.00, -54.00, 200.00

      600000.00, -60.00, 200.00

      1200000.00, -60.00, 200.00

      1800000.00, -63.00, 200.00

See To load an ORFS freqs/limits file for details on using the limits file that you saved.

With the remote programming interface:

[:SENse]:EDGE:ORFS:MODulation:FLIMits

[:SENse]:EDGE:ORFS:SWITching:FLIMits

[:SENse]:GSM:ORFS:MODulation:FLIMits

[:SENse]:GSM:ORFS:SWITching:FLIMits


Save a time mask limits file

You can save an edited table of time mask limits to either apply to the current measurement or load into the instrument for a future measurement. You can also save the Series V2800 default limits file for a starting point to create your own limits file using a text editor.

Note icon It is recommended that you save the files to a drive that is external to the instrument, ensuring adequate memory storage. See To share a drive or folder on the network.

______

Note icon The GSM and EDGE standards specify both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM and EDGE standards state that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Set up the instrument state to the values that you want:

  1. From the measurement menu, select the type of measurement that you want to apply time mask limit test:
    • If you are making a GSM measurement, select GSM > Settings > Time Mask Limits.
    • If you are making an EDGE measurement, select EDGE > Settings > Time Mask Limits.
  2. In the Time Mask Limits dialog, do one of following steps:
    • If you are editing the limits table to include the values that you want applied to the limits test, double-select values to enter new values, select Add Row to include additional limits, or select Delete Row to delete limits. Then select File > Save....
    • If you are saving the default limit file for a starting point to create you own limits file using a text editor, select File > Save....
  3. Select the memory location to store the file by selecting the drop-down arrow in the Look In: field and navigating to the drive location.
  4. Select the File name: field or the keyboard button and type a name.
  5. Select Enter > Save.
  6. To save a new time mask limits file based on the default limits file, perform these steps:
    1. Edit the previously saved default limits file in a text editor, such as Notepad.
    2. Save the file to a memory location that you can conveniently access.

      An example of a default time mask limits file is shown below:

    Time Mask Limits Version 1.0

    Begin Table

    Time (us), Max (dBc), Max (dBm), Min (dBc)

    -100.00, -59.00, -200.00, -200.00

    -28.00, -30.00, -200.00, -200.00

    -18.00, -6.00, -200.00, -200.00

    -10.00, 4.00, -200.00, -200.00

    0.00, 2.40, -200.00, -2.00

    2.00, 2.40, -200.00, 0.00

    4.00, 4.00, -200.00, -20.00

    538.80, 2.40, -200.00, 0.00

    540.80, 2.40, -200.00, -2.00

    542.80, 4.00, -200.00, -200.00

    552.80, -6.00, -200.00, -200.00

    560.80, -30.00, -200.00, -200.00

    570.80, -59.00, -200.00, -200.00

    See To load a time mask limits file for details on using the limits file that you saved.


Save a screen capture

You can save an image of the current measurement screen that includes any visible settings and data.

Note icon It is recommended that you save the files to a drive that is external to the instrument, ensuring adequate memory storage. See To share a drive or folder on the network.

With the front panel interface:

Set the instrument state to the values that you want:

  1. Select Sweep Single to put the instrument in single sweep.
  2. Select Menu > File > Save Screen.
  3. Select the memory location to store the file by selecting the drop-down arrow in the Look In: field and navigating to the drive location.
  4. Select the File name: field or the keyboard button and type a name.
  5. Select Enter > Save.

With the remote programming interface:

:DISPlay:CAPTure

With the LXI Web interface:

  1. Connect the instrument to a Web network that includes your computer.
  2. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel to view the address.
  3. Click Instrument from the menu at the left of the instrument Web page to view the Series V2800 virtual front panel.
  4. Put the instrument in single sweep by clicking Sweep Single on the virtual front panel.
  5. Click Screen Capture from the menu at the left of the instrument Web page.
  6. Right-click over the image of the instrument screen and select Save Picture As....
  7. Navigate to the location to store the file, type a name, and click Save.

With the Desktop Control Panel Software Interface:

When using the Desktop Control Panel interface on your computer, you may capture a screen by using one of these options: Print Screen key (captures entire screen to clipboard), Alt + Print Screen (captures active window to clipboard), or use a screen capture utility. You may then paste the captured screen into another program and save for later use.


Open, load or transfer files

Select the following procedures to learn how to open, load or transfer license and instrument setup files:

  • Current licenses and license ID
  • Firmware upgrade files
  • Add license files
  • Transfer license files
  • Instrument setup files
  • Channel power list
  • ORFS freq/limits files
  • Time mask limits files

______

Note icon Be certain you are downloading and installing the correct software or firmware for your PC. There are two types of installation files available, one for the Agilent Desktop Control Panel application installed on the PC (*.exe) and one for the Agilent Series V2800 VSAs and Series V2900 VSGs (*.cab). The installation file for the Series V2800 and Series V2900 instruments must end with the file extension .CAB. If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.


Add a license file

This procedure shows you how to add a newly-purchased license file to the instrument, or import (add) a license file from another instrument. The first part of this procedure shows you how to obtain the necessary information for ordering additional licenses. You can purchase licenses when ordering an instrument, or any time after receiving the instrument shipment. Fill out the license certificate that was part of the instrument shipment and contact your Agilent sales representative to arrange the purchase of desired digital modulation licenses.

The keyboard shortcuts (Ctrl+C, Ctrl+V) in this procedure are for MS Windows®.

  • See Transfer license files for instructions on how to transfer license files between instruments.
  • See Licensing for details on license files.

From the instrument's front panel -or- the Desktop Control Panel program:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact your Agilent representative for assistance in obtaining a replacement or with ordering additional licenses.
  2. To find the instrument license ID, select Menu > Utilities > Licenses > View to open the View Licenses window.

    Desktop Control Panel View Licenses window
  3. Select the Copy to: File... button or the Clipboard button to save the instrument License ID to an ASCII text (*.txt) file.
  4. In the Save License ID window, either type in the path or use the Browse button to navigate to a location that you can access from your computer.___

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the license file.

  5. Name the file:
    • If you want to overwrite an existing file, select the file in the directory structure then select Save.
    • If you want to save the file as new, select the keyboard button to open the virtual keyboard (from the instrument front panel) or use the keyboard from your PC (Desktop Control Panel) and enter the <filename>.txt, then select Enter > Save.
  6. To purchase a license:
    1. Contact your Agilent sales representative to arrange for the purchase of the desired licenses.
    2. When you receive a return e-mail message from Agilent, copy (Ctrl+C) the text of the message and paste (Ctrl+V) it into a newly created *.txt file.
    3. Go to Step 8.
  7. To import a license:
    1. Obtain the License ID from the source instrument (see Transfer license files).
    2. Go to Step 8.
  8. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose.

  9. Close the View window.
  10. Select Menu > Utilities > Licenses > Add.
  11. Import the license by navigating to the location of the *.txt file that you just created and saved (if the license was saved to a file), or from the Clipboard (if the license was saved to the clipboard).
  12. The list of licenses to import is displayed.
  13. Click Add Licenses.

    Note icon Agilent custom measurements that require a license will not be enabled by a new license until the system is restarted.

With the LXI Web interface:

  1. Locate the License Certificate that was part of the instrument shipment. Fill out the necessary information to purchase additional licenses. If you misplaced this document, contact Agilent for a replacement.
  2. Connect the instrument to a Web network that includes a computer.
  3. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know what the instrument IP address is, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  4. Click Licensing > Import from the instrument Web page.
  5. Find the Instrument License Identifier row of the displayed table, highlight the instrument ID, copy it (Ctrl+C), and then paste it (Ctrl+V) into a new text file.

    _____
    Copy License ID
    _____

  6. Save the file.
  7. Contact your Agilent representative to arrange for the purchase of the desired measurement personality licenses for your instrument.
  8. When you receive a return e-mail message from Agilent, submit the license information through the Web page:
    • If you want to keep a copy of the license information, highlight the text of the received e-mail message, copy it (Ctrl+C), and then paste it (Ctrl+V) it into a newly created *.txt file. Save the file to a location that you can access from the instrument. In the instrument Web page, click Licensing > Import > Browse. Navigate to the location of the license *.txt file that you just created and saved and click Open.
    • If you don't need to save a copy of the license information, highlight the text of the received e-mail message and copy it (Ctrl+C). On the instrument Web page, click Licensing > Import and then paste it (Ctrl+V) it in the appropriate field.
      ______

      Paste license text
      ______

  9. Click Submit. The current license status of the instrument is displayed.

______

See also:

  • Viewing licenses
  • Transferring licenses
  • Series V2800 measurement personality license files
  • RF Product Software License Agreement


Transfer license files

This procedure shows you how to transfer existing license files between instruments. The license file transfer can be done from the Desktop Control Panel software, from the instrument front panel or the instrument Web page interface. The keyboard shortcuts Copy and Paste (Ctrl+C, Ctrl+V) in this procedure are for MS Windows. For information on saving a newly purchased license, see Add a license file.

Throughout this procedure, these terms will be used to designate a particular instrument:

  • "Source instrument" designates the instrument that has the existing licenses that will be transferred or exported.
  • "Destination instrument" designates the instrument that will receive or import the existing licenses.

    Note: If you are transferring (exporting) licenses from more than one instrument, you must perform the steps in a particular sequence because the instrument license identifier changes as licenses are transferred. For example, if Instrument A is going to import licenses that are exported from both Instrument B and Instrument C, follow this sequence of steps:
    1. Export licenses from instrument B.
    2. Instrument A imports licenses from instrument B.
    3. Export licenses from instrument C.
    4. Instrument A imports licenses from instrument C.

From the instrument's front panel or the Desktop Control Panel program:

______

  1. Obtain the License ID of the instrument to which you want to transfer the license(s) (the destination instrument).
  2. Go to Menu > Utilities > Licenses > Transfer to view the screen shown above.
  3. Import the license ID using either the Paste from Clipboard function (if the license was copied to the clipboard) or by selecting the File... button (if the license ID is stored in a file).
  4. Select the licenses to export by checking them in the Transfer column.
  5. Import the license into the destination instrument.

Web interface procedure

  1. Connect both the source instrument and the destination instrument to a Web network that includes a computer.
  2. On the computer, launch a Web browser and use the source instrument IP address as the URL.
    • If you do not know an instrument IP address, you can find it from the instrument front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  3. Launch another Web browser and use the destination instrument IP address as the URL.
  4. In the destination instrument Web page, click Licensing > Import.
  5. In the Instrument License Identifier row of the displayed table, highlight the instrument ID and copy it (Ctrl+C).
    ______

    Copy License ID
    ______

  6. In the source instrument Web page, click Licensing > Export.
  7. In the Target Instrument License Identifier field, paste (Ctrl+V) the destination instrument license ID.
    _______

    licenseIDexport
    _______

  8. In the Export column, select the check boxes for the licenses that you want to transfer to the destination instrument. Click Submit.
  9. Highlight the text in the license file and copy it (Ctrl+C).
    ______

    licenseCopy
    ______

  10. In the destination instrument Web page, paste (Ctrl+V) the license file contents in the appropriate field. Click Submit.
    ______

    Paste license text
    ______

    Note icon If the power should fail during the license transfer, you can recover the license file by clicking "View last exported license".

_____

See Also:

  • Adding Licenses
  • Viewing Licenses
  • Series V2800 measurement personality license files
  • RF Product Software License Agreement


Load an instrument setup file

The instrument setup file save and load operations have the following features:

  • If you save an instrument setup file from the front panel interface, you will only be able to load the file from the front panel interface.
  • If you save an instrument setup file remotely using programming commands, you will only be able to load the file with programming commands.

Note: If a sequence file is open at the time an instrument setup is saved, the sequence file will be part of the saved setup file. When the instrument setup file is later opened, the sequence file will also be opened if the following conditions exist: the recalled sequence file is located in the User directory and the arbitrary waveform files that are referenced in the sequence file are added to the arbitrary waveform playback table.

With the front panel interface:

  1. Select Menu > File > Open Setup.
    • If you want to load a setup file from the User directory, select (highlight) the file in the User directory.
    • If you want to load a setup file from another location, select the folder or drive that includes the file you want in the Look In field. Select (highlight) the file.
  2. Select Load.

With the remote programming interface:

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

*SAV 2 | ' Save present setup in memory location 2.
*RST | ' Restore GPIB defaults.
*RCL 2 | ' Recall location 2 setup.

Note: The frequency reference is not affected by Preset, *RST, or save/recall state.


Load a channel power list file

You can load a channel power list description file from the User directory, a connected USB memory stick or a shared network folder. You must create and edit the list description file in an external application, such as Microsoft Excel or Notepad.

Example channel power list file:

Channel Power List Version 2.0,,,

Begin Table,,,

State, Frequency, RBW, SweepTime,RefLevel,Preamp

1,1.800000e+009,1.000000e+007,1.000000e-004,20,Off

1,1.788500e+009,1.000000e+006,1.000000e-004,10,Off

1,1.793000e+009,1.000000e+006,1.000000e-004,0,off

1,1.794450e+009,1.000000e+005,1.000000e-004,-10,OFF

1,1.805550e+009,1.000000e+005,1.000000e-004,-20,0

1,1.807000e+009,1.000000e+006,1.000000e-004,-30,0

With the front panel interface:

  1. Select General Purpose > Channel Power List > Open....
    • If the file that you want is in the User directory, select (highlight) the file.
  2. If the file is in a shared network folder or on a connected USB memory stick, select the directory where the file is located from the Look in: drop-down menu, highlight the file and then select Open.

With the remote programming interface:

You can use the programming command [:SENse]CPList:LOAD to load a file from a directory in the instrument, a USB memory stick inserted in the instrument, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory Path in Programming Message
List User (default) | filename
another computer directory | \\UNC\directory\filename
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

To open a list file that is already in the instrument List User directory, use the SCPI command [:SENse]:CPList:LOAD "\user\listname.csv".


Upgrading firmware

Note icon Be certain you are downloading and installing the correct firmware for your instrument. There are two types of installation files available:
1. Firmware files for the Agilent Series V2800 and Series V2900 instrument (with a .cab file extension)
-or-
2. Software files for the Agilent Desktop Control Panel application installed on a PC (with a .exe file extension)
_
If you attempt to install the wrong file type, an error is displayed and the installation procedure aborts.

______
Using the front panel interface:

  1. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  2. Save the file to a location that you can access from the instrument.

    Note icon A USB memory device is convenient for this purpose as you can then use it to transfer the file to the instrument.

  3. On the instrument select Menu > Utilities > Upgrade Firmware.
  4. Navigate to the location of the upgrade file that you just downloaded and saved.
  5. Select (highlight) the file and select Open.
  6. Follow the on-screen prompts to complete the installation.

_
Using the web interface:

Although you can upgrade the instrument firmware from the web interface, you will not be able to detect the progress of the upgrade from the remote interface. You may want to upload the upgrade file to the instrument, and then run the upgrade process locally.

  1. Connect the instrument to a web network that includes your computer.
  2. On your PC, launch a web browser and download the latest firmware upgrade file from the Agilent website, www.agilent.com.
    • For the Agilent V2820A, go to www.agilent.com/find/V2820A
    • For the Agilent V2920A, go to www.agilent.com/find/V2920A
  3. Save it to a directory on the computer.
  4. In the web browser, use the instrument IP address as the URL.
    • If you do not know the instrument IP address, select Menu > Utilities > Ethernet Settings from the instrument front panel.
  5. Click Instrument on the web page. The virtual front panel is shown.
  6. Click Menu > Utilities > Upgrade Firmware.
  7. You may need to type the username / password (default is admin / admin) to proceed.
  8. Click Browse and navigate to the location of the file that you just downloaded from the Agilent website.
  9. Click Upload. This copies the file to the instrument firmware upgrade directory.

    Before proceeding, wait for the message "Successfully uploaded file ... Click 'Start Upgrade' to begin the upgrade process."

  10. Click Start Upgrade and then click the file that you uploaded to the instrument.
  11. Click Load.
  12. Follow the prompts to complete the installation.

_

Making room on the instrument's Storage Card

If, in the process of upgrading the firmware, you receive a message that the Storage Card (the instrument's internal memory) is full, use one of the following procedures to remove old .cab (firmware installer) files:

_
Using the Select Upgrade File dialog

Firmware files
-

  1. While in the Select Upgrade File dialog, make sure that "User" is the selected Look In directory.
  2. In the File list, scroll to the bottom of the list to see the old .cab files.

    Note icon Any .cab files listed in the File list are old installer files. Deleting them will not affect the instrument's operation with the present firmware installation.

  3. Select an old .cab file and press the Delete button in the dialog's upper toolbar.
  4. Repeat Step 3 for each old .cab file.

_
Using SCPI commands

  1. Use the :MMEMory:CATalog? command to ascertain what old .cab files existing on the Storage Card.
    • :MMEMory:CATalog? command for Series V2800 instruments
    • :MMEMory:CATalog? command for Series V2900 instruments
  2. Use the :MMEMory:DELete command to delete the old .cab files.
    • :MMEMory:DELete command for Series V2800 instruments
    • :MMEMory:DELete command for Series V2900 instruments


Load an ORFS freqs/limits file

You can load a table of ORFS limits to apply to the current measurement limit test.

Note: The GSM and EDGE standards specify both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM and EDGE standards state that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

With the front panel interface:

  1. From the measurement menu, select the type of measurement that you want to apply ORFS limit test:
    • If you are making a GSM measurement, select GSM > Settings > ORFS.
    • If you are making an EDGE measurement, select EDGE > Settings > ORFS.
  2. In the ORFS Mod Settings dialog, select Freqs/Limits: Edit.
  3. Edit the limits table to the values that you want applied to the limits test.
  4. Select File > Load... and select the memory location where the file is stored.
  5. Select the filename, and then select Open.

With the remote programming interface:

[:SENse]:EDGE:ORFS:MODulation:FLIMits

[:SENse]:EDGE:ORFS:SWITching:FLIMits

[:SENse]:EDGE:ORFS:MODulation:[:STATe]

[:SENse]:EDGE:ORFS:SWITching:[:STATe]

[:SENse]:GSM:ORFS:MODulation:FLIMits

[:SENse]:GSM:ORFS:SWITching:FLIMits

[:SENse]:GSM:ORFS:MODulation:[:STATe]

[:SENse]:GSM:ORFS:SWITching:[:STATe]

To load an ORFS frequency/limits file into the Series V2800 remotely, you can copy the limits (no header) from a file that you have previously saved, or you can enter in the limits directly into the SCPI command message. See To save an ORFS freq/limits file for details.

Example:

The example SCPI command message below allows the Series V2800 to set the limit table as a set of comma separated values:

[:SENSe]:EDGE:ORFS:MODulation:FLIMits 200000.00, -30.00, 200.00, 250000.00, -33.00, 200.00, 400000.00, -54.00, 200.00, 600000.00, -60.00, 200.00, 1200000.00, -60.00, 200.00, 1800000.00, -63.00, 200.00


Load a time mask limits file

You can load a table of time mask limits to apply to the current measurement limit test.

Note: The GSM and EDGE standards specify both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM and EDGE standards state that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

With the front panel interface:

  1. From the measurement menu, select the type of measurement that you want to apply ORFS limit test:
    • If you are making a GSM measurement, select GSM > Settings > Time Mask Limits.
    • If you are making an EDGE measurement, select EDGE > Settings > Time Mask Limits.
  2. In the Time Mask Limits dialog, edit the limits table to the values that you want applied to the limits test.
  3. Select File > Load... and select the memory location where the file is stored.
  4. Select the filename and select Open.

With the remote programming interface:

[:SENSe]:EDGE:TMASk[:STATe]

:CALCulate:EDGE:TMASk:LIMit

[:SENSe]:GSM:TMASk[:STATe]

:CALCulate:GSM:TMASk:LIMit

  1. To load a time mask limits file into the Series V2800 remotely, you can copy the limits (no header) from a file that you have previously saved, or you can enter in the limits directly into the SCPI command message. See To save a time mask limits file for details.
  2. The example SCPI command message below allows the Series V2800 to accept a time mask limit table as a comma separated list:

    :CALCulate:GSM:TMASk:LIMit -100.00, -59.00, -200.00, -200.00, -28.00, -30.00, -200.00, -200.00, -18.00, -6.00, -200.00, -200.00, -10.00, 4.00, -200.00, -200.00, 0.00, 2.40, -200.00, -2.00, 2.00, 2.40, -200.00, 0.00, 4.00, 4.00, -200.00, -20.00, 538.80, 2.40, -200.00, 0.00, 540.80, 2.40, -200.00, -2.00, 542.80, 4.00, -200.00, -200.00, 552.80, -6.00, -200.00, -200.00, 560.80, -30.00, -200.00, -200.00, 570.80, -59.00, -200.00, -200.00


View current licenses and license ID

To view the licenses installed on your Agilent Series V2800 instrument, go to Menu > Utilities > Licenses > View to open the dialog that displays the current licenses and the instruments' License ID. The License ID is needed to add new licenses to the instrument or to transfer licenses from one instrument to another.

______

______

Note icon The license ID is usually too long to display the entire number in the text box. Do not use this displayed value when a license ID is required for purchasing or transferring licenses - always use the File... button or the Clipboard.

_
From the Desktop Control Panel:

  1. Make sure the V2820A is connected to your PC using a USB cable.
  2. Launch the Desktop Control Panel software.
  3. Go to Menu > Utilities > Licenses > View... to open the window shown above.
  4. The current list of measurement personality licenses is shown in the table.

From the instrument front panel interface:

  1. Select Menu > Utilities > Licenses > View.
  2. View the current list of personality licenses in the displayed table.
  3. View the license ID at the bottom of the dialog.
  4. Select File... to save the instrument license ID to a *.txt file.
  5. In the Save License ID window, navigate to a location that you can access from your computer.

    Note icon A USB memory device is convenient for this purpose.

  6. Name the file to save:
    • If you want to overwrite an existing file, select the file in the directory structure, then select Save.
    • If you want to save the file as new, select the keyboard button and enter the <filename.txt>, then select Enter > Save.

From the LXI Web interface:

  1. Connect the instrument to a Web network that includes a computer.
  2. On the computer, launch a Web browser and use the instrument IP address as the URL.
    • If you do not know the instrument IP address, you can find it from the front panel interface by selecting Menu > Utilities > Ethernet Settings.
    • If you need details on configuring the Ethernet settings, see System configuration for remote control.
  3. In the instrument Web page, click Licensing.
  4. The current list of measurement personality licenses is shown in the displayed table.
  5. Click Import. The modulation license ID is shown in the Instrument License Identifier row of the displayed table.

______


Copy or move an instrument file

This copy/move procedure is intended for the following file types:

  • Instrument setups
  • Lists descriptions
  • ORFS limits
  • Time mask limits

With the front panel interface:

  1. Open the directory that contains the file you want to copy (in Look In:, select the drive or folder that contains the file you want to copy).
    • For instrument setup files, choose Menu > File > Load Setup.
    • For channel power list description files, select General Purpose > Channel Power List > Load List.
    • For ORFS limits files, select EDGE or GSM > Settings > ORFS > Freqs/Limits: Edit > File.
    • For time mask limits files, select EDGE or GSM > Settings > Freqs/Limits: Edit > File.
  2. Highlight the file you want to copy or move.
  3. Select the file management operation:
    • To copy the file, select Copy.
    • To move the file, select Cut.
  4. In Look in:, select the directory or drive where you want to place the file.
  5. Select Paste.

With the remote programming interface:

You can also use the programming command :MMEM:DATA to copy a file to a directory in the instrument or a USB memory stick inserted in the instrument. To copy a file to one of the available directories, use the following paths in the programming message.

Instrument Directory | Directory Path in Programming Message
EDGE ORFS due to modulation limits User | \EDGE\User
EDGE ORFS due to switching limits User | \EDGE\User
EDGE Time mask limits | \EDGE\User
GSM ORFS due to modulation limits User | \GSM\User
GSM ORFS due to switching limits User | \GSM\User
GSM Time mask limits | \GSM\User
Channel power list User | \List\User
USB (connected first) | \USB
USB (connected second) | \USB2
USB (connected third) | \USB3
USB (connected fourth) | \USB4

Example:

The following command creates a file named "example1.txt" on a USB memory device that is inserted in the instrument.

MMEM:DATA "\USB\example1.txt", #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the contents of the file "example1.txt."


Rename a file or folder

  1. Open the directory that contains the file (folder) you want to rename (in Look In, select the drive or folder that contains the file (folder) you want to rename).
  2. Select (highlight) the file (folder) you want to rename.
  3. Select Rename.
  4. Type the new name and select Enter.


Delete a file or folder

With the front panel interface:

  1. Open the directory that contains the file (folder) you want to delete.
  2. In the Look In: box, select the drive or folder that contains the file (folder) you want to delete.
  3. Select (highlight) the file (folder) you want to delete.
  4. Select Delete.

_
See also:

  • :MMEMory:DELete
  • Upgrading firmware

Share a drive, files or folders

Share a drive, files or folders on the network:

You can make a connection between the instrument and any Microsoft® Windows computer drive to share or manage files across multiple memory storage devices. Once you establish a path to another drive through the instrument front panel interface, you can use that path through the remote programming interface or the front panel interface.

______

Note icon You can only establish a shared folder from the front panel interface, and if a password is required, you will need a USB keyboard attached to the instrument.

______

Note icon When the power is cycled on the instrument, the drive sharing path must be re-established.

______

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

After setting up the shared folder, all file dialogs will include the shared folder as a selection under Look In. If the shared path has multiple directories, only the last directory is displayed in Look In.

For example:

\\mycomputer\public shows as "public"

\\mycomputer\public\example shows as "example"

  1. Connect the instrument and Windows computer to a network.
  2. From a Windows computer, open Microsoft® Windows Explorer, and then locate the drive or folder you want to share.
  3. Click Start, point to All programs, point to Accessories, and then click Windows Explorer.
  4. Right-click the drive or folder, and then click Sharing and Security.
  5. Do one of the following:
    • If the Share this folder on the network check box is available, select it.
    • If the Share this folder on the network check box is not available, the computer is not on a network. Click the Network Setup Wizard link and follow the wizard instructions to switch on the file sharing.
  6. Select Menu > File > Shared Network Folders > Add Shared Folder.
  7. Connect a USB keyboard to the instrument.
  8. Enter the computer name (not IP address) of the computer and the directory path to the shared folder:
    • \\computer_name\shared_directory
  9. Type the password to the shared drive, if necessary.
    • If you do not choose "save credentials as default" you may be prompted for the user/password each time the device accesses the folder.
  10. Select the drive\directory path from the UNC Folder Name column.

If a DHCP server is on the LAN, you can choose to have a DHCP automatically assign an IP address.

  1. From the instrument screen, select Menu > Utilities > Ethernet Settings.
  2. Select the IP Address tab.
  3. Select Obtain an IP address via DHCP.
  4. Select the Apply button.
  5. This configures the signal generator as a DHCP client. In DHCP mode, the signal generator requests a new IP address from the DHCP server. The assigned address appears in the IP Address field.
  6. Select Close to close the dialog.


MIMO Application Guide

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ RF Communications Test Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ RF Communications Test Toolkit: Overview and usage for MIMO signal generation and analysis


Preface

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ RF Communications Test Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ RF Communications Test Toolkit: Overview and usage for MIMO signal generation and analysis


SISO to MIMO

Commercial radio technology has reached a turning point where the move is from single carrier technologies (single-input single-output, SISO) where one digital symbol is transmitted at a time, to a new paradigm, where potentially hundreds of symbols are transmitted simultaneously (multiple-input multiple-output, MIMO). The change has been driven by customer demand for more mobile services, and the decreasing cost of the digital signal processing technology required to deploy high-bandwidth broadband wireless systems. The technology can now be used in a variety of commercial communications devices. For example, phones, PDAs, and the laptops on which we have become so dependent.

The technology of choice for this broadband connection is based on a modulation scheme called orthogonal frequency division multiplexing (OFDM). OFDM has very good spectral efficiency and is quite tolerant of the ever-present interference in the bands where it is used. One of the key reasons for this is that it transmits hundreds of symbols simultaneously, yet at a low rate per symbol.

SISO: Single-Input Single-Output

The figure below shows a typical SISO radio with one transmitter and one receiver with information sent over a single data channel. This configuration is used in almost all radio products today. While there may be an extra antenna for spatial diversity (constantly switched for the best signal path), there is a single upconverter and a single downconverter, a single demodulator/modulator in the radio, and a single data stream in the higher levels of the product's communications stack.

MIMO to SISO 1

Multi-Path

Multi-path architecture adds complexity to the SISO transmission. The figure below shows a Bluetooth signal with a symbol rate of 1M symbols per second. That means that the receiver will expect a specific symbol within a period of one microsecond. If the multi-path architecture delays the signal by more than one microsecond, the receiver will receive the symbol in the next symbol period, causing a significant symbol error.

MIMO to SISO 2

If the difference in path length between direct and reflected paths exceeds 1 ms, the receiver will receive the symbol in the next symbol period.

MIMO: Multiple-Input Multiple-Output

MIMO is the most significant change to radio architecture in radio history. The principle is simple: If you have one transmitter, you can transmit some data from point A to point B; If you have four transmitters (or four carriers) the data is four times more likely to get to its destination, but the transmission would take up four times as much bandwidth. MIMO aligns those four independently modulated OFDM carriers on top of each other resulting in four separate transmissions, sharing a single frequency. It can carry up to 3.5 times as much information in the same bandwidth as a single carrier (see the figure below). The most complex part of this operation is getting the transmission back to four independent radio signals at the receiver. The principle is not new, but the cost of the technology has decreased such that it is now commercially viable.

MIMO 4times BW

By using somewhere between two and four carriers to transmit the data, and having two and four receivers, the likelihood of receiving everything is much better, so the spectral efficiency rises dramatically, although that efficiency comes with a higher level of complexity.

MIMO Spectral efficiency2

MIMO Radio Configuration

The figure below shows some typical MIMO configurations. A 2×2 system contains two transmitters and two receivers; A 4×4 system has four transmitters and four receivers. Many commercial WLAN devices today employ a 3×2 configuration of three transmitters and two receivers.

MIMO Radio Configuration

Multiple paths degrade the signal quality on SISO systems, but are necessary for MIMO systems. If there are two unknown transmitted signals and two measurements at the receivers, and the two measurements are sufficiently independent, it is possible to identify the transmitted symbols. For example, if a MIMO transmitter transmits two signals on the same frequency, each signal takes a slightly different path to the receiver and each signal's characteristics diverge from the originally transmitted signals (mainly due to multi-path distortion). Both receivers receive a mixture of both the original signals. As the two receivers are independent, you can use simultaneous equations on the two received signals and identify the transmitted symbols.

Spectral Efficiency: SISO Versus MIMO

MIMO allows the same bandwidth to be used multiple times, allowing a higher spectral efficiency. You can see that when you compare the efficiency of 802.11a/g wireless LAN signals without MIMO to the 802.11n wireless LAN signals with MIMO.

Hardware

To transmit multiple signals you must synchronize the phase and sampling alignment on multiple channels. This can easily be achieved by using two Series V2900 Vector Signal Generators (VSGs) with the < company> V2895A MIMO Synchronization Unit. Conversely, to independently receive MIMO signals, it is necessary to synchronize two Series V2800 Vector Signal Analyzers (VSAs). In such a test setup, all Series V2800s and Series V2900s are identical standard units. The system also provides the flexibility to use Series V2900 VSGs as standalone generators.

When configured as a system, all the analyzers share common local oscillator and clock signals. The master provides the LO, a 100 MHz digital clock and trigger synchronization to the MIMO Synchronization Unit. The latter unit distributes those signals to all the other units. Signal sampling should be aligned within ±1 ns.

The Agilent second generation MIMO systems are:

  • Precise and stable relative to carrier phase
    • Up to ±60 degrees fixed phase offset. This varies with the instrument configuration.
    • <1 degree peak-peak relative phase jitter
  • Precise and stable ARB alignment
    • Up to ±1 ns fixed time offset
    • <1 ns peak-peak jitter between the ARB waveforms
  • ~60 ns burst rise and fall times (10% to 90%)
  • <-90 dBc on-off power ratio between bursts

MIMO 2b2 Meas example

This figure shows three MIMO measurements on a two-channel system. The upper measurement is an error vector magnitude (EVM) measurement across the OFDM subcarriers on each channel (shown by the yellow and red plots). Underneath that you can see the channel frequency response over 60 subcarriers. Finally, you see the constellation of a channel.

These scope screen shots show that the modulation from all of the RF sources are closely synchronized.

The Long-Term Evolution of Wireless

The Long Term Evolution of wireless (LTE), also known as Ultra Mobile Broadband (UMB) for cellular devices (see the figure below), is the migration from 3G technology to 4G technology. Fourth generation technology of radios, cellular phones, cellular data devices, or cellular terminals will be based on OFDM technology and MIMO radio configurations. Right now the commercial application is wireless LAN, which has moved to 4G. When choosing test equipment for testing today's radio standards, it is important to consider the evolution of wireless technology and to ensure that your purchases are forward compatible.


Orthogonal Frequency Division Multiplexing

Orthogonal frequency division multiplexing (OFDM) is a form of digital modulation used in a wide array of communications systems. The following topic will explain what OFDM is, why it is important, where it is used, and what test instrumentation is required to maintain it.

  • OFDM is spectrally efficient, carrying more data per unit of bandwidth than such services as GSM and W-CDMA. The figure below shows a comparison of the spectral efficiency of the leading cellular technologies and how they compare to WLAN and WiMAX. Fourth Generation technology, often referred to as the Long Term Evolution of wireless (LTE) and Ultra Mobile Broadband (UMB) for cellular devices, plans to use OFDM or OFDMA.

MIMO Spectral efficiency

  • OFDM tolerates environments with high RF interference. Some services that use OFDM, such as WLAN, operate in the unregulated Industrial Scientific Medical (ISM) bands, where they must coexist with many unregulated devices, including analog cordless phones (900 MHz), microwave ovens (2.45 GHz), Bluetooth devices (2.45 GHz), digital cordless phones (2.45 GHz or 5.8 GHz) and Wireless LAN (2.45 GHz or 5.8 GHz).

Digital Modulation Overview

Most forms of digital transmission involve modulating a pair of summed sine waves that differ in phase by 90°. The modulation signal can be represented by the vector sum of the in-phase (I) and quadrature (Q) components, as shown in the figure below.

MIMO Dig Mod

There are many ways to encode digital information. If you change the phase relationships between the two sine waves, the result is called phase shift keying (PSK). A common type of PSK is quadrature phase shift keying (QPSK), which uses four phases; if eight phases are used, the result is 8PSK.

If you vary both the amplitude and phase of the two sine waves, the result is quadrature amplitude modulation (QAM).

The best way to analyze the resulting signals is with a vector signal analyzer (VSA), for example, the Series V2800, that processes all of its data as quadrature pairs in a constellation diagram. The figure below shows constellation diagrams for three types of modulations: QPSK, 8PSK, and 16QAM.

MIMO EVM Key measurement2

Modulation Quality Analysis

A good measurement of the quality of a received digital signal is error vector magnitude (EVM). This is the ratio of the received signal's amplitude and phase compared to its ideal amplitude and phase. Mathematically, EVM is determined by:

______

______

NOTE: Cellular technology specifications are usually stated in percent, while the Wireless LAN industry tends to specify EVM using decibels.

______

MIMO EVM Key measurement1

The OFDM Radio

Many conventional instruments lack the signal processing capability to perform MIMO measurements quickly. As shown in the figure below, Agilent' DSP enhanced architecture makes it possible to perform the analysis very quickly.

MIMO OFDM radio block diagram

This block diagram shows the digital circuit in the Series V2800 Vector Signal Analyzer and the Series V2900 Vector Signal Generator.

OFDM is simple in concept, even though its implementation is complex. Mathematically, it can be implemented by using an Inverse fast Fourier transform (IFFT) in the transmitter and conversely an FFT in the receiver. The figure below shows the parallel symbols being converted to the two modulated sine waves in the output, as if the IFFT is a specialized multiplexer.

MIMO Symbol to Waveform2

In order to keep things synchronized, an OFDM signal includes several subcarriers (see the figure below) designated as pilot carriers. The pilot carriers are used as reference for phase and amplitude for synchronizing the receiver as it demodulates the data in the other subcarriers.

MIMO Pilot carriers

Key Measurements: Constellation and EVM

The figure below shows the constellation of a WLAN signal conforming to the 802.11j standard. Note that even though the signal has been transmitted using many carriers, it is still essentially a QAM signal. There are also two extra symbols, representing the information modulated on the pilot carriers.

MIMO EVM Key measurement

OFDM is very pervasive, as shown in Table 1.

Table 1: Communication services using OFDM

Wireless | Wireline
IEEE 802.11a, g, n (WiFi) Wireless LANs | ADSL and VDSL broadband access via POTS copper wiring
IEEE 802.15.3a Ultra Wideband (UWB) Wireless PAN | MoCA (Multi-media over Coax Alliance) home networking
IEEE 802.16d, e (WiMAX), WiBro, and HiperMAN Wireless MANs | PLC (Power Line Communication)
IEEE 802.20 Mobile Broadband Wireless Access (MBWA)
DVB (Digital Video Broadcast) terrestrial TV systems: DVB-T, DVB-H, T-DMB, and ISDB-T
DAB (Digital Audio Broadcast) systems: EUREKA 147, Digital Radio Mondiale, HD Radio, T-DMB, and ISDB-TSB
Flash OFDM cellular systems
3GPP UMTS and 3GPP@ LTE (Long Term Evolution) and 4G

WLAN

WLAN is defined by the IEEE 802.11 standard, of which there are several variations, a through g, as shown in Table 2 below. Within a 16.25 MHz bandwidth are 52 carriers, numbered -26 to +26, spaced 312.5 kHz apart. Carriers 7 and 21 (-21, -7, +7 and +21) are the pilots. The packet structure is Preamble - Header - Data Block, and the subcarrier modulation types are BPSK, QPSK, 16-QAM, or 64-QAM.

MIMO Subcarrier spacing

Each carrier within the modulation scheme is referred to as a subcarrier. The subcarriers are spaced at regular intervals called the subcarrier frequency spacing (DF). The subcarrier frequency relative to the center frequency is kDF, where k is the subcarrier number.

Table 2: WLAN Summary

802.11

Description

a

54 Mbps OFDM, 5.9 GHz Band, 20 MHz channels

b

11 Mbps CCK, 2.4 GHz (Legacy, not OFDM)

g

54 Mbps, 2.4GHz

j

Japanese version of g that uses half the sample rate

n
  • Not finished yet, expected to finalize in November 2009
  • Like g, but up to 600 Mbps
  • OFDM
  • MIMO
  • 20 and 40 MHz channels

The original WLAN standard is 802.11b, which is not based on OFDM. "a" and "g" are basically the same: "a" works in the 5 GHz ISM band and "g" works in the 2.4 GHz ISM band. "j" is a slower symbol rate version of "g" for the Japanese market, and "n" is based on MIMO technology.

Several organizations are involved with WLAN: WiFi is an industry consortium that defines a required subset of 802.11 to ensure better operation between different vendors' equipment, while EWC is an industry consortium that took the unfinished "n" standard, agreed upon a version, and is attempting to field solutions prior to 802.11N ratification.

Test Equipment Requirements for WLAN

Test equipment for WLAN must have a frequency range up to 6 GHz and be able to modulate or demodulate OFDM signals with a bandwidth of up to 16.25 MHz for all types except for 802.11n, which has a maximum bandwidth of 40 MHz.

WiMAX

The Worldwide Interoperability for Microwave Access (WiMAX) is very similar in concept to 802.11, but the demands of multiple simultaneous users make the implementation much more complex.

There are two major variations of WiMAX: fixed and mobile. The mobile version, 802.16e-2005 (often called 802.16e), facilitates the link between mobile devices. It uses Scalable OFDM Multiple Access (SOFDMA), which interoperates with OFDMA but requires new equipment. 802.16e also adds MIMO.

The fixed version of WiMAX, 802.16-2004 (often called 802.16d), uses OFDMA and operates from 2 GHz to 11 GHz (there is no regulatory approval above 5.9 GHz); it delivers a practical data rate of 10 Mbps over 2 km.

The differences are summarized in Table 3.

Table 3: Fixed and mobile WiMAX

802.16 | Description
802.16-2004 (also know as 802.16d) | Fielded system for fixed-point access (to the home or office)
 | OFDMA (OFDM multiple access) 2–11 GHz (no regulatory approval above 5.9 GHz) Practical rate: 10 Mbps over 2 km
802.16e-2005 | The current version of the standard, upgraded to include mobile wireless
 | SOFDMA interoperates with OFDMA, but requires new equipment. It Adds MIMOs

Fixed WiMAX is similar in some respects to WLAN, that is, it has an OFDM physical layer. Mobile WiMAX is based on an OFDMA physical layer. It uses both frequency division multiplex and time division multiplex. Groups of subcarriers (see figure below) represent individual data streams. Each group of subcarriers also has a frame structure.

Time division characteristics are shown in the figure below. The frame structure equates to a packet. There is a timing gap between the uplink and downlink called the transition gap.

Mobile WiMAX is a dynamic system. The amount of data transferred is a function of the modulation type and symbol rate on each set of subcarriers. If the link quality is good, a high throughput modulation type such as QAM is used, and most of the bandwidth is consumed, thus limiting the number of users on the system. As a user moves further away from the base station, the signal quality decreases, and with it the ability to maintain a high throughput. A lower throughput modulation scheme such as QPSK would then be employed. This does not require a large group of subcarriers, so the system can support more users.

The figures below show the V2901A SignalMeister 802.16e WiMAX waveform generation and analysis features. You can see (Waveform Setup Example) a packet structure containing downlink and uplink data, DL and UL, each separated by a transition gap. The WiMAX analysis (Analysis Example) shows some of the measurements that can be made for a demodulated waveform.

NOTE: One software application (SignalMeister) includes both the signal generation and analysis, and allows you to easy add signal impairments.

MIMO WiMAX Waveform Setup Example
Waveform Setup Example

MIMO WiMAX Analysis Example
Analysis Example


Beam Forming

Beam Forming is a signal processing technique used in sensor arrays for directional signal transmission or reception. This spatial selectivity is achieved by using adaptive or fixed receive/transmit beam patterns. The improvement compared with an omni-directional reception and transmission is known as the receive and transmit gain (or loss).

One of the key benefits of the Series V2800 Vector Signal Analyzers and Series V2900 Vector Signal Generators is their ability to align RF energy to specific uses by adjusting the phase and amplitude of each coherent transmitter or receiver for beam forming. Beam forming research today is based around developing higher configurations of radios within devices to maximize the amount of services that can be delivered to a customer. Radio configurations of 8×8 and higher are leading the way in broadband radio research. Agilent offers the industry's only phase-coherent measurement- grade 8×8 system.

MIMO Beam forming


V2895A MIMO Synchronization Unit

The Agilent V2895A MIMO Synchronization Unit provides synchronized signals to MIMO system instruments. This gives the MIMO system a highly precise and stable alignment between up to four signal analyzers or signal generators. The V2895A is designed to be used with Agilents Series V2800 Vector Signal Analyzers (VSA) and Series V2900 Vector Signal Generators (VSG).

Key features and benefits

  • Synchronization unit creates a MIMO system using standard MIMO-ready Agilent VSAs or VSGs
  • Two, three, or four channel configurations
  • Very wide bandwidth
  • Does not degrade instrument EVM measurements
  • Ideal for 802.11 n WLAN and 802.16e WiMAX Wave 2
  • Same synchronization unit works with both sources (VSGs) and receivers (VSAs)
  • Powerful MIMO signal-analysis software package option

V2895A Specifications

To view the latest version of V2895 specifications, go to www.agilent.com/find/V2895A.

Setting up the V2895A

To set up the MIMO system:

1. Connect the system equipment, using the cable configuration shown in the figure below.

  • 100 MHz clock
  • LO signal
  • Sync In signal received from each instrument
  • Sync Out signal sent to each instrument

MIMO 2895 wiring diagram

One instrument acts as the leader (or master), and provides all of the instruments in a MIMO system with a local oscillator (LO) signal. This instrument is identified as the master LO instrument. The MIMO synchronization unit takes the LO signal from the master instrument and distributes it to all the instruments in the group (the slaves).

2. The MIMO system instruments can be powered up at the same time if desired, or individually.

NOTE: If you power up the instruments individually, power them up in the following order:

  1. V2895A Synchronization Unit(s); these units supply the clock signals for the other instruments
  2. All master instruments
  3. All slave instruments

3. On each VSG, set the following parameters:

  1. Select RF: On.
  2. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  3. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.
  4. For master and slave instruments, select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of Arb waveform > Close.

4. On each VSA, set the following parameters:

  1. Select Spectrum > General Purpose > Zero Span.
  2. Select Sweep Single.
  3. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  4. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.

To Load ARB Waveforms and Synchronize the VSGs

1. Starting with the master VSG, load the same arbitrary waveform file into each instrument's waveform playback table:

Choose Select Modulation > Arb > Add Arb > Add Arb File.

  1. Locate and load the *.arb file:
    • If the file is in the User directory, select the filename and then select Open > Load.
    • If you do not see the file that you want in the User directory, open the Look in: drop-down menu and select the directory where the file is located. Select the filename and then select Open.

2. On each VSG, clear Modulation On to turn off the modulation.

3. Select Modulation On to turn on the modulation for each of the slave VSGs.

4. Select Modulation On to turn on the modulation for the master VSG.

5. Select Menu > Global Settings > Trigger > Trigger Now on each slave VSG to create a trigger event.

6. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of ARB waveform > Close on the master VSG.

To Center the Burst Across the VSA Display

On the master VSA, select the following parameters:

  1. Select Menu > Global Settings > Trigger > Trigger Source > Video > Close.
  2. Clear the BW Auto check box, then double-click Bandwidth > Set to Max.

Adjust the master VSA to view a complete burst on the VSA display

  1. Select Sweep Time and adjust the value to see a burst on the VSA display.
  2. Visually measure the width of the burst on the screen by counting the number of vertical divisions across the displayed burst.
  3. Multiply the number of divisions you counted by the scale per division. Then, set the master VSA sweep time to the value calculated in the previous step.
  4. Select Menu > Global Settings > Trigger > Trigger Delay and adjust the delay value to view the entire burst on the display.
  5. Select Close.
  6. Select Sweep Single to take a measurement sweep and see if the entire burst is centered on the VSA display. If necessary, adjust the sweep time and trigger delay values.
  7. Set the slave VSA's trigger source, sweep time, and trigger delay settings to the same values that you used for the master in the previous steps.


5x5 to 8x8 MIMO Systems

Systems larger than 4x4 need more ports than one V2895A MIMO Synchronization Unit can supply. So, larger systems daisy-chain three synchronization units together. The wiring diagrams for these systems are also different as shown in the following diagrams. Two special length SMB cables are used for the center synchronization unit's Sync In and Sync Out connectors. These cables are identified in purple on the Sync & Trigger Signal Distribution diagram below.

8x8 MIMO System Components

mimo system componets

LO Distribution

100 MHz Clock Distribution

Sync and Trigger Signal Distribution

Full Connectivity Diagram

full connectivity diagram


MIMO System Manual Test Procedure

For testing purposes, there are three types of MIMO configurations:

  • Series V2900 VSG Only Systems
  • Series V2800 VSA Only Systems
  • Series V2900 VSG and Series V2800 VSA Systems

_____

NOTE: Since a defective cable, an incorrectly wired connection, or an incorrect setting could prevent a MIMO system from working, it is best to perform a manual system functionality check.

_____

Series V2900 VSG Only Systems

Use a oscilloscope to check the RF signals and signal alignment. For a basic functionality check, a 400 MHz or better oscilloscope is sufficient.

  1. Connect the VSG RF outputs to the oscilloscope inputs as shown.
  2. Turn on all of the oscilloscope channels that are being used.
  3. Perform the tests as follows. If any of the tests fail, refer to Troubleshooting Tips.

mimo source only test

VSG Only Systems Step 1

  1. Power cycle all instruments.
  2. Check that there are no error messages on the VSG displays.
  3. Press the RF On button on each VSG.
  4. Verify that every VSG is generating a signal.
  5. If any problems are found, go to Troubleshooting Tips for VSG Systems Step 1.

VSG Only Systems Step 2

On each unit create a distinctive waveform so that the signal alignment can be displayed.

  1. On the VSG select Modulation > Digital > ASK > Load.

    If ASK is not available you can use Analog > Pulse. You can also use ARB to load a waveform and then set the highest possible sample or pulse rate.

  2. Select Edit > Symbols/s > Press the Middle Puck Button to open the number pad > Set to Max > Load > Close.

All VSGs should be generating waveforms that are out of synchronization with each other. If not, go to Troubleshooting Tips for VSG Systems Step 2.

VSG Only Systems Step 3

Perform the following sequence on each VSG.

  1. Select Menu > Global Settings > MIMO.
  2. Set the master LO VSG to Master and the other VSGs to Slave and then select Close.
  3. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of arb waveform to setup the trigger state.
  4. Turn Modulation to off by clearing the checkbox and then select the checkbox to turn Modulation back On again.
  5. Once steps 1 through 4 have been done for each VSG, select Trigger Now on each unit.

All VSGs should start generating waveforms that are in synchronized with each other as shown on the oscilloscope. If not go to Troubleshooting Tips for VSG Systems Step 3.

Series V2800 VSA Only Systems

A VSG with an RF splitter can be used to create identical RF signals that are fed to each of the VSAs.

Note: A 1 x 4 splitter is shown in the diagram. If you only have a 1 x 2 splitter available, you can verify two units at one time.

  1. Connect the VSG RF Out to the RF Splitter In.
  2. Connect the RF Splitter outputs to the VSAs as shown.
  3. Perform the following tests.
  4. If any of the tests fail, refer to Troubleshooting Tips.

reciever only tests

VSA Only Systems Step 1

  1. Power cycle all VSAs
  2. Check that there are no error messages on the VSA displays.
  3. Set the source to generate a signal where the alignment can be easily measured. For example,
    1. Set RF On.
    2. Select Modulation > Digital > ASK > Load.
    3. Select Edit > Press the Middle Puck Button to open the numeric keypad > Symbols/s > Set to Max > Load > Close.
  4. Check that each VSA is receiving the VSG signal.
  5. If any problems are found go to Troubleshooting Tips for VSA Systems Step 1.

VSA Only Systems Step 2

  1. Select Spectrum > General Purpose > Zero Span. To set all of the VSAs to zero span.
  2. Enter a sweep time of 4 ms.
  3. Set the maximum bandwidth (40 MHz).
  4. Select Single Sweep.

All VSAs should see pulses in the ASK signal, however, the displayed waveforms probably will not be aligned. If a problem is encountered, go to Troubleshooting Tips for VSA Systems Step 2.

VSA Only Systems Step 3

On each unit:

  1. Select Menu > Global Settings > MIMO.
    • for the master LO VSA, select Master.
    • for all other VSAs select Slave.
  2. Select Close.
  3. Set all units to Sweep Cont.
  4. On the master VSA only, select Single Sweep.

Every time you press the master's Single Sweep button you should see the exact same waveform on all the VSAs. If the units freeze or are not synchronized, go to Troubleshooting Tips for VSA Systems Step 3.

VSA Only Systems Step 4

  1. Enable triggered measurements on all VSAs by selecting Trigger > Trigger Source > Video > Close.

    With all of the slave instruments set to Sweep Cont., every press of the master's Sweep Single button should cause all of the units to take a new triggered trace.

  2. Verify that all waveforms display the exact waveform with identical alignment. If not, go to Troubleshooting Tips for VSA Systems Step 4.

Series V2900 VSG and Series V2800 VSA Systems

A Combination VSG and VSA system use the VSAs to view the waveforms to verify if both sides of the MIMO system are properly aligned.

  1. Connect each VSG to one of the VSAs. The order does not matter.
  2. Go to Series V2900 VSG Only Systems test procedure to set up the VSGs
  3. Go to Series V2800 VSA Only Systems to setup the VSAs.

source and receiver test

After performing both the VSG only and VSA only setup procedure, all VSAs should display the exact waveform with identical alignment. If you experience problems, go to Troubleshooting Tips.


MIMO Troubleshooting Tips

  • Troubleshooting Tips for VSG Systems Step 1
  • Troubleshooting Tips for VSG Systems Step 2
  • Troubleshooting Tips for VSG Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 1
  • Troubleshooting Tips for VSA Systems Step 2
  • Troubleshooting Tips for VSA Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 4
  • Generating WiMAX MIMO Signals and Analyzing Them on a VSA
  • MIMO Debugging for Control Software
  • MIMO Signal Descriptions and Troubleshooting Tips

Troubleshooting Tips for VSG Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSG reports "Could not init RF Hardware".
  • The VSG's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The sync unit should be powered on before or at the same time as the instruments. The instruments need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the instruments are turned on the instruments will not start up correctly.
  • The VSG's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears at the VSA output when MIMO sync is not turned on.
  • The VSG LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSG LO Out is missing.
  • Make sure the master's VSG rear panel LO Out signal is properly connected to the 2895 LO In connector.
  • The V2895A is not turned on.
  • Check the power light.
  • The VSG LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.

Troubleshooting Tips for VSG Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSG RF output or modulation does not start up as expected when MIMO is enabled.
  • The Front Panel RF button must be On.
  • For modulation, the Modulation button must be On.
  • One of the VSGs is waiting for one of the other VSGs to be triggered.
  • Trigger all instruments. (That is, if Trigger Source is set to "SCPI or front Panel Trigger") select Trigger Now on each VSG then enable Trigger start of arb waveform.
  • One of the VSGs does not have MIMO Sync turned on.
  • Select Menu > Global Settings > MIMO. Set each instrument to either master or slave. Then turn RF modulation on and trigger all instruments.
  • One of the V2895As Sync Out lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync In connected to the V2895A Sync Out.
  • One of the V2895As Sync In lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync Out connected to the V2895A Sync In.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave units Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If it works, then add the slave units back in one by one. This can determine if one of these units or its cables is causing the problem.

Troubleshooting Tips for VSG Systems Step 3

Problem

Possible Causes

Possible Solutions

The VSG outputs are not synchronized.
  • The VSGs might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Select Menu > Global Settings > MIMO. Set each VSG to either master or slave as applicable.
  • Triggering might not be turned on.
  • Select Menu > Global Settings > Trigger > Trigger start of arb waveform. Trigger each VSG to start synchronize the outputs.

Troubleshooting Tips for VSA Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSA reports "Could not init RF Hardware".
  • The VSA's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The V2895A should be powered on before or at the same time as the other instruments. The VSAs need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the VSAs are turned on they will not start up correctly.
  • The VSA's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears on the VSA display.
  • The VSA LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSA LO Out is missing.
  • Make sure the master's VSA rear panel LO Out signal is properly connected to the V2895A LO In connector.
  • VSA LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

Troubleshooting Tips for VSA Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSAs hang up and do not sweep.
  • One of the V2895A Sync Out lines might not be properly aligned.
  • Make sure all of the V2895A "Sync Out" connectors are properly connected to each VSA EVEN SEC In connectors.
  • One of the V2895A Sync In lines might not be properly aligned.
  • Make sure all of the VSAs have the "Sync Out" connector properly connected to each V2895A "EVEN SEC In" connectors.
  • The VSA might be waiting for the master to trigger with either a video or external trigger.
  • Check if either external or video trigger is set on the master. If it is set to external trigger, verify that an external trigger is being provided. If it is set to video trigger, verify that the video trigger level is set properly, or if an input signal that would provide a trigger is being input.
  • One of the VSAs might not have MIMO Sync enabled.
  • Select Menu > Global Settings > MIMO. Set the VSA to either master or slave as applicable.
  • The VSA setup might not be correct.
  • Try switching the master VSA out of MIMO mode to see if it will operate and trigger on its own. When the setup is corrected go back into MIMO mode.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave unit's Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If this works, the slave units can be added back in one by one. This can be done to determine if one of these units or cables is causing the problem.

Troubleshooting Tips for VSA Systems Step 3

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • The instruments might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Turn on under Menu > Global Settings > MIMO. While all instruments are in "hold" (not sweeping), set to either master or slave as applicable.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.
  • One of the V2895A sync units "Sync Out" lines might not be properly connected.
  • Make sure all of the V2895A Sync Out connectors are properly connected to each receivers EVEN SEC IN connectors.
  • MIMO mode might have been enabled when the receivers were in different states.
  • Switching receivers in MIMO mode while some receivers are sweeping or in different instrument states may put the instrument out of synchronization with each other. To fix this, place all of the instruments in hold (Sweep Single). Next, place all of the receivers into the same instrument state, then switch all receivers into MIMO mode.

Troubleshooting Tips for VSA Systems Step 4

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.

MIMO Debugging for Control Software

Problem

Possible Causes

Possible Solutions

One or more instruments do not respond to remote commands.
  • Instrument address is incorrect
  • With multiple instruments it is easy to have one instrument address wrong. Use the instrument front panels to bring up the addresses and make sure they match the addresses entered into the control software.
  • Cables are not properly connected
  • Ensure that all communications cables are present, fully inserted, and latched or fastened.
  • Bad cable
  • Try swapping cables with an instrument that is able to communicate to see if the cable is defective.
  • Instruments do not respond
  • Cycle the power on all instruments.

MIMO decoding software cannot detect all of the MIMO channels.
  • The sources are transmitting a non-MIMO arb file.
  • A MIMO arb file contains channel information for each source/antenna, but that information is missing from a non-MIMO arb file.
  • Some sources have been loaded with the same MIMO arb file.
  • To emulate multiple MIMO transmit channels, or antennas, it is necessary to use unique arb files in each source. MIMO arb files contain channel information and each source must use an arb file that broadcasts different channel information.

MIMO Signal Descriptions and Troubleshooting Tips

Signal Descriptions

Troubleshooting Tips

The 100 MHz clock is used to run the instrument's internal hardware. This is provided so the clocks in every instrument in a MIMO group will run in synchronization.

Since this clock runs the instrument's internal hardware, if this signal is not connected to the instrument (or if the V2985A is turned off) the instrument will not run and display the error "Could Not Init RF Hardware".

The common LO Carrier signal is provided by the "master LO" instrument, and is distributed back to all instruments so every instrument's carrier phase is synchronized exactly and does not deviate or jitter.

If this signal is not correctly connected, an instrument will not generate a signal at its RF output port.

On the V2895A menu, a LO power indicator is displayed to detect when the LO power is missing.

Since the LO signal is common to all of the instruments, "slave" instruments must be set to the identical instrument configuration settings as the "master" instrument, or "slave" instruments will not use this LO signal correctly.

The V2895A's "Sync In" input signal informs the V2895A when an instrument is ready to proceed. The signal runs from an instrument's "Even Sec Out" port to one of the V2895A's "Sync In" ports.

If an instrument is not in MIMO mode, or if the instrument is not programmed correctly, then this "ready to proceed" signal might be in the wrong state, which could prevent the MIMO group from starting.

The V2985A's "Sync Out" signal tells the instruments when to start generating signals (for VSGs), or when to start or end measurements (for VSAs). It connects to the instrument's "Even Sec In" port.

An instrument might freeze and refuse to trigger in MIMO mode if this signal is not properly connected.


SignalMeister

The Agilent V2901A SignalMeister™ RF Communications Test Toolkit is a PC-based software tool that allows you to easily create and analyze complex signals used in advanced wireless transmission protocols.

SignalMeister™ software works seamlessly with Agilent's Series V2900 Vector Signal Generators, Series V2800 Vector Signal Analyzers, and MIMO test systems.

Using a waveform file created with SignalMeister software requires one or more Series V2900 VSGs equipped with an arbitrary waveform generator (ARB) option and a SignalMeister license option that matches the waveform signal standard of the file being used.

Analyzing the signals created by the waveform files requires a Series V2800 VSA equipped with the appropriate license options, or a SignalMeister Signal Analysis license. There are two SignalMeister signal analysis software licenses available: The WLAN Analysis license (V2901A-WLN) and the WiMAX Analysis License (V2901A-WMX).

SignalMeister supports these wireless transmission formats

WLAN | 802.11a/g/j/p 802.11b 802.11n MIMO 802.11n SISO
WiMAX® | 802.16e OFDMA
3GPP | W-CDMA HSDPA HSUPA HSPA+
3GPP2 | cdma2000® cdmaOne® 1xEV-DV
DVB | DVB-T DVB-H

Note: All Agilent Series V2900 vector signal generators require firmware revision 3.11 or later to be compatible with the Agilent V2901A SignalMeister™ RF Communications Test Toolkit.

Learn about SignalMeister™

  • Application Interface Overview
  • Managing Licenses
  • Basic SignalMeister Tasks
  • Signal Generation (for MIMO and SISO systems)
  • Signal Analysis (for MIMO and SISO systems)

_____

To learn more detail about using the SignalMeister™ software, refer to the SignalMeister™ help system.

_____


Application Interface Overview

When the Agilent V2901A SignalMeister™ RF Communications Test Toolkit is first launched, the user interface displays the default docking layout shown below:

SignalMeister application initial view

Each of the windows has a docking menu allowing each of the windows to be docked in a new location, hidden from view, or "floating" allowing them to be moved to any convenient location on the screen.

Window docking menu

_____

NOTE: To restore the default docking layout to the application interface, select View > Restore Docking Layout from the Menu Bar. You can also restore the layout for individual windows from the View menu.

_____

The illustration below identifies each of the areas of the user interface.

______

main window with callouts

You can also refer to the following topics to learn more about the SignalMeister™ user interface:

Menu bar

Toolbars

Toolbox

Projects

Status window

Pan and Zoom

Options

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______


Managing SignalMeister™ Licenses

Displays the licenses available on your SignalMeister™ RF Communications Test Toolkit. The SignalMeister permanent license key serial number is also displayed. If you are using an evaluation license key, the expiration date of the key is displayed. Contact your Agilent representative about adding other licenses.

Manage License dialog

See Also:

  • License Requirements
  • RF Product Software License Agreement


Licensing

Signal Generation Software Licenses

The Series V2900 Vector Signal Generators can play back waveforms that are generated from the SignalMeister™ RF Communications Test Toolkit when the correct licenses are installed. To play back a SignalMeister™ software-generated waveform with a specific channel added and "Enabled" in the SignalMeister™ signal definition dialog box, you will need to have both the correct type of waveform playback license and a valid arbitrary waveform generator license loaded on your Series V2900 VSG.

To view the current instrument option licenses on the Agilent Series V2800 VSA and the Series V2900 VSG, select Menu > Utilities > Licensing from the front panel of the instrument.

To view the current SignalMeister licenses select File > Manage Licenses from the SignalMeister main menu.

See the tables below for available licensing options.

WLAN Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-205 | 802.11a/b/g/j Signal Generation | 802.11a, b, g, j | V2920A-B20 *
V2900A-206 | 802.11N Signal Generation (MIMO and SISO) | 802.11n | V2920A-B40 * V2900A-205
V2900A-207 | 802.11N Channel Modules A through F | WLAN | V2920A-B40 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A-B80.

______

WiMAX® Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-208 | 802.16E Signal Generation | 802.16e-2005 | V2920A-B40 *
V2900A-209 | 802.16E Channel Model Signal Generation | 802.16e-2005 |
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B40 may use V2920A-B80.

______

3GPP Licensing

License Model Number

License Identifier

Waveform Types

Additional Licenses Required

V2900A-202

WCDMA Signal Generation

WCDMA

V2920A-B20 *

V2900A-204

3GPP Channel Model Signal Generation

V2900A-203 **

HSPA Plus Signal Generation (uplink and downlink)

HSDPA
HSDPCCH
HSDPAFRC
HSUPA
HSUPAFRC
EHICH
ERGCH
EAGCH

V2920A-B20 *
V2900A-202
V2900A-105

* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A_B80.

** If you have the previous HSPA licenses, 2900-HSDPA-PC and 2900-HSUPA-PC, either one of these will enable the same functionality as V2900A-203.

______

3GPP2 Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-201 | CDMA Signal Generation | cdmaOne cdma2000 1xEV-DV | V2920A-B20 * V2900A-104
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2900A_B80.

______

Multi-Purpose Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-213 | DVB Signal Generation | DVB-H DVB-T | V2920A-B20 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2900A-B20 may use V2900A-B40 or V2920A_B80.

______

Signal Analysis Software Licenses

The V2901A SignalMeister RF Communications Test Toolkit software can be used to perform signal analysis functions when the correct licenses are installed in SignalMeister. The signal analysis licenses reside in the V2901A SignalMeister USB license key.

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2901A-WLN | WLAN Analysis | 802.11a,b,g,j,n-SISO 802.11n-MIMO | none
V2901A-WMX | WiMax Analysis | 802.16e-2005 | none

______

For more information about purchasing SignalMeister licenses, please visit the SignalMeister support page at www.agilent.com/find/V2901A.


Basic SignalMeister Tasks

  • Working with Elements
    • Connecting Elements
    • Renaming Elements
    • Creating an Element Shortcut
    • Using the Frequency Shift Element
  • Managing Project Files
  • Renaming Project Worksheets
  • Creating Project Templates
  • Printing a Worksheet
  • Generating ARB Files
  • Importing ARB and IQ File (user-provided files)
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Communicating with Signal Generators and Signal Analyzers
    • USB memory device
    • Using the LXI Web Interface
  • Working with analysis elements
    • Printing/copying/saving analysis displays
    • Setting up analysis windows


Working with Elements

NOTE: The elements provided in the Toolbox groups are samples that you can use as they are, or you can customize them for your particular testing needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

______

The elements in the SignalMeister™ toolbox are the building blocks used to:

  • Define and process an arbitrary waveform file in one of the several available signal formats
  • create a waveform file based on your configuration;
  • download that waveform file to a signal generator to be played back and analyzed.

Each element, or icon, represents a specific function, or portion, of the waveform creation and playback process, and has a configuration dialog associated with it that allows you to set the parameters for that particular element, based on what the element represents. For example, the FFT size, bandwidth, guard interval, and so on, in a WiMAX® waveform can be configured for your specific waveform design, renamed to easily identify that particular configuration, and then saved to be used again to create other ARB files using a WiMAX element from the Toolbox.

To access the configuration dialog of any element, either double-click the element icon or right-click the element icon then select Edit Element Configuration... from the pop-up menu (below).

Element Configuration menu

Edit Element Configuration...

Opens the configuration dialog window of the selected element.

Save Element as User Template...

Opens a [image] dialog window that allows you to save the selected element as a user template. The dialog window provides you the opportunity to specify a template name and location for the saved element. The template is displayed in the My Templates toolbox with the icon of the selected element.

Save element as template dialog

NOTE: If the user template is stored in any location other than C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates, it will function as a template, but will not be shown in the My Templates toolbox.

Rename Element...

Opens the [image] Rename dialog that allows you to change the name of the selected element.

Rename Element dialog

Cut

Removes the selected element from the worksheet and places it on the system clipboard.

Copy

Places a copy of the selected element on the system clipboard.

Delete

Deletes the selected element.

Run Conflict Analyzer

Runs the conflict analyzer only on the selected element, not the entire worksheet. This is particularly valuable when checking for channel and code conflicts.

_____
See also:

  • Connecting Elements
  • Renaming Elements
  • Creating an Element Shortcut
  • Using the Frequency Shift Element
  • Basic SignalMeister Tasks
  • Working with Analysis Elements


Connecting Elements

Select the Connect Elements icon Connect Element icon in the tool bar to begin the sequence of connecting one or more elements together in your project. When Connect Elements is active Active Connect Elements Icon, begin by selecting the sink element, then select the source element to connect the two items. You can drag and drop multiple elements onto your worksheet, then connect them all as one step.

For example, to connect a WiMAX® signal element, an ARB File element and a 2900 VSG element together you would:

  1. Drag and drop the elements from the Toolbox to the Projects worksheet.
    ______
    Connecting Elements Step 1
    ______
  2. Select the Connect Elements button to make it active.
    ______
    Connecting Elements Step 2
    ______
  3. Click the WiMAX® element.
  4. Click the ARB file element (these are now connected).
    ______
    Connecting Elements Step 3 and 4
    ______
  5. Click the ARB file element again.
  6. Click the signal generator element (all three elements are now connected).
    ______
    Connecting Elements Step 5 and 6

_____
See also:

  • Working with Elements
  • Basic SignalMeister Techniques


Renaming Elements

NOTE: The elements provided in the toolboxes are samples that you can use as they are, or customize for your particular needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

___
Select Rename Element to assign a unique, easy to remember name for your element. This is particularly useful after you have customized the settings for any element, and want to save those changes for future use.

Rename Element dialog


Creating an Element Shortcut
  1. In the Worksheet, click on a element or a group of elements to highlight.
  2. Right-click on the element and select Copy from the shortcut menu.
  3. From the main menu, click Worksheets > Paste as Shortcut.

    Notice that the new element or group of elements has a yellow border identifying it as a shortcut.

See also:

  • Working with Elements
  • Worksheets Menu
  • Basic SignalMeister Tasks


Using the Frequency Shift Element

SignalMeister™ generates signals at the baseband frequency. When they are played back on the Series V2900 Vector Signal Generator (VSG), their frequency spectrum is centered on the carrier frequency of the VSG.

Ideally, to generate interferer or jamming signals, you would use multiple VSG instruments. However, if you have only a single VSG you can generate a single ARB file with both a desired signal and an interferer, with some limitations. The jamming signal can only be a maximum of half the ARB generation bandwidth away from the carrier frequency. Additionally, you will run into resolution issues of the DAC, impairing the signal quality.

Example Project

The following example uses an 802.11 WLAN signal in the presence of an identical 802.11 WLAN signal on an adjacent channel 50 MHz away.

Start with an 802.11a,g signal object that is shifting by 20 MHz. This signal must be unsampled, because at the default 50 Msample/s rate used for two 802.11 signals, you are limited to a 40 MHz bandwidth. Shifting a 20 MHz wide 802.11 waveform by 20 MHz would not be possible, because you would be bandwidth limited (20 MHz offset + 20 MHz BW/2 = 50 MHz). Unsampling to 100 Msamples/s allows you to generate waveforms with bandwidth up to 80 MHz total. (That is, 40 MHz offset from each side of the carrier.

Next, the interferer is generated. A frequency shift element with a 20 MHz value is inserted. The output of the resampler is connected to both the frequency shift element and to the channel model element. The channel model element allows you to combine both the frequency-shifted and original 802.11 a,g signals into a single ARB file.

Step 1

Build the project using an 802.11a,g 54Mbps signal with the other elements as shown below.

sm frequency shift config

Step 2

Use the Channel Model Configuration to combine main signal with the frequency shift module (3 dB down).

sm channel model config

Step 3

Add a VSA Simulator and General Purpose Analysis elements to the project as shown below.

Step 4

Use the General Purpose Analysis element to view the results.

Frequency shift general purpose analysis screen capture


Managing Project Files

SignalMeister™ uses various file types when creating and executing projects. For example:

  • Project files (*.ksmp)
  • Component files, such as ARB files, map files, IQ files, bit reference files, and other data files. These can be a combination of files generated or referenced relative to the project directory, or referenced from an external source (for example, residing on another part of the hard drive, on a network drive, etc.).

_____

IMPORTANT: If you intend to share or move your SignalMeister™ projects (for example, email or move them to another computer), be sure to keep all the files located in the same directory as the project (*.ksmp) file, or a subdirectory of the project.

Regardless of how a project is saved or the component files are specified, if all the files are in the same directory as the project, or in a subdirectory of the project, then you can copy that directory (and subdirectory) to any other location and successfully open and use the project from the new location, including a different computer.

However, if a SignalMeister™ project uses any component file (ARB file, map file, etc.) that is specified in a location other than the project's directory (or subdirectory), then that file must exist in that exact absolute path for that project to be opened and used successfully.

For example, if you save a project in C:\MyProject and it specifies that the component files also reside in C:\MyProject\components, you can compress/zip the entire MyProject directory and move/send it to another computer, where it can be uncompressed/unzipped and used in any location.

Conversely, if you save a project in C:\MyProject and it specifies a user file in your computer's My Documents directory (for example, c:\documents and settings\johndoe\My Documents\) and you send all the files to another computer, the project will report a conflict because the specified user file cannot be found (c:\documents and settings\johndoe\My Documents\ does not exist on the other computer).


Renaming Project Worksheets

There are three ways available to rename the project worksheets; from the Worksheets menu in the menu bar, double-click the worksheet tab to highlight the worksheet name and type in the new name, or right-click the worksheet tab and select Rename Worksheet from the drop-down menu. The following steps explain how to rename a worksheet from the menu bar.

  1. From the main menu, select Worksheets > Rename Worksheets.
  2. In the Rename dialog box, enter a new name for the current worksheet.
  3. Select OK.

_____
See also:

  • Printing a Worksheet
  • Renaming Elements
  • Basic SignalMeister Tasks


Creating Project Templates

Any portion of a SignalMeister project can be saved as a user template allowing easy reuse of project elements. For example, after you have entered the communication addresses for the signal generator and signal analyzer, you could save this to reuse in future projects.

As you configure different test setups, you can save any element, group of elements or complete project as a template. When you first open the SignalMeister software, the My Templates category is not immediately available in the Toolbox, and there are no templates available for use. As soon as you save either a project or an element as a template, the My Templates category is displayed with the saved template available to use in your project.

There are two types of templates for use in SignalMeister; a project template (*.ksmp), and an element template (*ksmt):

  • A project template is made up of two or more individual elements, and is identified by a green, template icon, as shown in the figure below.
  • An element template is a single element that has been configured for your specific needs, and has been saved with that configuration. It is identified by the element icon from which it was created, as shown in the figure below.

    NOTE: Only single elements can be saved as an element template. If you want to save more than one element as a template, it must be saved as a project template with the project (*.ksmp) file extension.

Saving a template

  1. To save an existing project as a template, right-click anywhere in the Projects worksheet and select Save Project as Template… from the context menu.

    Alternately, from the main menu select Projects > Save Project as Template....

  2. To save an existing element (configured for future use), right-click on the element and select Save Element as User Template… from the context menu.

    Alternately, from the main menu select Elements > Save element as User Template....

  3. After the template is saved, SignalMeister automatically creates a "My Templates" group in the Toolbox and places the template in it. In the Toolbox select My Templates to view the new user-saved project template or element template.

Adding a template to a project

User template elements can be added to projects like any other elements. Once the user template is placed in a project, it will expand into all of the individual elements included in the template. To demonstrate this feature:

  1. From the main menu, select Worksheets > Add Worksheet to add a new worksheet into the existing project.
  2. Right-click on the Sheet 2 tab and select Rename Worksheet. You rename the worksheet for easy identification of the signal types and ARB file configurations.
  3. In the Toolbox, select the template element from the My Templates folder and click and drag it across to the new worksheet.

    Notice how the project element expands back into the three individual elements that were saved as the project template.

Deleting a template

To delete a user template, perform the following steps:

  1. From the main menu bar, select Elements > Delete User Templates.
  2. From the submenu, select the name of the user template you want to delete.
  3. As soon as you click the name of the template you want to delete, it will be removed from the My Template category.

_____
See also:

  • Basic SignalMeister Techniques


Printing a Worksheet

  1. From the main menu, select File > Print Worksheet... .
  2. From the Print dialog box, select the printer name and specify the Properties if needed.
  3. Select OK.

Tip: You can add descriptive text to a worksheet prior to printing.

  1. From the main menu, select Elements > Add Text Block.
  2. An editable text box appears in the center of the worksheet.
  3. Double-click inside the text box to open the Text Block Editor.
  4. Enter the desired text and then select OK.
  5. In the Worksheet, click and drag the text box to the desired location.

_____
See also:

  • Basic SignalMeister Tasks


Generating ARB Files

The basic process for creating ARB waveforms is described below.

  1. Drag and drop a signal generation element from the Toolbox onto the Projects worksheet. Choose from one of the available technologies, such as WLAN, WiMAX, 3GPP, 3GPP2, Digital Video, and so on.

    For this example, the WLAN 802.11a,g 54 Mbps element is used.
    ______

    ______

  2. Double-click the element or right-click on the element and select Edit Element Configuration… from the context menu to set the waveform parameters. The 802.11a,g,j,p Configuration dialog is displayed.
    ______

    ARB generation step 2
    ______

  3. From the Files section of the Toolbox, click and drag a ARB File element onto the worksheet.
    ______

    ARB file step 3
    ______

  4. Use the Connect Elements icon Connect Element icon (shown in the tool bar as a line with arrow heads on both ends) to connect the output of the waveform element to the input of the ARB file element. To do this, first click the source element then click the sink element to automatically connect them. In this step the source element is the WLAN element, and the sink element is the ARB File.
    ______

    ARB file genertion step 4

    ______

  5. Double-click the ARB File element to open the ARB File Configuration dialog and enter the ARB file name and storage location on the PC.
    ______

    ARB file generation step 5
    ______

  6. From the main menu, select Project > Build All to build the ARB file. When the build is complete, the Status area displays a results message, and the elements on the worksheet change color depending upon the status. In this case, the background color changes to green, indicating that the element configured without any errors or warnings. Yellow indicates that the element ran with warnings; Red indicates that the element had errors and the build was halted.
    ______

    ARB file generation step 6
    ______

    At this point, the ARB file is generated and can be loaded into the Series V2900 vector signal generator (VSG). The file can be manually moved using a USB memory device or you can use SignalMeister™ to copy the ARB file to the signal generator.

  7. To save the project select File > Save Project As. You can reload saved projects into SignalMeister™ at a later time.

_____
See also:

  • Importing ARB and IQ Files
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Managing Project Files
  • Communicating with Signal Generators and Signal Analyzers
  • USB memory device
  • Using the LXI Web Interface
  • Basic SignalMeister Techniques


Importing ARB and IQ Files (User-provided files)

SignalMeister™ can import a double- or single-precision IQ file and convert it into an ARB file for use with the Agilent Series V2900 Vector Signal Generators, as well as importing ARB files that were previously created and saved. The following instructions show how to import an IQ file, convert it to an ARB file that is saved to a file for future use, then import that ARB file into a project.

______

IMPORTANT: To play the ARB files created in this process, you must have a V2920A-Bxx ARB file playback license, either V2920A B20, V2920A B40 or V2920A B80, based on the sample rate. Less than 50 Msps requires a 20 MHz license, 50 Msps to 99 Msps requires a 40 MHz license and 100 Msps or greater requires an 80 MHz license. See Managing Licenses for more information on obtaining and installing licenses.

______

  1. Drag and drop the elements shown in the diagram below onto a project worksheet and connect them as shown. See Connecting Elements.

    IQ Import Example
  2. Double-click the DP IQ Import element to open the dialog, then enter the information about the file you want to import. See IQ Importer for information about the File Name, Sample Rate, Data Type and so on.

    IQ Data Importer Dialog
  3. Right-click on the first instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  4. Right-click on the first instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  5. When the build is finished, the IQ Import and ARB File elements become green in color, indicating the .bin file has been converted into an .arb file without errors.

    ARB File Import Step 5
  6. Double-click the ARB File Importer to open the dialog, then enter the Arb File Name and location of the ARB file you saved in Step 3.

    ARB File Importer Dialog
  7. Right-click on the second instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  8. Right-click on the second instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  9. When the build is finished, the ARB File Importer and ARB File elements become green in color, indicating the .arb file was imported without errors.

    ARB File Importer
  10. The ARB file is now ready to use in other projects.

See also:

  • Managing Project Files
  • Managing SignalMeister™ Licenses
  • Generating ARB Files
  • Downloading ARB files to a Series V2900 VSG


Downloading ARB files to a Series V2900 VSG

The Agilent V2901A SignalMeister™ RF Communications Test Toolkit allows you to create arbitrary waveform files (ARB) for Agilent Series V2900 signal generators and play them on Series V2900 vector signal generators.

  1. To copy the arb file automatically, add a signal generator element to your project by dragging and dropping a signal generator element from the Toolbox to the Project worksheet.
  2. Enter the LAN or GPIB address for the instrument. To open the configuration dialog window, use either of the two methods below:
    1. Right-click the signal generator element and select Edit Element Configuration from the context menu.
    2. Double-click the selected signal generator element.
  3. Select the VISA Resource tab, and then select the Configure button. If you are using a LAN connection, select the LAN/TCPIP tab. If you are using a GPIB connection, select the GPIB tab.
  4. Enter the TCP/IP address of the signal generator. The LAN/GPIB addresses for the Series V2900 Vector Signal Generators are viewed or set from the Utilities menu of the signal generator. From the front panel of the signal generator select Menu > Utilities > Ethernet Settings... to view the IP address.
  5. After the IP address has been configured, connect the Signal Generator element by selecting the Connect Element icon in the toolbar, then select the arb file and the signal generator on the worksheet.
  6. The arb file can now be downloaded and played by the signal generator using one of the methods shown below.
    1. Select Project > Load All from the main menu
    2. Select the Load All button from the Project toolbar
    3. Right-click the signal generator element and then select Load Arb File from the context menu. This method allows you to update only one arb file if you have several configured in a large project.

See also:

  • Generating ARB Files
  • Importing ARB and IQ Files (User-provided files)


Adding Modifications and Impairments to ARB Files

Modifications and impairments can be added to any type of ARB file by sending the output or the waveform generation element to an operation element before sending it to the ARB file element. Multiple modifications can be added to the same signal. Modification and impairment elements are contained in the Operations section of the toolbox. The available waveform operations include:

  • AWGN
  • IQ gain imbalance
  • IQ offset
  • Invert Q signal
  • Resample to a different sample rate
  • Apply a channel matrix to a MIMO signal

As an example, an AWGN will be added to the signal in the existing WLAN project.

  1. From the Toolbox, select the Operations tab and click and drag the AWGN element to the project.
    ______

    ARB modifications1
    ______

  2. Use the Connect Elements icon to connect the 802.11 signal element to the AWGN element.
  3. Double-click on the AWGN element to set the noise level.
    ______

    AWGN configuration
    ______

    At this point, there are two options.

    • First you can disconnect the output of the 802.11 signal generation element from the ARB file element and connect the output of the AWGN element to the ARB file input.
    • Or, you can create a second ARB file for the impaired waveform. The ARB file and signal generator elements can be added to the project from the toolbox, as shown earlier, or you can select the existing ARB file and signal generator elements in the project and copy them.
  4. To do this, on the worksheet click and drag a rectangle over the ARB file and signal generator elements to select.
  5. From the main menu, select Elements > Copy then Worksheet > Paste as New.
    ______

    modifications and impair 3
    ______

  6. Use the Connect Elements icon to connect the output of the AWGN element to the new ARB file as shown in the figure above.
  7. Double click on the new Agilent ARB File element to open the ARB File Configuration dialog, and then enter a file name.
    ______

    mod and impairments 4
    ______

  8. Double-click on the signal generator element and configure the communications settings for the signal generator communications type used.
  9. The project now illustrates the two methods for generating and downloading the ARB files. If you select Project > Force Load All, both files will be generated and loaded. If you right click on the new source element and select Load ARB File, only this file will be downloaded.


Communicating with Signal Generators and Signal Analyzers

  1. To Copy an ARB file automatically, add a signal generator to the project. Note this topic continues with the 802.11a,g 54Mbps setup described in the previous topic, Generating ARB Files.
    ______

    Adding a VSG
    ______

  2. Either double-click on the signal generator element, or right-click and select Edit Element Configuration, to open a dialog window where you enter the LAN or GPIB address, configure the Arb file, or start the LXI Web Interface for that signal generator.
    _____

    communicte with vsg step2
    ______

  3. Select the VISA Resource tab, then click Configure.
    ______

    Communicating with VSG

    ______

  4. Select either the LAN/TCPIP or GPIB tab as applicable, then configure your interface setup. Click OK when you have finished.

    The GPIB and LAN addresses for the Series V2900 Vector Signal Generator or the Series V2800 Vector Signal Analyzer are obtained from the Utilities menu of the instrument to which you want to connect. The following screen capture shows the LAN setup screen for the instrument.You would use the IP address shown in this field. The instruments allow static and dynamically allocated LAN addresses.
    ______

    communicate with vsg step 4

    ______

  5. Now that the communications address is configured, use the Connect Elements icon to connect the Signal Generator element to the output of the ARB file.
    ______

    communication with vsg step 5
    ______

    The ARB file can now be downloaded and played by the VSG using two different methods:

    • From the main menu, select Project > Reload All. This will regenerate the ARB files and then load them to the VSG.
    • Right-click on the Signal Generator element and select Load ARB File from the context sensitive menu.

    For this simple project, there is no difference between these methods. However, SignalMeister allows the creation of a large project that can produce multiple ARB files. For these projects, the second method allows you to update one file without regenerating all of the files in the project.

  6. When you select either method a dialog will be presented asking you to load or overwrite the existing files. Select OK to these dialogs to load the new file. The Signal Generator element will also turn color after the above process. A green background indicates that the operation completed successfully.

_____
See also:

  • Basic SignalMeister Tasks

USB memory device

Use the following steps to copy an ARB waveform file from your PC to a Series V2900 Vector Signal Generator:

  1. Insert a USB memory device into a USB port on your computer.
  2. Copy the generated waveform file (*.arb) to the memory device from the storage location of your PC.
  3. Remove the USB memory device from the computer and insert it into the Series V2900 VSG front panel USB port.
  4. From the Series V2900 VSG front panel, choose Select Modulation > Arb > Add Arb > Add Arb File.
  5. In the Open Arb dialog box, select the Look in: drop-down arrow and select USB.
  6. Select the *.arb file from the scroll list and select Open. The file is now loaded in the arbitrary waveform playback table.
  7. Select the row of the playback table containing the file that you just downloaded, then select Load Row#.
  8. Select RF: On to switch on the RF output.

For more information on signal control and playback, refer to the Series V2900 VSG help topics. See Arbitrary waveforms > Arbitrary waveform procedures for detailed information.


Using the LXI Web Interface

SignalMeister also allows a convenient method to access the LXI Web Interface for Agilent RF instruments. To access the LXI interface, double-click the signal generator or signal analyzer source element (refer to Communicating with Signal Generators and Signal Analyzers), select the LXI Web Interface tab and then click the Start LXI Web Interface button.

LXI interface step 1

The Agilent Series LXI interface has two very useful operations in this mode. First you can select a live display of the instrument. The following figure shows the vector signal analyzer welcome screen .

LXI web interface step 2
_____

TIP: The LXI interface screen capture can also be useful to copy the vector signal generator or vector signal analyzer display for report and data sheet generation.


Working with Analysis Elements

Following are common facets of working with the analysis elements:

  • Printing/copying/saving analysis displays
  • Setting up analysis windows

___
See Also:

  • Basic SignalMeister™ tasks
  • Signal analysis overview


Print/Copy/Save Analysis Displays

Analysis Window Print/Copy/Save Displays menu

This menu is specific to the analysis elements (Displays > Print/Copy/Save Displays), and provides access to the Print/Copy/Save commands for each of the active displays.

As displays are made active or are disabled, such as the parameters table, burst data table, and graph or strip chart displays, the list of Current Displays is updated as each is added or removed. Use the check-box(es) to select the items you wish to Print/Copy/Save.

_____
See Also:

  • Working with Analysis Elements
  • Basic SignalMeister Tasks

Copy Each To Clipboard

Copy each of the selected displays to the clipboard.

______

NOTE: When the contents of the Parameters Table is copied to the clipboard, it can be pasted as tab delimited text into applications such as Notepad®, or it can be pasted as comma separated values (CSV) into applications such as Excel®.

Print

Choose this to print the selected displays.

Print Preview

Select this to preview the current print job.

Save to PDF

Select this to save the selected displays to a PDF file.

Monochrome

Select this check-box to have each selected display shown in monochrome (black and white). De-select this check-box to show the displays in color.


Setting Up Analysis Windows

From the Analysis Window, individual windows can be selected from both the Displays Menu and the Settings Menu. Once selected, the positioning and some properties of the window can be set up using the View Menu.

_____
See also:

  • Working with Analysis Elements
  • Basic SignalMeister Techniques

Set Up Windows

To set up a window in Analysis Window element, do the following:

  1. Launch the Analysis Window.
  2. Select either Displays Menu or Settings Menu.
  3. Select a window from the menu.

    Example: Displays > Graphs > Constellation, or Settings > Instrument Control

    NOTE: The selected window opens in accordance to the settings in the View Menu with regard to position and size.

Arranging Windows

Docked Windows

If the windows are docked, there are several methods of arranging them.

Docking Windows

To dock a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Dock to.
  3. Select either Left, Right, Top, or Bottom as the edge of the graph to dock to.

In this example the left edge of the window was selected to dock to.

Un-Docking Windows

To Un-Dock a window:

  1. Right-Click the graphical area of the display below the title bar.
  2. Clear the Docking selection.
  3. The window is now free to be moved by dragging.

Hiding Windows

To Hide a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Hide.
  3. The window now disappears from view.


Signal Generation

The input parameter requirements for different communication standards vary significantly. As such, the displays for inputting this data in SignalMeister also vary significantly. The SignalMeister waveform parameter input screens are formatted in a manner that allows data entry consistent with the format and terminology of the standards.

  • Waveform generation process overview
  • WiMAX
  • WLAN
  • 8 x MIMO Signal Generation - IQ Files
  • 3GPP and 3GPP2


WiMAX

The 802.16e WiMAX® standard allows for a very high degree of flexibility. The SignalMeister™ parameter window for WiMAX® also allows this level of flexibility. There are three major sections of the WiMAX setup:

  • Common Parameters - specifies the input parameters such as FFT size, number of symbols, length of frame, It also allows you to create the uplink or downlink signal.
  • DL subframe - Specifies the zone and burst parameters for the downlink subframe.
  • UL subframe - Specifies the zone and burst parameters for the uplink subframe.

Because of the complexity of the WiMAX® map configuration, SignalMeister™ can save the map configuration into a file that can be loaded into the signal analyzer. The WiMAX® Map file element is located in the Files folder of the toolbox. The output of the Map File element can be connected to a signal analyzer element and is loaded into the VSA WiMAX measurement when the project is run. The following examples show this setup.

Generating a WiMAX SISO Signal

Put Elements in the Project View

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop DL 10 MHz, 1024 FFT into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop a 2900 VSG element into the Projects view.
  7. In the Toolbox, select the Signal Analyzers folder to display the list of signal analyzer elements.
  8. Drag and drop a 2800 VSA element into the Projects view.

Connect the Elements and Run the Project

  1. Use the Connect Elements icon to connect the output of the DL 10 MHZ, 1024 FFT element to the ARB File input.
  2. Connect the output of the ARB File element to the input of the 2900 VSG element.
  3. Connect the output of the DL 10 MHZ, 1024 FFT element to the input of the WiMAX Map File element.
  4. Connect the output of the WiMAX Map File element to the input of the 2800 VSA element.
  5. From the main menu, select File > Save Project As... and save the project.
    ______

Verify the Signals On the VSA

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.

Generating WiMAX MIMO Signals

WiMAX MIMO, also known as Wave 2, supports space-time coding (STC) and spatial multiplexing (SM) in WiMAX signals. STC uses Alamouti scheme (Matrix A) to provide transmit diversity as shown in Figure 1. Spatial multiplexing is also referred to as MIMO and uses Matrix B, it is shown in Figure 2. STC/MIMO is often used to indicate WiMAX MIMO mode.

In WiMAX downlink, both STC and SM are used. In WiMAX uplink, collaborative spatial multiplexing is used. Two users, each with only one antenna, can transmit collaboratively in the same slot as if two streams are spatially multiplexed from two antennas of the same user.

Figure 1: Space-Time Coding Diagram

Figure 2: Spatial Multiplexing

Figure 3: Collaborative Spatial Multiplexing for Uplink

In SignalMeister, the MIMO mode offers WiMAX MIMO selection. There are two options: 2x Matrix A (STC) and 2x Matrix B (SM) in the downlink. MIMO mode is found in DL Subframe >Zone.

In uplink, the MIMO mode configuration is found in UL Subframe > Zone > Burst.

Generating WiMAX MIMO signals follows the same steps as in Generating WLAN MIMO Signals and Analyzing Them on a VSA. Here, WiMAX downlink MIMO is used as an example. However, the WiMAX files are not downloaded into Series V2800s because the Series V2800s will be used for data collection in MIMO mode and the analysis will be done on the PC in SignalMeister™. This is different from WiMAX SISO signal analysis which can be done in the embedded WiMAX analysis of the <SeriesVSAs.

Put Elements into the Projects View and Connect the Elements

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop the DL 10 MHz, 1024 FFT 2x MIMO element into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the 2x ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the signal generator 2900 Nx MIMO VSG element into the Projects view.
  7. Double-click the element to open the How Many Instruments dialog.
  8. Select the number of instruments in your configuration (in this example it is 2).
  9. Connect the elements as shown below.

    WiMAX MIMO Setup

Run the Project

  1. Configure each element appropriately by double-clicking on the element.
  2. From the main menu, select File > Save Project As... and save the project.
  3. Select Projects > Load All to download the file to the specified location in the VSA, and load it into the ARB memory.

    The elements will turn green to show a successful build.

Verify Signals On the VSAs

  1. Place both the Series V2800s and Series V2900s into MIMO mode.
  2. Load the corresponding ARB file into the Series V2900 ARB memory.
  3. Configure the frequency and power level, then turn the RF to On.
  4. On the Series V2900s
    • Set the master to Trigger Now.
    • Set the slave to Trigger Now.
  5. On the Series V2800s
    • Set the Frequency and Reference Level as appropriate.
    • Place both Series V2800s into Zero-Span mode.
    • Set the Sweep Time appropriately.
    • Set the Trigger Source to either Free Run or Video Trigger. If Video Trigger is selected, set the Trigger Level as well.

By now, waveforms should be displayed on the analyzers. If not,

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.
  3. Then load the testing signals again for verification.

Successfully Triggering WiMAX MIMO Signals

WiMAX MIMO signals pose an interesting challenge to video triggering. Most OFDM MIMO standards have all of the transmitters come on synchronously, so you can choose a specific transmitter and successfully trigger a signal.

WiMAX, however, only uses MIMO as part of the data region. When the signal first comes on, only the master transmitter sends out the header information. Shown below is an example of a 2x2 WiMax MIMO transmission:

______

Trigger WiMAX MIMO Signals

______

Note that the master transmitter (Channel 1) comes on approximately 500 µsec prior to the slave transmitter (Channel 2). The problem can be described as such; a MIMO system must choose a single input from which to derive the video trigger. By convention, the master receiver is used. If you cable the slave transmitter to the master receiver, you get the situation shown below:

______

Trigger WiMAX Slave to Master

______

Channel 1 (the blue trace) is the signal received at the master receiver. The video trigger from the blue trace did not occur until 500 µsec after Channel 2 (the white trace) became active (you can only see about 200 µsec in this graph). Since the trigger was so late, the WiMax header was missed, and the signal was not demodulated.

Knowing that this situation exists, you have to decrease the video trigger delay by 500 µsec, so acquisition begins in time to capture both pulses in their entirety, as is shown in the figure below:

______

Trigger WiMAX MIMO 500 usec delay

______

In this case, the trigger delay was reduce from 322 µsec to -20 µsec. Determining the required trigger delay can be done from the SignalMeister™ analysis window. If you place SignalMeister™ in a Continuous sweep, display the IQ Amplitude graph, and begin reducing the video trigger delay, you can see when you are capturing enough of the signal to successfully demodulate.

In summary, there are 3 choices to get reliable acquisitions of WiMAX MIMO:

  • Always ensure that the master transmit goes to the master receive
  • Look for the case where the video trigger needs negative delay and add the delay when needed.
  • Use free run trigger, and an acquisition time long enough to always get a complete burst. This is typically twice the WiMAX frame time.

Optimizing WiMAX MIMO Signals

The SignalMeister™ optimize function assumes that the master transmitter is cabled to the master receiver. The Optimize function will fail in any other configuration, as it attempts to use video triggering. In order to use the Optimize function, you must ensure that the master transmitter output is connected to the master MIMO receiver. If the device being measured does not have the transmitter outputs labeled, it may take some trial and error to find the right connections.


WLAN

The configuration dialog windows for 802.11a/b/g/j all have a similar format. There are a relatively small number of parameters required for these standards. The basic parameters are entered on the following screen. These parameters either have a valid range of numbers from which to choose or an item to select from a drop down list.

WLAN signal generation1

The specific payload data can be entered by clicking the Configure PSDU button (see the figure above) and entering values in the WLAN PSDU Configuration dialog (see figure below).

Signal Generation WLAN2

Generating a WLAN SISO Signal

In this section, a SISO 802.11a/g signal is generated step by step. Then the Series V2800 embedded WLAN option is used to analyze and verify the generated signal.

Put Elements into the Projects View

  1. In the SignalMeister™ Toolbox, select the WLAN folder to display the list of WLAN elements.
  2. Drag and drop a WLAN element (for example, the 802.11a,g 54 Mbps) onto the Projects page.
  3. In the Toolbox, select the Files folder to display the list of File elements.
  4. Drag and drop the ARB File element onto the Projects page.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the 2900 VSG element onto the Projects page.
  7. The three elements should be configured as shown in the figure below.
    ______

    WLAN Signal Generation3

Connect the Elements

  1. Use the Connect Elements button to connect the output of the 802.11a,g 54 Mbps element to the ARB File input. See Connecting Elements for detailed instructions on how to connect elements in SignalMeister™.
  2. Connect the output of the ARB File element to the input of the 2900 VSG.
  3. Click and drag a rectangle to enclose all three elements.
  4. From the main menu, select Worksheets > Align Horizontal (alternately, you can select the Align Horizontal icon from the toolbar).

    Now the elements are connected together and aligned as shown below.
    ______

    WLAN sig gen4

Configure the Elements

  1. Double-click each element to configure the parameters of each element. Refer to WLAN for more information. If you need more information regarding each individual parameter refer to the SignalMeister™ Help. Refer to Basic SignalMeister Tasks for information on ARB file and instrument configurations.
  2. From the main menu, select File > Save Project... to save the project.

Run the Project

There are four options to run the project from SignalMeister's Projects menu.

  • Run Conflict Analyzer - Displays any errors or conflicts in the current configuration in the Status area.
  • Build All - Builds an ARB file that contains all of the elements of the project including the elements on multiple worksheets. The ARB file is created and stored on your PC.
  • Download All - Downloads the ARB files from your PC to the signal generator memory.
  • Load All - Loads all of the ARB files in the current project to the signal generator that is configured in your project. This selection makes the ARB file ready to play in the signal generator.
  1. From the main menu, select Projects > Build All to build the arb file.

    Or, select Projects > Load All to download the arb file to the specified location in the VSA, and load it into the ARB memory.

Generating WLAN MIMO Signal

The input parameters for 802.11n are similar to Generating a WLAN SISO Signal. However, there is an additional parameter called the MCS (Modulation Coding Scheme) number. The MCS number of an 802.11n signal determines the modulation format, coding scheme, and also the number of MIMO output streams in the waveform data. For example, MCS 15 has two output streams. The following figure shows how to generate the 2x2 MIMO setup for MCS-15.

WLAN Sig Gen5

In this example, the two ARB file elements would have different file names. The 2x2 MIMO signal source object allows the input of communication addresses for both signal sources and configures the MIMO parameters for the system.

WLAN sig gen6

The PSDU configuration for 802.11n also contains additional controls, as shown below.

WLAN sig gen7

There are two default standard templates in the Toolbox under the Standard Templates folder. Use them as an example to customize your own project.

  1. From the Toolbox, select the Standard Template folder and click and drag the 4xMIMO Complex Impairments element to the Projects worksheet. Notice how the element automatically opens when it is placed on the worksheet.

    WLAN sig gen8


8 x MIMO Signal Generation - IQ Files

This procedure shows MIMO signal generation capability for eight Series V2800s. There is no specific supported standard in SignalMeister to generate 8x MIMO signals. In the case that you would like to develop your own 8x MIMO system, user-defined IQ data sources are used as the following example.

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, open the File folder and drag and drop the IQ Importer element (eight times) onto the Projects view.
  2. Open the Signal Analyzers folder and drag and drop 2800 Nx MIMO VSA to the Projects view.
  3. Connect the IQ Importer elements to the 2800 Nx MIMO VSA elements as shown below.

Configure the Elements and Run the Project

  1. Configure each user-defined data source in the DP IQ Importer appropriately.
  2. The Configuration window of the Series V2800 8X MIMO is similar to other Series V2800 MIMO configurations. It supports eight Series V2800s in VISA Resource, MIMO configuration, ARB configuration, and LXI Web Interface as shown below.


3GPP and 3GPP2

The 3GPP (WCDMA/HSPA) and 3GPP2 (cdmaOne/cdma2000/EV-DV) waveform parameters include a number of general parameters, a list of channels to include, and specific parameters for each channel. This complex data structure is displayed in a tree structure. This provides a quick view of the channel configuration and easy navigation to the specific channel parameters. Several default templates are provided for these standards, covering simple and complicated configurations. In addition, specific parameters (not all parameters) from anywhere in the tree can be defined as "Favorites" giving a quick way to change the most common parameters. This feature is shown in the following screen shots.

Building 3GPP and 3GPP2 signals is the same as building other signals in SignalMeister. Use the following steps to build a 3GPP downlink signal as shown. Default parameters will be used in this example.

  1. Put elements in Project View.
  2. Connect elements.
  3. Configure elements.
  4. Save and Run the Project.

    Refer to Generating WiMAX MIMO Signals and Analyzing them on a VSA for similar steps for the procedures above.

  5. Verify Signals on the VSA and VSG.
  6. After building the ARB file and loading it into the VSG ARB memory, connect the VSG to the VSA.
  7. Use the WCDMA Downlink personality to analyze the signal.


Signal Analysis

SignalMeister™ supports analyzing WiMAX and WLAN signals in both SISO (single-in, single-out) and MIMO (multiple-in, multiple-out) configurations. SISO analysis is similar to the corresponding embedded analysis using a Series V2800 VSA, but it provides more ways of displaying measurement data, reporting more measurement results, and offers easier and quicker transporting of measurement results to the PC. However, SISO analysis in SignalMeister is slower than embedded SISO analysis as it has to go through data collection over GPIB/LAN/USB.

MIMO analysis can only be done using the SignalMeister™ application. In this fashion, VSAs are used to collect IQ data, and all analysis is done in SignalMeister. No specific license is needed on the VSAs. Unlike the license for signal generation residing in a Agilent Series V2900 VSG, the licenses for signal analysis reside in the SignalMeister™ USB license key. With the license key connected to your PC using an available USB port, the valid licenses are displayed from the SignalMeister File > Manage Licenses window (below).

Select one of the links below to learn more about Signal Analysis.

  • WiMAX Analysis
  • WLAN Analysis

______

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______

See also:

  • Basic SignalMeister Tasks


WiMAX® Analysis

WiMAX® signal analysis requires use of the Map file that is generated with the ARB file. The Map file is stored on the PCs hard drive in the My Documents folder, and can be downloaded into the Agilent Series V2800 VSA using the SignalMeister™ application or a USB device.

To open a WiMAX Map file, select Use Map File from the Map Information Decoding drop-down menu, then either type in the location and file name of the Map file in the Map File Name text box, or click the More button SignalMeister More button to open a dialog that allows you to navigate to the Map file location.

______

______

Analyzing a SISO WiMAX Signal in SignalMeister

This tutorial demonstrates how to use SignalMeister's simulation mode to create a WiMAX® SISO downlink signal, add AWGN noise to the signal, and then demodulate the received transmission. The simulated analyzer displays both the graphical data and computed parameters. The final steps of the tutorial show you how to increase the noise power, then view the degraded signal.

______

Hint: This tutorial can be used for signal types other than WiMAX as the steps in building a project and analyzing a waveform are the same for all signal types. Simply follow each of the steps while substituting the appropriate elements for the type of waveform analysis you wish to perform.

______

Part 1 - Build the waveform

  1. Click the WiMAX button on the Toolbox to display the available elements. See Toolbox.
  2. Drag and drop the DL 10 MHz, 1024 FFT signal element from the WiMAX tool set onto the Projects worksheet.
  3. Click the Operations button on the Toolbox, then drag and drop the AWGN (Additive White Gaussian Noise) element to the right-hand side of the WiMAX signal element.
  4. Click the Signal Analyzers button on the Toolbox, then drag and drop the 1x VSA Simulator element to the right-hand side of the AWGN element.
  5. Re-open the WiMAX tool set, then drag and drop the WiMAX 1x Analysis element to the right-hand side of the 1x VSA Simulator.
  6. Your project should look like something like this so far:

  7. Click the Connect Elements button on the Main toolbar to make it active. See Connecting Elements.
  8. Beginning with the DL 10 MHz, 1024 FFT WiMAX element (far left), click on that element then click the AWGN element to connect them.
  9. Click the AWGN element then click the 1x VSA Simulator element to connect them.
  10. Repeat this until all elements are connected and a path exists from the signal element to the analysis function.
  11. Using the mouse (or the touchpad), left-click, hold and drag across all the elements to create a box around the project.

    WiMAX SISO Analysis Tutorial
  12. Click the Align Horizontal icon on the main toolbar to align the elements horizontally.

    WiMAX SISO Analysis Align Horizontally
  13. Your project should now look like this:

  14. On the main toolbar, select Project > Build All from the Project menu. If all of the files are built correctly, and there are no errors or conflicts, then the WiMAX signal, AWGN and VSA Simulator elements all become green in color. The Status window displays a message that no errors or conflicts were found.

    WiMAX SISO Tutorial (no conflicts)
  15. The WiMAX downlink signal has been created, Gaussian white noise has been added to it, and the VSA simulator is set to demodulate, display and compute parameters on the signal.

Part 2 - Analyze the signal

______

NOTE: The waveforms in the toolbox are example waveforms and are starting points for the creation of user-defined waveforms. Numerous parameters are programmable.

______

  1. Double-click the DL 10 MHz 1024 FFT signal element to open the WiMAX configuration dialog.
  2. Select Common from the tree view to see that the default parameters are:
    • FFT Size: 1024
    • Bandwidth: 10 MHz (the subcarriers are less than 10 kHz apart)

    WiMAX SISO Tutorial Common Parameters

  3. Select DCD from the tree view to see that the DCD (Downlink Channel Descriptor), that defines channel structure details, uses QPSK modulation.

    WiMAX SISO Tutorial DCD Coding Rate
  4. Select Burst from the tree view to see that the data is transmitted with 64QAM modulation.

    WiMAX SISO Tutorial Burst Parameters
  5. Now the WiMAX 1x Analysis element can plot, graph and perform computations on the received signal. This tutorial displays the constellation of the signal, the EVM vs. Subcarrier plot, a waveform amplitude plot (power vs. time), a table of computed parameters and a single-sweep/continuous-sweep instrument control function.
  6. Double-click the WiMAX 1x Analysis element to open the 802.16e OFDMA WiMAX Analysis window.
  7. Select Displays > Graphs, then click Constellation. Repeat this to also add the EVM vs. Subcarrier and Waveform Amplitude graphs. The EVM vs. Subcarrier graph shows the EVM for each carrier and the Waveform Amplitude graph shows the power vs. time plot of the 500 µs transmission burst.

    WiMAX SISO Tutorial Constellation menu
  8. Select Displays > 802.16e Parameters Table to display Relative Constellation Error (RCE) parameters, channel power and other computations.

    WiMAX SISO Tutorial Select Parameters Table
  9. Note that the 802.16e Parameters Table shows the number of sweeps and the minimum, maximum and average values for each of the parameters.

    802.16e Paramaters Table
  10. Select Settings > Instrument Control to display the control window for the WiMAX Analysis that allows you to select either a Single Sweep or Continuous Sweep.

    WiMAX Instrument Control (Tutorial)

    WiMAX Instrument Control (Sweep Buttons)

  11. Select View > Tile Vertically to see a display of all the open windows.

    WiMAX Analysis Tile Vertically Option

    WiMAX Analysis View Tiles
  12. Select View > Minimize to return to the SignalMeister project window.
  13. Double-click on the AWGN element, then raise the noise Power to -20 dBc and click OK.

    WiMAX Tutorial AWGN Configuration
  14. Return to the Instrument Control window and click Single Sweep. Note that the Constellation is less precise, the EVM vs. Subcarrier is higher (not as good) and the RCE is higher.

Part 3 - Optional steps for a more dynamic display

Additive White Gaussian Noise (AWGN) can be added to the VSA simulator to display more realistic data even if the AWGN element is not used. The noise in the VSA simulator is randomized so that it changes with each sweep, so using the VSA's internal noise source creates a changing and more realistic display.

  1. Minimize the Analysis window and return to the Projects window.
  2. Remove the AWGN element from your project, and remove one of the connectors.
  3. Connect the DL 10 MHz, 1024 FFT signal element to the 1x VSA Simulator element.
  4. Double-click on the 1x VSA Simulator.
  5. Select the Add Noise check-box and increase the power to -20 dBc, then click OK.

    WiMAX SISO Tutorial VSA Simulator Configuration
  6. Return to the Analysis window and click Continuous Sweep from the Instrument Control panel. Note the changing displays. The update rate is a function of your PC speed.
  7. Now check the 802.16e Parameters table, the Constellation and EVM vs. Subcarrier graphs to view the changes due to the addition of noise at the 1x VSA Simulator element.

Analyzing MIMO WiMAX Signals in SignalMeister

WiMAX MIMO Analysis Simulation
_____

WiMAX MIMO Analysis using an Instrument


WLAN Analysis

  • Analyzing a SISO Signal in SignalMeister
  • Analyzing MIMO 802.11n Signals in SignalMeister

Analyzing a SISO WLAN Signal in SignalMeister

Following the example in Generating a WLAN SISO Signal and Analyzing it on a VSA, now SignalMeister is used to analyze the same signals.

There are two ways to do this:

  • Use the SignalMeister built-in Series V2800 simulator
  • Use the Series V2800 VSA hardware with SignalMeister

The first method does not involve any hardware. It can be used for demonstration purposes and to verify the signal generated from SignalMeister in the baseband (IQ) level. A signal generation element is used as the starting point, which is the same as generating an ARB file. Instead of putting an ARB file element at the output of the signal generation element, a VSA simulator element is connected instead.

Using the Simulation Method

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, select the WLAN folder and drag and drop the 802.11 a,g 54 Mbps on to the Projects view.
  2. From the Toolbox, select the Signal Analyzer folder and drag and drop the 1x VSA Simulator element on to the Projects view.
  3. From the Toolbox, select the WLAN folder and drag and drop the 802.11 agj element on to the Projects view.
  4. Connect the elements together.

Configure the Elements, Save and Run the Project

  1. Configure 802.11 a,g 54 Mbps for the signal you want to analyze.
  2. Double click 802.11 agj Analysis. The 802.11 agj SISO analysis window is displayed.

    The startup window will be empty if it has never been configured before. The menu bar has four menus: File, View, Displays, and Settings.

    • The File menu is used to exit the Analysis window.
    • The View menu is used to globally maintain the Settings and Displays. You can open all of the windows from Settings and Displays and then rearrange them automatically.
    • The Settings Menu supports instrument control, IQ capture settings, specific settings for the type of to-be-analyzed signal, in this case, WLAN settings.
    • The Displays Menu supports various graphs, charts and a parameters reporting table.

    The following figure shows how analysis window may look like after opening and customizing sub-windows.

  3. Go back to the main SignalMeister window and select Projects > Build All to generate fresh data for analysis.

Using the Hardware Method

The second method uses instruments to do the SISO analysis. This is a little different from simulation mode. Here, it is assumed that a 802.11 a/g signal is fed into a Series V2800 VSA. In our case, such a signal is generated in the previous session of Generating a WLAN SISO Signal and Analyzing it on a VSA. It is output from the Series V2900 VSG and directly fed into the Series V2800. From here, there are only two elements needed as shown below.

Similar to the first example (the Simulation method), you need to configure instrument control and WLAN settings (such as sweep time and type of trigger source). What is different from the simulation method is that the control buttons in the Instrument Control sub-window are activated. The Initialize button allows initialization of the VSA as specified by the settings in this window. Single Sweep or Continuous Sweep offer two types of sweeping for your convenience. The Optimize button offers automatic optimization based on the existing settings.

Analyzing MIMO WLAN Signals in SignalMeister

Analyzing a MIMO 802.11n signal is similar to SISO analysis. Both simulation and non-simulation modes are available.

The following figures show a project that simulates 2x 802.11n MIMO analysis. Refer to Analyzing a SISO Signal in SignalMeister for the steps to build and run the project.


Troubleshooting

  • Desktop Control Panel troubleshooting
  • Custom measurements troubleshooting
  • MIMO troubleshooting
  • SCPI programming error messages
  • SISO 802.11n signal won't demodulate


Glossary of Terms

16 Quadrature Amplitude Modulation (16QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Absolute Radio Frequency Channel Number (ARFCN)

ARFCN specifies a certain radio frequency used for transmission and reception within wireless networks. Different frequencies, also known as ARFCNs, are used for the frequency based component of GSMs multiple access scheme (FDMA Frequency Division Multiple Access).

Access Point (AP)

Wireless devices can connect to a wired LAN through a hardware device called an access point. See Hot spot...

Acquisition Indicator Channel (AICH)

The AICH is a fixed rate physical channel with a spreading factor of 256, and is used to carry acquisition indicators that correspond to signatures on the physical random access channel (PRACH).

Adaptive Modulation and Coding Scheme (AMC)

Link adaptation, or adaptive modulation and coding (AMC), is a term used in wireless communications to denote the matching of the modulation, coding, and other signal and protocol parameters to the conditions on the radio link (for example, the path loss, the interference due to signals coming from other transmitters, the sensitivity of the receiver, the available transmitter power margin, and so on.). For example, EDGE uses a rate adaptation algorithm that adapts the modulation and coding scheme (MCS) according to the quality of the radio channel, and thus the bit rate and robustness of data transmission. The process of link adaptation is a dynamic one and the signal and protocol parameters change as the radio link conditions change -- for example in HSDPA in UMTS this can take place every 2 ms.

Adaptive modulation systems invariably require some channel information at the transmitter. This could be acquired in time division duplex systems by assuming the channel from the transmitter to the receiver is approximately the same as the channel from the receiver to the transmitter. Alternatively, the channel knowledge can also be directly measured at the receiver, and fed back to the transmitter. Adaptive modulation systems improve rate of transmission, and/or bit error rates, by exploiting the channel information that is present at the transmitter. Especially over fading channels which model wireless propagation environments, adaptive modulation systems exhibit great performance enhancements compared to systems that do not exploit channel knowledge at the transmitter.

Additive White Gaussian Noise (AWGN)

In communications, the additive white Gaussian noise (AWGN) channel model is one in which the information is given a single impairment: a linear addition of wideband or white noise with a constant spectral density (expressed as watts per hertz of bandwidth), and a Gaussian distribution of amplitude. The model does not account for the phenomena of fading, frequency selectivity, interference, nonlinearity, or dispersion. However, it produces simple and tractable mathematical models which are useful for gaining insight into the underlying behavior of a system before these other phenomena are considered.

Wideband Gaussian noise comes from many natural sources, such as the thermal vibrations of atoms in antennas (referred to as thermal noise or Johnson-Nyquist noise), shot noise, black body radiation from the earth and other warm objects, and from celestial sources such as the Sun.

The AWGN channel is a good model for many satellite and deep space communication links. It is not a good model for most terrestrial links because of multipath, terrain blocking, interference, and so on. However for terrestrial path modeling, AWGN is commonly used to simulate background noise of the channel under study, in addition to multipath, terrain blocking, interference, ground clutter, and self-interference that modern radio systems encounter in terrestrial operation.

Adjacent Channel Power Ratio (ACPR)

ACPR is a measurement of how much signal energy is introduced from one channel to the next, adjacent channel.

Advanced Mobile Phone Service (AMPS)

AMPS is an analog cellular radio standard that represents the first generation of wireless networks.

Air Interface

This is the wireless network's operating system that enables communication between a cellular phone and its carrier. Examples are CDMA, TDMA, GSM, and OFDM. See Carrier.

Alternating Current (AC)

An alternating current is an electric current whose direction reverses cyclically, as opposed to direct current (DC), whose direction remains constant. The usual waveform of an AC power circuit is a sine wave, as this results in the most efficient transmission of energy. However in certain applications different waveforms are used, such as triangular or square waves.

Used generically, AC refers to the form in which electricity is delivered to businesses and residences. However, audio and radio signals carried on electrical wires are also examples of alternating current. In these applications, an important goal is often the recovery of information encoded (or modulated) onto the AC signal.

American National Standards Institute (ANSI)

ANSI art is a computer art form that was widely used at one time on bulletin board systems (BBS). It is similar to ASCII art, but constructed from a larger set of 256 letters, numbers, and symbols — all codes found in IBM code page 437, often referred to as extended ASCII and used in MS-DOS environments. ANSI art also contains special ANSI escape sequences that color text with the 16 foreground and 8 background colors offered by ANSI.SYS, an MS-DOS device driver loosely based upon the ANSI X3.64 standard for text terminals. Some ANSI artists take advantage of the cursor control sequences within ANSI X3.64 in order to create animations, commonly referred to as ANSImations. ANSI art and text files which incorporate ANSI codes carry the concerning the fact .ANS file extension.

Amplitude Modulation (AM)

AM is a transmission technique where the amplitude of a carrier signal is modulated by the amplitude of a base band signal.

Analog

Analog is a technology which utilizes a continuous "wave" of signal to carry information over radio channels. Analog is an inefficient use of system bandwidth.

Antenna

An antenna is a physical device for sending or receiving radio signals. Antennas come in a variety of shapes and sizes. The size and shape of an antenna is carefully designed and tuned to the type of radio wave being transmitted and received.

Antenna Gain

This describes an antenna's transmission power as a ratio of its output signal strength to its input signal strength. It is usually expressed in dBi; a higher dBi means a stronger antenna.

Attenuation

Attenuation is the loss or weakening of a signal through a transmission line, transmission component, or signal path. This loss is typically measured in decibels.

Attenuator

An attenuator is a component that reduces the magnitude of current, voltage, or power of a signal in transmission between points.

Bandpass Filter

This is a signal filter designed to pass a particular range of frequencies, while attenuating frequencies that are outside that range.

Bandwidth

Bandwidth is the width or capacity of a communications channel or transmission path. It can apply to any analog and digital circuit or system through which data flows.

  • Analog bandwidth is measured in Hertz (Hz) or cycles per second. The actual bandwidth size is the difference between the lowest and highest frequency which can be transmitted at once.
  • Digital bandwidth is the amount or volume of data that may be sent through a channel, without distortion, measured in bits per second. An example of a low-bandwidth connection would be a 56 Kbps dial-up modem. High-bandwidth (broadband) connections deliver more information at a much faster speed, capable of delivering full-screen, full-motion video.

Base Station (BS or Tower)

A fixed station used for communicating with mobile stations (phones). It often consists of a cabinet or small building containing electronic equipment and associated antennas. See Cell site.

Base Transceiver Station (BTS)

A cellular base station.

Baseband Generator (BBG)
Baud

The number of signal level changes per second. Each signal level contains one or more bits of information.

Bias-T

This is an in-line device that couples DC power onto an RF circuit.

Binary

Is a number system that is base-two, meaning each position must be either "0" or "1." In digital communications systems, it is important to realize that "0" and "1" are states and not necessarily 0 volts and another voltage.

Binary Phase-Shift Keying (BPSK)

BPSK (also sometimes called PRK, phase reversal keying) is the simplest form of PSK. It uses two phases which are separated by 180° and so can also be termed 2-PSK. It does not particularly matter exactly where the constellation points are positioned, and in this figure they are shown on the real axis, at 0° and 180°. This modulation is the most robust of all the PSKs because it takes severe distortion to make the demodulator reach an incorrect decision. It is, however, only able to modulate at 1 bit/symbol and is unsuitable for high data-rate applications when bandwidth is limited.

Bit

Bit is an abbreviation for binary digit. A bit is a binary unit, represented by either a "0" or a "1." In digital communications, more than one state can be described by using more than one bit. For example two bits are capable of describing four states: 00, 01, 10 and 11.

Bit Error Ratio (BER)

The ratio between the number of incorrect bits transmitted to the total number of bits.

Bits Per Second (Bps)

Bits per second, a measure of how fast binary digits can be sent through a channel.

Bluetooth

This is a wireless personal area network specification that connects phones, computers, and other devices over short distances by using low-power radio frequencies.

Broadband

A broadband system can transmit more data at a higher speed than narrowband systems. In analog systems, broadband can be described as having a bandwidth of more than 3 MHz. In digital systems, broadband is associated with high-speed data transmission. Examples are high-speed Internet access and streaming video.

Broadcast Channel (BCH)

The BCH is a downlink UMTS transport channel that is used to broadcast cell and system information. The BCCH (Broadcast Control Channel) maps into the BCH transport channel, which in turn maps into the P-CCPCH (Primary Common Control Physical Channel) at the physical layer.

Broadcast Control Channel (BCCH)

The BCCH is a downlink channel with specific parameters needed by an MS (mobile station) so it can identify and gain access to the network. Typical information includes the LAC (Location Area Code) and RAC (Routing Area Code), the MNC (Mobile Network Code) and BA (BCCH Allocation) list.

Byte

A byte is a sequence of 8 adjacent bits. A byte can describe 256 unique states, ranging from 00000000 (0) to 11111111 (255).

Carrier
  1. Wireless carriers, also called service providers or operators, are the companies that operate the wireless networks and sell use of those networks (the service).
  2. Technical radio term for the radio wave that carries voice or data.

Carrier-to-Noise Ratio (C/N)

In telecommunications, the carrier-to-noise ratio, often written CNR or C/N, is the signal-to-noise ratio (SNR) of a modulated signal. The CNR is the quotient between the average received modulated carrier power C and the average received noise power N after the receiver filters. The aim of the term is to distinguish the CNR of the radio frequency passband signal from the SNR of an analogue base band message signal after demodulation, for example an audio frequency analogue message signal. If this distinction is not necessary, the term SNR is often used instead of CNR, with the same definition.

cdma2000

cdma2000® defines the third-generation (3G) version of CDMA technology. It supports high-speed data transmission, always-on data service and improved voice network capacity over CDMA. cdma2000® is in competition with WCDMA and will be deployed in at least three phases - 1xRTT, 1xEV-DO and 1xEV-DV.

  • cdma2000® 1xRTT, supports up to 144 Kbps packet data speeds. It also doubles voice capacity over previous CDMA networks (IS-95).
  • cdma2000® 1xEV-DO, stands for 1x Evolution Data Only and will support data rates up to 2.4Mbps.

cdma2000® 1xEV-DV stands for 1x Evolution Data Voice and supports circuit and packet data rates up to 3-5Mbps. It fully integrates with 1xRTT voice networks and supports wireless Voice over IP (VoIP) services.

See also the following GSM measurement definitions:

  • Channel Power
  • Code Domain Power
  • Conducted Spurious Emissions
  • Frequency Error
  • Occupied Bandwidth
  • Rho

cdmaOne (2G)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95.

Cell

The cell is the basic geographic unit of a cellular system. A geographic area is divided into smaller "cells," each of which is equipped with a low-powered radio transmitter/receiver.

Cell Phone

A cell phone is a wireless telephone that sends and receives messages using the radio frequency (RF) spectrum.

Cell Site

This is the location where the wireless antenna and network communications equipment is placed. A cell site consists of a transmitter/receiver, antenna tower, transmission radios and radio controllers. A cell site is operated by a wireless service provider (WSP).

Cellular

Cellular is the name given to wireless communications network architecture that employs cells or modular coverage areas. The area is normally serviced by a cell site and usually provides hand-off capability between cells for roaming devices.

Cellular Base Station

This is the transmission and reception equipment, including the base station antenna that connects a cellular phone to the network. This is also called a cell site.

Cellular Telecommunications Industry Association (CTIA)

Originally known as the Cellular Telephone Industries Association, CTIA is an international industry trade group representing all wireless communication sectors including cellular, personal communication services and enhanced specialized mobile radio. Founded in 1984, they are primarily involved in lobbying the US government and were instrumental in the passage of both the Electronic Communications Privacy Act and the Telecommunications Disclosure & Dispute Resolution Act.

The CTIA primarily represents the interests of wireless telecommunications companies. Their board is a mix of service providers, manufacturers and wireless data companies, as well as other contributors to the wireless industry. CTIA operates the industry's leading trade shows, and provides equipment testing and hardware certification programs.

The organization is now known as CTIA - The Wireless Association. The name was changed to better represent the expanding wireless industry. CTIA is now a orphan acronym, it no longer stands for anything and cannot be officially expanded.

Channel

A channel is an electrical, electromagnetic, or optical path for communication between two points.

Channel Power

The power (transmitted or received) in a bandwidth of at least (1+a) times the chip rate at the specified carrier frequency.

Channel Power (EDGE)

The measure, with sufficient accuracy, is equivalent to the long-term average of the power when taken over the useful part of the burst for random data at a specific carrier frequency.

Channel Power (GSM)

The measure of power when averaged over the useful part of the burst at a specific carrier frequency.

China Academy of Telecommunication Technology (CATT)
China Mobile Association Committee (CMAC)
China Wireless Telecommunication Standards Group (CWTS)
Chip

In spread spectrum, a chip is the time it takes to transmit a bit or single symbol of a PN code.

Circuit Switched Data (CSD)

Circuit switched data (CSD) is the original form of data transmission developed for the time division multiple access (TDMA)-based mobile phone systems like GSM. CSD uses a single radio time slot to deliver 9.6 Kbps data transmission to the GSM network and switching subsystem where it could be connected through the equivalent of a normal modem to the public switched telephone network (PSTN) allowing direct calls to any dial-up service.

Prior to CSD, data transmission over mobile phone systems was done by using a modem, either built into the phone or attached to it. Such systems were limited by the quality of the audio signal to 2.4 Kbps or less. With the introduction of digital transmission in TDMA-based systems like GSM, CSD provided almost direct access to the underlying digital signal, allowing for higher speeds. At the same time, the speech oriented audio compression used in GSM actually meant that data rates using a traditional modem connected to the phone would have been even lower than with older analog systems.

A CSD call functions in a very similar way to a normal voice call in a GSM network. A single dedicated radio time slot is allocated between the phone and the base station. A dedicated "sub-time slot" (16 Kbps) is allocated from the base station to the transcoder, and finally another time slot (64 Kbps) is allocated from the transcoder to the mobile switching center (MSC).

At the MSC, it is possible to use a modem to convert to an analog signal, though this will typically actually be encoded as a digital pulse-code modulation (PCM) signal when sent from the MSC. It is also possible to directly use the digital signal as an integrated services digital network (ISDN) data signal and feed it into the equivalent of a remote access server.

Clear to Send (CTS)
Coaxial Cable, Coax

A coaxial cable is a concentric two-conductor cable in which a central conductor is surrounded and shielded by another. The two conductors are separated by dielectric material.

Code

Code is a digital bit stream that has noise-like characteristics. In spread spectrum, code refers to the pseudorandom code used in the modulation technique to spread the carrier.

Code Division Multiple Access (CDMA)

CDMA is a digital spread-spectrum modulation technique. Signals are digitized and associated with a unique frequency code. The data is then scattered across the frequency band in a pseudorandom pattern. The receiving device is instructed to decipher only the data corresponding to a particular code to reconstruct the signal.

CDMA has no hard limit for the number of users who may share one base station (tower). Instead, additional users can connect until the base station determines that call quality would suffer beyond a set limit.

CDMA systems are sometimes referred to as cdmaOne. The next evolutionary step for CDMA to 3G services is cdma2000.

Code Domain Power

The code domain power is a measure of the power in each code channel of a CDMA channel.

Code Group (CG)

A code group is a logical grouping of code that has a membership condition. Any code that meets the membership condition is included in the group.

Common Control Physical Channel (CCPCH)

CCPCH is a broadcast radio channel by which the a mobile phone can decode and determine important system parameters before establishing a dedicated communications link.

In a frequency division duplexing (FDD) UMTS system, there is always exactly one Primary-CCPCH, which has a data rate of 27 kbit/s and is always broadcast using Channelization Code Cch,256,1. This channel can be detected by mobiles due to its fixed channelisation code, slot format and transmission time interval (TTI), as well as being time aligned to the Synchronization Channel which replaces the first 2 bits of
P-CCPCH in every slot. The broadcast control channel transport channel is mapped onto the P-CCPCH, allowing mobiles to decode important system parameters prior to establishing a dedicated connection. One or more Secondary-CCPCHs are also provided to broadcast paging blocks and FACH messages.

The P-CCPCH in a TDD-mode UMTS system also carries pilot bits in (in contract to FDD-mode which provides a distinct pilot channel named CPICH). The pilot bits on the CCPCH can be used for measurements of the signal quality (for example, received signal power (RSCP), Ec/Io, and so on.) and for synchronization and timing reference when decoding other channels from the same transmitter.

Complementary Code Distribution Function (CCDF)
Complementary Code Keying (CCK)

CCK is a modulation scheme used with wireless networks (WLANs) that employ the IEEE 802.11b specification. A complementary code contains a pair of finite bit sequences of equal length, such that the number of pairs of identical elements (1 or 0) with any given separation in one sequence is equal to the number of pairs of unlike elements having the same separation in the other sequence. A network using CCK can transfer more data per unit time for a given signal bandwidth than a network using the previously employed Barker code.

Compression

In RF amplification, an amplifier is said to be "in compression" (distorting) when the output is no longer a linear representation of the input signal. This is typically at the operational limits of the amplifier.

Conducted Spurious Emissions

Emissions at frequencies that are outside the assigned CDMA channel, measured at the mobile station antenna connector. This test measures the spurious emissions during continuous transmission.

Consultative Committee for International Telegraphy and Telephony (CCITT)

The CCITT was superseded by the ITU–T (International Telecommunications Union – Telecommunications Standardization Sector).

Continuous Wave (CW)

CW is an electromagnetic wave of constant amplitude and frequency; and in mathematical analysis, of infinite duration. Continuous wave is also the name given to an early method of radio transmission, in which a carrier wave is switched on and off. Information is carried in the varying duration of the on and off periods of the signal. In radio transmission, CW waves are also known as "undamped waves," to distinguish this method from damped wave transmission.

Convolutional Code

A convolutional code is a type of error-coding code in which each m-bit information symbol to be encoded is transformed into an n-bit symbol, where m/n is the code rate (n ³ m) and (b) the transformation is a function of the last k information symbols, where k is the constraint length of the code.

Coverage Area

Is the name given to a geographic area within which a carrier provides service. It is the area within which a phone will complete calls using a specific carrier's network or partner networks.

Crest Factor (CF)

Peak to average power ratio of the RF envelope.

Crosstalk

Interference caused by the electric or magnetic fields of one signal affecting a signal in another circuit or channel. On wireless networks, crosstalk can sometimes result in your hearing part of a voice conversation from another circuit or channel.

Cyclic Redundancy Check (CRC)

A cyclic redundancy check (CRC) is a type of function that takes as input a data stream of any length, and produces as output a value of a certain space, commonly a 32-bit integer. The term CRC denotes either the function or the function's output. A CRC can be used as a checksum to detect accidental alteration of data during transmission or storage.

Cyclic Shift (CS)
Data Rate

Data rate or data transfer rate is the average number of bits, characters, or blocks (per unit of time), passing between equipment in a data transmission system.

dB

Decibel is a unit of measure used to express the relative difference in power or intensity of sound (ratio in log scale).

dBc

Decibels relative to the main signal power.

dBm

Decibel relative to one milliwatt.

De-spreading

De-spreading is the process used to recover narrowband information from a spread spectrum signal.

Dedicated Channel (DCH)

A Universal Mobile Telecommunications System (UMTS) logical channel allocated to an individual user and typically used to support a speech channel.

Dedicated Control Channel (DCCH)

A Universal Mobile Telecommunications System (UMTS) point to point bidirectional channel that transmits dedicated control information between a UE (user equipment, handset) and the network. The channel is established through the RRC (radio resource control) connection setup procedure.

Dedicated Physical Channel (DPCH)
Dedicated Physical Control Channel (DPCCH)

The dedicated physical control channel is a type of uplink dedicated physical channel. It is an I/Q code, multiplexed within each radio frame. The uplink DPCCH is used to carry the dedicated channel (DCH) transport channel. The uplink DPCCH is used to carry control information generated at Layer 1.

Demodulate

To demodulate is to convert a modulated carrier signal back to the original modulating base band signal.

Differential Binary Phase Shift Keying (DBPSK)
Differential Phase Shift Keying (DPSK)
Differential Quadrature Phase Shift Keying (DQPSK)
Digital Audio Broadcasting (DAB)

DAB, also known as Eureka 147, is a digital radio technology for broadcasting radio stations, used in several countries, particularly in Europe. As of 2006, approximately 1,000 stations worldwide broadcast in the DAB format.

The DAB standard was designed in the 1980s, and receivers have been available in many countries for several years. Proponents claim the standard offers several benefits over existing analogue FM radio, such as higher fidelity audio, more stations in the same broadcast spectrum, and increased resistance to noise, multipath, fading, and co-channel interference. However, listening tests carried out by experts in the field of audio have shown that the audio quality on DAB is lower than on FM in the UK for stationary receivers, due to 98% of stereo stations using a bit rate of 128 kbit/s with the MP2 audio codec, which requires double that amount to achieve perceived CD quality.

An upgraded version of the system was released in February 2007, which is called DAB+. This is not backward-compatible with DAB, which means that DAB-only receivers will not be able to receive DAB+ broadcasts. DAB+ is approximately 2 times more efficient than DAB due to the adoption of the AAC+ audio codec, and DAB+ can provide high quality audio with as low as 64kbit/s. Reception quality will also be more robust on DAB+ than on DAB due to the addition of Reed-Solomon error correction coding.

Italy, Malta, Switzerland have started transmitting DAB+ stations. Hungary is due to launch DAB+ stations in 2008 and Australia and Germany are planning to launch DAB+ in 2009. The radio industry in the United Kingdom (UK) is expecting DAB+ stations to launch between the year2010 - 2013, and podcast services using the DAB+ format will be launched in the UK in 2009.

Digital Modulation

Digital modulation is a method of encoding information using a binary code of 0s and 1s from electrical pulses. The nature of this encoding allows increased data security and system capacity compared to analog modulation.

Digital Signal Processor (DSP)

A DSP is a specialized microprocessor containing hardware features specifically for processing analog signals.

Digital to Analog Converter (DAC)

In electronics, a digital-to-analog converter (DAC or D-to-A) is a device for converting a digital (usually binary) code to an analog signal (current, voltage or electric charge).

Dipole Antenna

A type of antenna commonly used with wireless networking devices. It has a signal range of 360 degrees horizontally and 75 degrees vertically.

Direct Current (DC)

Direct current is the unidirectional flow of electric charge. Direct current is produced by such sources as batteries, thermocouples, solar cells, and commutator-type electric machines of the dynamo type. Direct current may flow in a conductor such as a wire, but can also be through semiconductors, insulators, or even through a vacuum as in electron or ion beams. In direct current, the electric charges flow in a constant direction, distinguishing it from alternating current (AC). A term formerly used for direct current was Galvanic current.

Direct current may be obtained from an alternating current supply by use of a current-switching arrangement called a rectifier, which contains electronic elements (usually) or electromechanical elements (historically) that allow current to flow only in one direction. Direct current may be made into alternating current with an inverter or a motor-generator set.

The first commercial electric power transmission (developed by Thomas Edison in the late nineteenth century) used direct current. Because of the advantage of alternating current over direct current in transforming and transmission, electric power distribution today is nearly all alternating current. For applications requiring direct current, such as third rail power systems, alternating current is distributed to a substation, which utilizes a rectifier to convert the power to direct current. See War of Currents.

Direct current is used to charge batteries, and in nearly all electronic systems as the power supply. Very large quantities of direct-current power are used in production of aluminum and other electrochemical processes. Direct current is used for some railway propulsion, especially in urban areas. High voltage direct current is used to transmit large amounts of power from remote generation sites or to interconnect alternating current power grids.

Direct Digital Synthesizer (DDS)
Direct Sequence (DS)

A technique used in spread spectrum modulation where a pseudorandom code directly modulates the phase of a carrier. This increases the bandwidth of the transmission and results in a signal with a noise-like spectrum. The signal is de-spread by reversing the process using the same pseudorandom code.

Direct Sequence Code Division Multiple Access (DS-CDMA)
Direct Sequence Spread Spectrum (DSSS)

DSSS is a modulation technique. As with other spread-spectrum technologies, the transmitted signal takes up more bandwidth than the information signal that is being modulated. The name 'spread spectrum' comes from the fact that the carrier signals occur over the full bandwidth (spectrum) of a device's transmitting frequency.

Direct Video Broadcasting (DVB)
Direct Video Broadcasting - Cable (DVB-C)
Direct Video Broadcasting - Satellite (DVB-S)
Direct Video Broadcasting - Terrestrial (DVB-T)
Directional Antenna

There are many different types of directional antenna. They commonly redirect the signal received from a transmitter to enhance its strength in a certain direction. This is unlike the omnidirectional antenna.

Discrete Fourier Transform (DFT)

In mathematics, the discrete Fourier transform (DFT) is one of the specific forms of Fourier analysis. It transforms one function into another, which is called the frequency domain representation, or simply the DFT, of the original function (which is often a function in the time domain). But the DFT requires an input function that is discrete and whose non-zero values have a limited (finite) duration. Such inputs are often created by sampling a continuous function, like a person's voice. And unlike the discrete-time Fourier transform (DTFT), it only evaluates enough frequency components to reconstruct the finite segment that was analyzed. Its inverse transform cannot reproduce the entire time domain, unless the input happens to be periodic (forever). Therefore it is often said that the DFT is a transform for Fourier analysis of finite-domain discrete-time functions. The sinusoidal basis functions of the decomposition have the same properties.

Since the input function is a finite sequence of real or complex numbers, the DFT is ideal for processing information stored in computers. In particular, the DFT is widely employed in signal processing and related fields to analyze the frequencies contained in a sampled signal, to solve partial differential equations, and to perform other operations such as convolutions. The DFT can be computed efficiently in practice using a fast Fourier transform (FFT) algorithm.

Since FFT algorithms are so commonly employed to compute the DFT, the two terms are often used interchangeably in colloquial settings, although there is a clear distinction: "DFT" refers to a mathematical transformation, regardless of how it is computed, while "FFT" refers to any one of several efficient algorithms for the DFT. This distinction is further blurred, however, by the synonym finite Fourier transform for the DFT, which apparently predates the term "fast Fourier transform" but has the same initialism.

Discrete Multi-Tone (DMT)

Also known as OFDM.

Diversity

Describes a receiver's ability to select between two receive antennas, often one horizontal and one vertical. Diversity is useful for operating in areas susceptible to the effects of multi-path interference.

DL-MAP

A burst that contains any downlink broadcast messages.

Double Side Band Suppressed Carrier (DSBSC)
Downlink (DL)

The portion of a telecommunications path from a base station or satellite to the ground; also referred to as the forward link.

Droop

Droop is the decline of signal pulse amplitude over time.

Dual Mode

A dual-mode phone can have different meanings around the globe. Common descriptions are:

  • A phone that supports both analog (that is, AMPS) and a digital technology (CDMA or TDMA). In addition, the digital mode could be dual band, operating in either the 800/850 MHz frequency band or the 1900 MHz band.
  • A phone that supports both 2G and 3G technologies, for instance, a GSM/UMTS phone.

Dual-Band

A dual-band digital phone will work in two frequency bands, for example, North American TDMA and CDMA phones. Dual-band indicates that the phone will work in both the 800/850 MHz band and the 1900 MHz band. Note: dual-band phones can also be dual mode, working in both analog and digital modes.

Duplexer

A device allowing simultaneous reception and transmission on one transmission line.

Duty cycle

The percentage of the "on time" (transmitting) versus "off time" (not transmitting). Continuous transmission is referred to as 100% duty cycle.

Dwell Time

A settable value that dictates the minimum time between the Series 2900 starting to change frequency for point N-1 and starting to change frequency for point N. The actual time between the start points can never be less than the hardware settling time.

Effective Radiated Power (ERP)

The product of the transmitter peak envelope power delivered to the antenna and the relative gain of the antenna over that of a half wave dipole antenna.

Electromagnetic Interference / Radio Frequency Interference (EMI/RFI)

Electromagnetic interference (or EMI, also called radio frequency interference or RFI) is an unwanted disturbance that affects an electrical circuit due to electromagnetic radiation emitted from an external source. The disturbance may interrupt, obstruct, or otherwise degrade or limit the effective performance of the circuit. The source may be any object, artificial or natural, that carries rapidly changing electrical currents, such as an electrical circuit, the Sun or the Northern Lights.

EMI can be intentionally used for radio jamming, as in some forms of electronic warfare, or can occur unintentionally, as a result of spurious emissions for example through intermodulation products, and the like. It frequently affects the reception of AM radio in urban areas. It can also affect cell phone, FM radio and television reception, although to a lesser extent.

Electronics Industry Alliance (EIA)

The EIA is a national trade organization that includes the full spectrum of U.S. manufacturers. The Alliance is a partnership of electronic and high-tech associations and companies whose mission is promoting the market development and competitiveness of the U.S. high-tech industry through domestic and international policy efforts. EIA, headquartered in Arlington, Va., comprises nearly 1,300 member companies whose products and services range from the smallest electronic components to the most complex systems used by defense, space and industry, including the full range of consumer electronic products.

Encryption

The process of encoding a message (that is, a digital phone signal) to prevent it from being deciphered.

Energy Per Bit to Noise Ratio (EBNR)
Enhanced data rates for GSM evolution (EDGE)

Enhanced data rates for GSM evolution (EDGE), enhanced GPRS (EGPRS), or international mode telecommunications (IMT) single carrier (IMT-SC) is a backward-compatible digital mobile phone technology that allows improved data transmission rates, besides standard GSM. EDGE can be considered a 3G radio technology and is part of International Telecommunication Union's (ITU) 3G definition, but is most frequently referred to as 2.75G.

EDGE is standardized by 3GPP as part of the GSM family, and it is an upgrade that provides a potential three-fold increase in capacity of GSM/GPRS networks. The specification achieves higher data-rates by switching to more sophisticated methods of coding, within existing GSM timeslots. Introducing 8PSK encoding, EDGE is capable of delivering higher bit-rates per radio channel in good conditions.

EDGE can be used for any packet switched application, such as an Internet connection. High-speed data applications such as video services and other multimedia benefit from EGPRS' increased data capacity.

Evolved EDGE was added in Release 7 of the 3GPP standard. This is a further extension on top of EDGE, providing reduced latency and potential speeds of 1Mbit/s by using even more complex coding functions than the 8PSK originally introduced with EDGE.

See also the following GSM measurement definitions:

  • Channel power
  • Droop
  • Frequency error
  • EVM
  • IQ gain error
  • IQ origin offset
  • Output RF spectrum
  • Time mask

Error Correcting Code (ECC)
Error Vector Magnitude (EVM)

EVM is a measure used to quantify the performance of a digital radio transmitter or receiver. A signal sent by an ideal transmitter or received by a receiver would have all constellation points precisely at the ideal locations, however various imperfections in the implementation (such as carrier leakage, low image rejection ratio, phase noise etc.) cause the actual constellation points to deviate from the ideal locations. Informally, EVM is a measure of how far the points are from the ideal locations.

Ethernet

A standard for connecting computers into a local-area network (LAN). It is also called 10/100BaseT, which denotes a peak transmission speed of 10 Mbps using copper twisted-pair cable.

EVM (EDGE)

The modulation accuracy is defined by the error vector between the vector representing the actual transmitted signal and the vector representing the error-free modulated signal. The magnitude of the error vector is called error vector magnitude (EVM).

Evolved HSPA

Evolved HSPA (also known as: HSPA Evolution, HSPA+, I-HSPA or Internet HSPA) is a wireless broadband standard defined in the 3GPP release 7.

Evolved HSPA provides HSPA data rates up to 42 Mbit/s on the downlink and 22 Mbit/s on the uplink with MIMO technologies and higher order modulation. It also introduces an optional all-IP architecture for the network where base stations are directly connected to the internet. The technology also delivers significant battery life improvements and dramatically quicker start-up-from-idle time - delivering a true always-on connection. Evolved HSPA should not be confused with LTE, which uses a new air interface.

Fast Fourier Transform (FFT)

An FFT is an efficient algorithm to compute the discrete Fourier transform (DFT) and its inverse. There are many distinct FFT algorithms involving a wide range of mathematics, from simple complex-number arithmetic to group theory and number theory; this article gives an overview of the available techniques and some of their general properties, while the specific algorithms are described in subsidiary articles linked below.

A DFT decomposes a sequence of values into components of different frequencies. This operation is useful in many fields (see discrete Fourier transform for properties and applications of the transform) but computing it directly from the definition is often too slow to be practical. An FFT is a way to compute the same result more quickly: computing a DFT of N points in the obvious way, using the definition, takes O(N 2) arithmetical operations, while an FFT can compute the same result in only O(N log N) operations. The difference in speed can be substantial, especially for long data sets where N may be in the thousands or millions—in practice, the computation time can be reduced by several orders of magnitude in such cases, and the improvement is roughly proportional to N/log(N). This huge improvement made many DFT-based algorithms practical; FFTs are of great importance to a wide variety of applications, from digital signal processing and solving partial differential equations to algorithms for quick multiplication of large integers.

Fast Physical Access Channel (FPACH)
Federal Communications Commission (FCC)

The FCC is the government agency responsible for regulating telecommunications in the United States.

Femtocell

A small cellular base station, typically designed for use in a home or small business. It connects to the service provider's network via broadband (such as DSL or cable). Typically supports 2 to 4 active mobile phones in a residential setting. A femtocell allows service providers to extend service coverage indoors, especially where access would otherwise be limited or unavailable. The femtocell incorporates the functionality of a typical base station but extends it to allow a simpler, self-contained deployment. An example is a UMTS femtocell containing a Node B, RNC, and GPRS Support Node (SGSN) with Ethernet for backhaul. Although much attention is focused on UMTS, the concept is applicable to all standards, including GSM, CDMA2000, TD-SCDMA and WiMAX solutions.

Filter

A device used to separate signals at certain frequencies. Common filters are low pass, high pass and band pass. These respectively allow transmission of low, high and a band of frequencies to pass through them.

Finite Impulse Response (FIR)

A finite impulse response filter is a type of a digital filter. The impulse response, the filter's response to a Kronecker delta input, is 'finite' because it settles to zero in a finite number of sample intervals. This is in contrast to infinite impulse response filters which have internal feedback and may continue to respond indefinitely. The impulse response of an Nth order FIR filter lasts for N+1 samples, and then dies to zero.

Forward Access Channel (FACH)

The FACH forms the downlink half of a transport channel pair known as the Random Access Channel (RACH) / Forward Access Channel (FACH) combination. It is used for downlink signaling and small quantities of data.

Forward Common Control Channel (FCCCH)

A control channel used for the transmission of control information from a base station to one or more mobile stations.

Forward Dedicated Control Channel (FDCCH)

A Dedicated Control Channel that is transmitted on the Forward CDMA (Code Division Multiple Access) Channel.

Forward Error Correction (FEC)

In telecommunication and information theory, forward error correction (FEC) is a system of error control for data transmission, whereby the sender adds redundant data to its messages, also known as an error correction code. This allows the receiver to detect and correct errors (within some bound) without the need to ask the sender for additional data. The advantage of forward error correction is that a back-channel is not required, or that retransmission of data can often be avoided, at the cost of higher bandwidth requirements on average. FEC is therefore applied in situations where retransmissions are relatively costly or impossible. In particular, FEC information is usually added to most mass storage devices to protect against damage to the stored data.

FEC devices are often located close to the receiver of an analog signal, in the first stage of digital processing after a signal has been received. That is, FEC circuits are often an integral part of the analog-to-digital conversion process, also involving digital modulation and demodulation, or line coding and decoding. Many FEC coders can also generate a bit-error rate (BER) signal which can be used as feedback to fine-tune the analog receiving electronics. Many FEC detection algorithms, such as the soft Viterbi algorithm, can take (quasi-) analog data in, and generate digital data on output.

The maximum fraction of errors that can be corrected is determined in advance by the design of the code, so different forward error correcting codes are suitable for different conditions.

Forward Link

The forward link is the wireless connection over which information is sent from a cellular base station (tower) to a mobile phone. It is also referred to as the downlink.

Frame Check Sequence (FCS)
Frame Control (FC)
Frame Error Ratio (FER)
Freedom of Mobile Multimedia Access (FOMA)

FOMAä is the brand name for the 3G services being offered by the Japanese mobile phone operator NTT DOCOMO.

FOMA was the world's first W-CDMA 3G service when launched in 2001. FOMA is compatible with standard UMTS, both by means of the radio link as well as by USIM card exchange, and hence provides several alternative options for global roaming: either with or without change of handset.

Frequency

The number of oscillations of radio waves per unit of time, usually expressed in either cycles-per-second or Hertz (Hz).

Frequency Division Duplex (FDD)
Frequency Division Multiplexing (FDM)

FDM is a form of signal multiplexing which involves assigning non-overlapping frequency ranges to different signals or to each "user" of a medium.

Frequency Error

The difference between actual measured carrier frequency and specified carrier frequency.

Frequency Error (GSM and EDGE)

The frequency error is the difference in frequency (after adjustment for the effect of the modulation and phase error) between the RF transmission from the mobile station (MS) and either the:

  • RF transmission from the base station (BS), or
  • Nominal frequency for the ARFCN used.
Frequency Hopping (FH)

FH is a spread spectrum modulation technique where the transmitter frequency hops from channel to channel in a predetermined but pseudorandom manner. The same is done in reverse at the receiver to recover the original signal.

Frequency Hopping Spread Spectrum (FHSS)

FHSS is a type of spread spectrum radio technology where the sender and receiver hop together from one frequency to another to avoid detection or jamming.

Frequency Modulation (FM)

FM is an analog modulation technique that varies the carrier frequency in proportion to the amplitude of the modulating signal.

Frequency Reuse

Frequency reuse is the ability to use the same frequencies repeatedly across a cellular system. Each cell is designed to use radio frequencies only within its boundaries. By design, the same frequencies can be reused in other cells not far away with little potential for interference.

Frequency Shift Keying (FSK)

Frequency-shift keying is a frequency modulation scheme in which digital information is transmitted through discrete frequency changes of a carrier wave. The simplest FSK is binary FSK (BFSK). BFSK literally implies using a couple of discrete frequencies to transmit binary (0s and 1s) information. With this scheme, the "1" is called the mark frequency and the "0" is called the space frequency. The time domain of an FSK modulated carrier is illustrated in the figures to the right.

Full Usage of Sub Channels (FUSC)

FUSC is relative to the WiMAX® air interface downlink and is a technique which allocates all available sub channels to the transmitter.

Full-duplex Transmission

A channel that allows transmission in two directions at the same time, for example, talking and listening.

Gain

The relative increase in power or magnitude of a signal, normally measured in decibels.

Gaussian Minimum Shift Keying (GMSK)
General Packet Radio Service (GPRS)

GPRS is a packet oriented mobile data service available to users of 2G cellular communication systems, as well as 3G systems. In the 2G systems, GPRS provides data rates from 56 up to 114 Kbps.

GPRS data transfer is typically charged per megabyte of traffic transferred, while data communication via traditional circuit switching is billed per minute of connection time, independent of whether the user actually is using the capacity or is in an idle state. GPRS is a best effort packet switch service, as opposed to circuit switching, where a certain quality of service (QoS) is guaranteed during the connection for non-mobile users.

2G cellular systems combined with GPRS are often described as "2.5G", that is, a technology between the second (2G) and third (3G) generations of mobile telephony. It provides moderate speed data transfer, by using unused time division multiple access (TDMA) channels in, for example, the GSM system.

A GPRS connection is established by reference to its access point name (APN). The APN defines the services such as wireless application protocol (WAP) access, short message service (SMS), multimedia messaging service (MMS), and for Internet communications services such as email and the World Wide Web access.

General Purpose Interface Bus (GPIB)

IEEE-488 is a short-range, digital communications bus specification that has been in use for over 30 years. Originally created for use with automated test equipment, the standard is still in wide use for that purpose. IEEE-488 is also commonly known as HP-IB (Hewlett-Packard Instrument Bus) and GPIB (General Purpose Interface Bus).

IEEE-488 allows up to 15 devices to share a single 8-bit parallel electrical bus by daisy chaining connections. The slowest device participates in control and data transfer handshakes to determine the speed of the transaction. The maximum data rate is about one MBps in the original standard, and about 8 MBps with later extensions.

The IEEE-488 connector has 24 pins. The bus employs 16 signal lines — eight bi-directional used for data transfer, three for handshake, and five for bus management — plus eight ground return lines.

Global Positioning System (GPS)

A GPS is a system of satellites for identifying earth locations. By triangulation of signals from three satellites, a receiving unit can pinpoint its current location anywhere on earth to within a few meters.

Global System for Mobile Communications (GSM)

GSM is based on time division multiple access (TDMA). TDMA works by dividing the frequency band up into individual time slots. Each time slot corresponds to an individual communications channel. There are eight time slots in GSM: a cell phone transmits during one time slot, receives in another and stays silent for the remaining six time slots. The GSM signal, therefore, appears as a signal burst in the time domain.

See also the following GSM measurement definitions and related standards:

  • Channel Power (GSM)
  • Circuit Switched Data
  • Frequency Error (GSM and EDGE)
  • General Packet Radio Service (GPRS)
  • High Speed Circuit-Switched Data
  • Output RF spectrum
  • Peak Phase Error
  • Phase Error (GSM)
  • Time Mask (GSM and EDGE)
Green Field (GF)

In software engineering jargon, a greenfield is a project which lacks any constraints imposed by prior work. The analogy is to that of construction on greenfield land where there is no need to remodel or demolish an existing structure. Such projects are often coveted by software engineers for this reason, but in practice, they can be quite rare.

Ground

A ground is a connection between a device or circuit and the earth, or some device serving as the earth.

Guard Interval (GI)

A GI or guard interval is used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Guard Period (GP)

In telecommunications, guard intervals or periods are used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Half-duplex transmission (HDX)

An HDX channel allows transmission in only one direction at a time: transmission and receiving cannot occur simultaneously.

Handoff

In wireless mobile phone systems, a "handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station, without interruption (dropping) of the call.

Many phones and networks are also capable of performing handoffs between different technologies. A digital (CDMA or TDMA) call might be handed off to an analog (AMPS) tower in the middle of the call if the digital signal becomes too weak.

Hertz (Hz)

Hertz (cycles per second) is the unit of frequency measurement which equates to one cycle per second. It is abbreviated Hz and named after Heinrich R. Hertz.

High Definition Television (HDTV)

High-definition television is a digital television broadcasting system with higher resolution than traditional television systems (standard-definition TV, or SDTV). HDTV is digitally broadcast; the earliest implementations used analog broadcasting, but today digital television (DTV) signals are used, requiring less bandwidth due to digital video compression.

High Speed Circuit-Switched Data (HSCSD)

High-Speed Circuit-Switched Data (HSCSD), is an enhancement to circuit switched data (CSD), the original data transmission mechanism of the GSM mobile phone system, four times faster than GSM, with data rates up to 38.4 kbit/s.

Like in CSD, channel allocation is done in circuit switched mode. The difference comes from the ability to use different coding methods and multiple time slots to increase data throughput.

One innovation in HSCSD is to allow different error correction methods to be used for data transfer. The original error correction used in GSM was designed to work at the limits of coverage and in the worst case that GSM will handle. This means that a large part of the GSM transmission capacity is taken up with error correction codes. HSCSD provides different levels of possible error correction which can be used according to the quality of the radio link. This means that in the best conditions 14.4 kbit/s can be put through a single time slot that under CSD would only carry 9.6 kbit/s, for a 50% improvement in throughput.

The other innovation in HSCSD is the ability to use multiple time slots at the same time. Using the maximum of four time slots, this can provide an increase in maximum transfer rate of up to 57.6 kbit/s (4 times 14.4 kbit/s) and, even in bad radio conditions where a higher level of error correction needs to be used, can still provide a four times speed increase over CSD (38.4 kbit/s versus 9.6 kbit/s). By combining up to 8 GSM time slots the capacity can be increased to 115 kbit/s.

HSCSD requires the time slots being used to be fully reserved to a single user. It is possible that either at the beginning of the call, or at some point during a call, it will not be possible for the user's full request to be satisfied since the network is often configured to allow normal voice calls to take precedence over additional time slots for HSCSD users.

The user is typically charged for HSCSD at a rate higher than a normal phone call (for example, by the number of time slots allocated) for the total period of time that the user has a connection active. This makes HSCSD relatively expensive in many GSM networks and is one of the reasons that packet-switched GPRS, which typically has lower pricing (based on amount of data transferred rather than the duration of the connection), has become more common than HSCSD.

Apart from the fact that the full allocated bandwidth of the connection is available to the HSCSD user, HSCSD also has an advantage in GSM systems in terms of lower average radio interface latency than GPRS. This is because the user of an HSCSD connection does not have to wait for permission from the network to send a packet.

HSCSD is also an option in EDGE and UMTS systems where packet data transmission rates are much higher. In the UMTS system the advantages of HSCSD over packet data are even lower since the UMTS radio interface has been specifically designed to support high bandwidth, low latency packet connections. This means that the primary reason to use HSCSD in this environment would be access to legacy dial up systems.

High Speed Downlink Packet Access (HSPDA)

HSDPA provides improved theoretical downlink performance of up to 14.4 Mbit/s. Existing deployments provide up to 14.4 Mbit/s in downlink. Uplink performance is a maximum of 384 kbit/s. The Round-trip delay time is around 150 ms.

For operational reasons, service providers may cap this rate to lower rates than the maximum 3.6 Mbit/s that most HSDPA handsets support. Voice calls are usually prioritized over data transfer. The Australian provider, Telstra uses up to 14.4 Mbit/s nationwide. The Croatian VIPnet network supports the speed of 7.2 Mbit/s in down-link as does Rogers Wireless in Canada. In South Korea, a nationwide 7.2 Mbit/s coverage is now established by SK Telecom and KTF. In Hong Kong, PCCW also provide 7.2 Mbit/s coverage. In Portugal all the mobile phone operators support 7.2 Mbit/s HSDPA, and Mobitel Pvt Ltd of Sri Lanka also provides 7.2 Mbit/s in the Asian region.

High Speed Packet Access (HSPA)

HSPA is a collection of mobile telephony protocols that extend and improve the performance of existing UMTS protocols. Two standards, HSDPA and HSUPA, have been established and a further standard, HSPA+ is soon to be released.

See also:

  • High Speed Downlink Packet Access (HSPDA)
  • High Speed Uplink Packet Access (HSUPA)
  • Evolved HSPA
High Speed Uplink Packet Access (HSUPA)

HSUPA provides improved uplink performance of up to 5.76 Mbit/s theoretically.

High-Pass Filter

This is a signal filter that passes frequencies above a certain frequency, and attenuates frequencies below that frequency.

High-Throughput (HT)
Hot Spot

In wireless networking, a hot spot is a specific part of an access point's range in which the general public can walk up and use the network. The service may be available for a fee, the range short to control the physical proximity of the user.

IEEE

A non-profit organization, IEEE is the world's leading professional association for the advancement of technology.

The IEEE name was originally an acronym for the Institute of Electrical and Electronics Engineers, Inc. Today, the organization's scope of interest has expanded into so many related fields, that it is simply referred to by the letters I-E-E-E (pronounced Eye-triple-E).

Impedance

Impedance is made up of a resistive component and a frequency variable component. One common measure of impedance with frequency is the voltage standing wave ratio (VSWR).

Insertion loss

This is the loss in signal strength due to the insertion of a device in the signal path.

Integrated Digital Network (IDN)
Inter-Carrier Interference (ICI)
Inter-Modulation Distortion (IMD)

Intermodulation or intermodulation distortion is the result of two or more signals of different frequencies being mixed together, forming additional signals at frequencies that are not usually at harmonic frequencies (integer multiples) of either.

Intermodulation is caused by non-linear behavior of the signal processing being used. The theoretical outcome of these non-linearities can be calculated by conducting a Volterra series of the characteristic, while the usual approximation of those non-linearities is obtained by conducting a Taylor series.

Intermodulation is not usually desirable in radio or audio processing, as it creates spurious emissions, which can create minor to severe interference to other operations on the signal. Intermodulation should not be confused with general harmonic distortion (which does have widespread use in audio effects processing). Intermodulation specifically creates non-harmonic tones ("off-key" notes, in the audio case) due to unwanted mixing of closely spaced frequencies.

Inter-Symbol Interference (ISI)

Intersymbol interference is a form of distortion of a signal where one symbol interferes with subsequent symbols. This is an unwanted phenomenon as the previous symbols have similar effect as noise, thus making the communication less reliable. ISI is usually caused by multipath propagation and the inherent non-linear frequency response of a channel. ISI occurs because of imperfections in the overall frequency response of the system. The presence of ISI in the system, however, introduces errors in the decision device at the receiver output. Therefore, in the design of the transmitting and receiving filters, the objective is to minimize the effects of ISI, and thereby deliver the digital data to its destination with the smallest error rate possible. Some ways to fight against intersymbol interference include adaptive equalization and error correcting codes.

Interim Standard 95 (IS-95)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95. It is a 2G Mobile Telecommunications Standard that uses CDMA, a multiple access scheme for digital radio, to send voice, data and signaling data (such as a dialed telephone number) between mobile telephones and cell sites.

Intermediate Frequency (IF)

An intermediate frequency (IF) is a frequency to which a carrier frequency is shifted as an intermediate step in transmission or reception. The intermediate frequency is created by mixing the carrier signal with a local oscillator signal in a process called heterodyning, resulting in a signal at the difference or beat frequency. Intermediate frequencies are used in superheterodyne radio receivers, in which an incoming signal is shifted to an IF for amplification before final detection is done. There may be several such stages of intermediate frequency in a superheterodyne, which is called double (or triple) conversion.

Intermodulation (Intermod)

The distortion product of an amplifier, caused by the interaction of different signal products within the amplifier.

International Mobile Telephone Standard 2000 (IMT-2000)

A vision for a single global standard for wireless networks, proposed by the ITU (International Telecommunications Union). It is often perceived as a global 3G system.

International Telecommunication Union (ITU)

The ITU was established by the United Nations in order to determine a set of international telecommunications standards and to allocate radio frequencies for specific uses.

Inverse Fast Fourier Transform (IFFT)
IQ Gain Error (EDGE)

Also called IQ gain imbalance. It is the difference in scaling between the I and Q components of IQ data.

IQ Offset

This is the DC offset of the signal in % or dB.

IQ Origin Offset (EDGE)

Also called carrier feedthrough or DC offset. It is DC that leaks into I/Q path. It is a complex signal impairment that shifts the locus of ideal symbol coordinates off-center in the I/Q plane. A DC offset can be added to the baseband I component, the Q component, or both. The DC offset can be either positive or negative, with the sign indicating direction of the shift. DC offset is expressed as a percentage of full scale, where "full scale" (fs) is the amplitude of the baseband QM waveform.

IQ Signals

Orthogonal components of a signal. In-phase and quadrature phase are two components of a signal that are 90 degrees out of phase with each other.

Isotropic Antenna

This is a theoretical, ideal antenna whose signal range is 360 degrees in all directions. It is used as a baseline for measuring a real antenna's signal strength in dBi, where the "i" stands for Isotropic antenna.

Jamming

This is typically the intentional interference with another radio signal.

Land Line

Traditional, wired phone service providing voice, video and data transmission technology over wires.

Least Significant Bit (LSB)
Linear Amplifier

This is a device that accurately reproduces a radio wave in magnified form. The output signal has a linear relationship to the input signal.

List

An ordered list of frequency, power, and dwell triplets that the instrument plays back in an infinite loop. The sync is available point-by-point or sweep-by-sweep.

Local Oscillator (LO)

A local oscillator is an electronic device used to generate a signal normally for the purpose of converting a signal of interest to a different frequency using a mixer. This process of frequency conversion, also referred to as heterodyning, produces the sum and difference (with the utilization of trigonometric angle sum and difference identities) of the local oscillator and input signal of interest. These are the beat frequencies. Normally the beat frequency is associated with the lower sideband, the difference between the two.

Several local oscillators can be strung in series to form a local oscillator chain (LO chain).

Historically, most applications of local oscillators were widely used in radio physics over frequencies from kHz to GHz. After spreading of nonlinear optics, the same terms and principles apply also to the optical frequencies of order of 1015 Hz.

Local-Area Network (LAN)

A LAN is a short-distance network used to link a group of computers together, usually within a building. Ethernet is the most commonly used type of LAN. A hub serves as the common wiring point, enabling data to be sent from one machine to another over the network.

Long Term Evolution (3GPP LTE)

3GPP LTE is the name given to a project within the Third Generation Partnership Project to improve the UMTS mobile phone standard to cope with future technology evolutions. Goals include improving spectral efficiency, lowering costs, improving services, making use of new spectrum and reframed spectrum opportunities, and better integration with other open standards. Although an evolution of UMTS, the LTE air interface is a completely new system based on OFDMA in the downlink and SC-FDMA (DFTS-FDMA) in the uplink that efficiently supports multi-antenna technologies, Multiple-In Multiple-Out (MIMO). The architecture that will result from this work is called EPS (Evolved Packet System) and comprises E-UTRAN (Evolved UTRAN) on the access side and EPC (Evolved Packet Core) on the core side.

Long Training Field (LTF)
Low Chip Rate (LCR)

This is another version of TD-SCDMA. Compatible with the 3GPP core network.

Low-Noise Amplifier (LNA)

This is typically a precision, small-signal amplifier used in receiver applications.

Low-Pass Filter

This signal filter passes all frequencies below a certain frequency, and attenuates all higher frequencies.

MAC Filtering

A network checks a device's MAC address against a database to see if it is authorized to access the network.

MAC Protocol Data Unit (MPDU)

MPDUs are the fragmented units of MSDU.

See also MAC.

MAC Service Data Unit (MSDU)

The MSDU is that unit of data that is received from the LLC sub-layer which lies above the MAC sub-layer in a protocol stack. The LLC and MAC sub-layers are collectively referred to as the DLL.

Medium Access Control (MAC)

The Media Access Control data communication protocol sub-layer, also known as the Medium Access Control, is a sublayer of the Data Link Layer specified in the seven-layer OSI model (layer 2). It provides addressing and channel access control mechanisms that make it possible for several terminals or network nodes to communicate within a multipoint network, typically a local area network (LAN) or metropolitan area network (MAN). The hardware that implements the MAC is referred to as a Medium Access Controller.

The MAC sub-layer acts as an interface between the Logical Link Control (LLC) sublayer and the network's physical layer. The MAC layer emulates a full-duplex logical communication channel in a multipoint network. This channel may provide unicast, multicast or broadcast communication service.

See also MPDU.

Mega Bits Per Second (Mbps)

Mega bits per second (1 * 1,000,000 bps). A megabit is approximately a million bits of data.

Megahertz (MHz)

Megahertz - 1 * 1,000,000 Hz.

Microwave

Usually refers to the band of frequencies above the radio frequency band and below the millimeter frequency band.

Midamble

Midamble is communication of timing information that is passed between the user equipment with the base station to maintain synchronization between them. Each timeslot in the 5 ms subframe has a midamble that the mobile phone uses to indicate a timing reference. The base station then uses this midamble to determine the timing adjustment information to pass back to the mobile. Each mobile user for a particular cell is assigned a unique phase-shifted version of the midamble.

Mobile Phone

A term often used interchangeably with "cellular phone" or "wireless phone."

Mobile Station (MS)

The mobile station comprises all user equipment and software needed for communication with a wireless telephone network.

Modulate

The characteristics of a base band signal are used to modify the amplitude, frequency or phase of an RF carrier signal. The carrier signal can then be transmitted with the base band signals incorporated in it.

ms

Milliseconds.

MSB

Most significant bit.

Multi-Frame

The term multi-frame is used to describe a set of consecutive frames in which the position of each frame can be identified by reference to a multi-frame alignment signal. Multi-frame is the frame structure pattern for CCPCH.

Multi-Path

The phenomenon of a radio device receiving the same signal multiple times, slightly offset in time. This often happens when a radio signal is received directly from the transmitter, and also reflected off of one or more nearby objects. Because a reflected signal takes a longer path, it is slightly delayed compared to the direct signal. Although many standard formats are degraded by multi-path, CDMA signals can actually benefit from multi-path.

Multi-Path Interference

Signal reflections and delayed signal images interfere with the desired signal. These situations are typically associated with high-rise city buildings and indoor wireless LAN applications.

Multiple Access

A system technique for accommodating many users in the same frequency band.

Multiple-Input Multiple-Output (MIMO)

In radio, multiple-input and multiple-output, or MIMO, is the use of multiple antennas at both the transmitter and receiver to improve communication performance. It is one of several forms of smart antenna technology.

MIMO technology has attracted attention in wireless communications, since it offers significant increases in data throughput and link range without additional bandwidth or transmit power. It achieves this by higher spectral efficiency (more bits per second per hertz of bandwidth) and link reliability or diversity (reduced fading). Because of these properties, MIMO is a current[update] theme of international wireless research.

Multiple-Input Single-Output (MISO)

Multiple-input Single-output (transmitter has multiple antennas, receiver has single antenna).

Multiplexing

Multiple signals are carried in the same frequency band at the same time. In wireless applications, common multiplexing methods include TDMA, FDMA, and CDMA.

Narrowband

A signal where the transmission bandwidth is on the order of its information bandwidth.

Network

A system designed to provide access paths for communication between users at different geographic locations. Networks may be designed for voice, text, data, fax and video. They may feature limited access (private networks) or open access (public networks). The analog or digital switching and transmission technologies used can vary greatly between networks.

Network Address

A unique number associated with a host that identifies it to other hosts during network transactions.

Noise Figure (NF)

Noise figure is a measure of degradation of the signal to noise ratio (SNR), caused by components in the RF signal chain. The noise figure is the ratio of the output noise power of a device to the portion thereof attributable to thermal noise in the input termination at standard noise temperature T0 (usually 290 K). The noise figure is thus the ratio of actual output noise to that which would remain if the device itself did not introduce noise. It is a number by which the performance of a radio receiver can be specified.

Occupied Bandwidth

Occupied bandwidth is a measure of the bandwidth containing 99% of the total integrated power of the transmitted spectrum, centered on the assigned channel frequency. The occupied channel bandwidth shall be less than 5 MHz based on a chip rate of 3.84 Mcps.

Omnidirectional Antenna

This is like a dipole antenna because it radiates its signal 360 degrees horizontally; however because its signal is flatter than a dipole's, it has a higher gain.

Orthogonal Channel Noise Simulator (OCNS)

To ensure that the summed power level of all active channels is equal to the cell power setting, the orthogonal coded noise simulator switches on to simulate additional users if additional power usage is needed

Orthogonal Frequency-Division Multiple Access (OFDMA)

Orthogonal Frequency-Division Multiple Access (OFDMA) is a multi-user version of the popular orthogonal frequency-division multiplexing (OFDM) digital modulation scheme. Multiple access is achieved in OFDMA by assigning subsets of subcarriers to individual users.

Orthogonal Frequency-Division Multiplexing (OFDM)

Orthogonal frequency-division multiplexing (OFDM) — essentially identical to Coded OFDM (COFDM) and Discrete multi-tone modulation (DMT) — is a frequency-division multiplexing (FDM) scheme utilized as a digital multi-carrier modulation method. A large number of closely-spaced orthogonal sub-carriers are used to carry data. The data are divided into several parallel data streams or channels, one for each sub-carrier. Each sub-carrier is modulated with a conventional modulation scheme (such as quadrature amplitude modulation or phase shift keying) at a low symbol rate, maintaining total data rates similar to conventional single-carrier modulation schemes in the same bandwidth.

OFDM has developed into a popular scheme for wideband digital communication, whether wireless or over copper wires, used in applications such as digital television and audio broadcasting, wireless networking and broadband internet access.

The primary advantage of OFDM over single-carrier schemes is its ability to cope with severe channel conditions — for example, attenuation of high frequencies in a long copper wire, narrowband interference and frequency-selective fading due to multipath — without complex equalization filters. Channel equalization is simplified because OFDM may be viewed as using many slowly-modulated narrowband signals rather than one rapidly-modulated wideband signal. The low symbol rate makes the use of a guard interval between symbols affordable, making it possible to handle time-spreading and eliminate intersymbol interference (ISI). This mechanism also facilitates the design of single-frequency networks, where several adjacent transmitters send the same signal simultaneously at the same frequency, as the signals from multiple distant transmitters may be combined constructively, rather than interfering as would typically occur in a traditional single-carrier system.

Oscillator

This is a device which produces a "vibration," or variation in amplitude level at a given frequency.

Output RF Spectrum (GSM and EDGE)

Due to the bursted nature of the signal, the output RF spectrum results from two events:

  • The modulation process.
  • The power ramping up and down (switching transients).

Output RF spectrum is a narrow-band measurement that provides information about the distribution of the mobile station transmitter's out-of-channel spectral energy due to modulation and switching.

Oversampling Ratio (OSR)

In signal processing, oversampling is the process of sampling a signal with a sampling frequency significantly higher than twice the bandwidth or highest frequency of the signal being sampled.

Packet

In data communication, a packet is a sequence of binary digits, including control signals and a small amount of data, which is transmitted and switched as a unit. In network applications a large file can be broken into many packets, which can be sent to the same destination over different network paths and reassembled at the destination.

Packet Binary Convolutional Code (PBCC)
Packet Error Rate (PER)
Packet Switching

The process of routing and transferring data by means of addressed packets. A channel is occupied during the transmission of the packet only. Upon completion of the transmission, the channel is made available for the transfer of other packets or traffic. Due to its nature, packet-switched data is generally faster than circuit-switched data.

Paging Channel (PCH)

This forward link transport channel in UMTS carries the PCCH (paging control channel.) This channel is used to send paging and notification messages in a cell.

Partial Usage of Sub Channels (PUSC)

PUSC is used in the uplink or downlink of the WiMAX air interface. In PUSC, some of the sub channels are allocated to the transmitter, with each sub channel containing its own set of pilot sub carriers.

Path Loss

Path loss is the weakening of a signal over its path of travel due to various factors, such as terrain and environmental conditions.

Peak Code Domain Error (PCDE)

Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

From 3GPP standard:

The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

Peak Phase Error

The peak phase error is the maximum difference between the phase error trajectory and its linear regression on the active part of the time slot.

Peak Reduction Carriers (PRC)
Peak to Average Power Ratio (PAPR)

The crest factor or peak-to-average ratio or peak-to-average power ratio (PAPR) is a measurement of a waveform, calculated from the peak amplitude of the waveform divided by the RMS (time-averaged) value of the waveform.

Personal Communication System (PCS)
Personal Computer (PC)
Personal-Area Network (PAN)

A personal area network is a computer network used for communication among computer devices (including telephones and personal digital assistants) close to one person. The devices may or may not belong to the person in question. The reach of a PAN is typically a few meters. PANs can be used for communication among the personal devices themselves (intrapersonal communication), or for connecting to a higher-level network and the Internet (an uplink).

Personal area networks may be wired with computer buses such as USB and FireWire. A wireless personal area network (WPAN) can also be made possible with network technologies such as IrDA, Bluetooth, UWB, Z-Wave and ZigBee.

Phase Error

For any 148-bits sub-sequence of the 511-bits pseudorandom sequence (defined in CCITT Recommendation O.153 fascicle IV.4) the phase error trajectory on the useful part of the burst (including tail bits) is measured by computing the difference between the phase of the transmitted waveform and the phase of the expected one after adjustment for the effect of the frequency error.

Phase Locked Loop (PLL)

A phase-locked loop or phase lock loop (PLL) is a control system that generates a signal that has a fixed relation to the phase of a "reference" signal. A phase-locked loop circuit responds to both the frequency and the phase of the input signals, automatically raising or lowering the frequency of a controlled oscillator until it is matched to the reference in both frequency and phase. A phase-locked loop is an example of a control system using negative feedback.

In simpler terms, a PLL compares the frequencies of two signals and produces an error signal which is proportional to the difference between the input frequencies. The error signal is then low-pass filtered and used to drive a voltage-controlled oscillator (VCO) which creates an output frequency. The output frequency is fed through a frequency divider back to the input of the system, producing a negative feedback loop. If the output frequency drifts, the error signal will increase, driving the frequency in the opposite direction to reduce the error. Thus the output is locked to the frequency at the other input. This input is called the reference and is often derived from a crystal oscillator, which is very stable in frequency.

Phase-locked loops are widely used in radio, telecommunications, computers and other electronic applications. They may generate stable frequencies, recover a signal from a noisy communication channel, or distribute clock timing pulses in digital logic designs such as microprocessors. Since a single integrated circuit can provide a complete phase-locked-loop building block, the technique is widely used in modern electronic devices, with output frequencies from a fraction of a cycle per second up to many gigahertz.

Phase Modulation (PM)

Phase modulation is a form of modulation that represents information as variations in the instantaneous phase of a carrier wave.

Unlike its more popular counterpart, frequency modulation (FM), PM is not very widely used. This is because it tends to require more complex receiving hardware and there can be ambiguity problems in determining whether, for example, the signal has changed phase by +180° or -180°

Phase Quadruple

Four consecutive phases of the SYNC-DL are used to indicate the presence of the P-CCPCH in the following four sub-frames. In a case where the presence of a P-CCPH is indicated, the next following sub-frame is the first sub-frame of the interleaving period.

Phase Shift Keying (PSK)

Phase-shift keying is a digital modulation scheme that conveys data by changing, or modulating, the phase of a reference signal (the carrier wave). Any digital modulation scheme uses a finite number of distinct signals to represent digital data. PSK uses a finite number of phases, each assigned a unique pattern of binary bits.

Physical Downlink Shared Channel (PDSCH )

In UMTS, the physical downlink shared channel is used to carry the DSCH (downlink shared channel).

Physical Layer (PHY)

The Physical Layer is the first level in the seven-layer OSI model of computer networking. It translates communications requests from the Data Link Layer into hardware-specific operations to effect transmission or reception of electronic signals.

The Physical Layer is a fundamental layer upon which all higher-level functions in a network are based. However, due to the plethora of available hardware technologies with widely varying characteristics, this is perhaps the most complex layer in the OSI architecture. The implementation of this layer is often termed PHY.

The Physical Layer defines the means of transmitting raw bits rather than logical data packets over a physical link connecting network nodes. The bit stream may be grouped into code words or symbols and converted to a physical signal that is transmitted over a hardware transmission medium. The Physical Layer provides an electrical, mechanical, and procedural interface to the transmission medium.

Physical Layer Convergence Protocol (PLCP)

See also PPDU.

Physical Medium Dependent (PMD)

Physical Medium Dependent sublayers or PMDs further help to define physical layer specifications for Fast Ethernet, Gigabit Ethernet and 10 Gigabit Ethernet. These sublayers define physical layer specifications in Gigabit and 10 Gigabit Ethernet transmissions. It is responsible for the transmission and reception of individual bits on a physical medium. These responsibilities encompass bit timing, signal encoding, interacting with the physical medium, and the cable or wire itself.

Point-to-Multipoint

A communications channel that transmits between one point and several other points is referred to as "point-to-multipoint."

Point-to-Point

A communications channel that transmits between one point and another point is referred to as "point-to-point."

Power Meter

A device used to measure radio energy; this is often a broadband instrument.

Primary Common Control Physical Channel (P-CCPCH)
Propagation

Propagation is the travel of a signal through a medium such as air or free space.

Protocol Data Unit (PPDU)

In telecommunications, the term protocol data unit has the following meanings: Information that is delivered as a unit among peer entities of a network and that may contain control information, address information, or data. In layered systems, a unit of data that is specified in a protocol of a given layer and that consists of protocol-control information of the given layer and possibly user data of that layer.

Pseudo Noise (PN)

PSeudo noise a digital signal with noise-like properties.

Pseudo Random Binary Sequence (PRBS)

A PRBS is random in a sense that the value of an element is independent of the values of any of the other elements, similar to real random sequences.

It is "pseudo" because it is deterministic and after N elements it starts to repeat itself, unlike real random sequences, such as sequences generated by radioactive decay or by white noise. The PRBS is more general than the n-sequence, which is a special pseudo-random binary sequence of n bits generated as the output of a linear shift register. An n-sequence always has a 1/2 duty cycle and its number of elements N = 2k - 1. PRBS's are used in telecommunication, encryption, simulation, correlation technique and time-of-flight spectroscopy.

Pseudo Random Sequence (PRS)
Quadrature Amplitude Modulation (QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Quadrature Phase Shift Keying (QPSK)

QPSK is a digital frequency modulation technique used for sending data over coaxial cable networks. Since it is both easy to implement and fairly resistant to noise, QPSK is used primarily for sending data from the cable subscriber upstream to the Internet.

Quality of Service (QoS)

Quality of service can be used to describe how a network provider guarantees a service's performance.

Radiation

Electromagnetic energy, such as radio waves projected from a transmitter.

Radio Frequency (RF)

Radio frequency (RF) is a frequency or rate of oscillation within the range of about 3 Hz to 300 GHz. This range corresponds to frequency of alternating current electrical signals used to produce and detect radio waves. Since most of this range is beyond the vibration rate that most mechanical systems can respond to, RF usually refers to oscillations in electrical circuits or electromagnetic radiation.

Radio Wave

A radio wave is a combination of electric and magnetic fields varying at a radio frequency and traveling through space. Radio waves are often described as electromagnetic energy with frequencies in the kHz to 300 GHz portion of the electromagnetic spectrum.

Random Access Channel (RACH)

RACH is used in mobile phones or other wireless devices on a TDMA-based network to get the attention of a base station in order to initially synchronize its transmission with the base station.

Receive Gain

A measure of receive signal boost contributed by an amplifier or antenna system.

Received Signal Code Power (RSCP)

RSCP is an acronym used in UMTS and other CDMA cellular communications systems and stands for Received Signal Code Power.

While RSCP can be defined generally for any CDMA system, it is more specifically used in UMTS. Also, while RSCP can be measured in principle on the downlink (DL) as well as on the uplink (UL), it is usually associated only with the downlink and thus it is presumed to be measured by the UE and reported to the Node B. It is defined by 3GPP as follows:

Definition: the received power on one code after de-spreading measured by the wireless telephone (UE) on the pilot bits on a given channel. The reference point for the RSCP is the antenna connector of the UE. If Tx diversity is applied on the measured channel then the received code power from each antenna is separately measured and summed together in watt to produce a total received code power on the measured channel.

RSCP is used in UMTS as a handover criterion, also in DL and UL open loop power control and for calculation of path loss using the formula:

Path loss = Transmitted channel power [dBm] - RSCP [dBm]

In UMTS FDD-mode RSCP is measured on Primary CPICH, in TDD-mode it is measured on the pilot bits of Primary CCPCH.

In UMTS RSCP is measured in dBm (decibels relative to 1 milliwatt power) within a bandwidth of 3.84 MHz. In UMTS FDD messages RSCP is transmitted as an integer value in the range of -120 dBm to -25 dBm.

Receiver Sensitivity

This is the ability of a receiver to differentiate a signal from the background noise.

Reference Measurement Channel (RMC)

A method for setting up a signal.

Request to Send (RTS)
Reverse Link

The wireless connection over which information is sent from a mobile phone to a cellular base station. It is also referred to as the uplink.

Rho

RHO is the normalized, correlated power between the measured and ideally generated reference signal.

RMS Phase Error

The RMS phase error is the difference between the phase error trajectory and its linear regression on the active part of the time slot.

Roaming

The ability to use a cellular phone outside its usual service area when traveling outside of the home service area (as defined by a service provider).

Root Mean Square (RMS)

In mathematics, the root mean square (abbreviated RMS or rms), also known as the quadratic mean, is a statistical measure of the magnitude of a varying quantity. It is especially useful when variates are positive and negative, for example, sinusoids. It can be calculated for a series of discrete values or for a continuously varying function.

Rx

Receive or receiver.

Safety ground

This is the local earth ground that grounds the neutral return.

Saturation

A term that describes the point at which the amplifier is in an over-driven situation. A device driven to saturation is no longer performing in a linear or distortion-free manner.

Second Generation (2G)

The term 2G is short for second-generation wireless telephone technology. Second generation 2G cellular telecoms networks were commercially launched on the GSM standard in Finland by Radiolinja (now part of Elisa) in 1991. Three primary benefits of 2G networks over their predecessors were that phone conversations were digitally encrypted, 2G systems were significantly more efficient on the spectrum allowing for far greater mobile phone penetration levels; and 2G introduced data services for mobile, starting with SMS text messages.

Segment

Segment is a subdivision of the set of OFDMA subchannels.

Settled (source)

The frequency is within 100 Hz, and the output power has settled according to the current ALC mode. The modulation waveform has been calculated and is being played back.

Short Training Field (STF)
Signal to Interference Ratio (SIR)

The signal-to-interference ratio (S/I or SIR), also known as the carrier-to-interference ratio (C/I, CIR), is the quotient between the average received modulated carrier power S or C and the average received co-channel interference power I, i.e. cross-talk, from other transmitters than the useful signal.

Signal-to-Noise Ratio (SNR)

SNR is the measure of the magnitude of a desired signal relative to the magnitude of an undesired signal or noise.

Single Side Band (SSB)
Single-Input Multiple-Output (SIMO)

Single-input multiple-output (transmitter has a single antenna, receiver has multiple antennas).

Single-Input Single-Output (SISO

SISO is an acronym for single-input and single-output system. In control engineering usually refers to a simple control system with one input and one output. In radio it is the use of only one antenna both in the transmitter and receiver. SISO systems are typically less complex than Multiple-Input Multiple-Output systems.

Slot

A Slot is the minimum possible data allocation unit.

Smart Antenna

A smart antenna system is one that focuses on a desired signal to reduce interference. A wireless network employs smart antennas in an effort to improve call quality and improve channel capacity.

Soft Handoff

In wireless mobile phone systems, a "soft handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station. Both base stations hold on to the call until the handoff is completed (the first cell site does not cut off the conversation until it receives information that the second is maintaining the call).

Space-Time Block Code (STBC)

Space–time block coding is a technique used in wireless communications to transmit multiple copies of a data stream across a number of antennas and to exploit the various received versions of the data to improve the reliability of data-transfer. The fact that the transmitted signal must traverse a potentially difficult environment with scattering, reflection, refraction and so on and may then be further corrupted by thermal noise in the receiver means that some of the received copies of the data will be 'better' than others. This redundancy results in a higher chance of being able to use one or more of the received copies to correctly decode the received signal. In fact, space-time coding combines all the copies of the received signal in an optimal way to extract as much information from each of them as possible.

Spectrum

Spectrum is the range of electromagnetic radio frequencies.

Spectrum Analyzer

This is an instrument which can be used to view signals across a range of frequencies. Some spectrum analyzers can measure a vector, giving amplitude and phase information and decoding complex digital modulation formats.

Spectrum Assignment

Spectrum is assigned or authorized by the Federal Communications Commission (FCC). It specifies the frequencies that can be used at specific geographic locations.

Splitter/Combiner

This is a transmission component that divides or sums power between two or more ports.

Spread Spectrum (SS)

This is a wireless communications technology that scatters data transmissions across the allocated frequency band in a pseudorandom pattern. Spreading the data across the frequency spectrum greatly increases the bandwidth and it also makes the signal resistant to noise, interference, and eavesdropping. At the receive end, the signal is de-spread to recover the original signal.

Spurious Emissions (spurs)

Spurs are unwanted frequency signals that can cause interference in receiver systems.

Subcarrier

A Subcarrier is either data, pilot, or null transmission signals.

Subchannels

Subchannels are subsets of subcarriers.

Super Harvard Architecture (SHARC)

The Super Harvard Architecture Single-Chip Computer (SHARC) is a high performance floating-point and fixed-point DSP from Analog Devices, not to be confused with Hitachi 's SuperH (SH) microprocessor. SHARC is used in a variety of signal processing applications ranging from single-CPU guided artillery shells to 1000-CPU over-the-horizon radar processing computers.

Sweep

A stepped frequency and power sweep. A user specifies start/stop frequency, start/stop power, a dwell and number of points. A sweep can be free running, triggered sweep by sweep, or triggered point by point. A hardware sweep is available at start of sweep, end of sweep, or each point in sweep.

Switch

A switch is a mechanical, electrical or electronic device that opens or closes circuits or paths.

Sync Output

An output from the Series V2900 VSG that tells the outside world that it has completed some task, such as settling to a specific value, started an ARB playback frame, or completed a list sequence. This is a single TTL-level sync output, whose meaning is software configuration.

System Frame Number (SFN)

SFN is used in the UMTS system to identify the framing and timing of a cell on a Node B.

Telecommunications

The transmission of words, sounds, or images (usually over great distances) in the form of electromagnetic energy (for example, by telephone, radio, or television).

Telecommunications Industry Association (TIA)

The Telecommunications Industry Association (TIA) is a global trade association headquartered in the United States that represents about 600 telecommunications companies. TIA helps create universal networking and education standards for the telephony, data networking, and convergence industry. TIA has helped develop networking standards that have been used worldwide.

The Third Generation Partnership Project (3GPP)

The 3rd Generation Partnership Project (3GPP) is a collaboration between groups of telecommunications associations, to make a globally applicable third generation (3G) mobile phone system specification within the scope of the International Mobile Telecommunications-2000 project of the International Telecommunication Union (ITU). 3GPP specifications are based on evolved Global System for Mobile Communications (GSM) specifications. 3GPP standardization encompasses Radio, Core Network and Service architecture.

The groups are the European Telecommunications Standards Institute, Association of Radio Industries and Businesses/Telecommunication Technology Committee (ARIB/TTC) (Japan), China Communications Standards Association, Alliance for Telecommunications Industry Solutions (North America) and Telecommunications Technology Association (South Korea). The project was established in December 1998.

3GPP should not be confused with 3rd Generation Partnership Project 2 (3GPP2), which specifies standards for another 3G technology based on IS-95 (CDMA), commonly known as CDMA2000.

The Third Generation Partnership Project 2 (3GPP2)

The Third Generation Partnership Project 2 (3GPP2) is a collaborative, third generation (3G) telecommunications specifications-setting project, comprised of North American and Asian interests. Their goals include developing global specifications for ANSI/TIA/EIA-41 Cellular Radio telecommunication Intersystem Operations and network evolution to 3G and global specifications for the radio transmission technologies (RTTs) supported by ANSI/TIA/EIA-41. For more information about the 3GPP2 project, go to www.3gpp2.org.

Third Generation (3G)

The third generation of mobile communication systems offer improved services such as video and multimedia. The main 3G technologies include UMTS and CDMA2000®.

Throughput

This describes the volume of data which can be transmitted through a communications system.

Time Division Multiple Access (TDMA)

TDMA is a digital multiplexing technique whereby each signal is sent and received at a fixed time slot in a series of time slots. The transmitter and receiver must be time-synchronized so as to demodulate the signal at the receive end.

Time Division Multiplexing (TDM)

Time-Division Multiplexing (TDM) is a type of digital or (rarely) analog multiplexing in which two or more signals or bit streams are transferred apparently simultaneously as sub-channels in one communication channel, but are physically taking turns on the channel. The time domain is divided into several recurrent timeslots of fixed length, one for each sub-channel.

Time Division-Synchronous Code Division Multiple Access (TD-SCDMA)

Time division synchronous code division multiple access. Mobile radio transmission method that combines SCDMA technique with TD-CDMA.

Time Mask (GSM and EDGE)

The time mask is a structure to test the acquired signal against the modulation standard. If the mobile station's transmitter power falls outside the specified power and timing ranges, the signal fails to comply to this standard.

Time-Division Duplex (TDD)

TDD is the application of time-division multiplexing to separate outward and return signals. It emulates full duplex communication over a half-duplex communication link. Time division duplex has a strong advantage in the case where the asymmetry of the uplink and downlink data speed is variable. As the amount of uplink data increases, more bandwidth can dynamically be allocated to that and as it shrinks it can be taken away. Another advantage is that the uplink and downlink radio paths are likely to be very similar in the case of a slow moving system. This means that techniques such as beamforming work well with TDD systems.

Timeslot (TS)

In a TDMA (time division multiple access) system, the carrier is split into multiple timeslots; the duration is dependent on the technology. Each user is assigned one or more timeslots for communication purposes.

Total Power

The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Transceiver

A combination of a transmitter and a receiver.

Transmission Time Interval (TTI)

To combat errors due to fading and interference on the radio link, data is divided at the transmitter into blocks and then the bits within a block are encoded and interleaved. The length of time required to transmit one such block determines the TTI.

Transmit Power Control (TPC)

The user equipment and Node B generate the TPC commands to control each others transmit power. This information is sent to the TPC field of the DPCCH (dedicated physical control channel). TPC commands are sent at the rate of 1500 per second.

Transport Format Combination Indicator (TFCI)

This is a representation of the current TFC (transport format combination) being used. The TFCI is transferred across the air interface and allows the receiving of layers to identify the current valid TFC. That is, how to decode, de-multiplex and deliver the received data on the appropriated transport channels.

Traveling Wave Tube Amplifier (TWTA)

A traveling-wave tube is an electronic device used to amplify radio frequency signals to high power, usually in an electronic assembly known as a traveling-wave tube amplifier (TWTA). The bandwidth of a broadband TWT can be as high as three octaves, although tuned (narrowband) versions exist, and operating frequencies range from 300 MHz to 50 GHz.

Trigger

An input to the instrument that causes it to do something. Series 2900 has a single analog, TTL level input for hardware triggers, and will accept a SCPI trigger.

Tx

Transmit or transmitter

UL-MAP

A burst that contains uplink broadcast messages.

Ultra High Frequency (UHF)

Ultra high frequency radio waves are in the 300 MHz to 3,000 MHz frequency range.

Universal Mobile Telecommunications System (UMTS)

UMTS-TDD is a mobile data network standard built upon the UMTS 3G cellular mobile phone standard, using a TD-CDMA, TD-SCDMA, or other 3GPP-approved, air interface that uses time division duplexing to duplex spectrum between the uplink and downlink. While a full implementation of UMTS, it is mainly used to provide Internet access in circumstances similar to those where WiMAX might be used.

See also:

  • TD-SCDMA (Time Division-Synchronous Code Division Multiple Access)
  • 3GPP LTE (Long Term Evolution)
Uplink (UP)

The uplink portion of a telecommunications path is from the ground to the base station or satellite. It is also referred to as the reverse link.

Very High Frequency (VHF)

VHF is in the 30 MHz to 300 MHz frequency range.

Vestigial Side Band (VSB)

A vestigial sideband (in radio communication) is a sideband that has been only partly cut off or suppressed. Television broadcasts (in NTSC, PAL, or SECAM analog video format) use this method if the video is transmitted in AM, due to the large bandwidth used. It may also be used in digital transmission, such as the ATSC standardized 8-VSB. The Milgo 4400/48 modem (circa 1967) used vestigial sideband and phase-shift keying to provide 4800-bit/s transmission over a 1600 Hz channel.

The video baseband signal used in TV in countries that use NTSC or ATSC has a bandwidth of 6 MHz. To conserve bandwidth, SSB would be desirable, but the video signal has significant low frequency content (average brightness) and has rectangular synchronizing pulses. The compromise is vestigial sideband modulation. In vestigial sideband the full upper sideband of bandwidth W2 = 4 MHz is transmitted, but only W1 = 1.25 MHz of the lower sideband is transmitted, along with a carrier. This effectively makes the system AM at low modulation frequencies and SSB at high modulation frequencies. The absence of the lower sideband components at high frequencies must be compensated for, and this is done by the RF and IF filters.

Virtual Private Network (VPN)

A virtual private network is a computer network in which some of the links between nodes are carried by open connections or virtual circuits in some larger network (for example, the Internet) instead of by physical wires. The link-layer protocols of the virtual network are said to be tunneled through the larger network when this is the case.

Voltage Standing Wave Ratio (VSWR)

VSWR is the amount of reflected signal due to impedance mismatch.

Watt (W)

The watt is a measure of energy per unit time, which is one joule per second.

Wavelength

The wavelength is the distance covered by one cycle of a wave.

Wi-Fi Protected Access (WPA )

WPA is a specification for improving the security of Wi-Fi networks. It replaces the weaker WEP (wired equivalent privacy) specification for current and future 802.11 standards.

Wide Area Network (WAN)

If two local-area networks (LANs) are connected, a wide-area network results. The Internet can be considered to be a WAN.

Wide-Band Code Division Multiple Access (W-CDMA)

W-CDMA has been designed for high-speed data services, and more particularly, internet-based packet-data offering up to 2 Mbps in stationary or office environments, and up to 384 Kbps in wide area or mobile environments. It also increases data transmission rates in GSM systems by using CDMA instead of TDMA.

See also the following GSM measurement definitions and related standards:

  • Channel Power
  • Code Domain Power
  • Error Vector Magnitude (EVM)
  • Freedom of Mobile Multimedia Access (FOMA)
  • Frequency Error
  • IQ Offset
  • Occupied Bandwidth
  • Peak Code Domain Error (PCDE)
  • Total Power

Wireless Application Protocol (WAP)

WAP is an open standard for communication between handsets and the Internet. WAP is a wireless communications environment for delivering web data to wireless terminals with minimal screen display.

Wireless Fidelity (Wi-Fi)

Originally referred to the 802.11b specification for wireless LANs, but it is now used to describe any of the 802.11 wireless networking specifications.

Wireless Local Area Network (WLAN)

A WLAN is a short-range computer-to-computer wireless data communications network.

Wireless Personal Area Network (WPAN)

A WPAN is a PAN that uses wireless connections. However, because all current PAN technologies (such as Bluetooth) are wireless, the terms WPAN and PAN are synonymous.

Wireline

Traditional telephone technology that relies upon wires is called a wire line or land line.

Worldwide Interoperability for Microwave Access (WiMAX)

The term WiMAX has become synonymous with the IEEE (Institute of Electrical and Electronic Engineers) 802.16 suite of standards. These define the radio or air interface within two broad radio bands 2GHz to 11 GHz and 10 GHz - 66 GHz.

Zone

A zone is the number of contiguous OFDMA symbols that use the same permutation formula.


:MEASure:IQ

:MEASure[:SELect]


Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation (depending on the averaging data type).

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT


Specifies what data type is used in the measurement averaging. This allows you to set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation, depending on the averaging data type.

  • Power (Watts) sets the measurement averaging to use Watts as the unit of measure.
  • Log (dB) sets the measurement averaging to use Log as the unit of measure.
  • Voltage Mag sets the measurement averaging to use Voltage Mag as the unit of measure.

Remote control command

[:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT

[:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT